import type { ChainIdVariable, ChainIdsVariable } from '../lib/types/chainId';
import { type MiniChefChainId } from 'sushi/config';
import type { RequestOptions } from '../lib/request';
import { type GetMasterChefV1UserPositions, type MasterChefV1UserPositions } from '../subgraphs/master-chef-v1';
import { type GetMasterChefV2UserPositions, type MasterChefV2UserPositions } from '../subgraphs/master-chef-v2';
import { type GetMiniChefUserPositions, type MiniChefUserPositions } from '../subgraphs/mini-chef';
export type GetChefUserPositions = Omit<GetMasterChefV1UserPositions & GetMasterChefV2UserPositions & GetMiniChefUserPositions, 'chainId'> & ChainIdsVariable<1 | MiniChefChainId>;
type CombinedPosition = (MasterChefV1UserPositions | MasterChefV2UserPositions | MiniChefUserPositions)[number];
export type ChefPosition = Omit<CombinedPosition, 'pool'> & {
    pool: Omit<CombinedPosition['pool'], 'chainId'> & ChainIdVariable<NonNullable<CombinedPosition['pool']>['chainId']>;
};
export declare function getChefUserPositions({ chainIds, ...variables }: GetChefUserPositions, options?: RequestOptions): Promise<{
    data: ChefPosition[];
    errors: any[];
}>;
export {};
