import type { RequestOptions } from '../lib/request';
import type { ChainIdsVariable } from '../lib/types/chainId';
import { type SushiSwapV2ChainId, type SushiSwapV3ChainId } from 'sushi/config';
export type GetSushiDayDatas = {} & ChainIdsVariable<SushiSwapV2ChainId | SushiSwapV3ChainId>;
export declare function getSushiDayDatas({ chainIds, }: GetSushiDayDatas, options?: RequestOptions): Promise<{
    data: {
        id: string;
        date: number;
        volumeUSD: number;
        volumeUSDUntracked: number;
        liquidityUSD: number;
        feesUSD: number;
        txCount: number;
    }[];
    errors: import("../lib/fetch-error").FetchError[];
}>;
