import { FetchError } from '../lib/fetch-error';
import type { ChainIdsVariable } from '../lib/types/chainId';
import type { Hex } from '../lib/types/hex';
import { type GetSushiV2LiquidityPositions } from '../subgraphs/sushi-v2';
import type { PoolV2, SushiPositionStaked, SushiPositionWithPool } from 'sushi/types';
import { type GetChefUserPositions } from './chef-user-positions';
export type GetSushiV2StakedUnstakedPositions = {
    id: Hex;
} & ChainIdsVariable<NonNullable<GetChefUserPositions['chainIds']>[number] | GetSushiV2LiquidityPositions['chainId']>;
export type SushiV2StakedUnstakedPosition = SushiPositionStaked<SushiPositionWithPool<PoolV2>>;
/**
 * @brief Get staked AND unstaked user positions
 */
export declare function getSushiV2StakedUnstakedPositions({ chainIds, id, }: GetSushiV2StakedUnstakedPositions): Promise<{
    data: SushiV2StakedUnstakedPosition[];
    errors: FetchError[];
}>;
