import type { ResultOf, TadaDocumentNode, VariablesOf } from 'gql.tada';
import { type RequestOptions } from '../lib/request';
import type { ChainId } from 'sushi/chain';
interface RequestPaged<T extends TadaDocumentNode<Record<string, unknown>>> {
    chainId: ChainId;
    url: string;
    query: T;
    variables: VariablesOf<T>;
    options?: RequestOptions | undefined;
}
/**
 *
 * @brief A wrapper for graphql-request's request function that handles pagination
 * @warning This function only works with queries that have a single key in the result, the rest will be ignored
 *
 * @param chainId Required to retrieve the maxFirst value
 * @param url The URL of the subgraph
 * @param query The query to be executed
 * @param variables The variables to be passed to the query
 */
export declare function requestPaged<T extends TadaDocumentNode>({ chainId, url, query, variables, options, }: RequestPaged<T>): Promise<ResultOf<T>>;
export {};
