import type { FetchError } from '../lib/fetch-error';
import type { RequestOptions } from '../lib/request';
export type Variables<T extends {
    [key: string]: any;
}> = keyof Omit<T, 'chainId'> extends undefined ? {
    variables?: Omit<T, 'chainId'>;
} : {
    variables: Omit<T, 'chainId'>;
};
export type FetchMultichain<ARG extends {
    [key: string]: any;
}, RET extends Promise<unknown>> = {
    chainIds: Readonly<ARG['chainId'][]>;
    fetch: (variables: ARG, options?: RequestOptions) => RET;
    options?: RequestOptions | undefined;
} & Variables<ARG>;
export declare function fetchMultichain<ARG extends {
    [key: string]: any;
}, RET extends Promise<unknown>>({ chainIds, fetch, variables, options, }: FetchMultichain<ARG, RET>): Promise<{
    data: Awaited<RET> extends unknown[] ? Awaited<RET> : Awaited<RET>[];
    errors: FetchError[];
}>;
