export async function fetchMultichain({ chainIds, fetch, variables, options, }) {
    const promises = await Promise.allSettled(chainIds.map((chainId) => {
        return fetch({ ...variables, chainId }, options);
    }));
    const data = [];
    const errors = [];
    for (const promise of promises) {
        if (promise.status === 'fulfilled') {
            const value = promise.value;
            if (Array.isArray(value)) {
                data.push(...value);
            }
            else {
                data.push(value);
            }
        }
        else {
            errors.push(promise.reason);
        }
    }
    return { data, errors };
}
