import type { VariablesOf } from 'gql.tada';
import type { BentoBoxChainId } from 'sushi/config';
import { type RequestOptions } from '../../../lib/request';
import type { ChainIdVariable } from '../../../lib/types/chainId';
import type { Hex } from '../../../lib/types/hex';
export declare const BentoBoxRebasesQuery: import("gql.tada").TadaDocumentNode<{
    rebases: {
        elastic: string;
        base: string;
        token: {
            decimals: string;
            name: string;
            symbol: string;
        };
        id: string;
    }[];
}, {
    where?: {
        or?: any[];
        and?: any[];
        _change_block?: {
            number_gte: number;
        };
        elastic_not_in?: string[];
        elastic_in?: string[];
        elastic_lte?: string;
        elastic_gte?: string;
        elastic_lt?: string;
        elastic_gt?: string;
        elastic_not?: string;
        elastic?: string;
        base_not_in?: string[];
        base_in?: string[];
        base_lte?: string;
        base_gte?: string;
        base_lt?: string;
        base_gt?: string;
        base_not?: string;
        base?: string;
        token_?: {
            or?: any[];
            and?: any[];
            _change_block?: {
                number_gte: number;
            };
            decimalsSuccess_not_in?: boolean[];
            decimalsSuccess_in?: boolean[];
            decimalsSuccess_not?: boolean;
            decimalsSuccess?: boolean;
            decimals_not_in?: string[];
            decimals_in?: string[];
            decimals_lte?: string;
            decimals_gte?: string;
            decimals_lt?: string;
            decimals_gt?: string;
            decimals_not?: string;
            decimals?: string;
            nameSuccess_not_in?: boolean[];
            nameSuccess_in?: boolean[];
            nameSuccess_not?: boolean;
            nameSuccess?: boolean;
            name_not_ends_with_nocase?: string;
            name_not_ends_with?: string;
            name_ends_with_nocase?: string;
            name_ends_with?: string;
            name_not_starts_with_nocase?: string;
            name_not_starts_with?: string;
            name_starts_with_nocase?: string;
            name_starts_with?: string;
            name_not_contains_nocase?: string;
            name_not_contains?: string;
            name_contains_nocase?: string;
            name_contains?: string;
            name_not_in?: string[];
            name_in?: string[];
            name_lte?: string;
            name_gte?: string;
            name_lt?: string;
            name_gt?: string;
            name_not?: string;
            name?: string;
            symbolSuccess_not_in?: boolean[];
            symbolSuccess_in?: boolean[];
            symbolSuccess_not?: boolean;
            symbolSuccess?: boolean;
            symbol_not_ends_with_nocase?: string;
            symbol_not_ends_with?: string;
            symbol_ends_with_nocase?: string;
            symbol_ends_with?: string;
            symbol_not_starts_with_nocase?: string;
            symbol_not_starts_with?: string;
            symbol_starts_with_nocase?: string;
            symbol_starts_with?: string;
            symbol_not_contains_nocase?: string;
            symbol_not_contains?: string;
            symbol_contains_nocase?: string;
            symbol_contains?: string;
            symbol_not_in?: string[];
            symbol_in?: string[];
            symbol_lte?: string;
            symbol_gte?: string;
            symbol_lt?: string;
            symbol_gt?: string;
            symbol_not?: string;
            symbol?: string;
            kpi_?: {
                or?: any[];
                and?: any[];
                _change_block?: {
                    number_gte: number;
                };
                apr_not_in?: string[];
                apr_in?: string[];
                apr_lte?: string;
                apr_gte?: string;
                apr_lt?: string;
                apr_gt?: string;
                apr_not?: string;
                apr?: string;
                strategyCount_not_in?: string[];
                strategyCount_in?: string[];
                strategyCount_lte?: string;
                strategyCount_gte?: string;
                strategyCount_lt?: string;
                strategyCount_gt?: string;
                strategyCount_not?: string;
                strategyCount?: string;
                liquidity_not_in?: string[];
                liquidity_in?: string[];
                liquidity_lte?: string;
                liquidity_gte?: string;
                liquidity_lt?: string;
                liquidity_gt?: string;
                liquidity_not?: string;
                liquidity?: string;
                token_?: any;
                token_not_ends_with_nocase?: string;
                token_not_ends_with?: string;
                token_ends_with_nocase?: string;
                token_ends_with?: string;
                token_not_starts_with_nocase?: string;
                token_not_starts_with?: string;
                token_starts_with_nocase?: string;
                token_starts_with?: string;
                token_not_contains_nocase?: string;
                token_not_contains?: string;
                token_contains_nocase?: string;
                token_contains?: string;
                token_not_in?: string[];
                token_in?: string[];
                token_lte?: string;
                token_gte?: string;
                token_lt?: string;
                token_gt?: string;
                token_not?: string;
                token?: string;
                id_not_in?: string[];
                id_in?: string[];
                id_lte?: string;
                id_gte?: string;
                id_lt?: string;
                id_gt?: string;
                id_not?: string;
                id?: string;
            };
            kpi_not_ends_with_nocase?: string;
            kpi_not_ends_with?: string;
            kpi_ends_with_nocase?: string;
            kpi_ends_with?: string;
            kpi_not_starts_with_nocase?: string;
            kpi_not_starts_with?: string;
            kpi_starts_with_nocase?: string;
            kpi_starts_with?: string;
            kpi_not_contains_nocase?: string;
            kpi_not_contains?: string;
            kpi_contains_nocase?: string;
            kpi_contains?: string;
            kpi_not_in?: string[];
            kpi_in?: string[];
            kpi_lte?: string;
            kpi_gte?: string;
            kpi_lt?: string;
            kpi_gt?: string;
            kpi_not?: string;
            kpi?: string;
            strategies_?: {
                or?: any[];
                and?: any[];
                _change_block?: {
                    number_gte: number;
                };
                timestamp_not_in?: string[];
                timestamp_in?: string[];
                timestamp_lte?: string;
                timestamp_gte?: string;
                timestamp_lt?: string;
                timestamp_gt?: string;
                timestamp_not?: string;
                timestamp?: string;
                block_not_in?: string[];
                block_in?: string[];
                block_lte?: string;
                block_gte?: string;
                block_lt?: string;
                block_gt?: string;
                block_not?: string;
                block?: string;
                token_?: any;
                token_not_ends_with_nocase?: string;
                token_not_ends_with?: string;
                token_ends_with_nocase?: string;
                token_ends_with?: string;
                token_not_starts_with_nocase?: string;
                token_not_starts_with?: string;
                token_starts_with_nocase?: string;
                token_starts_with?: string;
                token_not_contains_nocase?: string;
                token_not_contains?: string;
                token_contains_nocase?: string;
                token_contains?: string;
                token_not_in?: string[];
                token_in?: string[];
                token_lte?: string;
                token_gte?: string;
                token_lt?: string;
                token_gt?: string;
                token_not?: string;
                token?: string;
                harvests_?: {
                    or?: any[];
                    and?: any[];
                    _change_block?: {
                        number_gte: number;
                    };
                    timestamp_not_in?: string[];
                    timestamp_in?: string[];
                    timestamp_lte?: string;
                    timestamp_gte?: string;
                    timestamp_lt?: string;
                    timestamp_gt?: string;
                    timestamp_not?: string;
                    timestamp?: string;
                    block_not_in?: string[];
                    block_in?: string[];
                    block_lte?: string;
                    block_gte?: string;
                    block_lt?: string;
                    block_gt?: string;
                    block_not?: string;
                    block?: string;
                    investOrDivest_?: {
                        or?: any[];
                        and?: any[];
                        _change_block?: {
                            number_gte: number;
                        };
                        timestamp_not_in?: string[];
                        timestamp_in?: string[];
                        timestamp_lte?: string;
                        timestamp_gte?: string;
                        timestamp_lt?: string;
                        timestamp_gt?: string;
                        timestamp_not?: string;
                        timestamp?: string;
                        block_not_in?: string[];
                        block_in?: string[];
                        block_lte?: string;
                        block_gte?: string;
                        block_lt?: string;
                        block_gt?: string;
                        block_not?: string;
                        block?: string;
                        amount_not_in?: string[];
                        amount_in?: string[];
                        amount_lte?: string;
                        amount_gte?: string;
                        amount_lt?: string;
                        amount_gt?: string;
                        amount_not?: string;
                        amount?: string;
                        base_not_in?: string[];
                        base_in?: string[];
                        base_lte?: string;
                        base_gte?: string;
                        base_lt?: string;
                        base_gt?: string;
                        base_not?: string;
                        base?: string;
                        elastic_not_in?: string[];
                        elastic_in?: string[];
                        elastic_lte?: string;
                        elastic_gte?: string;
                        elastic_lt?: string;
                        elastic_gt?: string;
                        elastic_not?: string;
                        elastic?: string;
                        harvest_?: any;
                        harvest_not_ends_with_nocase?: string;
                        harvest_not_ends_with?: string;
                        harvest_ends_with_nocase?: string;
                        harvest_ends_with?: string;
                        harvest_not_starts_with_nocase?: string;
                        harvest_not_starts_with?: string;
                        harvest_starts_with_nocase?: string;
                        harvest_starts_with?: string;
                        harvest_not_contains_nocase?: string;
                        harvest_not_contains?: string;
                        harvest_contains_nocase?: string;
                        harvest_contains?: string;
                        harvest_not_in?: string[];
                        harvest_in?: string[];
                        harvest_lte?: string;
                        harvest_gte?: string;
                        harvest_lt?: string;
                        harvest_gt?: string;
                        harvest_not?: string;
                        harvest?: string;
                        id_not_in?: string[];
                        id_in?: string[];
                        id_lte?: string;
                        id_gte?: string;
                        id_lt?: string;
                        id_gt?: string;
                        id_not?: string;
                        id?: string;
                    };
                    investOrDivest_not_ends_with_nocase?: string;
                    investOrDivest_not_ends_with?: string;
                    investOrDivest_ends_with_nocase?: string;
                    investOrDivest_ends_with?: string;
                    investOrDivest_not_starts_with_nocase?: string;
                    investOrDivest_not_starts_with?: string;
                    investOrDivest_starts_with_nocase?: string;
                    investOrDivest_starts_with?: string;
                    investOrDivest_not_contains_nocase?: string;
                    investOrDivest_not_contains?: string;
                    investOrDivest_contains_nocase?: string;
                    investOrDivest_contains?: string;
                    investOrDivest_not_in?: string[];
                    investOrDivest_in?: string[];
                    investOrDivest_lte?: string;
                    investOrDivest_gte?: string;
                    investOrDivest_lt?: string;
                    investOrDivest_gt?: string;
                    investOrDivest_not?: string;
                    investOrDivest?: string;
                    profitOrLoss_?: {
                        or?: any[];
                        and?: any[];
                        _change_block?: {
                            number_gte: number;
                        };
                        timestamp_not_in?: string[];
                        timestamp_in?: string[];
                        timestamp_lte?: string;
                        timestamp_gte?: string;
                        timestamp_lt?: string;
                        timestamp_gt?: string;
                        timestamp_not?: string;
                        timestamp?: string;
                        block_not_in?: string[];
                        block_in?: string[];
                        block_lte?: string;
                        block_gte?: string;
                        block_lt?: string;
                        block_gt?: string;
                        block_not?: string;
                        block?: string;
                        amount_not_in?: string[];
                        amount_in?: string[];
                        amount_lte?: string;
                        amount_gte?: string;
                        amount_lt?: string;
                        amount_gt?: string;
                        amount_not?: string;
                        amount?: string;
                        base_not_in?: string[];
                        base_in?: string[];
                        base_lte?: string;
                        base_gte?: string;
                        base_lt?: string;
                        base_gt?: string;
                        base_not?: string;
                        base?: string;
                        elastic_not_in?: string[];
                        elastic_in?: string[];
                        elastic_lte?: string;
                        elastic_gte?: string;
                        elastic_lt?: string;
                        elastic_gt?: string;
                        elastic_not?: string;
                        elastic?: string;
                        harvest_?: any;
                        harvest_not_ends_with_nocase?: string;
                        harvest_not_ends_with?: string;
                        harvest_ends_with_nocase?: string;
                        harvest_ends_with?: string;
                        harvest_not_starts_with_nocase?: string;
                        harvest_not_starts_with?: string;
                        harvest_starts_with_nocase?: string;
                        harvest_starts_with?: string;
                        harvest_not_contains_nocase?: string;
                        harvest_not_contains?: string;
                        harvest_contains_nocase?: string;
                        harvest_contains?: string;
                        harvest_not_in?: string[];
                        harvest_in?: string[];
                        harvest_lte?: string;
                        harvest_gte?: string;
                        harvest_lt?: string;
                        harvest_gt?: string;
                        harvest_not?: string;
                        harvest?: string;
                        id_not_in?: string[];
                        id_in?: string[];
                        id_lte?: string;
                        id_gte?: string;
                        id_lt?: string;
                        id_gt?: string;
                        id_not?: string;
                        id?: string;
                    };
                    profitOrLoss_not_ends_with_nocase?: string;
                    profitOrLoss_not_ends_with?: string;
                    profitOrLoss_ends_with_nocase?: string;
                    profitOrLoss_ends_with?: string;
                    profitOrLoss_not_starts_with_nocase?: string;
                    profitOrLoss_not_starts_with?: string;
                    profitOrLoss_starts_with_nocase?: string;
                    profitOrLoss_starts_with?: string;
                    profitOrLoss_not_contains_nocase?: string;
                    profitOrLoss_not_contains?: string;
                    profitOrLoss_contains_nocase?: string;
                    profitOrLoss_contains?: string;
                    profitOrLoss_not_in?: string[];
                    profitOrLoss_in?: string[];
                    profitOrLoss_lte?: string;
                    profitOrLoss_gte?: string;
                    profitOrLoss_lt?: string;
                    profitOrLoss_gt?: string;
                    profitOrLoss_not?: string;
                    profitOrLoss?: string;
                    strategy_?: any;
                    strategy_not_ends_with_nocase?: string;
                    strategy_not_ends_with?: string;
                    strategy_ends_with_nocase?: string;
                    strategy_ends_with?: string;
                    strategy_not_starts_with_nocase?: string;
                    strategy_not_starts_with?: string;
                    strategy_starts_with_nocase?: string;
                    strategy_starts_with?: string;
                    strategy_not_contains_nocase?: string;
                    strategy_not_contains?: string;
                    strategy_contains_nocase?: string;
                    strategy_contains?: string;
                    strategy_not_in?: string[];
                    strategy_in?: string[];
                    strategy_lte?: string;
                    strategy_gte?: string;
                    strategy_lt?: string;
                    strategy_gt?: string;
                    strategy_not?: string;
                    strategy?: string;
                    token_?: any;
                    token_not_ends_with_nocase?: string;
                    token_not_ends_with?: string;
                    token_ends_with_nocase?: string;
                    token_ends_with?: string;
                    token_not_starts_with_nocase?: string;
                    token_not_starts_with?: string;
                    token_starts_with_nocase?: string;
                    token_starts_with?: string;
                    token_not_contains_nocase?: string;
                    token_not_contains?: string;
                    token_contains_nocase?: string;
                    token_contains?: string;
                    token_not_in?: string[];
                    token_in?: string[];
                    token_lte?: string;
                    token_gte?: string;
                    token_lt?: string;
                    token_gt?: string;
                    token_not?: string;
                    token?: string;
                    id_not_in?: string[];
                    id_in?: string[];
                    id_lte?: string;
                    id_gte?: string;
                    id_lt?: string;
                    id_gt?: string;
                    id_not?: string;
                    id?: string;
                };
                kpi_?: {
                    or?: any[];
                    and?: any[];
                    _change_block?: {
                        number_gte: number;
                    };
                    utilization_not_in?: string[];
                    utilization_in?: string[];
                    utilization_lte?: string;
                    utilization_gte?: string;
                    utilization_lt?: string;
                    utilization_gt?: string;
                    utilization_not?: string;
                    utilization?: string;
                    apr_not_in?: string[];
                    apr_in?: string[];
                    apr_lte?: string;
                    apr_gte?: string;
                    apr_lt?: string;
                    apr_gt?: string;
                    apr_not?: string;
                    apr?: string;
                    profitAndLoss_not_in?: string[];
                    profitAndLoss_in?: string[];
                    profitAndLoss_lte?: string;
                    profitAndLoss_gte?: string;
                    profitAndLoss_lt?: string;
                    profitAndLoss_gt?: string;
                    profitAndLoss_not?: string;
                    profitAndLoss?: string;
                    lossCount_not_in?: string[];
                    lossCount_in?: string[];
                    lossCount_lte?: string;
                    lossCount_gte?: string;
                    lossCount_lt?: string;
                    lossCount_gt?: string;
                    lossCount_not?: string;
                    lossCount?: string;
                    profitCount_not_in?: string[];
                    profitCount_in?: string[];
                    profitCount_lte?: string;
                    profitCount_gte?: string;
                    profitCount_lt?: string;
                    profitCount_gt?: string;
                    profitCount_not?: string;
                    profitCount?: string;
                    profitOrLossCount_not_in?: string[];
                    profitOrLossCount_in?: string[];
                    profitOrLossCount_lte?: string;
                    profitOrLossCount_gte?: string;
                    profitOrLossCount_lt?: string;
                    profitOrLossCount_gt?: string;
                    profitOrLossCount_not?: string;
                    profitOrLossCount?: string;
                    divested_not_in?: string[];
                    divested_in?: string[];
                    divested_lte?: string;
                    divested_gte?: string;
                    divested_lt?: string;
                    divested_gt?: string;
                    divested_not?: string;
                    divested?: string;
                    divestCount_not_in?: string[];
                    divestCount_in?: string[];
                    divestCount_lte?: string;
                    divestCount_gte?: string;
                    divestCount_lt?: string;
                    divestCount_gt?: string;
                    divestCount_not?: string;
                    divestCount?: string;
                    invested_not_in?: string[];
                    invested_in?: string[];
                    invested_lte?: string;
                    invested_gte?: string;
                    invested_lt?: string;
                    invested_gt?: string;
                    invested_not?: string;
                    invested?: string;
                    investCount_not_in?: string[];
                    investCount_in?: string[];
                    investCount_lte?: string;
                    investCount_gte?: string;
                    investCount_lt?: string;
                    investCount_gt?: string;
                    investCount_not?: string;
                    investCount?: string;
                    investOrDivestCount_not_in?: string[];
                    investOrDivestCount_in?: string[];
                    investOrDivestCount_lte?: string;
                    investOrDivestCount_gte?: string;
                    investOrDivestCount_lt?: string;
                    investOrDivestCount_gt?: string;
                    investOrDivestCount_not?: string;
                    investOrDivestCount?: string;
                    harvestCount_not_in?: string[];
                    harvestCount_in?: string[];
                    harvestCount_lte?: string;
                    harvestCount_gte?: string;
                    harvestCount_lt?: string;
                    harvestCount_gt?: string;
                    harvestCount_not?: string;
                    harvestCount?: string;
                    id_not_in?: string[];
                    id_in?: string[];
                    id_lte?: string;
                    id_gte?: string;
                    id_lt?: string;
                    id_gt?: string;
                    id_not?: string;
                    id?: string;
                };
                kpi_not_ends_with_nocase?: string;
                kpi_not_ends_with?: string;
                kpi_ends_with_nocase?: string;
                kpi_ends_with?: string;
                kpi_not_starts_with_nocase?: string;
                kpi_not_starts_with?: string;
                kpi_starts_with_nocase?: string;
                kpi_starts_with?: string;
                kpi_not_contains_nocase?: string;
                kpi_not_contains?: string;
                kpi_contains_nocase?: string;
                kpi_contains?: string;
                kpi_not_in?: string[];
                kpi_in?: string[];
                kpi_lte?: string;
                kpi_gte?: string;
                kpi_lt?: string;
                kpi_gt?: string;
                kpi_not?: string;
                kpi?: string;
                id_not_in?: string[];
                id_in?: string[];
                id_lte?: string;
                id_gte?: string;
                id_lt?: string;
                id_gt?: string;
                id_not?: string;
                id?: string;
            };
            rebase_?: any;
            rebase_not_ends_with_nocase?: string;
            rebase_not_ends_with?: string;
            rebase_ends_with_nocase?: string;
            rebase_ends_with?: string;
            rebase_not_starts_with_nocase?: string;
            rebase_not_starts_with?: string;
            rebase_starts_with_nocase?: string;
            rebase_starts_with?: string;
            rebase_not_contains_nocase?: string;
            rebase_not_contains?: string;
            rebase_contains_nocase?: string;
            rebase_contains?: string;
            rebase_not_in?: string[];
            rebase_in?: string[];
            rebase_lte?: string;
            rebase_gte?: string;
            rebase_lt?: string;
            rebase_gt?: string;
            rebase_not?: string;
            rebase?: string;
            bentoBox_?: {
                or?: any[];
                and?: any[];
                _change_block?: {
                    number_gte: number;
                };
                totals_?: any;
                transactions_?: {
                    or?: any[];
                    and?: any[];
                    _change_block?: {
                        number_gte: number;
                    };
                    timestamp_not_in?: string[];
                    timestamp_in?: string[];
                    timestamp_lte?: string;
                    timestamp_gte?: string;
                    timestamp_lt?: string;
                    timestamp_gt?: string;
                    timestamp_not?: string;
                    timestamp?: string;
                    block_not_in?: string[];
                    block_in?: string[];
                    block_lte?: string;
                    block_gte?: string;
                    block_lt?: string;
                    block_gt?: string;
                    block_not?: string;
                    block?: string;
                    share_not_in?: string[];
                    share_in?: string[];
                    share_lte?: string;
                    share_gte?: string;
                    share_lt?: string;
                    share_gt?: string;
                    share_not?: string;
                    share?: string;
                    amount_not_in?: string[];
                    amount_in?: string[];
                    amount_lte?: string;
                    amount_gte?: string;
                    amount_lt?: string;
                    amount_gt?: string;
                    amount_not?: string;
                    amount?: string;
                    token_?: any;
                    token_not_ends_with_nocase?: string;
                    token_not_ends_with?: string;
                    token_ends_with_nocase?: string;
                    token_ends_with?: string;
                    token_not_starts_with_nocase?: string;
                    token_not_starts_with?: string;
                    token_starts_with_nocase?: string;
                    token_starts_with?: string;
                    token_not_contains_nocase?: string;
                    token_not_contains?: string;
                    token_contains_nocase?: string;
                    token_contains?: string;
                    token_not_in?: string[];
                    token_in?: string[];
                    token_lte?: string;
                    token_gte?: string;
                    token_lt?: string;
                    token_gt?: string;
                    token_not?: string;
                    token?: string;
                    to_?: {
                        or?: any[];
                        and?: any[];
                        _change_block?: {
                            number_gte: number;
                        };
                        timestamp_not_in?: string[];
                        timestamp_in?: string[];
                        timestamp_lte?: string;
                        timestamp_gte?: string;
                        timestamp_lt?: string;
                        timestamp_gt?: string;
                        timestamp_not?: string;
                        timestamp?: string;
                        block_not_in?: string[];
                        block_in?: string[];
                        block_lte?: string;
                        block_gte?: string;
                        block_lt?: string;
                        block_gt?: string;
                        block_not?: string;
                        block?: string;
                        balances_?: {
                            or?: any[];
                            and?: any[];
                            _change_block?: {
                                number_gte: number;
                            };
                            share_not_in?: string[];
                            share_in?: string[];
                            share_lte?: string;
                            share_gte?: string;
                            share_lt?: string;
                            share_gt?: string;
                            share_not?: string;
                            share?: string;
                            user_?: any;
                            user_not_ends_with_nocase?: string;
                            user_not_ends_with?: string;
                            user_ends_with_nocase?: string;
                            user_ends_with?: string;
                            user_not_starts_with_nocase?: string;
                            user_not_starts_with?: string;
                            user_starts_with_nocase?: string;
                            user_starts_with?: string;
                            user_not_contains_nocase?: string;
                            user_not_contains?: string;
                            user_contains_nocase?: string;
                            user_contains?: string;
                            user_not_in?: string[];
                            user_in?: string[];
                            user_lte?: string;
                            user_gte?: string;
                            user_lt?: string;
                            user_gt?: string;
                            user_not?: string;
                            user?: string;
                            token_?: any;
                            token_not_ends_with_nocase?: string;
                            token_not_ends_with?: string;
                            token_ends_with_nocase?: string;
                            token_ends_with?: string;
                            token_not_starts_with_nocase?: string;
                            token_not_starts_with?: string;
                            token_starts_with_nocase?: string;
                            token_starts_with?: string;
                            token_not_contains_nocase?: string;
                            token_not_contains?: string;
                            token_contains_nocase?: string;
                            token_contains?: string;
                            token_not_in?: string[];
                            token_in?: string[];
                            token_lte?: string;
                            token_gte?: string;
                            token_lt?: string;
                            token_gt?: string;
                            token_not?: string;
                            token?: string;
                            id_not_in?: string[];
                            id_in?: string[];
                            id_lte?: string;
                            id_gte?: string;
                            id_lt?: string;
                            id_gt?: string;
                            id_not?: string;
                            id?: string;
                        };
                        masterContractApprovals_?: {
                            or?: any[];
                            and?: any[];
                            _change_block?: {
                                number_gte: number;
                            };
                            approved_not_in?: boolean[];
                            approved_in?: boolean[];
                            approved_not?: boolean;
                            approved?: boolean;
                            user_?: any;
                            user_not_ends_with_nocase?: string;
                            user_not_ends_with?: string;
                            user_ends_with_nocase?: string;
                            user_ends_with?: string;
                            user_not_starts_with_nocase?: string;
                            user_not_starts_with?: string;
                            user_starts_with_nocase?: string;
                            user_starts_with?: string;
                            user_not_contains_nocase?: string;
                            user_not_contains?: string;
                            user_contains_nocase?: string;
                            user_contains?: string;
                            user_not_in?: string[];
                            user_in?: string[];
                            user_lte?: string;
                            user_gte?: string;
                            user_lt?: string;
                            user_gt?: string;
                            user_not?: string;
                            user?: string;
                            masterContract_?: {
                                or?: any[];
                                and?: any[];
                                _change_block?: {
                                    number_gte: number;
                                };
                                approved_not_in?: boolean[];
                                approved_in?: boolean[];
                                approved_not?: boolean;
                                approved?: boolean;
                                masterContractApprovals_?: any;
                                clones_?: {
                                    or?: any[];
                                    and?: any[];
                                    _change_block?: {
                                        number_gte: number;
                                    };
                                    timestamp_not_in?: string[];
                                    timestamp_in?: string[];
                                    timestamp_lte?: string;
                                    timestamp_gte?: string;
                                    timestamp_lt?: string;
                                    timestamp_gt?: string;
                                    timestamp_not?: string;
                                    timestamp?: string;
                                    block_not_in?: string[];
                                    block_in?: string[];
                                    block_lte?: string;
                                    block_gte?: string;
                                    block_lt?: string;
                                    block_gt?: string;
                                    block_not?: string;
                                    block?: string;
                                    data_not_contains?: `0x${string}`;
                                    data_contains?: `0x${string}`;
                                    data_not_in?: `0x${string}`[];
                                    data_in?: `0x${string}`[];
                                    data_lte?: `0x${string}`;
                                    data_gte?: `0x${string}`;
                                    data_lt?: `0x${string}`;
                                    data_gt?: `0x${string}`;
                                    data_not?: `0x${string}`;
                                    data?: `0x${string}`;
                                    masterContract_?: any;
                                    masterContract_not_ends_with_nocase?: string;
                                    masterContract_not_ends_with?: string;
                                    masterContract_ends_with_nocase?: string;
                                    masterContract_ends_with?: string;
                                    masterContract_not_starts_with_nocase?: string;
                                    masterContract_not_starts_with?: string;
                                    masterContract_starts_with_nocase?: string;
                                    masterContract_starts_with?: string;
                                    masterContract_not_contains_nocase?: string;
                                    masterContract_not_contains?: string;
                                    masterContract_contains_nocase?: string;
                                    masterContract_contains?: string;
                                    masterContract_not_in?: string[];
                                    masterContract_in?: string[];
                                    masterContract_lte?: string;
                                    masterContract_gte?: string;
                                    masterContract_lt?: string;
                                    masterContract_gt?: string;
                                    masterContract_not?: string;
                                    masterContract?: string;
                                    bentoBox_?: any;
                                    bentoBox_not_ends_with_nocase?: string;
                                    bentoBox_not_ends_with?: string;
                                    bentoBox_ends_with_nocase?: string;
                                    bentoBox_ends_with?: string;
                                    bentoBox_not_starts_with_nocase?: string;
                                    bentoBox_not_starts_with?: string;
                                    bentoBox_starts_with_nocase?: string;
                                    bentoBox_starts_with?: string;
                                    bentoBox_not_contains_nocase?: string;
                                    bentoBox_not_contains?: string;
                                    bentoBox_contains_nocase?: string;
                                    bentoBox_contains?: string;
                                    bentoBox_not_in?: string[];
                                    bentoBox_in?: string[];
                                    bentoBox_lte?: string;
                                    bentoBox_gte?: string;
                                    bentoBox_lt?: string;
                                    bentoBox_gt?: string;
                                    bentoBox_not?: string;
                                    bentoBox?: string;
                                    id_not_in?: string[];
                                    id_in?: string[];
                                    id_lte?: string;
                                    id_gte?: string;
                                    id_lt?: string;
                                    id_gt?: string;
                                    id_not?: string;
                                    id?: string;
                                };
                                bentoBox_?: any;
                                bentoBox_not_ends_with_nocase?: string;
                                bentoBox_not_ends_with?: string;
                                bentoBox_ends_with_nocase?: string;
                                bentoBox_ends_with?: string;
                                bentoBox_not_starts_with_nocase?: string;
                                bentoBox_not_starts_with?: string;
                                bentoBox_starts_with_nocase?: string;
                                bentoBox_starts_with?: string;
                                bentoBox_not_contains_nocase?: string;
                                bentoBox_not_contains?: string;
                                bentoBox_contains_nocase?: string;
                                bentoBox_contains?: string;
                                bentoBox_not_in?: string[];
                                bentoBox_in?: string[];
                                bentoBox_lte?: string;
                                bentoBox_gte?: string;
                                bentoBox_lt?: string;
                                bentoBox_gt?: string;
                                bentoBox_not?: string;
                                bentoBox?: string;
                                id_not_in?: string[];
                                id_in?: string[];
                                id_lte?: string;
                                id_gte?: string;
                                id_lt?: string;
                                id_gt?: string;
                                id_not?: string;
                                id?: string;
                            };
                            masterContract_not_ends_with_nocase?: string;
                            masterContract_not_ends_with?: string;
                            masterContract_ends_with_nocase?: string;
                            masterContract_ends_with?: string;
                            masterContract_not_starts_with_nocase?: string;
                            masterContract_not_starts_with?: string;
                            masterContract_starts_with_nocase?: string;
                            masterContract_starts_with?: string;
                            masterContract_not_contains_nocase?: string;
                            masterContract_not_contains?: string;
                            masterContract_contains_nocase?: string;
                            masterContract_contains?: string;
                            masterContract_not_in?: string[];
                            masterContract_in?: string[];
                            masterContract_lte?: string;
                            masterContract_gte?: string;
                            masterContract_lt?: string;
                            masterContract_gt?: string;
                            masterContract_not?: string;
                            masterContract?: string;
                            id_not_in?: string[];
                            id_in?: string[];
                            id_lte?: string;
                            id_gte?: string;
                            id_lt?: string;
                            id_gt?: string;
                            id_not?: string;
                            id?: string;
                        };
                        bentoBox_?: any;
                        bentoBox_not_ends_with_nocase?: string;
                        bentoBox_not_ends_with?: string;
                        bentoBox_ends_with_nocase?: string;
                        bentoBox_ends_with?: string;
                        bentoBox_not_starts_with_nocase?: string;
                        bentoBox_not_starts_with?: string;
                        bentoBox_starts_with_nocase?: string;
                        bentoBox_starts_with?: string;
                        bentoBox_not_contains_nocase?: string;
                        bentoBox_not_contains?: string;
                        bentoBox_contains_nocase?: string;
                        bentoBox_contains?: string;
                        bentoBox_not_in?: string[];
                        bentoBox_in?: string[];
                        bentoBox_lte?: string;
                        bentoBox_gte?: string;
                        bentoBox_lt?: string;
                        bentoBox_gt?: string;
                        bentoBox_not?: string;
                        bentoBox?: string;
                        id_not_in?: string[];
                        id_in?: string[];
                        id_lte?: string;
                        id_gte?: string;
                        id_lt?: string;
                        id_gt?: string;
                        id_not?: string;
                        id?: string;
                    };
                    to_not_ends_with_nocase?: string;
                    to_not_ends_with?: string;
                    to_ends_with_nocase?: string;
                    to_ends_with?: string;
                    to_not_starts_with_nocase?: string;
                    to_not_starts_with?: string;
                    to_starts_with_nocase?: string;
                    to_starts_with?: string;
                    to_not_contains_nocase?: string;
                    to_not_contains?: string;
                    to_contains_nocase?: string;
                    to_contains?: string;
                    to_not_in?: string[];
                    to_in?: string[];
                    to_lte?: string;
                    to_gte?: string;
                    to_lt?: string;
                    to_gt?: string;
                    to_not?: string;
                    to?: string;
                    from_?: {
                        or?: any[];
                        and?: any[];
                        _change_block?: {
                            number_gte: number;
                        };
                        timestamp_not_in?: string[];
                        timestamp_in?: string[];
                        timestamp_lte?: string;
                        timestamp_gte?: string;
                        timestamp_lt?: string;
                        timestamp_gt?: string;
                        timestamp_not?: string;
                        timestamp?: string;
                        block_not_in?: string[];
                        block_in?: string[];
                        block_lte?: string;
                        block_gte?: string;
                        block_lt?: string;
                        block_gt?: string;
                        block_not?: string;
                        block?: string;
                        balances_?: {
                            or?: any[];
                            and?: any[];
                            _change_block?: {
                                number_gte: number;
                            };
                            share_not_in?: string[];
                            share_in?: string[];
                            share_lte?: string;
                            share_gte?: string;
                            share_lt?: string;
                            share_gt?: string;
                            share_not?: string;
                            share?: string;
                            user_?: any;
                            user_not_ends_with_nocase?: string;
                            user_not_ends_with?: string;
                            user_ends_with_nocase?: string;
                            user_ends_with?: string;
                            user_not_starts_with_nocase?: string;
                            user_not_starts_with?: string;
                            user_starts_with_nocase?: string;
                            user_starts_with?: string;
                            user_not_contains_nocase?: string;
                            user_not_contains?: string;
                            user_contains_nocase?: string;
                            user_contains?: string;
                            user_not_in?: string[];
                            user_in?: string[];
                            user_lte?: string;
                            user_gte?: string;
                            user_lt?: string;
                            user_gt?: string;
                            user_not?: string;
                            user?: string;
                            token_?: any;
                            token_not_ends_with_nocase?: string;
                            token_not_ends_with?: string;
                            token_ends_with_nocase?: string;
                            token_ends_with?: string;
                            token_not_starts_with_nocase?: string;
                            token_not_starts_with?: string;
                            token_starts_with_nocase?: string;
                            token_starts_with?: string;
                            token_not_contains_nocase?: string;
                            token_not_contains?: string;
                            token_contains_nocase?: string;
                            token_contains?: string;
                            token_not_in?: string[];
                            token_in?: string[];
                            token_lte?: string;
                            token_gte?: string;
                            token_lt?: string;
                            token_gt?: string;
                            token_not?: string;
                            token?: string;
                            id_not_in?: string[];
                            id_in?: string[];
                            id_lte?: string;
                            id_gte?: string;
                            id_lt?: string;
                            id_gt?: string;
                            id_not?: string;
                            id?: string;
                        };
                        masterContractApprovals_?: {
                            or?: any[];
                            and?: any[];
                            _change_block?: {
                                number_gte: number;
                            };
                            approved_not_in?: boolean[];
                            approved_in?: boolean[];
                            approved_not?: boolean;
                            approved?: boolean;
                            user_?: any;
                            user_not_ends_with_nocase?: string;
                            user_not_ends_with?: string;
                            user_ends_with_nocase?: string;
                            user_ends_with?: string;
                            user_not_starts_with_nocase?: string;
                            user_not_starts_with?: string;
                            user_starts_with_nocase?: string;
                            user_starts_with?: string;
                            user_not_contains_nocase?: string;
                            user_not_contains?: string;
                            user_contains_nocase?: string;
                            user_contains?: string;
                            user_not_in?: string[];
                            user_in?: string[];
                            user_lte?: string;
                            user_gte?: string;
                            user_lt?: string;
                            user_gt?: string;
                            user_not?: string;
                            user?: string;
                            masterContract_?: {
                                or?: any[];
                                and?: any[];
                                _change_block?: {
                                    number_gte: number;
                                };
                                approved_not_in?: boolean[];
                                approved_in?: boolean[];
                                approved_not?: boolean;
                                approved?: boolean;
                                masterContractApprovals_?: any;
                                clones_?: {
                                    or?: any[];
                                    and?: any[];
                                    _change_block?: {
                                        number_gte: number;
                                    };
                                    timestamp_not_in?: string[];
                                    timestamp_in?: string[];
                                    timestamp_lte?: string;
                                    timestamp_gte?: string;
                                    timestamp_lt?: string;
                                    timestamp_gt?: string;
                                    timestamp_not?: string;
                                    timestamp?: string;
                                    block_not_in?: string[];
                                    block_in?: string[];
                                    block_lte?: string;
                                    block_gte?: string;
                                    block_lt?: string;
                                    block_gt?: string;
                                    block_not?: string;
                                    block?: string;
                                    data_not_contains?: `0x${string}`;
                                    data_contains?: `0x${string}`;
                                    data_not_in?: `0x${string}`[];
                                    data_in?: `0x${string}`[];
                                    data_lte?: `0x${string}`;
                                    data_gte?: `0x${string}`;
                                    data_lt?: `0x${string}`;
                                    data_gt?: `0x${string}`;
                                    data_not?: `0x${string}`;
                                    data?: `0x${string}`;
                                    masterContract_?: any;
                                    masterContract_not_ends_with_nocase?: string;
                                    masterContract_not_ends_with?: string;
                                    masterContract_ends_with_nocase?: string;
                                    masterContract_ends_with?: string;
                                    masterContract_not_starts_with_nocase?: string;
                                    masterContract_not_starts_with?: string;
                                    masterContract_starts_with_nocase?: string;
                                    masterContract_starts_with?: string;
                                    masterContract_not_contains_nocase?: string;
                                    masterContract_not_contains?: string;
                                    masterContract_contains_nocase?: string;
                                    masterContract_contains?: string;
                                    masterContract_not_in?: string[];
                                    masterContract_in?: string[];
                                    masterContract_lte?: string;
                                    masterContract_gte?: string;
                                    masterContract_lt?: string;
                                    masterContract_gt?: string;
                                    masterContract_not?: string;
                                    masterContract?: string;
                                    bentoBox_?: any;
                                    bentoBox_not_ends_with_nocase?: string;
                                    bentoBox_not_ends_with?: string;
                                    bentoBox_ends_with_nocase?: string;
                                    bentoBox_ends_with?: string;
                                    bentoBox_not_starts_with_nocase?: string;
                                    bentoBox_not_starts_with?: string;
                                    bentoBox_starts_with_nocase?: string;
                                    bentoBox_starts_with?: string;
                                    bentoBox_not_contains_nocase?: string;
                                    bentoBox_not_contains?: string;
                                    bentoBox_contains_nocase?: string;
                                    bentoBox_contains?: string;
                                    bentoBox_not_in?: string[];
                                    bentoBox_in?: string[];
                                    bentoBox_lte?: string;
                                    bentoBox_gte?: string;
                                    bentoBox_lt?: string;
                                    bentoBox_gt?: string;
                                    bentoBox_not?: string;
                                    bentoBox?: string;
                                    id_not_in?: string[];
                                    id_in?: string[];
                                    id_lte?: string;
                                    id_gte?: string;
                                    id_lt?: string;
                                    id_gt?: string;
                                    id_not?: string;
                                    id?: string;
                                };
                                bentoBox_?: any;
                                bentoBox_not_ends_with_nocase?: string;
                                bentoBox_not_ends_with?: string;
                                bentoBox_ends_with_nocase?: string;
                                bentoBox_ends_with?: string;
                                bentoBox_not_starts_with_nocase?: string;
                                bentoBox_not_starts_with?: string;
                                bentoBox_starts_with_nocase?: string;
                                bentoBox_starts_with?: string;
                                bentoBox_not_contains_nocase?: string;
                                bentoBox_not_contains?: string;
                                bentoBox_contains_nocase?: string;
                                bentoBox_contains?: string;
                                bentoBox_not_in?: string[];
                                bentoBox_in?: string[];
                                bentoBox_lte?: string;
                                bentoBox_gte?: string;
                                bentoBox_lt?: string;
                                bentoBox_gt?: string;
                                bentoBox_not?: string;
                                bentoBox?: string;
                                id_not_in?: string[];
                                id_in?: string[];
                                id_lte?: string;
                                id_gte?: string;
                                id_lt?: string;
                                id_gt?: string;
                                id_not?: string;
                                id?: string;
                            };
                            masterContract_not_ends_with_nocase?: string;
                            masterContract_not_ends_with?: string;
                            masterContract_ends_with_nocase?: string;
                            masterContract_ends_with?: string;
                            masterContract_not_starts_with_nocase?: string;
                            masterContract_not_starts_with?: string;
                            masterContract_starts_with_nocase?: string;
                            masterContract_starts_with?: string;
                            masterContract_not_contains_nocase?: string;
                            masterContract_not_contains?: string;
                            masterContract_contains_nocase?: string;
                            masterContract_contains?: string;
                            masterContract_not_in?: string[];
                            masterContract_in?: string[];
                            masterContract_lte?: string;
                            masterContract_gte?: string;
                            masterContract_lt?: string;
                            masterContract_gt?: string;
                            masterContract_not?: string;
                            masterContract?: string;
                            id_not_in?: string[];
                            id_in?: string[];
                            id_lte?: string;
                            id_gte?: string;
                            id_lt?: string;
                            id_gt?: string;
                            id_not?: string;
                            id?: string;
                        };
                        bentoBox_?: any;
                        bentoBox_not_ends_with_nocase?: string;
                        bentoBox_not_ends_with?: string;
                        bentoBox_ends_with_nocase?: string;
                        bentoBox_ends_with?: string;
                        bentoBox_not_starts_with_nocase?: string;
                        bentoBox_not_starts_with?: string;
                        bentoBox_starts_with_nocase?: string;
                        bentoBox_starts_with?: string;
                        bentoBox_not_contains_nocase?: string;
                        bentoBox_not_contains?: string;
                        bentoBox_contains_nocase?: string;
                        bentoBox_contains?: string;
                        bentoBox_not_in?: string[];
                        bentoBox_in?: string[];
                        bentoBox_lte?: string;
                        bentoBox_gte?: string;
                        bentoBox_lt?: string;
                        bentoBox_gt?: string;
                        bentoBox_not?: string;
                        bentoBox?: string;
                        id_not_in?: string[];
                        id_in?: string[];
                        id_lte?: string;
                        id_gte?: string;
                        id_lt?: string;
                        id_gt?: string;
                        id_not?: string;
                        id?: string;
                    };
                    from_not_ends_with_nocase?: string;
                    from_not_ends_with?: string;
                    from_ends_with_nocase?: string;
                    from_ends_with?: string;
                    from_not_starts_with_nocase?: string;
                    from_not_starts_with?: string;
                    from_starts_with_nocase?: string;
                    from_starts_with?: string;
                    from_not_contains_nocase?: string;
                    from_not_contains?: string;
                    from_contains_nocase?: string;
                    from_contains?: string;
                    from_not_in?: string[];
                    from_in?: string[];
                    from_lte?: string;
                    from_gte?: string;
                    from_lt?: string;
                    from_gt?: string;
                    from_not?: string;
                    from?: string;
                    type_not_in?: ("transfer" | "deposit" | "withdraw")[];
                    type_in?: ("transfer" | "deposit" | "withdraw")[];
                    type_not?: "transfer" | "deposit" | "withdraw";
                    type?: "transfer" | "deposit" | "withdraw";
                    bentoBox_?: any;
                    bentoBox_not_ends_with_nocase?: string;
                    bentoBox_not_ends_with?: string;
                    bentoBox_ends_with_nocase?: string;
                    bentoBox_ends_with?: string;
                    bentoBox_not_starts_with_nocase?: string;
                    bentoBox_not_starts_with?: string;
                    bentoBox_starts_with_nocase?: string;
                    bentoBox_starts_with?: string;
                    bentoBox_not_contains_nocase?: string;
                    bentoBox_not_contains?: string;
                    bentoBox_contains_nocase?: string;
                    bentoBox_contains?: string;
                    bentoBox_not_in?: string[];
                    bentoBox_in?: string[];
                    bentoBox_lte?: string;
                    bentoBox_gte?: string;
                    bentoBox_lt?: string;
                    bentoBox_gt?: string;
                    bentoBox_not?: string;
                    bentoBox?: string;
                    id_not_in?: string[];
                    id_in?: string[];
                    id_lte?: string;
                    id_gte?: string;
                    id_lt?: string;
                    id_gt?: string;
                    id_not?: string;
                    id?: string;
                };
                flashloans_?: {
                    or?: any[];
                    and?: any[];
                    _change_block?: {
                        number_gte: number;
                    };
                    timestamp_not_in?: string[];
                    timestamp_in?: string[];
                    timestamp_lte?: string;
                    timestamp_gte?: string;
                    timestamp_lt?: string;
                    timestamp_gt?: string;
                    timestamp_not?: string;
                    timestamp?: string;
                    block_not_in?: string[];
                    block_in?: string[];
                    block_lte?: string;
                    block_gte?: string;
                    block_lt?: string;
                    block_gt?: string;
                    block_not?: string;
                    block?: string;
                    feeAmount_not_in?: string[];
                    feeAmount_in?: string[];
                    feeAmount_lte?: string;
                    feeAmount_gte?: string;
                    feeAmount_lt?: string;
                    feeAmount_gt?: string;
                    feeAmount_not?: string;
                    feeAmount?: string;
                    amount_not_in?: string[];
                    amount_in?: string[];
                    amount_lte?: string;
                    amount_gte?: string;
                    amount_lt?: string;
                    amount_gt?: string;
                    amount_not?: string;
                    amount?: string;
                    token_?: any;
                    token_not_ends_with_nocase?: string;
                    token_not_ends_with?: string;
                    token_ends_with_nocase?: string;
                    token_ends_with?: string;
                    token_not_starts_with_nocase?: string;
                    token_not_starts_with?: string;
                    token_starts_with_nocase?: string;
                    token_starts_with?: string;
                    token_not_contains_nocase?: string;
                    token_not_contains?: string;
                    token_contains_nocase?: string;
                    token_contains?: string;
                    token_not_in?: string[];
                    token_in?: string[];
                    token_lte?: string;
                    token_gte?: string;
                    token_lt?: string;
                    token_gt?: string;
                    token_not?: string;
                    token?: string;
                    receiver_not_contains?: `0x${string}`;
                    receiver_contains?: `0x${string}`;
                    receiver_not_in?: `0x${string}`[];
                    receiver_in?: `0x${string}`[];
                    receiver_lte?: `0x${string}`;
                    receiver_gte?: `0x${string}`;
                    receiver_lt?: `0x${string}`;
                    receiver_gt?: `0x${string}`;
                    receiver_not?: `0x${string}`;
                    receiver?: `0x${string}`;
                    borrower_not_contains?: `0x${string}`;
                    borrower_contains?: `0x${string}`;
                    borrower_not_in?: `0x${string}`[];
                    borrower_in?: `0x${string}`[];
                    borrower_lte?: `0x${string}`;
                    borrower_gte?: `0x${string}`;
                    borrower_lt?: `0x${string}`;
                    borrower_gt?: `0x${string}`;
                    borrower_not?: `0x${string}`;
                    borrower?: `0x${string}`;
                    bentoBox_?: any;
                    bentoBox_not_ends_with_nocase?: string;
                    bentoBox_not_ends_with?: string;
                    bentoBox_ends_with_nocase?: string;
                    bentoBox_ends_with?: string;
                    bentoBox_not_starts_with_nocase?: string;
                    bentoBox_not_starts_with?: string;
                    bentoBox_starts_with_nocase?: string;
                    bentoBox_starts_with?: string;
                    bentoBox_not_contains_nocase?: string;
                    bentoBox_not_contains?: string;
                    bentoBox_contains_nocase?: string;
                    bentoBox_contains?: string;
                    bentoBox_not_in?: string[];
                    bentoBox_in?: string[];
                    bentoBox_lte?: string;
                    bentoBox_gte?: string;
                    bentoBox_lt?: string;
                    bentoBox_gt?: string;
                    bentoBox_not?: string;
                    bentoBox?: string;
                    id_not_in?: string[];
                    id_in?: string[];
                    id_lte?: string;
                    id_gte?: string;
                    id_lt?: string;
                    id_gt?: string;
                    id_not?: string;
                    id?: string;
                };
                clones_?: {
                    or?: any[];
                    and?: any[];
                    _change_block?: {
                        number_gte: number;
                    };
                    timestamp_not_in?: string[];
                    timestamp_in?: string[];
                    timestamp_lte?: string;
                    timestamp_gte?: string;
                    timestamp_lt?: string;
                    timestamp_gt?: string;
                    timestamp_not?: string;
                    timestamp?: string;
                    block_not_in?: string[];
                    block_in?: string[];
                    block_lte?: string;
                    block_gte?: string;
                    block_lt?: string;
                    block_gt?: string;
                    block_not?: string;
                    block?: string;
                    data_not_contains?: `0x${string}`;
                    data_contains?: `0x${string}`;
                    data_not_in?: `0x${string}`[];
                    data_in?: `0x${string}`[];
                    data_lte?: `0x${string}`;
                    data_gte?: `0x${string}`;
                    data_lt?: `0x${string}`;
                    data_gt?: `0x${string}`;
                    data_not?: `0x${string}`;
                    data?: `0x${string}`;
                    masterContract_?: any;
                    masterContract_not_ends_with_nocase?: string;
                    masterContract_not_ends_with?: string;
                    masterContract_ends_with_nocase?: string;
                    masterContract_ends_with?: string;
                    masterContract_not_starts_with_nocase?: string;
                    masterContract_not_starts_with?: string;
                    masterContract_starts_with_nocase?: string;
                    masterContract_starts_with?: string;
                    masterContract_not_contains_nocase?: string;
                    masterContract_not_contains?: string;
                    masterContract_contains_nocase?: string;
                    masterContract_contains?: string;
                    masterContract_not_in?: string[];
                    masterContract_in?: string[];
                    masterContract_lte?: string;
                    masterContract_gte?: string;
                    masterContract_lt?: string;
                    masterContract_gt?: string;
                    masterContract_not?: string;
                    masterContract?: string;
                    bentoBox_?: any;
                    bentoBox_not_ends_with_nocase?: string;
                    bentoBox_not_ends_with?: string;
                    bentoBox_ends_with_nocase?: string;
                    bentoBox_ends_with?: string;
                    bentoBox_not_starts_with_nocase?: string;
                    bentoBox_not_starts_with?: string;
                    bentoBox_starts_with_nocase?: string;
                    bentoBox_starts_with?: string;
                    bentoBox_not_contains_nocase?: string;
                    bentoBox_not_contains?: string;
                    bentoBox_contains_nocase?: string;
                    bentoBox_contains?: string;
                    bentoBox_not_in?: string[];
                    bentoBox_in?: string[];
                    bentoBox_lte?: string;
                    bentoBox_gte?: string;
                    bentoBox_lt?: string;
                    bentoBox_gt?: string;
                    bentoBox_not?: string;
                    bentoBox?: string;
                    id_not_in?: string[];
                    id_in?: string[];
                    id_lte?: string;
                    id_gte?: string;
                    id_lt?: string;
                    id_gt?: string;
                    id_not?: string;
                    id?: string;
                };
                masterContracts_?: {
                    or?: any[];
                    and?: any[];
                    _change_block?: {
                        number_gte: number;
                    };
                    approved_not_in?: boolean[];
                    approved_in?: boolean[];
                    approved_not?: boolean;
                    approved?: boolean;
                    masterContractApprovals_?: any;
                    clones_?: {
                        or?: any[];
                        and?: any[];
                        _change_block?: {
                            number_gte: number;
                        };
                        timestamp_not_in?: string[];
                        timestamp_in?: string[];
                        timestamp_lte?: string;
                        timestamp_gte?: string;
                        timestamp_lt?: string;
                        timestamp_gt?: string;
                        timestamp_not?: string;
                        timestamp?: string;
                        block_not_in?: string[];
                        block_in?: string[];
                        block_lte?: string;
                        block_gte?: string;
                        block_lt?: string;
                        block_gt?: string;
                        block_not?: string;
                        block?: string;
                        data_not_contains?: `0x${string}`;
                        data_contains?: `0x${string}`;
                        data_not_in?: `0x${string}`[];
                        data_in?: `0x${string}`[];
                        data_lte?: `0x${string}`;
                        data_gte?: `0x${string}`;
                        data_lt?: `0x${string}`;
                        data_gt?: `0x${string}`;
                        data_not?: `0x${string}`;
                        data?: `0x${string}`;
                        masterContract_?: any;
                        masterContract_not_ends_with_nocase?: string;
                        masterContract_not_ends_with?: string;
                        masterContract_ends_with_nocase?: string;
                        masterContract_ends_with?: string;
                        masterContract_not_starts_with_nocase?: string;
                        masterContract_not_starts_with?: string;
                        masterContract_starts_with_nocase?: string;
                        masterContract_starts_with?: string;
                        masterContract_not_contains_nocase?: string;
                        masterContract_not_contains?: string;
                        masterContract_contains_nocase?: string;
                        masterContract_contains?: string;
                        masterContract_not_in?: string[];
                        masterContract_in?: string[];
                        masterContract_lte?: string;
                        masterContract_gte?: string;
                        masterContract_lt?: string;
                        masterContract_gt?: string;
                        masterContract_not?: string;
                        masterContract?: string;
                        bentoBox_?: any;
                        bentoBox_not_ends_with_nocase?: string;
                        bentoBox_not_ends_with?: string;
                        bentoBox_ends_with_nocase?: string;
                        bentoBox_ends_with?: string;
                        bentoBox_not_starts_with_nocase?: string;
                        bentoBox_not_starts_with?: string;
                        bentoBox_starts_with_nocase?: string;
                        bentoBox_starts_with?: string;
                        bentoBox_not_contains_nocase?: string;
                        bentoBox_not_contains?: string;
                        bentoBox_contains_nocase?: string;
                        bentoBox_contains?: string;
                        bentoBox_not_in?: string[];
                        bentoBox_in?: string[];
                        bentoBox_lte?: string;
                        bentoBox_gte?: string;
                        bentoBox_lt?: string;
                        bentoBox_gt?: string;
                        bentoBox_not?: string;
                        bentoBox?: string;
                        id_not_in?: string[];
                        id_in?: string[];
                        id_lte?: string;
                        id_gte?: string;
                        id_lt?: string;
                        id_gt?: string;
                        id_not?: string;
                        id?: string;
                    };
                    bentoBox_?: any;
                    bentoBox_not_ends_with_nocase?: string;
                    bentoBox_not_ends_with?: string;
                    bentoBox_ends_with_nocase?: string;
                    bentoBox_ends_with?: string;
                    bentoBox_not_starts_with_nocase?: string;
                    bentoBox_not_starts_with?: string;
                    bentoBox_starts_with_nocase?: string;
                    bentoBox_starts_with?: string;
                    bentoBox_not_contains_nocase?: string;
                    bentoBox_not_contains?: string;
                    bentoBox_contains_nocase?: string;
                    bentoBox_contains?: string;
                    bentoBox_not_in?: string[];
                    bentoBox_in?: string[];
                    bentoBox_lte?: string;
                    bentoBox_gte?: string;
                    bentoBox_lt?: string;
                    bentoBox_gt?: string;
                    bentoBox_not?: string;
                    bentoBox?: string;
                    id_not_in?: string[];
                    id_in?: string[];
                    id_lte?: string;
                    id_gte?: string;
                    id_lt?: string;
                    id_gt?: string;
                    id_not?: string;
                    id?: string;
                };
                tokens_?: any;
                users_?: {
                    or?: any[];
                    and?: any[];
                    _change_block?: {
                        number_gte: number;
                    };
                    timestamp_not_in?: string[];
                    timestamp_in?: string[];
                    timestamp_lte?: string;
                    timestamp_gte?: string;
                    timestamp_lt?: string;
                    timestamp_gt?: string;
                    timestamp_not?: string;
                    timestamp?: string;
                    block_not_in?: string[];
                    block_in?: string[];
                    block_lte?: string;
                    block_gte?: string;
                    block_lt?: string;
                    block_gt?: string;
                    block_not?: string;
                    block?: string;
                    balances_?: {
                        or?: any[];
                        and?: any[];
                        _change_block?: {
                            number_gte: number;
                        };
                        share_not_in?: string[];
                        share_in?: string[];
                        share_lte?: string;
                        share_gte?: string;
                        share_lt?: string;
                        share_gt?: string;
                        share_not?: string;
                        share?: string;
                        user_?: any;
                        user_not_ends_with_nocase?: string;
                        user_not_ends_with?: string;
                        user_ends_with_nocase?: string;
                        user_ends_with?: string;
                        user_not_starts_with_nocase?: string;
                        user_not_starts_with?: string;
                        user_starts_with_nocase?: string;
                        user_starts_with?: string;
                        user_not_contains_nocase?: string;
                        user_not_contains?: string;
                        user_contains_nocase?: string;
                        user_contains?: string;
                        user_not_in?: string[];
                        user_in?: string[];
                        user_lte?: string;
                        user_gte?: string;
                        user_lt?: string;
                        user_gt?: string;
                        user_not?: string;
                        user?: string;
                        token_?: any;
                        token_not_ends_with_nocase?: string;
                        token_not_ends_with?: string;
                        token_ends_with_nocase?: string;
                        token_ends_with?: string;
                        token_not_starts_with_nocase?: string;
                        token_not_starts_with?: string;
                        token_starts_with_nocase?: string;
                        token_starts_with?: string;
                        token_not_contains_nocase?: string;
                        token_not_contains?: string;
                        token_contains_nocase?: string;
                        token_contains?: string;
                        token_not_in?: string[];
                        token_in?: string[];
                        token_lte?: string;
                        token_gte?: string;
                        token_lt?: string;
                        token_gt?: string;
                        token_not?: string;
                        token?: string;
                        id_not_in?: string[];
                        id_in?: string[];
                        id_lte?: string;
                        id_gte?: string;
                        id_lt?: string;
                        id_gt?: string;
                        id_not?: string;
                        id?: string;
                    };
                    masterContractApprovals_?: {
                        or?: any[];
                        and?: any[];
                        _change_block?: {
                            number_gte: number;
                        };
                        approved_not_in?: boolean[];
                        approved_in?: boolean[];
                        approved_not?: boolean;
                        approved?: boolean;
                        user_?: any;
                        user_not_ends_with_nocase?: string;
                        user_not_ends_with?: string;
                        user_ends_with_nocase?: string;
                        user_ends_with?: string;
                        user_not_starts_with_nocase?: string;
                        user_not_starts_with?: string;
                        user_starts_with_nocase?: string;
                        user_starts_with?: string;
                        user_not_contains_nocase?: string;
                        user_not_contains?: string;
                        user_contains_nocase?: string;
                        user_contains?: string;
                        user_not_in?: string[];
                        user_in?: string[];
                        user_lte?: string;
                        user_gte?: string;
                        user_lt?: string;
                        user_gt?: string;
                        user_not?: string;
                        user?: string;
                        masterContract_?: {
                            or?: any[];
                            and?: any[];
                            _change_block?: {
                                number_gte: number;
                            };
                            approved_not_in?: boolean[];
                            approved_in?: boolean[];
                            approved_not?: boolean;
                            approved?: boolean;
                            masterContractApprovals_?: any;
                            clones_?: {
                                or?: any[];
                                and?: any[];
                                _change_block?: {
                                    number_gte: number;
                                };
                                timestamp_not_in?: string[];
                                timestamp_in?: string[];
                                timestamp_lte?: string;
                                timestamp_gte?: string;
                                timestamp_lt?: string;
                                timestamp_gt?: string;
                                timestamp_not?: string;
                                timestamp?: string;
                                block_not_in?: string[];
                                block_in?: string[];
                                block_lte?: string;
                                block_gte?: string;
                                block_lt?: string;
                                block_gt?: string;
                                block_not?: string;
                                block?: string;
                                data_not_contains?: `0x${string}`;
                                data_contains?: `0x${string}`;
                                data_not_in?: `0x${string}`[];
                                data_in?: `0x${string}`[];
                                data_lte?: `0x${string}`;
                                data_gte?: `0x${string}`;
                                data_lt?: `0x${string}`;
                                data_gt?: `0x${string}`;
                                data_not?: `0x${string}`;
                                data?: `0x${string}`;
                                masterContract_?: any;
                                masterContract_not_ends_with_nocase?: string;
                                masterContract_not_ends_with?: string;
                                masterContract_ends_with_nocase?: string;
                                masterContract_ends_with?: string;
                                masterContract_not_starts_with_nocase?: string;
                                masterContract_not_starts_with?: string;
                                masterContract_starts_with_nocase?: string;
                                masterContract_starts_with?: string;
                                masterContract_not_contains_nocase?: string;
                                masterContract_not_contains?: string;
                                masterContract_contains_nocase?: string;
                                masterContract_contains?: string;
                                masterContract_not_in?: string[];
                                masterContract_in?: string[];
                                masterContract_lte?: string;
                                masterContract_gte?: string;
                                masterContract_lt?: string;
                                masterContract_gt?: string;
                                masterContract_not?: string;
                                masterContract?: string;
                                bentoBox_?: any;
                                bentoBox_not_ends_with_nocase?: string;
                                bentoBox_not_ends_with?: string;
                                bentoBox_ends_with_nocase?: string;
                                bentoBox_ends_with?: string;
                                bentoBox_not_starts_with_nocase?: string;
                                bentoBox_not_starts_with?: string;
                                bentoBox_starts_with_nocase?: string;
                                bentoBox_starts_with?: string;
                                bentoBox_not_contains_nocase?: string;
                                bentoBox_not_contains?: string;
                                bentoBox_contains_nocase?: string;
                                bentoBox_contains?: string;
                                bentoBox_not_in?: string[];
                                bentoBox_in?: string[];
                                bentoBox_lte?: string;
                                bentoBox_gte?: string;
                                bentoBox_lt?: string;
                                bentoBox_gt?: string;
                                bentoBox_not?: string;
                                bentoBox?: string;
                                id_not_in?: string[];
                                id_in?: string[];
                                id_lte?: string;
                                id_gte?: string;
                                id_lt?: string;
                                id_gt?: string;
                                id_not?: string;
                                id?: string;
                            };
                            bentoBox_?: any;
                            bentoBox_not_ends_with_nocase?: string;
                            bentoBox_not_ends_with?: string;
                            bentoBox_ends_with_nocase?: string;
                            bentoBox_ends_with?: string;
                            bentoBox_not_starts_with_nocase?: string;
                            bentoBox_not_starts_with?: string;
                            bentoBox_starts_with_nocase?: string;
                            bentoBox_starts_with?: string;
                            bentoBox_not_contains_nocase?: string;
                            bentoBox_not_contains?: string;
                            bentoBox_contains_nocase?: string;
                            bentoBox_contains?: string;
                            bentoBox_not_in?: string[];
                            bentoBox_in?: string[];
                            bentoBox_lte?: string;
                            bentoBox_gte?: string;
                            bentoBox_lt?: string;
                            bentoBox_gt?: string;
                            bentoBox_not?: string;
                            bentoBox?: string;
                            id_not_in?: string[];
                            id_in?: string[];
                            id_lte?: string;
                            id_gte?: string;
                            id_lt?: string;
                            id_gt?: string;
                            id_not?: string;
                            id?: string;
                        };
                        masterContract_not_ends_with_nocase?: string;
                        masterContract_not_ends_with?: string;
                        masterContract_ends_with_nocase?: string;
                        masterContract_ends_with?: string;
                        masterContract_not_starts_with_nocase?: string;
                        masterContract_not_starts_with?: string;
                        masterContract_starts_with_nocase?: string;
                        masterContract_starts_with?: string;
                        masterContract_not_contains_nocase?: string;
                        masterContract_not_contains?: string;
                        masterContract_contains_nocase?: string;
                        masterContract_contains?: string;
                        masterContract_not_in?: string[];
                        masterContract_in?: string[];
                        masterContract_lte?: string;
                        masterContract_gte?: string;
                        masterContract_lt?: string;
                        masterContract_gt?: string;
                        masterContract_not?: string;
                        masterContract?: string;
                        id_not_in?: string[];
                        id_in?: string[];
                        id_lte?: string;
                        id_gte?: string;
                        id_lt?: string;
                        id_gt?: string;
                        id_not?: string;
                        id?: string;
                    };
                    bentoBox_?: any;
                    bentoBox_not_ends_with_nocase?: string;
                    bentoBox_not_ends_with?: string;
                    bentoBox_ends_with_nocase?: string;
                    bentoBox_ends_with?: string;
                    bentoBox_not_starts_with_nocase?: string;
                    bentoBox_not_starts_with?: string;
                    bentoBox_starts_with_nocase?: string;
                    bentoBox_starts_with?: string;
                    bentoBox_not_contains_nocase?: string;
                    bentoBox_not_contains?: string;
                    bentoBox_contains_nocase?: string;
                    bentoBox_contains?: string;
                    bentoBox_not_in?: string[];
                    bentoBox_in?: string[];
                    bentoBox_lte?: string;
                    bentoBox_gte?: string;
                    bentoBox_lt?: string;
                    bentoBox_gt?: string;
                    bentoBox_not?: string;
                    bentoBox?: string;
                    id_not_in?: string[];
                    id_in?: string[];
                    id_lte?: string;
                    id_gte?: string;
                    id_lt?: string;
                    id_gt?: string;
                    id_not?: string;
                    id?: string;
                };
                protocols_?: {
                    or?: any[];
                    and?: any[];
                    _change_block?: {
                        number_gte: number;
                    };
                    bentoBox_?: any;
                    bentoBox_not_ends_with_nocase?: string;
                    bentoBox_not_ends_with?: string;
                    bentoBox_ends_with_nocase?: string;
                    bentoBox_ends_with?: string;
                    bentoBox_not_starts_with_nocase?: string;
                    bentoBox_not_starts_with?: string;
                    bentoBox_starts_with_nocase?: string;
                    bentoBox_starts_with?: string;
                    bentoBox_not_contains_nocase?: string;
                    bentoBox_not_contains?: string;
                    bentoBox_contains_nocase?: string;
                    bentoBox_contains?: string;
                    bentoBox_not_in?: string[];
                    bentoBox_in?: string[];
                    bentoBox_lte?: string;
                    bentoBox_gte?: string;
                    bentoBox_lt?: string;
                    bentoBox_gt?: string;
                    bentoBox_not?: string;
                    bentoBox?: string;
                    id_not_in?: string[];
                    id_in?: string[];
                    id_lte?: string;
                    id_gte?: string;
                    id_lt?: string;
                    id_gt?: string;
                    id_not?: string;
                    id?: string;
                };
                id_not_in?: string[];
                id_in?: string[];
                id_lte?: string;
                id_gte?: string;
                id_lt?: string;
                id_gt?: string;
                id_not?: string;
                id?: string;
            };
            bentoBox_not_ends_with_nocase?: string;
            bentoBox_not_ends_with?: string;
            bentoBox_ends_with_nocase?: string;
            bentoBox_ends_with?: string;
            bentoBox_not_starts_with_nocase?: string;
            bentoBox_not_starts_with?: string;
            bentoBox_starts_with_nocase?: string;
            bentoBox_starts_with?: string;
            bentoBox_not_contains_nocase?: string;
            bentoBox_not_contains?: string;
            bentoBox_contains_nocase?: string;
            bentoBox_contains?: string;
            bentoBox_not_in?: string[];
            bentoBox_in?: string[];
            bentoBox_lte?: string;
            bentoBox_gte?: string;
            bentoBox_lt?: string;
            bentoBox_gt?: string;
            bentoBox_not?: string;
            bentoBox?: string;
            id_not_in?: string[];
            id_in?: string[];
            id_lte?: string;
            id_gte?: string;
            id_lt?: string;
            id_gt?: string;
            id_not?: string;
            id?: string;
        };
        token_not_ends_with_nocase?: string;
        token_not_ends_with?: string;
        token_ends_with_nocase?: string;
        token_ends_with?: string;
        token_not_starts_with_nocase?: string;
        token_not_starts_with?: string;
        token_starts_with_nocase?: string;
        token_starts_with?: string;
        token_not_contains_nocase?: string;
        token_not_contains?: string;
        token_contains_nocase?: string;
        token_contains?: string;
        token_not_in?: string[];
        token_in?: string[];
        token_lte?: string;
        token_gte?: string;
        token_lt?: string;
        token_gt?: string;
        token_not?: string;
        token?: string;
        bentoBox_?: {
            or?: any[];
            and?: any[];
            _change_block?: {
                number_gte: number;
            };
            totals_?: any;
            transactions_?: {
                or?: any[];
                and?: any[];
                _change_block?: {
                    number_gte: number;
                };
                timestamp_not_in?: string[];
                timestamp_in?: string[];
                timestamp_lte?: string;
                timestamp_gte?: string;
                timestamp_lt?: string;
                timestamp_gt?: string;
                timestamp_not?: string;
                timestamp?: string;
                block_not_in?: string[];
                block_in?: string[];
                block_lte?: string;
                block_gte?: string;
                block_lt?: string;
                block_gt?: string;
                block_not?: string;
                block?: string;
                share_not_in?: string[];
                share_in?: string[];
                share_lte?: string;
                share_gte?: string;
                share_lt?: string;
                share_gt?: string;
                share_not?: string;
                share?: string;
                amount_not_in?: string[];
                amount_in?: string[];
                amount_lte?: string;
                amount_gte?: string;
                amount_lt?: string;
                amount_gt?: string;
                amount_not?: string;
                amount?: string;
                token_?: any;
                token_not_ends_with_nocase?: string;
                token_not_ends_with?: string;
                token_ends_with_nocase?: string;
                token_ends_with?: string;
                token_not_starts_with_nocase?: string;
                token_not_starts_with?: string;
                token_starts_with_nocase?: string;
                token_starts_with?: string;
                token_not_contains_nocase?: string;
                token_not_contains?: string;
                token_contains_nocase?: string;
                token_contains?: string;
                token_not_in?: string[];
                token_in?: string[];
                token_lte?: string;
                token_gte?: string;
                token_lt?: string;
                token_gt?: string;
                token_not?: string;
                token?: string;
                to_?: {
                    or?: any[];
                    and?: any[];
                    _change_block?: {
                        number_gte: number;
                    };
                    timestamp_not_in?: string[];
                    timestamp_in?: string[];
                    timestamp_lte?: string;
                    timestamp_gte?: string;
                    timestamp_lt?: string;
                    timestamp_gt?: string;
                    timestamp_not?: string;
                    timestamp?: string;
                    block_not_in?: string[];
                    block_in?: string[];
                    block_lte?: string;
                    block_gte?: string;
                    block_lt?: string;
                    block_gt?: string;
                    block_not?: string;
                    block?: string;
                    balances_?: {
                        or?: any[];
                        and?: any[];
                        _change_block?: {
                            number_gte: number;
                        };
                        share_not_in?: string[];
                        share_in?: string[];
                        share_lte?: string;
                        share_gte?: string;
                        share_lt?: string;
                        share_gt?: string;
                        share_not?: string;
                        share?: string;
                        user_?: any;
                        user_not_ends_with_nocase?: string;
                        user_not_ends_with?: string;
                        user_ends_with_nocase?: string;
                        user_ends_with?: string;
                        user_not_starts_with_nocase?: string;
                        user_not_starts_with?: string;
                        user_starts_with_nocase?: string;
                        user_starts_with?: string;
                        user_not_contains_nocase?: string;
                        user_not_contains?: string;
                        user_contains_nocase?: string;
                        user_contains?: string;
                        user_not_in?: string[];
                        user_in?: string[];
                        user_lte?: string;
                        user_gte?: string;
                        user_lt?: string;
                        user_gt?: string;
                        user_not?: string;
                        user?: string;
                        token_?: any;
                        token_not_ends_with_nocase?: string;
                        token_not_ends_with?: string;
                        token_ends_with_nocase?: string;
                        token_ends_with?: string;
                        token_not_starts_with_nocase?: string;
                        token_not_starts_with?: string;
                        token_starts_with_nocase?: string;
                        token_starts_with?: string;
                        token_not_contains_nocase?: string;
                        token_not_contains?: string;
                        token_contains_nocase?: string;
                        token_contains?: string;
                        token_not_in?: string[];
                        token_in?: string[];
                        token_lte?: string;
                        token_gte?: string;
                        token_lt?: string;
                        token_gt?: string;
                        token_not?: string;
                        token?: string;
                        id_not_in?: string[];
                        id_in?: string[];
                        id_lte?: string;
                        id_gte?: string;
                        id_lt?: string;
                        id_gt?: string;
                        id_not?: string;
                        id?: string;
                    };
                    masterContractApprovals_?: {
                        or?: any[];
                        and?: any[];
                        _change_block?: {
                            number_gte: number;
                        };
                        approved_not_in?: boolean[];
                        approved_in?: boolean[];
                        approved_not?: boolean;
                        approved?: boolean;
                        user_?: any;
                        user_not_ends_with_nocase?: string;
                        user_not_ends_with?: string;
                        user_ends_with_nocase?: string;
                        user_ends_with?: string;
                        user_not_starts_with_nocase?: string;
                        user_not_starts_with?: string;
                        user_starts_with_nocase?: string;
                        user_starts_with?: string;
                        user_not_contains_nocase?: string;
                        user_not_contains?: string;
                        user_contains_nocase?: string;
                        user_contains?: string;
                        user_not_in?: string[];
                        user_in?: string[];
                        user_lte?: string;
                        user_gte?: string;
                        user_lt?: string;
                        user_gt?: string;
                        user_not?: string;
                        user?: string;
                        masterContract_?: {
                            or?: any[];
                            and?: any[];
                            _change_block?: {
                                number_gte: number;
                            };
                            approved_not_in?: boolean[];
                            approved_in?: boolean[];
                            approved_not?: boolean;
                            approved?: boolean;
                            masterContractApprovals_?: any;
                            clones_?: {
                                or?: any[];
                                and?: any[];
                                _change_block?: {
                                    number_gte: number;
                                };
                                timestamp_not_in?: string[];
                                timestamp_in?: string[];
                                timestamp_lte?: string;
                                timestamp_gte?: string;
                                timestamp_lt?: string;
                                timestamp_gt?: string;
                                timestamp_not?: string;
                                timestamp?: string;
                                block_not_in?: string[];
                                block_in?: string[];
                                block_lte?: string;
                                block_gte?: string;
                                block_lt?: string;
                                block_gt?: string;
                                block_not?: string;
                                block?: string;
                                data_not_contains?: `0x${string}`;
                                data_contains?: `0x${string}`;
                                data_not_in?: `0x${string}`[];
                                data_in?: `0x${string}`[];
                                data_lte?: `0x${string}`;
                                data_gte?: `0x${string}`;
                                data_lt?: `0x${string}`;
                                data_gt?: `0x${string}`;
                                data_not?: `0x${string}`;
                                data?: `0x${string}`;
                                masterContract_?: any;
                                masterContract_not_ends_with_nocase?: string;
                                masterContract_not_ends_with?: string;
                                masterContract_ends_with_nocase?: string;
                                masterContract_ends_with?: string;
                                masterContract_not_starts_with_nocase?: string;
                                masterContract_not_starts_with?: string;
                                masterContract_starts_with_nocase?: string;
                                masterContract_starts_with?: string;
                                masterContract_not_contains_nocase?: string;
                                masterContract_not_contains?: string;
                                masterContract_contains_nocase?: string;
                                masterContract_contains?: string;
                                masterContract_not_in?: string[];
                                masterContract_in?: string[];
                                masterContract_lte?: string;
                                masterContract_gte?: string;
                                masterContract_lt?: string;
                                masterContract_gt?: string;
                                masterContract_not?: string;
                                masterContract?: string;
                                bentoBox_?: any;
                                bentoBox_not_ends_with_nocase?: string;
                                bentoBox_not_ends_with?: string;
                                bentoBox_ends_with_nocase?: string;
                                bentoBox_ends_with?: string;
                                bentoBox_not_starts_with_nocase?: string;
                                bentoBox_not_starts_with?: string;
                                bentoBox_starts_with_nocase?: string;
                                bentoBox_starts_with?: string;
                                bentoBox_not_contains_nocase?: string;
                                bentoBox_not_contains?: string;
                                bentoBox_contains_nocase?: string;
                                bentoBox_contains?: string;
                                bentoBox_not_in?: string[];
                                bentoBox_in?: string[];
                                bentoBox_lte?: string;
                                bentoBox_gte?: string;
                                bentoBox_lt?: string;
                                bentoBox_gt?: string;
                                bentoBox_not?: string;
                                bentoBox?: string;
                                id_not_in?: string[];
                                id_in?: string[];
                                id_lte?: string;
                                id_gte?: string;
                                id_lt?: string;
                                id_gt?: string;
                                id_not?: string;
                                id?: string;
                            };
                            bentoBox_?: any;
                            bentoBox_not_ends_with_nocase?: string;
                            bentoBox_not_ends_with?: string;
                            bentoBox_ends_with_nocase?: string;
                            bentoBox_ends_with?: string;
                            bentoBox_not_starts_with_nocase?: string;
                            bentoBox_not_starts_with?: string;
                            bentoBox_starts_with_nocase?: string;
                            bentoBox_starts_with?: string;
                            bentoBox_not_contains_nocase?: string;
                            bentoBox_not_contains?: string;
                            bentoBox_contains_nocase?: string;
                            bentoBox_contains?: string;
                            bentoBox_not_in?: string[];
                            bentoBox_in?: string[];
                            bentoBox_lte?: string;
                            bentoBox_gte?: string;
                            bentoBox_lt?: string;
                            bentoBox_gt?: string;
                            bentoBox_not?: string;
                            bentoBox?: string;
                            id_not_in?: string[];
                            id_in?: string[];
                            id_lte?: string;
                            id_gte?: string;
                            id_lt?: string;
                            id_gt?: string;
                            id_not?: string;
                            id?: string;
                        };
                        masterContract_not_ends_with_nocase?: string;
                        masterContract_not_ends_with?: string;
                        masterContract_ends_with_nocase?: string;
                        masterContract_ends_with?: string;
                        masterContract_not_starts_with_nocase?: string;
                        masterContract_not_starts_with?: string;
                        masterContract_starts_with_nocase?: string;
                        masterContract_starts_with?: string;
                        masterContract_not_contains_nocase?: string;
                        masterContract_not_contains?: string;
                        masterContract_contains_nocase?: string;
                        masterContract_contains?: string;
                        masterContract_not_in?: string[];
                        masterContract_in?: string[];
                        masterContract_lte?: string;
                        masterContract_gte?: string;
                        masterContract_lt?: string;
                        masterContract_gt?: string;
                        masterContract_not?: string;
                        masterContract?: string;
                        id_not_in?: string[];
                        id_in?: string[];
                        id_lte?: string;
                        id_gte?: string;
                        id_lt?: string;
                        id_gt?: string;
                        id_not?: string;
                        id?: string;
                    };
                    bentoBox_?: any;
                    bentoBox_not_ends_with_nocase?: string;
                    bentoBox_not_ends_with?: string;
                    bentoBox_ends_with_nocase?: string;
                    bentoBox_ends_with?: string;
                    bentoBox_not_starts_with_nocase?: string;
                    bentoBox_not_starts_with?: string;
                    bentoBox_starts_with_nocase?: string;
                    bentoBox_starts_with?: string;
                    bentoBox_not_contains_nocase?: string;
                    bentoBox_not_contains?: string;
                    bentoBox_contains_nocase?: string;
                    bentoBox_contains?: string;
                    bentoBox_not_in?: string[];
                    bentoBox_in?: string[];
                    bentoBox_lte?: string;
                    bentoBox_gte?: string;
                    bentoBox_lt?: string;
                    bentoBox_gt?: string;
                    bentoBox_not?: string;
                    bentoBox?: string;
                    id_not_in?: string[];
                    id_in?: string[];
                    id_lte?: string;
                    id_gte?: string;
                    id_lt?: string;
                    id_gt?: string;
                    id_not?: string;
                    id?: string;
                };
                to_not_ends_with_nocase?: string;
                to_not_ends_with?: string;
                to_ends_with_nocase?: string;
                to_ends_with?: string;
                to_not_starts_with_nocase?: string;
                to_not_starts_with?: string;
                to_starts_with_nocase?: string;
                to_starts_with?: string;
                to_not_contains_nocase?: string;
                to_not_contains?: string;
                to_contains_nocase?: string;
                to_contains?: string;
                to_not_in?: string[];
                to_in?: string[];
                to_lte?: string;
                to_gte?: string;
                to_lt?: string;
                to_gt?: string;
                to_not?: string;
                to?: string;
                from_?: {
                    or?: any[];
                    and?: any[];
                    _change_block?: {
                        number_gte: number;
                    };
                    timestamp_not_in?: string[];
                    timestamp_in?: string[];
                    timestamp_lte?: string;
                    timestamp_gte?: string;
                    timestamp_lt?: string;
                    timestamp_gt?: string;
                    timestamp_not?: string;
                    timestamp?: string;
                    block_not_in?: string[];
                    block_in?: string[];
                    block_lte?: string;
                    block_gte?: string;
                    block_lt?: string;
                    block_gt?: string;
                    block_not?: string;
                    block?: string;
                    balances_?: {
                        or?: any[];
                        and?: any[];
                        _change_block?: {
                            number_gte: number;
                        };
                        share_not_in?: string[];
                        share_in?: string[];
                        share_lte?: string;
                        share_gte?: string;
                        share_lt?: string;
                        share_gt?: string;
                        share_not?: string;
                        share?: string;
                        user_?: any;
                        user_not_ends_with_nocase?: string;
                        user_not_ends_with?: string;
                        user_ends_with_nocase?: string;
                        user_ends_with?: string;
                        user_not_starts_with_nocase?: string;
                        user_not_starts_with?: string;
                        user_starts_with_nocase?: string;
                        user_starts_with?: string;
                        user_not_contains_nocase?: string;
                        user_not_contains?: string;
                        user_contains_nocase?: string;
                        user_contains?: string;
                        user_not_in?: string[];
                        user_in?: string[];
                        user_lte?: string;
                        user_gte?: string;
                        user_lt?: string;
                        user_gt?: string;
                        user_not?: string;
                        user?: string;
                        token_?: any;
                        token_not_ends_with_nocase?: string;
                        token_not_ends_with?: string;
                        token_ends_with_nocase?: string;
                        token_ends_with?: string;
                        token_not_starts_with_nocase?: string;
                        token_not_starts_with?: string;
                        token_starts_with_nocase?: string;
                        token_starts_with?: string;
                        token_not_contains_nocase?: string;
                        token_not_contains?: string;
                        token_contains_nocase?: string;
                        token_contains?: string;
                        token_not_in?: string[];
                        token_in?: string[];
                        token_lte?: string;
                        token_gte?: string;
                        token_lt?: string;
                        token_gt?: string;
                        token_not?: string;
                        token?: string;
                        id_not_in?: string[];
                        id_in?: string[];
                        id_lte?: string;
                        id_gte?: string;
                        id_lt?: string;
                        id_gt?: string;
                        id_not?: string;
                        id?: string;
                    };
                    masterContractApprovals_?: {
                        or?: any[];
                        and?: any[];
                        _change_block?: {
                            number_gte: number;
                        };
                        approved_not_in?: boolean[];
                        approved_in?: boolean[];
                        approved_not?: boolean;
                        approved?: boolean;
                        user_?: any;
                        user_not_ends_with_nocase?: string;
                        user_not_ends_with?: string;
                        user_ends_with_nocase?: string;
                        user_ends_with?: string;
                        user_not_starts_with_nocase?: string;
                        user_not_starts_with?: string;
                        user_starts_with_nocase?: string;
                        user_starts_with?: string;
                        user_not_contains_nocase?: string;
                        user_not_contains?: string;
                        user_contains_nocase?: string;
                        user_contains?: string;
                        user_not_in?: string[];
                        user_in?: string[];
                        user_lte?: string;
                        user_gte?: string;
                        user_lt?: string;
                        user_gt?: string;
                        user_not?: string;
                        user?: string;
                        masterContract_?: {
                            or?: any[];
                            and?: any[];
                            _change_block?: {
                                number_gte: number;
                            };
                            approved_not_in?: boolean[];
                            approved_in?: boolean[];
                            approved_not?: boolean;
                            approved?: boolean;
                            masterContractApprovals_?: any;
                            clones_?: {
                                or?: any[];
                                and?: any[];
                                _change_block?: {
                                    number_gte: number;
                                };
                                timestamp_not_in?: string[];
                                timestamp_in?: string[];
                                timestamp_lte?: string;
                                timestamp_gte?: string;
                                timestamp_lt?: string;
                                timestamp_gt?: string;
                                timestamp_not?: string;
                                timestamp?: string;
                                block_not_in?: string[];
                                block_in?: string[];
                                block_lte?: string;
                                block_gte?: string;
                                block_lt?: string;
                                block_gt?: string;
                                block_not?: string;
                                block?: string;
                                data_not_contains?: `0x${string}`;
                                data_contains?: `0x${string}`;
                                data_not_in?: `0x${string}`[];
                                data_in?: `0x${string}`[];
                                data_lte?: `0x${string}`;
                                data_gte?: `0x${string}`;
                                data_lt?: `0x${string}`;
                                data_gt?: `0x${string}`;
                                data_not?: `0x${string}`;
                                data?: `0x${string}`;
                                masterContract_?: any;
                                masterContract_not_ends_with_nocase?: string;
                                masterContract_not_ends_with?: string;
                                masterContract_ends_with_nocase?: string;
                                masterContract_ends_with?: string;
                                masterContract_not_starts_with_nocase?: string;
                                masterContract_not_starts_with?: string;
                                masterContract_starts_with_nocase?: string;
                                masterContract_starts_with?: string;
                                masterContract_not_contains_nocase?: string;
                                masterContract_not_contains?: string;
                                masterContract_contains_nocase?: string;
                                masterContract_contains?: string;
                                masterContract_not_in?: string[];
                                masterContract_in?: string[];
                                masterContract_lte?: string;
                                masterContract_gte?: string;
                                masterContract_lt?: string;
                                masterContract_gt?: string;
                                masterContract_not?: string;
                                masterContract?: string;
                                bentoBox_?: any;
                                bentoBox_not_ends_with_nocase?: string;
                                bentoBox_not_ends_with?: string;
                                bentoBox_ends_with_nocase?: string;
                                bentoBox_ends_with?: string;
                                bentoBox_not_starts_with_nocase?: string;
                                bentoBox_not_starts_with?: string;
                                bentoBox_starts_with_nocase?: string;
                                bentoBox_starts_with?: string;
                                bentoBox_not_contains_nocase?: string;
                                bentoBox_not_contains?: string;
                                bentoBox_contains_nocase?: string;
                                bentoBox_contains?: string;
                                bentoBox_not_in?: string[];
                                bentoBox_in?: string[];
                                bentoBox_lte?: string;
                                bentoBox_gte?: string;
                                bentoBox_lt?: string;
                                bentoBox_gt?: string;
                                bentoBox_not?: string;
                                bentoBox?: string;
                                id_not_in?: string[];
                                id_in?: string[];
                                id_lte?: string;
                                id_gte?: string;
                                id_lt?: string;
                                id_gt?: string;
                                id_not?: string;
                                id?: string;
                            };
                            bentoBox_?: any;
                            bentoBox_not_ends_with_nocase?: string;
                            bentoBox_not_ends_with?: string;
                            bentoBox_ends_with_nocase?: string;
                            bentoBox_ends_with?: string;
                            bentoBox_not_starts_with_nocase?: string;
                            bentoBox_not_starts_with?: string;
                            bentoBox_starts_with_nocase?: string;
                            bentoBox_starts_with?: string;
                            bentoBox_not_contains_nocase?: string;
                            bentoBox_not_contains?: string;
                            bentoBox_contains_nocase?: string;
                            bentoBox_contains?: string;
                            bentoBox_not_in?: string[];
                            bentoBox_in?: string[];
                            bentoBox_lte?: string;
                            bentoBox_gte?: string;
                            bentoBox_lt?: string;
                            bentoBox_gt?: string;
                            bentoBox_not?: string;
                            bentoBox?: string;
                            id_not_in?: string[];
                            id_in?: string[];
                            id_lte?: string;
                            id_gte?: string;
                            id_lt?: string;
                            id_gt?: string;
                            id_not?: string;
                            id?: string;
                        };
                        masterContract_not_ends_with_nocase?: string;
                        masterContract_not_ends_with?: string;
                        masterContract_ends_with_nocase?: string;
                        masterContract_ends_with?: string;
                        masterContract_not_starts_with_nocase?: string;
                        masterContract_not_starts_with?: string;
                        masterContract_starts_with_nocase?: string;
                        masterContract_starts_with?: string;
                        masterContract_not_contains_nocase?: string;
                        masterContract_not_contains?: string;
                        masterContract_contains_nocase?: string;
                        masterContract_contains?: string;
                        masterContract_not_in?: string[];
                        masterContract_in?: string[];
                        masterContract_lte?: string;
                        masterContract_gte?: string;
                        masterContract_lt?: string;
                        masterContract_gt?: string;
                        masterContract_not?: string;
                        masterContract?: string;
                        id_not_in?: string[];
                        id_in?: string[];
                        id_lte?: string;
                        id_gte?: string;
                        id_lt?: string;
                        id_gt?: string;
                        id_not?: string;
                        id?: string;
                    };
                    bentoBox_?: any;
                    bentoBox_not_ends_with_nocase?: string;
                    bentoBox_not_ends_with?: string;
                    bentoBox_ends_with_nocase?: string;
                    bentoBox_ends_with?: string;
                    bentoBox_not_starts_with_nocase?: string;
                    bentoBox_not_starts_with?: string;
                    bentoBox_starts_with_nocase?: string;
                    bentoBox_starts_with?: string;
                    bentoBox_not_contains_nocase?: string;
                    bentoBox_not_contains?: string;
                    bentoBox_contains_nocase?: string;
                    bentoBox_contains?: string;
                    bentoBox_not_in?: string[];
                    bentoBox_in?: string[];
                    bentoBox_lte?: string;
                    bentoBox_gte?: string;
                    bentoBox_lt?: string;
                    bentoBox_gt?: string;
                    bentoBox_not?: string;
                    bentoBox?: string;
                    id_not_in?: string[];
                    id_in?: string[];
                    id_lte?: string;
                    id_gte?: string;
                    id_lt?: string;
                    id_gt?: string;
                    id_not?: string;
                    id?: string;
                };
                from_not_ends_with_nocase?: string;
                from_not_ends_with?: string;
                from_ends_with_nocase?: string;
                from_ends_with?: string;
                from_not_starts_with_nocase?: string;
                from_not_starts_with?: string;
                from_starts_with_nocase?: string;
                from_starts_with?: string;
                from_not_contains_nocase?: string;
                from_not_contains?: string;
                from_contains_nocase?: string;
                from_contains?: string;
                from_not_in?: string[];
                from_in?: string[];
                from_lte?: string;
                from_gte?: string;
                from_lt?: string;
                from_gt?: string;
                from_not?: string;
                from?: string;
                type_not_in?: ("transfer" | "deposit" | "withdraw")[];
                type_in?: ("transfer" | "deposit" | "withdraw")[];
                type_not?: "transfer" | "deposit" | "withdraw";
                type?: "transfer" | "deposit" | "withdraw";
                bentoBox_?: any;
                bentoBox_not_ends_with_nocase?: string;
                bentoBox_not_ends_with?: string;
                bentoBox_ends_with_nocase?: string;
                bentoBox_ends_with?: string;
                bentoBox_not_starts_with_nocase?: string;
                bentoBox_not_starts_with?: string;
                bentoBox_starts_with_nocase?: string;
                bentoBox_starts_with?: string;
                bentoBox_not_contains_nocase?: string;
                bentoBox_not_contains?: string;
                bentoBox_contains_nocase?: string;
                bentoBox_contains?: string;
                bentoBox_not_in?: string[];
                bentoBox_in?: string[];
                bentoBox_lte?: string;
                bentoBox_gte?: string;
                bentoBox_lt?: string;
                bentoBox_gt?: string;
                bentoBox_not?: string;
                bentoBox?: string;
                id_not_in?: string[];
                id_in?: string[];
                id_lte?: string;
                id_gte?: string;
                id_lt?: string;
                id_gt?: string;
                id_not?: string;
                id?: string;
            };
            flashloans_?: {
                or?: any[];
                and?: any[];
                _change_block?: {
                    number_gte: number;
                };
                timestamp_not_in?: string[];
                timestamp_in?: string[];
                timestamp_lte?: string;
                timestamp_gte?: string;
                timestamp_lt?: string;
                timestamp_gt?: string;
                timestamp_not?: string;
                timestamp?: string;
                block_not_in?: string[];
                block_in?: string[];
                block_lte?: string;
                block_gte?: string;
                block_lt?: string;
                block_gt?: string;
                block_not?: string;
                block?: string;
                feeAmount_not_in?: string[];
                feeAmount_in?: string[];
                feeAmount_lte?: string;
                feeAmount_gte?: string;
                feeAmount_lt?: string;
                feeAmount_gt?: string;
                feeAmount_not?: string;
                feeAmount?: string;
                amount_not_in?: string[];
                amount_in?: string[];
                amount_lte?: string;
                amount_gte?: string;
                amount_lt?: string;
                amount_gt?: string;
                amount_not?: string;
                amount?: string;
                token_?: any;
                token_not_ends_with_nocase?: string;
                token_not_ends_with?: string;
                token_ends_with_nocase?: string;
                token_ends_with?: string;
                token_not_starts_with_nocase?: string;
                token_not_starts_with?: string;
                token_starts_with_nocase?: string;
                token_starts_with?: string;
                token_not_contains_nocase?: string;
                token_not_contains?: string;
                token_contains_nocase?: string;
                token_contains?: string;
                token_not_in?: string[];
                token_in?: string[];
                token_lte?: string;
                token_gte?: string;
                token_lt?: string;
                token_gt?: string;
                token_not?: string;
                token?: string;
                receiver_not_contains?: `0x${string}`;
                receiver_contains?: `0x${string}`;
                receiver_not_in?: `0x${string}`[];
                receiver_in?: `0x${string}`[];
                receiver_lte?: `0x${string}`;
                receiver_gte?: `0x${string}`;
                receiver_lt?: `0x${string}`;
                receiver_gt?: `0x${string}`;
                receiver_not?: `0x${string}`;
                receiver?: `0x${string}`;
                borrower_not_contains?: `0x${string}`;
                borrower_contains?: `0x${string}`;
                borrower_not_in?: `0x${string}`[];
                borrower_in?: `0x${string}`[];
                borrower_lte?: `0x${string}`;
                borrower_gte?: `0x${string}`;
                borrower_lt?: `0x${string}`;
                borrower_gt?: `0x${string}`;
                borrower_not?: `0x${string}`;
                borrower?: `0x${string}`;
                bentoBox_?: any;
                bentoBox_not_ends_with_nocase?: string;
                bentoBox_not_ends_with?: string;
                bentoBox_ends_with_nocase?: string;
                bentoBox_ends_with?: string;
                bentoBox_not_starts_with_nocase?: string;
                bentoBox_not_starts_with?: string;
                bentoBox_starts_with_nocase?: string;
                bentoBox_starts_with?: string;
                bentoBox_not_contains_nocase?: string;
                bentoBox_not_contains?: string;
                bentoBox_contains_nocase?: string;
                bentoBox_contains?: string;
                bentoBox_not_in?: string[];
                bentoBox_in?: string[];
                bentoBox_lte?: string;
                bentoBox_gte?: string;
                bentoBox_lt?: string;
                bentoBox_gt?: string;
                bentoBox_not?: string;
                bentoBox?: string;
                id_not_in?: string[];
                id_in?: string[];
                id_lte?: string;
                id_gte?: string;
                id_lt?: string;
                id_gt?: string;
                id_not?: string;
                id?: string;
            };
            clones_?: {
                or?: any[];
                and?: any[];
                _change_block?: {
                    number_gte: number;
                };
                timestamp_not_in?: string[];
                timestamp_in?: string[];
                timestamp_lte?: string;
                timestamp_gte?: string;
                timestamp_lt?: string;
                timestamp_gt?: string;
                timestamp_not?: string;
                timestamp?: string;
                block_not_in?: string[];
                block_in?: string[];
                block_lte?: string;
                block_gte?: string;
                block_lt?: string;
                block_gt?: string;
                block_not?: string;
                block?: string;
                data_not_contains?: `0x${string}`;
                data_contains?: `0x${string}`;
                data_not_in?: `0x${string}`[];
                data_in?: `0x${string}`[];
                data_lte?: `0x${string}`;
                data_gte?: `0x${string}`;
                data_lt?: `0x${string}`;
                data_gt?: `0x${string}`;
                data_not?: `0x${string}`;
                data?: `0x${string}`;
                masterContract_?: any;
                masterContract_not_ends_with_nocase?: string;
                masterContract_not_ends_with?: string;
                masterContract_ends_with_nocase?: string;
                masterContract_ends_with?: string;
                masterContract_not_starts_with_nocase?: string;
                masterContract_not_starts_with?: string;
                masterContract_starts_with_nocase?: string;
                masterContract_starts_with?: string;
                masterContract_not_contains_nocase?: string;
                masterContract_not_contains?: string;
                masterContract_contains_nocase?: string;
                masterContract_contains?: string;
                masterContract_not_in?: string[];
                masterContract_in?: string[];
                masterContract_lte?: string;
                masterContract_gte?: string;
                masterContract_lt?: string;
                masterContract_gt?: string;
                masterContract_not?: string;
                masterContract?: string;
                bentoBox_?: any;
                bentoBox_not_ends_with_nocase?: string;
                bentoBox_not_ends_with?: string;
                bentoBox_ends_with_nocase?: string;
                bentoBox_ends_with?: string;
                bentoBox_not_starts_with_nocase?: string;
                bentoBox_not_starts_with?: string;
                bentoBox_starts_with_nocase?: string;
                bentoBox_starts_with?: string;
                bentoBox_not_contains_nocase?: string;
                bentoBox_not_contains?: string;
                bentoBox_contains_nocase?: string;
                bentoBox_contains?: string;
                bentoBox_not_in?: string[];
                bentoBox_in?: string[];
                bentoBox_lte?: string;
                bentoBox_gte?: string;
                bentoBox_lt?: string;
                bentoBox_gt?: string;
                bentoBox_not?: string;
                bentoBox?: string;
                id_not_in?: string[];
                id_in?: string[];
                id_lte?: string;
                id_gte?: string;
                id_lt?: string;
                id_gt?: string;
                id_not?: string;
                id?: string;
            };
            masterContracts_?: {
                or?: any[];
                and?: any[];
                _change_block?: {
                    number_gte: number;
                };
                approved_not_in?: boolean[];
                approved_in?: boolean[];
                approved_not?: boolean;
                approved?: boolean;
                masterContractApprovals_?: any;
                clones_?: {
                    or?: any[];
                    and?: any[];
                    _change_block?: {
                        number_gte: number;
                    };
                    timestamp_not_in?: string[];
                    timestamp_in?: string[];
                    timestamp_lte?: string;
                    timestamp_gte?: string;
                    timestamp_lt?: string;
                    timestamp_gt?: string;
                    timestamp_not?: string;
                    timestamp?: string;
                    block_not_in?: string[];
                    block_in?: string[];
                    block_lte?: string;
                    block_gte?: string;
                    block_lt?: string;
                    block_gt?: string;
                    block_not?: string;
                    block?: string;
                    data_not_contains?: `0x${string}`;
                    data_contains?: `0x${string}`;
                    data_not_in?: `0x${string}`[];
                    data_in?: `0x${string}`[];
                    data_lte?: `0x${string}`;
                    data_gte?: `0x${string}`;
                    data_lt?: `0x${string}`;
                    data_gt?: `0x${string}`;
                    data_not?: `0x${string}`;
                    data?: `0x${string}`;
                    masterContract_?: any;
                    masterContract_not_ends_with_nocase?: string;
                    masterContract_not_ends_with?: string;
                    masterContract_ends_with_nocase?: string;
                    masterContract_ends_with?: string;
                    masterContract_not_starts_with_nocase?: string;
                    masterContract_not_starts_with?: string;
                    masterContract_starts_with_nocase?: string;
                    masterContract_starts_with?: string;
                    masterContract_not_contains_nocase?: string;
                    masterContract_not_contains?: string;
                    masterContract_contains_nocase?: string;
                    masterContract_contains?: string;
                    masterContract_not_in?: string[];
                    masterContract_in?: string[];
                    masterContract_lte?: string;
                    masterContract_gte?: string;
                    masterContract_lt?: string;
                    masterContract_gt?: string;
                    masterContract_not?: string;
                    masterContract?: string;
                    bentoBox_?: any;
                    bentoBox_not_ends_with_nocase?: string;
                    bentoBox_not_ends_with?: string;
                    bentoBox_ends_with_nocase?: string;
                    bentoBox_ends_with?: string;
                    bentoBox_not_starts_with_nocase?: string;
                    bentoBox_not_starts_with?: string;
                    bentoBox_starts_with_nocase?: string;
                    bentoBox_starts_with?: string;
                    bentoBox_not_contains_nocase?: string;
                    bentoBox_not_contains?: string;
                    bentoBox_contains_nocase?: string;
                    bentoBox_contains?: string;
                    bentoBox_not_in?: string[];
                    bentoBox_in?: string[];
                    bentoBox_lte?: string;
                    bentoBox_gte?: string;
                    bentoBox_lt?: string;
                    bentoBox_gt?: string;
                    bentoBox_not?: string;
                    bentoBox?: string;
                    id_not_in?: string[];
                    id_in?: string[];
                    id_lte?: string;
                    id_gte?: string;
                    id_lt?: string;
                    id_gt?: string;
                    id_not?: string;
                    id?: string;
                };
                bentoBox_?: any;
                bentoBox_not_ends_with_nocase?: string;
                bentoBox_not_ends_with?: string;
                bentoBox_ends_with_nocase?: string;
                bentoBox_ends_with?: string;
                bentoBox_not_starts_with_nocase?: string;
                bentoBox_not_starts_with?: string;
                bentoBox_starts_with_nocase?: string;
                bentoBox_starts_with?: string;
                bentoBox_not_contains_nocase?: string;
                bentoBox_not_contains?: string;
                bentoBox_contains_nocase?: string;
                bentoBox_contains?: string;
                bentoBox_not_in?: string[];
                bentoBox_in?: string[];
                bentoBox_lte?: string;
                bentoBox_gte?: string;
                bentoBox_lt?: string;
                bentoBox_gt?: string;
                bentoBox_not?: string;
                bentoBox?: string;
                id_not_in?: string[];
                id_in?: string[];
                id_lte?: string;
                id_gte?: string;
                id_lt?: string;
                id_gt?: string;
                id_not?: string;
                id?: string;
            };
            tokens_?: any;
            users_?: {
                or?: any[];
                and?: any[];
                _change_block?: {
                    number_gte: number;
                };
                timestamp_not_in?: string[];
                timestamp_in?: string[];
                timestamp_lte?: string;
                timestamp_gte?: string;
                timestamp_lt?: string;
                timestamp_gt?: string;
                timestamp_not?: string;
                timestamp?: string;
                block_not_in?: string[];
                block_in?: string[];
                block_lte?: string;
                block_gte?: string;
                block_lt?: string;
                block_gt?: string;
                block_not?: string;
                block?: string;
                balances_?: {
                    or?: any[];
                    and?: any[];
                    _change_block?: {
                        number_gte: number;
                    };
                    share_not_in?: string[];
                    share_in?: string[];
                    share_lte?: string;
                    share_gte?: string;
                    share_lt?: string;
                    share_gt?: string;
                    share_not?: string;
                    share?: string;
                    user_?: any;
                    user_not_ends_with_nocase?: string;
                    user_not_ends_with?: string;
                    user_ends_with_nocase?: string;
                    user_ends_with?: string;
                    user_not_starts_with_nocase?: string;
                    user_not_starts_with?: string;
                    user_starts_with_nocase?: string;
                    user_starts_with?: string;
                    user_not_contains_nocase?: string;
                    user_not_contains?: string;
                    user_contains_nocase?: string;
                    user_contains?: string;
                    user_not_in?: string[];
                    user_in?: string[];
                    user_lte?: string;
                    user_gte?: string;
                    user_lt?: string;
                    user_gt?: string;
                    user_not?: string;
                    user?: string;
                    token_?: any;
                    token_not_ends_with_nocase?: string;
                    token_not_ends_with?: string;
                    token_ends_with_nocase?: string;
                    token_ends_with?: string;
                    token_not_starts_with_nocase?: string;
                    token_not_starts_with?: string;
                    token_starts_with_nocase?: string;
                    token_starts_with?: string;
                    token_not_contains_nocase?: string;
                    token_not_contains?: string;
                    token_contains_nocase?: string;
                    token_contains?: string;
                    token_not_in?: string[];
                    token_in?: string[];
                    token_lte?: string;
                    token_gte?: string;
                    token_lt?: string;
                    token_gt?: string;
                    token_not?: string;
                    token?: string;
                    id_not_in?: string[];
                    id_in?: string[];
                    id_lte?: string;
                    id_gte?: string;
                    id_lt?: string;
                    id_gt?: string;
                    id_not?: string;
                    id?: string;
                };
                masterContractApprovals_?: {
                    or?: any[];
                    and?: any[];
                    _change_block?: {
                        number_gte: number;
                    };
                    approved_not_in?: boolean[];
                    approved_in?: boolean[];
                    approved_not?: boolean;
                    approved?: boolean;
                    user_?: any;
                    user_not_ends_with_nocase?: string;
                    user_not_ends_with?: string;
                    user_ends_with_nocase?: string;
                    user_ends_with?: string;
                    user_not_starts_with_nocase?: string;
                    user_not_starts_with?: string;
                    user_starts_with_nocase?: string;
                    user_starts_with?: string;
                    user_not_contains_nocase?: string;
                    user_not_contains?: string;
                    user_contains_nocase?: string;
                    user_contains?: string;
                    user_not_in?: string[];
                    user_in?: string[];
                    user_lte?: string;
                    user_gte?: string;
                    user_lt?: string;
                    user_gt?: string;
                    user_not?: string;
                    user?: string;
                    masterContract_?: {
                        or?: any[];
                        and?: any[];
                        _change_block?: {
                            number_gte: number;
                        };
                        approved_not_in?: boolean[];
                        approved_in?: boolean[];
                        approved_not?: boolean;
                        approved?: boolean;
                        masterContractApprovals_?: any;
                        clones_?: {
                            or?: any[];
                            and?: any[];
                            _change_block?: {
                                number_gte: number;
                            };
                            timestamp_not_in?: string[];
                            timestamp_in?: string[];
                            timestamp_lte?: string;
                            timestamp_gte?: string;
                            timestamp_lt?: string;
                            timestamp_gt?: string;
                            timestamp_not?: string;
                            timestamp?: string;
                            block_not_in?: string[];
                            block_in?: string[];
                            block_lte?: string;
                            block_gte?: string;
                            block_lt?: string;
                            block_gt?: string;
                            block_not?: string;
                            block?: string;
                            data_not_contains?: `0x${string}`;
                            data_contains?: `0x${string}`;
                            data_not_in?: `0x${string}`[];
                            data_in?: `0x${string}`[];
                            data_lte?: `0x${string}`;
                            data_gte?: `0x${string}`;
                            data_lt?: `0x${string}`;
                            data_gt?: `0x${string}`;
                            data_not?: `0x${string}`;
                            data?: `0x${string}`;
                            masterContract_?: any;
                            masterContract_not_ends_with_nocase?: string;
                            masterContract_not_ends_with?: string;
                            masterContract_ends_with_nocase?: string;
                            masterContract_ends_with?: string;
                            masterContract_not_starts_with_nocase?: string;
                            masterContract_not_starts_with?: string;
                            masterContract_starts_with_nocase?: string;
                            masterContract_starts_with?: string;
                            masterContract_not_contains_nocase?: string;
                            masterContract_not_contains?: string;
                            masterContract_contains_nocase?: string;
                            masterContract_contains?: string;
                            masterContract_not_in?: string[];
                            masterContract_in?: string[];
                            masterContract_lte?: string;
                            masterContract_gte?: string;
                            masterContract_lt?: string;
                            masterContract_gt?: string;
                            masterContract_not?: string;
                            masterContract?: string;
                            bentoBox_?: any;
                            bentoBox_not_ends_with_nocase?: string;
                            bentoBox_not_ends_with?: string;
                            bentoBox_ends_with_nocase?: string;
                            bentoBox_ends_with?: string;
                            bentoBox_not_starts_with_nocase?: string;
                            bentoBox_not_starts_with?: string;
                            bentoBox_starts_with_nocase?: string;
                            bentoBox_starts_with?: string;
                            bentoBox_not_contains_nocase?: string;
                            bentoBox_not_contains?: string;
                            bentoBox_contains_nocase?: string;
                            bentoBox_contains?: string;
                            bentoBox_not_in?: string[];
                            bentoBox_in?: string[];
                            bentoBox_lte?: string;
                            bentoBox_gte?: string;
                            bentoBox_lt?: string;
                            bentoBox_gt?: string;
                            bentoBox_not?: string;
                            bentoBox?: string;
                            id_not_in?: string[];
                            id_in?: string[];
                            id_lte?: string;
                            id_gte?: string;
                            id_lt?: string;
                            id_gt?: string;
                            id_not?: string;
                            id?: string;
                        };
                        bentoBox_?: any;
                        bentoBox_not_ends_with_nocase?: string;
                        bentoBox_not_ends_with?: string;
                        bentoBox_ends_with_nocase?: string;
                        bentoBox_ends_with?: string;
                        bentoBox_not_starts_with_nocase?: string;
                        bentoBox_not_starts_with?: string;
                        bentoBox_starts_with_nocase?: string;
                        bentoBox_starts_with?: string;
                        bentoBox_not_contains_nocase?: string;
                        bentoBox_not_contains?: string;
                        bentoBox_contains_nocase?: string;
                        bentoBox_contains?: string;
                        bentoBox_not_in?: string[];
                        bentoBox_in?: string[];
                        bentoBox_lte?: string;
                        bentoBox_gte?: string;
                        bentoBox_lt?: string;
                        bentoBox_gt?: string;
                        bentoBox_not?: string;
                        bentoBox?: string;
                        id_not_in?: string[];
                        id_in?: string[];
                        id_lte?: string;
                        id_gte?: string;
                        id_lt?: string;
                        id_gt?: string;
                        id_not?: string;
                        id?: string;
                    };
                    masterContract_not_ends_with_nocase?: string;
                    masterContract_not_ends_with?: string;
                    masterContract_ends_with_nocase?: string;
                    masterContract_ends_with?: string;
                    masterContract_not_starts_with_nocase?: string;
                    masterContract_not_starts_with?: string;
                    masterContract_starts_with_nocase?: string;
                    masterContract_starts_with?: string;
                    masterContract_not_contains_nocase?: string;
                    masterContract_not_contains?: string;
                    masterContract_contains_nocase?: string;
                    masterContract_contains?: string;
                    masterContract_not_in?: string[];
                    masterContract_in?: string[];
                    masterContract_lte?: string;
                    masterContract_gte?: string;
                    masterContract_lt?: string;
                    masterContract_gt?: string;
                    masterContract_not?: string;
                    masterContract?: string;
                    id_not_in?: string[];
                    id_in?: string[];
                    id_lte?: string;
                    id_gte?: string;
                    id_lt?: string;
                    id_gt?: string;
                    id_not?: string;
                    id?: string;
                };
                bentoBox_?: any;
                bentoBox_not_ends_with_nocase?: string;
                bentoBox_not_ends_with?: string;
                bentoBox_ends_with_nocase?: string;
                bentoBox_ends_with?: string;
                bentoBox_not_starts_with_nocase?: string;
                bentoBox_not_starts_with?: string;
                bentoBox_starts_with_nocase?: string;
                bentoBox_starts_with?: string;
                bentoBox_not_contains_nocase?: string;
                bentoBox_not_contains?: string;
                bentoBox_contains_nocase?: string;
                bentoBox_contains?: string;
                bentoBox_not_in?: string[];
                bentoBox_in?: string[];
                bentoBox_lte?: string;
                bentoBox_gte?: string;
                bentoBox_lt?: string;
                bentoBox_gt?: string;
                bentoBox_not?: string;
                bentoBox?: string;
                id_not_in?: string[];
                id_in?: string[];
                id_lte?: string;
                id_gte?: string;
                id_lt?: string;
                id_gt?: string;
                id_not?: string;
                id?: string;
            };
            protocols_?: {
                or?: any[];
                and?: any[];
                _change_block?: {
                    number_gte: number;
                };
                bentoBox_?: any;
                bentoBox_not_ends_with_nocase?: string;
                bentoBox_not_ends_with?: string;
                bentoBox_ends_with_nocase?: string;
                bentoBox_ends_with?: string;
                bentoBox_not_starts_with_nocase?: string;
                bentoBox_not_starts_with?: string;
                bentoBox_starts_with_nocase?: string;
                bentoBox_starts_with?: string;
                bentoBox_not_contains_nocase?: string;
                bentoBox_not_contains?: string;
                bentoBox_contains_nocase?: string;
                bentoBox_contains?: string;
                bentoBox_not_in?: string[];
                bentoBox_in?: string[];
                bentoBox_lte?: string;
                bentoBox_gte?: string;
                bentoBox_lt?: string;
                bentoBox_gt?: string;
                bentoBox_not?: string;
                bentoBox?: string;
                id_not_in?: string[];
                id_in?: string[];
                id_lte?: string;
                id_gte?: string;
                id_lt?: string;
                id_gt?: string;
                id_not?: string;
                id?: string;
            };
            id_not_in?: string[];
            id_in?: string[];
            id_lte?: string;
            id_gte?: string;
            id_lt?: string;
            id_gt?: string;
            id_not?: string;
            id?: string;
        };
        bentoBox_not_ends_with_nocase?: string;
        bentoBox_not_ends_with?: string;
        bentoBox_ends_with_nocase?: string;
        bentoBox_ends_with?: string;
        bentoBox_not_starts_with_nocase?: string;
        bentoBox_not_starts_with?: string;
        bentoBox_starts_with_nocase?: string;
        bentoBox_starts_with?: string;
        bentoBox_not_contains_nocase?: string;
        bentoBox_not_contains?: string;
        bentoBox_contains_nocase?: string;
        bentoBox_contains?: string;
        bentoBox_not_in?: string[];
        bentoBox_in?: string[];
        bentoBox_lte?: string;
        bentoBox_gte?: string;
        bentoBox_lt?: string;
        bentoBox_gt?: string;
        bentoBox_not?: string;
        bentoBox?: string;
        id_not_in?: string[];
        id_in?: string[];
        id_lte?: string;
        id_gte?: string;
        id_lt?: string;
        id_gt?: string;
        id_not?: string;
        id?: string;
    };
    orderDirection?: "asc" | "desc";
    orderBy?: "id" | "elastic" | "base" | "token" | "token__id" | "token__symbol" | "token__name" | "token__decimals" | "token__symbolSuccess" | "token__nameSuccess" | "token__decimalsSuccess" | "bentoBox" | "bentoBox__id";
    block?: {
        number_gte?: number;
        number?: number;
        hash?: `0x${string}`;
    };
    skip?: number;
    first?: number;
}, void>;
export type GetRebases = VariablesOf<typeof BentoBoxRebasesQuery> & ChainIdVariable<BentoBoxChainId>;
export declare function getRebases({ chainId, ...variables }: GetRebases, options?: RequestOptions): Promise<(Omit<{
    elastic: string;
    base: string;
    token: {
        decimals: string;
        name: string;
        symbol: string;
    };
    id: string;
} & {
    id: Hex;
} & ChainIdVariable<Readonly<1 | 137 | 250 | 100 | 56 | 42161 | 42170 | 43114 | 128 | 1666600000 | 42220 | 1285 | 122 | 1284 | 10 | 2222 | 1088 | 288 | 43288 | 56288 | 199>> & {
    address: `0x${string}`;
}, "id"> & {
    id: `${string}:0x${string}`;
})[]>;
export type BentoBoxRebases = Awaited<ReturnType<typeof getRebases>>;
