import type { VariablesOf } from 'gql.tada';
import { type RequestOptions } from '../../../lib/request';
import type { ChainIdVariable } from '../../../lib/types/chainId';
import type { ChainId } from 'sushi/chain';
export declare const BlocksQuery: import("gql.tada").TadaDocumentNode<{
    blocks: {
        timestamp: string;
        number: string;
        id: `0x${string}`;
    }[];
}, {
    where?: {
        or?: any[];
        and?: any[];
        _change_block?: {
            number_gte: number;
        };
        unclesHash_not_ends_with_nocase?: string;
        unclesHash_not_ends_with?: string;
        unclesHash_ends_with_nocase?: string;
        unclesHash_ends_with?: string;
        unclesHash_not_starts_with_nocase?: string;
        unclesHash_not_starts_with?: string;
        unclesHash_starts_with_nocase?: string;
        unclesHash_starts_with?: string;
        unclesHash_not_contains_nocase?: string;
        unclesHash_not_contains?: string;
        unclesHash_contains_nocase?: string;
        unclesHash_contains?: string;
        unclesHash_not_in?: string[];
        unclesHash_in?: string[];
        unclesHash_lte?: string;
        unclesHash_gte?: string;
        unclesHash_lt?: string;
        unclesHash_gt?: string;
        unclesHash_not?: string;
        unclesHash?: string;
        size_not_in?: string[];
        size_in?: string[];
        size_lte?: string;
        size_gte?: string;
        size_lt?: string;
        size_gt?: string;
        size_not?: string;
        size?: string;
        stateRoot_not_ends_with_nocase?: string;
        stateRoot_not_ends_with?: string;
        stateRoot_ends_with_nocase?: string;
        stateRoot_ends_with?: string;
        stateRoot_not_starts_with_nocase?: string;
        stateRoot_not_starts_with?: string;
        stateRoot_starts_with_nocase?: string;
        stateRoot_starts_with?: string;
        stateRoot_not_contains_nocase?: string;
        stateRoot_not_contains?: string;
        stateRoot_contains_nocase?: string;
        stateRoot_contains?: string;
        stateRoot_not_in?: string[];
        stateRoot_in?: string[];
        stateRoot_lte?: string;
        stateRoot_gte?: string;
        stateRoot_lt?: string;
        stateRoot_gt?: string;
        stateRoot_not?: string;
        stateRoot?: string;
        transactionsRoot_not_ends_with_nocase?: string;
        transactionsRoot_not_ends_with?: string;
        transactionsRoot_ends_with_nocase?: string;
        transactionsRoot_ends_with?: string;
        transactionsRoot_not_starts_with_nocase?: string;
        transactionsRoot_not_starts_with?: string;
        transactionsRoot_starts_with_nocase?: string;
        transactionsRoot_starts_with?: string;
        transactionsRoot_not_contains_nocase?: string;
        transactionsRoot_not_contains?: string;
        transactionsRoot_contains_nocase?: string;
        transactionsRoot_contains?: string;
        transactionsRoot_not_in?: string[];
        transactionsRoot_in?: string[];
        transactionsRoot_lte?: string;
        transactionsRoot_gte?: string;
        transactionsRoot_lt?: string;
        transactionsRoot_gt?: string;
        transactionsRoot_not?: string;
        transactionsRoot?: string;
        receiptsRoot_not_ends_with_nocase?: string;
        receiptsRoot_not_ends_with?: string;
        receiptsRoot_ends_with_nocase?: string;
        receiptsRoot_ends_with?: string;
        receiptsRoot_not_starts_with_nocase?: string;
        receiptsRoot_not_starts_with?: string;
        receiptsRoot_starts_with_nocase?: string;
        receiptsRoot_starts_with?: string;
        receiptsRoot_not_contains_nocase?: string;
        receiptsRoot_not_contains?: string;
        receiptsRoot_contains_nocase?: string;
        receiptsRoot_contains?: string;
        receiptsRoot_not_in?: string[];
        receiptsRoot_in?: string[];
        receiptsRoot_lte?: string;
        receiptsRoot_gte?: string;
        receiptsRoot_lt?: string;
        receiptsRoot_gt?: string;
        receiptsRoot_not?: string;
        receiptsRoot?: string;
        gasLimit_not_in?: string[];
        gasLimit_in?: string[];
        gasLimit_lte?: string;
        gasLimit_gte?: string;
        gasLimit_lt?: string;
        gasLimit_gt?: string;
        gasLimit_not?: string;
        gasLimit?: string;
        gasUsed_not_in?: string[];
        gasUsed_in?: string[];
        gasUsed_lte?: string;
        gasUsed_gte?: string;
        gasUsed_lt?: string;
        gasUsed_gt?: string;
        gasUsed_not?: string;
        gasUsed?: string;
        totalDifficulty_not_in?: string[];
        totalDifficulty_in?: string[];
        totalDifficulty_lte?: string;
        totalDifficulty_gte?: string;
        totalDifficulty_lt?: string;
        totalDifficulty_gt?: string;
        totalDifficulty_not?: string;
        totalDifficulty?: string;
        difficulty_not_in?: string[];
        difficulty_in?: string[];
        difficulty_lte?: string;
        difficulty_gte?: string;
        difficulty_lt?: string;
        difficulty_gt?: string;
        difficulty_not?: string;
        difficulty?: string;
        author_not_ends_with_nocase?: string;
        author_not_ends_with?: string;
        author_ends_with_nocase?: string;
        author_ends_with?: string;
        author_not_starts_with_nocase?: string;
        author_not_starts_with?: string;
        author_starts_with_nocase?: string;
        author_starts_with?: string;
        author_not_contains_nocase?: string;
        author_not_contains?: string;
        author_contains_nocase?: string;
        author_contains?: string;
        author_not_in?: string[];
        author_in?: string[];
        author_lte?: string;
        author_gte?: string;
        author_lt?: string;
        author_gt?: string;
        author_not?: string;
        author?: string;
        parentHash_not_ends_with_nocase?: string;
        parentHash_not_ends_with?: string;
        parentHash_ends_with_nocase?: string;
        parentHash_ends_with?: string;
        parentHash_not_starts_with_nocase?: string;
        parentHash_not_starts_with?: string;
        parentHash_starts_with_nocase?: string;
        parentHash_starts_with?: string;
        parentHash_not_contains_nocase?: string;
        parentHash_not_contains?: string;
        parentHash_contains_nocase?: string;
        parentHash_contains?: string;
        parentHash_not_in?: string[];
        parentHash_in?: string[];
        parentHash_lte?: string;
        parentHash_gte?: string;
        parentHash_lt?: string;
        parentHash_gt?: string;
        parentHash_not?: string;
        parentHash?: string;
        timestamp_not_in?: string[];
        timestamp_in?: string[];
        timestamp_lte?: string;
        timestamp_gte?: string;
        timestamp_lt?: string;
        timestamp_gt?: string;
        timestamp_not?: string;
        timestamp?: string;
        number_not_in?: string[];
        number_in?: string[];
        number_lte?: string;
        number_gte?: string;
        number_lt?: string;
        number_gt?: string;
        number_not?: string;
        number?: string;
        id_not_contains?: `0x${string}`;
        id_contains?: `0x${string}`;
        id_not_in?: `0x${string}`[];
        id_in?: `0x${string}`[];
        id_lte?: `0x${string}`;
        id_gte?: `0x${string}`;
        id_lt?: `0x${string}`;
        id_gt?: `0x${string}`;
        id_not?: `0x${string}`;
        id?: `0x${string}`;
    };
    orderDirection?: "asc" | "desc";
    orderBy?: "number" | "id" | "timestamp" | "parentHash" | "author" | "difficulty" | "totalDifficulty" | "gasUsed" | "gasLimit" | "receiptsRoot" | "transactionsRoot" | "stateRoot" | "size" | "unclesHash";
    skip?: number;
    first?: number;
}, void>;
export type GetBlocks = VariablesOf<typeof BlocksQuery> & ChainIdVariable<ChainId>;
export declare function getBlocks({ chainId, ...variables }: GetBlocks, options?: RequestOptions): Promise<{
    id: `0x${string}`;
    number: number;
    timestamp: number;
}[]>;
export type Blocks = Awaited<ReturnType<typeof getBlocks>>;
