import type { VariablesOf } from 'gql.tada';
import { type BondChainId } from '@sushiswap/bonds-sdk';
import type { RequestOptions } from '../../../lib/request';
import type { ChainIdVariable } from '../../../lib/types/chainId';
import type { Hex } from '../../../lib/types/hex';
export declare const BondUserPositionsQuery: import("gql.tada").TadaDocumentNode<{
    ownerBalances: {
        bondToken: {
            underlying: {
                name: string;
                decimals: string;
                symbol: string;
                id: string;
            };
            teller: string;
            type: string;
            expiry: string;
            id: string;
        };
        balance: string;
        owner: string;
        id: string;
    }[];
}, {
    where?: {
        or?: any[];
        and?: any[];
        _change_block?: {
            number_gte: number;
        };
        bondToken_?: {
            or?: any[];
            and?: any[];
            _change_block?: {
                number_gte: number;
            };
            type_not_ends_with_nocase?: string;
            type_not_ends_with?: string;
            type_ends_with_nocase?: string;
            type_ends_with?: string;
            type_not_starts_with_nocase?: string;
            type_not_starts_with?: string;
            type_starts_with_nocase?: string;
            type_starts_with?: string;
            type_not_contains_nocase?: string;
            type_not_contains?: string;
            type_contains_nocase?: string;
            type_contains?: string;
            type_not_in?: string[];
            type_in?: string[];
            type_lte?: string;
            type_gte?: string;
            type_lt?: string;
            type_gt?: string;
            type_not?: string;
            type?: string;
            chainId_not_in?: string[];
            chainId_in?: string[];
            chainId_lte?: string;
            chainId_gte?: string;
            chainId_lt?: string;
            chainId_gt?: string;
            chainId_not?: string;
            chainId?: string;
            network_not_ends_with_nocase?: string;
            network_not_ends_with?: string;
            network_ends_with_nocase?: string;
            network_ends_with?: string;
            network_not_starts_with_nocase?: string;
            network_not_starts_with?: string;
            network_starts_with_nocase?: string;
            network_starts_with?: string;
            network_not_contains_nocase?: string;
            network_not_contains?: string;
            network_contains_nocase?: string;
            network_contains?: string;
            network_not_in?: string[];
            network_in?: string[];
            network_lte?: string;
            network_gte?: string;
            network_lt?: string;
            network_gt?: string;
            network_not?: string;
            network?: string;
            teller_not_ends_with_nocase?: string;
            teller_not_ends_with?: string;
            teller_ends_with_nocase?: string;
            teller_ends_with?: string;
            teller_not_starts_with_nocase?: string;
            teller_not_starts_with?: string;
            teller_starts_with_nocase?: string;
            teller_starts_with?: string;
            teller_not_contains_nocase?: string;
            teller_not_contains?: string;
            teller_contains_nocase?: string;
            teller_contains?: string;
            teller_not_in?: string[];
            teller_in?: string[];
            teller_lte?: string;
            teller_gte?: string;
            teller_lt?: string;
            teller_gt?: string;
            teller_not?: string;
            teller?: string;
            expiry_not_in?: string[];
            expiry_in?: string[];
            expiry_lte?: string;
            expiry_gte?: string;
            expiry_lt?: string;
            expiry_gt?: string;
            expiry_not?: string;
            expiry?: string;
            underlying_?: {
                or?: any[];
                and?: any[];
                _change_block?: {
                    number_gte: number;
                };
                markets_?: {
                    or?: any[];
                    and?: any[];
                    _change_block?: {
                        number_gte: number;
                    };
                    bondsIssued_not_in?: string[];
                    bondsIssued_in?: string[];
                    bondsIssued_lte?: string;
                    bondsIssued_gte?: string;
                    bondsIssued_lt?: string;
                    bondsIssued_gt?: string;
                    bondsIssued_not?: string;
                    bondsIssued?: string;
                    bondPurchases_?: {
                        or?: any[];
                        and?: any[];
                        _change_block?: {
                            number_gte: number;
                        };
                        payoutTokenTbv_?: {
                            or?: any[];
                            and?: any[];
                            _change_block?: {
                                number_gte: number;
                            };
                            bondPurchases_?: any;
                            tbv_not_in?: string[];
                            tbv_in?: string[];
                            tbv_lte?: string;
                            tbv_gte?: string;
                            tbv_lt?: string;
                            tbv_gt?: string;
                            tbv_not?: string;
                            tbv?: string;
                            chainId_not_in?: string[];
                            chainId_in?: string[];
                            chainId_lte?: string;
                            chainId_gte?: string;
                            chainId_lt?: string;
                            chainId_gt?: string;
                            chainId_not?: string;
                            chainId?: string;
                            network_not_ends_with_nocase?: string;
                            network_not_ends_with?: string;
                            network_ends_with_nocase?: string;
                            network_ends_with?: string;
                            network_not_starts_with_nocase?: string;
                            network_not_starts_with?: string;
                            network_starts_with_nocase?: string;
                            network_starts_with?: string;
                            network_not_contains_nocase?: string;
                            network_not_contains?: string;
                            network_contains_nocase?: string;
                            network_contains?: string;
                            network_not_in?: string[];
                            network_in?: string[];
                            network_lte?: string;
                            network_gte?: string;
                            network_lt?: string;
                            network_gt?: string;
                            network_not?: string;
                            network?: string;
                            quoteToken_?: any;
                            quoteToken_not_ends_with_nocase?: string;
                            quoteToken_not_ends_with?: string;
                            quoteToken_ends_with_nocase?: string;
                            quoteToken_ends_with?: string;
                            quoteToken_not_starts_with_nocase?: string;
                            quoteToken_not_starts_with?: string;
                            quoteToken_starts_with_nocase?: string;
                            quoteToken_starts_with?: string;
                            quoteToken_not_contains_nocase?: string;
                            quoteToken_not_contains?: string;
                            quoteToken_contains_nocase?: string;
                            quoteToken_contains?: string;
                            quoteToken_not_in?: string[];
                            quoteToken_in?: string[];
                            quoteToken_lte?: string;
                            quoteToken_gte?: string;
                            quoteToken_lt?: string;
                            quoteToken_gt?: string;
                            quoteToken_not?: string;
                            quoteToken?: string;
                            payoutToken_?: any;
                            payoutToken_not_ends_with_nocase?: string;
                            payoutToken_not_ends_with?: string;
                            payoutToken_ends_with_nocase?: string;
                            payoutToken_ends_with?: string;
                            payoutToken_not_starts_with_nocase?: string;
                            payoutToken_not_starts_with?: string;
                            payoutToken_starts_with_nocase?: string;
                            payoutToken_starts_with?: string;
                            payoutToken_not_contains_nocase?: string;
                            payoutToken_not_contains?: string;
                            payoutToken_contains_nocase?: string;
                            payoutToken_contains?: string;
                            payoutToken_not_in?: string[];
                            payoutToken_in?: string[];
                            payoutToken_lte?: string;
                            payoutToken_gte?: string;
                            payoutToken_lt?: string;
                            payoutToken_gt?: string;
                            payoutToken_not?: string;
                            payoutToken?: string;
                            id_not_ends_with_nocase?: string;
                            id_not_ends_with?: string;
                            id_ends_with_nocase?: string;
                            id_ends_with?: string;
                            id_not_starts_with_nocase?: string;
                            id_not_starts_with?: string;
                            id_starts_with_nocase?: string;
                            id_starts_with?: string;
                            id_not_contains_nocase?: string;
                            id_not_contains?: string;
                            id_contains_nocase?: string;
                            id_contains?: string;
                            id_not_in?: string[];
                            id_in?: string[];
                            id_lte?: string;
                            id_gte?: string;
                            id_lt?: string;
                            id_gt?: string;
                            id_not?: string;
                            id?: string;
                        };
                        payoutTokenTbv_not_ends_with_nocase?: string;
                        payoutTokenTbv_not_ends_with?: string;
                        payoutTokenTbv_ends_with_nocase?: string;
                        payoutTokenTbv_ends_with?: string;
                        payoutTokenTbv_not_starts_with_nocase?: string;
                        payoutTokenTbv_not_starts_with?: string;
                        payoutTokenTbv_starts_with_nocase?: string;
                        payoutTokenTbv_starts_with?: string;
                        payoutTokenTbv_not_contains_nocase?: string;
                        payoutTokenTbv_not_contains?: string;
                        payoutTokenTbv_contains_nocase?: string;
                        payoutTokenTbv_contains?: string;
                        payoutTokenTbv_not_in?: string[];
                        payoutTokenTbv_in?: string[];
                        payoutTokenTbv_lte?: string;
                        payoutTokenTbv_gte?: string;
                        payoutTokenTbv_lt?: string;
                        payoutTokenTbv_gt?: string;
                        payoutTokenTbv_not?: string;
                        payoutTokenTbv?: string;
                        ownerTokenTbv_?: {
                            or?: any[];
                            and?: any[];
                            _change_block?: {
                                number_gte: number;
                            };
                            bondPurchases_?: any;
                            tbv_not_in?: string[];
                            tbv_in?: string[];
                            tbv_lte?: string;
                            tbv_gte?: string;
                            tbv_lt?: string;
                            tbv_gt?: string;
                            tbv_not?: string;
                            tbv?: string;
                            chainId_not_in?: string[];
                            chainId_in?: string[];
                            chainId_lte?: string;
                            chainId_gte?: string;
                            chainId_lt?: string;
                            chainId_gt?: string;
                            chainId_not?: string;
                            chainId?: string;
                            network_not_ends_with_nocase?: string;
                            network_not_ends_with?: string;
                            network_ends_with_nocase?: string;
                            network_ends_with?: string;
                            network_not_starts_with_nocase?: string;
                            network_not_starts_with?: string;
                            network_starts_with_nocase?: string;
                            network_starts_with?: string;
                            network_not_contains_nocase?: string;
                            network_not_contains?: string;
                            network_contains_nocase?: string;
                            network_contains?: string;
                            network_not_in?: string[];
                            network_in?: string[];
                            network_lte?: string;
                            network_gte?: string;
                            network_lt?: string;
                            network_gt?: string;
                            network_not?: string;
                            network?: string;
                            token_not_ends_with_nocase?: string;
                            token_not_ends_with?: string;
                            token_ends_with_nocase?: string;
                            token_ends_with?: string;
                            token_not_starts_with_nocase?: string;
                            token_not_starts_with?: string;
                            token_starts_with_nocase?: string;
                            token_starts_with?: string;
                            token_not_contains_nocase?: string;
                            token_not_contains?: string;
                            token_contains_nocase?: string;
                            token_contains?: string;
                            token_not_in?: string[];
                            token_in?: string[];
                            token_lte?: string;
                            token_gte?: string;
                            token_lt?: string;
                            token_gt?: string;
                            token_not?: string;
                            token?: string;
                            owner_not_ends_with_nocase?: string;
                            owner_not_ends_with?: string;
                            owner_ends_with_nocase?: string;
                            owner_ends_with?: string;
                            owner_not_starts_with_nocase?: string;
                            owner_not_starts_with?: string;
                            owner_starts_with_nocase?: string;
                            owner_starts_with?: string;
                            owner_not_contains_nocase?: string;
                            owner_not_contains?: string;
                            owner_contains_nocase?: string;
                            owner_contains?: string;
                            owner_not_in?: string[];
                            owner_in?: string[];
                            owner_lte?: string;
                            owner_gte?: string;
                            owner_lt?: string;
                            owner_gt?: string;
                            owner_not?: string;
                            owner?: string;
                            id_not_ends_with_nocase?: string;
                            id_not_ends_with?: string;
                            id_ends_with_nocase?: string;
                            id_ends_with?: string;
                            id_not_starts_with_nocase?: string;
                            id_not_starts_with?: string;
                            id_starts_with_nocase?: string;
                            id_starts_with?: string;
                            id_not_contains_nocase?: string;
                            id_not_contains?: string;
                            id_contains_nocase?: string;
                            id_contains?: string;
                            id_not_in?: string[];
                            id_in?: string[];
                            id_lte?: string;
                            id_gte?: string;
                            id_lt?: string;
                            id_gt?: string;
                            id_not?: string;
                            id?: string;
                        };
                        ownerTokenTbv_not_ends_with_nocase?: string;
                        ownerTokenTbv_not_ends_with?: string;
                        ownerTokenTbv_ends_with_nocase?: string;
                        ownerTokenTbv_ends_with?: string;
                        ownerTokenTbv_not_starts_with_nocase?: string;
                        ownerTokenTbv_not_starts_with?: string;
                        ownerTokenTbv_starts_with_nocase?: string;
                        ownerTokenTbv_starts_with?: string;
                        ownerTokenTbv_not_contains_nocase?: string;
                        ownerTokenTbv_not_contains?: string;
                        ownerTokenTbv_contains_nocase?: string;
                        ownerTokenTbv_contains?: string;
                        ownerTokenTbv_not_in?: string[];
                        ownerTokenTbv_in?: string[];
                        ownerTokenTbv_lte?: string;
                        ownerTokenTbv_gte?: string;
                        ownerTokenTbv_lt?: string;
                        ownerTokenTbv_gt?: string;
                        ownerTokenTbv_not?: string;
                        ownerTokenTbv?: string;
                        postPurchasePrice_not_in?: string[];
                        postPurchasePrice_in?: string[];
                        postPurchasePrice_lte?: string;
                        postPurchasePrice_gte?: string;
                        postPurchasePrice_lt?: string;
                        postPurchasePrice_gt?: string;
                        postPurchasePrice_not?: string;
                        postPurchasePrice?: string;
                        purchasePrice_not_in?: string[];
                        purchasePrice_in?: string[];
                        purchasePrice_lte?: string;
                        purchasePrice_gte?: string;
                        purchasePrice_lt?: string;
                        purchasePrice_gt?: string;
                        purchasePrice_not?: string;
                        purchasePrice?: string;
                        chainId_not_in?: string[];
                        chainId_in?: string[];
                        chainId_lte?: string;
                        chainId_gte?: string;
                        chainId_lt?: string;
                        chainId_gt?: string;
                        chainId_not?: string;
                        chainId?: string;
                        network_not_ends_with_nocase?: string;
                        network_not_ends_with?: string;
                        network_ends_with_nocase?: string;
                        network_ends_with?: string;
                        network_not_starts_with_nocase?: string;
                        network_not_starts_with?: string;
                        network_starts_with_nocase?: string;
                        network_starts_with?: string;
                        network_not_contains_nocase?: string;
                        network_not_contains?: string;
                        network_contains_nocase?: string;
                        network_contains?: string;
                        network_not_in?: string[];
                        network_in?: string[];
                        network_lte?: string;
                        network_gte?: string;
                        network_lt?: string;
                        network_gt?: string;
                        network_not?: string;
                        network?: string;
                        quoteToken_?: any;
                        quoteToken_not_ends_with_nocase?: string;
                        quoteToken_not_ends_with?: string;
                        quoteToken_ends_with_nocase?: string;
                        quoteToken_ends_with?: string;
                        quoteToken_not_starts_with_nocase?: string;
                        quoteToken_not_starts_with?: string;
                        quoteToken_starts_with_nocase?: string;
                        quoteToken_starts_with?: string;
                        quoteToken_not_contains_nocase?: string;
                        quoteToken_not_contains?: string;
                        quoteToken_contains_nocase?: string;
                        quoteToken_contains?: string;
                        quoteToken_not_in?: string[];
                        quoteToken_in?: string[];
                        quoteToken_lte?: string;
                        quoteToken_gte?: string;
                        quoteToken_lt?: string;
                        quoteToken_gt?: string;
                        quoteToken_not?: string;
                        quoteToken?: string;
                        payoutToken_?: any;
                        payoutToken_not_ends_with_nocase?: string;
                        payoutToken_not_ends_with?: string;
                        payoutToken_ends_with_nocase?: string;
                        payoutToken_ends_with?: string;
                        payoutToken_not_starts_with_nocase?: string;
                        payoutToken_not_starts_with?: string;
                        payoutToken_starts_with_nocase?: string;
                        payoutToken_starts_with?: string;
                        payoutToken_not_contains_nocase?: string;
                        payoutToken_not_contains?: string;
                        payoutToken_contains_nocase?: string;
                        payoutToken_contains?: string;
                        payoutToken_not_in?: string[];
                        payoutToken_in?: string[];
                        payoutToken_lte?: string;
                        payoutToken_gte?: string;
                        payoutToken_lt?: string;
                        payoutToken_gt?: string;
                        payoutToken_not?: string;
                        payoutToken?: string;
                        auctioneer_not_ends_with_nocase?: string;
                        auctioneer_not_ends_with?: string;
                        auctioneer_ends_with_nocase?: string;
                        auctioneer_ends_with?: string;
                        auctioneer_not_starts_with_nocase?: string;
                        auctioneer_not_starts_with?: string;
                        auctioneer_starts_with_nocase?: string;
                        auctioneer_starts_with?: string;
                        auctioneer_not_contains_nocase?: string;
                        auctioneer_not_contains?: string;
                        auctioneer_contains_nocase?: string;
                        auctioneer_contains?: string;
                        auctioneer_not_in?: string[];
                        auctioneer_in?: string[];
                        auctioneer_lte?: string;
                        auctioneer_gte?: string;
                        auctioneer_lt?: string;
                        auctioneer_gt?: string;
                        auctioneer_not?: string;
                        auctioneer?: string;
                        teller_not_ends_with_nocase?: string;
                        teller_not_ends_with?: string;
                        teller_ends_with_nocase?: string;
                        teller_ends_with?: string;
                        teller_not_starts_with_nocase?: string;
                        teller_not_starts_with?: string;
                        teller_starts_with_nocase?: string;
                        teller_starts_with?: string;
                        teller_not_contains_nocase?: string;
                        teller_not_contains?: string;
                        teller_contains_nocase?: string;
                        teller_contains?: string;
                        teller_not_in?: string[];
                        teller_in?: string[];
                        teller_lte?: string;
                        teller_gte?: string;
                        teller_lt?: string;
                        teller_gt?: string;
                        teller_not?: string;
                        teller?: string;
                        timestamp_not_in?: string[];
                        timestamp_in?: string[];
                        timestamp_lte?: string;
                        timestamp_gte?: string;
                        timestamp_lt?: string;
                        timestamp_gt?: string;
                        timestamp_not?: string;
                        timestamp?: string;
                        referrer_not_ends_with_nocase?: string;
                        referrer_not_ends_with?: string;
                        referrer_ends_with_nocase?: string;
                        referrer_ends_with?: string;
                        referrer_not_starts_with_nocase?: string;
                        referrer_not_starts_with?: string;
                        referrer_starts_with_nocase?: string;
                        referrer_starts_with?: string;
                        referrer_not_contains_nocase?: string;
                        referrer_not_contains?: string;
                        referrer_contains_nocase?: string;
                        referrer_contains?: string;
                        referrer_not_in?: string[];
                        referrer_in?: string[];
                        referrer_lte?: string;
                        referrer_gte?: string;
                        referrer_lt?: string;
                        referrer_gt?: string;
                        referrer_not?: string;
                        referrer?: string;
                        recipient_not_ends_with_nocase?: string;
                        recipient_not_ends_with?: string;
                        recipient_ends_with_nocase?: string;
                        recipient_ends_with?: string;
                        recipient_not_starts_with_nocase?: string;
                        recipient_not_starts_with?: string;
                        recipient_starts_with_nocase?: string;
                        recipient_starts_with?: string;
                        recipient_not_contains_nocase?: string;
                        recipient_not_contains?: string;
                        recipient_contains_nocase?: string;
                        recipient_contains?: string;
                        recipient_not_in?: string[];
                        recipient_in?: string[];
                        recipient_lte?: string;
                        recipient_gte?: string;
                        recipient_lt?: string;
                        recipient_gt?: string;
                        recipient_not?: string;
                        recipient?: string;
                        payout_not_in?: string[];
                        payout_in?: string[];
                        payout_lte?: string;
                        payout_gte?: string;
                        payout_lt?: string;
                        payout_gt?: string;
                        payout_not?: string;
                        payout?: string;
                        amount_not_in?: string[];
                        amount_in?: string[];
                        amount_lte?: string;
                        amount_gte?: string;
                        amount_lt?: string;
                        amount_gt?: string;
                        amount_not?: string;
                        amount?: string;
                        owner_not_ends_with_nocase?: string;
                        owner_not_ends_with?: string;
                        owner_ends_with_nocase?: string;
                        owner_ends_with?: string;
                        owner_not_starts_with_nocase?: string;
                        owner_not_starts_with?: string;
                        owner_starts_with_nocase?: string;
                        owner_starts_with?: string;
                        owner_not_contains_nocase?: string;
                        owner_not_contains?: string;
                        owner_contains_nocase?: string;
                        owner_contains?: string;
                        owner_not_in?: string[];
                        owner_in?: string[];
                        owner_lte?: string;
                        owner_gte?: string;
                        owner_lt?: string;
                        owner_gt?: string;
                        owner_not?: string;
                        owner?: string;
                        market_?: any;
                        market_not_ends_with_nocase?: string;
                        market_not_ends_with?: string;
                        market_ends_with_nocase?: string;
                        market_ends_with?: string;
                        market_not_starts_with_nocase?: string;
                        market_not_starts_with?: string;
                        market_starts_with_nocase?: string;
                        market_starts_with?: string;
                        market_not_contains_nocase?: string;
                        market_not_contains?: string;
                        market_contains_nocase?: string;
                        market_contains?: string;
                        market_not_in?: string[];
                        market_in?: string[];
                        market_lte?: string;
                        market_gte?: string;
                        market_lt?: string;
                        market_gt?: string;
                        market_not?: string;
                        market?: string;
                        id_not_ends_with_nocase?: string;
                        id_not_ends_with?: string;
                        id_ends_with_nocase?: string;
                        id_ends_with?: string;
                        id_not_starts_with_nocase?: string;
                        id_not_starts_with?: string;
                        id_starts_with_nocase?: string;
                        id_starts_with?: string;
                        id_not_contains_nocase?: string;
                        id_not_contains?: string;
                        id_contains_nocase?: string;
                        id_contains?: string;
                        id_not_in?: string[];
                        id_in?: string[];
                        id_lte?: string;
                        id_gte?: string;
                        id_lt?: string;
                        id_gt?: string;
                        id_not?: string;
                        id?: string;
                    };
                    tunes_?: {
                        or?: any[];
                        and?: any[];
                        _change_block?: {
                            number_gte: number;
                        };
                        timestamp_not_in?: string[];
                        timestamp_in?: string[];
                        timestamp_lte?: string;
                        timestamp_gte?: string;
                        timestamp_lt?: string;
                        timestamp_gt?: string;
                        timestamp_not?: string;
                        timestamp?: string;
                        deltaTime_not_in?: string[];
                        deltaTime_in?: string[];
                        deltaTime_lte?: string;
                        deltaTime_gte?: string;
                        deltaTime_lt?: string;
                        deltaTime_gt?: string;
                        deltaTime_not?: string;
                        deltaTime?: string;
                        newControlVariable_not_in?: string[];
                        newControlVariable_in?: string[];
                        newControlVariable_lte?: string;
                        newControlVariable_gte?: string;
                        newControlVariable_lt?: string;
                        newControlVariable_gt?: string;
                        newControlVariable_not?: string;
                        newControlVariable?: string;
                        oldControlVariable_not_in?: string[];
                        oldControlVariable_in?: string[];
                        oldControlVariable_lte?: string;
                        oldControlVariable_gte?: string;
                        oldControlVariable_lt?: string;
                        oldControlVariable_gt?: string;
                        oldControlVariable_not?: string;
                        oldControlVariable?: string;
                        market_?: any;
                        market_not_ends_with_nocase?: string;
                        market_not_ends_with?: string;
                        market_ends_with_nocase?: string;
                        market_ends_with?: string;
                        market_not_starts_with_nocase?: string;
                        market_not_starts_with?: string;
                        market_starts_with_nocase?: string;
                        market_starts_with?: string;
                        market_not_contains_nocase?: string;
                        market_not_contains?: string;
                        market_contains_nocase?: string;
                        market_contains?: string;
                        market_not_in?: string[];
                        market_in?: string[];
                        market_lte?: string;
                        market_gte?: string;
                        market_lt?: string;
                        market_gt?: string;
                        market_not?: string;
                        market?: string;
                        id_not_ends_with_nocase?: string;
                        id_not_ends_with?: string;
                        id_ends_with_nocase?: string;
                        id_ends_with?: string;
                        id_not_starts_with_nocase?: string;
                        id_not_starts_with?: string;
                        id_starts_with_nocase?: string;
                        id_starts_with?: string;
                        id_not_contains_nocase?: string;
                        id_not_contains?: string;
                        id_contains_nocase?: string;
                        id_contains?: string;
                        id_not_in?: string[];
                        id_in?: string[];
                        id_lte?: string;
                        id_gte?: string;
                        id_lt?: string;
                        id_gt?: string;
                        id_not?: string;
                        id?: string;
                    };
                    averageBondPrice_not_in?: string[];
                    averageBondPrice_in?: string[];
                    averageBondPrice_lte?: string;
                    averageBondPrice_gte?: string;
                    averageBondPrice_lt?: string;
                    averageBondPrice_gt?: string;
                    averageBondPrice_not?: string;
                    averageBondPrice?: string;
                    scale_not_in?: string[];
                    scale_in?: string[];
                    scale_lte?: string;
                    scale_gte?: string;
                    scale_lt?: string;
                    scale_gt?: string;
                    scale_not?: string;
                    scale?: string;
                    price_not_in?: string[];
                    price_in?: string[];
                    price_lte?: string;
                    price_gte?: string;
                    price_lt?: string;
                    price_gt?: string;
                    price_not?: string;
                    price?: string;
                    minPrice_not_in?: string[];
                    minPrice_in?: string[];
                    minPrice_lte?: string;
                    minPrice_gte?: string;
                    minPrice_lt?: string;
                    minPrice_gt?: string;
                    minPrice_not?: string;
                    minPrice?: string;
                    capacityInQuote_not_in?: boolean[];
                    capacityInQuote_in?: boolean[];
                    capacityInQuote_not?: boolean;
                    capacityInQuote?: boolean;
                    capacity_not_in?: string[];
                    capacity_in?: string[];
                    capacity_lte?: string;
                    capacity_gte?: string;
                    capacity_lt?: string;
                    capacity_gt?: string;
                    capacity_not?: string;
                    capacity?: string;
                    callbackAddress_not_ends_with_nocase?: string;
                    callbackAddress_not_ends_with?: string;
                    callbackAddress_ends_with_nocase?: string;
                    callbackAddress_ends_with?: string;
                    callbackAddress_not_starts_with_nocase?: string;
                    callbackAddress_not_starts_with?: string;
                    callbackAddress_starts_with_nocase?: string;
                    callbackAddress_starts_with?: string;
                    callbackAddress_not_contains_nocase?: string;
                    callbackAddress_not_contains?: string;
                    callbackAddress_contains_nocase?: string;
                    callbackAddress_contains?: string;
                    callbackAddress_not_in?: string[];
                    callbackAddress_in?: string[];
                    callbackAddress_lte?: string;
                    callbackAddress_gte?: string;
                    callbackAddress_lt?: string;
                    callbackAddress_gt?: string;
                    callbackAddress_not?: string;
                    callbackAddress?: string;
                    creationBlockTimestamp_not_in?: string[];
                    creationBlockTimestamp_in?: string[];
                    creationBlockTimestamp_lte?: string;
                    creationBlockTimestamp_gte?: string;
                    creationBlockTimestamp_lt?: string;
                    creationBlockTimestamp_gt?: string;
                    creationBlockTimestamp_not?: string;
                    creationBlockTimestamp?: string;
                    totalPayoutAmount_not_in?: string[];
                    totalPayoutAmount_in?: string[];
                    totalPayoutAmount_lte?: string;
                    totalPayoutAmount_gte?: string;
                    totalPayoutAmount_lt?: string;
                    totalPayoutAmount_gt?: string;
                    totalPayoutAmount_not?: string;
                    totalPayoutAmount?: string;
                    totalBondedAmount_not_in?: string[];
                    totalBondedAmount_in?: string[];
                    totalBondedAmount_lte?: string;
                    totalBondedAmount_gte?: string;
                    totalBondedAmount_lt?: string;
                    totalBondedAmount_gt?: string;
                    totalBondedAmount_not?: string;
                    totalBondedAmount?: string;
                    hasClosed_not_in?: boolean[];
                    hasClosed_in?: boolean[];
                    hasClosed_not?: boolean;
                    hasClosed?: boolean;
                    isInstantSwap_not_in?: boolean[];
                    isInstantSwap_in?: boolean[];
                    isInstantSwap_not?: boolean;
                    isInstantSwap?: boolean;
                    vestingType_not_ends_with_nocase?: string;
                    vestingType_not_ends_with?: string;
                    vestingType_ends_with_nocase?: string;
                    vestingType_ends_with?: string;
                    vestingType_not_starts_with_nocase?: string;
                    vestingType_not_starts_with?: string;
                    vestingType_starts_with_nocase?: string;
                    vestingType_starts_with?: string;
                    vestingType_not_contains_nocase?: string;
                    vestingType_not_contains?: string;
                    vestingType_contains_nocase?: string;
                    vestingType_contains?: string;
                    vestingType_not_in?: string[];
                    vestingType_in?: string[];
                    vestingType_lte?: string;
                    vestingType_gte?: string;
                    vestingType_lt?: string;
                    vestingType_gt?: string;
                    vestingType_not?: string;
                    vestingType?: string;
                    conclusion_not_in?: string[];
                    conclusion_in?: string[];
                    conclusion_lte?: string;
                    conclusion_gte?: string;
                    conclusion_lt?: string;
                    conclusion_gt?: string;
                    conclusion_not?: string;
                    conclusion?: string;
                    start_not_in?: string[];
                    start_in?: string[];
                    start_lte?: string;
                    start_gte?: string;
                    start_lt?: string;
                    start_gt?: string;
                    start_not?: string;
                    start?: string;
                    vesting_not_in?: string[];
                    vesting_in?: string[];
                    vesting_lte?: string;
                    vesting_gte?: string;
                    vesting_lt?: string;
                    vesting_gt?: string;
                    vesting_not?: string;
                    vesting?: string;
                    quoteToken_?: any;
                    quoteToken_not_ends_with_nocase?: string;
                    quoteToken_not_ends_with?: string;
                    quoteToken_ends_with_nocase?: string;
                    quoteToken_ends_with?: string;
                    quoteToken_not_starts_with_nocase?: string;
                    quoteToken_not_starts_with?: string;
                    quoteToken_starts_with_nocase?: string;
                    quoteToken_starts_with?: string;
                    quoteToken_not_contains_nocase?: string;
                    quoteToken_not_contains?: string;
                    quoteToken_contains_nocase?: string;
                    quoteToken_contains?: string;
                    quoteToken_not_in?: string[];
                    quoteToken_in?: string[];
                    quoteToken_lte?: string;
                    quoteToken_gte?: string;
                    quoteToken_lt?: string;
                    quoteToken_gt?: string;
                    quoteToken_not?: string;
                    quoteToken?: string;
                    payoutToken_?: any;
                    payoutToken_not_ends_with_nocase?: string;
                    payoutToken_not_ends_with?: string;
                    payoutToken_ends_with_nocase?: string;
                    payoutToken_ends_with?: string;
                    payoutToken_not_starts_with_nocase?: string;
                    payoutToken_not_starts_with?: string;
                    payoutToken_starts_with_nocase?: string;
                    payoutToken_starts_with?: string;
                    payoutToken_not_contains_nocase?: string;
                    payoutToken_not_contains?: string;
                    payoutToken_contains_nocase?: string;
                    payoutToken_contains?: string;
                    payoutToken_not_in?: string[];
                    payoutToken_in?: string[];
                    payoutToken_lte?: string;
                    payoutToken_gte?: string;
                    payoutToken_lt?: string;
                    payoutToken_gt?: string;
                    payoutToken_not?: string;
                    payoutToken?: string;
                    owner_not_ends_with_nocase?: string;
                    owner_not_ends_with?: string;
                    owner_ends_with_nocase?: string;
                    owner_ends_with?: string;
                    owner_not_starts_with_nocase?: string;
                    owner_not_starts_with?: string;
                    owner_starts_with_nocase?: string;
                    owner_starts_with?: string;
                    owner_not_contains_nocase?: string;
                    owner_not_contains?: string;
                    owner_contains_nocase?: string;
                    owner_contains?: string;
                    owner_not_in?: string[];
                    owner_in?: string[];
                    owner_lte?: string;
                    owner_gte?: string;
                    owner_lt?: string;
                    owner_gt?: string;
                    owner_not?: string;
                    owner?: string;
                    marketId_not_in?: string[];
                    marketId_in?: string[];
                    marketId_lte?: string;
                    marketId_gte?: string;
                    marketId_lt?: string;
                    marketId_gt?: string;
                    marketId_not?: string;
                    marketId?: string;
                    teller_not_ends_with_nocase?: string;
                    teller_not_ends_with?: string;
                    teller_ends_with_nocase?: string;
                    teller_ends_with?: string;
                    teller_not_starts_with_nocase?: string;
                    teller_not_starts_with?: string;
                    teller_starts_with_nocase?: string;
                    teller_starts_with?: string;
                    teller_not_contains_nocase?: string;
                    teller_not_contains?: string;
                    teller_contains_nocase?: string;
                    teller_contains?: string;
                    teller_not_in?: string[];
                    teller_in?: string[];
                    teller_lte?: string;
                    teller_gte?: string;
                    teller_lt?: string;
                    teller_gt?: string;
                    teller_not?: string;
                    teller?: string;
                    auctioneer_not_ends_with_nocase?: string;
                    auctioneer_not_ends_with?: string;
                    auctioneer_ends_with_nocase?: string;
                    auctioneer_ends_with?: string;
                    auctioneer_not_starts_with_nocase?: string;
                    auctioneer_not_starts_with?: string;
                    auctioneer_starts_with_nocase?: string;
                    auctioneer_starts_with?: string;
                    auctioneer_not_contains_nocase?: string;
                    auctioneer_not_contains?: string;
                    auctioneer_contains_nocase?: string;
                    auctioneer_contains?: string;
                    auctioneer_not_in?: string[];
                    auctioneer_in?: string[];
                    auctioneer_lte?: string;
                    auctioneer_gte?: string;
                    auctioneer_lt?: string;
                    auctioneer_gt?: string;
                    auctioneer_not?: string;
                    auctioneer?: string;
                    chainId_not_in?: string[];
                    chainId_in?: string[];
                    chainId_lte?: string;
                    chainId_gte?: string;
                    chainId_lt?: string;
                    chainId_gt?: string;
                    chainId_not?: string;
                    chainId?: string;
                    network_not_ends_with_nocase?: string;
                    network_not_ends_with?: string;
                    network_ends_with_nocase?: string;
                    network_ends_with?: string;
                    network_not_starts_with_nocase?: string;
                    network_not_starts_with?: string;
                    network_starts_with_nocase?: string;
                    network_starts_with?: string;
                    network_not_contains_nocase?: string;
                    network_not_contains?: string;
                    network_contains_nocase?: string;
                    network_contains?: string;
                    network_not_in?: string[];
                    network_in?: string[];
                    network_lte?: string;
                    network_gte?: string;
                    network_lt?: string;
                    network_gt?: string;
                    network_not?: string;
                    network?: string;
                    type_not_ends_with_nocase?: string;
                    type_not_ends_with?: string;
                    type_ends_with_nocase?: string;
                    type_ends_with?: string;
                    type_not_starts_with_nocase?: string;
                    type_not_starts_with?: string;
                    type_starts_with_nocase?: string;
                    type_starts_with?: string;
                    type_not_contains_nocase?: string;
                    type_not_contains?: string;
                    type_contains_nocase?: string;
                    type_contains?: string;
                    type_not_in?: string[];
                    type_in?: string[];
                    type_lte?: string;
                    type_gte?: string;
                    type_lt?: string;
                    type_gt?: string;
                    type_not?: string;
                    type?: string;
                    name_not_ends_with_nocase?: string;
                    name_not_ends_with?: string;
                    name_ends_with_nocase?: string;
                    name_ends_with?: string;
                    name_not_starts_with_nocase?: string;
                    name_not_starts_with?: string;
                    name_starts_with_nocase?: string;
                    name_starts_with?: string;
                    name_not_contains_nocase?: string;
                    name_not_contains?: string;
                    name_contains_nocase?: string;
                    name_contains?: string;
                    name_not_in?: string[];
                    name_in?: string[];
                    name_lte?: string;
                    name_gte?: string;
                    name_lt?: string;
                    name_gt?: string;
                    name_not?: string;
                    name?: string;
                    id_not_ends_with_nocase?: string;
                    id_not_ends_with?: string;
                    id_ends_with_nocase?: string;
                    id_ends_with?: string;
                    id_not_starts_with_nocase?: string;
                    id_not_starts_with?: string;
                    id_starts_with_nocase?: string;
                    id_starts_with?: string;
                    id_not_contains_nocase?: string;
                    id_not_contains?: string;
                    id_contains_nocase?: string;
                    id_contains?: string;
                    id_not_in?: string[];
                    id_in?: string[];
                    id_lte?: string;
                    id_gte?: string;
                    id_lt?: string;
                    id_gt?: string;
                    id_not?: string;
                    id?: string;
                };
                uniqueBonders_?: {
                    or?: any[];
                    and?: any[];
                    _change_block?: {
                        number_gte: number;
                    };
                    count_not_in?: string[];
                    count_in?: string[];
                    count_lte?: string;
                    count_gte?: string;
                    count_lt?: string;
                    count_gt?: string;
                    count_not?: string;
                    count?: string;
                    token_?: any;
                    token_not_ends_with_nocase?: string;
                    token_not_ends_with?: string;
                    token_ends_with_nocase?: string;
                    token_ends_with?: string;
                    token_not_starts_with_nocase?: string;
                    token_not_starts_with?: string;
                    token_starts_with_nocase?: string;
                    token_starts_with?: string;
                    token_not_contains_nocase?: string;
                    token_not_contains?: string;
                    token_contains_nocase?: string;
                    token_contains?: string;
                    token_not_in?: string[];
                    token_in?: string[];
                    token_lte?: string;
                    token_gte?: string;
                    token_lt?: string;
                    token_gt?: string;
                    token_not?: string;
                    token?: string;
                    id_not_ends_with_nocase?: string;
                    id_not_ends_with?: string;
                    id_ends_with_nocase?: string;
                    id_ends_with?: string;
                    id_not_starts_with_nocase?: string;
                    id_not_starts_with?: string;
                    id_starts_with_nocase?: string;
                    id_starts_with?: string;
                    id_not_contains_nocase?: string;
                    id_not_contains?: string;
                    id_contains_nocase?: string;
                    id_contains?: string;
                    id_not_in?: string[];
                    id_in?: string[];
                    id_lte?: string;
                    id_gte?: string;
                    id_lt?: string;
                    id_gt?: string;
                    id_not?: string;
                    id?: string;
                };
                payoutTokenTbvs_?: {
                    or?: any[];
                    and?: any[];
                    _change_block?: {
                        number_gte: number;
                    };
                    bondPurchases_?: any;
                    tbv_not_in?: string[];
                    tbv_in?: string[];
                    tbv_lte?: string;
                    tbv_gte?: string;
                    tbv_lt?: string;
                    tbv_gt?: string;
                    tbv_not?: string;
                    tbv?: string;
                    chainId_not_in?: string[];
                    chainId_in?: string[];
                    chainId_lte?: string;
                    chainId_gte?: string;
                    chainId_lt?: string;
                    chainId_gt?: string;
                    chainId_not?: string;
                    chainId?: string;
                    network_not_ends_with_nocase?: string;
                    network_not_ends_with?: string;
                    network_ends_with_nocase?: string;
                    network_ends_with?: string;
                    network_not_starts_with_nocase?: string;
                    network_not_starts_with?: string;
                    network_starts_with_nocase?: string;
                    network_starts_with?: string;
                    network_not_contains_nocase?: string;
                    network_not_contains?: string;
                    network_contains_nocase?: string;
                    network_contains?: string;
                    network_not_in?: string[];
                    network_in?: string[];
                    network_lte?: string;
                    network_gte?: string;
                    network_lt?: string;
                    network_gt?: string;
                    network_not?: string;
                    network?: string;
                    quoteToken_?: any;
                    quoteToken_not_ends_with_nocase?: string;
                    quoteToken_not_ends_with?: string;
                    quoteToken_ends_with_nocase?: string;
                    quoteToken_ends_with?: string;
                    quoteToken_not_starts_with_nocase?: string;
                    quoteToken_not_starts_with?: string;
                    quoteToken_starts_with_nocase?: string;
                    quoteToken_starts_with?: string;
                    quoteToken_not_contains_nocase?: string;
                    quoteToken_not_contains?: string;
                    quoteToken_contains_nocase?: string;
                    quoteToken_contains?: string;
                    quoteToken_not_in?: string[];
                    quoteToken_in?: string[];
                    quoteToken_lte?: string;
                    quoteToken_gte?: string;
                    quoteToken_lt?: string;
                    quoteToken_gt?: string;
                    quoteToken_not?: string;
                    quoteToken?: string;
                    payoutToken_?: any;
                    payoutToken_not_ends_with_nocase?: string;
                    payoutToken_not_ends_with?: string;
                    payoutToken_ends_with_nocase?: string;
                    payoutToken_ends_with?: string;
                    payoutToken_not_starts_with_nocase?: string;
                    payoutToken_not_starts_with?: string;
                    payoutToken_starts_with_nocase?: string;
                    payoutToken_starts_with?: string;
                    payoutToken_not_contains_nocase?: string;
                    payoutToken_not_contains?: string;
                    payoutToken_contains_nocase?: string;
                    payoutToken_contains?: string;
                    payoutToken_not_in?: string[];
                    payoutToken_in?: string[];
                    payoutToken_lte?: string;
                    payoutToken_gte?: string;
                    payoutToken_lt?: string;
                    payoutToken_gt?: string;
                    payoutToken_not?: string;
                    payoutToken?: string;
                    id_not_ends_with_nocase?: string;
                    id_not_ends_with?: string;
                    id_ends_with_nocase?: string;
                    id_ends_with?: string;
                    id_not_starts_with_nocase?: string;
                    id_not_starts_with?: string;
                    id_starts_with_nocase?: string;
                    id_starts_with?: string;
                    id_not_contains_nocase?: string;
                    id_not_contains?: string;
                    id_contains_nocase?: string;
                    id_contains?: string;
                    id_not_in?: string[];
                    id_in?: string[];
                    id_lte?: string;
                    id_gte?: string;
                    id_lt?: string;
                    id_gt?: string;
                    id_not?: string;
                    id?: string;
                };
                purchaseCount_not_in?: string[];
                purchaseCount_in?: string[];
                purchaseCount_lte?: string;
                purchaseCount_gte?: string;
                purchaseCount_lt?: string;
                purchaseCount_gt?: string;
                purchaseCount_not?: string;
                purchaseCount?: string;
                totalPayoutAmount_not_in?: string[];
                totalPayoutAmount_in?: string[];
                totalPayoutAmount_lte?: string;
                totalPayoutAmount_gte?: string;
                totalPayoutAmount_lt?: string;
                totalPayoutAmount_gt?: string;
                totalPayoutAmount_not?: string;
                totalPayoutAmount?: string;
                usedAsQuote_not_in?: boolean[];
                usedAsQuote_in?: boolean[];
                usedAsQuote_not?: boolean;
                usedAsQuote?: boolean;
                usedAsPayout_not_in?: boolean[];
                usedAsPayout_in?: boolean[];
                usedAsPayout_not?: boolean;
                usedAsPayout?: boolean;
                balancerWeightedPool_?: {
                    or?: any[];
                    and?: any[];
                    _change_block?: {
                        number_gte: number;
                    };
                    constituentTokens_?: any;
                    constituentTokens_not_contains_nocase?: string[];
                    constituentTokens_not_contains?: string[];
                    constituentTokens_contains_nocase?: string[];
                    constituentTokens_contains?: string[];
                    constituentTokens_not?: string[];
                    constituentTokens?: string[];
                    poolId_not_ends_with_nocase?: string;
                    poolId_not_ends_with?: string;
                    poolId_ends_with_nocase?: string;
                    poolId_ends_with?: string;
                    poolId_not_starts_with_nocase?: string;
                    poolId_not_starts_with?: string;
                    poolId_starts_with_nocase?: string;
                    poolId_starts_with?: string;
                    poolId_not_contains_nocase?: string;
                    poolId_not_contains?: string;
                    poolId_contains_nocase?: string;
                    poolId_contains?: string;
                    poolId_not_in?: string[];
                    poolId_in?: string[];
                    poolId_lte?: string;
                    poolId_gte?: string;
                    poolId_lt?: string;
                    poolId_gt?: string;
                    poolId_not?: string;
                    poolId?: string;
                    vaultAddress_not_ends_with_nocase?: string;
                    vaultAddress_not_ends_with?: string;
                    vaultAddress_ends_with_nocase?: string;
                    vaultAddress_ends_with?: string;
                    vaultAddress_not_starts_with_nocase?: string;
                    vaultAddress_not_starts_with?: string;
                    vaultAddress_starts_with_nocase?: string;
                    vaultAddress_starts_with?: string;
                    vaultAddress_not_contains_nocase?: string;
                    vaultAddress_not_contains?: string;
                    vaultAddress_contains_nocase?: string;
                    vaultAddress_contains?: string;
                    vaultAddress_not_in?: string[];
                    vaultAddress_in?: string[];
                    vaultAddress_lte?: string;
                    vaultAddress_gte?: string;
                    vaultAddress_lt?: string;
                    vaultAddress_gt?: string;
                    vaultAddress_not?: string;
                    vaultAddress?: string;
                    id_not_ends_with_nocase?: string;
                    id_not_ends_with?: string;
                    id_ends_with_nocase?: string;
                    id_ends_with?: string;
                    id_not_starts_with_nocase?: string;
                    id_not_starts_with?: string;
                    id_starts_with_nocase?: string;
                    id_starts_with?: string;
                    id_not_contains_nocase?: string;
                    id_not_contains?: string;
                    id_contains_nocase?: string;
                    id_contains?: string;
                    id_not_in?: string[];
                    id_in?: string[];
                    id_lte?: string;
                    id_gte?: string;
                    id_lt?: string;
                    id_gt?: string;
                    id_not?: string;
                    id?: string;
                };
                balancerWeightedPool_not_ends_with_nocase?: string;
                balancerWeightedPool_not_ends_with?: string;
                balancerWeightedPool_ends_with_nocase?: string;
                balancerWeightedPool_ends_with?: string;
                balancerWeightedPool_not_starts_with_nocase?: string;
                balancerWeightedPool_not_starts_with?: string;
                balancerWeightedPool_starts_with_nocase?: string;
                balancerWeightedPool_starts_with?: string;
                balancerWeightedPool_not_contains_nocase?: string;
                balancerWeightedPool_not_contains?: string;
                balancerWeightedPool_contains_nocase?: string;
                balancerWeightedPool_contains?: string;
                balancerWeightedPool_not_in?: string[];
                balancerWeightedPool_in?: string[];
                balancerWeightedPool_lte?: string;
                balancerWeightedPool_gte?: string;
                balancerWeightedPool_lt?: string;
                balancerWeightedPool_gt?: string;
                balancerWeightedPool_not?: string;
                balancerWeightedPool?: string;
                lpPair_?: {
                    or?: any[];
                    and?: any[];
                    _change_block?: {
                        number_gte: number;
                    };
                    token1_?: any;
                    token1_not_ends_with_nocase?: string;
                    token1_not_ends_with?: string;
                    token1_ends_with_nocase?: string;
                    token1_ends_with?: string;
                    token1_not_starts_with_nocase?: string;
                    token1_not_starts_with?: string;
                    token1_starts_with_nocase?: string;
                    token1_starts_with?: string;
                    token1_not_contains_nocase?: string;
                    token1_not_contains?: string;
                    token1_contains_nocase?: string;
                    token1_contains?: string;
                    token1_not_in?: string[];
                    token1_in?: string[];
                    token1_lte?: string;
                    token1_gte?: string;
                    token1_lt?: string;
                    token1_gt?: string;
                    token1_not?: string;
                    token1?: string;
                    token0_?: any;
                    token0_not_ends_with_nocase?: string;
                    token0_not_ends_with?: string;
                    token0_ends_with_nocase?: string;
                    token0_ends_with?: string;
                    token0_not_starts_with_nocase?: string;
                    token0_not_starts_with?: string;
                    token0_starts_with_nocase?: string;
                    token0_starts_with?: string;
                    token0_not_contains_nocase?: string;
                    token0_not_contains?: string;
                    token0_contains_nocase?: string;
                    token0_contains?: string;
                    token0_not_in?: string[];
                    token0_in?: string[];
                    token0_lte?: string;
                    token0_gte?: string;
                    token0_lt?: string;
                    token0_gt?: string;
                    token0_not?: string;
                    token0?: string;
                    id_not_ends_with_nocase?: string;
                    id_not_ends_with?: string;
                    id_ends_with_nocase?: string;
                    id_ends_with?: string;
                    id_not_starts_with_nocase?: string;
                    id_not_starts_with?: string;
                    id_starts_with_nocase?: string;
                    id_starts_with?: string;
                    id_not_contains_nocase?: string;
                    id_not_contains?: string;
                    id_contains_nocase?: string;
                    id_contains?: string;
                    id_not_in?: string[];
                    id_in?: string[];
                    id_lte?: string;
                    id_gte?: string;
                    id_lt?: string;
                    id_gt?: string;
                    id_not?: string;
                    id?: string;
                };
                lpPair_not_ends_with_nocase?: string;
                lpPair_not_ends_with?: string;
                lpPair_ends_with_nocase?: string;
                lpPair_ends_with?: string;
                lpPair_not_starts_with_nocase?: string;
                lpPair_not_starts_with?: string;
                lpPair_starts_with_nocase?: string;
                lpPair_starts_with?: string;
                lpPair_not_contains_nocase?: string;
                lpPair_not_contains?: string;
                lpPair_contains_nocase?: string;
                lpPair_contains?: string;
                lpPair_not_in?: string[];
                lpPair_in?: string[];
                lpPair_lte?: string;
                lpPair_gte?: string;
                lpPair_lt?: string;
                lpPair_gt?: string;
                lpPair_not?: string;
                lpPair?: string;
                typeName_not_ends_with_nocase?: string;
                typeName_not_ends_with?: string;
                typeName_ends_with_nocase?: string;
                typeName_ends_with?: string;
                typeName_not_starts_with_nocase?: string;
                typeName_not_starts_with?: string;
                typeName_starts_with_nocase?: string;
                typeName_starts_with?: string;
                typeName_not_contains_nocase?: string;
                typeName_not_contains?: string;
                typeName_contains_nocase?: string;
                typeName_contains?: string;
                typeName_not_in?: string[];
                typeName_in?: string[];
                typeName_lte?: string;
                typeName_gte?: string;
                typeName_lt?: string;
                typeName_gt?: string;
                typeName_not?: string;
                typeName?: string;
                name_not_ends_with_nocase?: string;
                name_not_ends_with?: string;
                name_ends_with_nocase?: string;
                name_ends_with?: string;
                name_not_starts_with_nocase?: string;
                name_not_starts_with?: string;
                name_starts_with_nocase?: string;
                name_starts_with?: string;
                name_not_contains_nocase?: string;
                name_not_contains?: string;
                name_contains_nocase?: string;
                name_contains?: string;
                name_not_in?: string[];
                name_in?: string[];
                name_lte?: string;
                name_gte?: string;
                name_lt?: string;
                name_gt?: string;
                name_not?: string;
                name?: string;
                symbol_not_ends_with_nocase?: string;
                symbol_not_ends_with?: string;
                symbol_ends_with_nocase?: string;
                symbol_ends_with?: string;
                symbol_not_starts_with_nocase?: string;
                symbol_not_starts_with?: string;
                symbol_starts_with_nocase?: string;
                symbol_starts_with?: string;
                symbol_not_contains_nocase?: string;
                symbol_not_contains?: string;
                symbol_contains_nocase?: string;
                symbol_contains?: string;
                symbol_not_in?: string[];
                symbol_in?: string[];
                symbol_lte?: string;
                symbol_gte?: string;
                symbol_lt?: string;
                symbol_gt?: string;
                symbol_not?: string;
                symbol?: string;
                decimals_not_in?: string[];
                decimals_in?: string[];
                decimals_lte?: string;
                decimals_gte?: string;
                decimals_lt?: string;
                decimals_gt?: string;
                decimals_not?: string;
                decimals?: string;
                address_not_ends_with_nocase?: string;
                address_not_ends_with?: string;
                address_ends_with_nocase?: string;
                address_ends_with?: string;
                address_not_starts_with_nocase?: string;
                address_not_starts_with?: string;
                address_starts_with_nocase?: string;
                address_starts_with?: string;
                address_not_contains_nocase?: string;
                address_not_contains?: string;
                address_contains_nocase?: string;
                address_contains?: string;
                address_not_in?: string[];
                address_in?: string[];
                address_lte?: string;
                address_gte?: string;
                address_lt?: string;
                address_gt?: string;
                address_not?: string;
                address?: string;
                chainId_not_in?: string[];
                chainId_in?: string[];
                chainId_lte?: string;
                chainId_gte?: string;
                chainId_lt?: string;
                chainId_gt?: string;
                chainId_not?: string;
                chainId?: string;
                network_not_ends_with_nocase?: string;
                network_not_ends_with?: string;
                network_ends_with_nocase?: string;
                network_ends_with?: string;
                network_not_starts_with_nocase?: string;
                network_not_starts_with?: string;
                network_starts_with_nocase?: string;
                network_starts_with?: string;
                network_not_contains_nocase?: string;
                network_not_contains?: string;
                network_contains_nocase?: string;
                network_contains?: string;
                network_not_in?: string[];
                network_in?: string[];
                network_lte?: string;
                network_gte?: string;
                network_lt?: string;
                network_gt?: string;
                network_not?: string;
                network?: string;
                id_not_ends_with_nocase?: string;
                id_not_ends_with?: string;
                id_ends_with_nocase?: string;
                id_ends_with?: string;
                id_not_starts_with_nocase?: string;
                id_not_starts_with?: string;
                id_starts_with_nocase?: string;
                id_starts_with?: string;
                id_not_contains_nocase?: string;
                id_not_contains?: string;
                id_contains_nocase?: string;
                id_contains?: string;
                id_not_in?: string[];
                id_in?: string[];
                id_lte?: string;
                id_gte?: string;
                id_lt?: string;
                id_gt?: string;
                id_not?: string;
                id?: string;
            };
            underlying_not_ends_with_nocase?: string;
            underlying_not_ends_with?: string;
            underlying_ends_with_nocase?: string;
            underlying_ends_with?: string;
            underlying_not_starts_with_nocase?: string;
            underlying_not_starts_with?: string;
            underlying_starts_with_nocase?: string;
            underlying_starts_with?: string;
            underlying_not_contains_nocase?: string;
            underlying_not_contains?: string;
            underlying_contains_nocase?: string;
            underlying_contains?: string;
            underlying_not_in?: string[];
            underlying_in?: string[];
            underlying_lte?: string;
            underlying_gte?: string;
            underlying_lt?: string;
            underlying_gt?: string;
            underlying_not?: string;
            underlying?: string;
            symbol_not_ends_with_nocase?: string;
            symbol_not_ends_with?: string;
            symbol_ends_with_nocase?: string;
            symbol_ends_with?: string;
            symbol_not_starts_with_nocase?: string;
            symbol_not_starts_with?: string;
            symbol_starts_with_nocase?: string;
            symbol_starts_with?: string;
            symbol_not_contains_nocase?: string;
            symbol_not_contains?: string;
            symbol_contains_nocase?: string;
            symbol_contains?: string;
            symbol_not_in?: string[];
            symbol_in?: string[];
            symbol_lte?: string;
            symbol_gte?: string;
            symbol_lt?: string;
            symbol_gt?: string;
            symbol_not?: string;
            symbol?: string;
            decimals_not_in?: string[];
            decimals_in?: string[];
            decimals_lte?: string;
            decimals_gte?: string;
            decimals_lt?: string;
            decimals_gt?: string;
            decimals_not?: string;
            decimals?: string;
            id_not_ends_with_nocase?: string;
            id_not_ends_with?: string;
            id_ends_with_nocase?: string;
            id_ends_with?: string;
            id_not_starts_with_nocase?: string;
            id_not_starts_with?: string;
            id_starts_with_nocase?: string;
            id_starts_with?: string;
            id_not_contains_nocase?: string;
            id_not_contains?: string;
            id_contains_nocase?: string;
            id_contains?: string;
            id_not_in?: string[];
            id_in?: string[];
            id_lte?: string;
            id_gte?: string;
            id_lt?: string;
            id_gt?: string;
            id_not?: string;
            id?: string;
        };
        bondToken_not_ends_with_nocase?: string;
        bondToken_not_ends_with?: string;
        bondToken_ends_with_nocase?: string;
        bondToken_ends_with?: string;
        bondToken_not_starts_with_nocase?: string;
        bondToken_not_starts_with?: string;
        bondToken_starts_with_nocase?: string;
        bondToken_starts_with?: string;
        bondToken_not_contains_nocase?: string;
        bondToken_not_contains?: string;
        bondToken_contains_nocase?: string;
        bondToken_contains?: string;
        bondToken_not_in?: string[];
        bondToken_in?: string[];
        bondToken_lte?: string;
        bondToken_gte?: string;
        bondToken_lt?: string;
        bondToken_gt?: string;
        bondToken_not?: string;
        bondToken?: string;
        chainId_not_in?: string[];
        chainId_in?: string[];
        chainId_lte?: string;
        chainId_gte?: string;
        chainId_lt?: string;
        chainId_gt?: string;
        chainId_not?: string;
        chainId?: string;
        network_not_ends_with_nocase?: string;
        network_not_ends_with?: string;
        network_ends_with_nocase?: string;
        network_ends_with?: string;
        network_not_starts_with_nocase?: string;
        network_not_starts_with?: string;
        network_starts_with_nocase?: string;
        network_starts_with?: string;
        network_not_contains_nocase?: string;
        network_not_contains?: string;
        network_contains_nocase?: string;
        network_contains?: string;
        network_not_in?: string[];
        network_in?: string[];
        network_lte?: string;
        network_gte?: string;
        network_lt?: string;
        network_gt?: string;
        network_not?: string;
        network?: string;
        balance_not_in?: string[];
        balance_in?: string[];
        balance_lte?: string;
        balance_gte?: string;
        balance_lt?: string;
        balance_gt?: string;
        balance_not?: string;
        balance?: string;
        owner_not_ends_with_nocase?: string;
        owner_not_ends_with?: string;
        owner_ends_with_nocase?: string;
        owner_ends_with?: string;
        owner_not_starts_with_nocase?: string;
        owner_not_starts_with?: string;
        owner_starts_with_nocase?: string;
        owner_starts_with?: string;
        owner_not_contains_nocase?: string;
        owner_not_contains?: string;
        owner_contains_nocase?: string;
        owner_contains?: string;
        owner_not_in?: string[];
        owner_in?: string[];
        owner_lte?: string;
        owner_gte?: string;
        owner_lt?: string;
        owner_gt?: string;
        owner_not?: string;
        owner?: string;
        tokenId_not_in?: string[];
        tokenId_in?: string[];
        tokenId_lte?: string;
        tokenId_gte?: string;
        tokenId_lt?: string;
        tokenId_gt?: string;
        tokenId_not?: string;
        tokenId?: string;
        id_not_ends_with_nocase?: string;
        id_not_ends_with?: string;
        id_ends_with_nocase?: string;
        id_ends_with?: string;
        id_not_starts_with_nocase?: string;
        id_not_starts_with?: string;
        id_starts_with_nocase?: string;
        id_starts_with?: string;
        id_not_contains_nocase?: string;
        id_not_contains?: string;
        id_contains_nocase?: string;
        id_contains?: string;
        id_not_in?: string[];
        id_in?: string[];
        id_lte?: string;
        id_gte?: string;
        id_lt?: string;
        id_gt?: string;
        id_not?: string;
        id?: string;
    };
    orderDirection?: "asc" | "desc";
    orderBy?: "chainId" | "id" | "balance" | "owner" | "bondToken" | "network" | "tokenId" | "bondToken__id" | "bondToken__decimals" | "bondToken__symbol" | "bondToken__expiry" | "bondToken__teller" | "bondToken__network" | "bondToken__chainId" | "bondToken__type";
    block?: {
        number_gte?: number;
        number?: number;
        hash?: `0x${string}`;
    };
    skip?: number;
    first?: number;
}, void>;
export type GetBondUserPositions = VariablesOf<typeof BondUserPositionsQuery> & ChainIdVariable<BondChainId>;
export declare function getBondUserPositions({ chainId, ...variables }: GetBondUserPositions, options?: RequestOptions): Promise<({
    bondToken: {
        underlying: (Omit<{
            name: string;
            decimals: string;
            symbol: string;
            id: string;
        } & {
            id: Hex;
        } & ChainIdVariable<Readonly<1 | 137 | 56 | 42161 | 10>> & {
            address: `0x${string}`;
        }, "id"> & {
            id: `${string}:0x${string}`;
        }) | null;
        teller: string;
        type: string;
        expiry: string;
        id: string;
    };
    balance: string;
    owner: string;
    id: string;
} & ChainIdVariable<Readonly<1 | 137 | 56 | 42161 | 10>>)[]>;
export type BondUserPositions = Awaited<ReturnType<typeof getBondUserPositions>>;
