import type { VariablesOf } from 'gql.tada';
import type { FuroChainId } from 'sushi/config';
import type { RequestOptions } from '../../../lib/request';
import type { ChainIdVariable } from '../../../lib/types/chainId';
import type { Hex } from '../../../lib/types/hex';
export declare const FuroTokensQuery: import("gql.tada").TadaDocumentNode<{
    tokens: {
        rebase: {
            elastic: string;
            base: string;
        };
        name: string;
        symbol: string;
        liquidityShares: string;
        decimals: string;
        id: string;
    }[];
}, {
    where?: {
        or?: any[];
        and?: any[];
        _change_block?: {
            number_gte: number;
        };
        createdAtTimestamp_not_in?: string[];
        createdAtTimestamp_in?: string[];
        createdAtTimestamp_lte?: string;
        createdAtTimestamp_gte?: string;
        createdAtTimestamp_lt?: string;
        createdAtTimestamp_gt?: string;
        createdAtTimestamp_not?: string;
        createdAtTimestamp?: string;
        createdAtBlock_not_in?: string[];
        createdAtBlock_in?: string[];
        createdAtBlock_lte?: string;
        createdAtBlock_gte?: string;
        createdAtBlock_lt?: string;
        createdAtBlock_gt?: string;
        createdAtBlock_not?: string;
        createdAtBlock?: string;
        rebase_?: {
            or?: any[];
            and?: any[];
            _change_block?: {
                number_gte: number;
            };
            createdAtBlock_not_in?: string[];
            createdAtBlock_in?: string[];
            createdAtBlock_lte?: string;
            createdAtBlock_gte?: string;
            createdAtBlock_lt?: string;
            createdAtBlock_gt?: string;
            createdAtBlock_not?: string;
            createdAtBlock?: string;
            elastic_not_in?: string[];
            elastic_in?: string[];
            elastic_lte?: string;
            elastic_gte?: string;
            elastic_lt?: string;
            elastic_gt?: string;
            elastic_not?: string;
            elastic?: string;
            base_not_in?: string[];
            base_in?: string[];
            base_lte?: string;
            base_gte?: string;
            base_lt?: string;
            base_gt?: string;
            base_not?: string;
            base?: string;
            token_?: any;
            token_not_ends_with_nocase?: string;
            token_not_ends_with?: string;
            token_ends_with_nocase?: string;
            token_ends_with?: string;
            token_not_starts_with_nocase?: string;
            token_not_starts_with?: string;
            token_starts_with_nocase?: string;
            token_starts_with?: string;
            token_not_contains_nocase?: string;
            token_not_contains?: string;
            token_contains_nocase?: string;
            token_contains?: string;
            token_not_in?: string[];
            token_in?: string[];
            token_lte?: string;
            token_gte?: string;
            token_lt?: string;
            token_gt?: string;
            token_not?: string;
            token?: string;
            id_not_in?: string[];
            id_in?: string[];
            id_lte?: string;
            id_gte?: string;
            id_lt?: string;
            id_gt?: string;
            id_not?: string;
            id?: string;
        };
        rebase_not_ends_with_nocase?: string;
        rebase_not_ends_with?: string;
        rebase_ends_with_nocase?: string;
        rebase_ends_with?: string;
        rebase_not_starts_with_nocase?: string;
        rebase_not_starts_with?: string;
        rebase_starts_with_nocase?: string;
        rebase_starts_with?: string;
        rebase_not_contains_nocase?: string;
        rebase_not_contains?: string;
        rebase_contains_nocase?: string;
        rebase_contains?: string;
        rebase_not_in?: string[];
        rebase_in?: string[];
        rebase_lte?: string;
        rebase_gte?: string;
        rebase_lt?: string;
        rebase_gt?: string;
        rebase_not?: string;
        rebase?: string;
        decimalsSuccess_not_in?: boolean[];
        decimalsSuccess_in?: boolean[];
        decimalsSuccess_not?: boolean;
        decimalsSuccess?: boolean;
        decimals_not_in?: string[];
        decimals_in?: string[];
        decimals_lte?: string;
        decimals_gte?: string;
        decimals_lt?: string;
        decimals_gt?: string;
        decimals_not?: string;
        decimals?: string;
        nameSuccess_not_in?: boolean[];
        nameSuccess_in?: boolean[];
        nameSuccess_not?: boolean;
        nameSuccess?: boolean;
        name_not_ends_with_nocase?: string;
        name_not_ends_with?: string;
        name_ends_with_nocase?: string;
        name_ends_with?: string;
        name_not_starts_with_nocase?: string;
        name_not_starts_with?: string;
        name_starts_with_nocase?: string;
        name_starts_with?: string;
        name_not_contains_nocase?: string;
        name_not_contains?: string;
        name_contains_nocase?: string;
        name_contains?: string;
        name_not_in?: string[];
        name_in?: string[];
        name_lte?: string;
        name_gte?: string;
        name_lt?: string;
        name_gt?: string;
        name_not?: string;
        name?: string;
        symbolSuccess_not_in?: boolean[];
        symbolSuccess_in?: boolean[];
        symbolSuccess_not?: boolean;
        symbolSuccess?: boolean;
        symbol_not_ends_with_nocase?: string;
        symbol_not_ends_with?: string;
        symbol_ends_with_nocase?: string;
        symbol_ends_with?: string;
        symbol_not_starts_with_nocase?: string;
        symbol_not_starts_with?: string;
        symbol_starts_with_nocase?: string;
        symbol_starts_with?: string;
        symbol_not_contains_nocase?: string;
        symbol_not_contains?: string;
        symbol_contains_nocase?: string;
        symbol_contains?: string;
        symbol_not_in?: string[];
        symbol_in?: string[];
        symbol_lte?: string;
        symbol_gte?: string;
        symbol_lt?: string;
        symbol_gt?: string;
        symbol_not?: string;
        symbol?: string;
        liquidityShares_not_in?: string[];
        liquidityShares_in?: string[];
        liquidityShares_lte?: string;
        liquidityShares_gte?: string;
        liquidityShares_lt?: string;
        liquidityShares_gt?: string;
        liquidityShares_not?: string;
        liquidityShares?: string;
        id_not_in?: string[];
        id_in?: string[];
        id_lte?: string;
        id_gte?: string;
        id_lt?: string;
        id_gt?: string;
        id_not?: string;
        id?: string;
    };
    orderDirection?: "asc" | "desc";
    orderBy?: "symbol" | "id" | "createdAtTimestamp" | "name" | "decimals" | "rebase" | "liquidityShares" | "decimalsSuccess" | "nameSuccess" | "symbolSuccess" | "rebase__id" | "rebase__base" | "rebase__elastic" | "createdAtBlock" | "rebase__createdAtBlock";
    block?: {
        number_gte?: number;
        number?: number;
        hash?: `0x${string}`;
    };
    skip?: number;
    first?: number;
}, void>;
export type GetFuroTokens = VariablesOf<typeof FuroTokensQuery> & ChainIdVariable<FuroChainId>;
export declare function getFuroTokens({ chainId, ...variables }: GetFuroTokens, options?: RequestOptions): Promise<(Omit<{
    rebase: {
        elastic: string;
        base: string;
    };
    name: string;
    symbol: string;
    liquidityShares: string;
    decimals: string;
    id: string;
} & {
    id: Hex;
} & ChainIdVariable<Readonly<1 | 137 | 250 | 100 | 56 | 42161 | 43114 | 1666600000 | 1285 | 1284 | 10 | 199 | 108 | 11235 | 1116>> & {
    address: `0x${string}`;
}, "id"> & {
    id: `${string}:0x${string}`;
})[]>;
export type FuroTokens = Awaited<ReturnType<typeof getFuroTokens>>;
