import type { VariablesOf } from 'gql.tada';
import type { RequestOptions } from '../../../lib/request';
import type { ChainIdVariable } from '../../../lib/types/chainId';
import type { MiniChefChainId } from 'sushi/config';
export declare const MiniChefRewardersQuery: import("gql.tada").TadaDocumentNode<{
    rewarders: {
        rewardPerSecond: string;
        rewardToken: `0x${string}`;
        id: string;
    }[];
}, {
    block?: {
        number_gte?: number;
        number?: number;
        hash?: `0x${string}`;
    };
    where?: {
        or?: any[];
        and?: any[];
        _change_block?: {
            number_gte: number;
        };
        block_not_in?: string[];
        block_in?: string[];
        block_lte?: string;
        block_gte?: string;
        block_lt?: string;
        block_gt?: string;
        block_not?: string;
        block?: string;
        timestamp_not_in?: string[];
        timestamp_in?: string[];
        timestamp_lte?: string;
        timestamp_gte?: string;
        timestamp_lt?: string;
        timestamp_gt?: string;
        timestamp_not?: string;
        timestamp?: string;
        totalAllocPoint_not_in?: string[];
        totalAllocPoint_in?: string[];
        totalAllocPoint_lte?: string;
        totalAllocPoint_gte?: string;
        totalAllocPoint_lt?: string;
        totalAllocPoint_gt?: string;
        totalAllocPoint_not?: string;
        totalAllocPoint?: string;
        rewardPerSecond_not_in?: string[];
        rewardPerSecond_in?: string[];
        rewardPerSecond_lte?: string;
        rewardPerSecond_gte?: string;
        rewardPerSecond_lt?: string;
        rewardPerSecond_gt?: string;
        rewardPerSecond_not?: string;
        rewardPerSecond?: string;
        rewardToken_not_contains?: `0x${string}`;
        rewardToken_contains?: `0x${string}`;
        rewardToken_not_in?: `0x${string}`[];
        rewardToken_in?: `0x${string}`[];
        rewardToken_lte?: `0x${string}`;
        rewardToken_gte?: `0x${string}`;
        rewardToken_lt?: `0x${string}`;
        rewardToken_gt?: `0x${string}`;
        rewardToken_not?: `0x${string}`;
        rewardToken?: `0x${string}`;
        id_not_in?: string[];
        id_in?: string[];
        id_lte?: string;
        id_gte?: string;
        id_lt?: string;
        id_gt?: string;
        id_not?: string;
        id?: string;
    };
    skip?: number;
    first?: number;
}, void>;
export type GetMiniChefRewarders = VariablesOf<typeof MiniChefRewardersQuery> & ChainIdVariable<MiniChefChainId>;
export declare function getMiniChefRewarders({ chainId, ...variables }: GetMiniChefRewarders, options?: RequestOptions): Promise<{
    id: string;
    address: `0x${string}`;
    rewardPerSecond: bigint;
}[]>;
export type MiniChefRewarders = Awaited<ReturnType<typeof getMiniChefRewarders>>;
