import type { VariablesOf } from 'gql.tada';
import { type SteerChainId } from '@sushiswap/steer-sdk';
import type { RequestOptions } from '../../../lib/request';
import type { ChainIdVariable } from '../../../lib/types/chainId';
export declare const SteerVaultsQuery: import("gql.tada").TadaDocumentNode<{
    vaults: {
        manager: string;
        fees1: string;
        fees0: string;
        token1: string;
        token0: string;
        createdAt: string;
        positions: {
            upperTick: string[];
            lowerTick: string[];
        }[];
        strategyToken: {
            admin: string;
            creator: {
                id: string;
            };
            name: string;
            id: string;
        };
        payloadIpfs: string;
        state: string;
        pool: string;
        reserve1: string;
        reserve0: string;
        feeTier: string;
        id: string;
    }[];
}, {
    where?: {
        or?: any[];
        and?: any[];
        _change_block?: {
            number_gte: number;
        };
        totalValueLockedToken1_not_in?: string[];
        totalValueLockedToken1_in?: string[];
        totalValueLockedToken1_lte?: string;
        totalValueLockedToken1_gte?: string;
        totalValueLockedToken1_lt?: string;
        totalValueLockedToken1_gt?: string;
        totalValueLockedToken1_not?: string;
        totalValueLockedToken1?: string;
        totalValueLockedToken0_not_in?: string[];
        totalValueLockedToken0_in?: string[];
        totalValueLockedToken0_lte?: string;
        totalValueLockedToken0_gte?: string;
        totalValueLockedToken0_lt?: string;
        totalValueLockedToken0_gt?: string;
        totalValueLockedToken0_not?: string;
        totalValueLockedToken0?: string;
        weeklyFeeAPR_not_in?: string[];
        weeklyFeeAPR_in?: string[];
        weeklyFeeAPR_lte?: string;
        weeklyFeeAPR_gte?: string;
        weeklyFeeAPR_lt?: string;
        weeklyFeeAPR_gt?: string;
        weeklyFeeAPR_not?: string;
        weeklyFeeAPR?: string;
        dailyFeeAPR_not_in?: string[];
        dailyFeeAPR_in?: string[];
        dailyFeeAPR_lte?: string;
        dailyFeeAPR_gte?: string;
        dailyFeeAPR_lt?: string;
        dailyFeeAPR_gt?: string;
        dailyFeeAPR_not?: string;
        dailyFeeAPR?: string;
        annualFeeARR_not_in?: string[];
        annualFeeARR_in?: string[];
        annualFeeARR_lte?: string;
        annualFeeARR_gte?: string;
        annualFeeARR_lt?: string;
        annualFeeARR_gt?: string;
        annualFeeARR_not?: string;
        annualFeeARR?: string;
        totalSnapshots_not_in?: string[];
        totalSnapshots_in?: string[];
        totalSnapshots_lte?: string;
        totalSnapshots_gte?: string;
        totalSnapshots_lt?: string;
        totalSnapshots_gt?: string;
        totalSnapshots_not?: string;
        totalSnapshots?: string;
        averageFeeArrPerSecond_not_in?: string[];
        averageFeeArrPerSecond_in?: string[];
        averageFeeArrPerSecond_lte?: string;
        averageFeeArrPerSecond_gte?: string;
        averageFeeArrPerSecond_lt?: string;
        averageFeeArrPerSecond_gt?: string;
        averageFeeArrPerSecond_not?: string;
        averageFeeArrPerSecond?: string;
        vaultManager_not_ends_with_nocase?: string;
        vaultManager_not_ends_with?: string;
        vaultManager_ends_with_nocase?: string;
        vaultManager_ends_with?: string;
        vaultManager_not_starts_with_nocase?: string;
        vaultManager_not_starts_with?: string;
        vaultManager_starts_with_nocase?: string;
        vaultManager_starts_with?: string;
        vaultManager_not_contains_nocase?: string;
        vaultManager_not_contains?: string;
        vaultManager_contains_nocase?: string;
        vaultManager_contains?: string;
        vaultManager_not_in?: string[];
        vaultManager_in?: string[];
        vaultManager_lte?: string;
        vaultManager_gte?: string;
        vaultManager_lt?: string;
        vaultManager_gt?: string;
        vaultManager_not?: string;
        vaultManager?: string;
        payloadIpfs_not_ends_with_nocase?: string;
        payloadIpfs_not_ends_with?: string;
        payloadIpfs_ends_with_nocase?: string;
        payloadIpfs_ends_with?: string;
        payloadIpfs_not_starts_with_nocase?: string;
        payloadIpfs_not_starts_with?: string;
        payloadIpfs_starts_with_nocase?: string;
        payloadIpfs_starts_with?: string;
        payloadIpfs_not_contains_nocase?: string;
        payloadIpfs_not_contains?: string;
        payloadIpfs_contains_nocase?: string;
        payloadIpfs_contains?: string;
        payloadIpfs_not_in?: string[];
        payloadIpfs_in?: string[];
        payloadIpfs_lte?: string;
        payloadIpfs_gte?: string;
        payloadIpfs_lt?: string;
        payloadIpfs_gt?: string;
        payloadIpfs_not?: string;
        payloadIpfs?: string;
        token1Name_not_ends_with_nocase?: string;
        token1Name_not_ends_with?: string;
        token1Name_ends_with_nocase?: string;
        token1Name_ends_with?: string;
        token1Name_not_starts_with_nocase?: string;
        token1Name_not_starts_with?: string;
        token1Name_starts_with_nocase?: string;
        token1Name_starts_with?: string;
        token1Name_not_contains_nocase?: string;
        token1Name_not_contains?: string;
        token1Name_contains_nocase?: string;
        token1Name_contains?: string;
        token1Name_not_in?: string[];
        token1Name_in?: string[];
        token1Name_lte?: string;
        token1Name_gte?: string;
        token1Name_lt?: string;
        token1Name_gt?: string;
        token1Name_not?: string;
        token1Name?: string;
        token1Decimals_not_in?: string[];
        token1Decimals_in?: string[];
        token1Decimals_lte?: string;
        token1Decimals_gte?: string;
        token1Decimals_lt?: string;
        token1Decimals_gt?: string;
        token1Decimals_not?: string;
        token1Decimals?: string;
        token1Balance_not_in?: string[];
        token1Balance_in?: string[];
        token1Balance_lte?: string;
        token1Balance_gte?: string;
        token1Balance_lt?: string;
        token1Balance_gt?: string;
        token1Balance_not?: string;
        token1Balance?: string;
        token0Symbol_not_ends_with_nocase?: string;
        token0Symbol_not_ends_with?: string;
        token0Symbol_ends_with_nocase?: string;
        token0Symbol_ends_with?: string;
        token0Symbol_not_starts_with_nocase?: string;
        token0Symbol_not_starts_with?: string;
        token0Symbol_starts_with_nocase?: string;
        token0Symbol_starts_with?: string;
        token0Symbol_not_contains_nocase?: string;
        token0Symbol_not_contains?: string;
        token0Symbol_contains_nocase?: string;
        token0Symbol_contains?: string;
        token0Symbol_not_in?: string[];
        token0Symbol_in?: string[];
        token0Symbol_lte?: string;
        token0Symbol_gte?: string;
        token0Symbol_lt?: string;
        token0Symbol_gt?: string;
        token0Symbol_not?: string;
        token0Symbol?: string;
        token0Name_not_ends_with_nocase?: string;
        token0Name_not_ends_with?: string;
        token0Name_ends_with_nocase?: string;
        token0Name_ends_with?: string;
        token0Name_not_starts_with_nocase?: string;
        token0Name_not_starts_with?: string;
        token0Name_starts_with_nocase?: string;
        token0Name_starts_with?: string;
        token0Name_not_contains_nocase?: string;
        token0Name_not_contains?: string;
        token0Name_contains_nocase?: string;
        token0Name_contains?: string;
        token0Name_not_in?: string[];
        token0Name_in?: string[];
        token0Name_lte?: string;
        token0Name_gte?: string;
        token0Name_lt?: string;
        token0Name_gt?: string;
        token0Name_not?: string;
        token0Name?: string;
        token0Decimals_not_in?: string[];
        token0Decimals_in?: string[];
        token0Decimals_lte?: string;
        token0Decimals_gte?: string;
        token0Decimals_lt?: string;
        token0Decimals_gt?: string;
        token0Decimals_not?: string;
        token0Decimals?: string;
        token0Balance_not_in?: string[];
        token0Balance_in?: string[];
        token0Balance_lte?: string;
        token0Balance_gte?: string;
        token0Balance_lt?: string;
        token0Balance_gt?: string;
        token0Balance_not?: string;
        token0Balance?: string;
        symbol_not_ends_with_nocase?: string;
        symbol_not_ends_with?: string;
        symbol_ends_with_nocase?: string;
        symbol_ends_with?: string;
        symbol_not_starts_with_nocase?: string;
        symbol_not_starts_with?: string;
        symbol_starts_with_nocase?: string;
        symbol_starts_with?: string;
        symbol_not_contains_nocase?: string;
        symbol_not_contains?: string;
        symbol_contains_nocase?: string;
        symbol_contains?: string;
        symbol_not_in?: string[];
        symbol_in?: string[];
        symbol_lte?: string;
        symbol_gte?: string;
        symbol_lt?: string;
        symbol_gt?: string;
        symbol_not?: string;
        symbol?: string;
        name_not_ends_with_nocase?: string;
        name_not_ends_with?: string;
        name_ends_with_nocase?: string;
        name_ends_with?: string;
        name_not_starts_with_nocase?: string;
        name_not_starts_with?: string;
        name_starts_with_nocase?: string;
        name_starts_with?: string;
        name_not_contains_nocase?: string;
        name_not_contains?: string;
        name_contains_nocase?: string;
        name_contains?: string;
        name_not_in?: string[];
        name_in?: string[];
        name_lte?: string;
        name_gte?: string;
        name_lt?: string;
        name_gt?: string;
        name_not?: string;
        name?: string;
        feeTier_not_in?: string[];
        feeTier_in?: string[];
        feeTier_lte?: string;
        feeTier_gte?: string;
        feeTier_lt?: string;
        feeTier_gt?: string;
        feeTier_not?: string;
        feeTier?: string;
        decimals_not_in?: string[];
        decimals_in?: string[];
        decimals_lte?: string;
        decimals_gte?: string;
        decimals_lt?: string;
        decimals_gt?: string;
        decimals_not?: string;
        decimals?: string;
        token1Symbol_not_ends_with_nocase?: string;
        token1Symbol_not_ends_with?: string;
        token1Symbol_ends_with_nocase?: string;
        token1Symbol_ends_with?: string;
        token1Symbol_not_starts_with_nocase?: string;
        token1Symbol_not_starts_with?: string;
        token1Symbol_starts_with_nocase?: string;
        token1Symbol_starts_with?: string;
        token1Symbol_not_contains_nocase?: string;
        token1Symbol_not_contains?: string;
        token1Symbol_contains_nocase?: string;
        token1Symbol_contains?: string;
        token1Symbol_not_in?: string[];
        token1Symbol_in?: string[];
        token1Symbol_lte?: string;
        token1Symbol_gte?: string;
        token1Symbol_lt?: string;
        token1Symbol_gt?: string;
        token1Symbol_not?: string;
        token1Symbol?: string;
        totalLPTokensIssued_not_in?: string[];
        totalLPTokensIssued_in?: string[];
        totalLPTokensIssued_lte?: string;
        totalLPTokensIssued_gte?: string;
        totalLPTokensIssued_lt?: string;
        totalLPTokensIssued_gt?: string;
        totalLPTokensIssued_not?: string;
        totalLPTokensIssued?: string;
        gasDeposited_not_in?: string[];
        gasDeposited_in?: string[];
        gasDeposited_lte?: string;
        gasDeposited_gte?: string;
        gasDeposited_lt?: string;
        gasDeposited_gt?: string;
        gasDeposited_not?: string;
        gasDeposited?: string;
        gasUsed_not_in?: string[];
        gasUsed_in?: string[];
        gasUsed_lte?: string;
        gasUsed_gte?: string;
        gasUsed_lt?: string;
        gasUsed_gt?: string;
        gasUsed_not?: string;
        gasUsed?: string;
        jobs_?: {
            or?: any[];
            and?: any[];
            _change_block?: {
                number_gte: number;
            };
            gasUsed_not_in?: string[];
            gasUsed_in?: string[];
            gasUsed_lte?: string;
            gasUsed_gte?: string;
            gasUsed_lt?: string;
            gasUsed_gt?: string;
            gasUsed_not?: string;
            gasUsed?: string;
            jobHash_not_ends_with_nocase?: string;
            jobHash_not_ends_with?: string;
            jobHash_ends_with_nocase?: string;
            jobHash_ends_with?: string;
            jobHash_not_starts_with_nocase?: string;
            jobHash_not_starts_with?: string;
            jobHash_starts_with_nocase?: string;
            jobHash_starts_with?: string;
            jobHash_not_contains_nocase?: string;
            jobHash_not_contains?: string;
            jobHash_contains_nocase?: string;
            jobHash_contains?: string;
            jobHash_not_in?: string[];
            jobHash_in?: string[];
            jobHash_lte?: string;
            jobHash_gte?: string;
            jobHash_lt?: string;
            jobHash_gt?: string;
            jobHash_not?: string;
            jobHash?: string;
            vaultAddress_?: any;
            vaultAddress_not_ends_with_nocase?: string;
            vaultAddress_not_ends_with?: string;
            vaultAddress_ends_with_nocase?: string;
            vaultAddress_ends_with?: string;
            vaultAddress_not_starts_with_nocase?: string;
            vaultAddress_not_starts_with?: string;
            vaultAddress_starts_with_nocase?: string;
            vaultAddress_starts_with?: string;
            vaultAddress_not_contains_nocase?: string;
            vaultAddress_not_contains?: string;
            vaultAddress_contains_nocase?: string;
            vaultAddress_contains?: string;
            vaultAddress_not_in?: string[];
            vaultAddress_in?: string[];
            vaultAddress_lte?: string;
            vaultAddress_gte?: string;
            vaultAddress_lt?: string;
            vaultAddress_gt?: string;
            vaultAddress_not?: string;
            vaultAddress?: string;
            failedCounts_not_in?: string[];
            failedCounts_in?: string[];
            failedCounts_lte?: string;
            failedCounts_gte?: string;
            failedCounts_lt?: string;
            failedCounts_gt?: string;
            failedCounts_not?: string;
            failedCounts?: string;
            status_not_in?: string[];
            status_in?: string[];
            status_lte?: string;
            status_gte?: string;
            status_lt?: string;
            status_gt?: string;
            status_not?: string;
            status?: string;
            executions_?: {
                or?: any[];
                and?: any[];
                _change_block?: {
                    number_gte: number;
                };
                jobId_?: any;
                jobId_not_ends_with_nocase?: string;
                jobId_not_ends_with?: string;
                jobId_ends_with_nocase?: string;
                jobId_ends_with?: string;
                jobId_not_starts_with_nocase?: string;
                jobId_not_starts_with?: string;
                jobId_starts_with_nocase?: string;
                jobId_starts_with?: string;
                jobId_not_contains_nocase?: string;
                jobId_not_contains?: string;
                jobId_contains_nocase?: string;
                jobId_contains?: string;
                jobId_not_in?: string[];
                jobId_in?: string[];
                jobId_lte?: string;
                jobId_gte?: string;
                jobId_lt?: string;
                jobId_gt?: string;
                jobId_not?: string;
                jobId?: string;
                jobIdString_not_ends_with_nocase?: string;
                jobIdString_not_ends_with?: string;
                jobIdString_ends_with_nocase?: string;
                jobIdString_ends_with?: string;
                jobIdString_not_starts_with_nocase?: string;
                jobIdString_not_starts_with?: string;
                jobIdString_starts_with_nocase?: string;
                jobIdString_starts_with?: string;
                jobIdString_not_contains_nocase?: string;
                jobIdString_not_contains?: string;
                jobIdString_contains_nocase?: string;
                jobIdString_contains?: string;
                jobIdString_not_in?: string[];
                jobIdString_in?: string[];
                jobIdString_lte?: string;
                jobIdString_gte?: string;
                jobIdString_lt?: string;
                jobIdString_gt?: string;
                jobIdString_not?: string;
                jobIdString?: string;
                status_not_ends_with_nocase?: string;
                status_not_ends_with?: string;
                status_ends_with_nocase?: string;
                status_ends_with?: string;
                status_not_starts_with_nocase?: string;
                status_not_starts_with?: string;
                status_starts_with_nocase?: string;
                status_starts_with?: string;
                status_not_contains_nocase?: string;
                status_not_contains?: string;
                status_contains_nocase?: string;
                status_contains?: string;
                status_not_in?: string[];
                status_in?: string[];
                status_lte?: string;
                status_gte?: string;
                status_lt?: string;
                status_gt?: string;
                status_not?: string;
                status?: string;
                executor_not_ends_with_nocase?: string;
                executor_not_ends_with?: string;
                executor_ends_with_nocase?: string;
                executor_ends_with?: string;
                executor_not_starts_with_nocase?: string;
                executor_not_starts_with?: string;
                executor_starts_with_nocase?: string;
                executor_starts_with?: string;
                executor_not_contains_nocase?: string;
                executor_not_contains?: string;
                executor_contains_nocase?: string;
                executor_contains?: string;
                executor_not_in?: string[];
                executor_in?: string[];
                executor_lte?: string;
                executor_gte?: string;
                executor_lt?: string;
                executor_gt?: string;
                executor_not?: string;
                executor?: string;
                jobHash_not_ends_with_nocase?: string;
                jobHash_not_ends_with?: string;
                jobHash_ends_with_nocase?: string;
                jobHash_ends_with?: string;
                jobHash_not_starts_with_nocase?: string;
                jobHash_not_starts_with?: string;
                jobHash_starts_with_nocase?: string;
                jobHash_starts_with?: string;
                jobHash_not_contains_nocase?: string;
                jobHash_not_contains?: string;
                jobHash_contains_nocase?: string;
                jobHash_contains?: string;
                jobHash_not_in?: string[];
                jobHash_in?: string[];
                jobHash_lte?: string;
                jobHash_gte?: string;
                jobHash_lt?: string;
                jobHash_gt?: string;
                jobHash_not?: string;
                jobHash?: string;
                timestamp_not_in?: string[];
                timestamp_in?: string[];
                timestamp_lte?: string;
                timestamp_gte?: string;
                timestamp_lt?: string;
                timestamp_gt?: string;
                timestamp_not?: string;
                timestamp?: string;
                id_not_in?: string[];
                id_in?: string[];
                id_lte?: string;
                id_gte?: string;
                id_lt?: string;
                id_gt?: string;
                id_not?: string;
                id?: string;
            };
            ipfsHash_not_ends_with_nocase?: string;
            ipfsHash_not_ends_with?: string;
            ipfsHash_ends_with_nocase?: string;
            ipfsHash_ends_with?: string;
            ipfsHash_not_starts_with_nocase?: string;
            ipfsHash_not_starts_with?: string;
            ipfsHash_starts_with_nocase?: string;
            ipfsHash_starts_with?: string;
            ipfsHash_not_contains_nocase?: string;
            ipfsHash_not_contains?: string;
            ipfsHash_contains_nocase?: string;
            ipfsHash_contains?: string;
            ipfsHash_not_in?: string[];
            ipfsHash_in?: string[];
            ipfsHash_lte?: string;
            ipfsHash_gte?: string;
            ipfsHash_lt?: string;
            ipfsHash_gt?: string;
            ipfsHash_not?: string;
            ipfsHash?: string;
            targetAddresses_not_contains_nocase?: string[];
            targetAddresses_not_contains?: string[];
            targetAddresses_contains_nocase?: string[];
            targetAddresses_contains?: string[];
            targetAddresses_not?: string[];
            targetAddresses?: string[];
            jobInfo_not_contains_nocase?: string[];
            jobInfo_not_contains?: string[];
            jobInfo_contains_nocase?: string[];
            jobInfo_contains?: string[];
            jobInfo_not?: string[];
            jobInfo?: string[];
            timestamp_not_in?: string[];
            timestamp_in?: string[];
            timestamp_lte?: string;
            timestamp_gte?: string;
            timestamp_lt?: string;
            timestamp_gt?: string;
            timestamp_not?: string;
            timestamp?: string;
            name_not_ends_with_nocase?: string;
            name_not_ends_with?: string;
            name_ends_with_nocase?: string;
            name_ends_with?: string;
            name_not_starts_with_nocase?: string;
            name_not_starts_with?: string;
            name_starts_with_nocase?: string;
            name_starts_with?: string;
            name_not_contains_nocase?: string;
            name_not_contains?: string;
            name_contains_nocase?: string;
            name_contains?: string;
            name_not_in?: string[];
            name_in?: string[];
            name_lte?: string;
            name_gte?: string;
            name_lt?: string;
            name_gt?: string;
            name_not?: string;
            name?: string;
            id_not_in?: string[];
            id_in?: string[];
            id_lte?: string;
            id_gte?: string;
            id_lt?: string;
            id_gt?: string;
            id_not?: string;
            id?: string;
        };
        beaconName_not_ends_with_nocase?: string;
        beaconName_not_ends_with?: string;
        beaconName_ends_with_nocase?: string;
        beaconName_ends_with?: string;
        beaconName_not_starts_with_nocase?: string;
        beaconName_not_starts_with?: string;
        beaconName_starts_with_nocase?: string;
        beaconName_starts_with?: string;
        beaconName_not_contains_nocase?: string;
        beaconName_not_contains?: string;
        beaconName_contains_nocase?: string;
        beaconName_contains?: string;
        beaconName_not_in?: string[];
        beaconName_in?: string[];
        beaconName_lte?: string;
        beaconName_gte?: string;
        beaconName_lt?: string;
        beaconName_gt?: string;
        beaconName_not?: string;
        beaconName?: string;
        fees1_not_in?: string[];
        fees1_in?: string[];
        fees1_lte?: string;
        fees1_gte?: string;
        fees1_lt?: string;
        fees1_gt?: string;
        fees1_not?: string;
        fees1?: string;
        fees0_not_in?: string[];
        fees0_in?: string[];
        fees0_lte?: string;
        fees0_gte?: string;
        fees0_lt?: string;
        fees0_gt?: string;
        fees0_not?: string;
        fees0?: string;
        accruedStrategistFees1_not_in?: string[];
        accruedStrategistFees1_in?: string[];
        accruedStrategistFees1_lte?: string;
        accruedStrategistFees1_gte?: string;
        accruedStrategistFees1_lt?: string;
        accruedStrategistFees1_gt?: string;
        accruedStrategistFees1_not?: string;
        accruedStrategistFees1?: string;
        accruedStrategistFees0_not_in?: string[];
        accruedStrategistFees0_in?: string[];
        accruedStrategistFees0_lte?: string;
        accruedStrategistFees0_gte?: string;
        accruedStrategistFees0_lt?: string;
        accruedStrategistFees0_gt?: string;
        accruedStrategistFees0_not?: string;
        accruedStrategistFees0?: string;
        lastTotalT0ValuePerLPT_not_in?: string[];
        lastTotalT0ValuePerLPT_in?: string[];
        lastTotalT0ValuePerLPT_lte?: string;
        lastTotalT0ValuePerLPT_gte?: string;
        lastTotalT0ValuePerLPT_lt?: string;
        lastTotalT0ValuePerLPT_gt?: string;
        lastTotalT0ValuePerLPT_not?: string;
        lastTotalT0ValuePerLPT?: string;
        annualPercentageYearlyYield_not_in?: string[];
        annualPercentageYearlyYield_in?: string[];
        annualPercentageYearlyYield_lte?: string;
        annualPercentageYearlyYield_gte?: string;
        annualPercentageYearlyYield_lt?: string;
        annualPercentageYearlyYield_gt?: string;
        annualPercentageYearlyYield_not?: string;
        annualPercentageYearlyYield?: string;
        annualPercentageMonthlyYield_not_in?: string[];
        annualPercentageMonthlyYield_in?: string[];
        annualPercentageMonthlyYield_lte?: string;
        annualPercentageMonthlyYield_gte?: string;
        annualPercentageMonthlyYield_lt?: string;
        annualPercentageMonthlyYield_gt?: string;
        annualPercentageMonthlyYield_not?: string;
        annualPercentageMonthlyYield?: string;
        annualPercentageDailyYield_not_in?: string[];
        annualPercentageDailyYield_in?: string[];
        annualPercentageDailyYield_lte?: string;
        annualPercentageDailyYield_gte?: string;
        annualPercentageDailyYield_lt?: string;
        annualPercentageDailyYield_gt?: string;
        annualPercentageDailyYield_not?: string;
        annualPercentageDailyYield?: string;
        annualPercentageYield_not_in?: string[];
        annualPercentageYield_in?: string[];
        annualPercentageYield_lte?: string;
        annualPercentageYield_gte?: string;
        annualPercentageYield_lt?: string;
        annualPercentageYield_gt?: string;
        annualPercentageYield_not?: string;
        annualPercentageYield?: string;
        depositors_?: {
            or?: any[];
            and?: any[];
            _change_block?: {
                number_gte: number;
            };
            shares_not_in?: string[];
            shares_in?: string[];
            shares_lte?: string;
            shares_gte?: string;
            shares_lt?: string;
            shares_gt?: string;
            shares_not?: string;
            shares?: string;
            updatedTimestamp_not_in?: string[];
            updatedTimestamp_in?: string[];
            updatedTimestamp_lte?: string;
            updatedTimestamp_gte?: string;
            updatedTimestamp_lt?: string;
            updatedTimestamp_gt?: string;
            updatedTimestamp_not?: string;
            updatedTimestamp?: string;
            createdTimestamp_not_in?: string[];
            createdTimestamp_in?: string[];
            createdTimestamp_lte?: string;
            createdTimestamp_gte?: string;
            createdTimestamp_lt?: string;
            createdTimestamp_gt?: string;
            createdTimestamp_not?: string;
            createdTimestamp?: string;
            liquidityAmount1_not_in?: string[];
            liquidityAmount1_in?: string[];
            liquidityAmount1_lte?: string;
            liquidityAmount1_gte?: string;
            liquidityAmount1_lt?: string;
            liquidityAmount1_gt?: string;
            liquidityAmount1_not?: string;
            liquidityAmount1?: string;
            liquidityAmount0_not_in?: string[];
            liquidityAmount0_in?: string[];
            liquidityAmount0_lte?: string;
            liquidityAmount0_gte?: string;
            liquidityAmount0_lt?: string;
            liquidityAmount0_gt?: string;
            liquidityAmount0_not?: string;
            liquidityAmount0?: string;
            withdrawnAmount1_not_in?: string[];
            withdrawnAmount1_in?: string[];
            withdrawnAmount1_lte?: string;
            withdrawnAmount1_gte?: string;
            withdrawnAmount1_lt?: string;
            withdrawnAmount1_gt?: string;
            withdrawnAmount1_not?: string;
            withdrawnAmount1?: string;
            withdrawnAmount0_not_in?: string[];
            withdrawnAmount0_in?: string[];
            withdrawnAmount0_lte?: string;
            withdrawnAmount0_gte?: string;
            withdrawnAmount0_lt?: string;
            withdrawnAmount0_gt?: string;
            withdrawnAmount0_not?: string;
            withdrawnAmount0?: string;
            depositedAmount1_not_in?: string[];
            depositedAmount1_in?: string[];
            depositedAmount1_lte?: string;
            depositedAmount1_gte?: string;
            depositedAmount1_lt?: string;
            depositedAmount1_gt?: string;
            depositedAmount1_not?: string;
            depositedAmount1?: string;
            depositedAmount0_not_in?: string[];
            depositedAmount0_in?: string[];
            depositedAmount0_lte?: string;
            depositedAmount0_gte?: string;
            depositedAmount0_lt?: string;
            depositedAmount0_gt?: string;
            depositedAmount0_not?: string;
            depositedAmount0?: string;
            depositCaller_not_ends_with_nocase?: string;
            depositCaller_not_ends_with?: string;
            depositCaller_ends_with_nocase?: string;
            depositCaller_ends_with?: string;
            depositCaller_not_starts_with_nocase?: string;
            depositCaller_not_starts_with?: string;
            depositCaller_starts_with_nocase?: string;
            depositCaller_starts_with?: string;
            depositCaller_not_contains_nocase?: string;
            depositCaller_not_contains?: string;
            depositCaller_contains_nocase?: string;
            depositCaller_contains?: string;
            depositCaller_not_in?: string[];
            depositCaller_in?: string[];
            depositCaller_lte?: string;
            depositCaller_gte?: string;
            depositCaller_lt?: string;
            depositCaller_gt?: string;
            depositCaller_not?: string;
            depositCaller?: string;
            executor_not_ends_with_nocase?: string;
            executor_not_ends_with?: string;
            executor_ends_with_nocase?: string;
            executor_ends_with?: string;
            executor_not_starts_with_nocase?: string;
            executor_not_starts_with?: string;
            executor_starts_with_nocase?: string;
            executor_starts_with?: string;
            executor_not_contains_nocase?: string;
            executor_not_contains?: string;
            executor_contains_nocase?: string;
            executor_contains?: string;
            executor_not_in?: string[];
            executor_in?: string[];
            executor_lte?: string;
            executor_gte?: string;
            executor_lt?: string;
            executor_gt?: string;
            executor_not?: string;
            executor?: string;
            account_not_ends_with_nocase?: string;
            account_not_ends_with?: string;
            account_ends_with_nocase?: string;
            account_ends_with?: string;
            account_not_starts_with_nocase?: string;
            account_not_starts_with?: string;
            account_starts_with_nocase?: string;
            account_starts_with?: string;
            account_not_contains_nocase?: string;
            account_not_contains?: string;
            account_contains_nocase?: string;
            account_contains?: string;
            account_not_in?: string[];
            account_in?: string[];
            account_lte?: string;
            account_gte?: string;
            account_lt?: string;
            account_gt?: string;
            account_not?: string;
            account?: string;
            vault_?: any;
            vault_not_ends_with_nocase?: string;
            vault_not_ends_with?: string;
            vault_ends_with_nocase?: string;
            vault_ends_with?: string;
            vault_not_starts_with_nocase?: string;
            vault_not_starts_with?: string;
            vault_starts_with_nocase?: string;
            vault_starts_with?: string;
            vault_not_contains_nocase?: string;
            vault_not_contains?: string;
            vault_contains_nocase?: string;
            vault_contains?: string;
            vault_not_in?: string[];
            vault_in?: string[];
            vault_lte?: string;
            vault_gte?: string;
            vault_lt?: string;
            vault_gt?: string;
            vault_not?: string;
            vault?: string;
            id_not_in?: string[];
            id_in?: string[];
            id_lte?: string;
            id_gte?: string;
            id_lt?: string;
            id_gt?: string;
            id_not?: string;
            id?: string;
        };
        positions_?: {
            or?: any[];
            and?: any[];
            _change_block?: {
                number_gte: number;
            };
            timestamp_not_in?: string[];
            timestamp_in?: string[];
            timestamp_lte?: string;
            timestamp_gte?: string;
            timestamp_lt?: string;
            timestamp_gt?: string;
            timestamp_not?: string;
            timestamp?: string;
            relativeWeight_not_contains_nocase?: string[];
            relativeWeight_not_contains?: string[];
            relativeWeight_contains_nocase?: string[];
            relativeWeight_contains?: string[];
            relativeWeight_not?: string[];
            relativeWeight?: string[];
            vault_?: any;
            vault_not_ends_with_nocase?: string;
            vault_not_ends_with?: string;
            vault_ends_with_nocase?: string;
            vault_ends_with?: string;
            vault_not_starts_with_nocase?: string;
            vault_not_starts_with?: string;
            vault_starts_with_nocase?: string;
            vault_starts_with?: string;
            vault_not_contains_nocase?: string;
            vault_not_contains?: string;
            vault_contains_nocase?: string;
            vault_contains?: string;
            vault_not_in?: string[];
            vault_in?: string[];
            vault_lte?: string;
            vault_gte?: string;
            vault_lt?: string;
            vault_gt?: string;
            vault_not?: string;
            vault?: string;
            lowerTick_not_contains_nocase?: string[];
            lowerTick_not_contains?: string[];
            lowerTick_contains_nocase?: string[];
            lowerTick_contains?: string[];
            lowerTick_not?: string[];
            lowerTick?: string[];
            upperTick_not_contains_nocase?: string[];
            upperTick_not_contains?: string[];
            upperTick_contains_nocase?: string[];
            upperTick_contains?: string[];
            upperTick_not?: string[];
            upperTick?: string[];
            id_not_in?: string[];
            id_in?: string[];
            id_lte?: string;
            id_gte?: string;
            id_lt?: string;
            id_gt?: string;
            id_not?: string;
            id?: string;
        };
        permissions_?: {
            or?: any[];
            and?: any[];
            _change_block?: {
                number_gte: number;
            };
            updatedTimestamp_not_in?: string[];
            updatedTimestamp_in?: string[];
            updatedTimestamp_lte?: string;
            updatedTimestamp_gte?: string;
            updatedTimestamp_lt?: string;
            updatedTimestamp_gt?: string;
            updatedTimestamp_not?: string;
            updatedTimestamp?: string;
            timestamp_not_in?: string[];
            timestamp_in?: string[];
            timestamp_lte?: string;
            timestamp_gte?: string;
            timestamp_lt?: string;
            timestamp_gt?: string;
            timestamp_not?: string;
            timestamp?: string;
            addresses_not_contains_nocase?: string[];
            addresses_not_contains?: string[];
            addresses_contains_nocase?: string[];
            addresses_contains?: string[];
            addresses_not?: string[];
            addresses?: string[];
            vault_?: any;
            vault_not_ends_with_nocase?: string;
            vault_not_ends_with?: string;
            vault_ends_with_nocase?: string;
            vault_ends_with?: string;
            vault_not_starts_with_nocase?: string;
            vault_not_starts_with?: string;
            vault_starts_with_nocase?: string;
            vault_starts_with?: string;
            vault_not_contains_nocase?: string;
            vault_not_contains?: string;
            vault_contains_nocase?: string;
            vault_contains?: string;
            vault_not_in?: string[];
            vault_in?: string[];
            vault_lte?: string;
            vault_gte?: string;
            vault_lt?: string;
            vault_gt?: string;
            vault_not?: string;
            vault?: string;
            manager_?: {
                or?: any[];
                and?: any[];
                _change_block?: {
                    number_gte: number;
                };
                permission_?: any;
                timestamp_not_in?: string[];
                timestamp_in?: string[];
                timestamp_lte?: string;
                timestamp_gte?: string;
                timestamp_lt?: string;
                timestamp_gt?: string;
                timestamp_not?: string;
                timestamp?: string;
                vault_not_ends_with_nocase?: string;
                vault_not_ends_with?: string;
                vault_ends_with_nocase?: string;
                vault_ends_with?: string;
                vault_not_starts_with_nocase?: string;
                vault_not_starts_with?: string;
                vault_starts_with_nocase?: string;
                vault_starts_with?: string;
                vault_not_contains_nocase?: string;
                vault_not_contains?: string;
                vault_contains_nocase?: string;
                vault_contains?: string;
                vault_not_in?: string[];
                vault_in?: string[];
                vault_lte?: string;
                vault_gte?: string;
                vault_lt?: string;
                vault_gt?: string;
                vault_not?: string;
                vault?: string;
                address_not_ends_with_nocase?: string;
                address_not_ends_with?: string;
                address_ends_with_nocase?: string;
                address_ends_with?: string;
                address_not_starts_with_nocase?: string;
                address_not_starts_with?: string;
                address_starts_with_nocase?: string;
                address_starts_with?: string;
                address_not_contains_nocase?: string;
                address_not_contains?: string;
                address_contains_nocase?: string;
                address_contains?: string;
                address_not_in?: string[];
                address_in?: string[];
                address_lte?: string;
                address_gte?: string;
                address_lt?: string;
                address_gt?: string;
                address_not?: string;
                address?: string;
                id_not_in?: string[];
                id_in?: string[];
                id_lte?: string;
                id_gte?: string;
                id_lt?: string;
                id_gt?: string;
                id_not?: string;
                id?: string;
            };
            manager_not_ends_with_nocase?: string;
            manager_not_ends_with?: string;
            manager_ends_with_nocase?: string;
            manager_ends_with?: string;
            manager_not_starts_with_nocase?: string;
            manager_not_starts_with?: string;
            manager_starts_with_nocase?: string;
            manager_starts_with?: string;
            manager_not_contains_nocase?: string;
            manager_not_contains?: string;
            manager_contains_nocase?: string;
            manager_contains?: string;
            manager_not_in?: string[];
            manager_in?: string[];
            manager_lte?: string;
            manager_gte?: string;
            manager_lt?: string;
            manager_gt?: string;
            manager_not?: string;
            manager?: string;
            id_not_in?: string[];
            id_in?: string[];
            id_lte?: string;
            id_gte?: string;
            id_lt?: string;
            id_gt?: string;
            id_not?: string;
            id?: string;
        };
        snapshots_?: {
            or?: any[];
            and?: any[];
            _change_block?: {
                number_gte: number;
            };
            transactionHash_not_ends_with_nocase?: string;
            transactionHash_not_ends_with?: string;
            transactionHash_ends_with_nocase?: string;
            transactionHash_ends_with?: string;
            transactionHash_not_starts_with_nocase?: string;
            transactionHash_not_starts_with?: string;
            transactionHash_starts_with_nocase?: string;
            transactionHash_starts_with?: string;
            transactionHash_not_contains_nocase?: string;
            transactionHash_not_contains?: string;
            transactionHash_contains_nocase?: string;
            transactionHash_contains?: string;
            transactionHash_not_in?: string[];
            transactionHash_in?: string[];
            transactionHash_lte?: string;
            transactionHash_gte?: string;
            transactionHash_lt?: string;
            transactionHash_gt?: string;
            transactionHash_not?: string;
            transactionHash?: string;
            weeklyFeeAPR_not_in?: string[];
            weeklyFeeAPR_in?: string[];
            weeklyFeeAPR_lte?: string;
            weeklyFeeAPR_gte?: string;
            weeklyFeeAPR_lt?: string;
            weeklyFeeAPR_gt?: string;
            weeklyFeeAPR_not?: string;
            weeklyFeeAPR?: string;
            dailyFeeAPR_not_in?: string[];
            dailyFeeAPR_in?: string[];
            dailyFeeAPR_lte?: string;
            dailyFeeAPR_gte?: string;
            dailyFeeAPR_lt?: string;
            dailyFeeAPR_gt?: string;
            dailyFeeAPR_not?: string;
            dailyFeeAPR?: string;
            annualFeeAPR_not_in?: string[];
            annualFeeAPR_in?: string[];
            annualFeeAPR_lte?: string;
            annualFeeAPR_gte?: string;
            annualFeeAPR_lt?: string;
            annualFeeAPR_gt?: string;
            annualFeeAPR_not?: string;
            annualFeeAPR?: string;
            fees0_not_in?: string[];
            fees0_in?: string[];
            fees0_lte?: string;
            fees0_gte?: string;
            fees0_lt?: string;
            fees0_gt?: string;
            fees0_not?: string;
            fees0?: string;
            fees1_not_in?: string[];
            fees1_in?: string[];
            fees1_lte?: string;
            fees1_gte?: string;
            fees1_lt?: string;
            fees1_gt?: string;
            fees1_not?: string;
            fees1?: string;
            totalSupply_not_in?: string[];
            totalSupply_in?: string[];
            totalSupply_lte?: string;
            totalSupply_gte?: string;
            totalSupply_lt?: string;
            totalSupply_gt?: string;
            totalSupply_not?: string;
            totalSupply?: string;
            sqrtPriceX96_not_in?: string[];
            sqrtPriceX96_in?: string[];
            sqrtPriceX96_lte?: string;
            sqrtPriceX96_gte?: string;
            sqrtPriceX96_lt?: string;
            sqrtPriceX96_gt?: string;
            sqrtPriceX96_not?: string;
            sqrtPriceX96?: string;
            totalAmount1_not_in?: string[];
            totalAmount1_in?: string[];
            totalAmount1_lte?: string;
            totalAmount1_gte?: string;
            totalAmount1_lt?: string;
            totalAmount1_gt?: string;
            totalAmount1_not?: string;
            totalAmount1?: string;
            totalAmount0_not_in?: string[];
            totalAmount0_in?: string[];
            totalAmount0_lte?: string;
            totalAmount0_gte?: string;
            totalAmount0_lt?: string;
            totalAmount0_gt?: string;
            totalAmount0_not?: string;
            totalAmount0?: string;
            vaultAddress_?: any;
            vaultAddress_not_ends_with_nocase?: string;
            vaultAddress_not_ends_with?: string;
            vaultAddress_ends_with_nocase?: string;
            vaultAddress_ends_with?: string;
            vaultAddress_not_starts_with_nocase?: string;
            vaultAddress_not_starts_with?: string;
            vaultAddress_starts_with_nocase?: string;
            vaultAddress_starts_with?: string;
            vaultAddress_not_contains_nocase?: string;
            vaultAddress_not_contains?: string;
            vaultAddress_contains_nocase?: string;
            vaultAddress_contains?: string;
            vaultAddress_not_in?: string[];
            vaultAddress_in?: string[];
            vaultAddress_lte?: string;
            vaultAddress_gte?: string;
            vaultAddress_lt?: string;
            vaultAddress_gt?: string;
            vaultAddress_not?: string;
            vaultAddress?: string;
            timestamp_not_in?: string[];
            timestamp_in?: string[];
            timestamp_lte?: string;
            timestamp_gte?: string;
            timestamp_lt?: string;
            timestamp_gt?: string;
            timestamp_not?: string;
            timestamp?: string;
            id_not_in?: string[];
            id_in?: string[];
            id_lte?: string;
            id_gte?: string;
            id_lt?: string;
            id_gt?: string;
            id_not?: string;
            id?: string;
        };
        strategyToken_?: {
            or?: any[];
            and?: any[];
            _change_block?: {
                number_gte: number;
            };
            executionBundle_not_ends_with_nocase?: string;
            executionBundle_not_ends_with?: string;
            executionBundle_ends_with_nocase?: string;
            executionBundle_ends_with?: string;
            executionBundle_not_starts_with_nocase?: string;
            executionBundle_not_starts_with?: string;
            executionBundle_starts_with_nocase?: string;
            executionBundle_starts_with?: string;
            executionBundle_not_contains_nocase?: string;
            executionBundle_not_contains?: string;
            executionBundle_contains_nocase?: string;
            executionBundle_contains?: string;
            executionBundle_not_in?: string[];
            executionBundle_in?: string[];
            executionBundle_lte?: string;
            executionBundle_gte?: string;
            executionBundle_lt?: string;
            executionBundle_gt?: string;
            executionBundle_not?: string;
            executionBundle?: string;
            creator_?: {
                or?: any[];
                and?: any[];
                _change_block?: {
                    number_gte: number;
                };
                totalYield_not_in?: string[];
                totalYield_in?: string[];
                totalYield_lte?: string;
                totalYield_gte?: string;
                totalYield_lt?: string;
                totalYield_gt?: string;
                totalYield_not?: string;
                totalYield?: string;
                totalValueLocked_not_in?: string[];
                totalValueLocked_in?: string[];
                totalValueLocked_lte?: string;
                totalValueLocked_gte?: string;
                totalValueLocked_lt?: string;
                totalValueLocked_gt?: string;
                totalValueLocked_not?: string;
                totalValueLocked?: string;
                withdrawals_?: {
                    or?: any[];
                    and?: any[];
                    _change_block?: {
                        number_gte: number;
                    };
                    amount_not_in?: string[];
                    amount_in?: string[];
                    amount_lte?: string;
                    amount_gte?: string;
                    amount_lt?: string;
                    amount_gt?: string;
                    amount_not?: string;
                    amount?: string;
                    creator_?: any;
                    creator_not_ends_with_nocase?: string;
                    creator_not_ends_with?: string;
                    creator_ends_with_nocase?: string;
                    creator_ends_with?: string;
                    creator_not_starts_with_nocase?: string;
                    creator_not_starts_with?: string;
                    creator_starts_with_nocase?: string;
                    creator_starts_with?: string;
                    creator_not_contains_nocase?: string;
                    creator_not_contains?: string;
                    creator_contains_nocase?: string;
                    creator_contains?: string;
                    creator_not_in?: string[];
                    creator_in?: string[];
                    creator_lte?: string;
                    creator_gte?: string;
                    creator_lt?: string;
                    creator_gt?: string;
                    creator_not?: string;
                    creator?: string;
                    timeStamp_not_in?: string[];
                    timeStamp_in?: string[];
                    timeStamp_lte?: string;
                    timeStamp_gte?: string;
                    timeStamp_lt?: string;
                    timeStamp_gt?: string;
                    timeStamp_not?: string;
                    timeStamp?: string;
                    id_not_in?: string[];
                    id_in?: string[];
                    id_lte?: string;
                    id_gte?: string;
                    id_lt?: string;
                    id_gt?: string;
                    id_not?: string;
                    id?: string;
                };
                revenue_not_in?: string[];
                revenue_in?: string[];
                revenue_lte?: string;
                revenue_gte?: string;
                revenue_lt?: string;
                revenue_gt?: string;
                revenue_not?: string;
                revenue?: string;
                strategies_?: any;
                id_not_in?: string[];
                id_in?: string[];
                id_lte?: string;
                id_gte?: string;
                id_lt?: string;
                id_gt?: string;
                id_not?: string;
                id?: string;
            };
            creator_not_ends_with_nocase?: string;
            creator_not_ends_with?: string;
            creator_ends_with_nocase?: string;
            creator_ends_with?: string;
            creator_not_starts_with_nocase?: string;
            creator_not_starts_with?: string;
            creator_starts_with_nocase?: string;
            creator_starts_with?: string;
            creator_not_contains_nocase?: string;
            creator_not_contains?: string;
            creator_contains_nocase?: string;
            creator_contains?: string;
            creator_not_in?: string[];
            creator_in?: string[];
            creator_lte?: string;
            creator_gte?: string;
            creator_lt?: string;
            creator_gt?: string;
            creator_not?: string;
            creator?: string;
            admin_not_ends_with_nocase?: string;
            admin_not_ends_with?: string;
            admin_ends_with_nocase?: string;
            admin_ends_with?: string;
            admin_not_starts_with_nocase?: string;
            admin_not_starts_with?: string;
            admin_starts_with_nocase?: string;
            admin_starts_with?: string;
            admin_not_contains_nocase?: string;
            admin_not_contains?: string;
            admin_contains_nocase?: string;
            admin_contains?: string;
            admin_not_in?: string[];
            admin_in?: string[];
            admin_lte?: string;
            admin_gte?: string;
            admin_lt?: string;
            admin_gt?: string;
            admin_not?: string;
            admin?: string;
            createdAt_not_in?: string[];
            createdAt_in?: string[];
            createdAt_lte?: string;
            createdAt_gte?: string;
            createdAt_lt?: string;
            createdAt_gt?: string;
            createdAt_not?: string;
            createdAt?: string;
            vault_?: any;
            name_not_ends_with_nocase?: string;
            name_not_ends_with?: string;
            name_ends_with_nocase?: string;
            name_ends_with?: string;
            name_not_starts_with_nocase?: string;
            name_not_starts_with?: string;
            name_starts_with_nocase?: string;
            name_starts_with?: string;
            name_not_contains_nocase?: string;
            name_not_contains?: string;
            name_contains_nocase?: string;
            name_contains?: string;
            name_not_in?: string[];
            name_in?: string[];
            name_lte?: string;
            name_gte?: string;
            name_lt?: string;
            name_gt?: string;
            name_not?: string;
            name?: string;
            id_not_in?: string[];
            id_in?: string[];
            id_lte?: string;
            id_gte?: string;
            id_lt?: string;
            id_gt?: string;
            id_not?: string;
            id?: string;
        };
        strategyToken_not_ends_with_nocase?: string;
        strategyToken_not_ends_with?: string;
        strategyToken_ends_with_nocase?: string;
        strategyToken_ends_with?: string;
        strategyToken_not_starts_with_nocase?: string;
        strategyToken_not_starts_with?: string;
        strategyToken_starts_with_nocase?: string;
        strategyToken_starts_with?: string;
        strategyToken_not_contains_nocase?: string;
        strategyToken_not_contains?: string;
        strategyToken_contains_nocase?: string;
        strategyToken_contains?: string;
        strategyToken_not_in?: string[];
        strategyToken_in?: string[];
        strategyToken_lte?: string;
        strategyToken_gte?: string;
        strategyToken_lt?: string;
        strategyToken_gt?: string;
        strategyToken_not?: string;
        strategyToken?: string;
        statusUpdates_?: {
            or?: any[];
            and?: any[];
            _change_block?: {
                number_gte: number;
            };
            status_not_in?: string[];
            status_in?: string[];
            status_lte?: string;
            status_gte?: string;
            status_lt?: string;
            status_gt?: string;
            status_not?: string;
            status?: string;
            vault_?: any;
            vault_not_ends_with_nocase?: string;
            vault_not_ends_with?: string;
            vault_ends_with_nocase?: string;
            vault_ends_with?: string;
            vault_not_starts_with_nocase?: string;
            vault_not_starts_with?: string;
            vault_starts_with_nocase?: string;
            vault_starts_with?: string;
            vault_not_contains_nocase?: string;
            vault_not_contains?: string;
            vault_contains_nocase?: string;
            vault_contains?: string;
            vault_not_in?: string[];
            vault_in?: string[];
            vault_lte?: string;
            vault_gte?: string;
            vault_lt?: string;
            vault_gt?: string;
            vault_not?: string;
            vault?: string;
            timeStamp_not_in?: string[];
            timeStamp_in?: string[];
            timeStamp_lte?: string;
            timeStamp_gte?: string;
            timeStamp_lt?: string;
            timeStamp_gt?: string;
            timeStamp_not?: string;
            timeStamp?: string;
            id_not_in?: string[];
            id_in?: string[];
            id_lte?: string;
            id_gte?: string;
            id_lt?: string;
            id_gt?: string;
            id_not?: string;
            id?: string;
        };
        state_not_in?: string[];
        state_in?: string[];
        state_lte?: string;
        state_gte?: string;
        state_lt?: string;
        state_gt?: string;
        state_not?: string;
        state?: string;
        pool_not_ends_with_nocase?: string;
        pool_not_ends_with?: string;
        pool_ends_with_nocase?: string;
        pool_ends_with?: string;
        pool_not_starts_with_nocase?: string;
        pool_not_starts_with?: string;
        pool_starts_with_nocase?: string;
        pool_starts_with?: string;
        pool_not_contains_nocase?: string;
        pool_not_contains?: string;
        pool_contains_nocase?: string;
        pool_contains?: string;
        pool_not_in?: string[];
        pool_in?: string[];
        pool_lte?: string;
        pool_gte?: string;
        pool_lt?: string;
        pool_gt?: string;
        pool_not?: string;
        pool?: string;
        lastSnapshot_not_in?: string[];
        lastSnapshot_in?: string[];
        lastSnapshot_lte?: string;
        lastSnapshot_gte?: string;
        lastSnapshot_lt?: string;
        lastSnapshot_gt?: string;
        lastSnapshot_not?: string;
        lastSnapshot?: string;
        createdAt_not_in?: string[];
        createdAt_in?: string[];
        createdAt_lte?: string;
        createdAt_gte?: string;
        createdAt_lt?: string;
        createdAt_gt?: string;
        createdAt_not?: string;
        createdAt?: string;
        totalAmount1_not_in?: string[];
        totalAmount1_in?: string[];
        totalAmount1_lte?: string;
        totalAmount1_gte?: string;
        totalAmount1_lt?: string;
        totalAmount1_gt?: string;
        totalAmount1_not?: string;
        totalAmount1?: string;
        totalAmount0_not_in?: string[];
        totalAmount0_in?: string[];
        totalAmount0_lte?: string;
        totalAmount0_gte?: string;
        totalAmount0_lt?: string;
        totalAmount0_gt?: string;
        totalAmount0_not?: string;
        totalAmount0?: string;
        token1_not_ends_with_nocase?: string;
        token1_not_ends_with?: string;
        token1_ends_with_nocase?: string;
        token1_ends_with?: string;
        token1_not_starts_with_nocase?: string;
        token1_not_starts_with?: string;
        token1_starts_with_nocase?: string;
        token1_starts_with?: string;
        token1_not_contains_nocase?: string;
        token1_not_contains?: string;
        token1_contains_nocase?: string;
        token1_contains?: string;
        token1_not_in?: string[];
        token1_in?: string[];
        token1_lte?: string;
        token1_gte?: string;
        token1_lt?: string;
        token1_gt?: string;
        token1_not?: string;
        token1?: string;
        token0_not_ends_with_nocase?: string;
        token0_not_ends_with?: string;
        token0_ends_with_nocase?: string;
        token0_ends_with?: string;
        token0_not_starts_with_nocase?: string;
        token0_not_starts_with?: string;
        token0_starts_with_nocase?: string;
        token0_starts_with?: string;
        token0_not_contains_nocase?: string;
        token0_not_contains?: string;
        token0_contains_nocase?: string;
        token0_contains?: string;
        token0_not_in?: string[];
        token0_in?: string[];
        token0_lte?: string;
        token0_gte?: string;
        token0_lt?: string;
        token0_gt?: string;
        token0_not?: string;
        token0?: string;
        deployer_not_ends_with_nocase?: string;
        deployer_not_ends_with?: string;
        deployer_ends_with_nocase?: string;
        deployer_ends_with?: string;
        deployer_not_starts_with_nocase?: string;
        deployer_not_starts_with?: string;
        deployer_starts_with_nocase?: string;
        deployer_starts_with?: string;
        deployer_not_contains_nocase?: string;
        deployer_not_contains?: string;
        deployer_contains_nocase?: string;
        deployer_contains?: string;
        deployer_not_in?: string[];
        deployer_in?: string[];
        deployer_lte?: string;
        deployer_gte?: string;
        deployer_lt?: string;
        deployer_gt?: string;
        deployer_not?: string;
        deployer?: string;
        id_not_in?: string[];
        id_in?: string[];
        id_lte?: string;
        id_gte?: string;
        id_lt?: string;
        id_gt?: string;
        id_not?: string;
        id?: string;
    };
    orderDirection?: "asc" | "desc";
    orderBy?: "symbol" | "id" | "pool" | "gasUsed" | "token0" | "token1" | "name" | "decimals" | "createdAt" | "feeTier" | "totalValueLockedToken0" | "totalValueLockedToken1" | "positions" | "state" | "fees0" | "fees1" | "totalAmount0" | "totalAmount1" | "averageFeeArrPerSecond" | "totalSnapshots" | "depositors" | "jobs" | "accruedStrategistFees0" | "accruedStrategistFees1" | "annualFeeARR" | "annualPercentageDailyYield" | "annualPercentageMonthlyYield" | "annualPercentageYearlyYield" | "annualPercentageYield" | "beaconName" | "dailyFeeAPR" | "deployer" | "gasDeposited" | "lastSnapshot" | "lastTotalT0ValuePerLPT" | "payloadIpfs" | "permissions" | "snapshots" | "statusUpdates" | "strategyToken" | "token0Balance" | "token0Decimals" | "token0Name" | "token0Symbol" | "token1Balance" | "token1Decimals" | "token1Name" | "token1Symbol" | "totalLPTokensIssued" | "vaultManager" | "weeklyFeeAPR" | "strategyToken__id" | "strategyToken__name" | "strategyToken__createdAt" | "strategyToken__admin" | "strategyToken__executionBundle";
    block?: {
        number_gte?: number;
        number?: number;
        hash?: `0x${string}`;
    };
    skip?: number;
    first?: number;
}, void>;
export type GetSteerVaults = VariablesOf<typeof SteerVaultsQuery> & ChainIdVariable<SteerChainId>;
export declare function getSteerVaults({ chainId, ...variables }: GetSteerVaults, options?: RequestOptions): Promise<{
    id: `${string}:0x${string}`;
    chainId: 137 | 250 | 56 | 42161 | 43114 | 42220 | 10 | 2222 | 1088 | 1101 | 108 | 59144 | 8453 | 534352 | 81457 | 30;
    address: `0x${string}`;
    feeTier: number;
    reserve0: bigint;
    reserve1: bigint;
    pool: {
        id: `${string}:0x${string}`;
        address: `0x${string}`;
        chainId: 1 | 137 | 250 | 100 | 56 | 42161 | 42170 | 43114 | 1285 | 122 | 10 | 2222 | 1088 | 288 | 199 | 1101 | 108 | 314 | 11235 | 1116 | 59144 | 8453 | 534352 | 7000 | 81457 | 2046399126 | 30;
        protocol: "SUSHISWAP_V3";
    };
    state: string;
    payloadIpfs: string;
    strategyToken: {
        id: string;
        name: string;
        creator: {
            id: string;
        };
        admin: string;
    };
    lowerTick: bigint | null;
    upperTick: bigint | null;
    token0: {
        id: `${string}:0x${string}`;
        chainId: 1 | 137 | 250 | 100 | 56 | 42161 | 42170 | 43114 | 1285 | 122 | 10 | 2222 | 1088 | 288 | 199 | 1101 | 108 | 314 | 11235 | 1116 | 59144 | 8453 | 534352 | 7000 | 81457 | 2046399126 | 30;
        address: `0x${string}`;
    };
    token1: {
        id: `${string}:0x${string}`;
        chainId: 1 | 137 | 250 | 100 | 56 | 42161 | 42170 | 43114 | 1285 | 122 | 10 | 2222 | 1088 | 288 | 199 | 1101 | 108 | 314 | 11235 | 1116 | 59144 | 8453 | 534352 | 7000 | 81457 | 2046399126 | 30;
        address: `0x${string}`;
    };
    fees0: bigint;
    fees1: bigint;
    manager: string;
}[]>;
export type SteerVaults = Awaited<ReturnType<typeof getSteerVaults>>;
