import type { VariablesOf } from 'gql.tada';
import { type RequestOptions } from '../../../lib/request';
export declare const StrapiBlogArticlesQuery: import("gql.tada").TadaDocumentNode<{
    articles: {
        data: {
            attributes: {
                authors: {
                    data: {
                        attributes: {
                            avatar: {
                                data: {
                                    attributes: {
                                        provider_metadata: object;
                                        hash: string;
                                        url: string;
                                        mime: string;
                                        height: number;
                                        width: number;
                                        caption: string;
                                        alternativeText: string;
                                        name: string;
                                    };
                                    id: string;
                                };
                            };
                            handle: string;
                            email: string;
                            name: string;
                        };
                        id: string;
                    }[];
                };
                cover: {
                    data: {
                        attributes: {
                            provider_metadata: object;
                            hash: string;
                            url: string;
                            mime: string;
                            height: number;
                            width: number;
                            caption: string;
                            alternativeText: string;
                            name: string;
                        };
                        id: string;
                    };
                };
                categories: {
                    data: {
                        attributes: {
                            slug: string;
                            description: string;
                            name: string;
                        };
                        id: string;
                    }[];
                };
                publishedAt: string;
                updatedAt: string;
                ghostSlug: string;
                slug: string;
                description: string;
                title: string;
            };
            id: string;
        }[];
        meta: {
            pagination: {
                pageCount: number;
                pageSize: number;
                page: number;
                total: number;
            };
        };
    };
}, {
    sort?: string[];
    publicationState?: "LIVE" | "PREVIEW";
    pagination?: {
        limit?: number;
        start?: number;
        pageSize?: number;
        page?: number;
    };
    filters?: {
        not?: any;
        or?: any[];
        and?: any[];
        locale?: {
            between?: string[];
            notIn?: string[];
            in?: string[];
            notNull?: boolean;
            null?: boolean;
            lte?: string;
            lt?: string;
            gte?: string;
            gt?: string;
            notContainsi?: string;
            containsi?: string;
            notContains?: string;
            contains?: string;
            endsWith?: string;
            startsWith?: string;
            nei?: string;
            ne?: string;
            eqi?: string;
            eq?: string;
            not?: any;
            or?: string[];
            and?: string[];
        };
        localizations?: any;
        publishedAt?: {
            between?: string[];
            notIn?: string[];
            in?: string[];
            notNull?: boolean;
            null?: boolean;
            lte?: string;
            lt?: string;
            gte?: string;
            gt?: string;
            notContainsi?: string;
            containsi?: string;
            notContains?: string;
            contains?: string;
            endsWith?: string;
            startsWith?: string;
            nei?: string;
            ne?: string;
            eqi?: string;
            eq?: string;
            not?: any;
            or?: string[];
            and?: string[];
        };
        updatedAt?: {
            between?: string[];
            notIn?: string[];
            in?: string[];
            notNull?: boolean;
            null?: boolean;
            lte?: string;
            lt?: string;
            gte?: string;
            gt?: string;
            notContainsi?: string;
            containsi?: string;
            notContains?: string;
            contains?: string;
            endsWith?: string;
            startsWith?: string;
            nei?: string;
            ne?: string;
            eqi?: string;
            eq?: string;
            not?: any;
            or?: string[];
            and?: string[];
        };
        createdAt?: {
            between?: string[];
            notIn?: string[];
            in?: string[];
            notNull?: boolean;
            null?: boolean;
            lte?: string;
            lt?: string;
            gte?: string;
            gt?: string;
            notContainsi?: string;
            containsi?: string;
            notContains?: string;
            contains?: string;
            endsWith?: string;
            startsWith?: string;
            nei?: string;
            ne?: string;
            eqi?: string;
            eq?: string;
            not?: any;
            or?: string[];
            and?: string[];
        };
        articleTypes?: {
            not?: any;
            or?: any[];
            and?: any[];
            publishedAt?: {
                between?: string[];
                notIn?: string[];
                in?: string[];
                notNull?: boolean;
                null?: boolean;
                lte?: string;
                lt?: string;
                gte?: string;
                gt?: string;
                notContainsi?: string;
                containsi?: string;
                notContains?: string;
                contains?: string;
                endsWith?: string;
                startsWith?: string;
                nei?: string;
                ne?: string;
                eqi?: string;
                eq?: string;
                not?: any;
                or?: string[];
                and?: string[];
            };
            updatedAt?: {
                between?: string[];
                notIn?: string[];
                in?: string[];
                notNull?: boolean;
                null?: boolean;
                lte?: string;
                lt?: string;
                gte?: string;
                gt?: string;
                notContainsi?: string;
                containsi?: string;
                notContains?: string;
                contains?: string;
                endsWith?: string;
                startsWith?: string;
                nei?: string;
                ne?: string;
                eqi?: string;
                eq?: string;
                not?: any;
                or?: string[];
                and?: string[];
            };
            createdAt?: {
                between?: string[];
                notIn?: string[];
                in?: string[];
                notNull?: boolean;
                null?: boolean;
                lte?: string;
                lt?: string;
                gte?: string;
                gt?: string;
                notContainsi?: string;
                containsi?: string;
                notContains?: string;
                contains?: string;
                endsWith?: string;
                startsWith?: string;
                nei?: string;
                ne?: string;
                eqi?: string;
                eq?: string;
                not?: any;
                or?: string[];
                and?: string[];
            };
            types?: any;
            type?: {
                between?: string[];
                notIn?: string[];
                in?: string[];
                notNull?: boolean;
                null?: boolean;
                lte?: string;
                lt?: string;
                gte?: string;
                gt?: string;
                notContainsi?: string;
                containsi?: string;
                notContains?: string;
                contains?: string;
                endsWith?: string;
                startsWith?: string;
                nei?: string;
                ne?: string;
                eqi?: string;
                eq?: string;
                not?: any;
                or?: string[];
                and?: string[];
            };
            id?: {
                between?: string[];
                notIn?: string[];
                in?: string[];
                notNull?: boolean;
                null?: boolean;
                lte?: string;
                lt?: string;
                gte?: string;
                gt?: string;
                notContainsi?: string;
                containsi?: string;
                notContains?: string;
                contains?: string;
                endsWith?: string;
                startsWith?: string;
                nei?: string;
                ne?: string;
                eqi?: string;
                eq?: string;
                not?: any;
                or?: string[];
                and?: string[];
            };
        };
        products?: {
            not?: any;
            or?: any[];
            and?: any[];
            locale?: {
                between?: string[];
                notIn?: string[];
                in?: string[];
                notNull?: boolean;
                null?: boolean;
                lte?: string;
                lt?: string;
                gte?: string;
                gt?: string;
                notContainsi?: string;
                containsi?: string;
                notContains?: string;
                contains?: string;
                endsWith?: string;
                startsWith?: string;
                nei?: string;
                ne?: string;
                eqi?: string;
                eq?: string;
                not?: any;
                or?: string[];
                and?: string[];
            };
            localizations?: any;
            updatedAt?: {
                between?: string[];
                notIn?: string[];
                in?: string[];
                notNull?: boolean;
                null?: boolean;
                lte?: string;
                lt?: string;
                gte?: string;
                gt?: string;
                notContainsi?: string;
                containsi?: string;
                notContains?: string;
                contains?: string;
                endsWith?: string;
                startsWith?: string;
                nei?: string;
                ne?: string;
                eqi?: string;
                eq?: string;
                not?: any;
                or?: string[];
                and?: string[];
            };
            createdAt?: {
                between?: string[];
                notIn?: string[];
                in?: string[];
                notNull?: boolean;
                null?: boolean;
                lte?: string;
                lt?: string;
                gte?: string;
                gt?: string;
                notContainsi?: string;
                containsi?: string;
                notContains?: string;
                contains?: string;
                endsWith?: string;
                startsWith?: string;
                nei?: string;
                ne?: string;
                eqi?: string;
                eq?: string;
                not?: any;
                or?: string[];
                and?: string[];
            };
            relevantArticleIds?: {
                between?: object[];
                notIn?: object[];
                in?: object[];
                notNull?: boolean;
                null?: boolean;
                lte?: object;
                lt?: object;
                gte?: object;
                gt?: object;
                notContainsi?: object;
                containsi?: object;
                notContains?: object;
                contains?: object;
                endsWith?: object;
                startsWith?: object;
                nei?: object;
                ne?: object;
                eqi?: object;
                eq?: object;
                not?: any;
                or?: object[];
                and?: object[];
            };
            url?: {
                between?: string[];
                notIn?: string[];
                in?: string[];
                notNull?: boolean;
                null?: boolean;
                lte?: string;
                lt?: string;
                gte?: string;
                gt?: string;
                notContainsi?: string;
                containsi?: string;
                notContains?: string;
                contains?: string;
                endsWith?: string;
                startsWith?: string;
                nei?: string;
                ne?: string;
                eqi?: string;
                eq?: string;
                not?: any;
                or?: string[];
                and?: string[];
            };
            slug?: {
                between?: string[];
                notIn?: string[];
                in?: string[];
                notNull?: boolean;
                null?: boolean;
                lte?: string;
                lt?: string;
                gte?: string;
                gt?: string;
                notContainsi?: string;
                containsi?: string;
                notContains?: string;
                contains?: string;
                endsWith?: string;
                startsWith?: string;
                nei?: string;
                ne?: string;
                eqi?: string;
                eq?: string;
                not?: any;
                or?: string[];
                and?: string[];
            };
            articles?: any;
            longName?: {
                between?: string[];
                notIn?: string[];
                in?: string[];
                notNull?: boolean;
                null?: boolean;
                lte?: string;
                lt?: string;
                gte?: string;
                gt?: string;
                notContainsi?: string;
                containsi?: string;
                notContains?: string;
                contains?: string;
                endsWith?: string;
                startsWith?: string;
                nei?: string;
                ne?: string;
                eqi?: string;
                eq?: string;
                not?: any;
                or?: string[];
                and?: string[];
            };
            show?: {
                between?: boolean[];
                notIn?: boolean[];
                in?: boolean[];
                notNull?: boolean;
                null?: boolean;
                lte?: boolean;
                lt?: boolean;
                gte?: boolean;
                gt?: boolean;
                notContainsi?: boolean;
                containsi?: boolean;
                notContains?: boolean;
                contains?: boolean;
                endsWith?: boolean;
                startsWith?: boolean;
                nei?: boolean;
                ne?: boolean;
                eqi?: boolean;
                eq?: boolean;
                not?: any;
                or?: boolean[];
                and?: boolean[];
            };
            description?: {
                between?: string[];
                notIn?: string[];
                in?: string[];
                notNull?: boolean;
                null?: boolean;
                lte?: string;
                lt?: string;
                gte?: string;
                gt?: string;
                notContainsi?: string;
                containsi?: string;
                notContains?: string;
                contains?: string;
                endsWith?: string;
                startsWith?: string;
                nei?: string;
                ne?: string;
                eqi?: string;
                eq?: string;
                not?: any;
                or?: string[];
                and?: string[];
            };
            name?: {
                between?: string[];
                notIn?: string[];
                in?: string[];
                notNull?: boolean;
                null?: boolean;
                lte?: string;
                lt?: string;
                gte?: string;
                gt?: string;
                notContainsi?: string;
                containsi?: string;
                notContains?: string;
                contains?: string;
                endsWith?: string;
                startsWith?: string;
                nei?: string;
                ne?: string;
                eqi?: string;
                eq?: string;
                not?: any;
                or?: string[];
                and?: string[];
            };
            id?: {
                between?: string[];
                notIn?: string[];
                in?: string[];
                notNull?: boolean;
                null?: boolean;
                lte?: string;
                lt?: string;
                gte?: string;
                gt?: string;
                notContainsi?: string;
                containsi?: string;
                notContains?: string;
                contains?: string;
                endsWith?: string;
                startsWith?: string;
                nei?: string;
                ne?: string;
                eqi?: string;
                eq?: string;
                not?: any;
                or?: string[];
                and?: string[];
            };
        };
        topics?: {
            not?: any;
            or?: any[];
            and?: any[];
            locale?: {
                between?: string[];
                notIn?: string[];
                in?: string[];
                notNull?: boolean;
                null?: boolean;
                lte?: string;
                lt?: string;
                gte?: string;
                gt?: string;
                notContainsi?: string;
                containsi?: string;
                notContains?: string;
                contains?: string;
                endsWith?: string;
                startsWith?: string;
                nei?: string;
                ne?: string;
                eqi?: string;
                eq?: string;
                not?: any;
                or?: string[];
                and?: string[];
            };
            localizations?: any;
            updatedAt?: {
                between?: string[];
                notIn?: string[];
                in?: string[];
                notNull?: boolean;
                null?: boolean;
                lte?: string;
                lt?: string;
                gte?: string;
                gt?: string;
                notContainsi?: string;
                containsi?: string;
                notContains?: string;
                contains?: string;
                endsWith?: string;
                startsWith?: string;
                nei?: string;
                ne?: string;
                eqi?: string;
                eq?: string;
                not?: any;
                or?: string[];
                and?: string[];
            };
            createdAt?: {
                between?: string[];
                notIn?: string[];
                in?: string[];
                notNull?: boolean;
                null?: boolean;
                lte?: string;
                lt?: string;
                gte?: string;
                gt?: string;
                notContainsi?: string;
                containsi?: string;
                notContains?: string;
                contains?: string;
                endsWith?: string;
                startsWith?: string;
                nei?: string;
                ne?: string;
                eqi?: string;
                eq?: string;
                not?: any;
                or?: string[];
                and?: string[];
            };
            articles?: any;
            slug?: {
                between?: string[];
                notIn?: string[];
                in?: string[];
                notNull?: boolean;
                null?: boolean;
                lte?: string;
                lt?: string;
                gte?: string;
                gt?: string;
                notContainsi?: string;
                containsi?: string;
                notContains?: string;
                contains?: string;
                endsWith?: string;
                startsWith?: string;
                nei?: string;
                ne?: string;
                eqi?: string;
                eq?: string;
                not?: any;
                or?: string[];
                and?: string[];
            };
            name?: {
                between?: string[];
                notIn?: string[];
                in?: string[];
                notNull?: boolean;
                null?: boolean;
                lte?: string;
                lt?: string;
                gte?: string;
                gt?: string;
                notContainsi?: string;
                containsi?: string;
                notContains?: string;
                contains?: string;
                endsWith?: string;
                startsWith?: string;
                nei?: string;
                ne?: string;
                eqi?: string;
                eq?: string;
                not?: any;
                or?: string[];
                and?: string[];
            };
            id?: {
                between?: string[];
                notIn?: string[];
                in?: string[];
                notNull?: boolean;
                null?: boolean;
                lte?: string;
                lt?: string;
                gte?: string;
                gt?: string;
                notContainsi?: string;
                containsi?: string;
                notContains?: string;
                contains?: string;
                endsWith?: string;
                startsWith?: string;
                nei?: string;
                ne?: string;
                eqi?: string;
                eq?: string;
                not?: any;
                or?: string[];
                and?: string[];
            };
        };
        difficulty?: {
            not?: any;
            or?: any[];
            and?: any[];
            locale?: {
                between?: string[];
                notIn?: string[];
                in?: string[];
                notNull?: boolean;
                null?: boolean;
                lte?: string;
                lt?: string;
                gte?: string;
                gt?: string;
                notContainsi?: string;
                containsi?: string;
                notContains?: string;
                contains?: string;
                endsWith?: string;
                startsWith?: string;
                nei?: string;
                ne?: string;
                eqi?: string;
                eq?: string;
                not?: any;
                or?: string[];
                and?: string[];
            };
            localizations?: any;
            updatedAt?: {
                between?: string[];
                notIn?: string[];
                in?: string[];
                notNull?: boolean;
                null?: boolean;
                lte?: string;
                lt?: string;
                gte?: string;
                gt?: string;
                notContainsi?: string;
                containsi?: string;
                notContains?: string;
                contains?: string;
                endsWith?: string;
                startsWith?: string;
                nei?: string;
                ne?: string;
                eqi?: string;
                eq?: string;
                not?: any;
                or?: string[];
                and?: string[];
            };
            createdAt?: {
                between?: string[];
                notIn?: string[];
                in?: string[];
                notNull?: boolean;
                null?: boolean;
                lte?: string;
                lt?: string;
                gte?: string;
                gt?: string;
                notContainsi?: string;
                containsi?: string;
                notContains?: string;
                contains?: string;
                endsWith?: string;
                startsWith?: string;
                nei?: string;
                ne?: string;
                eqi?: string;
                eq?: string;
                not?: any;
                or?: string[];
                and?: string[];
            };
            label?: {
                between?: string[];
                notIn?: string[];
                in?: string[];
                notNull?: boolean;
                null?: boolean;
                lte?: string;
                lt?: string;
                gte?: string;
                gt?: string;
                notContainsi?: string;
                containsi?: string;
                notContains?: string;
                contains?: string;
                endsWith?: string;
                startsWith?: string;
                nei?: string;
                ne?: string;
                eqi?: string;
                eq?: string;
                not?: any;
                or?: string[];
                and?: string[];
            };
            articles?: any;
            slug?: {
                between?: string[];
                notIn?: string[];
                in?: string[];
                notNull?: boolean;
                null?: boolean;
                lte?: string;
                lt?: string;
                gte?: string;
                gt?: string;
                notContainsi?: string;
                containsi?: string;
                notContains?: string;
                contains?: string;
                endsWith?: string;
                startsWith?: string;
                nei?: string;
                ne?: string;
                eqi?: string;
                eq?: string;
                not?: any;
                or?: string[];
                and?: string[];
            };
            longDescription?: {
                between?: string[];
                notIn?: string[];
                in?: string[];
                notNull?: boolean;
                null?: boolean;
                lte?: string;
                lt?: string;
                gte?: string;
                gt?: string;
                notContainsi?: string;
                containsi?: string;
                notContains?: string;
                contains?: string;
                endsWith?: string;
                startsWith?: string;
                nei?: string;
                ne?: string;
                eqi?: string;
                eq?: string;
                not?: any;
                or?: string[];
                and?: string[];
            };
            shortDescription?: {
                between?: string[];
                notIn?: string[];
                in?: string[];
                notNull?: boolean;
                null?: boolean;
                lte?: string;
                lt?: string;
                gte?: string;
                gt?: string;
                notContainsi?: string;
                containsi?: string;
                notContains?: string;
                contains?: string;
                endsWith?: string;
                startsWith?: string;
                nei?: string;
                ne?: string;
                eqi?: string;
                eq?: string;
                not?: any;
                or?: string[];
                and?: string[];
            };
            name?: {
                between?: string[];
                notIn?: string[];
                in?: string[];
                notNull?: boolean;
                null?: boolean;
                lte?: string;
                lt?: string;
                gte?: string;
                gt?: string;
                notContainsi?: string;
                containsi?: string;
                notContains?: string;
                contains?: string;
                endsWith?: string;
                startsWith?: string;
                nei?: string;
                ne?: string;
                eqi?: string;
                eq?: string;
                not?: any;
                or?: string[];
                and?: string[];
            };
            id?: {
                between?: string[];
                notIn?: string[];
                in?: string[];
                notNull?: boolean;
                null?: boolean;
                lte?: string;
                lt?: string;
                gte?: string;
                gt?: string;
                notContainsi?: string;
                containsi?: string;
                notContains?: string;
                contains?: string;
                endsWith?: string;
                startsWith?: string;
                nei?: string;
                ne?: string;
                eqi?: string;
                eq?: string;
                not?: any;
                or?: string[];
                and?: string[];
            };
        };
        staticTableOfContents?: {
            not?: any;
            or?: any[];
            and?: any[];
            header?: {
                between?: string[];
                notIn?: string[];
                in?: string[];
                notNull?: boolean;
                null?: boolean;
                lte?: string;
                lt?: string;
                gte?: string;
                gt?: string;
                notContainsi?: string;
                containsi?: string;
                notContains?: string;
                contains?: string;
                endsWith?: string;
                startsWith?: string;
                nei?: string;
                ne?: string;
                eqi?: string;
                eq?: string;
                not?: any;
                or?: string[];
                and?: string[];
            };
            entries?: {
                not?: any;
                or?: any[];
                and?: any[];
                text?: {
                    between?: string[];
                    notIn?: string[];
                    in?: string[];
                    notNull?: boolean;
                    null?: boolean;
                    lte?: string;
                    lt?: string;
                    gte?: string;
                    gt?: string;
                    notContainsi?: string;
                    containsi?: string;
                    notContains?: string;
                    contains?: string;
                    endsWith?: string;
                    startsWith?: string;
                    nei?: string;
                    ne?: string;
                    eqi?: string;
                    eq?: string;
                    not?: any;
                    or?: string[];
                    and?: string[];
                };
                key?: {
                    between?: string[];
                    notIn?: string[];
                    in?: string[];
                    notNull?: boolean;
                    null?: boolean;
                    lte?: string;
                    lt?: string;
                    gte?: string;
                    gt?: string;
                    notContainsi?: string;
                    containsi?: string;
                    notContains?: string;
                    contains?: string;
                    endsWith?: string;
                    startsWith?: string;
                    nei?: string;
                    ne?: string;
                    eqi?: string;
                    eq?: string;
                    not?: any;
                    or?: string[];
                    and?: string[];
                };
            };
        };
        categories?: {
            not?: any;
            or?: any[];
            and?: any[];
            locale?: {
                between?: string[];
                notIn?: string[];
                in?: string[];
                notNull?: boolean;
                null?: boolean;
                lte?: string;
                lt?: string;
                gte?: string;
                gt?: string;
                notContainsi?: string;
                containsi?: string;
                notContains?: string;
                contains?: string;
                endsWith?: string;
                startsWith?: string;
                nei?: string;
                ne?: string;
                eqi?: string;
                eq?: string;
                not?: any;
                or?: string[];
                and?: string[];
            };
            localizations?: any;
            updatedAt?: {
                between?: string[];
                notIn?: string[];
                in?: string[];
                notNull?: boolean;
                null?: boolean;
                lte?: string;
                lt?: string;
                gte?: string;
                gt?: string;
                notContainsi?: string;
                containsi?: string;
                notContains?: string;
                contains?: string;
                endsWith?: string;
                startsWith?: string;
                nei?: string;
                ne?: string;
                eqi?: string;
                eq?: string;
                not?: any;
                or?: string[];
                and?: string[];
            };
            createdAt?: {
                between?: string[];
                notIn?: string[];
                in?: string[];
                notNull?: boolean;
                null?: boolean;
                lte?: string;
                lt?: string;
                gte?: string;
                gt?: string;
                notContainsi?: string;
                containsi?: string;
                notContains?: string;
                contains?: string;
                endsWith?: string;
                startsWith?: string;
                nei?: string;
                ne?: string;
                eqi?: string;
                eq?: string;
                not?: any;
                or?: string[];
                and?: string[];
            };
            articles?: any;
            description?: {
                between?: string[];
                notIn?: string[];
                in?: string[];
                notNull?: boolean;
                null?: boolean;
                lte?: string;
                lt?: string;
                gte?: string;
                gt?: string;
                notContainsi?: string;
                containsi?: string;
                notContains?: string;
                contains?: string;
                endsWith?: string;
                startsWith?: string;
                nei?: string;
                ne?: string;
                eqi?: string;
                eq?: string;
                not?: any;
                or?: string[];
                and?: string[];
            };
            slug?: {
                between?: string[];
                notIn?: string[];
                in?: string[];
                notNull?: boolean;
                null?: boolean;
                lte?: string;
                lt?: string;
                gte?: string;
                gt?: string;
                notContainsi?: string;
                containsi?: string;
                notContains?: string;
                contains?: string;
                endsWith?: string;
                startsWith?: string;
                nei?: string;
                ne?: string;
                eqi?: string;
                eq?: string;
                not?: any;
                or?: string[];
                and?: string[];
            };
            name?: {
                between?: string[];
                notIn?: string[];
                in?: string[];
                notNull?: boolean;
                null?: boolean;
                lte?: string;
                lt?: string;
                gte?: string;
                gt?: string;
                notContainsi?: string;
                containsi?: string;
                notContains?: string;
                contains?: string;
                endsWith?: string;
                startsWith?: string;
                nei?: string;
                ne?: string;
                eqi?: string;
                eq?: string;
                not?: any;
                or?: string[];
                and?: string[];
            };
            id?: {
                between?: string[];
                notIn?: string[];
                in?: string[];
                notNull?: boolean;
                null?: boolean;
                lte?: string;
                lt?: string;
                gte?: string;
                gt?: string;
                notContainsi?: string;
                containsi?: string;
                notContains?: string;
                contains?: string;
                endsWith?: string;
                startsWith?: string;
                nei?: string;
                ne?: string;
                eqi?: string;
                eq?: string;
                not?: any;
                or?: string[];
                and?: string[];
            };
        };
        authors?: {
            not?: any;
            or?: any[];
            and?: any[];
            updatedAt?: {
                between?: string[];
                notIn?: string[];
                in?: string[];
                notNull?: boolean;
                null?: boolean;
                lte?: string;
                lt?: string;
                gte?: string;
                gt?: string;
                notContainsi?: string;
                containsi?: string;
                notContains?: string;
                contains?: string;
                endsWith?: string;
                startsWith?: string;
                nei?: string;
                ne?: string;
                eqi?: string;
                eq?: string;
                not?: any;
                or?: string[];
                and?: string[];
            };
            createdAt?: {
                between?: string[];
                notIn?: string[];
                in?: string[];
                notNull?: boolean;
                null?: boolean;
                lte?: string;
                lt?: string;
                gte?: string;
                gt?: string;
                notContainsi?: string;
                containsi?: string;
                notContains?: string;
                contains?: string;
                endsWith?: string;
                startsWith?: string;
                nei?: string;
                ne?: string;
                eqi?: string;
                eq?: string;
                not?: any;
                or?: string[];
                and?: string[];
            };
            articles?: any;
            handle?: {
                between?: string[];
                notIn?: string[];
                in?: string[];
                notNull?: boolean;
                null?: boolean;
                lte?: string;
                lt?: string;
                gte?: string;
                gt?: string;
                notContainsi?: string;
                containsi?: string;
                notContains?: string;
                contains?: string;
                endsWith?: string;
                startsWith?: string;
                nei?: string;
                ne?: string;
                eqi?: string;
                eq?: string;
                not?: any;
                or?: string[];
                and?: string[];
            };
            email?: {
                between?: string[];
                notIn?: string[];
                in?: string[];
                notNull?: boolean;
                null?: boolean;
                lte?: string;
                lt?: string;
                gte?: string;
                gt?: string;
                notContainsi?: string;
                containsi?: string;
                notContains?: string;
                contains?: string;
                endsWith?: string;
                startsWith?: string;
                nei?: string;
                ne?: string;
                eqi?: string;
                eq?: string;
                not?: any;
                or?: string[];
                and?: string[];
            };
            name?: {
                between?: string[];
                notIn?: string[];
                in?: string[];
                notNull?: boolean;
                null?: boolean;
                lte?: string;
                lt?: string;
                gte?: string;
                gt?: string;
                notContainsi?: string;
                containsi?: string;
                notContains?: string;
                contains?: string;
                endsWith?: string;
                startsWith?: string;
                nei?: string;
                ne?: string;
                eqi?: string;
                eq?: string;
                not?: any;
                or?: string[];
                and?: string[];
            };
            id?: {
                between?: string[];
                notIn?: string[];
                in?: string[];
                notNull?: boolean;
                null?: boolean;
                lte?: string;
                lt?: string;
                gte?: string;
                gt?: string;
                notContainsi?: string;
                containsi?: string;
                notContains?: string;
                contains?: string;
                endsWith?: string;
                startsWith?: string;
                nei?: string;
                ne?: string;
                eqi?: string;
                eq?: string;
                not?: any;
                or?: string[];
                and?: string[];
            };
        };
        slug?: {
            between?: string[];
            notIn?: string[];
            in?: string[];
            notNull?: boolean;
            null?: boolean;
            lte?: string;
            lt?: string;
            gte?: string;
            gt?: string;
            notContainsi?: string;
            containsi?: string;
            notContains?: string;
            contains?: string;
            endsWith?: string;
            startsWith?: string;
            nei?: string;
            ne?: string;
            eqi?: string;
            eq?: string;
            not?: any;
            or?: string[];
            and?: string[];
        };
        articleType?: {
            between?: string[];
            notIn?: string[];
            in?: string[];
            notNull?: boolean;
            null?: boolean;
            lte?: string;
            lt?: string;
            gte?: string;
            gt?: string;
            notContainsi?: string;
            containsi?: string;
            notContains?: string;
            contains?: string;
            endsWith?: string;
            startsWith?: string;
            nei?: string;
            ne?: string;
            eqi?: string;
            eq?: string;
            not?: any;
            or?: string[];
            and?: string[];
        };
        customDate?: {
            between?: string[];
            notIn?: string[];
            in?: string[];
            notNull?: boolean;
            null?: boolean;
            lte?: string;
            lt?: string;
            gte?: string;
            gt?: string;
            notContainsi?: string;
            containsi?: string;
            notContains?: string;
            contains?: string;
            endsWith?: string;
            startsWith?: string;
            nei?: string;
            ne?: string;
            eqi?: string;
            eq?: string;
            not?: any;
            or?: string[];
            and?: string[];
        };
        ghostSlug?: {
            between?: string[];
            notIn?: string[];
            in?: string[];
            notNull?: boolean;
            null?: boolean;
            lte?: string;
            lt?: string;
            gte?: string;
            gt?: string;
            notContainsi?: string;
            containsi?: string;
            notContains?: string;
            contains?: string;
            endsWith?: string;
            startsWith?: string;
            nei?: string;
            ne?: string;
            eqi?: string;
            eq?: string;
            not?: any;
            or?: string[];
            and?: string[];
        };
        description?: {
            between?: string[];
            notIn?: string[];
            in?: string[];
            notNull?: boolean;
            null?: boolean;
            lte?: string;
            lt?: string;
            gte?: string;
            gt?: string;
            notContainsi?: string;
            containsi?: string;
            notContains?: string;
            contains?: string;
            endsWith?: string;
            startsWith?: string;
            nei?: string;
            ne?: string;
            eqi?: string;
            eq?: string;
            not?: any;
            or?: string[];
            and?: string[];
        };
        title?: {
            between?: string[];
            notIn?: string[];
            in?: string[];
            notNull?: boolean;
            null?: boolean;
            lte?: string;
            lt?: string;
            gte?: string;
            gt?: string;
            notContainsi?: string;
            containsi?: string;
            notContains?: string;
            contains?: string;
            endsWith?: string;
            startsWith?: string;
            nei?: string;
            ne?: string;
            eqi?: string;
            eq?: string;
            not?: any;
            or?: string[];
            and?: string[];
        };
        id?: {
            between?: string[];
            notIn?: string[];
            in?: string[];
            notNull?: boolean;
            null?: boolean;
            lte?: string;
            lt?: string;
            gte?: string;
            gt?: string;
            notContainsi?: string;
            containsi?: string;
            notContains?: string;
            contains?: string;
            endsWith?: string;
            startsWith?: string;
            nei?: string;
            ne?: string;
            eqi?: string;
            eq?: string;
            not?: any;
            or?: string[];
            and?: string[];
        };
    };
}, void>;
export type GetBlogArticles = Omit<VariablesOf<typeof StrapiBlogArticlesQuery>, 'filters'> & {
    filters?: Omit<NonNullable<VariablesOf<typeof StrapiBlogArticlesQuery>['filters']>, 'articleType' | 'articleTypes'> | null;
};
export type BlogArticleMeta = Awaited<ReturnType<typeof getBlogArticles>>['meta'];
export type BlogArticle = Awaited<ReturnType<typeof getBlogArticles>>['articles'][number];
export declare function getBlogArticles(_variables?: GetBlogArticles, options?: RequestOptions): Promise<{
    meta: {
        pageCount: number;
        pageSize: number;
        page: number;
        total: number;
    };
    articles: {
        id: string;
        title: string;
        description: string;
        ghostSlug: string;
        slug: string;
        updatedAt: string;
        publishedAt: string;
        categories: {
            id: string;
            name: string;
            description: string;
            slug: string;
        }[];
        cover: {
            id: string;
            url: string;
            name: string;
            width: number;
            height: number;
            caption: string;
            alternativeText: string;
            mime: string;
            hash: string;
            provider_metadata: object;
        };
        authors: {
            name: string;
            email: string;
            handle: string;
            avatar: {
                id: string;
                url: string;
                name: string;
                width: number;
                height: number;
                caption: string;
                alternativeText: string;
                mime: string;
                hash: string;
                provider_metadata: object;
            };
        }[];
    }[];
}>;
