import { request } from '../../../lib/request';
import { graphql } from '../graphql';
import { STRAPI_GRAPHQL_URL } from '../../../subgraphs/strapi/constants';
export const StrapiDifficultiesQuery = graphql(`query Difficulties {
    difficulties(sort: ["id"]) {
      data {
        id
        attributes {
          name
          shortDescription
          longDescription
          slug
          label
        }
      }
    }
  }`);
export async function getDifficulties(_variables = {}, options) {
    const variables = _variables;
    const result = await request({
        url: STRAPI_GRAPHQL_URL,
        document: StrapiDifficultiesQuery,
        variables,
    }, options);
    if (!result.difficulties) {
        throw new Error('Failed to fetch difficulties');
    }
    return result.difficulties.data.map((difficulty) => ({
        id: difficulty.id,
        name: difficulty.attributes.name,
        shortDescription: difficulty.attributes.shortDescription,
        longDescription: difficulty.attributes.longDescription,
        slug: difficulty.attributes.slug,
        label: difficulty.attributes.label,
    }));
}
