import type { VariablesOf } from 'gql.tada';
import { type RequestOptions } from '../../../lib/request';
export declare const StrapiProductsQuery: import("gql.tada").TadaDocumentNode<{
    products: {
        data: {
            attributes: {
                shareImage: {
                    data: {
                        attributes: {
                            provider_metadata: object;
                            hash: string;
                            url: string;
                            mime: string;
                            height: number;
                            width: number;
                            caption: string;
                            alternativeText: string;
                            name: string;
                        };
                        id: string;
                    };
                };
                relevantArticleIds: object;
                url: string;
                slug: string;
                longName: string;
                description: string;
                name: string;
            };
            id: string;
        }[];
    };
}, {}, void>;
export type GetProducts = VariablesOf<typeof StrapiProductsQuery>;
export type Product = Awaited<ReturnType<typeof getProducts>>[number];
export declare function getProducts(_variables?: GetProducts, options?: RequestOptions): Promise<{
    id: string;
    name: string;
    description: string;
    longName: string;
    slug: string;
    url: string;
    relevantArticleIds: object;
    shareImage: {
        id: string;
        url: string;
        name: string;
        width: number;
        height: number;
        caption: string;
        alternativeText: string;
        mime: string;
        hash: string;
        provider_metadata: object;
    } | null;
}[]>;
