import { request } from '../../../lib/request';
import { graphql } from '../graphql';
import { STRAPI_GRAPHQL_URL } from '../../../subgraphs/strapi/constants';
export const StrapiTopicsQuery = graphql(`query Topics {
    topics {
      data {
        id
        attributes {
          name
          slug
        }
      }
    }
  }`);
export async function getTopics(_variables = {}, options) {
    const variables = _variables;
    const result = await request({
        url: STRAPI_GRAPHQL_URL,
        document: StrapiTopicsQuery,
        variables,
    }, options);
    if (!result.topics) {
        throw new Error('Failed to fetch topics');
    }
    return result.topics.data.map((topic) => ({
        id: topic.id,
        name: topic.attributes.name,
        slug: topic.attributes.slug,
    }));
}
