import type { VariablesOf } from 'gql.tada';
import { type RequestOptions } from '../../../lib/request';
export declare const SushiBarQuery: import("gql.tada").TadaDocumentNode<{
    xsushi: {
        apr12m: string;
        apr6m: string;
        apr3m: string;
        apr1m: string;
        xSushiSupply: string;
        sushiSupply: string;
        xSushiSushiRatio: string;
        sushiXsushiRatio: string;
        id: string;
    };
}, {
    block?: {
        number_gte?: number;
        number?: number;
        hash?: `0x${string}`;
    };
}, void>;
export type GetSushiBar = VariablesOf<typeof SushiBarQuery>;
export declare function getSushiBar(variables: GetSushiBar, options?: RequestOptions): Promise<{
    apr12m: string;
    apr6m: string;
    apr3m: string;
    apr1m: string;
    xSushiSupply: string;
    sushiSupply: string;
    xSushiSushiRatio: string;
    sushiXsushiRatio: string;
    id: string;
}>;
export type SushiBar = Awaited<ReturnType<typeof getSushiBar>>;
