import type { VariablesOf } from 'gql.tada';
import type { SushiSwapV2ChainId } from 'sushi/config';
import type { RequestOptions } from '../../../lib/request';
import type { ChainIdVariable } from '../../../lib/types/chainId';
export declare const SushiV2DayDatasQuery: import("gql.tada").TadaDocumentNode<{
    uniswapDayDatas: {
        txCount: string;
        totalLiquidityUSD: string;
        dailyVolumeUntracked: string;
        dailyVolumeUSD: string;
        date: number;
        id: `0x${string}`;
    }[];
}, {
    where?: {
        or?: any[];
        and?: any[];
        _change_block?: {
            number_gte: number;
        };
        txCount_not_in?: string[];
        txCount_in?: string[];
        txCount_lte?: string;
        txCount_gte?: string;
        txCount_lt?: string;
        txCount_gt?: string;
        txCount_not?: string;
        txCount?: string;
        totalLiquidityUSD_not_in?: string[];
        totalLiquidityUSD_in?: string[];
        totalLiquidityUSD_lte?: string;
        totalLiquidityUSD_gte?: string;
        totalLiquidityUSD_lt?: string;
        totalLiquidityUSD_gt?: string;
        totalLiquidityUSD_not?: string;
        totalLiquidityUSD?: string;
        totalVolumeUSD_not_in?: string[];
        totalVolumeUSD_in?: string[];
        totalVolumeUSD_lte?: string;
        totalVolumeUSD_gte?: string;
        totalVolumeUSD_lt?: string;
        totalVolumeUSD_gt?: string;
        totalVolumeUSD_not?: string;
        totalVolumeUSD?: string;
        totalLiquidityETH_not_in?: string[];
        totalLiquidityETH_in?: string[];
        totalLiquidityETH_lte?: string;
        totalLiquidityETH_gte?: string;
        totalLiquidityETH_lt?: string;
        totalLiquidityETH_gt?: string;
        totalLiquidityETH_not?: string;
        totalLiquidityETH?: string;
        totalVolumeETH_not_in?: string[];
        totalVolumeETH_in?: string[];
        totalVolumeETH_lte?: string;
        totalVolumeETH_gte?: string;
        totalVolumeETH_lt?: string;
        totalVolumeETH_gt?: string;
        totalVolumeETH_not?: string;
        totalVolumeETH?: string;
        dailyVolumeUntracked_not_in?: string[];
        dailyVolumeUntracked_in?: string[];
        dailyVolumeUntracked_lte?: string;
        dailyVolumeUntracked_gte?: string;
        dailyVolumeUntracked_lt?: string;
        dailyVolumeUntracked_gt?: string;
        dailyVolumeUntracked_not?: string;
        dailyVolumeUntracked?: string;
        dailyVolumeUSD_not_in?: string[];
        dailyVolumeUSD_in?: string[];
        dailyVolumeUSD_lte?: string;
        dailyVolumeUSD_gte?: string;
        dailyVolumeUSD_lt?: string;
        dailyVolumeUSD_gt?: string;
        dailyVolumeUSD_not?: string;
        dailyVolumeUSD?: string;
        dailyVolumeETH_not_in?: string[];
        dailyVolumeETH_in?: string[];
        dailyVolumeETH_lte?: string;
        dailyVolumeETH_gte?: string;
        dailyVolumeETH_lt?: string;
        dailyVolumeETH_gt?: string;
        dailyVolumeETH_not?: string;
        dailyVolumeETH?: string;
        date_not_in?: number[];
        date_in?: number[];
        date_lte?: number;
        date_gte?: number;
        date_lt?: number;
        date_gt?: number;
        date_not?: number;
        date?: number;
        id_not_contains?: `0x${string}`;
        id_contains?: `0x${string}`;
        id_not_in?: `0x${string}`[];
        id_in?: `0x${string}`[];
        id_lte?: `0x${string}`;
        id_gte?: `0x${string}`;
        id_lt?: `0x${string}`;
        id_gt?: `0x${string}`;
        id_not?: `0x${string}`;
        id?: `0x${string}`;
    };
    orderDirection?: "asc" | "desc";
    orderBy?: "id" | "date" | "dailyVolumeUSD" | "dailyVolumeUntracked" | "totalLiquidityUSD" | "txCount" | "dailyVolumeETH" | "totalVolumeETH" | "totalLiquidityETH" | "totalVolumeUSD";
    block?: {
        number_gte?: number;
        number?: number;
        hash?: `0x${string}`;
    };
    skip?: number;
    first?: number;
}, void>;
export type GetSushiV2DayDatas = VariablesOf<typeof SushiV2DayDatasQuery> & ChainIdVariable<SushiSwapV2ChainId>;
export declare function getSushiV2DayDatas({ chainId, ...variables }: GetSushiV2DayDatas, options?: RequestOptions): Promise<{
    id: `0x${string}`;
    date: number;
    volumeUSD: number;
    volumeUSDUntracked: number;
    liquidityUSD: number;
    txCount: number;
    feesUSD: number;
}[]>;
export type SushiV2DayDatas = Awaited<ReturnType<typeof getSushiV2DayDatas>>;
