import type { VariablesOf } from 'gql.tada';
import type { SushiSwapV2ChainId } from 'sushi/config';
import { type RequestOptions } from '../../../lib/request';
import type { ChainIdVariable } from '../../../lib/types/chainId';
export declare const SushiV2FactoriesQuery: import("gql.tada").TadaDocumentNode<{
    uniswapFactories: {
        poolCount: number;
        totalVolumeUSD: string;
        untrackedVolumeUSD: string;
        totalLiquidityUSD: string;
        id: `0x${string}`;
    }[];
}, {}, void>;
export type GetSushiV2Factory = VariablesOf<typeof SushiV2FactoriesQuery> & ChainIdVariable<SushiSwapV2ChainId>;
export declare function getSushiV2Factory({ chainId, ...variables }: GetSushiV2Factory, options?: RequestOptions): Promise<Omit<{
    poolCount: number;
    totalVolumeUSD: string;
    untrackedVolumeUSD: string;
    totalLiquidityUSD: string;
    id: `0x${string}`;
} & ChainIdVariable<Readonly<1 | 137 | 250 | 100 | 56 | 42161 | 42170 | 43114 | 1666600000 | 42220 | 1285 | 122 | 1284 | 10 | 2222 | 1088 | 288 | 56288 | 199 | 1101 | 108 | 314 | 11235 | 1116 | 59144 | 8453 | 534352 | 7000 | 81457 | 2046399126 | 30>> & {
    address: `0x${string}`;
}, "id"> & {
    id: `${string}:0x${string}`;
}>;
export type SushiV2Factory = Awaited<ReturnType<typeof getSushiV2Factory>>;
