import type { VariablesOf } from 'gql.tada';
import type { SushiSwapV2ChainId } from 'sushi/config';
import type { RequestOptions } from '../../../lib/request';
import type { ChainIdVariable } from '../../../lib/types/chainId';
export declare const SushiV2MintsQuery: import("gql.tada").TadaDocumentNode<{
    mints: {
        transaction: {
            createdAtBlock: string;
            createdAtTimestamp: string;
            id: `0x${string}`;
        };
        logIndex: string;
        amountUSD: string;
        amount1: string;
        amount0: string;
        liquidity: string;
        sender: `0x${string}`;
        id: `0x${string}`;
    }[];
}, {
    where?: {
        or?: any[];
        and?: any[];
        _change_block?: {
            number_gte: number;
        };
        feeLiquidity_not_in?: string[];
        feeLiquidity_in?: string[];
        feeLiquidity_lte?: string;
        feeLiquidity_gte?: string;
        feeLiquidity_lt?: string;
        feeLiquidity_gt?: string;
        feeLiquidity_not?: string;
        feeLiquidity?: string;
        feeTo_not_contains?: `0x${string}`;
        feeTo_contains?: `0x${string}`;
        feeTo_not_in?: `0x${string}`[];
        feeTo_in?: `0x${string}`[];
        feeTo_lte?: `0x${string}`;
        feeTo_gte?: `0x${string}`;
        feeTo_lt?: `0x${string}`;
        feeTo_gt?: `0x${string}`;
        feeTo_not?: `0x${string}`;
        feeTo?: `0x${string}`;
        amountUSD_not_in?: string[];
        amountUSD_in?: string[];
        amountUSD_lte?: string;
        amountUSD_gte?: string;
        amountUSD_lt?: string;
        amountUSD_gt?: string;
        amountUSD_not?: string;
        amountUSD?: string;
        logIndex_not_in?: string[];
        logIndex_in?: string[];
        logIndex_lte?: string;
        logIndex_gte?: string;
        logIndex_lt?: string;
        logIndex_gt?: string;
        logIndex_not?: string;
        logIndex?: string;
        amount1_not_in?: string[];
        amount1_in?: string[];
        amount1_lte?: string;
        amount1_gte?: string;
        amount1_lt?: string;
        amount1_gt?: string;
        amount1_not?: string;
        amount1?: string;
        amount0_not_in?: string[];
        amount0_in?: string[];
        amount0_lte?: string;
        amount0_gte?: string;
        amount0_lt?: string;
        amount0_gt?: string;
        amount0_not?: string;
        amount0?: string;
        sender_not_contains?: `0x${string}`;
        sender_contains?: `0x${string}`;
        sender_not_in?: `0x${string}`[];
        sender_in?: `0x${string}`[];
        sender_lte?: `0x${string}`;
        sender_gte?: `0x${string}`;
        sender_lt?: `0x${string}`;
        sender_gt?: `0x${string}`;
        sender_not?: `0x${string}`;
        sender?: `0x${string}`;
        liquidity_not_in?: string[];
        liquidity_in?: string[];
        liquidity_lte?: string;
        liquidity_gte?: string;
        liquidity_lt?: string;
        liquidity_gt?: string;
        liquidity_not?: string;
        liquidity?: string;
        to_not_contains?: `0x${string}`;
        to_contains?: `0x${string}`;
        to_not_in?: `0x${string}`[];
        to_in?: `0x${string}`[];
        to_lte?: `0x${string}`;
        to_gte?: `0x${string}`;
        to_lt?: `0x${string}`;
        to_gt?: `0x${string}`;
        to_not?: `0x${string}`;
        to?: `0x${string}`;
        pair_?: {
            or?: any[];
            and?: any[];
            _change_block?: {
                number_gte: number;
            };
            swaps_?: {
                or?: any[];
                and?: any[];
                _change_block?: {
                    number_gte: number;
                };
                amountUSD_not_in?: string[];
                amountUSD_in?: string[];
                amountUSD_lte?: string;
                amountUSD_gte?: string;
                amountUSD_lt?: string;
                amountUSD_gt?: string;
                amountUSD_not?: string;
                amountUSD?: string;
                logIndex_not_in?: string[];
                logIndex_in?: string[];
                logIndex_lte?: string;
                logIndex_gte?: string;
                logIndex_lt?: string;
                logIndex_gt?: string;
                logIndex_not?: string;
                logIndex?: string;
                to_not_contains?: `0x${string}`;
                to_contains?: `0x${string}`;
                to_not_in?: `0x${string}`[];
                to_in?: `0x${string}`[];
                to_lte?: `0x${string}`;
                to_gte?: `0x${string}`;
                to_lt?: `0x${string}`;
                to_gt?: `0x${string}`;
                to_not?: `0x${string}`;
                to?: `0x${string}`;
                amount1Out_not_in?: string[];
                amount1Out_in?: string[];
                amount1Out_lte?: string;
                amount1Out_gte?: string;
                amount1Out_lt?: string;
                amount1Out_gt?: string;
                amount1Out_not?: string;
                amount1Out?: string;
                amount0Out_not_in?: string[];
                amount0Out_in?: string[];
                amount0Out_lte?: string;
                amount0Out_gte?: string;
                amount0Out_lt?: string;
                amount0Out_gt?: string;
                amount0Out_not?: string;
                amount0Out?: string;
                amount1In_not_in?: string[];
                amount1In_in?: string[];
                amount1In_lte?: string;
                amount1In_gte?: string;
                amount1In_lt?: string;
                amount1In_gt?: string;
                amount1In_not?: string;
                amount1In?: string;
                amount0In_not_in?: string[];
                amount0In_in?: string[];
                amount0In_lte?: string;
                amount0In_gte?: string;
                amount0In_lt?: string;
                amount0In_gt?: string;
                amount0In_not?: string;
                amount0In?: string;
                from_not_contains?: `0x${string}`;
                from_contains?: `0x${string}`;
                from_not_in?: `0x${string}`[];
                from_in?: `0x${string}`[];
                from_lte?: `0x${string}`;
                from_gte?: `0x${string}`;
                from_lt?: `0x${string}`;
                from_gt?: `0x${string}`;
                from_not?: `0x${string}`;
                from?: `0x${string}`;
                sender_not_contains?: `0x${string}`;
                sender_contains?: `0x${string}`;
                sender_not_in?: `0x${string}`[];
                sender_in?: `0x${string}`[];
                sender_lte?: `0x${string}`;
                sender_gte?: `0x${string}`;
                sender_lt?: `0x${string}`;
                sender_gt?: `0x${string}`;
                sender_not?: `0x${string}`;
                sender?: `0x${string}`;
                pair_?: any;
                pair_not_ends_with_nocase?: string;
                pair_not_ends_with?: string;
                pair_ends_with_nocase?: string;
                pair_ends_with?: string;
                pair_not_starts_with_nocase?: string;
                pair_not_starts_with?: string;
                pair_starts_with_nocase?: string;
                pair_starts_with?: string;
                pair_not_contains_nocase?: string;
                pair_not_contains?: string;
                pair_contains_nocase?: string;
                pair_contains?: string;
                pair_not_in?: string[];
                pair_in?: string[];
                pair_lte?: string;
                pair_gte?: string;
                pair_lt?: string;
                pair_gt?: string;
                pair_not?: string;
                pair?: string;
                timestamp_not_in?: string[];
                timestamp_in?: string[];
                timestamp_lte?: string;
                timestamp_gte?: string;
                timestamp_lt?: string;
                timestamp_gt?: string;
                timestamp_not?: string;
                timestamp?: string;
                transaction_?: {
                    or?: any[];
                    and?: any[];
                    _change_block?: {
                        number_gte: number;
                    };
                    swaps_?: any;
                    swaps_not_contains_nocase?: string[];
                    swaps_not_contains?: string[];
                    swaps_contains_nocase?: string[];
                    swaps_contains?: string[];
                    swaps_not?: string[];
                    swaps?: string[];
                    burns_?: {
                        or?: any[];
                        and?: any[];
                        _change_block?: {
                            number_gte: number;
                        };
                        feeLiquidity_not_in?: string[];
                        feeLiquidity_in?: string[];
                        feeLiquidity_lte?: string;
                        feeLiquidity_gte?: string;
                        feeLiquidity_lt?: string;
                        feeLiquidity_gt?: string;
                        feeLiquidity_not?: string;
                        feeLiquidity?: string;
                        feeTo_not_contains?: `0x${string}`;
                        feeTo_contains?: `0x${string}`;
                        feeTo_not_in?: `0x${string}`[];
                        feeTo_in?: `0x${string}`[];
                        feeTo_lte?: `0x${string}`;
                        feeTo_gte?: `0x${string}`;
                        feeTo_lt?: `0x${string}`;
                        feeTo_gt?: `0x${string}`;
                        feeTo_not?: `0x${string}`;
                        feeTo?: `0x${string}`;
                        needsComplete_not_in?: boolean[];
                        needsComplete_in?: boolean[];
                        needsComplete_not?: boolean;
                        needsComplete?: boolean;
                        amountUSD_not_in?: string[];
                        amountUSD_in?: string[];
                        amountUSD_lte?: string;
                        amountUSD_gte?: string;
                        amountUSD_lt?: string;
                        amountUSD_gt?: string;
                        amountUSD_not?: string;
                        amountUSD?: string;
                        logIndex_not_in?: string[];
                        logIndex_in?: string[];
                        logIndex_lte?: string;
                        logIndex_gte?: string;
                        logIndex_lt?: string;
                        logIndex_gt?: string;
                        logIndex_not?: string;
                        logIndex?: string;
                        to_not_contains?: `0x${string}`;
                        to_contains?: `0x${string}`;
                        to_not_in?: `0x${string}`[];
                        to_in?: `0x${string}`[];
                        to_lte?: `0x${string}`;
                        to_gte?: `0x${string}`;
                        to_lt?: `0x${string}`;
                        to_gt?: `0x${string}`;
                        to_not?: `0x${string}`;
                        to?: `0x${string}`;
                        amount1_not_in?: string[];
                        amount1_in?: string[];
                        amount1_lte?: string;
                        amount1_gte?: string;
                        amount1_lt?: string;
                        amount1_gt?: string;
                        amount1_not?: string;
                        amount1?: string;
                        amount0_not_in?: string[];
                        amount0_in?: string[];
                        amount0_lte?: string;
                        amount0_gte?: string;
                        amount0_lt?: string;
                        amount0_gt?: string;
                        amount0_not?: string;
                        amount0?: string;
                        sender_not_contains?: `0x${string}`;
                        sender_contains?: `0x${string}`;
                        sender_not_in?: `0x${string}`[];
                        sender_in?: `0x${string}`[];
                        sender_lte?: `0x${string}`;
                        sender_gte?: `0x${string}`;
                        sender_lt?: `0x${string}`;
                        sender_gt?: `0x${string}`;
                        sender_not?: `0x${string}`;
                        sender?: `0x${string}`;
                        liquidity_not_in?: string[];
                        liquidity_in?: string[];
                        liquidity_lte?: string;
                        liquidity_gte?: string;
                        liquidity_lt?: string;
                        liquidity_gt?: string;
                        liquidity_not?: string;
                        liquidity?: string;
                        pair_?: any;
                        pair_not_ends_with_nocase?: string;
                        pair_not_ends_with?: string;
                        pair_ends_with_nocase?: string;
                        pair_ends_with?: string;
                        pair_not_starts_with_nocase?: string;
                        pair_not_starts_with?: string;
                        pair_starts_with_nocase?: string;
                        pair_starts_with?: string;
                        pair_not_contains_nocase?: string;
                        pair_not_contains?: string;
                        pair_contains_nocase?: string;
                        pair_contains?: string;
                        pair_not_in?: string[];
                        pair_in?: string[];
                        pair_lte?: string;
                        pair_gte?: string;
                        pair_lt?: string;
                        pair_gt?: string;
                        pair_not?: string;
                        pair?: string;
                        timestamp_not_in?: string[];
                        timestamp_in?: string[];
                        timestamp_lte?: string;
                        timestamp_gte?: string;
                        timestamp_lt?: string;
                        timestamp_gt?: string;
                        timestamp_not?: string;
                        timestamp?: string;
                        transaction_?: any;
                        transaction_not_ends_with_nocase?: string;
                        transaction_not_ends_with?: string;
                        transaction_ends_with_nocase?: string;
                        transaction_ends_with?: string;
                        transaction_not_starts_with_nocase?: string;
                        transaction_not_starts_with?: string;
                        transaction_starts_with_nocase?: string;
                        transaction_starts_with?: string;
                        transaction_not_contains_nocase?: string;
                        transaction_not_contains?: string;
                        transaction_contains_nocase?: string;
                        transaction_contains?: string;
                        transaction_not_in?: string[];
                        transaction_in?: string[];
                        transaction_lte?: string;
                        transaction_gte?: string;
                        transaction_lt?: string;
                        transaction_gt?: string;
                        transaction_not?: string;
                        transaction?: string;
                        id_not_contains?: `0x${string}`;
                        id_contains?: `0x${string}`;
                        id_not_in?: `0x${string}`[];
                        id_in?: `0x${string}`[];
                        id_lte?: `0x${string}`;
                        id_gte?: `0x${string}`;
                        id_lt?: `0x${string}`;
                        id_gt?: `0x${string}`;
                        id_not?: `0x${string}`;
                        id?: `0x${string}`;
                    };
                    burns_not_contains_nocase?: string[];
                    burns_not_contains?: string[];
                    burns_contains_nocase?: string[];
                    burns_contains?: string[];
                    burns_not?: string[];
                    burns?: string[];
                    mints_?: any;
                    mints_not_contains_nocase?: string[];
                    mints_not_contains?: string[];
                    mints_contains_nocase?: string[];
                    mints_contains?: string[];
                    mints_not?: string[];
                    mints?: string[];
                    timestamp_not_in?: string[];
                    timestamp_in?: string[];
                    timestamp_lte?: string;
                    timestamp_gte?: string;
                    timestamp_lt?: string;
                    timestamp_gt?: string;
                    timestamp_not?: string;
                    timestamp?: string;
                    blockNumber_not_in?: string[];
                    blockNumber_in?: string[];
                    blockNumber_lte?: string;
                    blockNumber_gte?: string;
                    blockNumber_lt?: string;
                    blockNumber_gt?: string;
                    blockNumber_not?: string;
                    blockNumber?: string;
                    id_not_contains?: `0x${string}`;
                    id_contains?: `0x${string}`;
                    id_not_in?: `0x${string}`[];
                    id_in?: `0x${string}`[];
                    id_lte?: `0x${string}`;
                    id_gte?: `0x${string}`;
                    id_lt?: `0x${string}`;
                    id_gt?: `0x${string}`;
                    id_not?: `0x${string}`;
                    id?: `0x${string}`;
                };
                transaction_not_ends_with_nocase?: string;
                transaction_not_ends_with?: string;
                transaction_ends_with_nocase?: string;
                transaction_ends_with?: string;
                transaction_not_starts_with_nocase?: string;
                transaction_not_starts_with?: string;
                transaction_starts_with_nocase?: string;
                transaction_starts_with?: string;
                transaction_not_contains_nocase?: string;
                transaction_not_contains?: string;
                transaction_contains_nocase?: string;
                transaction_contains?: string;
                transaction_not_in?: string[];
                transaction_in?: string[];
                transaction_lte?: string;
                transaction_gte?: string;
                transaction_lt?: string;
                transaction_gt?: string;
                transaction_not?: string;
                transaction?: string;
                id_not_contains?: `0x${string}`;
                id_contains?: `0x${string}`;
                id_not_in?: `0x${string}`[];
                id_in?: `0x${string}`[];
                id_lte?: `0x${string}`;
                id_gte?: `0x${string}`;
                id_lt?: `0x${string}`;
                id_gt?: `0x${string}`;
                id_not?: `0x${string}`;
                id?: `0x${string}`;
            };
            burns_?: {
                or?: any[];
                and?: any[];
                _change_block?: {
                    number_gte: number;
                };
                feeLiquidity_not_in?: string[];
                feeLiquidity_in?: string[];
                feeLiquidity_lte?: string;
                feeLiquidity_gte?: string;
                feeLiquidity_lt?: string;
                feeLiquidity_gt?: string;
                feeLiquidity_not?: string;
                feeLiquidity?: string;
                feeTo_not_contains?: `0x${string}`;
                feeTo_contains?: `0x${string}`;
                feeTo_not_in?: `0x${string}`[];
                feeTo_in?: `0x${string}`[];
                feeTo_lte?: `0x${string}`;
                feeTo_gte?: `0x${string}`;
                feeTo_lt?: `0x${string}`;
                feeTo_gt?: `0x${string}`;
                feeTo_not?: `0x${string}`;
                feeTo?: `0x${string}`;
                needsComplete_not_in?: boolean[];
                needsComplete_in?: boolean[];
                needsComplete_not?: boolean;
                needsComplete?: boolean;
                amountUSD_not_in?: string[];
                amountUSD_in?: string[];
                amountUSD_lte?: string;
                amountUSD_gte?: string;
                amountUSD_lt?: string;
                amountUSD_gt?: string;
                amountUSD_not?: string;
                amountUSD?: string;
                logIndex_not_in?: string[];
                logIndex_in?: string[];
                logIndex_lte?: string;
                logIndex_gte?: string;
                logIndex_lt?: string;
                logIndex_gt?: string;
                logIndex_not?: string;
                logIndex?: string;
                to_not_contains?: `0x${string}`;
                to_contains?: `0x${string}`;
                to_not_in?: `0x${string}`[];
                to_in?: `0x${string}`[];
                to_lte?: `0x${string}`;
                to_gte?: `0x${string}`;
                to_lt?: `0x${string}`;
                to_gt?: `0x${string}`;
                to_not?: `0x${string}`;
                to?: `0x${string}`;
                amount1_not_in?: string[];
                amount1_in?: string[];
                amount1_lte?: string;
                amount1_gte?: string;
                amount1_lt?: string;
                amount1_gt?: string;
                amount1_not?: string;
                amount1?: string;
                amount0_not_in?: string[];
                amount0_in?: string[];
                amount0_lte?: string;
                amount0_gte?: string;
                amount0_lt?: string;
                amount0_gt?: string;
                amount0_not?: string;
                amount0?: string;
                sender_not_contains?: `0x${string}`;
                sender_contains?: `0x${string}`;
                sender_not_in?: `0x${string}`[];
                sender_in?: `0x${string}`[];
                sender_lte?: `0x${string}`;
                sender_gte?: `0x${string}`;
                sender_lt?: `0x${string}`;
                sender_gt?: `0x${string}`;
                sender_not?: `0x${string}`;
                sender?: `0x${string}`;
                liquidity_not_in?: string[];
                liquidity_in?: string[];
                liquidity_lte?: string;
                liquidity_gte?: string;
                liquidity_lt?: string;
                liquidity_gt?: string;
                liquidity_not?: string;
                liquidity?: string;
                pair_?: any;
                pair_not_ends_with_nocase?: string;
                pair_not_ends_with?: string;
                pair_ends_with_nocase?: string;
                pair_ends_with?: string;
                pair_not_starts_with_nocase?: string;
                pair_not_starts_with?: string;
                pair_starts_with_nocase?: string;
                pair_starts_with?: string;
                pair_not_contains_nocase?: string;
                pair_not_contains?: string;
                pair_contains_nocase?: string;
                pair_contains?: string;
                pair_not_in?: string[];
                pair_in?: string[];
                pair_lte?: string;
                pair_gte?: string;
                pair_lt?: string;
                pair_gt?: string;
                pair_not?: string;
                pair?: string;
                timestamp_not_in?: string[];
                timestamp_in?: string[];
                timestamp_lte?: string;
                timestamp_gte?: string;
                timestamp_lt?: string;
                timestamp_gt?: string;
                timestamp_not?: string;
                timestamp?: string;
                transaction_?: any;
                transaction_not_ends_with_nocase?: string;
                transaction_not_ends_with?: string;
                transaction_ends_with_nocase?: string;
                transaction_ends_with?: string;
                transaction_not_starts_with_nocase?: string;
                transaction_not_starts_with?: string;
                transaction_starts_with_nocase?: string;
                transaction_starts_with?: string;
                transaction_not_contains_nocase?: string;
                transaction_not_contains?: string;
                transaction_contains_nocase?: string;
                transaction_contains?: string;
                transaction_not_in?: string[];
                transaction_in?: string[];
                transaction_lte?: string;
                transaction_gte?: string;
                transaction_lt?: string;
                transaction_gt?: string;
                transaction_not?: string;
                transaction?: string;
                id_not_contains?: `0x${string}`;
                id_contains?: `0x${string}`;
                id_not_in?: `0x${string}`[];
                id_in?: `0x${string}`[];
                id_lte?: `0x${string}`;
                id_gte?: `0x${string}`;
                id_lt?: `0x${string}`;
                id_gt?: `0x${string}`;
                id_not?: `0x${string}`;
                id?: `0x${string}`;
            };
            mints_?: any;
            liquidityPositionSnapshots_?: {
                or?: any[];
                and?: any[];
                _change_block?: {
                    number_gte: number;
                };
                liquidityTokenBalance_not_in?: string[];
                liquidityTokenBalance_in?: string[];
                liquidityTokenBalance_lte?: string;
                liquidityTokenBalance_gte?: string;
                liquidityTokenBalance_lt?: string;
                liquidityTokenBalance_gt?: string;
                liquidityTokenBalance_not?: string;
                liquidityTokenBalance?: string;
                liquidityTokenTotalSupply_not_in?: string[];
                liquidityTokenTotalSupply_in?: string[];
                liquidityTokenTotalSupply_lte?: string;
                liquidityTokenTotalSupply_gte?: string;
                liquidityTokenTotalSupply_lt?: string;
                liquidityTokenTotalSupply_gt?: string;
                liquidityTokenTotalSupply_not?: string;
                liquidityTokenTotalSupply?: string;
                reserveUSD_not_in?: string[];
                reserveUSD_in?: string[];
                reserveUSD_lte?: string;
                reserveUSD_gte?: string;
                reserveUSD_lt?: string;
                reserveUSD_gt?: string;
                reserveUSD_not?: string;
                reserveUSD?: string;
                reserve1_not_in?: string[];
                reserve1_in?: string[];
                reserve1_lte?: string;
                reserve1_gte?: string;
                reserve1_lt?: string;
                reserve1_gt?: string;
                reserve1_not?: string;
                reserve1?: string;
                reserve0_not_in?: string[];
                reserve0_in?: string[];
                reserve0_lte?: string;
                reserve0_gte?: string;
                reserve0_lt?: string;
                reserve0_gt?: string;
                reserve0_not?: string;
                reserve0?: string;
                token1PriceUSD_not_in?: string[];
                token1PriceUSD_in?: string[];
                token1PriceUSD_lte?: string;
                token1PriceUSD_gte?: string;
                token1PriceUSD_lt?: string;
                token1PriceUSD_gt?: string;
                token1PriceUSD_not?: string;
                token1PriceUSD?: string;
                token0PriceUSD_not_in?: string[];
                token0PriceUSD_in?: string[];
                token0PriceUSD_lte?: string;
                token0PriceUSD_gte?: string;
                token0PriceUSD_lt?: string;
                token0PriceUSD_gt?: string;
                token0PriceUSD_not?: string;
                token0PriceUSD?: string;
                pair_?: any;
                pair_not_ends_with_nocase?: string;
                pair_not_ends_with?: string;
                pair_ends_with_nocase?: string;
                pair_ends_with?: string;
                pair_not_starts_with_nocase?: string;
                pair_not_starts_with?: string;
                pair_starts_with_nocase?: string;
                pair_starts_with?: string;
                pair_not_contains_nocase?: string;
                pair_not_contains?: string;
                pair_contains_nocase?: string;
                pair_contains?: string;
                pair_not_in?: string[];
                pair_in?: string[];
                pair_lte?: string;
                pair_gte?: string;
                pair_lt?: string;
                pair_gt?: string;
                pair_not?: string;
                pair?: string;
                user_?: {
                    or?: any[];
                    and?: any[];
                    _change_block?: {
                        number_gte: number;
                    };
                    usdSwapped_not_in?: string[];
                    usdSwapped_in?: string[];
                    usdSwapped_lte?: string;
                    usdSwapped_gte?: string;
                    usdSwapped_lt?: string;
                    usdSwapped_gt?: string;
                    usdSwapped_not?: string;
                    usdSwapped?: string;
                    liquidityPositions_?: {
                        or?: any[];
                        and?: any[];
                        _change_block?: {
                            number_gte: number;
                        };
                        liquidityTokenBalance_not_in?: string[];
                        liquidityTokenBalance_in?: string[];
                        liquidityTokenBalance_lte?: string;
                        liquidityTokenBalance_gte?: string;
                        liquidityTokenBalance_lt?: string;
                        liquidityTokenBalance_gt?: string;
                        liquidityTokenBalance_not?: string;
                        liquidityTokenBalance?: string;
                        pair_?: any;
                        pair_not_ends_with_nocase?: string;
                        pair_not_ends_with?: string;
                        pair_ends_with_nocase?: string;
                        pair_ends_with?: string;
                        pair_not_starts_with_nocase?: string;
                        pair_not_starts_with?: string;
                        pair_starts_with_nocase?: string;
                        pair_starts_with?: string;
                        pair_not_contains_nocase?: string;
                        pair_not_contains?: string;
                        pair_contains_nocase?: string;
                        pair_contains?: string;
                        pair_not_in?: string[];
                        pair_in?: string[];
                        pair_lte?: string;
                        pair_gte?: string;
                        pair_lt?: string;
                        pair_gt?: string;
                        pair_not?: string;
                        pair?: string;
                        user_?: any;
                        user_not_ends_with_nocase?: string;
                        user_not_ends_with?: string;
                        user_ends_with_nocase?: string;
                        user_ends_with?: string;
                        user_not_starts_with_nocase?: string;
                        user_not_starts_with?: string;
                        user_starts_with_nocase?: string;
                        user_starts_with?: string;
                        user_not_contains_nocase?: string;
                        user_not_contains?: string;
                        user_contains_nocase?: string;
                        user_contains?: string;
                        user_not_in?: string[];
                        user_in?: string[];
                        user_lte?: string;
                        user_gte?: string;
                        user_lt?: string;
                        user_gt?: string;
                        user_not?: string;
                        user?: string;
                        id_not_contains?: `0x${string}`;
                        id_contains?: `0x${string}`;
                        id_not_in?: `0x${string}`[];
                        id_in?: `0x${string}`[];
                        id_lte?: `0x${string}`;
                        id_gte?: `0x${string}`;
                        id_lt?: `0x${string}`;
                        id_gt?: `0x${string}`;
                        id_not?: `0x${string}`;
                        id?: `0x${string}`;
                    };
                    id_not_contains?: `0x${string}`;
                    id_contains?: `0x${string}`;
                    id_not_in?: `0x${string}`[];
                    id_in?: `0x${string}`[];
                    id_lte?: `0x${string}`;
                    id_gte?: `0x${string}`;
                    id_lt?: `0x${string}`;
                    id_gt?: `0x${string}`;
                    id_not?: `0x${string}`;
                    id?: `0x${string}`;
                };
                user_not_ends_with_nocase?: string;
                user_not_ends_with?: string;
                user_ends_with_nocase?: string;
                user_ends_with?: string;
                user_not_starts_with_nocase?: string;
                user_not_starts_with?: string;
                user_starts_with_nocase?: string;
                user_starts_with?: string;
                user_not_contains_nocase?: string;
                user_not_contains?: string;
                user_contains_nocase?: string;
                user_contains?: string;
                user_not_in?: string[];
                user_in?: string[];
                user_lte?: string;
                user_gte?: string;
                user_lt?: string;
                user_gt?: string;
                user_not?: string;
                user?: string;
                block_not_in?: number[];
                block_in?: number[];
                block_lte?: number;
                block_gte?: number;
                block_lt?: number;
                block_gt?: number;
                block_not?: number;
                block?: number;
                timestamp_not_in?: number[];
                timestamp_in?: number[];
                timestamp_lte?: number;
                timestamp_gte?: number;
                timestamp_lt?: number;
                timestamp_gt?: number;
                timestamp_not?: number;
                timestamp?: number;
                liquidityPosition_?: {
                    or?: any[];
                    and?: any[];
                    _change_block?: {
                        number_gte: number;
                    };
                    liquidityTokenBalance_not_in?: string[];
                    liquidityTokenBalance_in?: string[];
                    liquidityTokenBalance_lte?: string;
                    liquidityTokenBalance_gte?: string;
                    liquidityTokenBalance_lt?: string;
                    liquidityTokenBalance_gt?: string;
                    liquidityTokenBalance_not?: string;
                    liquidityTokenBalance?: string;
                    pair_?: any;
                    pair_not_ends_with_nocase?: string;
                    pair_not_ends_with?: string;
                    pair_ends_with_nocase?: string;
                    pair_ends_with?: string;
                    pair_not_starts_with_nocase?: string;
                    pair_not_starts_with?: string;
                    pair_starts_with_nocase?: string;
                    pair_starts_with?: string;
                    pair_not_contains_nocase?: string;
                    pair_not_contains?: string;
                    pair_contains_nocase?: string;
                    pair_contains?: string;
                    pair_not_in?: string[];
                    pair_in?: string[];
                    pair_lte?: string;
                    pair_gte?: string;
                    pair_lt?: string;
                    pair_gt?: string;
                    pair_not?: string;
                    pair?: string;
                    user_?: any;
                    user_not_ends_with_nocase?: string;
                    user_not_ends_with?: string;
                    user_ends_with_nocase?: string;
                    user_ends_with?: string;
                    user_not_starts_with_nocase?: string;
                    user_not_starts_with?: string;
                    user_starts_with_nocase?: string;
                    user_starts_with?: string;
                    user_not_contains_nocase?: string;
                    user_not_contains?: string;
                    user_contains_nocase?: string;
                    user_contains?: string;
                    user_not_in?: string[];
                    user_in?: string[];
                    user_lte?: string;
                    user_gte?: string;
                    user_lt?: string;
                    user_gt?: string;
                    user_not?: string;
                    user?: string;
                    id_not_contains?: `0x${string}`;
                    id_contains?: `0x${string}`;
                    id_not_in?: `0x${string}`[];
                    id_in?: `0x${string}`[];
                    id_lte?: `0x${string}`;
                    id_gte?: `0x${string}`;
                    id_lt?: `0x${string}`;
                    id_gt?: `0x${string}`;
                    id_not?: `0x${string}`;
                    id?: `0x${string}`;
                };
                liquidityPosition_not_ends_with_nocase?: string;
                liquidityPosition_not_ends_with?: string;
                liquidityPosition_ends_with_nocase?: string;
                liquidityPosition_ends_with?: string;
                liquidityPosition_not_starts_with_nocase?: string;
                liquidityPosition_not_starts_with?: string;
                liquidityPosition_starts_with_nocase?: string;
                liquidityPosition_starts_with?: string;
                liquidityPosition_not_contains_nocase?: string;
                liquidityPosition_not_contains?: string;
                liquidityPosition_contains_nocase?: string;
                liquidityPosition_contains?: string;
                liquidityPosition_not_in?: string[];
                liquidityPosition_in?: string[];
                liquidityPosition_lte?: string;
                liquidityPosition_gte?: string;
                liquidityPosition_lt?: string;
                liquidityPosition_gt?: string;
                liquidityPosition_not?: string;
                liquidityPosition?: string;
                id_not_contains?: `0x${string}`;
                id_contains?: `0x${string}`;
                id_not_in?: `0x${string}`[];
                id_in?: `0x${string}`[];
                id_lte?: `0x${string}`;
                id_gte?: `0x${string}`;
                id_lt?: `0x${string}`;
                id_gt?: `0x${string}`;
                id_not?: `0x${string}`;
                id?: `0x${string}`;
            };
            liquidityPositions_?: {
                or?: any[];
                and?: any[];
                _change_block?: {
                    number_gte: number;
                };
                liquidityTokenBalance_not_in?: string[];
                liquidityTokenBalance_in?: string[];
                liquidityTokenBalance_lte?: string;
                liquidityTokenBalance_gte?: string;
                liquidityTokenBalance_lt?: string;
                liquidityTokenBalance_gt?: string;
                liquidityTokenBalance_not?: string;
                liquidityTokenBalance?: string;
                pair_?: any;
                pair_not_ends_with_nocase?: string;
                pair_not_ends_with?: string;
                pair_ends_with_nocase?: string;
                pair_ends_with?: string;
                pair_not_starts_with_nocase?: string;
                pair_not_starts_with?: string;
                pair_starts_with_nocase?: string;
                pair_starts_with?: string;
                pair_not_contains_nocase?: string;
                pair_not_contains?: string;
                pair_contains_nocase?: string;
                pair_contains?: string;
                pair_not_in?: string[];
                pair_in?: string[];
                pair_lte?: string;
                pair_gte?: string;
                pair_lt?: string;
                pair_gt?: string;
                pair_not?: string;
                pair?: string;
                user_?: any;
                user_not_ends_with_nocase?: string;
                user_not_ends_with?: string;
                user_ends_with_nocase?: string;
                user_ends_with?: string;
                user_not_starts_with_nocase?: string;
                user_not_starts_with?: string;
                user_starts_with_nocase?: string;
                user_starts_with?: string;
                user_not_contains_nocase?: string;
                user_not_contains?: string;
                user_contains_nocase?: string;
                user_contains?: string;
                user_not_in?: string[];
                user_in?: string[];
                user_lte?: string;
                user_gte?: string;
                user_lt?: string;
                user_gt?: string;
                user_not?: string;
                user?: string;
                id_not_contains?: `0x${string}`;
                id_contains?: `0x${string}`;
                id_not_in?: `0x${string}`[];
                id_in?: `0x${string}`[];
                id_lte?: `0x${string}`;
                id_gte?: `0x${string}`;
                id_lt?: `0x${string}`;
                id_gt?: `0x${string}`;
                id_not?: `0x${string}`;
                id?: `0x${string}`;
            };
            pairHourData_?: {
                or?: any[];
                and?: any[];
                _change_block?: {
                    number_gte: number;
                };
                hourlyTxns_not_in?: string[];
                hourlyTxns_in?: string[];
                hourlyTxns_lte?: string;
                hourlyTxns_gte?: string;
                hourlyTxns_lt?: string;
                hourlyTxns_gt?: string;
                hourlyTxns_not?: string;
                hourlyTxns?: string;
                hourlyVolumeUSD_not_in?: string[];
                hourlyVolumeUSD_in?: string[];
                hourlyVolumeUSD_lte?: string;
                hourlyVolumeUSD_gte?: string;
                hourlyVolumeUSD_lt?: string;
                hourlyVolumeUSD_gt?: string;
                hourlyVolumeUSD_not?: string;
                hourlyVolumeUSD?: string;
                hourlyVolumeToken1_not_in?: string[];
                hourlyVolumeToken1_in?: string[];
                hourlyVolumeToken1_lte?: string;
                hourlyVolumeToken1_gte?: string;
                hourlyVolumeToken1_lt?: string;
                hourlyVolumeToken1_gt?: string;
                hourlyVolumeToken1_not?: string;
                hourlyVolumeToken1?: string;
                hourlyVolumeToken0_not_in?: string[];
                hourlyVolumeToken0_in?: string[];
                hourlyVolumeToken0_lte?: string;
                hourlyVolumeToken0_gte?: string;
                hourlyVolumeToken0_lt?: string;
                hourlyVolumeToken0_gt?: string;
                hourlyVolumeToken0_not?: string;
                hourlyVolumeToken0?: string;
                reserveUSD_not_in?: string[];
                reserveUSD_in?: string[];
                reserveUSD_lte?: string;
                reserveUSD_gte?: string;
                reserveUSD_lt?: string;
                reserveUSD_gt?: string;
                reserveUSD_not?: string;
                reserveUSD?: string;
                totalSupply_not_in?: string[];
                totalSupply_in?: string[];
                totalSupply_lte?: string;
                totalSupply_gte?: string;
                totalSupply_lt?: string;
                totalSupply_gt?: string;
                totalSupply_not?: string;
                totalSupply?: string;
                reserve1_not_in?: string[];
                reserve1_in?: string[];
                reserve1_lte?: string;
                reserve1_gte?: string;
                reserve1_lt?: string;
                reserve1_gt?: string;
                reserve1_not?: string;
                reserve1?: string;
                reserve0_not_in?: string[];
                reserve0_in?: string[];
                reserve0_lte?: string;
                reserve0_gte?: string;
                reserve0_lt?: string;
                reserve0_gt?: string;
                reserve0_not?: string;
                reserve0?: string;
                pair_?: any;
                pair_not_ends_with_nocase?: string;
                pair_not_ends_with?: string;
                pair_ends_with_nocase?: string;
                pair_ends_with?: string;
                pair_not_starts_with_nocase?: string;
                pair_not_starts_with?: string;
                pair_starts_with_nocase?: string;
                pair_starts_with?: string;
                pair_not_contains_nocase?: string;
                pair_not_contains?: string;
                pair_contains_nocase?: string;
                pair_contains?: string;
                pair_not_in?: string[];
                pair_in?: string[];
                pair_lte?: string;
                pair_gte?: string;
                pair_lt?: string;
                pair_gt?: string;
                pair_not?: string;
                pair?: string;
                hourStartUnix_not_in?: number[];
                hourStartUnix_in?: number[];
                hourStartUnix_lte?: number;
                hourStartUnix_gte?: number;
                hourStartUnix_lt?: number;
                hourStartUnix_gt?: number;
                hourStartUnix_not?: number;
                hourStartUnix?: number;
                id_not_contains?: `0x${string}`;
                id_contains?: `0x${string}`;
                id_not_in?: `0x${string}`[];
                id_in?: `0x${string}`[];
                id_lte?: `0x${string}`;
                id_gte?: `0x${string}`;
                id_lt?: `0x${string}`;
                id_gt?: `0x${string}`;
                id_not?: `0x${string}`;
                id?: `0x${string}`;
            };
            liquidityProviderCount_not_in?: string[];
            liquidityProviderCount_in?: string[];
            liquidityProviderCount_lte?: string;
            liquidityProviderCount_gte?: string;
            liquidityProviderCount_lt?: string;
            liquidityProviderCount_gt?: string;
            liquidityProviderCount_not?: string;
            liquidityProviderCount?: string;
            createdAtBlockNumber_not_in?: string[];
            createdAtBlockNumber_in?: string[];
            createdAtBlockNumber_lte?: string;
            createdAtBlockNumber_gte?: string;
            createdAtBlockNumber_lt?: string;
            createdAtBlockNumber_gt?: string;
            createdAtBlockNumber_not?: string;
            createdAtBlockNumber?: string;
            createdAtTimestamp_not_in?: string[];
            createdAtTimestamp_in?: string[];
            createdAtTimestamp_lte?: string;
            createdAtTimestamp_gte?: string;
            createdAtTimestamp_lt?: string;
            createdAtTimestamp_gt?: string;
            createdAtTimestamp_not?: string;
            createdAtTimestamp?: string;
            txCount_not_in?: string[];
            txCount_in?: string[];
            txCount_lte?: string;
            txCount_gte?: string;
            txCount_lt?: string;
            txCount_gt?: string;
            txCount_not?: string;
            txCount?: string;
            untrackedVolumeUSD_not_in?: string[];
            untrackedVolumeUSD_in?: string[];
            untrackedVolumeUSD_lte?: string;
            untrackedVolumeUSD_gte?: string;
            untrackedVolumeUSD_lt?: string;
            untrackedVolumeUSD_gt?: string;
            untrackedVolumeUSD_not?: string;
            untrackedVolumeUSD?: string;
            volumeUSD_not_in?: string[];
            volumeUSD_in?: string[];
            volumeUSD_lte?: string;
            volumeUSD_gte?: string;
            volumeUSD_lt?: string;
            volumeUSD_gt?: string;
            volumeUSD_not?: string;
            volumeUSD?: string;
            volumeToken1_not_in?: string[];
            volumeToken1_in?: string[];
            volumeToken1_lte?: string;
            volumeToken1_gte?: string;
            volumeToken1_lt?: string;
            volumeToken1_gt?: string;
            volumeToken1_not?: string;
            volumeToken1?: string;
            volumeToken0_not_in?: string[];
            volumeToken0_in?: string[];
            volumeToken0_lte?: string;
            volumeToken0_gte?: string;
            volumeToken0_lt?: string;
            volumeToken0_gt?: string;
            volumeToken0_not?: string;
            volumeToken0?: string;
            token1Price_not_in?: string[];
            token1Price_in?: string[];
            token1Price_lte?: string;
            token1Price_gte?: string;
            token1Price_lt?: string;
            token1Price_gt?: string;
            token1Price_not?: string;
            token1Price?: string;
            token0Price_not_in?: string[];
            token0Price_in?: string[];
            token0Price_lte?: string;
            token0Price_gte?: string;
            token0Price_lt?: string;
            token0Price_gt?: string;
            token0Price_not?: string;
            token0Price?: string;
            trackedReserveETH_not_in?: string[];
            trackedReserveETH_in?: string[];
            trackedReserveETH_lte?: string;
            trackedReserveETH_gte?: string;
            trackedReserveETH_lt?: string;
            trackedReserveETH_gt?: string;
            trackedReserveETH_not?: string;
            trackedReserveETH?: string;
            reserveUSD_not_in?: string[];
            reserveUSD_in?: string[];
            reserveUSD_lte?: string;
            reserveUSD_gte?: string;
            reserveUSD_lt?: string;
            reserveUSD_gt?: string;
            reserveUSD_not?: string;
            reserveUSD?: string;
            reserveETH_not_in?: string[];
            reserveETH_in?: string[];
            reserveETH_lte?: string;
            reserveETH_gte?: string;
            reserveETH_lt?: string;
            reserveETH_gt?: string;
            reserveETH_not?: string;
            reserveETH?: string;
            totalSupply_not_in?: string[];
            totalSupply_in?: string[];
            totalSupply_lte?: string;
            totalSupply_gte?: string;
            totalSupply_lt?: string;
            totalSupply_gt?: string;
            totalSupply_not?: string;
            totalSupply?: string;
            reserve1_not_in?: string[];
            reserve1_in?: string[];
            reserve1_lte?: string;
            reserve1_gte?: string;
            reserve1_lt?: string;
            reserve1_gt?: string;
            reserve1_not?: string;
            reserve1?: string;
            reserve0_not_in?: string[];
            reserve0_in?: string[];
            reserve0_lte?: string;
            reserve0_gte?: string;
            reserve0_lt?: string;
            reserve0_gt?: string;
            reserve0_not?: string;
            reserve0?: string;
            token1_?: {
                or?: any[];
                and?: any[];
                _change_block?: {
                    number_gte: number;
                };
                pairQuote_?: any;
                pairBase_?: any;
                pairDayDataQuote_?: {
                    or?: any[];
                    and?: any[];
                    _change_block?: {
                        number_gte: number;
                    };
                    dailyTxns_not_in?: string[];
                    dailyTxns_in?: string[];
                    dailyTxns_lte?: string;
                    dailyTxns_gte?: string;
                    dailyTxns_lt?: string;
                    dailyTxns_gt?: string;
                    dailyTxns_not?: string;
                    dailyTxns?: string;
                    dailyVolumeUSD_not_in?: string[];
                    dailyVolumeUSD_in?: string[];
                    dailyVolumeUSD_lte?: string;
                    dailyVolumeUSD_gte?: string;
                    dailyVolumeUSD_lt?: string;
                    dailyVolumeUSD_gt?: string;
                    dailyVolumeUSD_not?: string;
                    dailyVolumeUSD?: string;
                    dailyVolumeToken1_not_in?: string[];
                    dailyVolumeToken1_in?: string[];
                    dailyVolumeToken1_lte?: string;
                    dailyVolumeToken1_gte?: string;
                    dailyVolumeToken1_lt?: string;
                    dailyVolumeToken1_gt?: string;
                    dailyVolumeToken1_not?: string;
                    dailyVolumeToken1?: string;
                    dailyVolumeToken0_not_in?: string[];
                    dailyVolumeToken0_in?: string[];
                    dailyVolumeToken0_lte?: string;
                    dailyVolumeToken0_gte?: string;
                    dailyVolumeToken0_lt?: string;
                    dailyVolumeToken0_gt?: string;
                    dailyVolumeToken0_not?: string;
                    dailyVolumeToken0?: string;
                    reserveUSD_not_in?: string[];
                    reserveUSD_in?: string[];
                    reserveUSD_lte?: string;
                    reserveUSD_gte?: string;
                    reserveUSD_lt?: string;
                    reserveUSD_gt?: string;
                    reserveUSD_not?: string;
                    reserveUSD?: string;
                    totalSupply_not_in?: string[];
                    totalSupply_in?: string[];
                    totalSupply_lte?: string;
                    totalSupply_gte?: string;
                    totalSupply_lt?: string;
                    totalSupply_gt?: string;
                    totalSupply_not?: string;
                    totalSupply?: string;
                    reserve1_not_in?: string[];
                    reserve1_in?: string[];
                    reserve1_lte?: string;
                    reserve1_gte?: string;
                    reserve1_lt?: string;
                    reserve1_gt?: string;
                    reserve1_not?: string;
                    reserve1?: string;
                    reserve0_not_in?: string[];
                    reserve0_in?: string[];
                    reserve0_lte?: string;
                    reserve0_gte?: string;
                    reserve0_lt?: string;
                    reserve0_gt?: string;
                    reserve0_not?: string;
                    reserve0?: string;
                    token1_?: any;
                    token1_not_ends_with_nocase?: string;
                    token1_not_ends_with?: string;
                    token1_ends_with_nocase?: string;
                    token1_ends_with?: string;
                    token1_not_starts_with_nocase?: string;
                    token1_not_starts_with?: string;
                    token1_starts_with_nocase?: string;
                    token1_starts_with?: string;
                    token1_not_contains_nocase?: string;
                    token1_not_contains?: string;
                    token1_contains_nocase?: string;
                    token1_contains?: string;
                    token1_not_in?: string[];
                    token1_in?: string[];
                    token1_lte?: string;
                    token1_gte?: string;
                    token1_lt?: string;
                    token1_gt?: string;
                    token1_not?: string;
                    token1?: string;
                    token0_?: any;
                    token0_not_ends_with_nocase?: string;
                    token0_not_ends_with?: string;
                    token0_ends_with_nocase?: string;
                    token0_ends_with?: string;
                    token0_not_starts_with_nocase?: string;
                    token0_not_starts_with?: string;
                    token0_starts_with_nocase?: string;
                    token0_starts_with?: string;
                    token0_not_contains_nocase?: string;
                    token0_not_contains?: string;
                    token0_contains_nocase?: string;
                    token0_contains?: string;
                    token0_not_in?: string[];
                    token0_in?: string[];
                    token0_lte?: string;
                    token0_gte?: string;
                    token0_lt?: string;
                    token0_gt?: string;
                    token0_not?: string;
                    token0?: string;
                    pairAddress_not_contains?: `0x${string}`;
                    pairAddress_contains?: `0x${string}`;
                    pairAddress_not_in?: `0x${string}`[];
                    pairAddress_in?: `0x${string}`[];
                    pairAddress_lte?: `0x${string}`;
                    pairAddress_gte?: `0x${string}`;
                    pairAddress_lt?: `0x${string}`;
                    pairAddress_gt?: `0x${string}`;
                    pairAddress_not?: `0x${string}`;
                    pairAddress?: `0x${string}`;
                    date_not_in?: number[];
                    date_in?: number[];
                    date_lte?: number;
                    date_gte?: number;
                    date_lt?: number;
                    date_gt?: number;
                    date_not?: number;
                    date?: number;
                    id_not_contains?: `0x${string}`;
                    id_contains?: `0x${string}`;
                    id_not_in?: `0x${string}`[];
                    id_in?: `0x${string}`[];
                    id_lte?: `0x${string}`;
                    id_gte?: `0x${string}`;
                    id_lt?: `0x${string}`;
                    id_gt?: `0x${string}`;
                    id_not?: `0x${string}`;
                    id?: `0x${string}`;
                };
                pairDayDataBase_?: {
                    or?: any[];
                    and?: any[];
                    _change_block?: {
                        number_gte: number;
                    };
                    dailyTxns_not_in?: string[];
                    dailyTxns_in?: string[];
                    dailyTxns_lte?: string;
                    dailyTxns_gte?: string;
                    dailyTxns_lt?: string;
                    dailyTxns_gt?: string;
                    dailyTxns_not?: string;
                    dailyTxns?: string;
                    dailyVolumeUSD_not_in?: string[];
                    dailyVolumeUSD_in?: string[];
                    dailyVolumeUSD_lte?: string;
                    dailyVolumeUSD_gte?: string;
                    dailyVolumeUSD_lt?: string;
                    dailyVolumeUSD_gt?: string;
                    dailyVolumeUSD_not?: string;
                    dailyVolumeUSD?: string;
                    dailyVolumeToken1_not_in?: string[];
                    dailyVolumeToken1_in?: string[];
                    dailyVolumeToken1_lte?: string;
                    dailyVolumeToken1_gte?: string;
                    dailyVolumeToken1_lt?: string;
                    dailyVolumeToken1_gt?: string;
                    dailyVolumeToken1_not?: string;
                    dailyVolumeToken1?: string;
                    dailyVolumeToken0_not_in?: string[];
                    dailyVolumeToken0_in?: string[];
                    dailyVolumeToken0_lte?: string;
                    dailyVolumeToken0_gte?: string;
                    dailyVolumeToken0_lt?: string;
                    dailyVolumeToken0_gt?: string;
                    dailyVolumeToken0_not?: string;
                    dailyVolumeToken0?: string;
                    reserveUSD_not_in?: string[];
                    reserveUSD_in?: string[];
                    reserveUSD_lte?: string;
                    reserveUSD_gte?: string;
                    reserveUSD_lt?: string;
                    reserveUSD_gt?: string;
                    reserveUSD_not?: string;
                    reserveUSD?: string;
                    totalSupply_not_in?: string[];
                    totalSupply_in?: string[];
                    totalSupply_lte?: string;
                    totalSupply_gte?: string;
                    totalSupply_lt?: string;
                    totalSupply_gt?: string;
                    totalSupply_not?: string;
                    totalSupply?: string;
                    reserve1_not_in?: string[];
                    reserve1_in?: string[];
                    reserve1_lte?: string;
                    reserve1_gte?: string;
                    reserve1_lt?: string;
                    reserve1_gt?: string;
                    reserve1_not?: string;
                    reserve1?: string;
                    reserve0_not_in?: string[];
                    reserve0_in?: string[];
                    reserve0_lte?: string;
                    reserve0_gte?: string;
                    reserve0_lt?: string;
                    reserve0_gt?: string;
                    reserve0_not?: string;
                    reserve0?: string;
                    token1_?: any;
                    token1_not_ends_with_nocase?: string;
                    token1_not_ends_with?: string;
                    token1_ends_with_nocase?: string;
                    token1_ends_with?: string;
                    token1_not_starts_with_nocase?: string;
                    token1_not_starts_with?: string;
                    token1_starts_with_nocase?: string;
                    token1_starts_with?: string;
                    token1_not_contains_nocase?: string;
                    token1_not_contains?: string;
                    token1_contains_nocase?: string;
                    token1_contains?: string;
                    token1_not_in?: string[];
                    token1_in?: string[];
                    token1_lte?: string;
                    token1_gte?: string;
                    token1_lt?: string;
                    token1_gt?: string;
                    token1_not?: string;
                    token1?: string;
                    token0_?: any;
                    token0_not_ends_with_nocase?: string;
                    token0_not_ends_with?: string;
                    token0_ends_with_nocase?: string;
                    token0_ends_with?: string;
                    token0_not_starts_with_nocase?: string;
                    token0_not_starts_with?: string;
                    token0_starts_with_nocase?: string;
                    token0_starts_with?: string;
                    token0_not_contains_nocase?: string;
                    token0_not_contains?: string;
                    token0_contains_nocase?: string;
                    token0_contains?: string;
                    token0_not_in?: string[];
                    token0_in?: string[];
                    token0_lte?: string;
                    token0_gte?: string;
                    token0_lt?: string;
                    token0_gt?: string;
                    token0_not?: string;
                    token0?: string;
                    pairAddress_not_contains?: `0x${string}`;
                    pairAddress_contains?: `0x${string}`;
                    pairAddress_not_in?: `0x${string}`[];
                    pairAddress_in?: `0x${string}`[];
                    pairAddress_lte?: `0x${string}`;
                    pairAddress_gte?: `0x${string}`;
                    pairAddress_lt?: `0x${string}`;
                    pairAddress_gt?: `0x${string}`;
                    pairAddress_not?: `0x${string}`;
                    pairAddress?: `0x${string}`;
                    date_not_in?: number[];
                    date_in?: number[];
                    date_lte?: number;
                    date_gte?: number;
                    date_lt?: number;
                    date_gt?: number;
                    date_not?: number;
                    date?: number;
                    id_not_contains?: `0x${string}`;
                    id_contains?: `0x${string}`;
                    id_not_in?: `0x${string}`[];
                    id_in?: `0x${string}`[];
                    id_lte?: `0x${string}`;
                    id_gte?: `0x${string}`;
                    id_lt?: `0x${string}`;
                    id_gt?: `0x${string}`;
                    id_not?: `0x${string}`;
                    id?: `0x${string}`;
                };
                tokenDayData_?: {
                    or?: any[];
                    and?: any[];
                    _change_block?: {
                        number_gte: number;
                    };
                    priceUSD_not_in?: string[];
                    priceUSD_in?: string[];
                    priceUSD_lte?: string;
                    priceUSD_gte?: string;
                    priceUSD_lt?: string;
                    priceUSD_gt?: string;
                    priceUSD_not?: string;
                    priceUSD?: string;
                    totalLiquidityUSD_not_in?: string[];
                    totalLiquidityUSD_in?: string[];
                    totalLiquidityUSD_lte?: string;
                    totalLiquidityUSD_gte?: string;
                    totalLiquidityUSD_lt?: string;
                    totalLiquidityUSD_gt?: string;
                    totalLiquidityUSD_not?: string;
                    totalLiquidityUSD?: string;
                    totalLiquidityETH_not_in?: string[];
                    totalLiquidityETH_in?: string[];
                    totalLiquidityETH_lte?: string;
                    totalLiquidityETH_gte?: string;
                    totalLiquidityETH_lt?: string;
                    totalLiquidityETH_gt?: string;
                    totalLiquidityETH_not?: string;
                    totalLiquidityETH?: string;
                    totalLiquidityToken_not_in?: string[];
                    totalLiquidityToken_in?: string[];
                    totalLiquidityToken_lte?: string;
                    totalLiquidityToken_gte?: string;
                    totalLiquidityToken_lt?: string;
                    totalLiquidityToken_gt?: string;
                    totalLiquidityToken_not?: string;
                    totalLiquidityToken?: string;
                    dailyTxns_not_in?: string[];
                    dailyTxns_in?: string[];
                    dailyTxns_lte?: string;
                    dailyTxns_gte?: string;
                    dailyTxns_lt?: string;
                    dailyTxns_gt?: string;
                    dailyTxns_not?: string;
                    dailyTxns?: string;
                    dailyVolumeUSD_not_in?: string[];
                    dailyVolumeUSD_in?: string[];
                    dailyVolumeUSD_lte?: string;
                    dailyVolumeUSD_gte?: string;
                    dailyVolumeUSD_lt?: string;
                    dailyVolumeUSD_gt?: string;
                    dailyVolumeUSD_not?: string;
                    dailyVolumeUSD?: string;
                    dailyVolumeETH_not_in?: string[];
                    dailyVolumeETH_in?: string[];
                    dailyVolumeETH_lte?: string;
                    dailyVolumeETH_gte?: string;
                    dailyVolumeETH_lt?: string;
                    dailyVolumeETH_gt?: string;
                    dailyVolumeETH_not?: string;
                    dailyVolumeETH?: string;
                    dailyVolumeToken_not_in?: string[];
                    dailyVolumeToken_in?: string[];
                    dailyVolumeToken_lte?: string;
                    dailyVolumeToken_gte?: string;
                    dailyVolumeToken_lt?: string;
                    dailyVolumeToken_gt?: string;
                    dailyVolumeToken_not?: string;
                    dailyVolumeToken?: string;
                    token_?: any;
                    token_not_ends_with_nocase?: string;
                    token_not_ends_with?: string;
                    token_ends_with_nocase?: string;
                    token_ends_with?: string;
                    token_not_starts_with_nocase?: string;
                    token_not_starts_with?: string;
                    token_starts_with_nocase?: string;
                    token_starts_with?: string;
                    token_not_contains_nocase?: string;
                    token_not_contains?: string;
                    token_contains_nocase?: string;
                    token_contains?: string;
                    token_not_in?: string[];
                    token_in?: string[];
                    token_lte?: string;
                    token_gte?: string;
                    token_lt?: string;
                    token_gt?: string;
                    token_not?: string;
                    token?: string;
                    date_not_in?: number[];
                    date_in?: number[];
                    date_lte?: number;
                    date_gte?: number;
                    date_lt?: number;
                    date_gt?: number;
                    date_not?: number;
                    date?: number;
                    id_not_contains?: `0x${string}`;
                    id_contains?: `0x${string}`;
                    id_not_in?: `0x${string}`[];
                    id_in?: `0x${string}`[];
                    id_lte?: `0x${string}`;
                    id_gte?: `0x${string}`;
                    id_lt?: `0x${string}`;
                    id_gt?: `0x${string}`;
                    id_not?: `0x${string}`;
                    id?: `0x${string}`;
                };
                derivedETH_not_in?: string[];
                derivedETH_in?: string[];
                derivedETH_lte?: string;
                derivedETH_gte?: string;
                derivedETH_lt?: string;
                derivedETH_gt?: string;
                derivedETH_not?: string;
                derivedETH?: string;
                totalLiquidity_not_in?: string[];
                totalLiquidity_in?: string[];
                totalLiquidity_lte?: string;
                totalLiquidity_gte?: string;
                totalLiquidity_lt?: string;
                totalLiquidity_gt?: string;
                totalLiquidity_not?: string;
                totalLiquidity?: string;
                txCount_not_in?: string[];
                txCount_in?: string[];
                txCount_lte?: string;
                txCount_gte?: string;
                txCount_lt?: string;
                txCount_gt?: string;
                txCount_not?: string;
                txCount?: string;
                untrackedVolumeUSD_not_in?: string[];
                untrackedVolumeUSD_in?: string[];
                untrackedVolumeUSD_lte?: string;
                untrackedVolumeUSD_gte?: string;
                untrackedVolumeUSD_lt?: string;
                untrackedVolumeUSD_gt?: string;
                untrackedVolumeUSD_not?: string;
                untrackedVolumeUSD?: string;
                tradeVolumeUSD_not_in?: string[];
                tradeVolumeUSD_in?: string[];
                tradeVolumeUSD_lte?: string;
                tradeVolumeUSD_gte?: string;
                tradeVolumeUSD_lt?: string;
                tradeVolumeUSD_gt?: string;
                tradeVolumeUSD_not?: string;
                tradeVolumeUSD?: string;
                tradeVolume_not_in?: string[];
                tradeVolume_in?: string[];
                tradeVolume_lte?: string;
                tradeVolume_gte?: string;
                tradeVolume_lt?: string;
                tradeVolume_gt?: string;
                tradeVolume_not?: string;
                tradeVolume?: string;
                totalSupply_not_in?: string[];
                totalSupply_in?: string[];
                totalSupply_lte?: string;
                totalSupply_gte?: string;
                totalSupply_lt?: string;
                totalSupply_gt?: string;
                totalSupply_not?: string;
                totalSupply?: string;
                decimals_not_in?: string[];
                decimals_in?: string[];
                decimals_lte?: string;
                decimals_gte?: string;
                decimals_lt?: string;
                decimals_gt?: string;
                decimals_not?: string;
                decimals?: string;
                name_not_ends_with_nocase?: string;
                name_not_ends_with?: string;
                name_ends_with_nocase?: string;
                name_ends_with?: string;
                name_not_starts_with_nocase?: string;
                name_not_starts_with?: string;
                name_starts_with_nocase?: string;
                name_starts_with?: string;
                name_not_contains_nocase?: string;
                name_not_contains?: string;
                name_contains_nocase?: string;
                name_contains?: string;
                name_not_in?: string[];
                name_in?: string[];
                name_lte?: string;
                name_gte?: string;
                name_lt?: string;
                name_gt?: string;
                name_not?: string;
                name?: string;
                symbol_not_ends_with_nocase?: string;
                symbol_not_ends_with?: string;
                symbol_ends_with_nocase?: string;
                symbol_ends_with?: string;
                symbol_not_starts_with_nocase?: string;
                symbol_not_starts_with?: string;
                symbol_starts_with_nocase?: string;
                symbol_starts_with?: string;
                symbol_not_contains_nocase?: string;
                symbol_not_contains?: string;
                symbol_contains_nocase?: string;
                symbol_contains?: string;
                symbol_not_in?: string[];
                symbol_in?: string[];
                symbol_lte?: string;
                symbol_gte?: string;
                symbol_lt?: string;
                symbol_gt?: string;
                symbol_not?: string;
                symbol?: string;
                id_not_contains?: `0x${string}`;
                id_contains?: `0x${string}`;
                id_not_in?: `0x${string}`[];
                id_in?: `0x${string}`[];
                id_lte?: `0x${string}`;
                id_gte?: `0x${string}`;
                id_lt?: `0x${string}`;
                id_gt?: `0x${string}`;
                id_not?: `0x${string}`;
                id?: `0x${string}`;
            };
            token1_not_ends_with_nocase?: string;
            token1_not_ends_with?: string;
            token1_ends_with_nocase?: string;
            token1_ends_with?: string;
            token1_not_starts_with_nocase?: string;
            token1_not_starts_with?: string;
            token1_starts_with_nocase?: string;
            token1_starts_with?: string;
            token1_not_contains_nocase?: string;
            token1_not_contains?: string;
            token1_contains_nocase?: string;
            token1_contains?: string;
            token1_not_in?: string[];
            token1_in?: string[];
            token1_lte?: string;
            token1_gte?: string;
            token1_lt?: string;
            token1_gt?: string;
            token1_not?: string;
            token1?: string;
            token0_?: {
                or?: any[];
                and?: any[];
                _change_block?: {
                    number_gte: number;
                };
                pairQuote_?: any;
                pairBase_?: any;
                pairDayDataQuote_?: {
                    or?: any[];
                    and?: any[];
                    _change_block?: {
                        number_gte: number;
                    };
                    dailyTxns_not_in?: string[];
                    dailyTxns_in?: string[];
                    dailyTxns_lte?: string;
                    dailyTxns_gte?: string;
                    dailyTxns_lt?: string;
                    dailyTxns_gt?: string;
                    dailyTxns_not?: string;
                    dailyTxns?: string;
                    dailyVolumeUSD_not_in?: string[];
                    dailyVolumeUSD_in?: string[];
                    dailyVolumeUSD_lte?: string;
                    dailyVolumeUSD_gte?: string;
                    dailyVolumeUSD_lt?: string;
                    dailyVolumeUSD_gt?: string;
                    dailyVolumeUSD_not?: string;
                    dailyVolumeUSD?: string;
                    dailyVolumeToken1_not_in?: string[];
                    dailyVolumeToken1_in?: string[];
                    dailyVolumeToken1_lte?: string;
                    dailyVolumeToken1_gte?: string;
                    dailyVolumeToken1_lt?: string;
                    dailyVolumeToken1_gt?: string;
                    dailyVolumeToken1_not?: string;
                    dailyVolumeToken1?: string;
                    dailyVolumeToken0_not_in?: string[];
                    dailyVolumeToken0_in?: string[];
                    dailyVolumeToken0_lte?: string;
                    dailyVolumeToken0_gte?: string;
                    dailyVolumeToken0_lt?: string;
                    dailyVolumeToken0_gt?: string;
                    dailyVolumeToken0_not?: string;
                    dailyVolumeToken0?: string;
                    reserveUSD_not_in?: string[];
                    reserveUSD_in?: string[];
                    reserveUSD_lte?: string;
                    reserveUSD_gte?: string;
                    reserveUSD_lt?: string;
                    reserveUSD_gt?: string;
                    reserveUSD_not?: string;
                    reserveUSD?: string;
                    totalSupply_not_in?: string[];
                    totalSupply_in?: string[];
                    totalSupply_lte?: string;
                    totalSupply_gte?: string;
                    totalSupply_lt?: string;
                    totalSupply_gt?: string;
                    totalSupply_not?: string;
                    totalSupply?: string;
                    reserve1_not_in?: string[];
                    reserve1_in?: string[];
                    reserve1_lte?: string;
                    reserve1_gte?: string;
                    reserve1_lt?: string;
                    reserve1_gt?: string;
                    reserve1_not?: string;
                    reserve1?: string;
                    reserve0_not_in?: string[];
                    reserve0_in?: string[];
                    reserve0_lte?: string;
                    reserve0_gte?: string;
                    reserve0_lt?: string;
                    reserve0_gt?: string;
                    reserve0_not?: string;
                    reserve0?: string;
                    token1_?: any;
                    token1_not_ends_with_nocase?: string;
                    token1_not_ends_with?: string;
                    token1_ends_with_nocase?: string;
                    token1_ends_with?: string;
                    token1_not_starts_with_nocase?: string;
                    token1_not_starts_with?: string;
                    token1_starts_with_nocase?: string;
                    token1_starts_with?: string;
                    token1_not_contains_nocase?: string;
                    token1_not_contains?: string;
                    token1_contains_nocase?: string;
                    token1_contains?: string;
                    token1_not_in?: string[];
                    token1_in?: string[];
                    token1_lte?: string;
                    token1_gte?: string;
                    token1_lt?: string;
                    token1_gt?: string;
                    token1_not?: string;
                    token1?: string;
                    token0_?: any;
                    token0_not_ends_with_nocase?: string;
                    token0_not_ends_with?: string;
                    token0_ends_with_nocase?: string;
                    token0_ends_with?: string;
                    token0_not_starts_with_nocase?: string;
                    token0_not_starts_with?: string;
                    token0_starts_with_nocase?: string;
                    token0_starts_with?: string;
                    token0_not_contains_nocase?: string;
                    token0_not_contains?: string;
                    token0_contains_nocase?: string;
                    token0_contains?: string;
                    token0_not_in?: string[];
                    token0_in?: string[];
                    token0_lte?: string;
                    token0_gte?: string;
                    token0_lt?: string;
                    token0_gt?: string;
                    token0_not?: string;
                    token0?: string;
                    pairAddress_not_contains?: `0x${string}`;
                    pairAddress_contains?: `0x${string}`;
                    pairAddress_not_in?: `0x${string}`[];
                    pairAddress_in?: `0x${string}`[];
                    pairAddress_lte?: `0x${string}`;
                    pairAddress_gte?: `0x${string}`;
                    pairAddress_lt?: `0x${string}`;
                    pairAddress_gt?: `0x${string}`;
                    pairAddress_not?: `0x${string}`;
                    pairAddress?: `0x${string}`;
                    date_not_in?: number[];
                    date_in?: number[];
                    date_lte?: number;
                    date_gte?: number;
                    date_lt?: number;
                    date_gt?: number;
                    date_not?: number;
                    date?: number;
                    id_not_contains?: `0x${string}`;
                    id_contains?: `0x${string}`;
                    id_not_in?: `0x${string}`[];
                    id_in?: `0x${string}`[];
                    id_lte?: `0x${string}`;
                    id_gte?: `0x${string}`;
                    id_lt?: `0x${string}`;
                    id_gt?: `0x${string}`;
                    id_not?: `0x${string}`;
                    id?: `0x${string}`;
                };
                pairDayDataBase_?: {
                    or?: any[];
                    and?: any[];
                    _change_block?: {
                        number_gte: number;
                    };
                    dailyTxns_not_in?: string[];
                    dailyTxns_in?: string[];
                    dailyTxns_lte?: string;
                    dailyTxns_gte?: string;
                    dailyTxns_lt?: string;
                    dailyTxns_gt?: string;
                    dailyTxns_not?: string;
                    dailyTxns?: string;
                    dailyVolumeUSD_not_in?: string[];
                    dailyVolumeUSD_in?: string[];
                    dailyVolumeUSD_lte?: string;
                    dailyVolumeUSD_gte?: string;
                    dailyVolumeUSD_lt?: string;
                    dailyVolumeUSD_gt?: string;
                    dailyVolumeUSD_not?: string;
                    dailyVolumeUSD?: string;
                    dailyVolumeToken1_not_in?: string[];
                    dailyVolumeToken1_in?: string[];
                    dailyVolumeToken1_lte?: string;
                    dailyVolumeToken1_gte?: string;
                    dailyVolumeToken1_lt?: string;
                    dailyVolumeToken1_gt?: string;
                    dailyVolumeToken1_not?: string;
                    dailyVolumeToken1?: string;
                    dailyVolumeToken0_not_in?: string[];
                    dailyVolumeToken0_in?: string[];
                    dailyVolumeToken0_lte?: string;
                    dailyVolumeToken0_gte?: string;
                    dailyVolumeToken0_lt?: string;
                    dailyVolumeToken0_gt?: string;
                    dailyVolumeToken0_not?: string;
                    dailyVolumeToken0?: string;
                    reserveUSD_not_in?: string[];
                    reserveUSD_in?: string[];
                    reserveUSD_lte?: string;
                    reserveUSD_gte?: string;
                    reserveUSD_lt?: string;
                    reserveUSD_gt?: string;
                    reserveUSD_not?: string;
                    reserveUSD?: string;
                    totalSupply_not_in?: string[];
                    totalSupply_in?: string[];
                    totalSupply_lte?: string;
                    totalSupply_gte?: string;
                    totalSupply_lt?: string;
                    totalSupply_gt?: string;
                    totalSupply_not?: string;
                    totalSupply?: string;
                    reserve1_not_in?: string[];
                    reserve1_in?: string[];
                    reserve1_lte?: string;
                    reserve1_gte?: string;
                    reserve1_lt?: string;
                    reserve1_gt?: string;
                    reserve1_not?: string;
                    reserve1?: string;
                    reserve0_not_in?: string[];
                    reserve0_in?: string[];
                    reserve0_lte?: string;
                    reserve0_gte?: string;
                    reserve0_lt?: string;
                    reserve0_gt?: string;
                    reserve0_not?: string;
                    reserve0?: string;
                    token1_?: any;
                    token1_not_ends_with_nocase?: string;
                    token1_not_ends_with?: string;
                    token1_ends_with_nocase?: string;
                    token1_ends_with?: string;
                    token1_not_starts_with_nocase?: string;
                    token1_not_starts_with?: string;
                    token1_starts_with_nocase?: string;
                    token1_starts_with?: string;
                    token1_not_contains_nocase?: string;
                    token1_not_contains?: string;
                    token1_contains_nocase?: string;
                    token1_contains?: string;
                    token1_not_in?: string[];
                    token1_in?: string[];
                    token1_lte?: string;
                    token1_gte?: string;
                    token1_lt?: string;
                    token1_gt?: string;
                    token1_not?: string;
                    token1?: string;
                    token0_?: any;
                    token0_not_ends_with_nocase?: string;
                    token0_not_ends_with?: string;
                    token0_ends_with_nocase?: string;
                    token0_ends_with?: string;
                    token0_not_starts_with_nocase?: string;
                    token0_not_starts_with?: string;
                    token0_starts_with_nocase?: string;
                    token0_starts_with?: string;
                    token0_not_contains_nocase?: string;
                    token0_not_contains?: string;
                    token0_contains_nocase?: string;
                    token0_contains?: string;
                    token0_not_in?: string[];
                    token0_in?: string[];
                    token0_lte?: string;
                    token0_gte?: string;
                    token0_lt?: string;
                    token0_gt?: string;
                    token0_not?: string;
                    token0?: string;
                    pairAddress_not_contains?: `0x${string}`;
                    pairAddress_contains?: `0x${string}`;
                    pairAddress_not_in?: `0x${string}`[];
                    pairAddress_in?: `0x${string}`[];
                    pairAddress_lte?: `0x${string}`;
                    pairAddress_gte?: `0x${string}`;
                    pairAddress_lt?: `0x${string}`;
                    pairAddress_gt?: `0x${string}`;
                    pairAddress_not?: `0x${string}`;
                    pairAddress?: `0x${string}`;
                    date_not_in?: number[];
                    date_in?: number[];
                    date_lte?: number;
                    date_gte?: number;
                    date_lt?: number;
                    date_gt?: number;
                    date_not?: number;
                    date?: number;
                    id_not_contains?: `0x${string}`;
                    id_contains?: `0x${string}`;
                    id_not_in?: `0x${string}`[];
                    id_in?: `0x${string}`[];
                    id_lte?: `0x${string}`;
                    id_gte?: `0x${string}`;
                    id_lt?: `0x${string}`;
                    id_gt?: `0x${string}`;
                    id_not?: `0x${string}`;
                    id?: `0x${string}`;
                };
                tokenDayData_?: {
                    or?: any[];
                    and?: any[];
                    _change_block?: {
                        number_gte: number;
                    };
                    priceUSD_not_in?: string[];
                    priceUSD_in?: string[];
                    priceUSD_lte?: string;
                    priceUSD_gte?: string;
                    priceUSD_lt?: string;
                    priceUSD_gt?: string;
                    priceUSD_not?: string;
                    priceUSD?: string;
                    totalLiquidityUSD_not_in?: string[];
                    totalLiquidityUSD_in?: string[];
                    totalLiquidityUSD_lte?: string;
                    totalLiquidityUSD_gte?: string;
                    totalLiquidityUSD_lt?: string;
                    totalLiquidityUSD_gt?: string;
                    totalLiquidityUSD_not?: string;
                    totalLiquidityUSD?: string;
                    totalLiquidityETH_not_in?: string[];
                    totalLiquidityETH_in?: string[];
                    totalLiquidityETH_lte?: string;
                    totalLiquidityETH_gte?: string;
                    totalLiquidityETH_lt?: string;
                    totalLiquidityETH_gt?: string;
                    totalLiquidityETH_not?: string;
                    totalLiquidityETH?: string;
                    totalLiquidityToken_not_in?: string[];
                    totalLiquidityToken_in?: string[];
                    totalLiquidityToken_lte?: string;
                    totalLiquidityToken_gte?: string;
                    totalLiquidityToken_lt?: string;
                    totalLiquidityToken_gt?: string;
                    totalLiquidityToken_not?: string;
                    totalLiquidityToken?: string;
                    dailyTxns_not_in?: string[];
                    dailyTxns_in?: string[];
                    dailyTxns_lte?: string;
                    dailyTxns_gte?: string;
                    dailyTxns_lt?: string;
                    dailyTxns_gt?: string;
                    dailyTxns_not?: string;
                    dailyTxns?: string;
                    dailyVolumeUSD_not_in?: string[];
                    dailyVolumeUSD_in?: string[];
                    dailyVolumeUSD_lte?: string;
                    dailyVolumeUSD_gte?: string;
                    dailyVolumeUSD_lt?: string;
                    dailyVolumeUSD_gt?: string;
                    dailyVolumeUSD_not?: string;
                    dailyVolumeUSD?: string;
                    dailyVolumeETH_not_in?: string[];
                    dailyVolumeETH_in?: string[];
                    dailyVolumeETH_lte?: string;
                    dailyVolumeETH_gte?: string;
                    dailyVolumeETH_lt?: string;
                    dailyVolumeETH_gt?: string;
                    dailyVolumeETH_not?: string;
                    dailyVolumeETH?: string;
                    dailyVolumeToken_not_in?: string[];
                    dailyVolumeToken_in?: string[];
                    dailyVolumeToken_lte?: string;
                    dailyVolumeToken_gte?: string;
                    dailyVolumeToken_lt?: string;
                    dailyVolumeToken_gt?: string;
                    dailyVolumeToken_not?: string;
                    dailyVolumeToken?: string;
                    token_?: any;
                    token_not_ends_with_nocase?: string;
                    token_not_ends_with?: string;
                    token_ends_with_nocase?: string;
                    token_ends_with?: string;
                    token_not_starts_with_nocase?: string;
                    token_not_starts_with?: string;
                    token_starts_with_nocase?: string;
                    token_starts_with?: string;
                    token_not_contains_nocase?: string;
                    token_not_contains?: string;
                    token_contains_nocase?: string;
                    token_contains?: string;
                    token_not_in?: string[];
                    token_in?: string[];
                    token_lte?: string;
                    token_gte?: string;
                    token_lt?: string;
                    token_gt?: string;
                    token_not?: string;
                    token?: string;
                    date_not_in?: number[];
                    date_in?: number[];
                    date_lte?: number;
                    date_gte?: number;
                    date_lt?: number;
                    date_gt?: number;
                    date_not?: number;
                    date?: number;
                    id_not_contains?: `0x${string}`;
                    id_contains?: `0x${string}`;
                    id_not_in?: `0x${string}`[];
                    id_in?: `0x${string}`[];
                    id_lte?: `0x${string}`;
                    id_gte?: `0x${string}`;
                    id_lt?: `0x${string}`;
                    id_gt?: `0x${string}`;
                    id_not?: `0x${string}`;
                    id?: `0x${string}`;
                };
                derivedETH_not_in?: string[];
                derivedETH_in?: string[];
                derivedETH_lte?: string;
                derivedETH_gte?: string;
                derivedETH_lt?: string;
                derivedETH_gt?: string;
                derivedETH_not?: string;
                derivedETH?: string;
                totalLiquidity_not_in?: string[];
                totalLiquidity_in?: string[];
                totalLiquidity_lte?: string;
                totalLiquidity_gte?: string;
                totalLiquidity_lt?: string;
                totalLiquidity_gt?: string;
                totalLiquidity_not?: string;
                totalLiquidity?: string;
                txCount_not_in?: string[];
                txCount_in?: string[];
                txCount_lte?: string;
                txCount_gte?: string;
                txCount_lt?: string;
                txCount_gt?: string;
                txCount_not?: string;
                txCount?: string;
                untrackedVolumeUSD_not_in?: string[];
                untrackedVolumeUSD_in?: string[];
                untrackedVolumeUSD_lte?: string;
                untrackedVolumeUSD_gte?: string;
                untrackedVolumeUSD_lt?: string;
                untrackedVolumeUSD_gt?: string;
                untrackedVolumeUSD_not?: string;
                untrackedVolumeUSD?: string;
                tradeVolumeUSD_not_in?: string[];
                tradeVolumeUSD_in?: string[];
                tradeVolumeUSD_lte?: string;
                tradeVolumeUSD_gte?: string;
                tradeVolumeUSD_lt?: string;
                tradeVolumeUSD_gt?: string;
                tradeVolumeUSD_not?: string;
                tradeVolumeUSD?: string;
                tradeVolume_not_in?: string[];
                tradeVolume_in?: string[];
                tradeVolume_lte?: string;
                tradeVolume_gte?: string;
                tradeVolume_lt?: string;
                tradeVolume_gt?: string;
                tradeVolume_not?: string;
                tradeVolume?: string;
                totalSupply_not_in?: string[];
                totalSupply_in?: string[];
                totalSupply_lte?: string;
                totalSupply_gte?: string;
                totalSupply_lt?: string;
                totalSupply_gt?: string;
                totalSupply_not?: string;
                totalSupply?: string;
                decimals_not_in?: string[];
                decimals_in?: string[];
                decimals_lte?: string;
                decimals_gte?: string;
                decimals_lt?: string;
                decimals_gt?: string;
                decimals_not?: string;
                decimals?: string;
                name_not_ends_with_nocase?: string;
                name_not_ends_with?: string;
                name_ends_with_nocase?: string;
                name_ends_with?: string;
                name_not_starts_with_nocase?: string;
                name_not_starts_with?: string;
                name_starts_with_nocase?: string;
                name_starts_with?: string;
                name_not_contains_nocase?: string;
                name_not_contains?: string;
                name_contains_nocase?: string;
                name_contains?: string;
                name_not_in?: string[];
                name_in?: string[];
                name_lte?: string;
                name_gte?: string;
                name_lt?: string;
                name_gt?: string;
                name_not?: string;
                name?: string;
                symbol_not_ends_with_nocase?: string;
                symbol_not_ends_with?: string;
                symbol_ends_with_nocase?: string;
                symbol_ends_with?: string;
                symbol_not_starts_with_nocase?: string;
                symbol_not_starts_with?: string;
                symbol_starts_with_nocase?: string;
                symbol_starts_with?: string;
                symbol_not_contains_nocase?: string;
                symbol_not_contains?: string;
                symbol_contains_nocase?: string;
                symbol_contains?: string;
                symbol_not_in?: string[];
                symbol_in?: string[];
                symbol_lte?: string;
                symbol_gte?: string;
                symbol_lt?: string;
                symbol_gt?: string;
                symbol_not?: string;
                symbol?: string;
                id_not_contains?: `0x${string}`;
                id_contains?: `0x${string}`;
                id_not_in?: `0x${string}`[];
                id_in?: `0x${string}`[];
                id_lte?: `0x${string}`;
                id_gte?: `0x${string}`;
                id_lt?: `0x${string}`;
                id_gt?: `0x${string}`;
                id_not?: `0x${string}`;
                id?: `0x${string}`;
            };
            token0_not_ends_with_nocase?: string;
            token0_not_ends_with?: string;
            token0_ends_with_nocase?: string;
            token0_ends_with?: string;
            token0_not_starts_with_nocase?: string;
            token0_not_starts_with?: string;
            token0_starts_with_nocase?: string;
            token0_starts_with?: string;
            token0_not_contains_nocase?: string;
            token0_not_contains?: string;
            token0_contains_nocase?: string;
            token0_contains?: string;
            token0_not_in?: string[];
            token0_in?: string[];
            token0_lte?: string;
            token0_gte?: string;
            token0_lt?: string;
            token0_gt?: string;
            token0_not?: string;
            token0?: string;
            id_not_contains?: `0x${string}`;
            id_contains?: `0x${string}`;
            id_not_in?: `0x${string}`[];
            id_in?: `0x${string}`[];
            id_lte?: `0x${string}`;
            id_gte?: `0x${string}`;
            id_lt?: `0x${string}`;
            id_gt?: `0x${string}`;
            id_not?: `0x${string}`;
            id?: `0x${string}`;
        };
        pair_not_ends_with_nocase?: string;
        pair_not_ends_with?: string;
        pair_ends_with_nocase?: string;
        pair_ends_with?: string;
        pair_not_starts_with_nocase?: string;
        pair_not_starts_with?: string;
        pair_starts_with_nocase?: string;
        pair_starts_with?: string;
        pair_not_contains_nocase?: string;
        pair_not_contains?: string;
        pair_contains_nocase?: string;
        pair_contains?: string;
        pair_not_in?: string[];
        pair_in?: string[];
        pair_lte?: string;
        pair_gte?: string;
        pair_lt?: string;
        pair_gt?: string;
        pair_not?: string;
        pair?: string;
        timestamp_not_in?: string[];
        timestamp_in?: string[];
        timestamp_lte?: string;
        timestamp_gte?: string;
        timestamp_lt?: string;
        timestamp_gt?: string;
        timestamp_not?: string;
        timestamp?: string;
        transaction_?: {
            or?: any[];
            and?: any[];
            _change_block?: {
                number_gte: number;
            };
            swaps_?: any;
            swaps_not_contains_nocase?: string[];
            swaps_not_contains?: string[];
            swaps_contains_nocase?: string[];
            swaps_contains?: string[];
            swaps_not?: string[];
            swaps?: string[];
            burns_?: {
                or?: any[];
                and?: any[];
                _change_block?: {
                    number_gte: number;
                };
                feeLiquidity_not_in?: string[];
                feeLiquidity_in?: string[];
                feeLiquidity_lte?: string;
                feeLiquidity_gte?: string;
                feeLiquidity_lt?: string;
                feeLiquidity_gt?: string;
                feeLiquidity_not?: string;
                feeLiquidity?: string;
                feeTo_not_contains?: `0x${string}`;
                feeTo_contains?: `0x${string}`;
                feeTo_not_in?: `0x${string}`[];
                feeTo_in?: `0x${string}`[];
                feeTo_lte?: `0x${string}`;
                feeTo_gte?: `0x${string}`;
                feeTo_lt?: `0x${string}`;
                feeTo_gt?: `0x${string}`;
                feeTo_not?: `0x${string}`;
                feeTo?: `0x${string}`;
                needsComplete_not_in?: boolean[];
                needsComplete_in?: boolean[];
                needsComplete_not?: boolean;
                needsComplete?: boolean;
                amountUSD_not_in?: string[];
                amountUSD_in?: string[];
                amountUSD_lte?: string;
                amountUSD_gte?: string;
                amountUSD_lt?: string;
                amountUSD_gt?: string;
                amountUSD_not?: string;
                amountUSD?: string;
                logIndex_not_in?: string[];
                logIndex_in?: string[];
                logIndex_lte?: string;
                logIndex_gte?: string;
                logIndex_lt?: string;
                logIndex_gt?: string;
                logIndex_not?: string;
                logIndex?: string;
                to_not_contains?: `0x${string}`;
                to_contains?: `0x${string}`;
                to_not_in?: `0x${string}`[];
                to_in?: `0x${string}`[];
                to_lte?: `0x${string}`;
                to_gte?: `0x${string}`;
                to_lt?: `0x${string}`;
                to_gt?: `0x${string}`;
                to_not?: `0x${string}`;
                to?: `0x${string}`;
                amount1_not_in?: string[];
                amount1_in?: string[];
                amount1_lte?: string;
                amount1_gte?: string;
                amount1_lt?: string;
                amount1_gt?: string;
                amount1_not?: string;
                amount1?: string;
                amount0_not_in?: string[];
                amount0_in?: string[];
                amount0_lte?: string;
                amount0_gte?: string;
                amount0_lt?: string;
                amount0_gt?: string;
                amount0_not?: string;
                amount0?: string;
                sender_not_contains?: `0x${string}`;
                sender_contains?: `0x${string}`;
                sender_not_in?: `0x${string}`[];
                sender_in?: `0x${string}`[];
                sender_lte?: `0x${string}`;
                sender_gte?: `0x${string}`;
                sender_lt?: `0x${string}`;
                sender_gt?: `0x${string}`;
                sender_not?: `0x${string}`;
                sender?: `0x${string}`;
                liquidity_not_in?: string[];
                liquidity_in?: string[];
                liquidity_lte?: string;
                liquidity_gte?: string;
                liquidity_lt?: string;
                liquidity_gt?: string;
                liquidity_not?: string;
                liquidity?: string;
                pair_?: any;
                pair_not_ends_with_nocase?: string;
                pair_not_ends_with?: string;
                pair_ends_with_nocase?: string;
                pair_ends_with?: string;
                pair_not_starts_with_nocase?: string;
                pair_not_starts_with?: string;
                pair_starts_with_nocase?: string;
                pair_starts_with?: string;
                pair_not_contains_nocase?: string;
                pair_not_contains?: string;
                pair_contains_nocase?: string;
                pair_contains?: string;
                pair_not_in?: string[];
                pair_in?: string[];
                pair_lte?: string;
                pair_gte?: string;
                pair_lt?: string;
                pair_gt?: string;
                pair_not?: string;
                pair?: string;
                timestamp_not_in?: string[];
                timestamp_in?: string[];
                timestamp_lte?: string;
                timestamp_gte?: string;
                timestamp_lt?: string;
                timestamp_gt?: string;
                timestamp_not?: string;
                timestamp?: string;
                transaction_?: any;
                transaction_not_ends_with_nocase?: string;
                transaction_not_ends_with?: string;
                transaction_ends_with_nocase?: string;
                transaction_ends_with?: string;
                transaction_not_starts_with_nocase?: string;
                transaction_not_starts_with?: string;
                transaction_starts_with_nocase?: string;
                transaction_starts_with?: string;
                transaction_not_contains_nocase?: string;
                transaction_not_contains?: string;
                transaction_contains_nocase?: string;
                transaction_contains?: string;
                transaction_not_in?: string[];
                transaction_in?: string[];
                transaction_lte?: string;
                transaction_gte?: string;
                transaction_lt?: string;
                transaction_gt?: string;
                transaction_not?: string;
                transaction?: string;
                id_not_contains?: `0x${string}`;
                id_contains?: `0x${string}`;
                id_not_in?: `0x${string}`[];
                id_in?: `0x${string}`[];
                id_lte?: `0x${string}`;
                id_gte?: `0x${string}`;
                id_lt?: `0x${string}`;
                id_gt?: `0x${string}`;
                id_not?: `0x${string}`;
                id?: `0x${string}`;
            };
            burns_not_contains_nocase?: string[];
            burns_not_contains?: string[];
            burns_contains_nocase?: string[];
            burns_contains?: string[];
            burns_not?: string[];
            burns?: string[];
            mints_?: any;
            mints_not_contains_nocase?: string[];
            mints_not_contains?: string[];
            mints_contains_nocase?: string[];
            mints_contains?: string[];
            mints_not?: string[];
            mints?: string[];
            timestamp_not_in?: string[];
            timestamp_in?: string[];
            timestamp_lte?: string;
            timestamp_gte?: string;
            timestamp_lt?: string;
            timestamp_gt?: string;
            timestamp_not?: string;
            timestamp?: string;
            blockNumber_not_in?: string[];
            blockNumber_in?: string[];
            blockNumber_lte?: string;
            blockNumber_gte?: string;
            blockNumber_lt?: string;
            blockNumber_gt?: string;
            blockNumber_not?: string;
            blockNumber?: string;
            id_not_contains?: `0x${string}`;
            id_contains?: `0x${string}`;
            id_not_in?: `0x${string}`[];
            id_in?: `0x${string}`[];
            id_lte?: `0x${string}`;
            id_gte?: `0x${string}`;
            id_lt?: `0x${string}`;
            id_gt?: `0x${string}`;
            id_not?: `0x${string}`;
            id?: `0x${string}`;
        };
        transaction_not_ends_with_nocase?: string;
        transaction_not_ends_with?: string;
        transaction_ends_with_nocase?: string;
        transaction_ends_with?: string;
        transaction_not_starts_with_nocase?: string;
        transaction_not_starts_with?: string;
        transaction_starts_with_nocase?: string;
        transaction_starts_with?: string;
        transaction_not_contains_nocase?: string;
        transaction_not_contains?: string;
        transaction_contains_nocase?: string;
        transaction_contains?: string;
        transaction_not_in?: string[];
        transaction_in?: string[];
        transaction_lte?: string;
        transaction_gte?: string;
        transaction_lt?: string;
        transaction_gt?: string;
        transaction_not?: string;
        transaction?: string;
        id_not_contains?: `0x${string}`;
        id_contains?: `0x${string}`;
        id_not_in?: `0x${string}`[];
        id_in?: `0x${string}`[];
        id_lte?: `0x${string}`;
        id_gte?: `0x${string}`;
        id_lt?: `0x${string}`;
        id_gt?: `0x${string}`;
        id_not?: `0x${string}`;
        id?: `0x${string}`;
    };
    orderDirection?: "asc" | "desc";
    orderBy?: "id" | "timestamp" | "liquidity" | "pair" | "to" | "transaction" | "sender" | "amount0" | "amount1" | "amountUSD" | "feeLiquidity" | "feeTo" | "logIndex" | "transaction__id" | "transaction__blockNumber" | "transaction__timestamp" | "pair__id" | "pair__reserve0" | "pair__reserve1" | "pair__totalSupply" | "pair__reserveETH" | "pair__reserveUSD" | "pair__trackedReserveETH" | "pair__token0Price" | "pair__token1Price" | "pair__volumeToken0" | "pair__volumeToken1" | "pair__volumeUSD" | "pair__untrackedVolumeUSD" | "pair__txCount" | "pair__createdAtTimestamp" | "pair__createdAtBlockNumber" | "pair__liquidityProviderCount";
    block?: {
        number_gte?: number;
        number?: number;
        hash?: `0x${string}`;
    };
    skip?: number;
    first?: number;
}, void>;
export type GetSushiV2Mints = VariablesOf<typeof SushiV2MintsQuery> & ChainIdVariable<SushiSwapV2ChainId>;
export declare function getSushiV2Mints({ chainId, ...variables }: GetSushiV2Mints, options?: RequestOptions): Promise<{
    transaction: {
        createdAtBlock: string;
        createdAtTimestamp: string;
        id: `0x${string}`;
    };
    logIndex: string;
    amountUSD: string;
    amount1: string;
    amount0: string;
    liquidity: string;
    sender: `0x${string}`;
    id: `0x${string}`;
}[]>;
export type SushiV2Mints = Awaited<ReturnType<typeof getSushiV2Mints>>;
