import type { VariablesOf } from 'gql.tada';
import type { SushiSwapV2ChainId } from 'sushi/config';
import { type RequestOptions } from '../../../lib/request';
import type { ChainIdVariable } from '../../../lib/types/chainId';
import type { PoolBase, PoolV2, PoolWithBuckets } from 'sushi/types';
export declare const SushiV2PoolBucketsQuery: import("gql.tada").TadaDocumentNode<{
    poolDayData: {
        txCount: string;
        volumeUSD: string;
        liquidityUSD: string;
        date: number;
        id: `0x${string}`;
    }[];
    pair: {
        poolHourData: {
            txCount: string;
            volumeUSD: string;
            liquidityUSD: string;
            date: number;
            id: `0x${string}`;
        }[];
        txCount: string;
        volumeUSD: string;
        token1Price: string;
        token0Price: string;
        liquidityNative: string;
        liquidityUSD: string;
        totalSupply: string;
        reserve1: string;
        reserve0: string;
        createdAtTimestamp: string;
        createdAtBlockNumber: string;
        token1: {
            symbol: string;
            decimals: string;
            id: `0x${string}`;
            name: string;
        };
        token0: {
            symbol: string;
            decimals: string;
            id: `0x${string}`;
            name: string;
        };
        id: `0x${string}`;
    };
}, {
    dayDataFirst?: number;
    hourDataFirst?: number;
    block?: {
        number_gte?: number;
        number?: number;
        hash?: `0x${string}`;
    };
    id_Bytes: `0x${string}`;
    id: string;
}, void>;
export type GetSushiV2PoolBuckets = Omit<VariablesOf<typeof SushiV2PoolBucketsQuery>, 'id_Bytes'> & ChainIdVariable<SushiSwapV2ChainId>;
export type SushiV2PoolBuckets = PoolWithBuckets<PoolV2<PoolBase>>;
export declare function getSushiV2PoolBuckets({ chainId, ...variables }: GetSushiV2PoolBuckets, options?: RequestOptions): Promise<SushiV2PoolBuckets>;
