import type { VariablesOf } from 'gql.tada';
import type { SushiSwapV2ChainId } from 'sushi/config';
import type { PoolBase, PoolV2 } from 'sushi/types';
import { type RequestOptions } from '../../../lib/request';
import type { ChainIdVariable } from '../../../lib/types/chainId';
export declare const SushiV2PoolQuery: import("gql.tada").TadaDocumentNode<{
    pool: {
        txCount: string;
        volumeUSD: string;
        token1Price: string;
        token0Price: string;
        liquidityNative: string;
        liquidityUSD: string;
        totalSupply: string;
        reserve1: string;
        reserve0: string;
        createdAtTimestamp: string;
        createdAtBlockNumber: string;
        token1: {
            symbol: string;
            decimals: string;
            id: `0x${string}`;
            name: string;
        };
        token0: {
            symbol: string;
            decimals: string;
            id: `0x${string}`;
            name: string;
        };
        id: `0x${string}`;
    };
}, {
    block?: {
        number_gte?: number;
        number?: number;
        hash?: `0x${string}`;
    };
    id: string;
}, void>;
export type GetSushiV2Pool = VariablesOf<typeof SushiV2PoolQuery> & ChainIdVariable<SushiSwapV2ChainId>;
export declare function getSushiV2Pool({ chainId, ...variables }: GetSushiV2Pool, options?: RequestOptions): Promise<PoolV2<PoolBase>>;
export type SushiV2Pool = Awaited<ReturnType<typeof getSushiV2Pool>>;
