import { SUSHISWAP_V2_SUBGRAPH_URL } from 'sushi/config/subgraph';
import { FetchError } from '../../../lib/fetch-error';
import { request } from '../../../lib/request';
import { transformPoolV2ToBase } from '../../../subgraphs/sushi-v2/transforms/pool-v2-to-base';
import { PoolFieldsFragment } from '../fragments/pool-fields';
import { graphql } from '../graphql';
export const SushiV2PoolQuery = graphql(`
  query Pool($id: ID!, $block: Block_height) {
    pool: pair(id: $id, block: $block) {
      ...PoolFields
    }
  }
`, [PoolFieldsFragment]);
export async function getSushiV2Pool({ chainId, ...variables }, options) {
    const url = `https://${SUSHISWAP_V2_SUBGRAPH_URL[chainId]}`;
    const result = await request({ url, document: SushiV2PoolQuery, variables }, options);
    if (result.pool) {
        return transformPoolV2ToBase(result.pool, chainId);
    }
    throw new FetchError(chainId, `Failed to fetch pool ${chainId}:${variables.id}`);
}
