import { SUSHISWAP_V2_SUBGRAPH_URL } from 'sushi/config/subgraph';
import { requestPaged } from '../../../lib/request-paged';
import { graphql } from '../graphql';
export const SushiV2SwapsQuery = graphql(`
  query Swaps($first: Int = 1000, $skip: Int = 0, $block: Block_height, $orderBy: Swap_orderBy, $orderDirection: OrderDirection, $where: Swap_filter) {
    swaps(first: $first, skip: $skip, block: $block, orderBy: $orderBy, orderDirection: $orderDirection, where: $where) {
      id
      sender
      to
      amount0In
      amount1In
      amount0Out
      amount1Out
      amountUSD
      logIndex
      amountUSD
      logIndex
      transaction {
        id
        createdAtTimestamp: timestamp
        createdAtBlock: blockNumber
      }
    }
  }
`);
export async function getSushiV2Swaps({ chainId, ...variables }, options) {
    const url = `https://${SUSHISWAP_V2_SUBGRAPH_URL[chainId]}`;
    const result = await requestPaged({
        chainId,
        url,
        query: SushiV2SwapsQuery,
        variables,
        options,
    });
    return result.swaps;
}
