import type { VariablesOf } from 'gql.tada';
import type { SushiSwapV3ChainId } from 'sushi/config';
import type { RequestOptions } from '../../../lib/request';
import type { ChainIdVariable } from '../../../lib/types/chainId';
export declare const SushiV3DayDatasQuery: import("gql.tada").TadaDocumentNode<{
    uniswapDayDatas: {
        txCount: string;
        feesUSD: string;
        tvlUSD: string;
        volumeUSDUntracked: string;
        volumeUSD: string;
        date: number;
        id: string;
    }[];
}, {
    where?: {
        or?: any[];
        and?: any[];
        _change_block?: {
            number_gte: number;
        };
        tvlUSD_not_in?: string[];
        tvlUSD_in?: string[];
        tvlUSD_lte?: string;
        tvlUSD_gte?: string;
        tvlUSD_lt?: string;
        tvlUSD_gt?: string;
        tvlUSD_not?: string;
        tvlUSD?: string;
        txCount_not_in?: string[];
        txCount_in?: string[];
        txCount_lte?: string;
        txCount_gte?: string;
        txCount_lt?: string;
        txCount_gt?: string;
        txCount_not?: string;
        txCount?: string;
        feesUSD_not_in?: string[];
        feesUSD_in?: string[];
        feesUSD_lte?: string;
        feesUSD_gte?: string;
        feesUSD_lt?: string;
        feesUSD_gt?: string;
        feesUSD_not?: string;
        feesUSD?: string;
        volumeUSDUntracked_not_in?: string[];
        volumeUSDUntracked_in?: string[];
        volumeUSDUntracked_lte?: string;
        volumeUSDUntracked_gte?: string;
        volumeUSDUntracked_lt?: string;
        volumeUSDUntracked_gt?: string;
        volumeUSDUntracked_not?: string;
        volumeUSDUntracked?: string;
        volumeUSD_not_in?: string[];
        volumeUSD_in?: string[];
        volumeUSD_lte?: string;
        volumeUSD_gte?: string;
        volumeUSD_lt?: string;
        volumeUSD_gt?: string;
        volumeUSD_not?: string;
        volumeUSD?: string;
        volumeETH_not_in?: string[];
        volumeETH_in?: string[];
        volumeETH_lte?: string;
        volumeETH_gte?: string;
        volumeETH_lt?: string;
        volumeETH_gt?: string;
        volumeETH_not?: string;
        volumeETH?: string;
        date_not_in?: number[];
        date_in?: number[];
        date_lte?: number;
        date_gte?: number;
        date_lt?: number;
        date_gt?: number;
        date_not?: number;
        date?: number;
        id_not_in?: string[];
        id_in?: string[];
        id_lte?: string;
        id_gte?: string;
        id_lt?: string;
        id_gt?: string;
        id_not?: string;
        id?: string;
    };
    orderDirection?: "asc" | "desc";
    orderBy?: "id" | "date" | "txCount" | "volumeUSD" | "volumeUSDUntracked" | "tvlUSD" | "feesUSD" | "volumeETH";
    block?: {
        number_gte?: number;
        number?: number;
        hash?: `0x${string}`;
    };
    skip?: number;
    first?: number;
}, void>;
export type GetSushiV3DayDatas = VariablesOf<typeof SushiV3DayDatasQuery> & ChainIdVariable<SushiSwapV3ChainId>;
export declare function getSushiV3DayDatas({ chainId, ...variables }: GetSushiV3DayDatas, options?: RequestOptions): Promise<{
    id: string;
    date: number;
    volumeUSD: number;
    volumeUSDUntracked: number;
    liquidityUSD: number;
    feesUSD: number;
    txCount: number;
}[]>;
export type SushiV3DayDatas = Awaited<ReturnType<typeof getSushiV3DayDatas>>;
