import type { VariablesOf } from 'gql.tada';
import type { SushiSwapV3ChainId } from 'sushi/config';
import { type RequestOptions } from '../../../lib/request';
import type { ChainIdVariable } from '../../../lib/types/chainId';
import type { Hex } from '../../../lib/types/hex';
export declare const SushiV3FactoriesQuery: import("gql.tada").TadaDocumentNode<{
    factories: {
        poolCount: string;
        totalVolumeUSD: string;
        totalValueLockedUSD: string;
        id: string;
    }[];
}, {}, void>;
export type GetSushiV3Factory = VariablesOf<typeof SushiV3FactoriesQuery> & ChainIdVariable<SushiSwapV3ChainId>;
export declare function getSushiV3Factory({ chainId, ...variables }: GetSushiV3Factory, options?: RequestOptions): Promise<Omit<{
    poolCount: string;
    totalVolumeUSD: string;
    totalValueLockedUSD: string;
    id: string;
} & {
    id: Hex;
} & ChainIdVariable<Readonly<1 | 137 | 250 | 100 | 56 | 42161 | 42170 | 43114 | 1285 | 122 | 10 | 2222 | 1088 | 288 | 199 | 1101 | 108 | 314 | 11235 | 1116 | 59144 | 8453 | 534352 | 7000 | 81457 | 2046399126 | 30>> & {
    address: `0x${string}`;
}, "id"> & {
    id: `${string}:0x${string}`;
}>;
export type SushiV3Factory = Awaited<ReturnType<typeof getSushiV3Factory>>;
