import type { VariablesOf } from 'gql.tada';
import type { SushiSwapV3ChainId } from 'sushi/config';
import type { PoolBase, PoolV3, PoolWithBuckets } from 'sushi/types';
import { type RequestOptions } from '../../../lib/request';
import type { ChainIdVariable } from '../../../lib/types/chainId';
export declare const SushiV3PoolBucketsQuery: import("gql.tada").TadaDocumentNode<{
    pool: {
        poolDayData: {
            txCount: string;
            feesUSD: string;
            volumeUSD: string;
            liquidityUSD: string;
            date: number;
            id: string;
        }[];
        poolHourData: {
            txCount: string;
            feesUSD: string;
            volumeUSD: string;
            liquidityUSD: string;
            date: number;
            id: string;
        }[];
        createdAtBlockNumber: string;
        createdAtTimestamp: string;
        txCount: string;
        liquidityProviderCount: string;
        untrackedLiquidityUSD: string;
        liquidityUSD: string;
        reserve1: string;
        reserve0: string;
        collectedFeesUSD: string;
        collectedFeesToken1: string;
        collectedFeesToken0: string;
        feesUSD: string;
        untrackedVolumeUSD: string;
        volumeUSD: string;
        volumeToken1: string;
        volumeToken0: string;
        observationIndex: string;
        tick: string;
        token1Price: string;
        token0Price: string;
        feeGrowthGlobal1X128: string;
        feeGrowthGlobal0X128: string;
        sqrtPrice: string;
        liquidity: string;
        swapFee: string;
        token1: {
            decimals: string;
            name: string;
            symbol: string;
            id: string;
        };
        token0: {
            decimals: string;
            name: string;
            symbol: string;
            id: string;
        };
        id: string;
    };
}, {
    dayDataFirst?: number;
    hourDataFirst?: number;
    block?: {
        number_gte?: number;
        number?: number;
        hash?: `0x${string}`;
    };
    id: string;
}, void>;
export type GetSushiV3PoolBuckets = VariablesOf<typeof SushiV3PoolBucketsQuery> & ChainIdVariable<SushiSwapV3ChainId>;
export type SushiV3PoolBuckets = PoolWithBuckets<PoolV3<PoolBase>>;
export declare function getSushiV3PoolBuckets({ chainId, ...variables }: GetSushiV3PoolBuckets, options?: RequestOptions): Promise<SushiV3PoolBuckets>;
