import type { VariablesOf } from 'gql.tada';
import type { SushiSwapV3ChainId } from 'sushi/config';
import type { PoolBase, PoolV3 } from 'sushi/types';
import { type RequestOptions } from '../../../lib/request';
import type { ChainIdVariable } from '../../../lib/types/chainId';
export declare const SushiV3PoolQuery: import("gql.tada").TadaDocumentNode<{
    pool: {
        createdAtBlockNumber: string;
        createdAtTimestamp: string;
        txCount: string;
        liquidityProviderCount: string;
        untrackedLiquidityUSD: string;
        liquidityUSD: string;
        reserve1: string;
        reserve0: string;
        collectedFeesUSD: string;
        collectedFeesToken1: string;
        collectedFeesToken0: string;
        feesUSD: string;
        untrackedVolumeUSD: string;
        volumeUSD: string;
        volumeToken1: string;
        volumeToken0: string;
        observationIndex: string;
        tick: string;
        token1Price: string;
        token0Price: string;
        feeGrowthGlobal1X128: string;
        feeGrowthGlobal0X128: string;
        sqrtPrice: string;
        liquidity: string;
        swapFee: string;
        token1: {
            decimals: string;
            name: string;
            symbol: string;
            id: string;
        };
        token0: {
            decimals: string;
            name: string;
            symbol: string;
            id: string;
        };
        id: string;
    };
}, {
    block?: {
        number_gte?: number;
        number?: number;
        hash?: `0x${string}`;
    };
    id: string;
}, void>;
export type GetSushiV3Pool = VariablesOf<typeof SushiV3PoolQuery> & ChainIdVariable<SushiSwapV3ChainId>;
export type SushiV3Pool = PoolV3<PoolBase>;
export declare function getSushiV3Pool({ chainId, ...variables }: GetSushiV3Pool, options?: RequestOptions): Promise<SushiV3Pool>;
