import type { ResultOf } from 'gql.tada';
import type { PoolFieldsFragment } from '../../../subgraphs/sushi-v3/fragments/pool-fields';
import type { SushiSwapV3ChainId } from 'sushi/config';
import { type PoolBase, type PoolV3 } from 'sushi/types';
type ToPick = 'id' | 'token0' | 'token1' | 'reserve0' | 'reserve1' | 'liquidityUSD' | 'volumeUSD' | 'txCount' | 'swapFee' | 'liquidity' | 'feeGrowthGlobal0X128' | 'feeGrowthGlobal1X128' | 'observationIndex' | 'sqrtPrice' | 'tick' | 'token0Price' | 'token1Price';
type RequiredBase = Pick<ResultOf<typeof PoolFieldsFragment>, ToPick>;
export declare function transformPoolV3ToBase<T extends RequiredBase>(pool: T, chainId: SushiSwapV3ChainId): PoolV3<PoolBase>;
export {};
