export declare const graphql: import("gql.tada").GraphQLTadaAPI<{
    name: "steer";
    query: "Query";
    mutation: never;
    subscription: "Subscription";
    types: {
        ID: {
            name: "ID";
            type: string;
        };
        Boolean: {
            name: "Boolean";
            type: boolean;
        };
        String: {
            name: "String";
            type: string;
        };
        Float: {
            name: "Float";
            type: number;
        };
        Int: {
            name: "Int";
            type: number;
        };
        BigInt: {
            name: "BigInt";
            type: string;
        };
        BigDecimal: {
            name: "BigDecimal";
            type: string;
        };
        Bytes: {
            name: "Bytes";
            type: `0x${string}`;
        };
        DateTime: {
            name: "DateTime";
            type: string;
        };
        JSON: {
            name: "JSON";
            type: object;
        };
    } & {
        ActionFailure: {
            kind: "OBJECT";
            name: "ActionFailure";
            fields: {
                action: {
                    name: "action";
                    type: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "OBJECT";
                            name: "OrchestratorAction";
                            ofType: null;
                        };
                    };
                };
                id: {
                    name: "id";
                    type: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "SCALAR";
                            name: "ID";
                            ofType: null;
                        };
                    };
                };
                method: {
                    name: "method";
                    type: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "SCALAR";
                            name: "BigInt";
                            ofType: null;
                        };
                    };
                };
                timeStamp: {
                    name: "timeStamp";
                    type: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "SCALAR";
                            name: "BigInt";
                            ofType: null;
                        };
                    };
                };
            };
        };
        ActionFailure_filter: {
            kind: "INPUT_OBJECT";
            name: "ActionFailure_filter";
            isOneOf: false;
            inputFields: [{
                name: "id";
                type: {
                    kind: "SCALAR";
                    name: "ID";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "id_not";
                type: {
                    kind: "SCALAR";
                    name: "ID";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "id_gt";
                type: {
                    kind: "SCALAR";
                    name: "ID";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "id_lt";
                type: {
                    kind: "SCALAR";
                    name: "ID";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "id_gte";
                type: {
                    kind: "SCALAR";
                    name: "ID";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "id_lte";
                type: {
                    kind: "SCALAR";
                    name: "ID";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "id_in";
                type: {
                    kind: "LIST";
                    name: never;
                    ofType: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "SCALAR";
                            name: "ID";
                            ofType: null;
                        };
                    };
                };
                defaultValue: null;
            }, {
                name: "id_not_in";
                type: {
                    kind: "LIST";
                    name: never;
                    ofType: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "SCALAR";
                            name: "ID";
                            ofType: null;
                        };
                    };
                };
                defaultValue: null;
            }, {
                name: "timeStamp";
                type: {
                    kind: "SCALAR";
                    name: "BigInt";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "timeStamp_not";
                type: {
                    kind: "SCALAR";
                    name: "BigInt";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "timeStamp_gt";
                type: {
                    kind: "SCALAR";
                    name: "BigInt";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "timeStamp_lt";
                type: {
                    kind: "SCALAR";
                    name: "BigInt";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "timeStamp_gte";
                type: {
                    kind: "SCALAR";
                    name: "BigInt";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "timeStamp_lte";
                type: {
                    kind: "SCALAR";
                    name: "BigInt";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "timeStamp_in";
                type: {
                    kind: "LIST";
                    name: never;
                    ofType: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "SCALAR";
                            name: "BigInt";
                            ofType: null;
                        };
                    };
                };
                defaultValue: null;
            }, {
                name: "timeStamp_not_in";
                type: {
                    kind: "LIST";
                    name: never;
                    ofType: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "SCALAR";
                            name: "BigInt";
                            ofType: null;
                        };
                    };
                };
                defaultValue: null;
            }, {
                name: "method";
                type: {
                    kind: "SCALAR";
                    name: "BigInt";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "method_not";
                type: {
                    kind: "SCALAR";
                    name: "BigInt";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "method_gt";
                type: {
                    kind: "SCALAR";
                    name: "BigInt";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "method_lt";
                type: {
                    kind: "SCALAR";
                    name: "BigInt";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "method_gte";
                type: {
                    kind: "SCALAR";
                    name: "BigInt";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "method_lte";
                type: {
                    kind: "SCALAR";
                    name: "BigInt";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "method_in";
                type: {
                    kind: "LIST";
                    name: never;
                    ofType: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "SCALAR";
                            name: "BigInt";
                            ofType: null;
                        };
                    };
                };
                defaultValue: null;
            }, {
                name: "method_not_in";
                type: {
                    kind: "LIST";
                    name: never;
                    ofType: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "SCALAR";
                            name: "BigInt";
                            ofType: null;
                        };
                    };
                };
                defaultValue: null;
            }, {
                name: "action";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "action_not";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "action_gt";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "action_lt";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "action_gte";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "action_lte";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "action_in";
                type: {
                    kind: "LIST";
                    name: never;
                    ofType: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "SCALAR";
                            name: "String";
                            ofType: null;
                        };
                    };
                };
                defaultValue: null;
            }, {
                name: "action_not_in";
                type: {
                    kind: "LIST";
                    name: never;
                    ofType: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "SCALAR";
                            name: "String";
                            ofType: null;
                        };
                    };
                };
                defaultValue: null;
            }, {
                name: "action_contains";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "action_contains_nocase";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "action_not_contains";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "action_not_contains_nocase";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "action_starts_with";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "action_starts_with_nocase";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "action_not_starts_with";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "action_not_starts_with_nocase";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "action_ends_with";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "action_ends_with_nocase";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "action_not_ends_with";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "action_not_ends_with_nocase";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "action_";
                type: {
                    kind: "INPUT_OBJECT";
                    name: "OrchestratorAction_filter";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "_change_block";
                type: {
                    kind: "INPUT_OBJECT";
                    name: "BlockChangedFilter";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "and";
                type: {
                    kind: "LIST";
                    name: never;
                    ofType: {
                        kind: "INPUT_OBJECT";
                        name: "ActionFailure_filter";
                        ofType: null;
                    };
                };
                defaultValue: null;
            }, {
                name: "or";
                type: {
                    kind: "LIST";
                    name: never;
                    ofType: {
                        kind: "INPUT_OBJECT";
                        name: "ActionFailure_filter";
                        ofType: null;
                    };
                };
                defaultValue: null;
            }];
        };
        ActionFailure_orderBy: {
            name: "ActionFailure_orderBy";
            enumValues: "id" | "timeStamp" | "action" | "method" | "action__id" | "action__timestamp" | "action__lastUpdated" | "action__state" | "action__status" | "action__vault" | "action__transactionHash" | "action__hash" | "action__gasUsed";
        };
        Aggregation_interval: {
            name: "Aggregation_interval";
            enumValues: "hour" | "day";
        };
        BigDecimal: unknown;
        BigInt: unknown;
        BlockChangedFilter: {
            kind: "INPUT_OBJECT";
            name: "BlockChangedFilter";
            isOneOf: false;
            inputFields: [{
                name: "number_gte";
                type: {
                    kind: "NON_NULL";
                    name: never;
                    ofType: {
                        kind: "SCALAR";
                        name: "Int";
                        ofType: null;
                    };
                };
                defaultValue: null;
            }];
        };
        Block_height: {
            kind: "INPUT_OBJECT";
            name: "Block_height";
            isOneOf: false;
            inputFields: [{
                name: "hash";
                type: {
                    kind: "SCALAR";
                    name: "Bytes";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "number";
                type: {
                    kind: "SCALAR";
                    name: "Int";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "number_gte";
                type: {
                    kind: "SCALAR";
                    name: "Int";
                    ofType: null;
                };
                defaultValue: null;
            }];
        };
        Boolean: unknown;
        Bundle: {
            kind: "OBJECT";
            name: "Bundle";
            fields: {
                active: {
                    name: "active";
                    type: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "SCALAR";
                            name: "Boolean";
                            ofType: null;
                        };
                    };
                };
                bundle: {
                    name: "bundle";
                    type: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "SCALAR";
                            name: "String";
                            ofType: null;
                        };
                    };
                };
                createdAt: {
                    name: "createdAt";
                    type: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "SCALAR";
                            name: "BigInt";
                            ofType: null;
                        };
                    };
                };
                creator: {
                    name: "creator";
                    type: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "SCALAR";
                            name: "String";
                            ofType: null;
                        };
                    };
                };
                hash: {
                    name: "hash";
                    type: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "SCALAR";
                            name: "String";
                            ofType: null;
                        };
                    };
                };
                host: {
                    name: "host";
                    type: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "SCALAR";
                            name: "String";
                            ofType: null;
                        };
                    };
                };
                id: {
                    name: "id";
                    type: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "SCALAR";
                            name: "ID";
                            ofType: null;
                        };
                    };
                };
                infoHash: {
                    name: "infoHash";
                    type: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "SCALAR";
                            name: "String";
                            ofType: null;
                        };
                    };
                };
                output: {
                    name: "output";
                    type: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "SCALAR";
                            name: "String";
                            ofType: null;
                        };
                    };
                };
                source: {
                    name: "source";
                    type: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "SCALAR";
                            name: "String";
                            ofType: null;
                        };
                    };
                };
            };
        };
        Bundle_filter: {
            kind: "INPUT_OBJECT";
            name: "Bundle_filter";
            isOneOf: false;
            inputFields: [{
                name: "id";
                type: {
                    kind: "SCALAR";
                    name: "ID";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "id_not";
                type: {
                    kind: "SCALAR";
                    name: "ID";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "id_gt";
                type: {
                    kind: "SCALAR";
                    name: "ID";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "id_lt";
                type: {
                    kind: "SCALAR";
                    name: "ID";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "id_gte";
                type: {
                    kind: "SCALAR";
                    name: "ID";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "id_lte";
                type: {
                    kind: "SCALAR";
                    name: "ID";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "id_in";
                type: {
                    kind: "LIST";
                    name: never;
                    ofType: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "SCALAR";
                            name: "ID";
                            ofType: null;
                        };
                    };
                };
                defaultValue: null;
            }, {
                name: "id_not_in";
                type: {
                    kind: "LIST";
                    name: never;
                    ofType: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "SCALAR";
                            name: "ID";
                            ofType: null;
                        };
                    };
                };
                defaultValue: null;
            }, {
                name: "createdAt";
                type: {
                    kind: "SCALAR";
                    name: "BigInt";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "createdAt_not";
                type: {
                    kind: "SCALAR";
                    name: "BigInt";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "createdAt_gt";
                type: {
                    kind: "SCALAR";
                    name: "BigInt";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "createdAt_lt";
                type: {
                    kind: "SCALAR";
                    name: "BigInt";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "createdAt_gte";
                type: {
                    kind: "SCALAR";
                    name: "BigInt";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "createdAt_lte";
                type: {
                    kind: "SCALAR";
                    name: "BigInt";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "createdAt_in";
                type: {
                    kind: "LIST";
                    name: never;
                    ofType: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "SCALAR";
                            name: "BigInt";
                            ofType: null;
                        };
                    };
                };
                defaultValue: null;
            }, {
                name: "createdAt_not_in";
                type: {
                    kind: "LIST";
                    name: never;
                    ofType: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "SCALAR";
                            name: "BigInt";
                            ofType: null;
                        };
                    };
                };
                defaultValue: null;
            }, {
                name: "bundle";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "bundle_not";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "bundle_gt";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "bundle_lt";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "bundle_gte";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "bundle_lte";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "bundle_in";
                type: {
                    kind: "LIST";
                    name: never;
                    ofType: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "SCALAR";
                            name: "String";
                            ofType: null;
                        };
                    };
                };
                defaultValue: null;
            }, {
                name: "bundle_not_in";
                type: {
                    kind: "LIST";
                    name: never;
                    ofType: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "SCALAR";
                            name: "String";
                            ofType: null;
                        };
                    };
                };
                defaultValue: null;
            }, {
                name: "bundle_contains";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "bundle_contains_nocase";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "bundle_not_contains";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "bundle_not_contains_nocase";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "bundle_starts_with";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "bundle_starts_with_nocase";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "bundle_not_starts_with";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "bundle_not_starts_with_nocase";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "bundle_ends_with";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "bundle_ends_with_nocase";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "bundle_not_ends_with";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "bundle_not_ends_with_nocase";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "creator";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "creator_not";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "creator_gt";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "creator_lt";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "creator_gte";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "creator_lte";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "creator_in";
                type: {
                    kind: "LIST";
                    name: never;
                    ofType: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "SCALAR";
                            name: "String";
                            ofType: null;
                        };
                    };
                };
                defaultValue: null;
            }, {
                name: "creator_not_in";
                type: {
                    kind: "LIST";
                    name: never;
                    ofType: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "SCALAR";
                            name: "String";
                            ofType: null;
                        };
                    };
                };
                defaultValue: null;
            }, {
                name: "creator_contains";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "creator_contains_nocase";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "creator_not_contains";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "creator_not_contains_nocase";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "creator_starts_with";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "creator_starts_with_nocase";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "creator_not_starts_with";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "creator_not_starts_with_nocase";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "creator_ends_with";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "creator_ends_with_nocase";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "creator_not_ends_with";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "creator_not_ends_with_nocase";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "host";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "host_not";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "host_gt";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "host_lt";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "host_gte";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "host_lte";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "host_in";
                type: {
                    kind: "LIST";
                    name: never;
                    ofType: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "SCALAR";
                            name: "String";
                            ofType: null;
                        };
                    };
                };
                defaultValue: null;
            }, {
                name: "host_not_in";
                type: {
                    kind: "LIST";
                    name: never;
                    ofType: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "SCALAR";
                            name: "String";
                            ofType: null;
                        };
                    };
                };
                defaultValue: null;
            }, {
                name: "host_contains";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "host_contains_nocase";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "host_not_contains";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "host_not_contains_nocase";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "host_starts_with";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "host_starts_with_nocase";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "host_not_starts_with";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "host_not_starts_with_nocase";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "host_ends_with";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "host_ends_with_nocase";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "host_not_ends_with";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "host_not_ends_with_nocase";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "source";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "source_not";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "source_gt";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "source_lt";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "source_gte";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "source_lte";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "source_in";
                type: {
                    kind: "LIST";
                    name: never;
                    ofType: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "SCALAR";
                            name: "String";
                            ofType: null;
                        };
                    };
                };
                defaultValue: null;
            }, {
                name: "source_not_in";
                type: {
                    kind: "LIST";
                    name: never;
                    ofType: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "SCALAR";
                            name: "String";
                            ofType: null;
                        };
                    };
                };
                defaultValue: null;
            }, {
                name: "source_contains";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "source_contains_nocase";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "source_not_contains";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "source_not_contains_nocase";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "source_starts_with";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "source_starts_with_nocase";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "source_not_starts_with";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "source_not_starts_with_nocase";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "source_ends_with";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "source_ends_with_nocase";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "source_not_ends_with";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "source_not_ends_with_nocase";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "output";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "output_not";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "output_gt";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "output_lt";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "output_gte";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "output_lte";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "output_in";
                type: {
                    kind: "LIST";
                    name: never;
                    ofType: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "SCALAR";
                            name: "String";
                            ofType: null;
                        };
                    };
                };
                defaultValue: null;
            }, {
                name: "output_not_in";
                type: {
                    kind: "LIST";
                    name: never;
                    ofType: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "SCALAR";
                            name: "String";
                            ofType: null;
                        };
                    };
                };
                defaultValue: null;
            }, {
                name: "output_contains";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "output_contains_nocase";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "output_not_contains";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "output_not_contains_nocase";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "output_starts_with";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "output_starts_with_nocase";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "output_not_starts_with";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "output_not_starts_with_nocase";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "output_ends_with";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "output_ends_with_nocase";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "output_not_ends_with";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "output_not_ends_with_nocase";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "active";
                type: {
                    kind: "SCALAR";
                    name: "Boolean";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "active_not";
                type: {
                    kind: "SCALAR";
                    name: "Boolean";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "active_in";
                type: {
                    kind: "LIST";
                    name: never;
                    ofType: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "SCALAR";
                            name: "Boolean";
                            ofType: null;
                        };
                    };
                };
                defaultValue: null;
            }, {
                name: "active_not_in";
                type: {
                    kind: "LIST";
                    name: never;
                    ofType: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "SCALAR";
                            name: "Boolean";
                            ofType: null;
                        };
                    };
                };
                defaultValue: null;
            }, {
                name: "infoHash";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "infoHash_not";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "infoHash_gt";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "infoHash_lt";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "infoHash_gte";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "infoHash_lte";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "infoHash_in";
                type: {
                    kind: "LIST";
                    name: never;
                    ofType: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "SCALAR";
                            name: "String";
                            ofType: null;
                        };
                    };
                };
                defaultValue: null;
            }, {
                name: "infoHash_not_in";
                type: {
                    kind: "LIST";
                    name: never;
                    ofType: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "SCALAR";
                            name: "String";
                            ofType: null;
                        };
                    };
                };
                defaultValue: null;
            }, {
                name: "infoHash_contains";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "infoHash_contains_nocase";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "infoHash_not_contains";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "infoHash_not_contains_nocase";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "infoHash_starts_with";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "infoHash_starts_with_nocase";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "infoHash_not_starts_with";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "infoHash_not_starts_with_nocase";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "infoHash_ends_with";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "infoHash_ends_with_nocase";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "infoHash_not_ends_with";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "infoHash_not_ends_with_nocase";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "hash";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "hash_not";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "hash_gt";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "hash_lt";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "hash_gte";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "hash_lte";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "hash_in";
                type: {
                    kind: "LIST";
                    name: never;
                    ofType: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "SCALAR";
                            name: "String";
                            ofType: null;
                        };
                    };
                };
                defaultValue: null;
            }, {
                name: "hash_not_in";
                type: {
                    kind: "LIST";
                    name: never;
                    ofType: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "SCALAR";
                            name: "String";
                            ofType: null;
                        };
                    };
                };
                defaultValue: null;
            }, {
                name: "hash_contains";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "hash_contains_nocase";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "hash_not_contains";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "hash_not_contains_nocase";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "hash_starts_with";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "hash_starts_with_nocase";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "hash_not_starts_with";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "hash_not_starts_with_nocase";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "hash_ends_with";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "hash_ends_with_nocase";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "hash_not_ends_with";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "hash_not_ends_with_nocase";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "_change_block";
                type: {
                    kind: "INPUT_OBJECT";
                    name: "BlockChangedFilter";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "and";
                type: {
                    kind: "LIST";
                    name: never;
                    ofType: {
                        kind: "INPUT_OBJECT";
                        name: "Bundle_filter";
                        ofType: null;
                    };
                };
                defaultValue: null;
            }, {
                name: "or";
                type: {
                    kind: "LIST";
                    name: never;
                    ofType: {
                        kind: "INPUT_OBJECT";
                        name: "Bundle_filter";
                        ofType: null;
                    };
                };
                defaultValue: null;
            }];
        };
        Bundle_orderBy: {
            name: "Bundle_orderBy";
            enumValues: "id" | "hash" | "source" | "createdAt" | "bundle" | "active" | "creator" | "host" | "infoHash" | "output";
        };
        Bytes: unknown;
        Creator: {
            kind: "OBJECT";
            name: "Creator";
            fields: {
                id: {
                    name: "id";
                    type: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "SCALAR";
                            name: "ID";
                            ofType: null;
                        };
                    };
                };
                revenue: {
                    name: "revenue";
                    type: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "SCALAR";
                            name: "BigDecimal";
                            ofType: null;
                        };
                    };
                };
                strategies: {
                    name: "strategies";
                    type: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "LIST";
                            name: never;
                            ofType: {
                                kind: "NON_NULL";
                                name: never;
                                ofType: {
                                    kind: "OBJECT";
                                    name: "Strategy";
                                    ofType: null;
                                };
                            };
                        };
                    };
                };
                totalValueLocked: {
                    name: "totalValueLocked";
                    type: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "SCALAR";
                            name: "BigDecimal";
                            ofType: null;
                        };
                    };
                };
                totalYield: {
                    name: "totalYield";
                    type: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "SCALAR";
                            name: "BigDecimal";
                            ofType: null;
                        };
                    };
                };
                withdrawals: {
                    name: "withdrawals";
                    type: {
                        kind: "LIST";
                        name: never;
                        ofType: {
                            kind: "NON_NULL";
                            name: never;
                            ofType: {
                                kind: "OBJECT";
                                name: "CreatorWithdrawal";
                                ofType: null;
                            };
                        };
                    };
                };
            };
        };
        CreatorWithdrawal: {
            kind: "OBJECT";
            name: "CreatorWithdrawal";
            fields: {
                amount: {
                    name: "amount";
                    type: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "SCALAR";
                            name: "BigDecimal";
                            ofType: null;
                        };
                    };
                };
                creator: {
                    name: "creator";
                    type: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "OBJECT";
                            name: "Creator";
                            ofType: null;
                        };
                    };
                };
                id: {
                    name: "id";
                    type: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "SCALAR";
                            name: "ID";
                            ofType: null;
                        };
                    };
                };
                timeStamp: {
                    name: "timeStamp";
                    type: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "SCALAR";
                            name: "BigInt";
                            ofType: null;
                        };
                    };
                };
            };
        };
        CreatorWithdrawal_filter: {
            kind: "INPUT_OBJECT";
            name: "CreatorWithdrawal_filter";
            isOneOf: false;
            inputFields: [{
                name: "id";
                type: {
                    kind: "SCALAR";
                    name: "ID";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "id_not";
                type: {
                    kind: "SCALAR";
                    name: "ID";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "id_gt";
                type: {
                    kind: "SCALAR";
                    name: "ID";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "id_lt";
                type: {
                    kind: "SCALAR";
                    name: "ID";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "id_gte";
                type: {
                    kind: "SCALAR";
                    name: "ID";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "id_lte";
                type: {
                    kind: "SCALAR";
                    name: "ID";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "id_in";
                type: {
                    kind: "LIST";
                    name: never;
                    ofType: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "SCALAR";
                            name: "ID";
                            ofType: null;
                        };
                    };
                };
                defaultValue: null;
            }, {
                name: "id_not_in";
                type: {
                    kind: "LIST";
                    name: never;
                    ofType: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "SCALAR";
                            name: "ID";
                            ofType: null;
                        };
                    };
                };
                defaultValue: null;
            }, {
                name: "timeStamp";
                type: {
                    kind: "SCALAR";
                    name: "BigInt";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "timeStamp_not";
                type: {
                    kind: "SCALAR";
                    name: "BigInt";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "timeStamp_gt";
                type: {
                    kind: "SCALAR";
                    name: "BigInt";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "timeStamp_lt";
                type: {
                    kind: "SCALAR";
                    name: "BigInt";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "timeStamp_gte";
                type: {
                    kind: "SCALAR";
                    name: "BigInt";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "timeStamp_lte";
                type: {
                    kind: "SCALAR";
                    name: "BigInt";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "timeStamp_in";
                type: {
                    kind: "LIST";
                    name: never;
                    ofType: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "SCALAR";
                            name: "BigInt";
                            ofType: null;
                        };
                    };
                };
                defaultValue: null;
            }, {
                name: "timeStamp_not_in";
                type: {
                    kind: "LIST";
                    name: never;
                    ofType: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "SCALAR";
                            name: "BigInt";
                            ofType: null;
                        };
                    };
                };
                defaultValue: null;
            }, {
                name: "creator";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "creator_not";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "creator_gt";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "creator_lt";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "creator_gte";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "creator_lte";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "creator_in";
                type: {
                    kind: "LIST";
                    name: never;
                    ofType: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "SCALAR";
                            name: "String";
                            ofType: null;
                        };
                    };
                };
                defaultValue: null;
            }, {
                name: "creator_not_in";
                type: {
                    kind: "LIST";
                    name: never;
                    ofType: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "SCALAR";
                            name: "String";
                            ofType: null;
                        };
                    };
                };
                defaultValue: null;
            }, {
                name: "creator_contains";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "creator_contains_nocase";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "creator_not_contains";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "creator_not_contains_nocase";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "creator_starts_with";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "creator_starts_with_nocase";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "creator_not_starts_with";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "creator_not_starts_with_nocase";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "creator_ends_with";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "creator_ends_with_nocase";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "creator_not_ends_with";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "creator_not_ends_with_nocase";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "creator_";
                type: {
                    kind: "INPUT_OBJECT";
                    name: "Creator_filter";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "amount";
                type: {
                    kind: "SCALAR";
                    name: "BigDecimal";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "amount_not";
                type: {
                    kind: "SCALAR";
                    name: "BigDecimal";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "amount_gt";
                type: {
                    kind: "SCALAR";
                    name: "BigDecimal";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "amount_lt";
                type: {
                    kind: "SCALAR";
                    name: "BigDecimal";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "amount_gte";
                type: {
                    kind: "SCALAR";
                    name: "BigDecimal";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "amount_lte";
                type: {
                    kind: "SCALAR";
                    name: "BigDecimal";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "amount_in";
                type: {
                    kind: "LIST";
                    name: never;
                    ofType: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "SCALAR";
                            name: "BigDecimal";
                            ofType: null;
                        };
                    };
                };
                defaultValue: null;
            }, {
                name: "amount_not_in";
                type: {
                    kind: "LIST";
                    name: never;
                    ofType: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "SCALAR";
                            name: "BigDecimal";
                            ofType: null;
                        };
                    };
                };
                defaultValue: null;
            }, {
                name: "_change_block";
                type: {
                    kind: "INPUT_OBJECT";
                    name: "BlockChangedFilter";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "and";
                type: {
                    kind: "LIST";
                    name: never;
                    ofType: {
                        kind: "INPUT_OBJECT";
                        name: "CreatorWithdrawal_filter";
                        ofType: null;
                    };
                };
                defaultValue: null;
            }, {
                name: "or";
                type: {
                    kind: "LIST";
                    name: never;
                    ofType: {
                        kind: "INPUT_OBJECT";
                        name: "CreatorWithdrawal_filter";
                        ofType: null;
                    };
                };
                defaultValue: null;
            }];
        };
        CreatorWithdrawal_orderBy: {
            name: "CreatorWithdrawal_orderBy";
            enumValues: "id" | "amount" | "timeStamp" | "creator" | "creator__id" | "creator__revenue" | "creator__totalValueLocked" | "creator__totalYield";
        };
        Creator_filter: {
            kind: "INPUT_OBJECT";
            name: "Creator_filter";
            isOneOf: false;
            inputFields: [{
                name: "id";
                type: {
                    kind: "SCALAR";
                    name: "ID";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "id_not";
                type: {
                    kind: "SCALAR";
                    name: "ID";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "id_gt";
                type: {
                    kind: "SCALAR";
                    name: "ID";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "id_lt";
                type: {
                    kind: "SCALAR";
                    name: "ID";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "id_gte";
                type: {
                    kind: "SCALAR";
                    name: "ID";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "id_lte";
                type: {
                    kind: "SCALAR";
                    name: "ID";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "id_in";
                type: {
                    kind: "LIST";
                    name: never;
                    ofType: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "SCALAR";
                            name: "ID";
                            ofType: null;
                        };
                    };
                };
                defaultValue: null;
            }, {
                name: "id_not_in";
                type: {
                    kind: "LIST";
                    name: never;
                    ofType: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "SCALAR";
                            name: "ID";
                            ofType: null;
                        };
                    };
                };
                defaultValue: null;
            }, {
                name: "strategies_";
                type: {
                    kind: "INPUT_OBJECT";
                    name: "Strategy_filter";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "revenue";
                type: {
                    kind: "SCALAR";
                    name: "BigDecimal";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "revenue_not";
                type: {
                    kind: "SCALAR";
                    name: "BigDecimal";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "revenue_gt";
                type: {
                    kind: "SCALAR";
                    name: "BigDecimal";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "revenue_lt";
                type: {
                    kind: "SCALAR";
                    name: "BigDecimal";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "revenue_gte";
                type: {
                    kind: "SCALAR";
                    name: "BigDecimal";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "revenue_lte";
                type: {
                    kind: "SCALAR";
                    name: "BigDecimal";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "revenue_in";
                type: {
                    kind: "LIST";
                    name: never;
                    ofType: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "SCALAR";
                            name: "BigDecimal";
                            ofType: null;
                        };
                    };
                };
                defaultValue: null;
            }, {
                name: "revenue_not_in";
                type: {
                    kind: "LIST";
                    name: never;
                    ofType: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "SCALAR";
                            name: "BigDecimal";
                            ofType: null;
                        };
                    };
                };
                defaultValue: null;
            }, {
                name: "withdrawals_";
                type: {
                    kind: "INPUT_OBJECT";
                    name: "CreatorWithdrawal_filter";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "totalValueLocked";
                type: {
                    kind: "SCALAR";
                    name: "BigDecimal";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "totalValueLocked_not";
                type: {
                    kind: "SCALAR";
                    name: "BigDecimal";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "totalValueLocked_gt";
                type: {
                    kind: "SCALAR";
                    name: "BigDecimal";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "totalValueLocked_lt";
                type: {
                    kind: "SCALAR";
                    name: "BigDecimal";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "totalValueLocked_gte";
                type: {
                    kind: "SCALAR";
                    name: "BigDecimal";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "totalValueLocked_lte";
                type: {
                    kind: "SCALAR";
                    name: "BigDecimal";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "totalValueLocked_in";
                type: {
                    kind: "LIST";
                    name: never;
                    ofType: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "SCALAR";
                            name: "BigDecimal";
                            ofType: null;
                        };
                    };
                };
                defaultValue: null;
            }, {
                name: "totalValueLocked_not_in";
                type: {
                    kind: "LIST";
                    name: never;
                    ofType: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "SCALAR";
                            name: "BigDecimal";
                            ofType: null;
                        };
                    };
                };
                defaultValue: null;
            }, {
                name: "totalYield";
                type: {
                    kind: "SCALAR";
                    name: "BigDecimal";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "totalYield_not";
                type: {
                    kind: "SCALAR";
                    name: "BigDecimal";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "totalYield_gt";
                type: {
                    kind: "SCALAR";
                    name: "BigDecimal";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "totalYield_lt";
                type: {
                    kind: "SCALAR";
                    name: "BigDecimal";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "totalYield_gte";
                type: {
                    kind: "SCALAR";
                    name: "BigDecimal";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "totalYield_lte";
                type: {
                    kind: "SCALAR";
                    name: "BigDecimal";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "totalYield_in";
                type: {
                    kind: "LIST";
                    name: never;
                    ofType: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "SCALAR";
                            name: "BigDecimal";
                            ofType: null;
                        };
                    };
                };
                defaultValue: null;
            }, {
                name: "totalYield_not_in";
                type: {
                    kind: "LIST";
                    name: never;
                    ofType: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "SCALAR";
                            name: "BigDecimal";
                            ofType: null;
                        };
                    };
                };
                defaultValue: null;
            }, {
                name: "_change_block";
                type: {
                    kind: "INPUT_OBJECT";
                    name: "BlockChangedFilter";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "and";
                type: {
                    kind: "LIST";
                    name: never;
                    ofType: {
                        kind: "INPUT_OBJECT";
                        name: "Creator_filter";
                        ofType: null;
                    };
                };
                defaultValue: null;
            }, {
                name: "or";
                type: {
                    kind: "LIST";
                    name: never;
                    ofType: {
                        kind: "INPUT_OBJECT";
                        name: "Creator_filter";
                        ofType: null;
                    };
                };
                defaultValue: null;
            }];
        };
        Creator_orderBy: {
            name: "Creator_orderBy";
            enumValues: "id" | "withdrawals" | "totalValueLocked" | "strategies" | "revenue" | "totalYield";
        };
        Depositor: {
            kind: "OBJECT";
            name: "Depositor";
            fields: {
                account: {
                    name: "account";
                    type: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "SCALAR";
                            name: "String";
                            ofType: null;
                        };
                    };
                };
                createdTimestamp: {
                    name: "createdTimestamp";
                    type: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "SCALAR";
                            name: "BigInt";
                            ofType: null;
                        };
                    };
                };
                depositCaller: {
                    name: "depositCaller";
                    type: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "SCALAR";
                            name: "String";
                            ofType: null;
                        };
                    };
                };
                depositedAmount0: {
                    name: "depositedAmount0";
                    type: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "SCALAR";
                            name: "BigInt";
                            ofType: null;
                        };
                    };
                };
                depositedAmount1: {
                    name: "depositedAmount1";
                    type: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "SCALAR";
                            name: "BigInt";
                            ofType: null;
                        };
                    };
                };
                executor: {
                    name: "executor";
                    type: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "SCALAR";
                            name: "String";
                            ofType: null;
                        };
                    };
                };
                id: {
                    name: "id";
                    type: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "SCALAR";
                            name: "ID";
                            ofType: null;
                        };
                    };
                };
                liquidityAmount0: {
                    name: "liquidityAmount0";
                    type: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "SCALAR";
                            name: "BigInt";
                            ofType: null;
                        };
                    };
                };
                liquidityAmount1: {
                    name: "liquidityAmount1";
                    type: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "SCALAR";
                            name: "BigInt";
                            ofType: null;
                        };
                    };
                };
                shares: {
                    name: "shares";
                    type: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "SCALAR";
                            name: "BigInt";
                            ofType: null;
                        };
                    };
                };
                updatedTimestamp: {
                    name: "updatedTimestamp";
                    type: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "SCALAR";
                            name: "BigInt";
                            ofType: null;
                        };
                    };
                };
                vault: {
                    name: "vault";
                    type: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "OBJECT";
                            name: "Vault";
                            ofType: null;
                        };
                    };
                };
                withdrawnAmount0: {
                    name: "withdrawnAmount0";
                    type: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "SCALAR";
                            name: "BigInt";
                            ofType: null;
                        };
                    };
                };
                withdrawnAmount1: {
                    name: "withdrawnAmount1";
                    type: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "SCALAR";
                            name: "BigInt";
                            ofType: null;
                        };
                    };
                };
            };
        };
        Depositor_filter: {
            kind: "INPUT_OBJECT";
            name: "Depositor_filter";
            isOneOf: false;
            inputFields: [{
                name: "id";
                type: {
                    kind: "SCALAR";
                    name: "ID";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "id_not";
                type: {
                    kind: "SCALAR";
                    name: "ID";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "id_gt";
                type: {
                    kind: "SCALAR";
                    name: "ID";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "id_lt";
                type: {
                    kind: "SCALAR";
                    name: "ID";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "id_gte";
                type: {
                    kind: "SCALAR";
                    name: "ID";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "id_lte";
                type: {
                    kind: "SCALAR";
                    name: "ID";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "id_in";
                type: {
                    kind: "LIST";
                    name: never;
                    ofType: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "SCALAR";
                            name: "ID";
                            ofType: null;
                        };
                    };
                };
                defaultValue: null;
            }, {
                name: "id_not_in";
                type: {
                    kind: "LIST";
                    name: never;
                    ofType: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "SCALAR";
                            name: "ID";
                            ofType: null;
                        };
                    };
                };
                defaultValue: null;
            }, {
                name: "vault";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "vault_not";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "vault_gt";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "vault_lt";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "vault_gte";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "vault_lte";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "vault_in";
                type: {
                    kind: "LIST";
                    name: never;
                    ofType: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "SCALAR";
                            name: "String";
                            ofType: null;
                        };
                    };
                };
                defaultValue: null;
            }, {
                name: "vault_not_in";
                type: {
                    kind: "LIST";
                    name: never;
                    ofType: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "SCALAR";
                            name: "String";
                            ofType: null;
                        };
                    };
                };
                defaultValue: null;
            }, {
                name: "vault_contains";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "vault_contains_nocase";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "vault_not_contains";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "vault_not_contains_nocase";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "vault_starts_with";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "vault_starts_with_nocase";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "vault_not_starts_with";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "vault_not_starts_with_nocase";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "vault_ends_with";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "vault_ends_with_nocase";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "vault_not_ends_with";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "vault_not_ends_with_nocase";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "vault_";
                type: {
                    kind: "INPUT_OBJECT";
                    name: "Vault_filter";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "account";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "account_not";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "account_gt";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "account_lt";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "account_gte";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "account_lte";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "account_in";
                type: {
                    kind: "LIST";
                    name: never;
                    ofType: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "SCALAR";
                            name: "String";
                            ofType: null;
                        };
                    };
                };
                defaultValue: null;
            }, {
                name: "account_not_in";
                type: {
                    kind: "LIST";
                    name: never;
                    ofType: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "SCALAR";
                            name: "String";
                            ofType: null;
                        };
                    };
                };
                defaultValue: null;
            }, {
                name: "account_contains";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "account_contains_nocase";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "account_not_contains";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "account_not_contains_nocase";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "account_starts_with";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "account_starts_with_nocase";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "account_not_starts_with";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "account_not_starts_with_nocase";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "account_ends_with";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "account_ends_with_nocase";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "account_not_ends_with";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "account_not_ends_with_nocase";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "executor";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "executor_not";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "executor_gt";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "executor_lt";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "executor_gte";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "executor_lte";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "executor_in";
                type: {
                    kind: "LIST";
                    name: never;
                    ofType: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "SCALAR";
                            name: "String";
                            ofType: null;
                        };
                    };
                };
                defaultValue: null;
            }, {
                name: "executor_not_in";
                type: {
                    kind: "LIST";
                    name: never;
                    ofType: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "SCALAR";
                            name: "String";
                            ofType: null;
                        };
                    };
                };
                defaultValue: null;
            }, {
                name: "executor_contains";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "executor_contains_nocase";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "executor_not_contains";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "executor_not_contains_nocase";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "executor_starts_with";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "executor_starts_with_nocase";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "executor_not_starts_with";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "executor_not_starts_with_nocase";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "executor_ends_with";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "executor_ends_with_nocase";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "executor_not_ends_with";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "executor_not_ends_with_nocase";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "depositCaller";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "depositCaller_not";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "depositCaller_gt";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "depositCaller_lt";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "depositCaller_gte";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "depositCaller_lte";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "depositCaller_in";
                type: {
                    kind: "LIST";
                    name: never;
                    ofType: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "SCALAR";
                            name: "String";
                            ofType: null;
                        };
                    };
                };
                defaultValue: null;
            }, {
                name: "depositCaller_not_in";
                type: {
                    kind: "LIST";
                    name: never;
                    ofType: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "SCALAR";
                            name: "String";
                            ofType: null;
                        };
                    };
                };
                defaultValue: null;
            }, {
                name: "depositCaller_contains";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "depositCaller_contains_nocase";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "depositCaller_not_contains";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "depositCaller_not_contains_nocase";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "depositCaller_starts_with";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "depositCaller_starts_with_nocase";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "depositCaller_not_starts_with";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "depositCaller_not_starts_with_nocase";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "depositCaller_ends_with";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "depositCaller_ends_with_nocase";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "depositCaller_not_ends_with";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "depositCaller_not_ends_with_nocase";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "depositedAmount0";
                type: {
                    kind: "SCALAR";
                    name: "BigInt";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "depositedAmount0_not";
                type: {
                    kind: "SCALAR";
                    name: "BigInt";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "depositedAmount0_gt";
                type: {
                    kind: "SCALAR";
                    name: "BigInt";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "depositedAmount0_lt";
                type: {
                    kind: "SCALAR";
                    name: "BigInt";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "depositedAmount0_gte";
                type: {
                    kind: "SCALAR";
                    name: "BigInt";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "depositedAmount0_lte";
                type: {
                    kind: "SCALAR";
                    name: "BigInt";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "depositedAmount0_in";
                type: {
                    kind: "LIST";
                    name: never;
                    ofType: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "SCALAR";
                            name: "BigInt";
                            ofType: null;
                        };
                    };
                };
                defaultValue: null;
            }, {
                name: "depositedAmount0_not_in";
                type: {
                    kind: "LIST";
                    name: never;
                    ofType: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "SCALAR";
                            name: "BigInt";
                            ofType: null;
                        };
                    };
                };
                defaultValue: null;
            }, {
                name: "depositedAmount1";
                type: {
                    kind: "SCALAR";
                    name: "BigInt";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "depositedAmount1_not";
                type: {
                    kind: "SCALAR";
                    name: "BigInt";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "depositedAmount1_gt";
                type: {
                    kind: "SCALAR";
                    name: "BigInt";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "depositedAmount1_lt";
                type: {
                    kind: "SCALAR";
                    name: "BigInt";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "depositedAmount1_gte";
                type: {
                    kind: "SCALAR";
                    name: "BigInt";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "depositedAmount1_lte";
                type: {
                    kind: "SCALAR";
                    name: "BigInt";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "depositedAmount1_in";
                type: {
                    kind: "LIST";
                    name: never;
                    ofType: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "SCALAR";
                            name: "BigInt";
                            ofType: null;
                        };
                    };
                };
                defaultValue: null;
            }, {
                name: "depositedAmount1_not_in";
                type: {
                    kind: "LIST";
                    name: never;
                    ofType: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "SCALAR";
                            name: "BigInt";
                            ofType: null;
                        };
                    };
                };
                defaultValue: null;
            }, {
                name: "withdrawnAmount0";
                type: {
                    kind: "SCALAR";
                    name: "BigInt";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "withdrawnAmount0_not";
                type: {
                    kind: "SCALAR";
                    name: "BigInt";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "withdrawnAmount0_gt";
                type: {
                    kind: "SCALAR";
                    name: "BigInt";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "withdrawnAmount0_lt";
                type: {
                    kind: "SCALAR";
                    name: "BigInt";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "withdrawnAmount0_gte";
                type: {
                    kind: "SCALAR";
                    name: "BigInt";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "withdrawnAmount0_lte";
                type: {
                    kind: "SCALAR";
                    name: "BigInt";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "withdrawnAmount0_in";
                type: {
                    kind: "LIST";
                    name: never;
                    ofType: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "SCALAR";
                            name: "BigInt";
                            ofType: null;
                        };
                    };
                };
                defaultValue: null;
            }, {
                name: "withdrawnAmount0_not_in";
                type: {
                    kind: "LIST";
                    name: never;
                    ofType: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "SCALAR";
                            name: "BigInt";
                            ofType: null;
                        };
                    };
                };
                defaultValue: null;
            }, {
                name: "withdrawnAmount1";
                type: {
                    kind: "SCALAR";
                    name: "BigInt";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "withdrawnAmount1_not";
                type: {
                    kind: "SCALAR";
                    name: "BigInt";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "withdrawnAmount1_gt";
                type: {
                    kind: "SCALAR";
                    name: "BigInt";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "withdrawnAmount1_lt";
                type: {
                    kind: "SCALAR";
                    name: "BigInt";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "withdrawnAmount1_gte";
                type: {
                    kind: "SCALAR";
                    name: "BigInt";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "withdrawnAmount1_lte";
                type: {
                    kind: "SCALAR";
                    name: "BigInt";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "withdrawnAmount1_in";
                type: {
                    kind: "LIST";
                    name: never;
                    ofType: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "SCALAR";
                            name: "BigInt";
                            ofType: null;
                        };
                    };
                };
                defaultValue: null;
            }, {
                name: "withdrawnAmount1_not_in";
                type: {
                    kind: "LIST";
                    name: never;
                    ofType: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "SCALAR";
                            name: "BigInt";
                            ofType: null;
                        };
                    };
                };
                defaultValue: null;
            }, {
                name: "liquidityAmount0";
                type: {
                    kind: "SCALAR";
                    name: "BigInt";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "liquidityAmount0_not";
                type: {
                    kind: "SCALAR";
                    name: "BigInt";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "liquidityAmount0_gt";
                type: {
                    kind: "SCALAR";
                    name: "BigInt";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "liquidityAmount0_lt";
                type: {
                    kind: "SCALAR";
                    name: "BigInt";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "liquidityAmount0_gte";
                type: {
                    kind: "SCALAR";
                    name: "BigInt";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "liquidityAmount0_lte";
                type: {
                    kind: "SCALAR";
                    name: "BigInt";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "liquidityAmount0_in";
                type: {
                    kind: "LIST";
                    name: never;
                    ofType: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "SCALAR";
                            name: "BigInt";
                            ofType: null;
                        };
                    };
                };
                defaultValue: null;
            }, {
                name: "liquidityAmount0_not_in";
                type: {
                    kind: "LIST";
                    name: never;
                    ofType: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "SCALAR";
                            name: "BigInt";
                            ofType: null;
                        };
                    };
                };
                defaultValue: null;
            }, {
                name: "liquidityAmount1";
                type: {
                    kind: "SCALAR";
                    name: "BigInt";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "liquidityAmount1_not";
                type: {
                    kind: "SCALAR";
                    name: "BigInt";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "liquidityAmount1_gt";
                type: {
                    kind: "SCALAR";
                    name: "BigInt";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "liquidityAmount1_lt";
                type: {
                    kind: "SCALAR";
                    name: "BigInt";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "liquidityAmount1_gte";
                type: {
                    kind: "SCALAR";
                    name: "BigInt";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "liquidityAmount1_lte";
                type: {
                    kind: "SCALAR";
                    name: "BigInt";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "liquidityAmount1_in";
                type: {
                    kind: "LIST";
                    name: never;
                    ofType: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "SCALAR";
                            name: "BigInt";
                            ofType: null;
                        };
                    };
                };
                defaultValue: null;
            }, {
                name: "liquidityAmount1_not_in";
                type: {
                    kind: "LIST";
                    name: never;
                    ofType: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "SCALAR";
                            name: "BigInt";
                            ofType: null;
                        };
                    };
                };
                defaultValue: null;
            }, {
                name: "createdTimestamp";
                type: {
                    kind: "SCALAR";
                    name: "BigInt";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "createdTimestamp_not";
                type: {
                    kind: "SCALAR";
                    name: "BigInt";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "createdTimestamp_gt";
                type: {
                    kind: "SCALAR";
                    name: "BigInt";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "createdTimestamp_lt";
                type: {
                    kind: "SCALAR";
                    name: "BigInt";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "createdTimestamp_gte";
                type: {
                    kind: "SCALAR";
                    name: "BigInt";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "createdTimestamp_lte";
                type: {
                    kind: "SCALAR";
                    name: "BigInt";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "createdTimestamp_in";
                type: {
                    kind: "LIST";
                    name: never;
                    ofType: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "SCALAR";
                            name: "BigInt";
                            ofType: null;
                        };
                    };
                };
                defaultValue: null;
            }, {
                name: "createdTimestamp_not_in";
                type: {
                    kind: "LIST";
                    name: never;
                    ofType: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "SCALAR";
                            name: "BigInt";
                            ofType: null;
                        };
                    };
                };
                defaultValue: null;
            }, {
                name: "updatedTimestamp";
                type: {
                    kind: "SCALAR";
                    name: "BigInt";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "updatedTimestamp_not";
                type: {
                    kind: "SCALAR";
                    name: "BigInt";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "updatedTimestamp_gt";
                type: {
                    kind: "SCALAR";
                    name: "BigInt";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "updatedTimestamp_lt";
                type: {
                    kind: "SCALAR";
                    name: "BigInt";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "updatedTimestamp_gte";
                type: {
                    kind: "SCALAR";
                    name: "BigInt";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "updatedTimestamp_lte";
                type: {
                    kind: "SCALAR";
                    name: "BigInt";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "updatedTimestamp_in";
                type: {
                    kind: "LIST";
                    name: never;
                    ofType: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "SCALAR";
                            name: "BigInt";
                            ofType: null;
                        };
                    };
                };
                defaultValue: null;
            }, {
                name: "updatedTimestamp_not_in";
                type: {
                    kind: "LIST";
                    name: never;
                    ofType: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "SCALAR";
                            name: "BigInt";
                            ofType: null;
                        };
                    };
                };
                defaultValue: null;
            }, {
                name: "shares";
                type: {
                    kind: "SCALAR";
                    name: "BigInt";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "shares_not";
                type: {
                    kind: "SCALAR";
                    name: "BigInt";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "shares_gt";
                type: {
                    kind: "SCALAR";
                    name: "BigInt";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "shares_lt";
                type: {
                    kind: "SCALAR";
                    name: "BigInt";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "shares_gte";
                type: {
                    kind: "SCALAR";
                    name: "BigInt";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "shares_lte";
                type: {
                    kind: "SCALAR";
                    name: "BigInt";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "shares_in";
                type: {
                    kind: "LIST";
                    name: never;
                    ofType: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "SCALAR";
                            name: "BigInt";
                            ofType: null;
                        };
                    };
                };
                defaultValue: null;
            }, {
                name: "shares_not_in";
                type: {
                    kind: "LIST";
                    name: never;
                    ofType: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "SCALAR";
                            name: "BigInt";
                            ofType: null;
                        };
                    };
                };
                defaultValue: null;
            }, {
                name: "_change_block";
                type: {
                    kind: "INPUT_OBJECT";
                    name: "BlockChangedFilter";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "and";
                type: {
                    kind: "LIST";
                    name: never;
                    ofType: {
                        kind: "INPUT_OBJECT";
                        name: "Depositor_filter";
                        ofType: null;
                    };
                };
                defaultValue: null;
            }, {
                name: "or";
                type: {
                    kind: "LIST";
                    name: never;
                    ofType: {
                        kind: "INPUT_OBJECT";
                        name: "Depositor_filter";
                        ofType: null;
                    };
                };
                defaultValue: null;
            }];
        };
        Depositor_orderBy: {
            name: "Depositor_orderBy";
            enumValues: "id" | "account" | "createdTimestamp" | "depositCaller" | "depositedAmount0" | "depositedAmount1" | "executor" | "liquidityAmount0" | "liquidityAmount1" | "shares" | "updatedTimestamp" | "vault" | "withdrawnAmount0" | "withdrawnAmount1" | "vault__id" | "vault__deployer" | "vault__token0" | "vault__token1" | "vault__totalAmount0" | "vault__totalAmount1" | "vault__createdAt" | "vault__lastSnapshot" | "vault__pool" | "vault__state" | "vault__annualPercentageYield" | "vault__annualPercentageDailyYield" | "vault__annualPercentageMonthlyYield" | "vault__annualPercentageYearlyYield" | "vault__lastTotalT0ValuePerLPT" | "vault__accruedStrategistFees0" | "vault__accruedStrategistFees1" | "vault__fees0" | "vault__fees1" | "vault__beaconName" | "vault__gasUsed" | "vault__gasDeposited" | "vault__totalLPTokensIssued" | "vault__token1Symbol" | "vault__decimals" | "vault__feeTier" | "vault__name" | "vault__symbol" | "vault__token0Balance" | "vault__token0Decimals" | "vault__token0Name" | "vault__token0Symbol" | "vault__token1Balance" | "vault__token1Decimals" | "vault__token1Name" | "vault__payloadIpfs" | "vault__vaultManager" | "vault__averageFeeArrPerSecond" | "vault__totalSnapshots" | "vault__annualFeeARR" | "vault__dailyFeeAPR" | "vault__weeklyFeeAPR" | "vault__totalValueLockedToken0" | "vault__totalValueLockedToken1";
        };
        ID: unknown;
        Int: unknown;
        Int8: unknown;
        Job: {
            kind: "OBJECT";
            name: "Job";
            fields: {
                executions: {
                    name: "executions";
                    type: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "LIST";
                            name: never;
                            ofType: {
                                kind: "NON_NULL";
                                name: never;
                                ofType: {
                                    kind: "OBJECT";
                                    name: "JobExecution";
                                    ofType: null;
                                };
                            };
                        };
                    };
                };
                failedCounts: {
                    name: "failedCounts";
                    type: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "SCALAR";
                            name: "BigInt";
                            ofType: null;
                        };
                    };
                };
                gasUsed: {
                    name: "gasUsed";
                    type: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "SCALAR";
                            name: "BigInt";
                            ofType: null;
                        };
                    };
                };
                id: {
                    name: "id";
                    type: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "SCALAR";
                            name: "ID";
                            ofType: null;
                        };
                    };
                };
                ipfsHash: {
                    name: "ipfsHash";
                    type: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "SCALAR";
                            name: "String";
                            ofType: null;
                        };
                    };
                };
                jobHash: {
                    name: "jobHash";
                    type: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "SCALAR";
                            name: "String";
                            ofType: null;
                        };
                    };
                };
                jobInfo: {
                    name: "jobInfo";
                    type: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "LIST";
                            name: never;
                            ofType: {
                                kind: "NON_NULL";
                                name: never;
                                ofType: {
                                    kind: "SCALAR";
                                    name: "String";
                                    ofType: null;
                                };
                            };
                        };
                    };
                };
                name: {
                    name: "name";
                    type: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "SCALAR";
                            name: "String";
                            ofType: null;
                        };
                    };
                };
                status: {
                    name: "status";
                    type: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "SCALAR";
                            name: "BigInt";
                            ofType: null;
                        };
                    };
                };
                targetAddresses: {
                    name: "targetAddresses";
                    type: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "LIST";
                            name: never;
                            ofType: {
                                kind: "NON_NULL";
                                name: never;
                                ofType: {
                                    kind: "SCALAR";
                                    name: "String";
                                    ofType: null;
                                };
                            };
                        };
                    };
                };
                timestamp: {
                    name: "timestamp";
                    type: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "SCALAR";
                            name: "BigInt";
                            ofType: null;
                        };
                    };
                };
                vaultAddress: {
                    name: "vaultAddress";
                    type: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "OBJECT";
                            name: "Vault";
                            ofType: null;
                        };
                    };
                };
            };
        };
        JobExecution: {
            kind: "OBJECT";
            name: "JobExecution";
            fields: {
                executor: {
                    name: "executor";
                    type: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "SCALAR";
                            name: "String";
                            ofType: null;
                        };
                    };
                };
                id: {
                    name: "id";
                    type: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "SCALAR";
                            name: "ID";
                            ofType: null;
                        };
                    };
                };
                jobHash: {
                    name: "jobHash";
                    type: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "SCALAR";
                            name: "String";
                            ofType: null;
                        };
                    };
                };
                jobId: {
                    name: "jobId";
                    type: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "OBJECT";
                            name: "Job";
                            ofType: null;
                        };
                    };
                };
                jobIdString: {
                    name: "jobIdString";
                    type: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "SCALAR";
                            name: "String";
                            ofType: null;
                        };
                    };
                };
                status: {
                    name: "status";
                    type: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "SCALAR";
                            name: "String";
                            ofType: null;
                        };
                    };
                };
                timestamp: {
                    name: "timestamp";
                    type: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "SCALAR";
                            name: "BigInt";
                            ofType: null;
                        };
                    };
                };
            };
        };
        JobExecution_filter: {
            kind: "INPUT_OBJECT";
            name: "JobExecution_filter";
            isOneOf: false;
            inputFields: [{
                name: "id";
                type: {
                    kind: "SCALAR";
                    name: "ID";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "id_not";
                type: {
                    kind: "SCALAR";
                    name: "ID";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "id_gt";
                type: {
                    kind: "SCALAR";
                    name: "ID";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "id_lt";
                type: {
                    kind: "SCALAR";
                    name: "ID";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "id_gte";
                type: {
                    kind: "SCALAR";
                    name: "ID";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "id_lte";
                type: {
                    kind: "SCALAR";
                    name: "ID";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "id_in";
                type: {
                    kind: "LIST";
                    name: never;
                    ofType: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "SCALAR";
                            name: "ID";
                            ofType: null;
                        };
                    };
                };
                defaultValue: null;
            }, {
                name: "id_not_in";
                type: {
                    kind: "LIST";
                    name: never;
                    ofType: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "SCALAR";
                            name: "ID";
                            ofType: null;
                        };
                    };
                };
                defaultValue: null;
            }, {
                name: "timestamp";
                type: {
                    kind: "SCALAR";
                    name: "BigInt";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "timestamp_not";
                type: {
                    kind: "SCALAR";
                    name: "BigInt";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "timestamp_gt";
                type: {
                    kind: "SCALAR";
                    name: "BigInt";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "timestamp_lt";
                type: {
                    kind: "SCALAR";
                    name: "BigInt";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "timestamp_gte";
                type: {
                    kind: "SCALAR";
                    name: "BigInt";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "timestamp_lte";
                type: {
                    kind: "SCALAR";
                    name: "BigInt";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "timestamp_in";
                type: {
                    kind: "LIST";
                    name: never;
                    ofType: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "SCALAR";
                            name: "BigInt";
                            ofType: null;
                        };
                    };
                };
                defaultValue: null;
            }, {
                name: "timestamp_not_in";
                type: {
                    kind: "LIST";
                    name: never;
                    ofType: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "SCALAR";
                            name: "BigInt";
                            ofType: null;
                        };
                    };
                };
                defaultValue: null;
            }, {
                name: "jobHash";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "jobHash_not";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "jobHash_gt";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "jobHash_lt";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "jobHash_gte";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "jobHash_lte";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "jobHash_in";
                type: {
                    kind: "LIST";
                    name: never;
                    ofType: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "SCALAR";
                            name: "String";
                            ofType: null;
                        };
                    };
                };
                defaultValue: null;
            }, {
                name: "jobHash_not_in";
                type: {
                    kind: "LIST";
                    name: never;
                    ofType: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "SCALAR";
                            name: "String";
                            ofType: null;
                        };
                    };
                };
                defaultValue: null;
            }, {
                name: "jobHash_contains";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "jobHash_contains_nocase";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "jobHash_not_contains";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "jobHash_not_contains_nocase";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "jobHash_starts_with";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "jobHash_starts_with_nocase";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "jobHash_not_starts_with";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "jobHash_not_starts_with_nocase";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "jobHash_ends_with";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "jobHash_ends_with_nocase";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "jobHash_not_ends_with";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "jobHash_not_ends_with_nocase";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "executor";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "executor_not";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "executor_gt";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "executor_lt";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "executor_gte";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "executor_lte";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "executor_in";
                type: {
                    kind: "LIST";
                    name: never;
                    ofType: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "SCALAR";
                            name: "String";
                            ofType: null;
                        };
                    };
                };
                defaultValue: null;
            }, {
                name: "executor_not_in";
                type: {
                    kind: "LIST";
                    name: never;
                    ofType: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "SCALAR";
                            name: "String";
                            ofType: null;
                        };
                    };
                };
                defaultValue: null;
            }, {
                name: "executor_contains";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "executor_contains_nocase";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "executor_not_contains";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "executor_not_contains_nocase";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "executor_starts_with";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "executor_starts_with_nocase";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "executor_not_starts_with";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "executor_not_starts_with_nocase";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "executor_ends_with";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "executor_ends_with_nocase";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "executor_not_ends_with";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "executor_not_ends_with_nocase";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "status";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "status_not";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "status_gt";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "status_lt";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "status_gte";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "status_lte";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "status_in";
                type: {
                    kind: "LIST";
                    name: never;
                    ofType: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "SCALAR";
                            name: "String";
                            ofType: null;
                        };
                    };
                };
                defaultValue: null;
            }, {
                name: "status_not_in";
                type: {
                    kind: "LIST";
                    name: never;
                    ofType: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "SCALAR";
                            name: "String";
                            ofType: null;
                        };
                    };
                };
                defaultValue: null;
            }, {
                name: "status_contains";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "status_contains_nocase";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "status_not_contains";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "status_not_contains_nocase";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "status_starts_with";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "status_starts_with_nocase";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "status_not_starts_with";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "status_not_starts_with_nocase";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "status_ends_with";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "status_ends_with_nocase";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "status_not_ends_with";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "status_not_ends_with_nocase";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "jobIdString";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "jobIdString_not";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "jobIdString_gt";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "jobIdString_lt";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "jobIdString_gte";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "jobIdString_lte";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "jobIdString_in";
                type: {
                    kind: "LIST";
                    name: never;
                    ofType: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "SCALAR";
                            name: "String";
                            ofType: null;
                        };
                    };
                };
                defaultValue: null;
            }, {
                name: "jobIdString_not_in";
                type: {
                    kind: "LIST";
                    name: never;
                    ofType: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "SCALAR";
                            name: "String";
                            ofType: null;
                        };
                    };
                };
                defaultValue: null;
            }, {
                name: "jobIdString_contains";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "jobIdString_contains_nocase";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "jobIdString_not_contains";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "jobIdString_not_contains_nocase";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "jobIdString_starts_with";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "jobIdString_starts_with_nocase";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "jobIdString_not_starts_with";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "jobIdString_not_starts_with_nocase";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "jobIdString_ends_with";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "jobIdString_ends_with_nocase";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "jobIdString_not_ends_with";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "jobIdString_not_ends_with_nocase";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "jobId";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "jobId_not";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "jobId_gt";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "jobId_lt";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "jobId_gte";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "jobId_lte";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "jobId_in";
                type: {
                    kind: "LIST";
                    name: never;
                    ofType: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "SCALAR";
                            name: "String";
                            ofType: null;
                        };
                    };
                };
                defaultValue: null;
            }, {
                name: "jobId_not_in";
                type: {
                    kind: "LIST";
                    name: never;
                    ofType: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "SCALAR";
                            name: "String";
                            ofType: null;
                        };
                    };
                };
                defaultValue: null;
            }, {
                name: "jobId_contains";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "jobId_contains_nocase";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "jobId_not_contains";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "jobId_not_contains_nocase";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "jobId_starts_with";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "jobId_starts_with_nocase";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "jobId_not_starts_with";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "jobId_not_starts_with_nocase";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "jobId_ends_with";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "jobId_ends_with_nocase";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "jobId_not_ends_with";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "jobId_not_ends_with_nocase";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "jobId_";
                type: {
                    kind: "INPUT_OBJECT";
                    name: "Job_filter";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "_change_block";
                type: {
                    kind: "INPUT_OBJECT";
                    name: "BlockChangedFilter";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "and";
                type: {
                    kind: "LIST";
                    name: never;
                    ofType: {
                        kind: "INPUT_OBJECT";
                        name: "JobExecution_filter";
                        ofType: null;
                    };
                };
                defaultValue: null;
            }, {
                name: "or";
                type: {
                    kind: "LIST";
                    name: never;
                    ofType: {
                        kind: "INPUT_OBJECT";
                        name: "JobExecution_filter";
                        ofType: null;
                    };
                };
                defaultValue: null;
            }];
        };
        JobExecution_orderBy: {
            name: "JobExecution_orderBy";
            enumValues: "id" | "timestamp" | "status" | "executor" | "jobHash" | "jobId" | "jobIdString" | "jobId__id" | "jobId__name" | "jobId__timestamp" | "jobId__ipfsHash" | "jobId__status" | "jobId__failedCounts" | "jobId__jobHash" | "jobId__gasUsed";
        };
        JobGasDeposited: {
            kind: "OBJECT";
            name: "JobGasDeposited";
            fields: {
                amount: {
                    name: "amount";
                    type: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "SCALAR";
                            name: "BigInt";
                            ofType: null;
                        };
                    };
                };
                creator: {
                    name: "creator";
                    type: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "SCALAR";
                            name: "String";
                            ofType: null;
                        };
                    };
                };
                id: {
                    name: "id";
                    type: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "SCALAR";
                            name: "ID";
                            ofType: null;
                        };
                    };
                };
                timestamp: {
                    name: "timestamp";
                    type: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "SCALAR";
                            name: "BigInt";
                            ofType: null;
                        };
                    };
                };
            };
        };
        JobGasDeposited_filter: {
            kind: "INPUT_OBJECT";
            name: "JobGasDeposited_filter";
            isOneOf: false;
            inputFields: [{
                name: "id";
                type: {
                    kind: "SCALAR";
                    name: "ID";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "id_not";
                type: {
                    kind: "SCALAR";
                    name: "ID";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "id_gt";
                type: {
                    kind: "SCALAR";
                    name: "ID";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "id_lt";
                type: {
                    kind: "SCALAR";
                    name: "ID";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "id_gte";
                type: {
                    kind: "SCALAR";
                    name: "ID";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "id_lte";
                type: {
                    kind: "SCALAR";
                    name: "ID";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "id_in";
                type: {
                    kind: "LIST";
                    name: never;
                    ofType: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "SCALAR";
                            name: "ID";
                            ofType: null;
                        };
                    };
                };
                defaultValue: null;
            }, {
                name: "id_not_in";
                type: {
                    kind: "LIST";
                    name: never;
                    ofType: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "SCALAR";
                            name: "ID";
                            ofType: null;
                        };
                    };
                };
                defaultValue: null;
            }, {
                name: "timestamp";
                type: {
                    kind: "SCALAR";
                    name: "BigInt";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "timestamp_not";
                type: {
                    kind: "SCALAR";
                    name: "BigInt";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "timestamp_gt";
                type: {
                    kind: "SCALAR";
                    name: "BigInt";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "timestamp_lt";
                type: {
                    kind: "SCALAR";
                    name: "BigInt";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "timestamp_gte";
                type: {
                    kind: "SCALAR";
                    name: "BigInt";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "timestamp_lte";
                type: {
                    kind: "SCALAR";
                    name: "BigInt";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "timestamp_in";
                type: {
                    kind: "LIST";
                    name: never;
                    ofType: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "SCALAR";
                            name: "BigInt";
                            ofType: null;
                        };
                    };
                };
                defaultValue: null;
            }, {
                name: "timestamp_not_in";
                type: {
                    kind: "LIST";
                    name: never;
                    ofType: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "SCALAR";
                            name: "BigInt";
                            ofType: null;
                        };
                    };
                };
                defaultValue: null;
            }, {
                name: "creator";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "creator_not";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "creator_gt";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "creator_lt";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "creator_gte";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "creator_lte";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "creator_in";
                type: {
                    kind: "LIST";
                    name: never;
                    ofType: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "SCALAR";
                            name: "String";
                            ofType: null;
                        };
                    };
                };
                defaultValue: null;
            }, {
                name: "creator_not_in";
                type: {
                    kind: "LIST";
                    name: never;
                    ofType: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "SCALAR";
                            name: "String";
                            ofType: null;
                        };
                    };
                };
                defaultValue: null;
            }, {
                name: "creator_contains";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "creator_contains_nocase";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "creator_not_contains";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "creator_not_contains_nocase";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "creator_starts_with";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "creator_starts_with_nocase";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "creator_not_starts_with";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "creator_not_starts_with_nocase";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "creator_ends_with";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "creator_ends_with_nocase";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "creator_not_ends_with";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "creator_not_ends_with_nocase";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "amount";
                type: {
                    kind: "SCALAR";
                    name: "BigInt";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "amount_not";
                type: {
                    kind: "SCALAR";
                    name: "BigInt";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "amount_gt";
                type: {
                    kind: "SCALAR";
                    name: "BigInt";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "amount_lt";
                type: {
                    kind: "SCALAR";
                    name: "BigInt";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "amount_gte";
                type: {
                    kind: "SCALAR";
                    name: "BigInt";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "amount_lte";
                type: {
                    kind: "SCALAR";
                    name: "BigInt";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "amount_in";
                type: {
                    kind: "LIST";
                    name: never;
                    ofType: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "SCALAR";
                            name: "BigInt";
                            ofType: null;
                        };
                    };
                };
                defaultValue: null;
            }, {
                name: "amount_not_in";
                type: {
                    kind: "LIST";
                    name: never;
                    ofType: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "SCALAR";
                            name: "BigInt";
                            ofType: null;
                        };
                    };
                };
                defaultValue: null;
            }, {
                name: "_change_block";
                type: {
                    kind: "INPUT_OBJECT";
                    name: "BlockChangedFilter";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "and";
                type: {
                    kind: "LIST";
                    name: never;
                    ofType: {
                        kind: "INPUT_OBJECT";
                        name: "JobGasDeposited_filter";
                        ofType: null;
                    };
                };
                defaultValue: null;
            }, {
                name: "or";
                type: {
                    kind: "LIST";
                    name: never;
                    ofType: {
                        kind: "INPUT_OBJECT";
                        name: "JobGasDeposited_filter";
                        ofType: null;
                    };
                };
                defaultValue: null;
            }];
        };
        JobGasDeposited_orderBy: {
            name: "JobGasDeposited_orderBy";
            enumValues: "id" | "amount" | "timestamp" | "creator";
        };
        JobGasWithdrawn: {
            kind: "OBJECT";
            name: "JobGasWithdrawn";
            fields: {
                amount: {
                    name: "amount";
                    type: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "SCALAR";
                            name: "BigInt";
                            ofType: null;
                        };
                    };
                };
                creator: {
                    name: "creator";
                    type: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "SCALAR";
                            name: "String";
                            ofType: null;
                        };
                    };
                };
                id: {
                    name: "id";
                    type: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "SCALAR";
                            name: "ID";
                            ofType: null;
                        };
                    };
                };
                timestamp: {
                    name: "timestamp";
                    type: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "SCALAR";
                            name: "BigInt";
                            ofType: null;
                        };
                    };
                };
            };
        };
        JobGasWithdrawn_filter: {
            kind: "INPUT_OBJECT";
            name: "JobGasWithdrawn_filter";
            isOneOf: false;
            inputFields: [{
                name: "id";
                type: {
                    kind: "SCALAR";
                    name: "ID";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "id_not";
                type: {
                    kind: "SCALAR";
                    name: "ID";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "id_gt";
                type: {
                    kind: "SCALAR";
                    name: "ID";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "id_lt";
                type: {
                    kind: "SCALAR";
                    name: "ID";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "id_gte";
                type: {
                    kind: "SCALAR";
                    name: "ID";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "id_lte";
                type: {
                    kind: "SCALAR";
                    name: "ID";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "id_in";
                type: {
                    kind: "LIST";
                    name: never;
                    ofType: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "SCALAR";
                            name: "ID";
                            ofType: null;
                        };
                    };
                };
                defaultValue: null;
            }, {
                name: "id_not_in";
                type: {
                    kind: "LIST";
                    name: never;
                    ofType: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "SCALAR";
                            name: "ID";
                            ofType: null;
                        };
                    };
                };
                defaultValue: null;
            }, {
                name: "timestamp";
                type: {
                    kind: "SCALAR";
                    name: "BigInt";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "timestamp_not";
                type: {
                    kind: "SCALAR";
                    name: "BigInt";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "timestamp_gt";
                type: {
                    kind: "SCALAR";
                    name: "BigInt";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "timestamp_lt";
                type: {
                    kind: "SCALAR";
                    name: "BigInt";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "timestamp_gte";
                type: {
                    kind: "SCALAR";
                    name: "BigInt";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "timestamp_lte";
                type: {
                    kind: "SCALAR";
                    name: "BigInt";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "timestamp_in";
                type: {
                    kind: "LIST";
                    name: never;
                    ofType: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "SCALAR";
                            name: "BigInt";
                            ofType: null;
                        };
                    };
                };
                defaultValue: null;
            }, {
                name: "timestamp_not_in";
                type: {
                    kind: "LIST";
                    name: never;
                    ofType: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "SCALAR";
                            name: "BigInt";
                            ofType: null;
                        };
                    };
                };
                defaultValue: null;
            }, {
                name: "creator";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "creator_not";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "creator_gt";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "creator_lt";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "creator_gte";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "creator_lte";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "creator_in";
                type: {
                    kind: "LIST";
                    name: never;
                    ofType: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "SCALAR";
                            name: "String";
                            ofType: null;
                        };
                    };
                };
                defaultValue: null;
            }, {
                name: "creator_not_in";
                type: {
                    kind: "LIST";
                    name: never;
                    ofType: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "SCALAR";
                            name: "String";
                            ofType: null;
                        };
                    };
                };
                defaultValue: null;
            }, {
                name: "creator_contains";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "creator_contains_nocase";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "creator_not_contains";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "creator_not_contains_nocase";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "creator_starts_with";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "creator_starts_with_nocase";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "creator_not_starts_with";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "creator_not_starts_with_nocase";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "creator_ends_with";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "creator_ends_with_nocase";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "creator_not_ends_with";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "creator_not_ends_with_nocase";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "amount";
                type: {
                    kind: "SCALAR";
                    name: "BigInt";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "amount_not";
                type: {
                    kind: "SCALAR";
                    name: "BigInt";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "amount_gt";
                type: {
                    kind: "SCALAR";
                    name: "BigInt";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "amount_lt";
                type: {
                    kind: "SCALAR";
                    name: "BigInt";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "amount_gte";
                type: {
                    kind: "SCALAR";
                    name: "BigInt";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "amount_lte";
                type: {
                    kind: "SCALAR";
                    name: "BigInt";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "amount_in";
                type: {
                    kind: "LIST";
                    name: never;
                    ofType: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "SCALAR";
                            name: "BigInt";
                            ofType: null;
                        };
                    };
                };
                defaultValue: null;
            }, {
                name: "amount_not_in";
                type: {
                    kind: "LIST";
                    name: never;
                    ofType: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "SCALAR";
                            name: "BigInt";
                            ofType: null;
                        };
                    };
                };
                defaultValue: null;
            }, {
                name: "_change_block";
                type: {
                    kind: "INPUT_OBJECT";
                    name: "BlockChangedFilter";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "and";
                type: {
                    kind: "LIST";
                    name: never;
                    ofType: {
                        kind: "INPUT_OBJECT";
                        name: "JobGasWithdrawn_filter";
                        ofType: null;
                    };
                };
                defaultValue: null;
            }, {
                name: "or";
                type: {
                    kind: "LIST";
                    name: never;
                    ofType: {
                        kind: "INPUT_OBJECT";
                        name: "JobGasWithdrawn_filter";
                        ofType: null;
                    };
                };
                defaultValue: null;
            }];
        };
        JobGasWithdrawn_orderBy: {
            name: "JobGasWithdrawn_orderBy";
            enumValues: "id" | "amount" | "timestamp" | "creator";
        };
        Job_filter: {
            kind: "INPUT_OBJECT";
            name: "Job_filter";
            isOneOf: false;
            inputFields: [{
                name: "id";
                type: {
                    kind: "SCALAR";
                    name: "ID";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "id_not";
                type: {
                    kind: "SCALAR";
                    name: "ID";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "id_gt";
                type: {
                    kind: "SCALAR";
                    name: "ID";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "id_lt";
                type: {
                    kind: "SCALAR";
                    name: "ID";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "id_gte";
                type: {
                    kind: "SCALAR";
                    name: "ID";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "id_lte";
                type: {
                    kind: "SCALAR";
                    name: "ID";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "id_in";
                type: {
                    kind: "LIST";
                    name: never;
                    ofType: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "SCALAR";
                            name: "ID";
                            ofType: null;
                        };
                    };
                };
                defaultValue: null;
            }, {
                name: "id_not_in";
                type: {
                    kind: "LIST";
                    name: never;
                    ofType: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "SCALAR";
                            name: "ID";
                            ofType: null;
                        };
                    };
                };
                defaultValue: null;
            }, {
                name: "name";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "name_not";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "name_gt";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "name_lt";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "name_gte";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "name_lte";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "name_in";
                type: {
                    kind: "LIST";
                    name: never;
                    ofType: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "SCALAR";
                            name: "String";
                            ofType: null;
                        };
                    };
                };
                defaultValue: null;
            }, {
                name: "name_not_in";
                type: {
                    kind: "LIST";
                    name: never;
                    ofType: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "SCALAR";
                            name: "String";
                            ofType: null;
                        };
                    };
                };
                defaultValue: null;
            }, {
                name: "name_contains";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "name_contains_nocase";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "name_not_contains";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "name_not_contains_nocase";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "name_starts_with";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "name_starts_with_nocase";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "name_not_starts_with";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "name_not_starts_with_nocase";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "name_ends_with";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "name_ends_with_nocase";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "name_not_ends_with";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "name_not_ends_with_nocase";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "timestamp";
                type: {
                    kind: "SCALAR";
                    name: "BigInt";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "timestamp_not";
                type: {
                    kind: "SCALAR";
                    name: "BigInt";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "timestamp_gt";
                type: {
                    kind: "SCALAR";
                    name: "BigInt";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "timestamp_lt";
                type: {
                    kind: "SCALAR";
                    name: "BigInt";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "timestamp_gte";
                type: {
                    kind: "SCALAR";
                    name: "BigInt";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "timestamp_lte";
                type: {
                    kind: "SCALAR";
                    name: "BigInt";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "timestamp_in";
                type: {
                    kind: "LIST";
                    name: never;
                    ofType: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "SCALAR";
                            name: "BigInt";
                            ofType: null;
                        };
                    };
                };
                defaultValue: null;
            }, {
                name: "timestamp_not_in";
                type: {
                    kind: "LIST";
                    name: never;
                    ofType: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "SCALAR";
                            name: "BigInt";
                            ofType: null;
                        };
                    };
                };
                defaultValue: null;
            }, {
                name: "jobInfo";
                type: {
                    kind: "LIST";
                    name: never;
                    ofType: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "SCALAR";
                            name: "String";
                            ofType: null;
                        };
                    };
                };
                defaultValue: null;
            }, {
                name: "jobInfo_not";
                type: {
                    kind: "LIST";
                    name: never;
                    ofType: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "SCALAR";
                            name: "String";
                            ofType: null;
                        };
                    };
                };
                defaultValue: null;
            }, {
                name: "jobInfo_contains";
                type: {
                    kind: "LIST";
                    name: never;
                    ofType: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "SCALAR";
                            name: "String";
                            ofType: null;
                        };
                    };
                };
                defaultValue: null;
            }, {
                name: "jobInfo_contains_nocase";
                type: {
                    kind: "LIST";
                    name: never;
                    ofType: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "SCALAR";
                            name: "String";
                            ofType: null;
                        };
                    };
                };
                defaultValue: null;
            }, {
                name: "jobInfo_not_contains";
                type: {
                    kind: "LIST";
                    name: never;
                    ofType: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "SCALAR";
                            name: "String";
                            ofType: null;
                        };
                    };
                };
                defaultValue: null;
            }, {
                name: "jobInfo_not_contains_nocase";
                type: {
                    kind: "LIST";
                    name: never;
                    ofType: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "SCALAR";
                            name: "String";
                            ofType: null;
                        };
                    };
                };
                defaultValue: null;
            }, {
                name: "targetAddresses";
                type: {
                    kind: "LIST";
                    name: never;
                    ofType: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "SCALAR";
                            name: "String";
                            ofType: null;
                        };
                    };
                };
                defaultValue: null;
            }, {
                name: "targetAddresses_not";
                type: {
                    kind: "LIST";
                    name: never;
                    ofType: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "SCALAR";
                            name: "String";
                            ofType: null;
                        };
                    };
                };
                defaultValue: null;
            }, {
                name: "targetAddresses_contains";
                type: {
                    kind: "LIST";
                    name: never;
                    ofType: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "SCALAR";
                            name: "String";
                            ofType: null;
                        };
                    };
                };
                defaultValue: null;
            }, {
                name: "targetAddresses_contains_nocase";
                type: {
                    kind: "LIST";
                    name: never;
                    ofType: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "SCALAR";
                            name: "String";
                            ofType: null;
                        };
                    };
                };
                defaultValue: null;
            }, {
                name: "targetAddresses_not_contains";
                type: {
                    kind: "LIST";
                    name: never;
                    ofType: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "SCALAR";
                            name: "String";
                            ofType: null;
                        };
                    };
                };
                defaultValue: null;
            }, {
                name: "targetAddresses_not_contains_nocase";
                type: {
                    kind: "LIST";
                    name: never;
                    ofType: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "SCALAR";
                            name: "String";
                            ofType: null;
                        };
                    };
                };
                defaultValue: null;
            }, {
                name: "ipfsHash";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "ipfsHash_not";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "ipfsHash_gt";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "ipfsHash_lt";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "ipfsHash_gte";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "ipfsHash_lte";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "ipfsHash_in";
                type: {
                    kind: "LIST";
                    name: never;
                    ofType: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "SCALAR";
                            name: "String";
                            ofType: null;
                        };
                    };
                };
                defaultValue: null;
            }, {
                name: "ipfsHash_not_in";
                type: {
                    kind: "LIST";
                    name: never;
                    ofType: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "SCALAR";
                            name: "String";
                            ofType: null;
                        };
                    };
                };
                defaultValue: null;
            }, {
                name: "ipfsHash_contains";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "ipfsHash_contains_nocase";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "ipfsHash_not_contains";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "ipfsHash_not_contains_nocase";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "ipfsHash_starts_with";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "ipfsHash_starts_with_nocase";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "ipfsHash_not_starts_with";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "ipfsHash_not_starts_with_nocase";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "ipfsHash_ends_with";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "ipfsHash_ends_with_nocase";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "ipfsHash_not_ends_with";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "ipfsHash_not_ends_with_nocase";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "executions_";
                type: {
                    kind: "INPUT_OBJECT";
                    name: "JobExecution_filter";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "status";
                type: {
                    kind: "SCALAR";
                    name: "BigInt";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "status_not";
                type: {
                    kind: "SCALAR";
                    name: "BigInt";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "status_gt";
                type: {
                    kind: "SCALAR";
                    name: "BigInt";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "status_lt";
                type: {
                    kind: "SCALAR";
                    name: "BigInt";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "status_gte";
                type: {
                    kind: "SCALAR";
                    name: "BigInt";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "status_lte";
                type: {
                    kind: "SCALAR";
                    name: "BigInt";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "status_in";
                type: {
                    kind: "LIST";
                    name: never;
                    ofType: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "SCALAR";
                            name: "BigInt";
                            ofType: null;
                        };
                    };
                };
                defaultValue: null;
            }, {
                name: "status_not_in";
                type: {
                    kind: "LIST";
                    name: never;
                    ofType: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "SCALAR";
                            name: "BigInt";
                            ofType: null;
                        };
                    };
                };
                defaultValue: null;
            }, {
                name: "failedCounts";
                type: {
                    kind: "SCALAR";
                    name: "BigInt";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "failedCounts_not";
                type: {
                    kind: "SCALAR";
                    name: "BigInt";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "failedCounts_gt";
                type: {
                    kind: "SCALAR";
                    name: "BigInt";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "failedCounts_lt";
                type: {
                    kind: "SCALAR";
                    name: "BigInt";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "failedCounts_gte";
                type: {
                    kind: "SCALAR";
                    name: "BigInt";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "failedCounts_lte";
                type: {
                    kind: "SCALAR";
                    name: "BigInt";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "failedCounts_in";
                type: {
                    kind: "LIST";
                    name: never;
                    ofType: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "SCALAR";
                            name: "BigInt";
                            ofType: null;
                        };
                    };
                };
                defaultValue: null;
            }, {
                name: "failedCounts_not_in";
                type: {
                    kind: "LIST";
                    name: never;
                    ofType: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "SCALAR";
                            name: "BigInt";
                            ofType: null;
                        };
                    };
                };
                defaultValue: null;
            }, {
                name: "vaultAddress";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "vaultAddress_not";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "vaultAddress_gt";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "vaultAddress_lt";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "vaultAddress_gte";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "vaultAddress_lte";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "vaultAddress_in";
                type: {
                    kind: "LIST";
                    name: never;
                    ofType: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "SCALAR";
                            name: "String";
                            ofType: null;
                        };
                    };
                };
                defaultValue: null;
            }, {
                name: "vaultAddress_not_in";
                type: {
                    kind: "LIST";
                    name: never;
                    ofType: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "SCALAR";
                            name: "String";
                            ofType: null;
                        };
                    };
                };
                defaultValue: null;
            }, {
                name: "vaultAddress_contains";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "vaultAddress_contains_nocase";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "vaultAddress_not_contains";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "vaultAddress_not_contains_nocase";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "vaultAddress_starts_with";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "vaultAddress_starts_with_nocase";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "vaultAddress_not_starts_with";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "vaultAddress_not_starts_with_nocase";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "vaultAddress_ends_with";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "vaultAddress_ends_with_nocase";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "vaultAddress_not_ends_with";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "vaultAddress_not_ends_with_nocase";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "vaultAddress_";
                type: {
                    kind: "INPUT_OBJECT";
                    name: "Vault_filter";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "jobHash";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "jobHash_not";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "jobHash_gt";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "jobHash_lt";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "jobHash_gte";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "jobHash_lte";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "jobHash_in";
                type: {
                    kind: "LIST";
                    name: never;
                    ofType: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "SCALAR";
                            name: "String";
                            ofType: null;
                        };
                    };
                };
                defaultValue: null;
            }, {
                name: "jobHash_not_in";
                type: {
                    kind: "LIST";
                    name: never;
                    ofType: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "SCALAR";
                            name: "String";
                            ofType: null;
                        };
                    };
                };
                defaultValue: null;
            }, {
                name: "jobHash_contains";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "jobHash_contains_nocase";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "jobHash_not_contains";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "jobHash_not_contains_nocase";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "jobHash_starts_with";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "jobHash_starts_with_nocase";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "jobHash_not_starts_with";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "jobHash_not_starts_with_nocase";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "jobHash_ends_with";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "jobHash_ends_with_nocase";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "jobHash_not_ends_with";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "jobHash_not_ends_with_nocase";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "gasUsed";
                type: {
                    kind: "SCALAR";
                    name: "BigInt";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "gasUsed_not";
                type: {
                    kind: "SCALAR";
                    name: "BigInt";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "gasUsed_gt";
                type: {
                    kind: "SCALAR";
                    name: "BigInt";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "gasUsed_lt";
                type: {
                    kind: "SCALAR";
                    name: "BigInt";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "gasUsed_gte";
                type: {
                    kind: "SCALAR";
                    name: "BigInt";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "gasUsed_lte";
                type: {
                    kind: "SCALAR";
                    name: "BigInt";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "gasUsed_in";
                type: {
                    kind: "LIST";
                    name: never;
                    ofType: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "SCALAR";
                            name: "BigInt";
                            ofType: null;
                        };
                    };
                };
                defaultValue: null;
            }, {
                name: "gasUsed_not_in";
                type: {
                    kind: "LIST";
                    name: never;
                    ofType: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "SCALAR";
                            name: "BigInt";
                            ofType: null;
                        };
                    };
                };
                defaultValue: null;
            }, {
                name: "_change_block";
                type: {
                    kind: "INPUT_OBJECT";
                    name: "BlockChangedFilter";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "and";
                type: {
                    kind: "LIST";
                    name: never;
                    ofType: {
                        kind: "INPUT_OBJECT";
                        name: "Job_filter";
                        ofType: null;
                    };
                };
                defaultValue: null;
            }, {
                name: "or";
                type: {
                    kind: "LIST";
                    name: never;
                    ofType: {
                        kind: "INPUT_OBJECT";
                        name: "Job_filter";
                        ofType: null;
                    };
                };
                defaultValue: null;
            }];
        };
        Job_orderBy: {
            name: "Job_orderBy";
            enumValues: "id" | "timestamp" | "gasUsed" | "name" | "status" | "vaultAddress" | "executions" | "failedCounts" | "ipfsHash" | "jobHash" | "jobInfo" | "targetAddresses" | "vaultAddress__id" | "vaultAddress__deployer" | "vaultAddress__token0" | "vaultAddress__token1" | "vaultAddress__totalAmount0" | "vaultAddress__totalAmount1" | "vaultAddress__createdAt" | "vaultAddress__lastSnapshot" | "vaultAddress__pool" | "vaultAddress__state" | "vaultAddress__annualPercentageYield" | "vaultAddress__annualPercentageDailyYield" | "vaultAddress__annualPercentageMonthlyYield" | "vaultAddress__annualPercentageYearlyYield" | "vaultAddress__lastTotalT0ValuePerLPT" | "vaultAddress__accruedStrategistFees0" | "vaultAddress__accruedStrategistFees1" | "vaultAddress__fees0" | "vaultAddress__fees1" | "vaultAddress__beaconName" | "vaultAddress__gasUsed" | "vaultAddress__gasDeposited" | "vaultAddress__totalLPTokensIssued" | "vaultAddress__token1Symbol" | "vaultAddress__decimals" | "vaultAddress__feeTier" | "vaultAddress__name" | "vaultAddress__symbol" | "vaultAddress__token0Balance" | "vaultAddress__token0Decimals" | "vaultAddress__token0Name" | "vaultAddress__token0Symbol" | "vaultAddress__token1Balance" | "vaultAddress__token1Decimals" | "vaultAddress__token1Name" | "vaultAddress__payloadIpfs" | "vaultAddress__vaultManager" | "vaultAddress__averageFeeArrPerSecond" | "vaultAddress__totalSnapshots" | "vaultAddress__annualFeeARR" | "vaultAddress__dailyFeeAPR" | "vaultAddress__weeklyFeeAPR" | "vaultAddress__totalValueLockedToken0" | "vaultAddress__totalValueLockedToken1";
        };
        Keeper: {
            kind: "OBJECT";
            name: "Keeper";
            fields: {
                actions: {
                    name: "actions";
                    type: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "LIST";
                            name: never;
                            ofType: {
                                kind: "NON_NULL";
                                name: never;
                                ofType: {
                                    kind: "OBJECT";
                                    name: "OrchestratorAction";
                                    ofType: null;
                                };
                            };
                        };
                    };
                };
                bondHeld: {
                    name: "bondHeld";
                    type: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "SCALAR";
                            name: "BigDecimal";
                            ofType: null;
                        };
                    };
                };
                id: {
                    name: "id";
                    type: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "SCALAR";
                            name: "ID";
                            ofType: null;
                        };
                    };
                };
                index: {
                    name: "index";
                    type: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "SCALAR";
                            name: "BigInt";
                            ofType: null;
                        };
                    };
                };
                permissionUpdates: {
                    name: "permissionUpdates";
                    type: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "LIST";
                            name: never;
                            ofType: {
                                kind: "NON_NULL";
                                name: never;
                                ofType: {
                                    kind: "OBJECT";
                                    name: "PermissionUpdate";
                                    ofType: null;
                                };
                            };
                        };
                    };
                };
                queueTimeline: {
                    name: "queueTimeline";
                    type: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "LIST";
                            name: never;
                            ofType: {
                                kind: "NON_NULL";
                                name: never;
                                ofType: {
                                    kind: "OBJECT";
                                    name: "QueueTimeline";
                                    ofType: null;
                                };
                            };
                        };
                    };
                };
                status: {
                    name: "status";
                    type: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "SCALAR";
                            name: "String";
                            ofType: null;
                        };
                    };
                };
            };
        };
        Keeper_filter: {
            kind: "INPUT_OBJECT";
            name: "Keeper_filter";
            isOneOf: false;
            inputFields: [{
                name: "id";
                type: {
                    kind: "SCALAR";
                    name: "ID";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "id_not";
                type: {
                    kind: "SCALAR";
                    name: "ID";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "id_gt";
                type: {
                    kind: "SCALAR";
                    name: "ID";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "id_lt";
                type: {
                    kind: "SCALAR";
                    name: "ID";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "id_gte";
                type: {
                    kind: "SCALAR";
                    name: "ID";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "id_lte";
                type: {
                    kind: "SCALAR";
                    name: "ID";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "id_in";
                type: {
                    kind: "LIST";
                    name: never;
                    ofType: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "SCALAR";
                            name: "ID";
                            ofType: null;
                        };
                    };
                };
                defaultValue: null;
            }, {
                name: "id_not_in";
                type: {
                    kind: "LIST";
                    name: never;
                    ofType: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "SCALAR";
                            name: "ID";
                            ofType: null;
                        };
                    };
                };
                defaultValue: null;
            }, {
                name: "bondHeld";
                type: {
                    kind: "SCALAR";
                    name: "BigDecimal";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "bondHeld_not";
                type: {
                    kind: "SCALAR";
                    name: "BigDecimal";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "bondHeld_gt";
                type: {
                    kind: "SCALAR";
                    name: "BigDecimal";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "bondHeld_lt";
                type: {
                    kind: "SCALAR";
                    name: "BigDecimal";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "bondHeld_gte";
                type: {
                    kind: "SCALAR";
                    name: "BigDecimal";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "bondHeld_lte";
                type: {
                    kind: "SCALAR";
                    name: "BigDecimal";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "bondHeld_in";
                type: {
                    kind: "LIST";
                    name: never;
                    ofType: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "SCALAR";
                            name: "BigDecimal";
                            ofType: null;
                        };
                    };
                };
                defaultValue: null;
            }, {
                name: "bondHeld_not_in";
                type: {
                    kind: "LIST";
                    name: never;
                    ofType: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "SCALAR";
                            name: "BigDecimal";
                            ofType: null;
                        };
                    };
                };
                defaultValue: null;
            }, {
                name: "index";
                type: {
                    kind: "SCALAR";
                    name: "BigInt";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "index_not";
                type: {
                    kind: "SCALAR";
                    name: "BigInt";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "index_gt";
                type: {
                    kind: "SCALAR";
                    name: "BigInt";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "index_lt";
                type: {
                    kind: "SCALAR";
                    name: "BigInt";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "index_gte";
                type: {
                    kind: "SCALAR";
                    name: "BigInt";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "index_lte";
                type: {
                    kind: "SCALAR";
                    name: "BigInt";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "index_in";
                type: {
                    kind: "LIST";
                    name: never;
                    ofType: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "SCALAR";
                            name: "BigInt";
                            ofType: null;
                        };
                    };
                };
                defaultValue: null;
            }, {
                name: "index_not_in";
                type: {
                    kind: "LIST";
                    name: never;
                    ofType: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "SCALAR";
                            name: "BigInt";
                            ofType: null;
                        };
                    };
                };
                defaultValue: null;
            }, {
                name: "actions_";
                type: {
                    kind: "INPUT_OBJECT";
                    name: "OrchestratorAction_filter";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "status";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "status_not";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "status_gt";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "status_lt";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "status_gte";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "status_lte";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "status_in";
                type: {
                    kind: "LIST";
                    name: never;
                    ofType: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "SCALAR";
                            name: "String";
                            ofType: null;
                        };
                    };
                };
                defaultValue: null;
            }, {
                name: "status_not_in";
                type: {
                    kind: "LIST";
                    name: never;
                    ofType: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "SCALAR";
                            name: "String";
                            ofType: null;
                        };
                    };
                };
                defaultValue: null;
            }, {
                name: "status_contains";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "status_contains_nocase";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "status_not_contains";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "status_not_contains_nocase";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "status_starts_with";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "status_starts_with_nocase";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "status_not_starts_with";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "status_not_starts_with_nocase";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "status_ends_with";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "status_ends_with_nocase";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "status_not_ends_with";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "status_not_ends_with_nocase";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "queueTimeline_";
                type: {
                    kind: "INPUT_OBJECT";
                    name: "QueueTimeline_filter";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "permissionUpdates_";
                type: {
                    kind: "INPUT_OBJECT";
                    name: "PermissionUpdate_filter";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "_change_block";
                type: {
                    kind: "INPUT_OBJECT";
                    name: "BlockChangedFilter";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "and";
                type: {
                    kind: "LIST";
                    name: never;
                    ofType: {
                        kind: "INPUT_OBJECT";
                        name: "Keeper_filter";
                        ofType: null;
                    };
                };
                defaultValue: null;
            }, {
                name: "or";
                type: {
                    kind: "LIST";
                    name: never;
                    ofType: {
                        kind: "INPUT_OBJECT";
                        name: "Keeper_filter";
                        ofType: null;
                    };
                };
                defaultValue: null;
            }];
        };
        Keeper_orderBy: {
            name: "Keeper_orderBy";
            enumValues: "id" | "status" | "actions" | "bondHeld" | "index" | "permissionUpdates" | "queueTimeline";
        };
        LeaderBoard: {
            kind: "OBJECT";
            name: "LeaderBoard";
            fields: {
                address: {
                    name: "address";
                    type: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "SCALAR";
                            name: "String";
                            ofType: null;
                        };
                    };
                };
                id: {
                    name: "id";
                    type: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "SCALAR";
                            name: "ID";
                            ofType: null;
                        };
                    };
                };
                numApps: {
                    name: "numApps";
                    type: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "SCALAR";
                            name: "BigInt";
                            ofType: null;
                        };
                    };
                };
                numStaticJobs: {
                    name: "numStaticJobs";
                    type: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "SCALAR";
                            name: "BigInt";
                            ofType: null;
                        };
                    };
                };
                timestamp: {
                    name: "timestamp";
                    type: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "SCALAR";
                            name: "BigInt";
                            ofType: null;
                        };
                    };
                };
            };
        };
        LeaderBoard_filter: {
            kind: "INPUT_OBJECT";
            name: "LeaderBoard_filter";
            isOneOf: false;
            inputFields: [{
                name: "id";
                type: {
                    kind: "SCALAR";
                    name: "ID";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "id_not";
                type: {
                    kind: "SCALAR";
                    name: "ID";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "id_gt";
                type: {
                    kind: "SCALAR";
                    name: "ID";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "id_lt";
                type: {
                    kind: "SCALAR";
                    name: "ID";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "id_gte";
                type: {
                    kind: "SCALAR";
                    name: "ID";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "id_lte";
                type: {
                    kind: "SCALAR";
                    name: "ID";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "id_in";
                type: {
                    kind: "LIST";
                    name: never;
                    ofType: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "SCALAR";
                            name: "ID";
                            ofType: null;
                        };
                    };
                };
                defaultValue: null;
            }, {
                name: "id_not_in";
                type: {
                    kind: "LIST";
                    name: never;
                    ofType: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "SCALAR";
                            name: "ID";
                            ofType: null;
                        };
                    };
                };
                defaultValue: null;
            }, {
                name: "address";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "address_not";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "address_gt";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "address_lt";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "address_gte";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "address_lte";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "address_in";
                type: {
                    kind: "LIST";
                    name: never;
                    ofType: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "SCALAR";
                            name: "String";
                            ofType: null;
                        };
                    };
                };
                defaultValue: null;
            }, {
                name: "address_not_in";
                type: {
                    kind: "LIST";
                    name: never;
                    ofType: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "SCALAR";
                            name: "String";
                            ofType: null;
                        };
                    };
                };
                defaultValue: null;
            }, {
                name: "address_contains";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "address_contains_nocase";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "address_not_contains";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "address_not_contains_nocase";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "address_starts_with";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "address_starts_with_nocase";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "address_not_starts_with";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "address_not_starts_with_nocase";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "address_ends_with";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "address_ends_with_nocase";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "address_not_ends_with";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "address_not_ends_with_nocase";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "numStaticJobs";
                type: {
                    kind: "SCALAR";
                    name: "BigInt";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "numStaticJobs_not";
                type: {
                    kind: "SCALAR";
                    name: "BigInt";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "numStaticJobs_gt";
                type: {
                    kind: "SCALAR";
                    name: "BigInt";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "numStaticJobs_lt";
                type: {
                    kind: "SCALAR";
                    name: "BigInt";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "numStaticJobs_gte";
                type: {
                    kind: "SCALAR";
                    name: "BigInt";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "numStaticJobs_lte";
                type: {
                    kind: "SCALAR";
                    name: "BigInt";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "numStaticJobs_in";
                type: {
                    kind: "LIST";
                    name: never;
                    ofType: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "SCALAR";
                            name: "BigInt";
                            ofType: null;
                        };
                    };
                };
                defaultValue: null;
            }, {
                name: "numStaticJobs_not_in";
                type: {
                    kind: "LIST";
                    name: never;
                    ofType: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "SCALAR";
                            name: "BigInt";
                            ofType: null;
                        };
                    };
                };
                defaultValue: null;
            }, {
                name: "numApps";
                type: {
                    kind: "SCALAR";
                    name: "BigInt";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "numApps_not";
                type: {
                    kind: "SCALAR";
                    name: "BigInt";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "numApps_gt";
                type: {
                    kind: "SCALAR";
                    name: "BigInt";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "numApps_lt";
                type: {
                    kind: "SCALAR";
                    name: "BigInt";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "numApps_gte";
                type: {
                    kind: "SCALAR";
                    name: "BigInt";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "numApps_lte";
                type: {
                    kind: "SCALAR";
                    name: "BigInt";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "numApps_in";
                type: {
                    kind: "LIST";
                    name: never;
                    ofType: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "SCALAR";
                            name: "BigInt";
                            ofType: null;
                        };
                    };
                };
                defaultValue: null;
            }, {
                name: "numApps_not_in";
                type: {
                    kind: "LIST";
                    name: never;
                    ofType: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "SCALAR";
                            name: "BigInt";
                            ofType: null;
                        };
                    };
                };
                defaultValue: null;
            }, {
                name: "timestamp";
                type: {
                    kind: "SCALAR";
                    name: "BigInt";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "timestamp_not";
                type: {
                    kind: "SCALAR";
                    name: "BigInt";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "timestamp_gt";
                type: {
                    kind: "SCALAR";
                    name: "BigInt";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "timestamp_lt";
                type: {
                    kind: "SCALAR";
                    name: "BigInt";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "timestamp_gte";
                type: {
                    kind: "SCALAR";
                    name: "BigInt";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "timestamp_lte";
                type: {
                    kind: "SCALAR";
                    name: "BigInt";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "timestamp_in";
                type: {
                    kind: "LIST";
                    name: never;
                    ofType: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "SCALAR";
                            name: "BigInt";
                            ofType: null;
                        };
                    };
                };
                defaultValue: null;
            }, {
                name: "timestamp_not_in";
                type: {
                    kind: "LIST";
                    name: never;
                    ofType: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "SCALAR";
                            name: "BigInt";
                            ofType: null;
                        };
                    };
                };
                defaultValue: null;
            }, {
                name: "_change_block";
                type: {
                    kind: "INPUT_OBJECT";
                    name: "BlockChangedFilter";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "and";
                type: {
                    kind: "LIST";
                    name: never;
                    ofType: {
                        kind: "INPUT_OBJECT";
                        name: "LeaderBoard_filter";
                        ofType: null;
                    };
                };
                defaultValue: null;
            }, {
                name: "or";
                type: {
                    kind: "LIST";
                    name: never;
                    ofType: {
                        kind: "INPUT_OBJECT";
                        name: "LeaderBoard_filter";
                        ofType: null;
                    };
                };
                defaultValue: null;
            }];
        };
        LeaderBoard_orderBy: {
            name: "LeaderBoard_orderBy";
            enumValues: "id" | "address" | "timestamp" | "numApps" | "numStaticJobs";
        };
        LiquiditySteer: {
            kind: "OBJECT";
            name: "LiquiditySteer";
            fields: {
                id: {
                    name: "id";
                    type: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "SCALAR";
                            name: "ID";
                            ofType: null;
                        };
                    };
                };
                tick: {
                    name: "tick";
                    type: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "SCALAR";
                            name: "BigInt";
                            ofType: null;
                        };
                    };
                };
                timeStamp: {
                    name: "timeStamp";
                    type: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "SCALAR";
                            name: "BigInt";
                            ofType: null;
                        };
                    };
                };
                vault: {
                    name: "vault";
                    type: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "OBJECT";
                            name: "Vault";
                            ofType: null;
                        };
                    };
                };
            };
        };
        LiquiditySteer_filter: {
            kind: "INPUT_OBJECT";
            name: "LiquiditySteer_filter";
            isOneOf: false;
            inputFields: [{
                name: "id";
                type: {
                    kind: "SCALAR";
                    name: "ID";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "id_not";
                type: {
                    kind: "SCALAR";
                    name: "ID";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "id_gt";
                type: {
                    kind: "SCALAR";
                    name: "ID";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "id_lt";
                type: {
                    kind: "SCALAR";
                    name: "ID";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "id_gte";
                type: {
                    kind: "SCALAR";
                    name: "ID";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "id_lte";
                type: {
                    kind: "SCALAR";
                    name: "ID";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "id_in";
                type: {
                    kind: "LIST";
                    name: never;
                    ofType: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "SCALAR";
                            name: "ID";
                            ofType: null;
                        };
                    };
                };
                defaultValue: null;
            }, {
                name: "id_not_in";
                type: {
                    kind: "LIST";
                    name: never;
                    ofType: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "SCALAR";
                            name: "ID";
                            ofType: null;
                        };
                    };
                };
                defaultValue: null;
            }, {
                name: "vault";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "vault_not";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "vault_gt";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "vault_lt";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "vault_gte";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "vault_lte";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "vault_in";
                type: {
                    kind: "LIST";
                    name: never;
                    ofType: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "SCALAR";
                            name: "String";
                            ofType: null;
                        };
                    };
                };
                defaultValue: null;
            }, {
                name: "vault_not_in";
                type: {
                    kind: "LIST";
                    name: never;
                    ofType: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "SCALAR";
                            name: "String";
                            ofType: null;
                        };
                    };
                };
                defaultValue: null;
            }, {
                name: "vault_contains";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "vault_contains_nocase";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "vault_not_contains";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "vault_not_contains_nocase";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "vault_starts_with";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "vault_starts_with_nocase";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "vault_not_starts_with";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "vault_not_starts_with_nocase";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "vault_ends_with";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "vault_ends_with_nocase";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "vault_not_ends_with";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "vault_not_ends_with_nocase";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "vault_";
                type: {
                    kind: "INPUT_OBJECT";
                    name: "Vault_filter";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "timeStamp";
                type: {
                    kind: "SCALAR";
                    name: "BigInt";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "timeStamp_not";
                type: {
                    kind: "SCALAR";
                    name: "BigInt";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "timeStamp_gt";
                type: {
                    kind: "SCALAR";
                    name: "BigInt";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "timeStamp_lt";
                type: {
                    kind: "SCALAR";
                    name: "BigInt";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "timeStamp_gte";
                type: {
                    kind: "SCALAR";
                    name: "BigInt";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "timeStamp_lte";
                type: {
                    kind: "SCALAR";
                    name: "BigInt";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "timeStamp_in";
                type: {
                    kind: "LIST";
                    name: never;
                    ofType: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "SCALAR";
                            name: "BigInt";
                            ofType: null;
                        };
                    };
                };
                defaultValue: null;
            }, {
                name: "timeStamp_not_in";
                type: {
                    kind: "LIST";
                    name: never;
                    ofType: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "SCALAR";
                            name: "BigInt";
                            ofType: null;
                        };
                    };
                };
                defaultValue: null;
            }, {
                name: "tick";
                type: {
                    kind: "SCALAR";
                    name: "BigInt";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "tick_not";
                type: {
                    kind: "SCALAR";
                    name: "BigInt";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "tick_gt";
                type: {
                    kind: "SCALAR";
                    name: "BigInt";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "tick_lt";
                type: {
                    kind: "SCALAR";
                    name: "BigInt";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "tick_gte";
                type: {
                    kind: "SCALAR";
                    name: "BigInt";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "tick_lte";
                type: {
                    kind: "SCALAR";
                    name: "BigInt";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "tick_in";
                type: {
                    kind: "LIST";
                    name: never;
                    ofType: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "SCALAR";
                            name: "BigInt";
                            ofType: null;
                        };
                    };
                };
                defaultValue: null;
            }, {
                name: "tick_not_in";
                type: {
                    kind: "LIST";
                    name: never;
                    ofType: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "SCALAR";
                            name: "BigInt";
                            ofType: null;
                        };
                    };
                };
                defaultValue: null;
            }, {
                name: "_change_block";
                type: {
                    kind: "INPUT_OBJECT";
                    name: "BlockChangedFilter";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "and";
                type: {
                    kind: "LIST";
                    name: never;
                    ofType: {
                        kind: "INPUT_OBJECT";
                        name: "LiquiditySteer_filter";
                        ofType: null;
                    };
                };
                defaultValue: null;
            }, {
                name: "or";
                type: {
                    kind: "LIST";
                    name: never;
                    ofType: {
                        kind: "INPUT_OBJECT";
                        name: "LiquiditySteer_filter";
                        ofType: null;
                    };
                };
                defaultValue: null;
            }];
        };
        LiquiditySteer_orderBy: {
            name: "LiquiditySteer_orderBy";
            enumValues: "id" | "tick" | "timeStamp" | "vault" | "vault__id" | "vault__deployer" | "vault__token0" | "vault__token1" | "vault__totalAmount0" | "vault__totalAmount1" | "vault__createdAt" | "vault__lastSnapshot" | "vault__pool" | "vault__state" | "vault__annualPercentageYield" | "vault__annualPercentageDailyYield" | "vault__annualPercentageMonthlyYield" | "vault__annualPercentageYearlyYield" | "vault__lastTotalT0ValuePerLPT" | "vault__accruedStrategistFees0" | "vault__accruedStrategistFees1" | "vault__fees0" | "vault__fees1" | "vault__beaconName" | "vault__gasUsed" | "vault__gasDeposited" | "vault__totalLPTokensIssued" | "vault__token1Symbol" | "vault__decimals" | "vault__feeTier" | "vault__name" | "vault__symbol" | "vault__token0Balance" | "vault__token0Decimals" | "vault__token0Name" | "vault__token0Symbol" | "vault__token1Balance" | "vault__token1Decimals" | "vault__token1Name" | "vault__payloadIpfs" | "vault__vaultManager" | "vault__averageFeeArrPerSecond" | "vault__totalSnapshots" | "vault__annualFeeARR" | "vault__dailyFeeAPR" | "vault__weeklyFeeAPR" | "vault__totalValueLockedToken0" | "vault__totalValueLockedToken1";
        };
        OrchestratorAction: {
            kind: "OBJECT";
            name: "OrchestratorAction";
            fields: {
                actionFailed: {
                    name: "actionFailed";
                    type: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "LIST";
                            name: never;
                            ofType: {
                                kind: "NON_NULL";
                                name: never;
                                ofType: {
                                    kind: "OBJECT";
                                    name: "ActionFailure";
                                    ofType: null;
                                };
                            };
                        };
                    };
                };
                from: {
                    name: "from";
                    type: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "OBJECT";
                            name: "Keeper";
                            ofType: null;
                        };
                    };
                };
                gasUsed: {
                    name: "gasUsed";
                    type: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "SCALAR";
                            name: "BigInt";
                            ofType: null;
                        };
                    };
                };
                hash: {
                    name: "hash";
                    type: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "SCALAR";
                            name: "String";
                            ofType: null;
                        };
                    };
                };
                id: {
                    name: "id";
                    type: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "SCALAR";
                            name: "ID";
                            ofType: null;
                        };
                    };
                };
                lastUpdated: {
                    name: "lastUpdated";
                    type: {
                        kind: "SCALAR";
                        name: "BigInt";
                        ofType: null;
                    };
                };
                recipients: {
                    name: "recipients";
                    type: {
                        kind: "LIST";
                        name: never;
                        ofType: {
                            kind: "NON_NULL";
                            name: never;
                            ofType: {
                                kind: "SCALAR";
                                name: "String";
                                ofType: null;
                            };
                        };
                    };
                };
                state: {
                    name: "state";
                    type: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "SCALAR";
                            name: "String";
                            ofType: null;
                        };
                    };
                };
                status: {
                    name: "status";
                    type: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "SCALAR";
                            name: "String";
                            ofType: null;
                        };
                    };
                };
                timestamp: {
                    name: "timestamp";
                    type: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "SCALAR";
                            name: "BigInt";
                            ofType: null;
                        };
                    };
                };
                transactionHash: {
                    name: "transactionHash";
                    type: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "SCALAR";
                            name: "String";
                            ofType: null;
                        };
                    };
                };
                vault: {
                    name: "vault";
                    type: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "SCALAR";
                            name: "String";
                            ofType: null;
                        };
                    };
                };
                votes: {
                    name: "votes";
                    type: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "LIST";
                            name: never;
                            ofType: {
                                kind: "NON_NULL";
                                name: never;
                                ofType: {
                                    kind: "OBJECT";
                                    name: "Vote";
                                    ofType: null;
                                };
                            };
                        };
                    };
                };
            };
        };
        OrchestratorAction_filter: {
            kind: "INPUT_OBJECT";
            name: "OrchestratorAction_filter";
            isOneOf: false;
            inputFields: [{
                name: "id";
                type: {
                    kind: "SCALAR";
                    name: "ID";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "id_not";
                type: {
                    kind: "SCALAR";
                    name: "ID";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "id_gt";
                type: {
                    kind: "SCALAR";
                    name: "ID";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "id_lt";
                type: {
                    kind: "SCALAR";
                    name: "ID";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "id_gte";
                type: {
                    kind: "SCALAR";
                    name: "ID";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "id_lte";
                type: {
                    kind: "SCALAR";
                    name: "ID";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "id_in";
                type: {
                    kind: "LIST";
                    name: never;
                    ofType: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "SCALAR";
                            name: "ID";
                            ofType: null;
                        };
                    };
                };
                defaultValue: null;
            }, {
                name: "id_not_in";
                type: {
                    kind: "LIST";
                    name: never;
                    ofType: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "SCALAR";
                            name: "ID";
                            ofType: null;
                        };
                    };
                };
                defaultValue: null;
            }, {
                name: "timestamp";
                type: {
                    kind: "SCALAR";
                    name: "BigInt";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "timestamp_not";
                type: {
                    kind: "SCALAR";
                    name: "BigInt";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "timestamp_gt";
                type: {
                    kind: "SCALAR";
                    name: "BigInt";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "timestamp_lt";
                type: {
                    kind: "SCALAR";
                    name: "BigInt";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "timestamp_gte";
                type: {
                    kind: "SCALAR";
                    name: "BigInt";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "timestamp_lte";
                type: {
                    kind: "SCALAR";
                    name: "BigInt";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "timestamp_in";
                type: {
                    kind: "LIST";
                    name: never;
                    ofType: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "SCALAR";
                            name: "BigInt";
                            ofType: null;
                        };
                    };
                };
                defaultValue: null;
            }, {
                name: "timestamp_not_in";
                type: {
                    kind: "LIST";
                    name: never;
                    ofType: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "SCALAR";
                            name: "BigInt";
                            ofType: null;
                        };
                    };
                };
                defaultValue: null;
            }, {
                name: "from";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "from_not";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "from_gt";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "from_lt";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "from_gte";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "from_lte";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "from_in";
                type: {
                    kind: "LIST";
                    name: never;
                    ofType: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "SCALAR";
                            name: "String";
                            ofType: null;
                        };
                    };
                };
                defaultValue: null;
            }, {
                name: "from_not_in";
                type: {
                    kind: "LIST";
                    name: never;
                    ofType: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "SCALAR";
                            name: "String";
                            ofType: null;
                        };
                    };
                };
                defaultValue: null;
            }, {
                name: "from_contains";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "from_contains_nocase";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "from_not_contains";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "from_not_contains_nocase";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "from_starts_with";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "from_starts_with_nocase";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "from_not_starts_with";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "from_not_starts_with_nocase";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "from_ends_with";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "from_ends_with_nocase";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "from_not_ends_with";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "from_not_ends_with_nocase";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "from_";
                type: {
                    kind: "INPUT_OBJECT";
                    name: "Keeper_filter";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "votes_";
                type: {
                    kind: "INPUT_OBJECT";
                    name: "Vote_filter";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "lastUpdated";
                type: {
                    kind: "SCALAR";
                    name: "BigInt";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "lastUpdated_not";
                type: {
                    kind: "SCALAR";
                    name: "BigInt";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "lastUpdated_gt";
                type: {
                    kind: "SCALAR";
                    name: "BigInt";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "lastUpdated_lt";
                type: {
                    kind: "SCALAR";
                    name: "BigInt";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "lastUpdated_gte";
                type: {
                    kind: "SCALAR";
                    name: "BigInt";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "lastUpdated_lte";
                type: {
                    kind: "SCALAR";
                    name: "BigInt";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "lastUpdated_in";
                type: {
                    kind: "LIST";
                    name: never;
                    ofType: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "SCALAR";
                            name: "BigInt";
                            ofType: null;
                        };
                    };
                };
                defaultValue: null;
            }, {
                name: "lastUpdated_not_in";
                type: {
                    kind: "LIST";
                    name: never;
                    ofType: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "SCALAR";
                            name: "BigInt";
                            ofType: null;
                        };
                    };
                };
                defaultValue: null;
            }, {
                name: "state";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "state_not";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "state_gt";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "state_lt";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "state_gte";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "state_lte";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "state_in";
                type: {
                    kind: "LIST";
                    name: never;
                    ofType: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "SCALAR";
                            name: "String";
                            ofType: null;
                        };
                    };
                };
                defaultValue: null;
            }, {
                name: "state_not_in";
                type: {
                    kind: "LIST";
                    name: never;
                    ofType: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "SCALAR";
                            name: "String";
                            ofType: null;
                        };
                    };
                };
                defaultValue: null;
            }, {
                name: "state_contains";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "state_contains_nocase";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "state_not_contains";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "state_not_contains_nocase";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "state_starts_with";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "state_starts_with_nocase";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "state_not_starts_with";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "state_not_starts_with_nocase";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "state_ends_with";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "state_ends_with_nocase";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "state_not_ends_with";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "state_not_ends_with_nocase";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "status";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "status_not";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "status_gt";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "status_lt";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "status_gte";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "status_lte";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "status_in";
                type: {
                    kind: "LIST";
                    name: never;
                    ofType: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "SCALAR";
                            name: "String";
                            ofType: null;
                        };
                    };
                };
                defaultValue: null;
            }, {
                name: "status_not_in";
                type: {
                    kind: "LIST";
                    name: never;
                    ofType: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "SCALAR";
                            name: "String";
                            ofType: null;
                        };
                    };
                };
                defaultValue: null;
            }, {
                name: "status_contains";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "status_contains_nocase";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "status_not_contains";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "status_not_contains_nocase";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "status_starts_with";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "status_starts_with_nocase";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "status_not_starts_with";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "status_not_starts_with_nocase";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "status_ends_with";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "status_ends_with_nocase";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "status_not_ends_with";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "status_not_ends_with_nocase";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "recipients";
                type: {
                    kind: "LIST";
                    name: never;
                    ofType: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "SCALAR";
                            name: "String";
                            ofType: null;
                        };
                    };
                };
                defaultValue: null;
            }, {
                name: "recipients_not";
                type: {
                    kind: "LIST";
                    name: never;
                    ofType: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "SCALAR";
                            name: "String";
                            ofType: null;
                        };
                    };
                };
                defaultValue: null;
            }, {
                name: "recipients_contains";
                type: {
                    kind: "LIST";
                    name: never;
                    ofType: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "SCALAR";
                            name: "String";
                            ofType: null;
                        };
                    };
                };
                defaultValue: null;
            }, {
                name: "recipients_contains_nocase";
                type: {
                    kind: "LIST";
                    name: never;
                    ofType: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "SCALAR";
                            name: "String";
                            ofType: null;
                        };
                    };
                };
                defaultValue: null;
            }, {
                name: "recipients_not_contains";
                type: {
                    kind: "LIST";
                    name: never;
                    ofType: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "SCALAR";
                            name: "String";
                            ofType: null;
                        };
                    };
                };
                defaultValue: null;
            }, {
                name: "recipients_not_contains_nocase";
                type: {
                    kind: "LIST";
                    name: never;
                    ofType: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "SCALAR";
                            name: "String";
                            ofType: null;
                        };
                    };
                };
                defaultValue: null;
            }, {
                name: "actionFailed_";
                type: {
                    kind: "INPUT_OBJECT";
                    name: "ActionFailure_filter";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "vault";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "vault_not";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "vault_gt";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "vault_lt";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "vault_gte";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "vault_lte";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "vault_in";
                type: {
                    kind: "LIST";
                    name: never;
                    ofType: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "SCALAR";
                            name: "String";
                            ofType: null;
                        };
                    };
                };
                defaultValue: null;
            }, {
                name: "vault_not_in";
                type: {
                    kind: "LIST";
                    name: never;
                    ofType: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "SCALAR";
                            name: "String";
                            ofType: null;
                        };
                    };
                };
                defaultValue: null;
            }, {
                name: "vault_contains";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "vault_contains_nocase";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "vault_not_contains";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "vault_not_contains_nocase";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "vault_starts_with";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "vault_starts_with_nocase";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "vault_not_starts_with";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "vault_not_starts_with_nocase";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "vault_ends_with";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "vault_ends_with_nocase";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "vault_not_ends_with";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "vault_not_ends_with_nocase";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "transactionHash";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "transactionHash_not";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "transactionHash_gt";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "transactionHash_lt";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "transactionHash_gte";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "transactionHash_lte";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "transactionHash_in";
                type: {
                    kind: "LIST";
                    name: never;
                    ofType: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "SCALAR";
                            name: "String";
                            ofType: null;
                        };
                    };
                };
                defaultValue: null;
            }, {
                name: "transactionHash_not_in";
                type: {
                    kind: "LIST";
                    name: never;
                    ofType: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "SCALAR";
                            name: "String";
                            ofType: null;
                        };
                    };
                };
                defaultValue: null;
            }, {
                name: "transactionHash_contains";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "transactionHash_contains_nocase";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "transactionHash_not_contains";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "transactionHash_not_contains_nocase";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "transactionHash_starts_with";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "transactionHash_starts_with_nocase";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "transactionHash_not_starts_with";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "transactionHash_not_starts_with_nocase";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "transactionHash_ends_with";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "transactionHash_ends_with_nocase";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "transactionHash_not_ends_with";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "transactionHash_not_ends_with_nocase";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "hash";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "hash_not";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "hash_gt";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "hash_lt";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "hash_gte";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "hash_lte";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "hash_in";
                type: {
                    kind: "LIST";
                    name: never;
                    ofType: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "SCALAR";
                            name: "String";
                            ofType: null;
                        };
                    };
                };
                defaultValue: null;
            }, {
                name: "hash_not_in";
                type: {
                    kind: "LIST";
                    name: never;
                    ofType: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "SCALAR";
                            name: "String";
                            ofType: null;
                        };
                    };
                };
                defaultValue: null;
            }, {
                name: "hash_contains";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "hash_contains_nocase";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "hash_not_contains";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "hash_not_contains_nocase";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "hash_starts_with";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "hash_starts_with_nocase";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "hash_not_starts_with";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "hash_not_starts_with_nocase";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "hash_ends_with";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "hash_ends_with_nocase";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "hash_not_ends_with";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "hash_not_ends_with_nocase";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "gasUsed";
                type: {
                    kind: "SCALAR";
                    name: "BigInt";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "gasUsed_not";
                type: {
                    kind: "SCALAR";
                    name: "BigInt";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "gasUsed_gt";
                type: {
                    kind: "SCALAR";
                    name: "BigInt";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "gasUsed_lt";
                type: {
                    kind: "SCALAR";
                    name: "BigInt";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "gasUsed_gte";
                type: {
                    kind: "SCALAR";
                    name: "BigInt";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "gasUsed_lte";
                type: {
                    kind: "SCALAR";
                    name: "BigInt";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "gasUsed_in";
                type: {
                    kind: "LIST";
                    name: never;
                    ofType: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "SCALAR";
                            name: "BigInt";
                            ofType: null;
                        };
                    };
                };
                defaultValue: null;
            }, {
                name: "gasUsed_not_in";
                type: {
                    kind: "LIST";
                    name: never;
                    ofType: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "SCALAR";
                            name: "BigInt";
                            ofType: null;
                        };
                    };
                };
                defaultValue: null;
            }, {
                name: "_change_block";
                type: {
                    kind: "INPUT_OBJECT";
                    name: "BlockChangedFilter";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "and";
                type: {
                    kind: "LIST";
                    name: never;
                    ofType: {
                        kind: "INPUT_OBJECT";
                        name: "OrchestratorAction_filter";
                        ofType: null;
                    };
                };
                defaultValue: null;
            }, {
                name: "or";
                type: {
                    kind: "LIST";
                    name: never;
                    ofType: {
                        kind: "INPUT_OBJECT";
                        name: "OrchestratorAction_filter";
                        ofType: null;
                    };
                };
                defaultValue: null;
            }];
        };
        OrchestratorAction_orderBy: {
            name: "OrchestratorAction_orderBy";
            enumValues: "id" | "timestamp" | "gasUsed" | "from" | "hash" | "status" | "transactionHash" | "from__id" | "vault" | "actionFailed" | "lastUpdated" | "recipients" | "state" | "votes" | "from__bondHeld" | "from__index" | "from__status";
        };
        OrchestratorReward: {
            kind: "OBJECT";
            name: "OrchestratorReward";
            fields: {
                address: {
                    name: "address";
                    type: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "SCALAR";
                            name: "String";
                            ofType: null;
                        };
                    };
                };
                id: {
                    name: "id";
                    type: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "SCALAR";
                            name: "ID";
                            ofType: null;
                        };
                    };
                };
                reward: {
                    name: "reward";
                    type: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "SCALAR";
                            name: "BigInt";
                            ofType: null;
                        };
                    };
                };
                timeStamp: {
                    name: "timeStamp";
                    type: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "SCALAR";
                            name: "BigInt";
                            ofType: null;
                        };
                    };
                };
                trackerId: {
                    name: "trackerId";
                    type: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "OBJECT";
                            name: "OrchestratorRewardTracker";
                            ofType: null;
                        };
                    };
                };
                updatedTimeStamp: {
                    name: "updatedTimeStamp";
                    type: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "SCALAR";
                            name: "BigInt";
                            ofType: null;
                        };
                    };
                };
            };
        };
        OrchestratorRewardSnapshot: {
            kind: "OBJECT";
            name: "OrchestratorRewardSnapshot";
            fields: {
                address: {
                    name: "address";
                    type: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "SCALAR";
                            name: "String";
                            ofType: null;
                        };
                    };
                };
                id: {
                    name: "id";
                    type: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "SCALAR";
                            name: "ID";
                            ofType: null;
                        };
                    };
                };
                reward: {
                    name: "reward";
                    type: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "SCALAR";
                            name: "BigInt";
                            ofType: null;
                        };
                    };
                };
                timeStamp: {
                    name: "timeStamp";
                    type: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "SCALAR";
                            name: "BigInt";
                            ofType: null;
                        };
                    };
                };
                updatedTimeStamp: {
                    name: "updatedTimeStamp";
                    type: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "SCALAR";
                            name: "BigInt";
                            ofType: null;
                        };
                    };
                };
            };
        };
        OrchestratorRewardSnapshot_filter: {
            kind: "INPUT_OBJECT";
            name: "OrchestratorRewardSnapshot_filter";
            isOneOf: false;
            inputFields: [{
                name: "id";
                type: {
                    kind: "SCALAR";
                    name: "ID";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "id_not";
                type: {
                    kind: "SCALAR";
                    name: "ID";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "id_gt";
                type: {
                    kind: "SCALAR";
                    name: "ID";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "id_lt";
                type: {
                    kind: "SCALAR";
                    name: "ID";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "id_gte";
                type: {
                    kind: "SCALAR";
                    name: "ID";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "id_lte";
                type: {
                    kind: "SCALAR";
                    name: "ID";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "id_in";
                type: {
                    kind: "LIST";
                    name: never;
                    ofType: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "SCALAR";
                            name: "ID";
                            ofType: null;
                        };
                    };
                };
                defaultValue: null;
            }, {
                name: "id_not_in";
                type: {
                    kind: "LIST";
                    name: never;
                    ofType: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "SCALAR";
                            name: "ID";
                            ofType: null;
                        };
                    };
                };
                defaultValue: null;
            }, {
                name: "timeStamp";
                type: {
                    kind: "SCALAR";
                    name: "BigInt";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "timeStamp_not";
                type: {
                    kind: "SCALAR";
                    name: "BigInt";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "timeStamp_gt";
                type: {
                    kind: "SCALAR";
                    name: "BigInt";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "timeStamp_lt";
                type: {
                    kind: "SCALAR";
                    name: "BigInt";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "timeStamp_gte";
                type: {
                    kind: "SCALAR";
                    name: "BigInt";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "timeStamp_lte";
                type: {
                    kind: "SCALAR";
                    name: "BigInt";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "timeStamp_in";
                type: {
                    kind: "LIST";
                    name: never;
                    ofType: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "SCALAR";
                            name: "BigInt";
                            ofType: null;
                        };
                    };
                };
                defaultValue: null;
            }, {
                name: "timeStamp_not_in";
                type: {
                    kind: "LIST";
                    name: never;
                    ofType: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "SCALAR";
                            name: "BigInt";
                            ofType: null;
                        };
                    };
                };
                defaultValue: null;
            }, {
                name: "updatedTimeStamp";
                type: {
                    kind: "SCALAR";
                    name: "BigInt";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "updatedTimeStamp_not";
                type: {
                    kind: "SCALAR";
                    name: "BigInt";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "updatedTimeStamp_gt";
                type: {
                    kind: "SCALAR";
                    name: "BigInt";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "updatedTimeStamp_lt";
                type: {
                    kind: "SCALAR";
                    name: "BigInt";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "updatedTimeStamp_gte";
                type: {
                    kind: "SCALAR";
                    name: "BigInt";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "updatedTimeStamp_lte";
                type: {
                    kind: "SCALAR";
                    name: "BigInt";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "updatedTimeStamp_in";
                type: {
                    kind: "LIST";
                    name: never;
                    ofType: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "SCALAR";
                            name: "BigInt";
                            ofType: null;
                        };
                    };
                };
                defaultValue: null;
            }, {
                name: "updatedTimeStamp_not_in";
                type: {
                    kind: "LIST";
                    name: never;
                    ofType: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "SCALAR";
                            name: "BigInt";
                            ofType: null;
                        };
                    };
                };
                defaultValue: null;
            }, {
                name: "address";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "address_not";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "address_gt";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "address_lt";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "address_gte";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "address_lte";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "address_in";
                type: {
                    kind: "LIST";
                    name: never;
                    ofType: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "SCALAR";
                            name: "String";
                            ofType: null;
                        };
                    };
                };
                defaultValue: null;
            }, {
                name: "address_not_in";
                type: {
                    kind: "LIST";
                    name: never;
                    ofType: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "SCALAR";
                            name: "String";
                            ofType: null;
                        };
                    };
                };
                defaultValue: null;
            }, {
                name: "address_contains";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "address_contains_nocase";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "address_not_contains";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "address_not_contains_nocase";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "address_starts_with";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "address_starts_with_nocase";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "address_not_starts_with";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "address_not_starts_with_nocase";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "address_ends_with";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "address_ends_with_nocase";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "address_not_ends_with";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "address_not_ends_with_nocase";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "reward";
                type: {
                    kind: "SCALAR";
                    name: "BigInt";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "reward_not";
                type: {
                    kind: "SCALAR";
                    name: "BigInt";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "reward_gt";
                type: {
                    kind: "SCALAR";
                    name: "BigInt";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "reward_lt";
                type: {
                    kind: "SCALAR";
                    name: "BigInt";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "reward_gte";
                type: {
                    kind: "SCALAR";
                    name: "BigInt";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "reward_lte";
                type: {
                    kind: "SCALAR";
                    name: "BigInt";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "reward_in";
                type: {
                    kind: "LIST";
                    name: never;
                    ofType: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "SCALAR";
                            name: "BigInt";
                            ofType: null;
                        };
                    };
                };
                defaultValue: null;
            }, {
                name: "reward_not_in";
                type: {
                    kind: "LIST";
                    name: never;
                    ofType: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "SCALAR";
                            name: "BigInt";
                            ofType: null;
                        };
                    };
                };
                defaultValue: null;
            }, {
                name: "_change_block";
                type: {
                    kind: "INPUT_OBJECT";
                    name: "BlockChangedFilter";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "and";
                type: {
                    kind: "LIST";
                    name: never;
                    ofType: {
                        kind: "INPUT_OBJECT";
                        name: "OrchestratorRewardSnapshot_filter";
                        ofType: null;
                    };
                };
                defaultValue: null;
            }, {
                name: "or";
                type: {
                    kind: "LIST";
                    name: never;
                    ofType: {
                        kind: "INPUT_OBJECT";
                        name: "OrchestratorRewardSnapshot_filter";
                        ofType: null;
                    };
                };
                defaultValue: null;
            }];
        };
        OrchestratorRewardSnapshot_orderBy: {
            name: "OrchestratorRewardSnapshot_orderBy";
            enumValues: "id" | "address" | "timeStamp" | "reward" | "updatedTimeStamp";
        };
        OrchestratorRewardTracker: {
            kind: "OBJECT";
            name: "OrchestratorRewardTracker";
            fields: {
                id: {
                    name: "id";
                    type: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "SCALAR";
                            name: "ID";
                            ofType: null;
                        };
                    };
                };
                rewards: {
                    name: "rewards";
                    type: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "LIST";
                            name: never;
                            ofType: {
                                kind: "NON_NULL";
                                name: never;
                                ofType: {
                                    kind: "OBJECT";
                                    name: "OrchestratorReward";
                                    ofType: null;
                                };
                            };
                        };
                    };
                };
                timeStamp: {
                    name: "timeStamp";
                    type: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "SCALAR";
                            name: "BigInt";
                            ofType: null;
                        };
                    };
                };
            };
        };
        OrchestratorRewardTracker_filter: {
            kind: "INPUT_OBJECT";
            name: "OrchestratorRewardTracker_filter";
            isOneOf: false;
            inputFields: [{
                name: "id";
                type: {
                    kind: "SCALAR";
                    name: "ID";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "id_not";
                type: {
                    kind: "SCALAR";
                    name: "ID";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "id_gt";
                type: {
                    kind: "SCALAR";
                    name: "ID";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "id_lt";
                type: {
                    kind: "SCALAR";
                    name: "ID";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "id_gte";
                type: {
                    kind: "SCALAR";
                    name: "ID";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "id_lte";
                type: {
                    kind: "SCALAR";
                    name: "ID";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "id_in";
                type: {
                    kind: "LIST";
                    name: never;
                    ofType: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "SCALAR";
                            name: "ID";
                            ofType: null;
                        };
                    };
                };
                defaultValue: null;
            }, {
                name: "id_not_in";
                type: {
                    kind: "LIST";
                    name: never;
                    ofType: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "SCALAR";
                            name: "ID";
                            ofType: null;
                        };
                    };
                };
                defaultValue: null;
            }, {
                name: "timeStamp";
                type: {
                    kind: "SCALAR";
                    name: "BigInt";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "timeStamp_not";
                type: {
                    kind: "SCALAR";
                    name: "BigInt";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "timeStamp_gt";
                type: {
                    kind: "SCALAR";
                    name: "BigInt";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "timeStamp_lt";
                type: {
                    kind: "SCALAR";
                    name: "BigInt";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "timeStamp_gte";
                type: {
                    kind: "SCALAR";
                    name: "BigInt";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "timeStamp_lte";
                type: {
                    kind: "SCALAR";
                    name: "BigInt";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "timeStamp_in";
                type: {
                    kind: "LIST";
                    name: never;
                    ofType: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "SCALAR";
                            name: "BigInt";
                            ofType: null;
                        };
                    };
                };
                defaultValue: null;
            }, {
                name: "timeStamp_not_in";
                type: {
                    kind: "LIST";
                    name: never;
                    ofType: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "SCALAR";
                            name: "BigInt";
                            ofType: null;
                        };
                    };
                };
                defaultValue: null;
            }, {
                name: "rewards_";
                type: {
                    kind: "INPUT_OBJECT";
                    name: "OrchestratorReward_filter";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "_change_block";
                type: {
                    kind: "INPUT_OBJECT";
                    name: "BlockChangedFilter";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "and";
                type: {
                    kind: "LIST";
                    name: never;
                    ofType: {
                        kind: "INPUT_OBJECT";
                        name: "OrchestratorRewardTracker_filter";
                        ofType: null;
                    };
                };
                defaultValue: null;
            }, {
                name: "or";
                type: {
                    kind: "LIST";
                    name: never;
                    ofType: {
                        kind: "INPUT_OBJECT";
                        name: "OrchestratorRewardTracker_filter";
                        ofType: null;
                    };
                };
                defaultValue: null;
            }];
        };
        OrchestratorRewardTracker_orderBy: {
            name: "OrchestratorRewardTracker_orderBy";
            enumValues: "id" | "timeStamp" | "rewards";
        };
        OrchestratorReward_filter: {
            kind: "INPUT_OBJECT";
            name: "OrchestratorReward_filter";
            isOneOf: false;
            inputFields: [{
                name: "id";
                type: {
                    kind: "SCALAR";
                    name: "ID";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "id_not";
                type: {
                    kind: "SCALAR";
                    name: "ID";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "id_gt";
                type: {
                    kind: "SCALAR";
                    name: "ID";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "id_lt";
                type: {
                    kind: "SCALAR";
                    name: "ID";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "id_gte";
                type: {
                    kind: "SCALAR";
                    name: "ID";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "id_lte";
                type: {
                    kind: "SCALAR";
                    name: "ID";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "id_in";
                type: {
                    kind: "LIST";
                    name: never;
                    ofType: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "SCALAR";
                            name: "ID";
                            ofType: null;
                        };
                    };
                };
                defaultValue: null;
            }, {
                name: "id_not_in";
                type: {
                    kind: "LIST";
                    name: never;
                    ofType: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "SCALAR";
                            name: "ID";
                            ofType: null;
                        };
                    };
                };
                defaultValue: null;
            }, {
                name: "timeStamp";
                type: {
                    kind: "SCALAR";
                    name: "BigInt";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "timeStamp_not";
                type: {
                    kind: "SCALAR";
                    name: "BigInt";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "timeStamp_gt";
                type: {
                    kind: "SCALAR";
                    name: "BigInt";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "timeStamp_lt";
                type: {
                    kind: "SCALAR";
                    name: "BigInt";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "timeStamp_gte";
                type: {
                    kind: "SCALAR";
                    name: "BigInt";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "timeStamp_lte";
                type: {
                    kind: "SCALAR";
                    name: "BigInt";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "timeStamp_in";
                type: {
                    kind: "LIST";
                    name: never;
                    ofType: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "SCALAR";
                            name: "BigInt";
                            ofType: null;
                        };
                    };
                };
                defaultValue: null;
            }, {
                name: "timeStamp_not_in";
                type: {
                    kind: "LIST";
                    name: never;
                    ofType: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "SCALAR";
                            name: "BigInt";
                            ofType: null;
                        };
                    };
                };
                defaultValue: null;
            }, {
                name: "updatedTimeStamp";
                type: {
                    kind: "SCALAR";
                    name: "BigInt";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "updatedTimeStamp_not";
                type: {
                    kind: "SCALAR";
                    name: "BigInt";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "updatedTimeStamp_gt";
                type: {
                    kind: "SCALAR";
                    name: "BigInt";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "updatedTimeStamp_lt";
                type: {
                    kind: "SCALAR";
                    name: "BigInt";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "updatedTimeStamp_gte";
                type: {
                    kind: "SCALAR";
                    name: "BigInt";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "updatedTimeStamp_lte";
                type: {
                    kind: "SCALAR";
                    name: "BigInt";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "updatedTimeStamp_in";
                type: {
                    kind: "LIST";
                    name: never;
                    ofType: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "SCALAR";
                            name: "BigInt";
                            ofType: null;
                        };
                    };
                };
                defaultValue: null;
            }, {
                name: "updatedTimeStamp_not_in";
                type: {
                    kind: "LIST";
                    name: never;
                    ofType: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "SCALAR";
                            name: "BigInt";
                            ofType: null;
                        };
                    };
                };
                defaultValue: null;
            }, {
                name: "address";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "address_not";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "address_gt";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "address_lt";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "address_gte";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "address_lte";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "address_in";
                type: {
                    kind: "LIST";
                    name: never;
                    ofType: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "SCALAR";
                            name: "String";
                            ofType: null;
                        };
                    };
                };
                defaultValue: null;
            }, {
                name: "address_not_in";
                type: {
                    kind: "LIST";
                    name: never;
                    ofType: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "SCALAR";
                            name: "String";
                            ofType: null;
                        };
                    };
                };
                defaultValue: null;
            }, {
                name: "address_contains";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "address_contains_nocase";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "address_not_contains";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "address_not_contains_nocase";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "address_starts_with";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "address_starts_with_nocase";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "address_not_starts_with";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "address_not_starts_with_nocase";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "address_ends_with";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "address_ends_with_nocase";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "address_not_ends_with";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "address_not_ends_with_nocase";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "reward";
                type: {
                    kind: "SCALAR";
                    name: "BigInt";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "reward_not";
                type: {
                    kind: "SCALAR";
                    name: "BigInt";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "reward_gt";
                type: {
                    kind: "SCALAR";
                    name: "BigInt";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "reward_lt";
                type: {
                    kind: "SCALAR";
                    name: "BigInt";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "reward_gte";
                type: {
                    kind: "SCALAR";
                    name: "BigInt";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "reward_lte";
                type: {
                    kind: "SCALAR";
                    name: "BigInt";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "reward_in";
                type: {
                    kind: "LIST";
                    name: never;
                    ofType: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "SCALAR";
                            name: "BigInt";
                            ofType: null;
                        };
                    };
                };
                defaultValue: null;
            }, {
                name: "reward_not_in";
                type: {
                    kind: "LIST";
                    name: never;
                    ofType: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "SCALAR";
                            name: "BigInt";
                            ofType: null;
                        };
                    };
                };
                defaultValue: null;
            }, {
                name: "trackerId";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "trackerId_not";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "trackerId_gt";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "trackerId_lt";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "trackerId_gte";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "trackerId_lte";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "trackerId_in";
                type: {
                    kind: "LIST";
                    name: never;
                    ofType: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "SCALAR";
                            name: "String";
                            ofType: null;
                        };
                    };
                };
                defaultValue: null;
            }, {
                name: "trackerId_not_in";
                type: {
                    kind: "LIST";
                    name: never;
                    ofType: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "SCALAR";
                            name: "String";
                            ofType: null;
                        };
                    };
                };
                defaultValue: null;
            }, {
                name: "trackerId_contains";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "trackerId_contains_nocase";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "trackerId_not_contains";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "trackerId_not_contains_nocase";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "trackerId_starts_with";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "trackerId_starts_with_nocase";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "trackerId_not_starts_with";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "trackerId_not_starts_with_nocase";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "trackerId_ends_with";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "trackerId_ends_with_nocase";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "trackerId_not_ends_with";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "trackerId_not_ends_with_nocase";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "trackerId_";
                type: {
                    kind: "INPUT_OBJECT";
                    name: "OrchestratorRewardTracker_filter";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "_change_block";
                type: {
                    kind: "INPUT_OBJECT";
                    name: "BlockChangedFilter";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "and";
                type: {
                    kind: "LIST";
                    name: never;
                    ofType: {
                        kind: "INPUT_OBJECT";
                        name: "OrchestratorReward_filter";
                        ofType: null;
                    };
                };
                defaultValue: null;
            }, {
                name: "or";
                type: {
                    kind: "LIST";
                    name: never;
                    ofType: {
                        kind: "INPUT_OBJECT";
                        name: "OrchestratorReward_filter";
                        ofType: null;
                    };
                };
                defaultValue: null;
            }];
        };
        OrchestratorReward_orderBy: {
            name: "OrchestratorReward_orderBy";
            enumValues: "id" | "address" | "timeStamp" | "reward" | "trackerId" | "updatedTimeStamp" | "trackerId__id" | "trackerId__timeStamp";
        };
        OrderDirection: {
            name: "OrderDirection";
            enumValues: "asc" | "desc";
        };
        PermissionUpdate: {
            kind: "OBJECT";
            name: "PermissionUpdate";
            fields: {
                action: {
                    name: "action";
                    type: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "SCALAR";
                            name: "String";
                            ofType: null;
                        };
                    };
                };
                id: {
                    name: "id";
                    type: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "SCALAR";
                            name: "ID";
                            ofType: null;
                        };
                    };
                };
                keeper: {
                    name: "keeper";
                    type: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "OBJECT";
                            name: "Keeper";
                            ofType: null;
                        };
                    };
                };
                timeStamp: {
                    name: "timeStamp";
                    type: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "SCALAR";
                            name: "BigInt";
                            ofType: null;
                        };
                    };
                };
            };
        };
        PermissionUpdate_filter: {
            kind: "INPUT_OBJECT";
            name: "PermissionUpdate_filter";
            isOneOf: false;
            inputFields: [{
                name: "id";
                type: {
                    kind: "SCALAR";
                    name: "ID";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "id_not";
                type: {
                    kind: "SCALAR";
                    name: "ID";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "id_gt";
                type: {
                    kind: "SCALAR";
                    name: "ID";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "id_lt";
                type: {
                    kind: "SCALAR";
                    name: "ID";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "id_gte";
                type: {
                    kind: "SCALAR";
                    name: "ID";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "id_lte";
                type: {
                    kind: "SCALAR";
                    name: "ID";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "id_in";
                type: {
                    kind: "LIST";
                    name: never;
                    ofType: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "SCALAR";
                            name: "ID";
                            ofType: null;
                        };
                    };
                };
                defaultValue: null;
            }, {
                name: "id_not_in";
                type: {
                    kind: "LIST";
                    name: never;
                    ofType: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "SCALAR";
                            name: "ID";
                            ofType: null;
                        };
                    };
                };
                defaultValue: null;
            }, {
                name: "keeper";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "keeper_not";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "keeper_gt";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "keeper_lt";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "keeper_gte";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "keeper_lte";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "keeper_in";
                type: {
                    kind: "LIST";
                    name: never;
                    ofType: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "SCALAR";
                            name: "String";
                            ofType: null;
                        };
                    };
                };
                defaultValue: null;
            }, {
                name: "keeper_not_in";
                type: {
                    kind: "LIST";
                    name: never;
                    ofType: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "SCALAR";
                            name: "String";
                            ofType: null;
                        };
                    };
                };
                defaultValue: null;
            }, {
                name: "keeper_contains";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "keeper_contains_nocase";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "keeper_not_contains";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "keeper_not_contains_nocase";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "keeper_starts_with";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "keeper_starts_with_nocase";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "keeper_not_starts_with";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "keeper_not_starts_with_nocase";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "keeper_ends_with";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "keeper_ends_with_nocase";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "keeper_not_ends_with";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "keeper_not_ends_with_nocase";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "keeper_";
                type: {
                    kind: "INPUT_OBJECT";
                    name: "Keeper_filter";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "timeStamp";
                type: {
                    kind: "SCALAR";
                    name: "BigInt";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "timeStamp_not";
                type: {
                    kind: "SCALAR";
                    name: "BigInt";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "timeStamp_gt";
                type: {
                    kind: "SCALAR";
                    name: "BigInt";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "timeStamp_lt";
                type: {
                    kind: "SCALAR";
                    name: "BigInt";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "timeStamp_gte";
                type: {
                    kind: "SCALAR";
                    name: "BigInt";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "timeStamp_lte";
                type: {
                    kind: "SCALAR";
                    name: "BigInt";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "timeStamp_in";
                type: {
                    kind: "LIST";
                    name: never;
                    ofType: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "SCALAR";
                            name: "BigInt";
                            ofType: null;
                        };
                    };
                };
                defaultValue: null;
            }, {
                name: "timeStamp_not_in";
                type: {
                    kind: "LIST";
                    name: never;
                    ofType: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "SCALAR";
                            name: "BigInt";
                            ofType: null;
                        };
                    };
                };
                defaultValue: null;
            }, {
                name: "action";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "action_not";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "action_gt";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "action_lt";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "action_gte";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "action_lte";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "action_in";
                type: {
                    kind: "LIST";
                    name: never;
                    ofType: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "SCALAR";
                            name: "String";
                            ofType: null;
                        };
                    };
                };
                defaultValue: null;
            }, {
                name: "action_not_in";
                type: {
                    kind: "LIST";
                    name: never;
                    ofType: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "SCALAR";
                            name: "String";
                            ofType: null;
                        };
                    };
                };
                defaultValue: null;
            }, {
                name: "action_contains";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "action_contains_nocase";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "action_not_contains";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "action_not_contains_nocase";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "action_starts_with";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "action_starts_with_nocase";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "action_not_starts_with";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "action_not_starts_with_nocase";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "action_ends_with";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "action_ends_with_nocase";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "action_not_ends_with";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "action_not_ends_with_nocase";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "_change_block";
                type: {
                    kind: "INPUT_OBJECT";
                    name: "BlockChangedFilter";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "and";
                type: {
                    kind: "LIST";
                    name: never;
                    ofType: {
                        kind: "INPUT_OBJECT";
                        name: "PermissionUpdate_filter";
                        ofType: null;
                    };
                };
                defaultValue: null;
            }, {
                name: "or";
                type: {
                    kind: "LIST";
                    name: never;
                    ofType: {
                        kind: "INPUT_OBJECT";
                        name: "PermissionUpdate_filter";
                        ofType: null;
                    };
                };
                defaultValue: null;
            }];
        };
        PermissionUpdate_orderBy: {
            name: "PermissionUpdate_orderBy";
            enumValues: "id" | "timeStamp" | "action" | "keeper" | "keeper__id" | "keeper__bondHeld" | "keeper__index" | "keeper__status";
        };
        PrevAnnualVaultSnapshot: {
            kind: "OBJECT";
            name: "PrevAnnualVaultSnapshot";
            fields: {
                fees0: {
                    name: "fees0";
                    type: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "SCALAR";
                            name: "BigInt";
                            ofType: null;
                        };
                    };
                };
                fees1: {
                    name: "fees1";
                    type: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "SCALAR";
                            name: "BigInt";
                            ofType: null;
                        };
                    };
                };
                id: {
                    name: "id";
                    type: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "SCALAR";
                            name: "ID";
                            ofType: null;
                        };
                    };
                };
                sqrtPriceX96: {
                    name: "sqrtPriceX96";
                    type: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "SCALAR";
                            name: "BigInt";
                            ofType: null;
                        };
                    };
                };
                timestamp: {
                    name: "timestamp";
                    type: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "SCALAR";
                            name: "BigInt";
                            ofType: null;
                        };
                    };
                };
                totalAmount0: {
                    name: "totalAmount0";
                    type: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "SCALAR";
                            name: "BigInt";
                            ofType: null;
                        };
                    };
                };
                totalAmount1: {
                    name: "totalAmount1";
                    type: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "SCALAR";
                            name: "BigInt";
                            ofType: null;
                        };
                    };
                };
                totalSupply: {
                    name: "totalSupply";
                    type: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "SCALAR";
                            name: "BigInt";
                            ofType: null;
                        };
                    };
                };
                vaultAddress: {
                    name: "vaultAddress";
                    type: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "OBJECT";
                            name: "Vault";
                            ofType: null;
                        };
                    };
                };
            };
        };
        PrevAnnualVaultSnapshot_filter: {
            kind: "INPUT_OBJECT";
            name: "PrevAnnualVaultSnapshot_filter";
            isOneOf: false;
            inputFields: [{
                name: "id";
                type: {
                    kind: "SCALAR";
                    name: "ID";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "id_not";
                type: {
                    kind: "SCALAR";
                    name: "ID";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "id_gt";
                type: {
                    kind: "SCALAR";
                    name: "ID";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "id_lt";
                type: {
                    kind: "SCALAR";
                    name: "ID";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "id_gte";
                type: {
                    kind: "SCALAR";
                    name: "ID";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "id_lte";
                type: {
                    kind: "SCALAR";
                    name: "ID";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "id_in";
                type: {
                    kind: "LIST";
                    name: never;
                    ofType: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "SCALAR";
                            name: "ID";
                            ofType: null;
                        };
                    };
                };
                defaultValue: null;
            }, {
                name: "id_not_in";
                type: {
                    kind: "LIST";
                    name: never;
                    ofType: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "SCALAR";
                            name: "ID";
                            ofType: null;
                        };
                    };
                };
                defaultValue: null;
            }, {
                name: "timestamp";
                type: {
                    kind: "SCALAR";
                    name: "BigInt";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "timestamp_not";
                type: {
                    kind: "SCALAR";
                    name: "BigInt";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "timestamp_gt";
                type: {
                    kind: "SCALAR";
                    name: "BigInt";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "timestamp_lt";
                type: {
                    kind: "SCALAR";
                    name: "BigInt";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "timestamp_gte";
                type: {
                    kind: "SCALAR";
                    name: "BigInt";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "timestamp_lte";
                type: {
                    kind: "SCALAR";
                    name: "BigInt";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "timestamp_in";
                type: {
                    kind: "LIST";
                    name: never;
                    ofType: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "SCALAR";
                            name: "BigInt";
                            ofType: null;
                        };
                    };
                };
                defaultValue: null;
            }, {
                name: "timestamp_not_in";
                type: {
                    kind: "LIST";
                    name: never;
                    ofType: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "SCALAR";
                            name: "BigInt";
                            ofType: null;
                        };
                    };
                };
                defaultValue: null;
            }, {
                name: "vaultAddress";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "vaultAddress_not";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "vaultAddress_gt";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "vaultAddress_lt";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "vaultAddress_gte";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "vaultAddress_lte";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "vaultAddress_in";
                type: {
                    kind: "LIST";
                    name: never;
                    ofType: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "SCALAR";
                            name: "String";
                            ofType: null;
                        };
                    };
                };
                defaultValue: null;
            }, {
                name: "vaultAddress_not_in";
                type: {
                    kind: "LIST";
                    name: never;
                    ofType: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "SCALAR";
                            name: "String";
                            ofType: null;
                        };
                    };
                };
                defaultValue: null;
            }, {
                name: "vaultAddress_contains";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "vaultAddress_contains_nocase";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "vaultAddress_not_contains";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "vaultAddress_not_contains_nocase";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "vaultAddress_starts_with";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "vaultAddress_starts_with_nocase";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "vaultAddress_not_starts_with";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "vaultAddress_not_starts_with_nocase";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "vaultAddress_ends_with";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "vaultAddress_ends_with_nocase";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "vaultAddress_not_ends_with";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "vaultAddress_not_ends_with_nocase";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "vaultAddress_";
                type: {
                    kind: "INPUT_OBJECT";
                    name: "Vault_filter";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "totalAmount0";
                type: {
                    kind: "SCALAR";
                    name: "BigInt";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "totalAmount0_not";
                type: {
                    kind: "SCALAR";
                    name: "BigInt";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "totalAmount0_gt";
                type: {
                    kind: "SCALAR";
                    name: "BigInt";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "totalAmount0_lt";
                type: {
                    kind: "SCALAR";
                    name: "BigInt";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "totalAmount0_gte";
                type: {
                    kind: "SCALAR";
                    name: "BigInt";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "totalAmount0_lte";
                type: {
                    kind: "SCALAR";
                    name: "BigInt";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "totalAmount0_in";
                type: {
                    kind: "LIST";
                    name: never;
                    ofType: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "SCALAR";
                            name: "BigInt";
                            ofType: null;
                        };
                    };
                };
                defaultValue: null;
            }, {
                name: "totalAmount0_not_in";
                type: {
                    kind: "LIST";
                    name: never;
                    ofType: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "SCALAR";
                            name: "BigInt";
                            ofType: null;
                        };
                    };
                };
                defaultValue: null;
            }, {
                name: "totalAmount1";
                type: {
                    kind: "SCALAR";
                    name: "BigInt";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "totalAmount1_not";
                type: {
                    kind: "SCALAR";
                    name: "BigInt";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "totalAmount1_gt";
                type: {
                    kind: "SCALAR";
                    name: "BigInt";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "totalAmount1_lt";
                type: {
                    kind: "SCALAR";
                    name: "BigInt";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "totalAmount1_gte";
                type: {
                    kind: "SCALAR";
                    name: "BigInt";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "totalAmount1_lte";
                type: {
                    kind: "SCALAR";
                    name: "BigInt";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "totalAmount1_in";
                type: {
                    kind: "LIST";
                    name: never;
                    ofType: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "SCALAR";
                            name: "BigInt";
                            ofType: null;
                        };
                    };
                };
                defaultValue: null;
            }, {
                name: "totalAmount1_not_in";
                type: {
                    kind: "LIST";
                    name: never;
                    ofType: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "SCALAR";
                            name: "BigInt";
                            ofType: null;
                        };
                    };
                };
                defaultValue: null;
            }, {
                name: "sqrtPriceX96";
                type: {
                    kind: "SCALAR";
                    name: "BigInt";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "sqrtPriceX96_not";
                type: {
                    kind: "SCALAR";
                    name: "BigInt";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "sqrtPriceX96_gt";
                type: {
                    kind: "SCALAR";
                    name: "BigInt";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "sqrtPriceX96_lt";
                type: {
                    kind: "SCALAR";
                    name: "BigInt";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "sqrtPriceX96_gte";
                type: {
                    kind: "SCALAR";
                    name: "BigInt";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "sqrtPriceX96_lte";
                type: {
                    kind: "SCALAR";
                    name: "BigInt";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "sqrtPriceX96_in";
                type: {
                    kind: "LIST";
                    name: never;
                    ofType: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "SCALAR";
                            name: "BigInt";
                            ofType: null;
                        };
                    };
                };
                defaultValue: null;
            }, {
                name: "sqrtPriceX96_not_in";
                type: {
                    kind: "LIST";
                    name: never;
                    ofType: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "SCALAR";
                            name: "BigInt";
                            ofType: null;
                        };
                    };
                };
                defaultValue: null;
            }, {
                name: "totalSupply";
                type: {
                    kind: "SCALAR";
                    name: "BigInt";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "totalSupply_not";
                type: {
                    kind: "SCALAR";
                    name: "BigInt";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "totalSupply_gt";
                type: {
                    kind: "SCALAR";
                    name: "BigInt";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "totalSupply_lt";
                type: {
                    kind: "SCALAR";
                    name: "BigInt";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "totalSupply_gte";
                type: {
                    kind: "SCALAR";
                    name: "BigInt";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "totalSupply_lte";
                type: {
                    kind: "SCALAR";
                    name: "BigInt";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "totalSupply_in";
                type: {
                    kind: "LIST";
                    name: never;
                    ofType: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "SCALAR";
                            name: "BigInt";
                            ofType: null;
                        };
                    };
                };
                defaultValue: null;
            }, {
                name: "totalSupply_not_in";
                type: {
                    kind: "LIST";
                    name: never;
                    ofType: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "SCALAR";
                            name: "BigInt";
                            ofType: null;
                        };
                    };
                };
                defaultValue: null;
            }, {
                name: "fees1";
                type: {
                    kind: "SCALAR";
                    name: "BigInt";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "fees1_not";
                type: {
                    kind: "SCALAR";
                    name: "BigInt";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "fees1_gt";
                type: {
                    kind: "SCALAR";
                    name: "BigInt";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "fees1_lt";
                type: {
                    kind: "SCALAR";
                    name: "BigInt";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "fees1_gte";
                type: {
                    kind: "SCALAR";
                    name: "BigInt";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "fees1_lte";
                type: {
                    kind: "SCALAR";
                    name: "BigInt";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "fees1_in";
                type: {
                    kind: "LIST";
                    name: never;
                    ofType: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "SCALAR";
                            name: "BigInt";
                            ofType: null;
                        };
                    };
                };
                defaultValue: null;
            }, {
                name: "fees1_not_in";
                type: {
                    kind: "LIST";
                    name: never;
                    ofType: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "SCALAR";
                            name: "BigInt";
                            ofType: null;
                        };
                    };
                };
                defaultValue: null;
            }, {
                name: "fees0";
                type: {
                    kind: "SCALAR";
                    name: "BigInt";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "fees0_not";
                type: {
                    kind: "SCALAR";
                    name: "BigInt";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "fees0_gt";
                type: {
                    kind: "SCALAR";
                    name: "BigInt";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "fees0_lt";
                type: {
                    kind: "SCALAR";
                    name: "BigInt";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "fees0_gte";
                type: {
                    kind: "SCALAR";
                    name: "BigInt";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "fees0_lte";
                type: {
                    kind: "SCALAR";
                    name: "BigInt";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "fees0_in";
                type: {
                    kind: "LIST";
                    name: never;
                    ofType: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "SCALAR";
                            name: "BigInt";
                            ofType: null;
                        };
                    };
                };
                defaultValue: null;
            }, {
                name: "fees0_not_in";
                type: {
                    kind: "LIST";
                    name: never;
                    ofType: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "SCALAR";
                            name: "BigInt";
                            ofType: null;
                        };
                    };
                };
                defaultValue: null;
            }, {
                name: "_change_block";
                type: {
                    kind: "INPUT_OBJECT";
                    name: "BlockChangedFilter";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "and";
                type: {
                    kind: "LIST";
                    name: never;
                    ofType: {
                        kind: "INPUT_OBJECT";
                        name: "PrevAnnualVaultSnapshot_filter";
                        ofType: null;
                    };
                };
                defaultValue: null;
            }, {
                name: "or";
                type: {
                    kind: "LIST";
                    name: never;
                    ofType: {
                        kind: "INPUT_OBJECT";
                        name: "PrevAnnualVaultSnapshot_filter";
                        ofType: null;
                    };
                };
                defaultValue: null;
            }];
        };
        PrevAnnualVaultSnapshot_orderBy: {
            name: "PrevAnnualVaultSnapshot_orderBy";
            enumValues: "id" | "timestamp" | "totalSupply" | "sqrtPriceX96" | "vaultAddress" | "vaultAddress__id" | "vaultAddress__deployer" | "vaultAddress__token0" | "vaultAddress__token1" | "vaultAddress__totalAmount0" | "vaultAddress__totalAmount1" | "vaultAddress__createdAt" | "vaultAddress__lastSnapshot" | "vaultAddress__pool" | "vaultAddress__state" | "vaultAddress__annualPercentageYield" | "vaultAddress__annualPercentageDailyYield" | "vaultAddress__annualPercentageMonthlyYield" | "vaultAddress__annualPercentageYearlyYield" | "vaultAddress__lastTotalT0ValuePerLPT" | "vaultAddress__accruedStrategistFees0" | "vaultAddress__accruedStrategistFees1" | "vaultAddress__fees0" | "vaultAddress__fees1" | "vaultAddress__beaconName" | "vaultAddress__gasUsed" | "vaultAddress__gasDeposited" | "vaultAddress__totalLPTokensIssued" | "vaultAddress__token1Symbol" | "vaultAddress__decimals" | "vaultAddress__feeTier" | "vaultAddress__name" | "vaultAddress__symbol" | "vaultAddress__token0Balance" | "vaultAddress__token0Decimals" | "vaultAddress__token0Name" | "vaultAddress__token0Symbol" | "vaultAddress__token1Balance" | "vaultAddress__token1Decimals" | "vaultAddress__token1Name" | "vaultAddress__payloadIpfs" | "vaultAddress__vaultManager" | "vaultAddress__averageFeeArrPerSecond" | "vaultAddress__totalSnapshots" | "vaultAddress__annualFeeARR" | "vaultAddress__dailyFeeAPR" | "vaultAddress__weeklyFeeAPR" | "vaultAddress__totalValueLockedToken0" | "vaultAddress__totalValueLockedToken1" | "fees0" | "fees1" | "totalAmount0" | "totalAmount1";
        };
        PrevDailyVaultSnapshot: {
            kind: "OBJECT";
            name: "PrevDailyVaultSnapshot";
            fields: {
                fees0: {
                    name: "fees0";
                    type: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "SCALAR";
                            name: "BigInt";
                            ofType: null;
                        };
                    };
                };
                fees1: {
                    name: "fees1";
                    type: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "SCALAR";
                            name: "BigInt";
                            ofType: null;
                        };
                    };
                };
                id: {
                    name: "id";
                    type: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "SCALAR";
                            name: "ID";
                            ofType: null;
                        };
                    };
                };
                sqrtPriceX96: {
                    name: "sqrtPriceX96";
                    type: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "SCALAR";
                            name: "BigInt";
                            ofType: null;
                        };
                    };
                };
                timestamp: {
                    name: "timestamp";
                    type: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "SCALAR";
                            name: "BigInt";
                            ofType: null;
                        };
                    };
                };
                totalAmount0: {
                    name: "totalAmount0";
                    type: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "SCALAR";
                            name: "BigInt";
                            ofType: null;
                        };
                    };
                };
                totalAmount1: {
                    name: "totalAmount1";
                    type: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "SCALAR";
                            name: "BigInt";
                            ofType: null;
                        };
                    };
                };
                totalSupply: {
                    name: "totalSupply";
                    type: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "SCALAR";
                            name: "BigInt";
                            ofType: null;
                        };
                    };
                };
                vaultAddress: {
                    name: "vaultAddress";
                    type: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "OBJECT";
                            name: "Vault";
                            ofType: null;
                        };
                    };
                };
            };
        };
        PrevDailyVaultSnapshot_filter: {
            kind: "INPUT_OBJECT";
            name: "PrevDailyVaultSnapshot_filter";
            isOneOf: false;
            inputFields: [{
                name: "id";
                type: {
                    kind: "SCALAR";
                    name: "ID";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "id_not";
                type: {
                    kind: "SCALAR";
                    name: "ID";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "id_gt";
                type: {
                    kind: "SCALAR";
                    name: "ID";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "id_lt";
                type: {
                    kind: "SCALAR";
                    name: "ID";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "id_gte";
                type: {
                    kind: "SCALAR";
                    name: "ID";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "id_lte";
                type: {
                    kind: "SCALAR";
                    name: "ID";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "id_in";
                type: {
                    kind: "LIST";
                    name: never;
                    ofType: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "SCALAR";
                            name: "ID";
                            ofType: null;
                        };
                    };
                };
                defaultValue: null;
            }, {
                name: "id_not_in";
                type: {
                    kind: "LIST";
                    name: never;
                    ofType: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "SCALAR";
                            name: "ID";
                            ofType: null;
                        };
                    };
                };
                defaultValue: null;
            }, {
                name: "timestamp";
                type: {
                    kind: "SCALAR";
                    name: "BigInt";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "timestamp_not";
                type: {
                    kind: "SCALAR";
                    name: "BigInt";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "timestamp_gt";
                type: {
                    kind: "SCALAR";
                    name: "BigInt";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "timestamp_lt";
                type: {
                    kind: "SCALAR";
                    name: "BigInt";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "timestamp_gte";
                type: {
                    kind: "SCALAR";
                    name: "BigInt";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "timestamp_lte";
                type: {
                    kind: "SCALAR";
                    name: "BigInt";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "timestamp_in";
                type: {
                    kind: "LIST";
                    name: never;
                    ofType: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "SCALAR";
                            name: "BigInt";
                            ofType: null;
                        };
                    };
                };
                defaultValue: null;
            }, {
                name: "timestamp_not_in";
                type: {
                    kind: "LIST";
                    name: never;
                    ofType: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "SCALAR";
                            name: "BigInt";
                            ofType: null;
                        };
                    };
                };
                defaultValue: null;
            }, {
                name: "vaultAddress";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "vaultAddress_not";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "vaultAddress_gt";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "vaultAddress_lt";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "vaultAddress_gte";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "vaultAddress_lte";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "vaultAddress_in";
                type: {
                    kind: "LIST";
                    name: never;
                    ofType: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "SCALAR";
                            name: "String";
                            ofType: null;
                        };
                    };
                };
                defaultValue: null;
            }, {
                name: "vaultAddress_not_in";
                type: {
                    kind: "LIST";
                    name: never;
                    ofType: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "SCALAR";
                            name: "String";
                            ofType: null;
                        };
                    };
                };
                defaultValue: null;
            }, {
                name: "vaultAddress_contains";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "vaultAddress_contains_nocase";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "vaultAddress_not_contains";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "vaultAddress_not_contains_nocase";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "vaultAddress_starts_with";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "vaultAddress_starts_with_nocase";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "vaultAddress_not_starts_with";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "vaultAddress_not_starts_with_nocase";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "vaultAddress_ends_with";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "vaultAddress_ends_with_nocase";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "vaultAddress_not_ends_with";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "vaultAddress_not_ends_with_nocase";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "vaultAddress_";
                type: {
                    kind: "INPUT_OBJECT";
                    name: "Vault_filter";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "totalAmount0";
                type: {
                    kind: "SCALAR";
                    name: "BigInt";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "totalAmount0_not";
                type: {
                    kind: "SCALAR";
                    name: "BigInt";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "totalAmount0_gt";
                type: {
                    kind: "SCALAR";
                    name: "BigInt";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "totalAmount0_lt";
                type: {
                    kind: "SCALAR";
                    name: "BigInt";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "totalAmount0_gte";
                type: {
                    kind: "SCALAR";
                    name: "BigInt";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "totalAmount0_lte";
                type: {
                    kind: "SCALAR";
                    name: "BigInt";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "totalAmount0_in";
                type: {
                    kind: "LIST";
                    name: never;
                    ofType: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "SCALAR";
                            name: "BigInt";
                            ofType: null;
                        };
                    };
                };
                defaultValue: null;
            }, {
                name: "totalAmount0_not_in";
                type: {
                    kind: "LIST";
                    name: never;
                    ofType: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "SCALAR";
                            name: "BigInt";
                            ofType: null;
                        };
                    };
                };
                defaultValue: null;
            }, {
                name: "totalAmount1";
                type: {
                    kind: "SCALAR";
                    name: "BigInt";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "totalAmount1_not";
                type: {
                    kind: "SCALAR";
                    name: "BigInt";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "totalAmount1_gt";
                type: {
                    kind: "SCALAR";
                    name: "BigInt";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "totalAmount1_lt";
                type: {
                    kind: "SCALAR";
                    name: "BigInt";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "totalAmount1_gte";
                type: {
                    kind: "SCALAR";
                    name: "BigInt";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "totalAmount1_lte";
                type: {
                    kind: "SCALAR";
                    name: "BigInt";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "totalAmount1_in";
                type: {
                    kind: "LIST";
                    name: never;
                    ofType: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "SCALAR";
                            name: "BigInt";
                            ofType: null;
                        };
                    };
                };
                defaultValue: null;
            }, {
                name: "totalAmount1_not_in";
                type: {
                    kind: "LIST";
                    name: never;
                    ofType: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "SCALAR";
                            name: "BigInt";
                            ofType: null;
                        };
                    };
                };
                defaultValue: null;
            }, {
                name: "sqrtPriceX96";
                type: {
                    kind: "SCALAR";
                    name: "BigInt";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "sqrtPriceX96_not";
                type: {
                    kind: "SCALAR";
                    name: "BigInt";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "sqrtPriceX96_gt";
                type: {
                    kind: "SCALAR";
                    name: "BigInt";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "sqrtPriceX96_lt";
                type: {
                    kind: "SCALAR";
                    name: "BigInt";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "sqrtPriceX96_gte";
                type: {
                    kind: "SCALAR";
                    name: "BigInt";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "sqrtPriceX96_lte";
                type: {
                    kind: "SCALAR";
                    name: "BigInt";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "sqrtPriceX96_in";
                type: {
                    kind: "LIST";
                    name: never;
                    ofType: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "SCALAR";
                            name: "BigInt";
                            ofType: null;
                        };
                    };
                };
                defaultValue: null;
            }, {
                name: "sqrtPriceX96_not_in";
                type: {
                    kind: "LIST";
                    name: never;
                    ofType: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "SCALAR";
                            name: "BigInt";
                            ofType: null;
                        };
                    };
                };
                defaultValue: null;
            }, {
                name: "totalSupply";
                type: {
                    kind: "SCALAR";
                    name: "BigInt";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "totalSupply_not";
                type: {
                    kind: "SCALAR";
                    name: "BigInt";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "totalSupply_gt";
                type: {
                    kind: "SCALAR";
                    name: "BigInt";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "totalSupply_lt";
                type: {
                    kind: "SCALAR";
                    name: "BigInt";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "totalSupply_gte";
                type: {
                    kind: "SCALAR";
                    name: "BigInt";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "totalSupply_lte";
                type: {
                    kind: "SCALAR";
                    name: "BigInt";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "totalSupply_in";
                type: {
                    kind: "LIST";
                    name: never;
                    ofType: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "SCALAR";
                            name: "BigInt";
                            ofType: null;
                        };
                    };
                };
                defaultValue: null;
            }, {
                name: "totalSupply_not_in";
                type: {
                    kind: "LIST";
                    name: never;
                    ofType: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "SCALAR";
                            name: "BigInt";
                            ofType: null;
                        };
                    };
                };
                defaultValue: null;
            }, {
                name: "fees1";
                type: {
                    kind: "SCALAR";
                    name: "BigInt";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "fees1_not";
                type: {
                    kind: "SCALAR";
                    name: "BigInt";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "fees1_gt";
                type: {
                    kind: "SCALAR";
                    name: "BigInt";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "fees1_lt";
                type: {
                    kind: "SCALAR";
                    name: "BigInt";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "fees1_gte";
                type: {
                    kind: "SCALAR";
                    name: "BigInt";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "fees1_lte";
                type: {
                    kind: "SCALAR";
                    name: "BigInt";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "fees1_in";
                type: {
                    kind: "LIST";
                    name: never;
                    ofType: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "SCALAR";
                            name: "BigInt";
                            ofType: null;
                        };
                    };
                };
                defaultValue: null;
            }, {
                name: "fees1_not_in";
                type: {
                    kind: "LIST";
                    name: never;
                    ofType: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "SCALAR";
                            name: "BigInt";
                            ofType: null;
                        };
                    };
                };
                defaultValue: null;
            }, {
                name: "fees0";
                type: {
                    kind: "SCALAR";
                    name: "BigInt";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "fees0_not";
                type: {
                    kind: "SCALAR";
                    name: "BigInt";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "fees0_gt";
                type: {
                    kind: "SCALAR";
                    name: "BigInt";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "fees0_lt";
                type: {
                    kind: "SCALAR";
                    name: "BigInt";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "fees0_gte";
                type: {
                    kind: "SCALAR";
                    name: "BigInt";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "fees0_lte";
                type: {
                    kind: "SCALAR";
                    name: "BigInt";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "fees0_in";
                type: {
                    kind: "LIST";
                    name: never;
                    ofType: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "SCALAR";
                            name: "BigInt";
                            ofType: null;
                        };
                    };
                };
                defaultValue: null;
            }, {
                name: "fees0_not_in";
                type: {
                    kind: "LIST";
                    name: never;
                    ofType: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "SCALAR";
                            name: "BigInt";
                            ofType: null;
                        };
                    };
                };
                defaultValue: null;
            }, {
                name: "_change_block";
                type: {
                    kind: "INPUT_OBJECT";
                    name: "BlockChangedFilter";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "and";
                type: {
                    kind: "LIST";
                    name: never;
                    ofType: {
                        kind: "INPUT_OBJECT";
                        name: "PrevDailyVaultSnapshot_filter";
                        ofType: null;
                    };
                };
                defaultValue: null;
            }, {
                name: "or";
                type: {
                    kind: "LIST";
                    name: never;
                    ofType: {
                        kind: "INPUT_OBJECT";
                        name: "PrevDailyVaultSnapshot_filter";
                        ofType: null;
                    };
                };
                defaultValue: null;
            }];
        };
        PrevDailyVaultSnapshot_orderBy: {
            name: "PrevDailyVaultSnapshot_orderBy";
            enumValues: "id" | "timestamp" | "totalSupply" | "sqrtPriceX96" | "vaultAddress" | "vaultAddress__id" | "vaultAddress__deployer" | "vaultAddress__token0" | "vaultAddress__token1" | "vaultAddress__totalAmount0" | "vaultAddress__totalAmount1" | "vaultAddress__createdAt" | "vaultAddress__lastSnapshot" | "vaultAddress__pool" | "vaultAddress__state" | "vaultAddress__annualPercentageYield" | "vaultAddress__annualPercentageDailyYield" | "vaultAddress__annualPercentageMonthlyYield" | "vaultAddress__annualPercentageYearlyYield" | "vaultAddress__lastTotalT0ValuePerLPT" | "vaultAddress__accruedStrategistFees0" | "vaultAddress__accruedStrategistFees1" | "vaultAddress__fees0" | "vaultAddress__fees1" | "vaultAddress__beaconName" | "vaultAddress__gasUsed" | "vaultAddress__gasDeposited" | "vaultAddress__totalLPTokensIssued" | "vaultAddress__token1Symbol" | "vaultAddress__decimals" | "vaultAddress__feeTier" | "vaultAddress__name" | "vaultAddress__symbol" | "vaultAddress__token0Balance" | "vaultAddress__token0Decimals" | "vaultAddress__token0Name" | "vaultAddress__token0Symbol" | "vaultAddress__token1Balance" | "vaultAddress__token1Decimals" | "vaultAddress__token1Name" | "vaultAddress__payloadIpfs" | "vaultAddress__vaultManager" | "vaultAddress__averageFeeArrPerSecond" | "vaultAddress__totalSnapshots" | "vaultAddress__annualFeeARR" | "vaultAddress__dailyFeeAPR" | "vaultAddress__weeklyFeeAPR" | "vaultAddress__totalValueLockedToken0" | "vaultAddress__totalValueLockedToken1" | "fees0" | "fees1" | "totalAmount0" | "totalAmount1";
        };
        PrevMonthlyVaultSnapshot: {
            kind: "OBJECT";
            name: "PrevMonthlyVaultSnapshot";
            fields: {
                fees0: {
                    name: "fees0";
                    type: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "SCALAR";
                            name: "BigInt";
                            ofType: null;
                        };
                    };
                };
                fees1: {
                    name: "fees1";
                    type: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "SCALAR";
                            name: "BigInt";
                            ofType: null;
                        };
                    };
                };
                id: {
                    name: "id";
                    type: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "SCALAR";
                            name: "ID";
                            ofType: null;
                        };
                    };
                };
                sqrtPriceX96: {
                    name: "sqrtPriceX96";
                    type: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "SCALAR";
                            name: "BigInt";
                            ofType: null;
                        };
                    };
                };
                timestamp: {
                    name: "timestamp";
                    type: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "SCALAR";
                            name: "BigInt";
                            ofType: null;
                        };
                    };
                };
                totalAmount0: {
                    name: "totalAmount0";
                    type: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "SCALAR";
                            name: "BigInt";
                            ofType: null;
                        };
                    };
                };
                totalAmount1: {
                    name: "totalAmount1";
                    type: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "SCALAR";
                            name: "BigInt";
                            ofType: null;
                        };
                    };
                };
                totalSupply: {
                    name: "totalSupply";
                    type: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "SCALAR";
                            name: "BigInt";
                            ofType: null;
                        };
                    };
                };
                vaultAddress: {
                    name: "vaultAddress";
                    type: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "OBJECT";
                            name: "Vault";
                            ofType: null;
                        };
                    };
                };
            };
        };
        PrevMonthlyVaultSnapshot_filter: {
            kind: "INPUT_OBJECT";
            name: "PrevMonthlyVaultSnapshot_filter";
            isOneOf: false;
            inputFields: [{
                name: "id";
                type: {
                    kind: "SCALAR";
                    name: "ID";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "id_not";
                type: {
                    kind: "SCALAR";
                    name: "ID";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "id_gt";
                type: {
                    kind: "SCALAR";
                    name: "ID";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "id_lt";
                type: {
                    kind: "SCALAR";
                    name: "ID";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "id_gte";
                type: {
                    kind: "SCALAR";
                    name: "ID";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "id_lte";
                type: {
                    kind: "SCALAR";
                    name: "ID";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "id_in";
                type: {
                    kind: "LIST";
                    name: never;
                    ofType: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "SCALAR";
                            name: "ID";
                            ofType: null;
                        };
                    };
                };
                defaultValue: null;
            }, {
                name: "id_not_in";
                type: {
                    kind: "LIST";
                    name: never;
                    ofType: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "SCALAR";
                            name: "ID";
                            ofType: null;
                        };
                    };
                };
                defaultValue: null;
            }, {
                name: "timestamp";
                type: {
                    kind: "SCALAR";
                    name: "BigInt";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "timestamp_not";
                type: {
                    kind: "SCALAR";
                    name: "BigInt";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "timestamp_gt";
                type: {
                    kind: "SCALAR";
                    name: "BigInt";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "timestamp_lt";
                type: {
                    kind: "SCALAR";
                    name: "BigInt";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "timestamp_gte";
                type: {
                    kind: "SCALAR";
                    name: "BigInt";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "timestamp_lte";
                type: {
                    kind: "SCALAR";
                    name: "BigInt";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "timestamp_in";
                type: {
                    kind: "LIST";
                    name: never;
                    ofType: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "SCALAR";
                            name: "BigInt";
                            ofType: null;
                        };
                    };
                };
                defaultValue: null;
            }, {
                name: "timestamp_not_in";
                type: {
                    kind: "LIST";
                    name: never;
                    ofType: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "SCALAR";
                            name: "BigInt";
                            ofType: null;
                        };
                    };
                };
                defaultValue: null;
            }, {
                name: "vaultAddress";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "vaultAddress_not";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "vaultAddress_gt";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "vaultAddress_lt";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "vaultAddress_gte";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "vaultAddress_lte";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "vaultAddress_in";
                type: {
                    kind: "LIST";
                    name: never;
                    ofType: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "SCALAR";
                            name: "String";
                            ofType: null;
                        };
                    };
                };
                defaultValue: null;
            }, {
                name: "vaultAddress_not_in";
                type: {
                    kind: "LIST";
                    name: never;
                    ofType: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "SCALAR";
                            name: "String";
                            ofType: null;
                        };
                    };
                };
                defaultValue: null;
            }, {
                name: "vaultAddress_contains";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "vaultAddress_contains_nocase";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "vaultAddress_not_contains";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "vaultAddress_not_contains_nocase";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "vaultAddress_starts_with";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "vaultAddress_starts_with_nocase";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "vaultAddress_not_starts_with";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "vaultAddress_not_starts_with_nocase";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "vaultAddress_ends_with";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "vaultAddress_ends_with_nocase";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "vaultAddress_not_ends_with";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "vaultAddress_not_ends_with_nocase";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "vaultAddress_";
                type: {
                    kind: "INPUT_OBJECT";
                    name: "Vault_filter";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "totalAmount0";
                type: {
                    kind: "SCALAR";
                    name: "BigInt";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "totalAmount0_not";
                type: {
                    kind: "SCALAR";
                    name: "BigInt";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "totalAmount0_gt";
                type: {
                    kind: "SCALAR";
                    name: "BigInt";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "totalAmount0_lt";
                type: {
                    kind: "SCALAR";
                    name: "BigInt";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "totalAmount0_gte";
                type: {
                    kind: "SCALAR";
                    name: "BigInt";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "totalAmount0_lte";
                type: {
                    kind: "SCALAR";
                    name: "BigInt";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "totalAmount0_in";
                type: {
                    kind: "LIST";
                    name: never;
                    ofType: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "SCALAR";
                            name: "BigInt";
                            ofType: null;
                        };
                    };
                };
                defaultValue: null;
            }, {
                name: "totalAmount0_not_in";
                type: {
                    kind: "LIST";
                    name: never;
                    ofType: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "SCALAR";
                            name: "BigInt";
                            ofType: null;
                        };
                    };
                };
                defaultValue: null;
            }, {
                name: "totalAmount1";
                type: {
                    kind: "SCALAR";
                    name: "BigInt";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "totalAmount1_not";
                type: {
                    kind: "SCALAR";
                    name: "BigInt";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "totalAmount1_gt";
                type: {
                    kind: "SCALAR";
                    name: "BigInt";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "totalAmount1_lt";
                type: {
                    kind: "SCALAR";
                    name: "BigInt";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "totalAmount1_gte";
                type: {
                    kind: "SCALAR";
                    name: "BigInt";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "totalAmount1_lte";
                type: {
                    kind: "SCALAR";
                    name: "BigInt";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "totalAmount1_in";
                type: {
                    kind: "LIST";
                    name: never;
                    ofType: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "SCALAR";
                            name: "BigInt";
                            ofType: null;
                        };
                    };
                };
                defaultValue: null;
            }, {
                name: "totalAmount1_not_in";
                type: {
                    kind: "LIST";
                    name: never;
                    ofType: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "SCALAR";
                            name: "BigInt";
                            ofType: null;
                        };
                    };
                };
                defaultValue: null;
            }, {
                name: "sqrtPriceX96";
                type: {
                    kind: "SCALAR";
                    name: "BigInt";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "sqrtPriceX96_not";
                type: {
                    kind: "SCALAR";
                    name: "BigInt";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "sqrtPriceX96_gt";
                type: {
                    kind: "SCALAR";
                    name: "BigInt";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "sqrtPriceX96_lt";
                type: {
                    kind: "SCALAR";
                    name: "BigInt";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "sqrtPriceX96_gte";
                type: {
                    kind: "SCALAR";
                    name: "BigInt";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "sqrtPriceX96_lte";
                type: {
                    kind: "SCALAR";
                    name: "BigInt";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "sqrtPriceX96_in";
                type: {
                    kind: "LIST";
                    name: never;
                    ofType: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "SCALAR";
                            name: "BigInt";
                            ofType: null;
                        };
                    };
                };
                defaultValue: null;
            }, {
                name: "sqrtPriceX96_not_in";
                type: {
                    kind: "LIST";
                    name: never;
                    ofType: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "SCALAR";
                            name: "BigInt";
                            ofType: null;
                        };
                    };
                };
                defaultValue: null;
            }, {
                name: "totalSupply";
                type: {
                    kind: "SCALAR";
                    name: "BigInt";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "totalSupply_not";
                type: {
                    kind: "SCALAR";
                    name: "BigInt";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "totalSupply_gt";
                type: {
                    kind: "SCALAR";
                    name: "BigInt";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "totalSupply_lt";
                type: {
                    kind: "SCALAR";
                    name: "BigInt";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "totalSupply_gte";
                type: {
                    kind: "SCALAR";
                    name: "BigInt";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "totalSupply_lte";
                type: {
                    kind: "SCALAR";
                    name: "BigInt";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "totalSupply_in";
                type: {
                    kind: "LIST";
                    name: never;
                    ofType: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "SCALAR";
                            name: "BigInt";
                            ofType: null;
                        };
                    };
                };
                defaultValue: null;
            }, {
                name: "totalSupply_not_in";
                type: {
                    kind: "LIST";
                    name: never;
                    ofType: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "SCALAR";
                            name: "BigInt";
                            ofType: null;
                        };
                    };
                };
                defaultValue: null;
            }, {
                name: "fees1";
                type: {
                    kind: "SCALAR";
                    name: "BigInt";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "fees1_not";
                type: {
                    kind: "SCALAR";
                    name: "BigInt";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "fees1_gt";
                type: {
                    kind: "SCALAR";
                    name: "BigInt";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "fees1_lt";
                type: {
                    kind: "SCALAR";
                    name: "BigInt";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "fees1_gte";
                type: {
                    kind: "SCALAR";
                    name: "BigInt";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "fees1_lte";
                type: {
                    kind: "SCALAR";
                    name: "BigInt";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "fees1_in";
                type: {
                    kind: "LIST";
                    name: never;
                    ofType: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "SCALAR";
                            name: "BigInt";
                            ofType: null;
                        };
                    };
                };
                defaultValue: null;
            }, {
                name: "fees1_not_in";
                type: {
                    kind: "LIST";
                    name: never;
                    ofType: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "SCALAR";
                            name: "BigInt";
                            ofType: null;
                        };
                    };
                };
                defaultValue: null;
            }, {
                name: "fees0";
                type: {
                    kind: "SCALAR";
                    name: "BigInt";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "fees0_not";
                type: {
                    kind: "SCALAR";
                    name: "BigInt";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "fees0_gt";
                type: {
                    kind: "SCALAR";
                    name: "BigInt";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "fees0_lt";
                type: {
                    kind: "SCALAR";
                    name: "BigInt";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "fees0_gte";
                type: {
                    kind: "SCALAR";
                    name: "BigInt";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "fees0_lte";
                type: {
                    kind: "SCALAR";
                    name: "BigInt";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "fees0_in";
                type: {
                    kind: "LIST";
                    name: never;
                    ofType: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "SCALAR";
                            name: "BigInt";
                            ofType: null;
                        };
                    };
                };
                defaultValue: null;
            }, {
                name: "fees0_not_in";
                type: {
                    kind: "LIST";
                    name: never;
                    ofType: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "SCALAR";
                            name: "BigInt";
                            ofType: null;
                        };
                    };
                };
                defaultValue: null;
            }, {
                name: "_change_block";
                type: {
                    kind: "INPUT_OBJECT";
                    name: "BlockChangedFilter";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "and";
                type: {
                    kind: "LIST";
                    name: never;
                    ofType: {
                        kind: "INPUT_OBJECT";
                        name: "PrevMonthlyVaultSnapshot_filter";
                        ofType: null;
                    };
                };
                defaultValue: null;
            }, {
                name: "or";
                type: {
                    kind: "LIST";
                    name: never;
                    ofType: {
                        kind: "INPUT_OBJECT";
                        name: "PrevMonthlyVaultSnapshot_filter";
                        ofType: null;
                    };
                };
                defaultValue: null;
            }];
        };
        PrevMonthlyVaultSnapshot_orderBy: {
            name: "PrevMonthlyVaultSnapshot_orderBy";
            enumValues: "id" | "timestamp" | "totalSupply" | "sqrtPriceX96" | "vaultAddress" | "vaultAddress__id" | "vaultAddress__deployer" | "vaultAddress__token0" | "vaultAddress__token1" | "vaultAddress__totalAmount0" | "vaultAddress__totalAmount1" | "vaultAddress__createdAt" | "vaultAddress__lastSnapshot" | "vaultAddress__pool" | "vaultAddress__state" | "vaultAddress__annualPercentageYield" | "vaultAddress__annualPercentageDailyYield" | "vaultAddress__annualPercentageMonthlyYield" | "vaultAddress__annualPercentageYearlyYield" | "vaultAddress__lastTotalT0ValuePerLPT" | "vaultAddress__accruedStrategistFees0" | "vaultAddress__accruedStrategistFees1" | "vaultAddress__fees0" | "vaultAddress__fees1" | "vaultAddress__beaconName" | "vaultAddress__gasUsed" | "vaultAddress__gasDeposited" | "vaultAddress__totalLPTokensIssued" | "vaultAddress__token1Symbol" | "vaultAddress__decimals" | "vaultAddress__feeTier" | "vaultAddress__name" | "vaultAddress__symbol" | "vaultAddress__token0Balance" | "vaultAddress__token0Decimals" | "vaultAddress__token0Name" | "vaultAddress__token0Symbol" | "vaultAddress__token1Balance" | "vaultAddress__token1Decimals" | "vaultAddress__token1Name" | "vaultAddress__payloadIpfs" | "vaultAddress__vaultManager" | "vaultAddress__averageFeeArrPerSecond" | "vaultAddress__totalSnapshots" | "vaultAddress__annualFeeARR" | "vaultAddress__dailyFeeAPR" | "vaultAddress__weeklyFeeAPR" | "vaultAddress__totalValueLockedToken0" | "vaultAddress__totalValueLockedToken1" | "fees0" | "fees1" | "totalAmount0" | "totalAmount1";
        };
        PrevVaultSnapshot: {
            kind: "OBJECT";
            name: "PrevVaultSnapshot";
            fields: {
                fees0: {
                    name: "fees0";
                    type: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "SCALAR";
                            name: "BigInt";
                            ofType: null;
                        };
                    };
                };
                fees1: {
                    name: "fees1";
                    type: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "SCALAR";
                            name: "BigInt";
                            ofType: null;
                        };
                    };
                };
                id: {
                    name: "id";
                    type: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "SCALAR";
                            name: "ID";
                            ofType: null;
                        };
                    };
                };
                sqrtPriceX96: {
                    name: "sqrtPriceX96";
                    type: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "SCALAR";
                            name: "BigInt";
                            ofType: null;
                        };
                    };
                };
                timestamp: {
                    name: "timestamp";
                    type: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "SCALAR";
                            name: "BigInt";
                            ofType: null;
                        };
                    };
                };
                totalAmount0: {
                    name: "totalAmount0";
                    type: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "SCALAR";
                            name: "BigInt";
                            ofType: null;
                        };
                    };
                };
                totalAmount1: {
                    name: "totalAmount1";
                    type: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "SCALAR";
                            name: "BigInt";
                            ofType: null;
                        };
                    };
                };
                totalSupply: {
                    name: "totalSupply";
                    type: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "SCALAR";
                            name: "BigInt";
                            ofType: null;
                        };
                    };
                };
                vaultAddress: {
                    name: "vaultAddress";
                    type: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "OBJECT";
                            name: "Vault";
                            ofType: null;
                        };
                    };
                };
            };
        };
        PrevVaultSnapshot_filter: {
            kind: "INPUT_OBJECT";
            name: "PrevVaultSnapshot_filter";
            isOneOf: false;
            inputFields: [{
                name: "id";
                type: {
                    kind: "SCALAR";
                    name: "ID";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "id_not";
                type: {
                    kind: "SCALAR";
                    name: "ID";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "id_gt";
                type: {
                    kind: "SCALAR";
                    name: "ID";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "id_lt";
                type: {
                    kind: "SCALAR";
                    name: "ID";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "id_gte";
                type: {
                    kind: "SCALAR";
                    name: "ID";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "id_lte";
                type: {
                    kind: "SCALAR";
                    name: "ID";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "id_in";
                type: {
                    kind: "LIST";
                    name: never;
                    ofType: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "SCALAR";
                            name: "ID";
                            ofType: null;
                        };
                    };
                };
                defaultValue: null;
            }, {
                name: "id_not_in";
                type: {
                    kind: "LIST";
                    name: never;
                    ofType: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "SCALAR";
                            name: "ID";
                            ofType: null;
                        };
                    };
                };
                defaultValue: null;
            }, {
                name: "timestamp";
                type: {
                    kind: "SCALAR";
                    name: "BigInt";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "timestamp_not";
                type: {
                    kind: "SCALAR";
                    name: "BigInt";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "timestamp_gt";
                type: {
                    kind: "SCALAR";
                    name: "BigInt";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "timestamp_lt";
                type: {
                    kind: "SCALAR";
                    name: "BigInt";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "timestamp_gte";
                type: {
                    kind: "SCALAR";
                    name: "BigInt";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "timestamp_lte";
                type: {
                    kind: "SCALAR";
                    name: "BigInt";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "timestamp_in";
                type: {
                    kind: "LIST";
                    name: never;
                    ofType: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "SCALAR";
                            name: "BigInt";
                            ofType: null;
                        };
                    };
                };
                defaultValue: null;
            }, {
                name: "timestamp_not_in";
                type: {
                    kind: "LIST";
                    name: never;
                    ofType: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "SCALAR";
                            name: "BigInt";
                            ofType: null;
                        };
                    };
                };
                defaultValue: null;
            }, {
                name: "vaultAddress";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "vaultAddress_not";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "vaultAddress_gt";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "vaultAddress_lt";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "vaultAddress_gte";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "vaultAddress_lte";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "vaultAddress_in";
                type: {
                    kind: "LIST";
                    name: never;
                    ofType: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "SCALAR";
                            name: "String";
                            ofType: null;
                        };
                    };
                };
                defaultValue: null;
            }, {
                name: "vaultAddress_not_in";
                type: {
                    kind: "LIST";
                    name: never;
                    ofType: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "SCALAR";
                            name: "String";
                            ofType: null;
                        };
                    };
                };
                defaultValue: null;
            }, {
                name: "vaultAddress_contains";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "vaultAddress_contains_nocase";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "vaultAddress_not_contains";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "vaultAddress_not_contains_nocase";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "vaultAddress_starts_with";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "vaultAddress_starts_with_nocase";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "vaultAddress_not_starts_with";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "vaultAddress_not_starts_with_nocase";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "vaultAddress_ends_with";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "vaultAddress_ends_with_nocase";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "vaultAddress_not_ends_with";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "vaultAddress_not_ends_with_nocase";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "vaultAddress_";
                type: {
                    kind: "INPUT_OBJECT";
                    name: "Vault_filter";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "totalAmount0";
                type: {
                    kind: "SCALAR";
                    name: "BigInt";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "totalAmount0_not";
                type: {
                    kind: "SCALAR";
                    name: "BigInt";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "totalAmount0_gt";
                type: {
                    kind: "SCALAR";
                    name: "BigInt";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "totalAmount0_lt";
                type: {
                    kind: "SCALAR";
                    name: "BigInt";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "totalAmount0_gte";
                type: {
                    kind: "SCALAR";
                    name: "BigInt";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "totalAmount0_lte";
                type: {
                    kind: "SCALAR";
                    name: "BigInt";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "totalAmount0_in";
                type: {
                    kind: "LIST";
                    name: never;
                    ofType: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "SCALAR";
                            name: "BigInt";
                            ofType: null;
                        };
                    };
                };
                defaultValue: null;
            }, {
                name: "totalAmount0_not_in";
                type: {
                    kind: "LIST";
                    name: never;
                    ofType: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "SCALAR";
                            name: "BigInt";
                            ofType: null;
                        };
                    };
                };
                defaultValue: null;
            }, {
                name: "totalAmount1";
                type: {
                    kind: "SCALAR";
                    name: "BigInt";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "totalAmount1_not";
                type: {
                    kind: "SCALAR";
                    name: "BigInt";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "totalAmount1_gt";
                type: {
                    kind: "SCALAR";
                    name: "BigInt";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "totalAmount1_lt";
                type: {
                    kind: "SCALAR";
                    name: "BigInt";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "totalAmount1_gte";
                type: {
                    kind: "SCALAR";
                    name: "BigInt";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "totalAmount1_lte";
                type: {
                    kind: "SCALAR";
                    name: "BigInt";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "totalAmount1_in";
                type: {
                    kind: "LIST";
                    name: never;
                    ofType: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "SCALAR";
                            name: "BigInt";
                            ofType: null;
                        };
                    };
                };
                defaultValue: null;
            }, {
                name: "totalAmount1_not_in";
                type: {
                    kind: "LIST";
                    name: never;
                    ofType: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "SCALAR";
                            name: "BigInt";
                            ofType: null;
                        };
                    };
                };
                defaultValue: null;
            }, {
                name: "sqrtPriceX96";
                type: {
                    kind: "SCALAR";
                    name: "BigInt";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "sqrtPriceX96_not";
                type: {
                    kind: "SCALAR";
                    name: "BigInt";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "sqrtPriceX96_gt";
                type: {
                    kind: "SCALAR";
                    name: "BigInt";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "sqrtPriceX96_lt";
                type: {
                    kind: "SCALAR";
                    name: "BigInt";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "sqrtPriceX96_gte";
                type: {
                    kind: "SCALAR";
                    name: "BigInt";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "sqrtPriceX96_lte";
                type: {
                    kind: "SCALAR";
                    name: "BigInt";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "sqrtPriceX96_in";
                type: {
                    kind: "LIST";
                    name: never;
                    ofType: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "SCALAR";
                            name: "BigInt";
                            ofType: null;
                        };
                    };
                };
                defaultValue: null;
            }, {
                name: "sqrtPriceX96_not_in";
                type: {
                    kind: "LIST";
                    name: never;
                    ofType: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "SCALAR";
                            name: "BigInt";
                            ofType: null;
                        };
                    };
                };
                defaultValue: null;
            }, {
                name: "totalSupply";
                type: {
                    kind: "SCALAR";
                    name: "BigInt";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "totalSupply_not";
                type: {
                    kind: "SCALAR";
                    name: "BigInt";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "totalSupply_gt";
                type: {
                    kind: "SCALAR";
                    name: "BigInt";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "totalSupply_lt";
                type: {
                    kind: "SCALAR";
                    name: "BigInt";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "totalSupply_gte";
                type: {
                    kind: "SCALAR";
                    name: "BigInt";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "totalSupply_lte";
                type: {
                    kind: "SCALAR";
                    name: "BigInt";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "totalSupply_in";
                type: {
                    kind: "LIST";
                    name: never;
                    ofType: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "SCALAR";
                            name: "BigInt";
                            ofType: null;
                        };
                    };
                };
                defaultValue: null;
            }, {
                name: "totalSupply_not_in";
                type: {
                    kind: "LIST";
                    name: never;
                    ofType: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "SCALAR";
                            name: "BigInt";
                            ofType: null;
                        };
                    };
                };
                defaultValue: null;
            }, {
                name: "fees1";
                type: {
                    kind: "SCALAR";
                    name: "BigInt";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "fees1_not";
                type: {
                    kind: "SCALAR";
                    name: "BigInt";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "fees1_gt";
                type: {
                    kind: "SCALAR";
                    name: "BigInt";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "fees1_lt";
                type: {
                    kind: "SCALAR";
                    name: "BigInt";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "fees1_gte";
                type: {
                    kind: "SCALAR";
                    name: "BigInt";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "fees1_lte";
                type: {
                    kind: "SCALAR";
                    name: "BigInt";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "fees1_in";
                type: {
                    kind: "LIST";
                    name: never;
                    ofType: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "SCALAR";
                            name: "BigInt";
                            ofType: null;
                        };
                    };
                };
                defaultValue: null;
            }, {
                name: "fees1_not_in";
                type: {
                    kind: "LIST";
                    name: never;
                    ofType: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "SCALAR";
                            name: "BigInt";
                            ofType: null;
                        };
                    };
                };
                defaultValue: null;
            }, {
                name: "fees0";
                type: {
                    kind: "SCALAR";
                    name: "BigInt";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "fees0_not";
                type: {
                    kind: "SCALAR";
                    name: "BigInt";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "fees0_gt";
                type: {
                    kind: "SCALAR";
                    name: "BigInt";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "fees0_lt";
                type: {
                    kind: "SCALAR";
                    name: "BigInt";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "fees0_gte";
                type: {
                    kind: "SCALAR";
                    name: "BigInt";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "fees0_lte";
                type: {
                    kind: "SCALAR";
                    name: "BigInt";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "fees0_in";
                type: {
                    kind: "LIST";
                    name: never;
                    ofType: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "SCALAR";
                            name: "BigInt";
                            ofType: null;
                        };
                    };
                };
                defaultValue: null;
            }, {
                name: "fees0_not_in";
                type: {
                    kind: "LIST";
                    name: never;
                    ofType: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "SCALAR";
                            name: "BigInt";
                            ofType: null;
                        };
                    };
                };
                defaultValue: null;
            }, {
                name: "_change_block";
                type: {
                    kind: "INPUT_OBJECT";
                    name: "BlockChangedFilter";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "and";
                type: {
                    kind: "LIST";
                    name: never;
                    ofType: {
                        kind: "INPUT_OBJECT";
                        name: "PrevVaultSnapshot_filter";
                        ofType: null;
                    };
                };
                defaultValue: null;
            }, {
                name: "or";
                type: {
                    kind: "LIST";
                    name: never;
                    ofType: {
                        kind: "INPUT_OBJECT";
                        name: "PrevVaultSnapshot_filter";
                        ofType: null;
                    };
                };
                defaultValue: null;
            }];
        };
        PrevVaultSnapshot_orderBy: {
            name: "PrevVaultSnapshot_orderBy";
            enumValues: "id" | "timestamp" | "totalSupply" | "sqrtPriceX96" | "vaultAddress" | "vaultAddress__id" | "vaultAddress__deployer" | "vaultAddress__token0" | "vaultAddress__token1" | "vaultAddress__totalAmount0" | "vaultAddress__totalAmount1" | "vaultAddress__createdAt" | "vaultAddress__lastSnapshot" | "vaultAddress__pool" | "vaultAddress__state" | "vaultAddress__annualPercentageYield" | "vaultAddress__annualPercentageDailyYield" | "vaultAddress__annualPercentageMonthlyYield" | "vaultAddress__annualPercentageYearlyYield" | "vaultAddress__lastTotalT0ValuePerLPT" | "vaultAddress__accruedStrategistFees0" | "vaultAddress__accruedStrategistFees1" | "vaultAddress__fees0" | "vaultAddress__fees1" | "vaultAddress__beaconName" | "vaultAddress__gasUsed" | "vaultAddress__gasDeposited" | "vaultAddress__totalLPTokensIssued" | "vaultAddress__token1Symbol" | "vaultAddress__decimals" | "vaultAddress__feeTier" | "vaultAddress__name" | "vaultAddress__symbol" | "vaultAddress__token0Balance" | "vaultAddress__token0Decimals" | "vaultAddress__token0Name" | "vaultAddress__token0Symbol" | "vaultAddress__token1Balance" | "vaultAddress__token1Decimals" | "vaultAddress__token1Name" | "vaultAddress__payloadIpfs" | "vaultAddress__vaultManager" | "vaultAddress__averageFeeArrPerSecond" | "vaultAddress__totalSnapshots" | "vaultAddress__annualFeeARR" | "vaultAddress__dailyFeeAPR" | "vaultAddress__weeklyFeeAPR" | "vaultAddress__totalValueLockedToken0" | "vaultAddress__totalValueLockedToken1" | "fees0" | "fees1" | "totalAmount0" | "totalAmount1";
        };
        PrevWeeklyVaultSnapshot: {
            kind: "OBJECT";
            name: "PrevWeeklyVaultSnapshot";
            fields: {
                averageFeeArrPerSecond: {
                    name: "averageFeeArrPerSecond";
                    type: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "SCALAR";
                            name: "BigDecimal";
                            ofType: null;
                        };
                    };
                };
                fees0: {
                    name: "fees0";
                    type: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "SCALAR";
                            name: "BigInt";
                            ofType: null;
                        };
                    };
                };
                fees1: {
                    name: "fees1";
                    type: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "SCALAR";
                            name: "BigInt";
                            ofType: null;
                        };
                    };
                };
                id: {
                    name: "id";
                    type: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "SCALAR";
                            name: "ID";
                            ofType: null;
                        };
                    };
                };
                sqrtPriceX96: {
                    name: "sqrtPriceX96";
                    type: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "SCALAR";
                            name: "BigInt";
                            ofType: null;
                        };
                    };
                };
                timestamp: {
                    name: "timestamp";
                    type: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "SCALAR";
                            name: "BigInt";
                            ofType: null;
                        };
                    };
                };
                totalAmount0: {
                    name: "totalAmount0";
                    type: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "SCALAR";
                            name: "BigInt";
                            ofType: null;
                        };
                    };
                };
                totalAmount1: {
                    name: "totalAmount1";
                    type: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "SCALAR";
                            name: "BigInt";
                            ofType: null;
                        };
                    };
                };
                totalSnapshots: {
                    name: "totalSnapshots";
                    type: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "SCALAR";
                            name: "BigInt";
                            ofType: null;
                        };
                    };
                };
                totalSupply: {
                    name: "totalSupply";
                    type: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "SCALAR";
                            name: "BigInt";
                            ofType: null;
                        };
                    };
                };
                vaultAddress: {
                    name: "vaultAddress";
                    type: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "OBJECT";
                            name: "Vault";
                            ofType: null;
                        };
                    };
                };
                weeklyFeeApr: {
                    name: "weeklyFeeApr";
                    type: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "SCALAR";
                            name: "BigDecimal";
                            ofType: null;
                        };
                    };
                };
            };
        };
        PrevWeeklyVaultSnapshot_filter: {
            kind: "INPUT_OBJECT";
            name: "PrevWeeklyVaultSnapshot_filter";
            isOneOf: false;
            inputFields: [{
                name: "id";
                type: {
                    kind: "SCALAR";
                    name: "ID";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "id_not";
                type: {
                    kind: "SCALAR";
                    name: "ID";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "id_gt";
                type: {
                    kind: "SCALAR";
                    name: "ID";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "id_lt";
                type: {
                    kind: "SCALAR";
                    name: "ID";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "id_gte";
                type: {
                    kind: "SCALAR";
                    name: "ID";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "id_lte";
                type: {
                    kind: "SCALAR";
                    name: "ID";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "id_in";
                type: {
                    kind: "LIST";
                    name: never;
                    ofType: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "SCALAR";
                            name: "ID";
                            ofType: null;
                        };
                    };
                };
                defaultValue: null;
            }, {
                name: "id_not_in";
                type: {
                    kind: "LIST";
                    name: never;
                    ofType: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "SCALAR";
                            name: "ID";
                            ofType: null;
                        };
                    };
                };
                defaultValue: null;
            }, {
                name: "timestamp";
                type: {
                    kind: "SCALAR";
                    name: "BigInt";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "timestamp_not";
                type: {
                    kind: "SCALAR";
                    name: "BigInt";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "timestamp_gt";
                type: {
                    kind: "SCALAR";
                    name: "BigInt";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "timestamp_lt";
                type: {
                    kind: "SCALAR";
                    name: "BigInt";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "timestamp_gte";
                type: {
                    kind: "SCALAR";
                    name: "BigInt";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "timestamp_lte";
                type: {
                    kind: "SCALAR";
                    name: "BigInt";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "timestamp_in";
                type: {
                    kind: "LIST";
                    name: never;
                    ofType: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "SCALAR";
                            name: "BigInt";
                            ofType: null;
                        };
                    };
                };
                defaultValue: null;
            }, {
                name: "timestamp_not_in";
                type: {
                    kind: "LIST";
                    name: never;
                    ofType: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "SCALAR";
                            name: "BigInt";
                            ofType: null;
                        };
                    };
                };
                defaultValue: null;
            }, {
                name: "vaultAddress";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "vaultAddress_not";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "vaultAddress_gt";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "vaultAddress_lt";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "vaultAddress_gte";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "vaultAddress_lte";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "vaultAddress_in";
                type: {
                    kind: "LIST";
                    name: never;
                    ofType: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "SCALAR";
                            name: "String";
                            ofType: null;
                        };
                    };
                };
                defaultValue: null;
            }, {
                name: "vaultAddress_not_in";
                type: {
                    kind: "LIST";
                    name: never;
                    ofType: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "SCALAR";
                            name: "String";
                            ofType: null;
                        };
                    };
                };
                defaultValue: null;
            }, {
                name: "vaultAddress_contains";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "vaultAddress_contains_nocase";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "vaultAddress_not_contains";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "vaultAddress_not_contains_nocase";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "vaultAddress_starts_with";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "vaultAddress_starts_with_nocase";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "vaultAddress_not_starts_with";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "vaultAddress_not_starts_with_nocase";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "vaultAddress_ends_with";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "vaultAddress_ends_with_nocase";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "vaultAddress_not_ends_with";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "vaultAddress_not_ends_with_nocase";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "vaultAddress_";
                type: {
                    kind: "INPUT_OBJECT";
                    name: "Vault_filter";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "totalAmount0";
                type: {
                    kind: "SCALAR";
                    name: "BigInt";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "totalAmount0_not";
                type: {
                    kind: "SCALAR";
                    name: "BigInt";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "totalAmount0_gt";
                type: {
                    kind: "SCALAR";
                    name: "BigInt";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "totalAmount0_lt";
                type: {
                    kind: "SCALAR";
                    name: "BigInt";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "totalAmount0_gte";
                type: {
                    kind: "SCALAR";
                    name: "BigInt";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "totalAmount0_lte";
                type: {
                    kind: "SCALAR";
                    name: "BigInt";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "totalAmount0_in";
                type: {
                    kind: "LIST";
                    name: never;
                    ofType: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "SCALAR";
                            name: "BigInt";
                            ofType: null;
                        };
                    };
                };
                defaultValue: null;
            }, {
                name: "totalAmount0_not_in";
                type: {
                    kind: "LIST";
                    name: never;
                    ofType: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "SCALAR";
                            name: "BigInt";
                            ofType: null;
                        };
                    };
                };
                defaultValue: null;
            }, {
                name: "totalAmount1";
                type: {
                    kind: "SCALAR";
                    name: "BigInt";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "totalAmount1_not";
                type: {
                    kind: "SCALAR";
                    name: "BigInt";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "totalAmount1_gt";
                type: {
                    kind: "SCALAR";
                    name: "BigInt";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "totalAmount1_lt";
                type: {
                    kind: "SCALAR";
                    name: "BigInt";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "totalAmount1_gte";
                type: {
                    kind: "SCALAR";
                    name: "BigInt";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "totalAmount1_lte";
                type: {
                    kind: "SCALAR";
                    name: "BigInt";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "totalAmount1_in";
                type: {
                    kind: "LIST";
                    name: never;
                    ofType: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "SCALAR";
                            name: "BigInt";
                            ofType: null;
                        };
                    };
                };
                defaultValue: null;
            }, {
                name: "totalAmount1_not_in";
                type: {
                    kind: "LIST";
                    name: never;
                    ofType: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "SCALAR";
                            name: "BigInt";
                            ofType: null;
                        };
                    };
                };
                defaultValue: null;
            }, {
                name: "sqrtPriceX96";
                type: {
                    kind: "SCALAR";
                    name: "BigInt";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "sqrtPriceX96_not";
                type: {
                    kind: "SCALAR";
                    name: "BigInt";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "sqrtPriceX96_gt";
                type: {
                    kind: "SCALAR";
                    name: "BigInt";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "sqrtPriceX96_lt";
                type: {
                    kind: "SCALAR";
                    name: "BigInt";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "sqrtPriceX96_gte";
                type: {
                    kind: "SCALAR";
                    name: "BigInt";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "sqrtPriceX96_lte";
                type: {
                    kind: "SCALAR";
                    name: "BigInt";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "sqrtPriceX96_in";
                type: {
                    kind: "LIST";
                    name: never;
                    ofType: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "SCALAR";
                            name: "BigInt";
                            ofType: null;
                        };
                    };
                };
                defaultValue: null;
            }, {
                name: "sqrtPriceX96_not_in";
                type: {
                    kind: "LIST";
                    name: never;
                    ofType: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "SCALAR";
                            name: "BigInt";
                            ofType: null;
                        };
                    };
                };
                defaultValue: null;
            }, {
                name: "totalSupply";
                type: {
                    kind: "SCALAR";
                    name: "BigInt";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "totalSupply_not";
                type: {
                    kind: "SCALAR";
                    name: "BigInt";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "totalSupply_gt";
                type: {
                    kind: "SCALAR";
                    name: "BigInt";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "totalSupply_lt";
                type: {
                    kind: "SCALAR";
                    name: "BigInt";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "totalSupply_gte";
                type: {
                    kind: "SCALAR";
                    name: "BigInt";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "totalSupply_lte";
                type: {
                    kind: "SCALAR";
                    name: "BigInt";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "totalSupply_in";
                type: {
                    kind: "LIST";
                    name: never;
                    ofType: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "SCALAR";
                            name: "BigInt";
                            ofType: null;
                        };
                    };
                };
                defaultValue: null;
            }, {
                name: "totalSupply_not_in";
                type: {
                    kind: "LIST";
                    name: never;
                    ofType: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "SCALAR";
                            name: "BigInt";
                            ofType: null;
                        };
                    };
                };
                defaultValue: null;
            }, {
                name: "fees1";
                type: {
                    kind: "SCALAR";
                    name: "BigInt";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "fees1_not";
                type: {
                    kind: "SCALAR";
                    name: "BigInt";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "fees1_gt";
                type: {
                    kind: "SCALAR";
                    name: "BigInt";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "fees1_lt";
                type: {
                    kind: "SCALAR";
                    name: "BigInt";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "fees1_gte";
                type: {
                    kind: "SCALAR";
                    name: "BigInt";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "fees1_lte";
                type: {
                    kind: "SCALAR";
                    name: "BigInt";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "fees1_in";
                type: {
                    kind: "LIST";
                    name: never;
                    ofType: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "SCALAR";
                            name: "BigInt";
                            ofType: null;
                        };
                    };
                };
                defaultValue: null;
            }, {
                name: "fees1_not_in";
                type: {
                    kind: "LIST";
                    name: never;
                    ofType: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "SCALAR";
                            name: "BigInt";
                            ofType: null;
                        };
                    };
                };
                defaultValue: null;
            }, {
                name: "fees0";
                type: {
                    kind: "SCALAR";
                    name: "BigInt";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "fees0_not";
                type: {
                    kind: "SCALAR";
                    name: "BigInt";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "fees0_gt";
                type: {
                    kind: "SCALAR";
                    name: "BigInt";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "fees0_lt";
                type: {
                    kind: "SCALAR";
                    name: "BigInt";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "fees0_gte";
                type: {
                    kind: "SCALAR";
                    name: "BigInt";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "fees0_lte";
                type: {
                    kind: "SCALAR";
                    name: "BigInt";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "fees0_in";
                type: {
                    kind: "LIST";
                    name: never;
                    ofType: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "SCALAR";
                            name: "BigInt";
                            ofType: null;
                        };
                    };
                };
                defaultValue: null;
            }, {
                name: "fees0_not_in";
                type: {
                    kind: "LIST";
                    name: never;
                    ofType: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "SCALAR";
                            name: "BigInt";
                            ofType: null;
                        };
                    };
                };
                defaultValue: null;
            }, {
                name: "averageFeeArrPerSecond";
                type: {
                    kind: "SCALAR";
                    name: "BigDecimal";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "averageFeeArrPerSecond_not";
                type: {
                    kind: "SCALAR";
                    name: "BigDecimal";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "averageFeeArrPerSecond_gt";
                type: {
                    kind: "SCALAR";
                    name: "BigDecimal";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "averageFeeArrPerSecond_lt";
                type: {
                    kind: "SCALAR";
                    name: "BigDecimal";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "averageFeeArrPerSecond_gte";
                type: {
                    kind: "SCALAR";
                    name: "BigDecimal";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "averageFeeArrPerSecond_lte";
                type: {
                    kind: "SCALAR";
                    name: "BigDecimal";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "averageFeeArrPerSecond_in";
                type: {
                    kind: "LIST";
                    name: never;
                    ofType: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "SCALAR";
                            name: "BigDecimal";
                            ofType: null;
                        };
                    };
                };
                defaultValue: null;
            }, {
                name: "averageFeeArrPerSecond_not_in";
                type: {
                    kind: "LIST";
                    name: never;
                    ofType: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "SCALAR";
                            name: "BigDecimal";
                            ofType: null;
                        };
                    };
                };
                defaultValue: null;
            }, {
                name: "totalSnapshots";
                type: {
                    kind: "SCALAR";
                    name: "BigInt";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "totalSnapshots_not";
                type: {
                    kind: "SCALAR";
                    name: "BigInt";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "totalSnapshots_gt";
                type: {
                    kind: "SCALAR";
                    name: "BigInt";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "totalSnapshots_lt";
                type: {
                    kind: "SCALAR";
                    name: "BigInt";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "totalSnapshots_gte";
                type: {
                    kind: "SCALAR";
                    name: "BigInt";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "totalSnapshots_lte";
                type: {
                    kind: "SCALAR";
                    name: "BigInt";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "totalSnapshots_in";
                type: {
                    kind: "LIST";
                    name: never;
                    ofType: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "SCALAR";
                            name: "BigInt";
                            ofType: null;
                        };
                    };
                };
                defaultValue: null;
            }, {
                name: "totalSnapshots_not_in";
                type: {
                    kind: "LIST";
                    name: never;
                    ofType: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "SCALAR";
                            name: "BigInt";
                            ofType: null;
                        };
                    };
                };
                defaultValue: null;
            }, {
                name: "weeklyFeeApr";
                type: {
                    kind: "SCALAR";
                    name: "BigDecimal";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "weeklyFeeApr_not";
                type: {
                    kind: "SCALAR";
                    name: "BigDecimal";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "weeklyFeeApr_gt";
                type: {
                    kind: "SCALAR";
                    name: "BigDecimal";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "weeklyFeeApr_lt";
                type: {
                    kind: "SCALAR";
                    name: "BigDecimal";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "weeklyFeeApr_gte";
                type: {
                    kind: "SCALAR";
                    name: "BigDecimal";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "weeklyFeeApr_lte";
                type: {
                    kind: "SCALAR";
                    name: "BigDecimal";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "weeklyFeeApr_in";
                type: {
                    kind: "LIST";
                    name: never;
                    ofType: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "SCALAR";
                            name: "BigDecimal";
                            ofType: null;
                        };
                    };
                };
                defaultValue: null;
            }, {
                name: "weeklyFeeApr_not_in";
                type: {
                    kind: "LIST";
                    name: never;
                    ofType: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "SCALAR";
                            name: "BigDecimal";
                            ofType: null;
                        };
                    };
                };
                defaultValue: null;
            }, {
                name: "_change_block";
                type: {
                    kind: "INPUT_OBJECT";
                    name: "BlockChangedFilter";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "and";
                type: {
                    kind: "LIST";
                    name: never;
                    ofType: {
                        kind: "INPUT_OBJECT";
                        name: "PrevWeeklyVaultSnapshot_filter";
                        ofType: null;
                    };
                };
                defaultValue: null;
            }, {
                name: "or";
                type: {
                    kind: "LIST";
                    name: never;
                    ofType: {
                        kind: "INPUT_OBJECT";
                        name: "PrevWeeklyVaultSnapshot_filter";
                        ofType: null;
                    };
                };
                defaultValue: null;
            }];
        };
        PrevWeeklyVaultSnapshot_orderBy: {
            name: "PrevWeeklyVaultSnapshot_orderBy";
            enumValues: "id" | "timestamp" | "totalSupply" | "sqrtPriceX96" | "vaultAddress" | "vaultAddress__id" | "vaultAddress__deployer" | "vaultAddress__token0" | "vaultAddress__token1" | "vaultAddress__totalAmount0" | "vaultAddress__totalAmount1" | "vaultAddress__createdAt" | "vaultAddress__lastSnapshot" | "vaultAddress__pool" | "vaultAddress__state" | "vaultAddress__annualPercentageYield" | "vaultAddress__annualPercentageDailyYield" | "vaultAddress__annualPercentageMonthlyYield" | "vaultAddress__annualPercentageYearlyYield" | "vaultAddress__lastTotalT0ValuePerLPT" | "vaultAddress__accruedStrategistFees0" | "vaultAddress__accruedStrategistFees1" | "vaultAddress__fees0" | "vaultAddress__fees1" | "vaultAddress__beaconName" | "vaultAddress__gasUsed" | "vaultAddress__gasDeposited" | "vaultAddress__totalLPTokensIssued" | "vaultAddress__token1Symbol" | "vaultAddress__decimals" | "vaultAddress__feeTier" | "vaultAddress__name" | "vaultAddress__symbol" | "vaultAddress__token0Balance" | "vaultAddress__token0Decimals" | "vaultAddress__token0Name" | "vaultAddress__token0Symbol" | "vaultAddress__token1Balance" | "vaultAddress__token1Decimals" | "vaultAddress__token1Name" | "vaultAddress__payloadIpfs" | "vaultAddress__vaultManager" | "vaultAddress__averageFeeArrPerSecond" | "vaultAddress__totalSnapshots" | "vaultAddress__annualFeeARR" | "vaultAddress__dailyFeeAPR" | "vaultAddress__weeklyFeeAPR" | "vaultAddress__totalValueLockedToken0" | "vaultAddress__totalValueLockedToken1" | "fees0" | "fees1" | "totalAmount0" | "totalAmount1" | "averageFeeArrPerSecond" | "totalSnapshots" | "weeklyFeeApr";
        };
        Query: {
            kind: "OBJECT";
            name: "Query";
            fields: {
                _meta: {
                    name: "_meta";
                    type: {
                        kind: "OBJECT";
                        name: "_Meta_";
                        ofType: null;
                    };
                };
                actionFailure: {
                    name: "actionFailure";
                    type: {
                        kind: "OBJECT";
                        name: "ActionFailure";
                        ofType: null;
                    };
                };
                actionFailures: {
                    name: "actionFailures";
                    type: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "LIST";
                            name: never;
                            ofType: {
                                kind: "NON_NULL";
                                name: never;
                                ofType: {
                                    kind: "OBJECT";
                                    name: "ActionFailure";
                                    ofType: null;
                                };
                            };
                        };
                    };
                };
                bundle: {
                    name: "bundle";
                    type: {
                        kind: "OBJECT";
                        name: "Bundle";
                        ofType: null;
                    };
                };
                bundles: {
                    name: "bundles";
                    type: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "LIST";
                            name: never;
                            ofType: {
                                kind: "NON_NULL";
                                name: never;
                                ofType: {
                                    kind: "OBJECT";
                                    name: "Bundle";
                                    ofType: null;
                                };
                            };
                        };
                    };
                };
                creator: {
                    name: "creator";
                    type: {
                        kind: "OBJECT";
                        name: "Creator";
                        ofType: null;
                    };
                };
                creatorWithdrawal: {
                    name: "creatorWithdrawal";
                    type: {
                        kind: "OBJECT";
                        name: "CreatorWithdrawal";
                        ofType: null;
                    };
                };
                creatorWithdrawals: {
                    name: "creatorWithdrawals";
                    type: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "LIST";
                            name: never;
                            ofType: {
                                kind: "NON_NULL";
                                name: never;
                                ofType: {
                                    kind: "OBJECT";
                                    name: "CreatorWithdrawal";
                                    ofType: null;
                                };
                            };
                        };
                    };
                };
                creators: {
                    name: "creators";
                    type: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "LIST";
                            name: never;
                            ofType: {
                                kind: "NON_NULL";
                                name: never;
                                ofType: {
                                    kind: "OBJECT";
                                    name: "Creator";
                                    ofType: null;
                                };
                            };
                        };
                    };
                };
                depositor: {
                    name: "depositor";
                    type: {
                        kind: "OBJECT";
                        name: "Depositor";
                        ofType: null;
                    };
                };
                depositors: {
                    name: "depositors";
                    type: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "LIST";
                            name: never;
                            ofType: {
                                kind: "NON_NULL";
                                name: never;
                                ofType: {
                                    kind: "OBJECT";
                                    name: "Depositor";
                                    ofType: null;
                                };
                            };
                        };
                    };
                };
                job: {
                    name: "job";
                    type: {
                        kind: "OBJECT";
                        name: "Job";
                        ofType: null;
                    };
                };
                jobExecution: {
                    name: "jobExecution";
                    type: {
                        kind: "OBJECT";
                        name: "JobExecution";
                        ofType: null;
                    };
                };
                jobExecutions: {
                    name: "jobExecutions";
                    type: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "LIST";
                            name: never;
                            ofType: {
                                kind: "NON_NULL";
                                name: never;
                                ofType: {
                                    kind: "OBJECT";
                                    name: "JobExecution";
                                    ofType: null;
                                };
                            };
                        };
                    };
                };
                jobGasDeposited: {
                    name: "jobGasDeposited";
                    type: {
                        kind: "OBJECT";
                        name: "JobGasDeposited";
                        ofType: null;
                    };
                };
                jobGasDepositeds: {
                    name: "jobGasDepositeds";
                    type: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "LIST";
                            name: never;
                            ofType: {
                                kind: "NON_NULL";
                                name: never;
                                ofType: {
                                    kind: "OBJECT";
                                    name: "JobGasDeposited";
                                    ofType: null;
                                };
                            };
                        };
                    };
                };
                jobGasWithdrawn: {
                    name: "jobGasWithdrawn";
                    type: {
                        kind: "OBJECT";
                        name: "JobGasWithdrawn";
                        ofType: null;
                    };
                };
                jobGasWithdrawns: {
                    name: "jobGasWithdrawns";
                    type: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "LIST";
                            name: never;
                            ofType: {
                                kind: "NON_NULL";
                                name: never;
                                ofType: {
                                    kind: "OBJECT";
                                    name: "JobGasWithdrawn";
                                    ofType: null;
                                };
                            };
                        };
                    };
                };
                jobs: {
                    name: "jobs";
                    type: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "LIST";
                            name: never;
                            ofType: {
                                kind: "NON_NULL";
                                name: never;
                                ofType: {
                                    kind: "OBJECT";
                                    name: "Job";
                                    ofType: null;
                                };
                            };
                        };
                    };
                };
                keeper: {
                    name: "keeper";
                    type: {
                        kind: "OBJECT";
                        name: "Keeper";
                        ofType: null;
                    };
                };
                keepers: {
                    name: "keepers";
                    type: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "LIST";
                            name: never;
                            ofType: {
                                kind: "NON_NULL";
                                name: never;
                                ofType: {
                                    kind: "OBJECT";
                                    name: "Keeper";
                                    ofType: null;
                                };
                            };
                        };
                    };
                };
                leaderBoard: {
                    name: "leaderBoard";
                    type: {
                        kind: "OBJECT";
                        name: "LeaderBoard";
                        ofType: null;
                    };
                };
                leaderBoards: {
                    name: "leaderBoards";
                    type: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "LIST";
                            name: never;
                            ofType: {
                                kind: "NON_NULL";
                                name: never;
                                ofType: {
                                    kind: "OBJECT";
                                    name: "LeaderBoard";
                                    ofType: null;
                                };
                            };
                        };
                    };
                };
                liquiditySteer: {
                    name: "liquiditySteer";
                    type: {
                        kind: "OBJECT";
                        name: "LiquiditySteer";
                        ofType: null;
                    };
                };
                liquiditySteers: {
                    name: "liquiditySteers";
                    type: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "LIST";
                            name: never;
                            ofType: {
                                kind: "NON_NULL";
                                name: never;
                                ofType: {
                                    kind: "OBJECT";
                                    name: "LiquiditySteer";
                                    ofType: null;
                                };
                            };
                        };
                    };
                };
                orchestratorAction: {
                    name: "orchestratorAction";
                    type: {
                        kind: "OBJECT";
                        name: "OrchestratorAction";
                        ofType: null;
                    };
                };
                orchestratorActions: {
                    name: "orchestratorActions";
                    type: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "LIST";
                            name: never;
                            ofType: {
                                kind: "NON_NULL";
                                name: never;
                                ofType: {
                                    kind: "OBJECT";
                                    name: "OrchestratorAction";
                                    ofType: null;
                                };
                            };
                        };
                    };
                };
                orchestratorReward: {
                    name: "orchestratorReward";
                    type: {
                        kind: "OBJECT";
                        name: "OrchestratorReward";
                        ofType: null;
                    };
                };
                orchestratorRewardSnapshot: {
                    name: "orchestratorRewardSnapshot";
                    type: {
                        kind: "OBJECT";
                        name: "OrchestratorRewardSnapshot";
                        ofType: null;
                    };
                };
                orchestratorRewardSnapshots: {
                    name: "orchestratorRewardSnapshots";
                    type: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "LIST";
                            name: never;
                            ofType: {
                                kind: "NON_NULL";
                                name: never;
                                ofType: {
                                    kind: "OBJECT";
                                    name: "OrchestratorRewardSnapshot";
                                    ofType: null;
                                };
                            };
                        };
                    };
                };
                orchestratorRewardTracker: {
                    name: "orchestratorRewardTracker";
                    type: {
                        kind: "OBJECT";
                        name: "OrchestratorRewardTracker";
                        ofType: null;
                    };
                };
                orchestratorRewardTrackers: {
                    name: "orchestratorRewardTrackers";
                    type: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "LIST";
                            name: never;
                            ofType: {
                                kind: "NON_NULL";
                                name: never;
                                ofType: {
                                    kind: "OBJECT";
                                    name: "OrchestratorRewardTracker";
                                    ofType: null;
                                };
                            };
                        };
                    };
                };
                orchestratorRewards: {
                    name: "orchestratorRewards";
                    type: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "LIST";
                            name: never;
                            ofType: {
                                kind: "NON_NULL";
                                name: never;
                                ofType: {
                                    kind: "OBJECT";
                                    name: "OrchestratorReward";
                                    ofType: null;
                                };
                            };
                        };
                    };
                };
                permissionUpdate: {
                    name: "permissionUpdate";
                    type: {
                        kind: "OBJECT";
                        name: "PermissionUpdate";
                        ofType: null;
                    };
                };
                permissionUpdates: {
                    name: "permissionUpdates";
                    type: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "LIST";
                            name: never;
                            ofType: {
                                kind: "NON_NULL";
                                name: never;
                                ofType: {
                                    kind: "OBJECT";
                                    name: "PermissionUpdate";
                                    ofType: null;
                                };
                            };
                        };
                    };
                };
                prevAnnualVaultSnapshot: {
                    name: "prevAnnualVaultSnapshot";
                    type: {
                        kind: "OBJECT";
                        name: "PrevAnnualVaultSnapshot";
                        ofType: null;
                    };
                };
                prevAnnualVaultSnapshots: {
                    name: "prevAnnualVaultSnapshots";
                    type: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "LIST";
                            name: never;
                            ofType: {
                                kind: "NON_NULL";
                                name: never;
                                ofType: {
                                    kind: "OBJECT";
                                    name: "PrevAnnualVaultSnapshot";
                                    ofType: null;
                                };
                            };
                        };
                    };
                };
                prevDailyVaultSnapshot: {
                    name: "prevDailyVaultSnapshot";
                    type: {
                        kind: "OBJECT";
                        name: "PrevDailyVaultSnapshot";
                        ofType: null;
                    };
                };
                prevDailyVaultSnapshots: {
                    name: "prevDailyVaultSnapshots";
                    type: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "LIST";
                            name: never;
                            ofType: {
                                kind: "NON_NULL";
                                name: never;
                                ofType: {
                                    kind: "OBJECT";
                                    name: "PrevDailyVaultSnapshot";
                                    ofType: null;
                                };
                            };
                        };
                    };
                };
                prevMonthlyVaultSnapshot: {
                    name: "prevMonthlyVaultSnapshot";
                    type: {
                        kind: "OBJECT";
                        name: "PrevMonthlyVaultSnapshot";
                        ofType: null;
                    };
                };
                prevMonthlyVaultSnapshots: {
                    name: "prevMonthlyVaultSnapshots";
                    type: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "LIST";
                            name: never;
                            ofType: {
                                kind: "NON_NULL";
                                name: never;
                                ofType: {
                                    kind: "OBJECT";
                                    name: "PrevMonthlyVaultSnapshot";
                                    ofType: null;
                                };
                            };
                        };
                    };
                };
                prevVaultSnapshot: {
                    name: "prevVaultSnapshot";
                    type: {
                        kind: "OBJECT";
                        name: "PrevVaultSnapshot";
                        ofType: null;
                    };
                };
                prevVaultSnapshots: {
                    name: "prevVaultSnapshots";
                    type: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "LIST";
                            name: never;
                            ofType: {
                                kind: "NON_NULL";
                                name: never;
                                ofType: {
                                    kind: "OBJECT";
                                    name: "PrevVaultSnapshot";
                                    ofType: null;
                                };
                            };
                        };
                    };
                };
                prevWeeklyVaultSnapshot: {
                    name: "prevWeeklyVaultSnapshot";
                    type: {
                        kind: "OBJECT";
                        name: "PrevWeeklyVaultSnapshot";
                        ofType: null;
                    };
                };
                prevWeeklyVaultSnapshots: {
                    name: "prevWeeklyVaultSnapshots";
                    type: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "LIST";
                            name: never;
                            ofType: {
                                kind: "NON_NULL";
                                name: never;
                                ofType: {
                                    kind: "OBJECT";
                                    name: "PrevWeeklyVaultSnapshot";
                                    ofType: null;
                                };
                            };
                        };
                    };
                };
                queueTimeline: {
                    name: "queueTimeline";
                    type: {
                        kind: "OBJECT";
                        name: "QueueTimeline";
                        ofType: null;
                    };
                };
                queueTimelines: {
                    name: "queueTimelines";
                    type: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "LIST";
                            name: never;
                            ofType: {
                                kind: "NON_NULL";
                                name: never;
                                ofType: {
                                    kind: "OBJECT";
                                    name: "QueueTimeline";
                                    ofType: null;
                                };
                            };
                        };
                    };
                };
                runner: {
                    name: "runner";
                    type: {
                        kind: "OBJECT";
                        name: "Runner";
                        ofType: null;
                    };
                };
                runners: {
                    name: "runners";
                    type: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "LIST";
                            name: never;
                            ofType: {
                                kind: "NON_NULL";
                                name: never;
                                ofType: {
                                    kind: "OBJECT";
                                    name: "Runner";
                                    ofType: null;
                                };
                            };
                        };
                    };
                };
                strategies: {
                    name: "strategies";
                    type: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "LIST";
                            name: never;
                            ofType: {
                                kind: "NON_NULL";
                                name: never;
                                ofType: {
                                    kind: "OBJECT";
                                    name: "Strategy";
                                    ofType: null;
                                };
                            };
                        };
                    };
                };
                strategy: {
                    name: "strategy";
                    type: {
                        kind: "OBJECT";
                        name: "Strategy";
                        ofType: null;
                    };
                };
                vault: {
                    name: "vault";
                    type: {
                        kind: "OBJECT";
                        name: "Vault";
                        ofType: null;
                    };
                };
                vaultBeacon: {
                    name: "vaultBeacon";
                    type: {
                        kind: "OBJECT";
                        name: "VaultBeacon";
                        ofType: null;
                    };
                };
                vaultBeacons: {
                    name: "vaultBeacons";
                    type: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "LIST";
                            name: never;
                            ofType: {
                                kind: "NON_NULL";
                                name: never;
                                ofType: {
                                    kind: "OBJECT";
                                    name: "VaultBeacon";
                                    ofType: null;
                                };
                            };
                        };
                    };
                };
                vaultDeposit: {
                    name: "vaultDeposit";
                    type: {
                        kind: "OBJECT";
                        name: "VaultDeposit";
                        ofType: null;
                    };
                };
                vaultDeposits: {
                    name: "vaultDeposits";
                    type: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "LIST";
                            name: never;
                            ofType: {
                                kind: "NON_NULL";
                                name: never;
                                ofType: {
                                    kind: "OBJECT";
                                    name: "VaultDeposit";
                                    ofType: null;
                                };
                            };
                        };
                    };
                };
                vaultGasDeposited: {
                    name: "vaultGasDeposited";
                    type: {
                        kind: "OBJECT";
                        name: "VaultGasDeposited";
                        ofType: null;
                    };
                };
                vaultGasDepositeds: {
                    name: "vaultGasDepositeds";
                    type: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "LIST";
                            name: never;
                            ofType: {
                                kind: "NON_NULL";
                                name: never;
                                ofType: {
                                    kind: "OBJECT";
                                    name: "VaultGasDeposited";
                                    ofType: null;
                                };
                            };
                        };
                    };
                };
                vaultGasUsed: {
                    name: "vaultGasUsed";
                    type: {
                        kind: "OBJECT";
                        name: "VaultGasUsed";
                        ofType: null;
                    };
                };
                vaultGasUseds: {
                    name: "vaultGasUseds";
                    type: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "LIST";
                            name: never;
                            ofType: {
                                kind: "NON_NULL";
                                name: never;
                                ofType: {
                                    kind: "OBJECT";
                                    name: "VaultGasUsed";
                                    ofType: null;
                                };
                            };
                        };
                    };
                };
                vaultGasWithdrawn: {
                    name: "vaultGasWithdrawn";
                    type: {
                        kind: "OBJECT";
                        name: "VaultGasWithdrawn";
                        ofType: null;
                    };
                };
                vaultGasWithdrawns: {
                    name: "vaultGasWithdrawns";
                    type: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "LIST";
                            name: never;
                            ofType: {
                                kind: "NON_NULL";
                                name: never;
                                ofType: {
                                    kind: "OBJECT";
                                    name: "VaultGasWithdrawn";
                                    ofType: null;
                                };
                            };
                        };
                    };
                };
                vaultPosition: {
                    name: "vaultPosition";
                    type: {
                        kind: "OBJECT";
                        name: "VaultPosition";
                        ofType: null;
                    };
                };
                vaultPositions: {
                    name: "vaultPositions";
                    type: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "LIST";
                            name: never;
                            ofType: {
                                kind: "NON_NULL";
                                name: never;
                                ofType: {
                                    kind: "OBJECT";
                                    name: "VaultPosition";
                                    ofType: null;
                                };
                            };
                        };
                    };
                };
                vaultSnapshot: {
                    name: "vaultSnapshot";
                    type: {
                        kind: "OBJECT";
                        name: "VaultSnapshot";
                        ofType: null;
                    };
                };
                vaultSnapshots: {
                    name: "vaultSnapshots";
                    type: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "LIST";
                            name: never;
                            ofType: {
                                kind: "NON_NULL";
                                name: never;
                                ofType: {
                                    kind: "OBJECT";
                                    name: "VaultSnapshot";
                                    ofType: null;
                                };
                            };
                        };
                    };
                };
                vaultStateChanged: {
                    name: "vaultStateChanged";
                    type: {
                        kind: "OBJECT";
                        name: "VaultStateChanged";
                        ofType: null;
                    };
                };
                vaultStateChangeds: {
                    name: "vaultStateChangeds";
                    type: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "LIST";
                            name: never;
                            ofType: {
                                kind: "NON_NULL";
                                name: never;
                                ofType: {
                                    kind: "OBJECT";
                                    name: "VaultStateChanged";
                                    ofType: null;
                                };
                            };
                        };
                    };
                };
                vaultWithdraw: {
                    name: "vaultWithdraw";
                    type: {
                        kind: "OBJECT";
                        name: "VaultWithdraw";
                        ofType: null;
                    };
                };
                vaultWithdraws: {
                    name: "vaultWithdraws";
                    type: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "LIST";
                            name: never;
                            ofType: {
                                kind: "NON_NULL";
                                name: never;
                                ofType: {
                                    kind: "OBJECT";
                                    name: "VaultWithdraw";
                                    ofType: null;
                                };
                            };
                        };
                    };
                };
                vaults: {
                    name: "vaults";
                    type: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "LIST";
                            name: never;
                            ofType: {
                                kind: "NON_NULL";
                                name: never;
                                ofType: {
                                    kind: "OBJECT";
                                    name: "Vault";
                                    ofType: null;
                                };
                            };
                        };
                    };
                };
                vote: {
                    name: "vote";
                    type: {
                        kind: "OBJECT";
                        name: "Vote";
                        ofType: null;
                    };
                };
                votes: {
                    name: "votes";
                    type: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "LIST";
                            name: never;
                            ofType: {
                                kind: "NON_NULL";
                                name: never;
                                ofType: {
                                    kind: "OBJECT";
                                    name: "Vote";
                                    ofType: null;
                                };
                            };
                        };
                    };
                };
                whiteListManager: {
                    name: "whiteListManager";
                    type: {
                        kind: "OBJECT";
                        name: "WhiteListManager";
                        ofType: null;
                    };
                };
                whiteListManagers: {
                    name: "whiteListManagers";
                    type: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "LIST";
                            name: never;
                            ofType: {
                                kind: "NON_NULL";
                                name: never;
                                ofType: {
                                    kind: "OBJECT";
                                    name: "WhiteListManager";
                                    ofType: null;
                                };
                            };
                        };
                    };
                };
                whiteListVaultPermission: {
                    name: "whiteListVaultPermission";
                    type: {
                        kind: "OBJECT";
                        name: "WhiteListVaultPermission";
                        ofType: null;
                    };
                };
                whiteListVaultPermissions: {
                    name: "whiteListVaultPermissions";
                    type: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "LIST";
                            name: never;
                            ofType: {
                                kind: "NON_NULL";
                                name: never;
                                ofType: {
                                    kind: "OBJECT";
                                    name: "WhiteListVaultPermission";
                                    ofType: null;
                                };
                            };
                        };
                    };
                };
            };
        };
        QueueTimeline: {
            kind: "OBJECT";
            name: "QueueTimeline";
            fields: {
                id: {
                    name: "id";
                    type: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "SCALAR";
                            name: "ID";
                            ofType: null;
                        };
                    };
                };
                keeper: {
                    name: "keeper";
                    type: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "OBJECT";
                            name: "Keeper";
                            ofType: null;
                        };
                    };
                };
                queued: {
                    name: "queued";
                    type: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "SCALAR";
                            name: "Boolean";
                            ofType: null;
                        };
                    };
                };
                timeDelay: {
                    name: "timeDelay";
                    type: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "SCALAR";
                            name: "BigInt";
                            ofType: null;
                        };
                    };
                };
            };
        };
        QueueTimeline_filter: {
            kind: "INPUT_OBJECT";
            name: "QueueTimeline_filter";
            isOneOf: false;
            inputFields: [{
                name: "id";
                type: {
                    kind: "SCALAR";
                    name: "ID";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "id_not";
                type: {
                    kind: "SCALAR";
                    name: "ID";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "id_gt";
                type: {
                    kind: "SCALAR";
                    name: "ID";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "id_lt";
                type: {
                    kind: "SCALAR";
                    name: "ID";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "id_gte";
                type: {
                    kind: "SCALAR";
                    name: "ID";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "id_lte";
                type: {
                    kind: "SCALAR";
                    name: "ID";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "id_in";
                type: {
                    kind: "LIST";
                    name: never;
                    ofType: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "SCALAR";
                            name: "ID";
                            ofType: null;
                        };
                    };
                };
                defaultValue: null;
            }, {
                name: "id_not_in";
                type: {
                    kind: "LIST";
                    name: never;
                    ofType: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "SCALAR";
                            name: "ID";
                            ofType: null;
                        };
                    };
                };
                defaultValue: null;
            }, {
                name: "keeper";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "keeper_not";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "keeper_gt";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "keeper_lt";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "keeper_gte";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "keeper_lte";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "keeper_in";
                type: {
                    kind: "LIST";
                    name: never;
                    ofType: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "SCALAR";
                            name: "String";
                            ofType: null;
                        };
                    };
                };
                defaultValue: null;
            }, {
                name: "keeper_not_in";
                type: {
                    kind: "LIST";
                    name: never;
                    ofType: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "SCALAR";
                            name: "String";
                            ofType: null;
                        };
                    };
                };
                defaultValue: null;
            }, {
                name: "keeper_contains";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "keeper_contains_nocase";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "keeper_not_contains";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "keeper_not_contains_nocase";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "keeper_starts_with";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "keeper_starts_with_nocase";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "keeper_not_starts_with";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "keeper_not_starts_with_nocase";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "keeper_ends_with";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "keeper_ends_with_nocase";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "keeper_not_ends_with";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "keeper_not_ends_with_nocase";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "keeper_";
                type: {
                    kind: "INPUT_OBJECT";
                    name: "Keeper_filter";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "timeDelay";
                type: {
                    kind: "SCALAR";
                    name: "BigInt";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "timeDelay_not";
                type: {
                    kind: "SCALAR";
                    name: "BigInt";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "timeDelay_gt";
                type: {
                    kind: "SCALAR";
                    name: "BigInt";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "timeDelay_lt";
                type: {
                    kind: "SCALAR";
                    name: "BigInt";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "timeDelay_gte";
                type: {
                    kind: "SCALAR";
                    name: "BigInt";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "timeDelay_lte";
                type: {
                    kind: "SCALAR";
                    name: "BigInt";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "timeDelay_in";
                type: {
                    kind: "LIST";
                    name: never;
                    ofType: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "SCALAR";
                            name: "BigInt";
                            ofType: null;
                        };
                    };
                };
                defaultValue: null;
            }, {
                name: "timeDelay_not_in";
                type: {
                    kind: "LIST";
                    name: never;
                    ofType: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "SCALAR";
                            name: "BigInt";
                            ofType: null;
                        };
                    };
                };
                defaultValue: null;
            }, {
                name: "queued";
                type: {
                    kind: "SCALAR";
                    name: "Boolean";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "queued_not";
                type: {
                    kind: "SCALAR";
                    name: "Boolean";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "queued_in";
                type: {
                    kind: "LIST";
                    name: never;
                    ofType: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "SCALAR";
                            name: "Boolean";
                            ofType: null;
                        };
                    };
                };
                defaultValue: null;
            }, {
                name: "queued_not_in";
                type: {
                    kind: "LIST";
                    name: never;
                    ofType: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "SCALAR";
                            name: "Boolean";
                            ofType: null;
                        };
                    };
                };
                defaultValue: null;
            }, {
                name: "_change_block";
                type: {
                    kind: "INPUT_OBJECT";
                    name: "BlockChangedFilter";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "and";
                type: {
                    kind: "LIST";
                    name: never;
                    ofType: {
                        kind: "INPUT_OBJECT";
                        name: "QueueTimeline_filter";
                        ofType: null;
                    };
                };
                defaultValue: null;
            }, {
                name: "or";
                type: {
                    kind: "LIST";
                    name: never;
                    ofType: {
                        kind: "INPUT_OBJECT";
                        name: "QueueTimeline_filter";
                        ofType: null;
                    };
                };
                defaultValue: null;
            }];
        };
        QueueTimeline_orderBy: {
            name: "QueueTimeline_orderBy";
            enumValues: "id" | "keeper" | "keeper__id" | "keeper__bondHeld" | "keeper__index" | "keeper__status" | "queued" | "timeDelay";
        };
        Runner: {
            kind: "OBJECT";
            name: "Runner";
            fields: {
                bondHeld: {
                    name: "bondHeld";
                    type: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "SCALAR";
                            name: "BigInt";
                            ofType: null;
                        };
                    };
                };
                createdAt: {
                    name: "createdAt";
                    type: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "SCALAR";
                            name: "BigInt";
                            ofType: null;
                        };
                    };
                };
                id: {
                    name: "id";
                    type: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "SCALAR";
                            name: "ID";
                            ofType: null;
                        };
                    };
                };
            };
        };
        Runner_filter: {
            kind: "INPUT_OBJECT";
            name: "Runner_filter";
            isOneOf: false;
            inputFields: [{
                name: "id";
                type: {
                    kind: "SCALAR";
                    name: "ID";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "id_not";
                type: {
                    kind: "SCALAR";
                    name: "ID";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "id_gt";
                type: {
                    kind: "SCALAR";
                    name: "ID";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "id_lt";
                type: {
                    kind: "SCALAR";
                    name: "ID";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "id_gte";
                type: {
                    kind: "SCALAR";
                    name: "ID";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "id_lte";
                type: {
                    kind: "SCALAR";
                    name: "ID";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "id_in";
                type: {
                    kind: "LIST";
                    name: never;
                    ofType: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "SCALAR";
                            name: "ID";
                            ofType: null;
                        };
                    };
                };
                defaultValue: null;
            }, {
                name: "id_not_in";
                type: {
                    kind: "LIST";
                    name: never;
                    ofType: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "SCALAR";
                            name: "ID";
                            ofType: null;
                        };
                    };
                };
                defaultValue: null;
            }, {
                name: "bondHeld";
                type: {
                    kind: "SCALAR";
                    name: "BigInt";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "bondHeld_not";
                type: {
                    kind: "SCALAR";
                    name: "BigInt";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "bondHeld_gt";
                type: {
                    kind: "SCALAR";
                    name: "BigInt";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "bondHeld_lt";
                type: {
                    kind: "SCALAR";
                    name: "BigInt";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "bondHeld_gte";
                type: {
                    kind: "SCALAR";
                    name: "BigInt";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "bondHeld_lte";
                type: {
                    kind: "SCALAR";
                    name: "BigInt";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "bondHeld_in";
                type: {
                    kind: "LIST";
                    name: never;
                    ofType: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "SCALAR";
                            name: "BigInt";
                            ofType: null;
                        };
                    };
                };
                defaultValue: null;
            }, {
                name: "bondHeld_not_in";
                type: {
                    kind: "LIST";
                    name: never;
                    ofType: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "SCALAR";
                            name: "BigInt";
                            ofType: null;
                        };
                    };
                };
                defaultValue: null;
            }, {
                name: "createdAt";
                type: {
                    kind: "SCALAR";
                    name: "BigInt";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "createdAt_not";
                type: {
                    kind: "SCALAR";
                    name: "BigInt";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "createdAt_gt";
                type: {
                    kind: "SCALAR";
                    name: "BigInt";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "createdAt_lt";
                type: {
                    kind: "SCALAR";
                    name: "BigInt";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "createdAt_gte";
                type: {
                    kind: "SCALAR";
                    name: "BigInt";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "createdAt_lte";
                type: {
                    kind: "SCALAR";
                    name: "BigInt";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "createdAt_in";
                type: {
                    kind: "LIST";
                    name: never;
                    ofType: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "SCALAR";
                            name: "BigInt";
                            ofType: null;
                        };
                    };
                };
                defaultValue: null;
            }, {
                name: "createdAt_not_in";
                type: {
                    kind: "LIST";
                    name: never;
                    ofType: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "SCALAR";
                            name: "BigInt";
                            ofType: null;
                        };
                    };
                };
                defaultValue: null;
            }, {
                name: "_change_block";
                type: {
                    kind: "INPUT_OBJECT";
                    name: "BlockChangedFilter";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "and";
                type: {
                    kind: "LIST";
                    name: never;
                    ofType: {
                        kind: "INPUT_OBJECT";
                        name: "Runner_filter";
                        ofType: null;
                    };
                };
                defaultValue: null;
            }, {
                name: "or";
                type: {
                    kind: "LIST";
                    name: never;
                    ofType: {
                        kind: "INPUT_OBJECT";
                        name: "Runner_filter";
                        ofType: null;
                    };
                };
                defaultValue: null;
            }];
        };
        Runner_orderBy: {
            name: "Runner_orderBy";
            enumValues: "id" | "createdAt" | "bondHeld";
        };
        Strategy: {
            kind: "OBJECT";
            name: "Strategy";
            fields: {
                admin: {
                    name: "admin";
                    type: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "SCALAR";
                            name: "String";
                            ofType: null;
                        };
                    };
                };
                createdAt: {
                    name: "createdAt";
                    type: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "SCALAR";
                            name: "BigInt";
                            ofType: null;
                        };
                    };
                };
                creator: {
                    name: "creator";
                    type: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "OBJECT";
                            name: "Creator";
                            ofType: null;
                        };
                    };
                };
                executionBundle: {
                    name: "executionBundle";
                    type: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "SCALAR";
                            name: "String";
                            ofType: null;
                        };
                    };
                };
                id: {
                    name: "id";
                    type: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "SCALAR";
                            name: "ID";
                            ofType: null;
                        };
                    };
                };
                name: {
                    name: "name";
                    type: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "SCALAR";
                            name: "String";
                            ofType: null;
                        };
                    };
                };
                vault: {
                    name: "vault";
                    type: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "LIST";
                            name: never;
                            ofType: {
                                kind: "NON_NULL";
                                name: never;
                                ofType: {
                                    kind: "OBJECT";
                                    name: "Vault";
                                    ofType: null;
                                };
                            };
                        };
                    };
                };
            };
        };
        Strategy_filter: {
            kind: "INPUT_OBJECT";
            name: "Strategy_filter";
            isOneOf: false;
            inputFields: [{
                name: "id";
                type: {
                    kind: "SCALAR";
                    name: "ID";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "id_not";
                type: {
                    kind: "SCALAR";
                    name: "ID";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "id_gt";
                type: {
                    kind: "SCALAR";
                    name: "ID";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "id_lt";
                type: {
                    kind: "SCALAR";
                    name: "ID";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "id_gte";
                type: {
                    kind: "SCALAR";
                    name: "ID";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "id_lte";
                type: {
                    kind: "SCALAR";
                    name: "ID";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "id_in";
                type: {
                    kind: "LIST";
                    name: never;
                    ofType: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "SCALAR";
                            name: "ID";
                            ofType: null;
                        };
                    };
                };
                defaultValue: null;
            }, {
                name: "id_not_in";
                type: {
                    kind: "LIST";
                    name: never;
                    ofType: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "SCALAR";
                            name: "ID";
                            ofType: null;
                        };
                    };
                };
                defaultValue: null;
            }, {
                name: "name";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "name_not";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "name_gt";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "name_lt";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "name_gte";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "name_lte";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "name_in";
                type: {
                    kind: "LIST";
                    name: never;
                    ofType: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "SCALAR";
                            name: "String";
                            ofType: null;
                        };
                    };
                };
                defaultValue: null;
            }, {
                name: "name_not_in";
                type: {
                    kind: "LIST";
                    name: never;
                    ofType: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "SCALAR";
                            name: "String";
                            ofType: null;
                        };
                    };
                };
                defaultValue: null;
            }, {
                name: "name_contains";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "name_contains_nocase";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "name_not_contains";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "name_not_contains_nocase";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "name_starts_with";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "name_starts_with_nocase";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "name_not_starts_with";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "name_not_starts_with_nocase";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "name_ends_with";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "name_ends_with_nocase";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "name_not_ends_with";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "name_not_ends_with_nocase";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "vault_";
                type: {
                    kind: "INPUT_OBJECT";
                    name: "Vault_filter";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "createdAt";
                type: {
                    kind: "SCALAR";
                    name: "BigInt";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "createdAt_not";
                type: {
                    kind: "SCALAR";
                    name: "BigInt";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "createdAt_gt";
                type: {
                    kind: "SCALAR";
                    name: "BigInt";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "createdAt_lt";
                type: {
                    kind: "SCALAR";
                    name: "BigInt";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "createdAt_gte";
                type: {
                    kind: "SCALAR";
                    name: "BigInt";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "createdAt_lte";
                type: {
                    kind: "SCALAR";
                    name: "BigInt";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "createdAt_in";
                type: {
                    kind: "LIST";
                    name: never;
                    ofType: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "SCALAR";
                            name: "BigInt";
                            ofType: null;
                        };
                    };
                };
                defaultValue: null;
            }, {
                name: "createdAt_not_in";
                type: {
                    kind: "LIST";
                    name: never;
                    ofType: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "SCALAR";
                            name: "BigInt";
                            ofType: null;
                        };
                    };
                };
                defaultValue: null;
            }, {
                name: "admin";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "admin_not";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "admin_gt";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "admin_lt";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "admin_gte";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "admin_lte";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "admin_in";
                type: {
                    kind: "LIST";
                    name: never;
                    ofType: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "SCALAR";
                            name: "String";
                            ofType: null;
                        };
                    };
                };
                defaultValue: null;
            }, {
                name: "admin_not_in";
                type: {
                    kind: "LIST";
                    name: never;
                    ofType: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "SCALAR";
                            name: "String";
                            ofType: null;
                        };
                    };
                };
                defaultValue: null;
            }, {
                name: "admin_contains";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "admin_contains_nocase";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "admin_not_contains";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "admin_not_contains_nocase";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "admin_starts_with";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "admin_starts_with_nocase";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "admin_not_starts_with";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "admin_not_starts_with_nocase";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "admin_ends_with";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "admin_ends_with_nocase";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "admin_not_ends_with";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "admin_not_ends_with_nocase";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "creator";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "creator_not";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "creator_gt";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "creator_lt";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "creator_gte";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "creator_lte";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "creator_in";
                type: {
                    kind: "LIST";
                    name: never;
                    ofType: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "SCALAR";
                            name: "String";
                            ofType: null;
                        };
                    };
                };
                defaultValue: null;
            }, {
                name: "creator_not_in";
                type: {
                    kind: "LIST";
                    name: never;
                    ofType: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "SCALAR";
                            name: "String";
                            ofType: null;
                        };
                    };
                };
                defaultValue: null;
            }, {
                name: "creator_contains";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "creator_contains_nocase";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "creator_not_contains";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "creator_not_contains_nocase";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "creator_starts_with";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "creator_starts_with_nocase";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "creator_not_starts_with";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "creator_not_starts_with_nocase";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "creator_ends_with";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "creator_ends_with_nocase";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "creator_not_ends_with";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "creator_not_ends_with_nocase";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "creator_";
                type: {
                    kind: "INPUT_OBJECT";
                    name: "Creator_filter";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "executionBundle";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "executionBundle_not";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "executionBundle_gt";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "executionBundle_lt";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "executionBundle_gte";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "executionBundle_lte";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "executionBundle_in";
                type: {
                    kind: "LIST";
                    name: never;
                    ofType: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "SCALAR";
                            name: "String";
                            ofType: null;
                        };
                    };
                };
                defaultValue: null;
            }, {
                name: "executionBundle_not_in";
                type: {
                    kind: "LIST";
                    name: never;
                    ofType: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "SCALAR";
                            name: "String";
                            ofType: null;
                        };
                    };
                };
                defaultValue: null;
            }, {
                name: "executionBundle_contains";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "executionBundle_contains_nocase";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "executionBundle_not_contains";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "executionBundle_not_contains_nocase";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "executionBundle_starts_with";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "executionBundle_starts_with_nocase";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "executionBundle_not_starts_with";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "executionBundle_not_starts_with_nocase";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "executionBundle_ends_with";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "executionBundle_ends_with_nocase";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "executionBundle_not_ends_with";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "executionBundle_not_ends_with_nocase";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "_change_block";
                type: {
                    kind: "INPUT_OBJECT";
                    name: "BlockChangedFilter";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "and";
                type: {
                    kind: "LIST";
                    name: never;
                    ofType: {
                        kind: "INPUT_OBJECT";
                        name: "Strategy_filter";
                        ofType: null;
                    };
                };
                defaultValue: null;
            }, {
                name: "or";
                type: {
                    kind: "LIST";
                    name: never;
                    ofType: {
                        kind: "INPUT_OBJECT";
                        name: "Strategy_filter";
                        ofType: null;
                    };
                };
                defaultValue: null;
            }];
        };
        Strategy_orderBy: {
            name: "Strategy_orderBy";
            enumValues: "id" | "name" | "createdAt" | "creator" | "creator__id" | "creator__revenue" | "creator__totalValueLocked" | "creator__totalYield" | "vault" | "admin" | "executionBundle";
        };
        String: unknown;
        Subscription: {
            kind: "OBJECT";
            name: "Subscription";
            fields: {
                _meta: {
                    name: "_meta";
                    type: {
                        kind: "OBJECT";
                        name: "_Meta_";
                        ofType: null;
                    };
                };
                actionFailure: {
                    name: "actionFailure";
                    type: {
                        kind: "OBJECT";
                        name: "ActionFailure";
                        ofType: null;
                    };
                };
                actionFailures: {
                    name: "actionFailures";
                    type: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "LIST";
                            name: never;
                            ofType: {
                                kind: "NON_NULL";
                                name: never;
                                ofType: {
                                    kind: "OBJECT";
                                    name: "ActionFailure";
                                    ofType: null;
                                };
                            };
                        };
                    };
                };
                bundle: {
                    name: "bundle";
                    type: {
                        kind: "OBJECT";
                        name: "Bundle";
                        ofType: null;
                    };
                };
                bundles: {
                    name: "bundles";
                    type: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "LIST";
                            name: never;
                            ofType: {
                                kind: "NON_NULL";
                                name: never;
                                ofType: {
                                    kind: "OBJECT";
                                    name: "Bundle";
                                    ofType: null;
                                };
                            };
                        };
                    };
                };
                creator: {
                    name: "creator";
                    type: {
                        kind: "OBJECT";
                        name: "Creator";
                        ofType: null;
                    };
                };
                creatorWithdrawal: {
                    name: "creatorWithdrawal";
                    type: {
                        kind: "OBJECT";
                        name: "CreatorWithdrawal";
                        ofType: null;
                    };
                };
                creatorWithdrawals: {
                    name: "creatorWithdrawals";
                    type: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "LIST";
                            name: never;
                            ofType: {
                                kind: "NON_NULL";
                                name: never;
                                ofType: {
                                    kind: "OBJECT";
                                    name: "CreatorWithdrawal";
                                    ofType: null;
                                };
                            };
                        };
                    };
                };
                creators: {
                    name: "creators";
                    type: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "LIST";
                            name: never;
                            ofType: {
                                kind: "NON_NULL";
                                name: never;
                                ofType: {
                                    kind: "OBJECT";
                                    name: "Creator";
                                    ofType: null;
                                };
                            };
                        };
                    };
                };
                depositor: {
                    name: "depositor";
                    type: {
                        kind: "OBJECT";
                        name: "Depositor";
                        ofType: null;
                    };
                };
                depositors: {
                    name: "depositors";
                    type: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "LIST";
                            name: never;
                            ofType: {
                                kind: "NON_NULL";
                                name: never;
                                ofType: {
                                    kind: "OBJECT";
                                    name: "Depositor";
                                    ofType: null;
                                };
                            };
                        };
                    };
                };
                job: {
                    name: "job";
                    type: {
                        kind: "OBJECT";
                        name: "Job";
                        ofType: null;
                    };
                };
                jobExecution: {
                    name: "jobExecution";
                    type: {
                        kind: "OBJECT";
                        name: "JobExecution";
                        ofType: null;
                    };
                };
                jobExecutions: {
                    name: "jobExecutions";
                    type: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "LIST";
                            name: never;
                            ofType: {
                                kind: "NON_NULL";
                                name: never;
                                ofType: {
                                    kind: "OBJECT";
                                    name: "JobExecution";
                                    ofType: null;
                                };
                            };
                        };
                    };
                };
                jobGasDeposited: {
                    name: "jobGasDeposited";
                    type: {
                        kind: "OBJECT";
                        name: "JobGasDeposited";
                        ofType: null;
                    };
                };
                jobGasDepositeds: {
                    name: "jobGasDepositeds";
                    type: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "LIST";
                            name: never;
                            ofType: {
                                kind: "NON_NULL";
                                name: never;
                                ofType: {
                                    kind: "OBJECT";
                                    name: "JobGasDeposited";
                                    ofType: null;
                                };
                            };
                        };
                    };
                };
                jobGasWithdrawn: {
                    name: "jobGasWithdrawn";
                    type: {
                        kind: "OBJECT";
                        name: "JobGasWithdrawn";
                        ofType: null;
                    };
                };
                jobGasWithdrawns: {
                    name: "jobGasWithdrawns";
                    type: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "LIST";
                            name: never;
                            ofType: {
                                kind: "NON_NULL";
                                name: never;
                                ofType: {
                                    kind: "OBJECT";
                                    name: "JobGasWithdrawn";
                                    ofType: null;
                                };
                            };
                        };
                    };
                };
                jobs: {
                    name: "jobs";
                    type: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "LIST";
                            name: never;
                            ofType: {
                                kind: "NON_NULL";
                                name: never;
                                ofType: {
                                    kind: "OBJECT";
                                    name: "Job";
                                    ofType: null;
                                };
                            };
                        };
                    };
                };
                keeper: {
                    name: "keeper";
                    type: {
                        kind: "OBJECT";
                        name: "Keeper";
                        ofType: null;
                    };
                };
                keepers: {
                    name: "keepers";
                    type: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "LIST";
                            name: never;
                            ofType: {
                                kind: "NON_NULL";
                                name: never;
                                ofType: {
                                    kind: "OBJECT";
                                    name: "Keeper";
                                    ofType: null;
                                };
                            };
                        };
                    };
                };
                leaderBoard: {
                    name: "leaderBoard";
                    type: {
                        kind: "OBJECT";
                        name: "LeaderBoard";
                        ofType: null;
                    };
                };
                leaderBoards: {
                    name: "leaderBoards";
                    type: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "LIST";
                            name: never;
                            ofType: {
                                kind: "NON_NULL";
                                name: never;
                                ofType: {
                                    kind: "OBJECT";
                                    name: "LeaderBoard";
                                    ofType: null;
                                };
                            };
                        };
                    };
                };
                liquiditySteer: {
                    name: "liquiditySteer";
                    type: {
                        kind: "OBJECT";
                        name: "LiquiditySteer";
                        ofType: null;
                    };
                };
                liquiditySteers: {
                    name: "liquiditySteers";
                    type: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "LIST";
                            name: never;
                            ofType: {
                                kind: "NON_NULL";
                                name: never;
                                ofType: {
                                    kind: "OBJECT";
                                    name: "LiquiditySteer";
                                    ofType: null;
                                };
                            };
                        };
                    };
                };
                orchestratorAction: {
                    name: "orchestratorAction";
                    type: {
                        kind: "OBJECT";
                        name: "OrchestratorAction";
                        ofType: null;
                    };
                };
                orchestratorActions: {
                    name: "orchestratorActions";
                    type: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "LIST";
                            name: never;
                            ofType: {
                                kind: "NON_NULL";
                                name: never;
                                ofType: {
                                    kind: "OBJECT";
                                    name: "OrchestratorAction";
                                    ofType: null;
                                };
                            };
                        };
                    };
                };
                orchestratorReward: {
                    name: "orchestratorReward";
                    type: {
                        kind: "OBJECT";
                        name: "OrchestratorReward";
                        ofType: null;
                    };
                };
                orchestratorRewardSnapshot: {
                    name: "orchestratorRewardSnapshot";
                    type: {
                        kind: "OBJECT";
                        name: "OrchestratorRewardSnapshot";
                        ofType: null;
                    };
                };
                orchestratorRewardSnapshots: {
                    name: "orchestratorRewardSnapshots";
                    type: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "LIST";
                            name: never;
                            ofType: {
                                kind: "NON_NULL";
                                name: never;
                                ofType: {
                                    kind: "OBJECT";
                                    name: "OrchestratorRewardSnapshot";
                                    ofType: null;
                                };
                            };
                        };
                    };
                };
                orchestratorRewardTracker: {
                    name: "orchestratorRewardTracker";
                    type: {
                        kind: "OBJECT";
                        name: "OrchestratorRewardTracker";
                        ofType: null;
                    };
                };
                orchestratorRewardTrackers: {
                    name: "orchestratorRewardTrackers";
                    type: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "LIST";
                            name: never;
                            ofType: {
                                kind: "NON_NULL";
                                name: never;
                                ofType: {
                                    kind: "OBJECT";
                                    name: "OrchestratorRewardTracker";
                                    ofType: null;
                                };
                            };
                        };
                    };
                };
                orchestratorRewards: {
                    name: "orchestratorRewards";
                    type: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "LIST";
                            name: never;
                            ofType: {
                                kind: "NON_NULL";
                                name: never;
                                ofType: {
                                    kind: "OBJECT";
                                    name: "OrchestratorReward";
                                    ofType: null;
                                };
                            };
                        };
                    };
                };
                permissionUpdate: {
                    name: "permissionUpdate";
                    type: {
                        kind: "OBJECT";
                        name: "PermissionUpdate";
                        ofType: null;
                    };
                };
                permissionUpdates: {
                    name: "permissionUpdates";
                    type: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "LIST";
                            name: never;
                            ofType: {
                                kind: "NON_NULL";
                                name: never;
                                ofType: {
                                    kind: "OBJECT";
                                    name: "PermissionUpdate";
                                    ofType: null;
                                };
                            };
                        };
                    };
                };
                prevAnnualVaultSnapshot: {
                    name: "prevAnnualVaultSnapshot";
                    type: {
                        kind: "OBJECT";
                        name: "PrevAnnualVaultSnapshot";
                        ofType: null;
                    };
                };
                prevAnnualVaultSnapshots: {
                    name: "prevAnnualVaultSnapshots";
                    type: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "LIST";
                            name: never;
                            ofType: {
                                kind: "NON_NULL";
                                name: never;
                                ofType: {
                                    kind: "OBJECT";
                                    name: "PrevAnnualVaultSnapshot";
                                    ofType: null;
                                };
                            };
                        };
                    };
                };
                prevDailyVaultSnapshot: {
                    name: "prevDailyVaultSnapshot";
                    type: {
                        kind: "OBJECT";
                        name: "PrevDailyVaultSnapshot";
                        ofType: null;
                    };
                };
                prevDailyVaultSnapshots: {
                    name: "prevDailyVaultSnapshots";
                    type: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "LIST";
                            name: never;
                            ofType: {
                                kind: "NON_NULL";
                                name: never;
                                ofType: {
                                    kind: "OBJECT";
                                    name: "PrevDailyVaultSnapshot";
                                    ofType: null;
                                };
                            };
                        };
                    };
                };
                prevMonthlyVaultSnapshot: {
                    name: "prevMonthlyVaultSnapshot";
                    type: {
                        kind: "OBJECT";
                        name: "PrevMonthlyVaultSnapshot";
                        ofType: null;
                    };
                };
                prevMonthlyVaultSnapshots: {
                    name: "prevMonthlyVaultSnapshots";
                    type: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "LIST";
                            name: never;
                            ofType: {
                                kind: "NON_NULL";
                                name: never;
                                ofType: {
                                    kind: "OBJECT";
                                    name: "PrevMonthlyVaultSnapshot";
                                    ofType: null;
                                };
                            };
                        };
                    };
                };
                prevVaultSnapshot: {
                    name: "prevVaultSnapshot";
                    type: {
                        kind: "OBJECT";
                        name: "PrevVaultSnapshot";
                        ofType: null;
                    };
                };
                prevVaultSnapshots: {
                    name: "prevVaultSnapshots";
                    type: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "LIST";
                            name: never;
                            ofType: {
                                kind: "NON_NULL";
                                name: never;
                                ofType: {
                                    kind: "OBJECT";
                                    name: "PrevVaultSnapshot";
                                    ofType: null;
                                };
                            };
                        };
                    };
                };
                prevWeeklyVaultSnapshot: {
                    name: "prevWeeklyVaultSnapshot";
                    type: {
                        kind: "OBJECT";
                        name: "PrevWeeklyVaultSnapshot";
                        ofType: null;
                    };
                };
                prevWeeklyVaultSnapshots: {
                    name: "prevWeeklyVaultSnapshots";
                    type: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "LIST";
                            name: never;
                            ofType: {
                                kind: "NON_NULL";
                                name: never;
                                ofType: {
                                    kind: "OBJECT";
                                    name: "PrevWeeklyVaultSnapshot";
                                    ofType: null;
                                };
                            };
                        };
                    };
                };
                queueTimeline: {
                    name: "queueTimeline";
                    type: {
                        kind: "OBJECT";
                        name: "QueueTimeline";
                        ofType: null;
                    };
                };
                queueTimelines: {
                    name: "queueTimelines";
                    type: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "LIST";
                            name: never;
                            ofType: {
                                kind: "NON_NULL";
                                name: never;
                                ofType: {
                                    kind: "OBJECT";
                                    name: "QueueTimeline";
                                    ofType: null;
                                };
                            };
                        };
                    };
                };
                runner: {
                    name: "runner";
                    type: {
                        kind: "OBJECT";
                        name: "Runner";
                        ofType: null;
                    };
                };
                runners: {
                    name: "runners";
                    type: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "LIST";
                            name: never;
                            ofType: {
                                kind: "NON_NULL";
                                name: never;
                                ofType: {
                                    kind: "OBJECT";
                                    name: "Runner";
                                    ofType: null;
                                };
                            };
                        };
                    };
                };
                strategies: {
                    name: "strategies";
                    type: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "LIST";
                            name: never;
                            ofType: {
                                kind: "NON_NULL";
                                name: never;
                                ofType: {
                                    kind: "OBJECT";
                                    name: "Strategy";
                                    ofType: null;
                                };
                            };
                        };
                    };
                };
                strategy: {
                    name: "strategy";
                    type: {
                        kind: "OBJECT";
                        name: "Strategy";
                        ofType: null;
                    };
                };
                vault: {
                    name: "vault";
                    type: {
                        kind: "OBJECT";
                        name: "Vault";
                        ofType: null;
                    };
                };
                vaultBeacon: {
                    name: "vaultBeacon";
                    type: {
                        kind: "OBJECT";
                        name: "VaultBeacon";
                        ofType: null;
                    };
                };
                vaultBeacons: {
                    name: "vaultBeacons";
                    type: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "LIST";
                            name: never;
                            ofType: {
                                kind: "NON_NULL";
                                name: never;
                                ofType: {
                                    kind: "OBJECT";
                                    name: "VaultBeacon";
                                    ofType: null;
                                };
                            };
                        };
                    };
                };
                vaultDeposit: {
                    name: "vaultDeposit";
                    type: {
                        kind: "OBJECT";
                        name: "VaultDeposit";
                        ofType: null;
                    };
                };
                vaultDeposits: {
                    name: "vaultDeposits";
                    type: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "LIST";
                            name: never;
                            ofType: {
                                kind: "NON_NULL";
                                name: never;
                                ofType: {
                                    kind: "OBJECT";
                                    name: "VaultDeposit";
                                    ofType: null;
                                };
                            };
                        };
                    };
                };
                vaultGasDeposited: {
                    name: "vaultGasDeposited";
                    type: {
                        kind: "OBJECT";
                        name: "VaultGasDeposited";
                        ofType: null;
                    };
                };
                vaultGasDepositeds: {
                    name: "vaultGasDepositeds";
                    type: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "LIST";
                            name: never;
                            ofType: {
                                kind: "NON_NULL";
                                name: never;
                                ofType: {
                                    kind: "OBJECT";
                                    name: "VaultGasDeposited";
                                    ofType: null;
                                };
                            };
                        };
                    };
                };
                vaultGasUsed: {
                    name: "vaultGasUsed";
                    type: {
                        kind: "OBJECT";
                        name: "VaultGasUsed";
                        ofType: null;
                    };
                };
                vaultGasUseds: {
                    name: "vaultGasUseds";
                    type: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "LIST";
                            name: never;
                            ofType: {
                                kind: "NON_NULL";
                                name: never;
                                ofType: {
                                    kind: "OBJECT";
                                    name: "VaultGasUsed";
                                    ofType: null;
                                };
                            };
                        };
                    };
                };
                vaultGasWithdrawn: {
                    name: "vaultGasWithdrawn";
                    type: {
                        kind: "OBJECT";
                        name: "VaultGasWithdrawn";
                        ofType: null;
                    };
                };
                vaultGasWithdrawns: {
                    name: "vaultGasWithdrawns";
                    type: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "LIST";
                            name: never;
                            ofType: {
                                kind: "NON_NULL";
                                name: never;
                                ofType: {
                                    kind: "OBJECT";
                                    name: "VaultGasWithdrawn";
                                    ofType: null;
                                };
                            };
                        };
                    };
                };
                vaultPosition: {
                    name: "vaultPosition";
                    type: {
                        kind: "OBJECT";
                        name: "VaultPosition";
                        ofType: null;
                    };
                };
                vaultPositions: {
                    name: "vaultPositions";
                    type: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "LIST";
                            name: never;
                            ofType: {
                                kind: "NON_NULL";
                                name: never;
                                ofType: {
                                    kind: "OBJECT";
                                    name: "VaultPosition";
                                    ofType: null;
                                };
                            };
                        };
                    };
                };
                vaultSnapshot: {
                    name: "vaultSnapshot";
                    type: {
                        kind: "OBJECT";
                        name: "VaultSnapshot";
                        ofType: null;
                    };
                };
                vaultSnapshots: {
                    name: "vaultSnapshots";
                    type: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "LIST";
                            name: never;
                            ofType: {
                                kind: "NON_NULL";
                                name: never;
                                ofType: {
                                    kind: "OBJECT";
                                    name: "VaultSnapshot";
                                    ofType: null;
                                };
                            };
                        };
                    };
                };
                vaultStateChanged: {
                    name: "vaultStateChanged";
                    type: {
                        kind: "OBJECT";
                        name: "VaultStateChanged";
                        ofType: null;
                    };
                };
                vaultStateChangeds: {
                    name: "vaultStateChangeds";
                    type: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "LIST";
                            name: never;
                            ofType: {
                                kind: "NON_NULL";
                                name: never;
                                ofType: {
                                    kind: "OBJECT";
                                    name: "VaultStateChanged";
                                    ofType: null;
                                };
                            };
                        };
                    };
                };
                vaultWithdraw: {
                    name: "vaultWithdraw";
                    type: {
                        kind: "OBJECT";
                        name: "VaultWithdraw";
                        ofType: null;
                    };
                };
                vaultWithdraws: {
                    name: "vaultWithdraws";
                    type: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "LIST";
                            name: never;
                            ofType: {
                                kind: "NON_NULL";
                                name: never;
                                ofType: {
                                    kind: "OBJECT";
                                    name: "VaultWithdraw";
                                    ofType: null;
                                };
                            };
                        };
                    };
                };
                vaults: {
                    name: "vaults";
                    type: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "LIST";
                            name: never;
                            ofType: {
                                kind: "NON_NULL";
                                name: never;
                                ofType: {
                                    kind: "OBJECT";
                                    name: "Vault";
                                    ofType: null;
                                };
                            };
                        };
                    };
                };
                vote: {
                    name: "vote";
                    type: {
                        kind: "OBJECT";
                        name: "Vote";
                        ofType: null;
                    };
                };
                votes: {
                    name: "votes";
                    type: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "LIST";
                            name: never;
                            ofType: {
                                kind: "NON_NULL";
                                name: never;
                                ofType: {
                                    kind: "OBJECT";
                                    name: "Vote";
                                    ofType: null;
                                };
                            };
                        };
                    };
                };
                whiteListManager: {
                    name: "whiteListManager";
                    type: {
                        kind: "OBJECT";
                        name: "WhiteListManager";
                        ofType: null;
                    };
                };
                whiteListManagers: {
                    name: "whiteListManagers";
                    type: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "LIST";
                            name: never;
                            ofType: {
                                kind: "NON_NULL";
                                name: never;
                                ofType: {
                                    kind: "OBJECT";
                                    name: "WhiteListManager";
                                    ofType: null;
                                };
                            };
                        };
                    };
                };
                whiteListVaultPermission: {
                    name: "whiteListVaultPermission";
                    type: {
                        kind: "OBJECT";
                        name: "WhiteListVaultPermission";
                        ofType: null;
                    };
                };
                whiteListVaultPermissions: {
                    name: "whiteListVaultPermissions";
                    type: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "LIST";
                            name: never;
                            ofType: {
                                kind: "NON_NULL";
                                name: never;
                                ofType: {
                                    kind: "OBJECT";
                                    name: "WhiteListVaultPermission";
                                    ofType: null;
                                };
                            };
                        };
                    };
                };
            };
        };
        Timestamp: unknown;
        Vault: {
            kind: "OBJECT";
            name: "Vault";
            fields: {
                accruedStrategistFees0: {
                    name: "accruedStrategistFees0";
                    type: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "SCALAR";
                            name: "BigInt";
                            ofType: null;
                        };
                    };
                };
                accruedStrategistFees1: {
                    name: "accruedStrategistFees1";
                    type: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "SCALAR";
                            name: "BigInt";
                            ofType: null;
                        };
                    };
                };
                annualFeeARR: {
                    name: "annualFeeARR";
                    type: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "SCALAR";
                            name: "BigDecimal";
                            ofType: null;
                        };
                    };
                };
                annualPercentageDailyYield: {
                    name: "annualPercentageDailyYield";
                    type: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "SCALAR";
                            name: "BigDecimal";
                            ofType: null;
                        };
                    };
                };
                annualPercentageMonthlyYield: {
                    name: "annualPercentageMonthlyYield";
                    type: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "SCALAR";
                            name: "BigDecimal";
                            ofType: null;
                        };
                    };
                };
                annualPercentageYearlyYield: {
                    name: "annualPercentageYearlyYield";
                    type: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "SCALAR";
                            name: "BigDecimal";
                            ofType: null;
                        };
                    };
                };
                annualPercentageYield: {
                    name: "annualPercentageYield";
                    type: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "SCALAR";
                            name: "BigDecimal";
                            ofType: null;
                        };
                    };
                };
                averageFeeArrPerSecond: {
                    name: "averageFeeArrPerSecond";
                    type: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "SCALAR";
                            name: "BigDecimal";
                            ofType: null;
                        };
                    };
                };
                beaconName: {
                    name: "beaconName";
                    type: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "SCALAR";
                            name: "String";
                            ofType: null;
                        };
                    };
                };
                createdAt: {
                    name: "createdAt";
                    type: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "SCALAR";
                            name: "BigInt";
                            ofType: null;
                        };
                    };
                };
                dailyFeeAPR: {
                    name: "dailyFeeAPR";
                    type: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "SCALAR";
                            name: "BigDecimal";
                            ofType: null;
                        };
                    };
                };
                decimals: {
                    name: "decimals";
                    type: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "SCALAR";
                            name: "BigInt";
                            ofType: null;
                        };
                    };
                };
                deployer: {
                    name: "deployer";
                    type: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "SCALAR";
                            name: "String";
                            ofType: null;
                        };
                    };
                };
                depositors: {
                    name: "depositors";
                    type: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "LIST";
                            name: never;
                            ofType: {
                                kind: "NON_NULL";
                                name: never;
                                ofType: {
                                    kind: "OBJECT";
                                    name: "Depositor";
                                    ofType: null;
                                };
                            };
                        };
                    };
                };
                feeTier: {
                    name: "feeTier";
                    type: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "SCALAR";
                            name: "BigInt";
                            ofType: null;
                        };
                    };
                };
                fees0: {
                    name: "fees0";
                    type: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "SCALAR";
                            name: "BigInt";
                            ofType: null;
                        };
                    };
                };
                fees1: {
                    name: "fees1";
                    type: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "SCALAR";
                            name: "BigInt";
                            ofType: null;
                        };
                    };
                };
                gasDeposited: {
                    name: "gasDeposited";
                    type: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "SCALAR";
                            name: "BigInt";
                            ofType: null;
                        };
                    };
                };
                gasUsed: {
                    name: "gasUsed";
                    type: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "SCALAR";
                            name: "BigInt";
                            ofType: null;
                        };
                    };
                };
                id: {
                    name: "id";
                    type: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "SCALAR";
                            name: "ID";
                            ofType: null;
                        };
                    };
                };
                jobs: {
                    name: "jobs";
                    type: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "LIST";
                            name: never;
                            ofType: {
                                kind: "NON_NULL";
                                name: never;
                                ofType: {
                                    kind: "OBJECT";
                                    name: "Job";
                                    ofType: null;
                                };
                            };
                        };
                    };
                };
                lastSnapshot: {
                    name: "lastSnapshot";
                    type: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "SCALAR";
                            name: "BigInt";
                            ofType: null;
                        };
                    };
                };
                lastTotalT0ValuePerLPT: {
                    name: "lastTotalT0ValuePerLPT";
                    type: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "SCALAR";
                            name: "BigDecimal";
                            ofType: null;
                        };
                    };
                };
                name: {
                    name: "name";
                    type: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "SCALAR";
                            name: "String";
                            ofType: null;
                        };
                    };
                };
                payloadIpfs: {
                    name: "payloadIpfs";
                    type: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "SCALAR";
                            name: "String";
                            ofType: null;
                        };
                    };
                };
                permissions: {
                    name: "permissions";
                    type: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "LIST";
                            name: never;
                            ofType: {
                                kind: "NON_NULL";
                                name: never;
                                ofType: {
                                    kind: "OBJECT";
                                    name: "WhiteListVaultPermission";
                                    ofType: null;
                                };
                            };
                        };
                    };
                };
                pool: {
                    name: "pool";
                    type: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "SCALAR";
                            name: "String";
                            ofType: null;
                        };
                    };
                };
                positions: {
                    name: "positions";
                    type: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "LIST";
                            name: never;
                            ofType: {
                                kind: "NON_NULL";
                                name: never;
                                ofType: {
                                    kind: "OBJECT";
                                    name: "VaultPosition";
                                    ofType: null;
                                };
                            };
                        };
                    };
                };
                snapshots: {
                    name: "snapshots";
                    type: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "LIST";
                            name: never;
                            ofType: {
                                kind: "NON_NULL";
                                name: never;
                                ofType: {
                                    kind: "OBJECT";
                                    name: "VaultSnapshot";
                                    ofType: null;
                                };
                            };
                        };
                    };
                };
                state: {
                    name: "state";
                    type: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "SCALAR";
                            name: "BigInt";
                            ofType: null;
                        };
                    };
                };
                statusUpdates: {
                    name: "statusUpdates";
                    type: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "LIST";
                            name: never;
                            ofType: {
                                kind: "NON_NULL";
                                name: never;
                                ofType: {
                                    kind: "OBJECT";
                                    name: "VaultStateChanged";
                                    ofType: null;
                                };
                            };
                        };
                    };
                };
                strategyToken: {
                    name: "strategyToken";
                    type: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "OBJECT";
                            name: "Strategy";
                            ofType: null;
                        };
                    };
                };
                symbol: {
                    name: "symbol";
                    type: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "SCALAR";
                            name: "String";
                            ofType: null;
                        };
                    };
                };
                token0: {
                    name: "token0";
                    type: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "SCALAR";
                            name: "String";
                            ofType: null;
                        };
                    };
                };
                token0Balance: {
                    name: "token0Balance";
                    type: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "SCALAR";
                            name: "BigInt";
                            ofType: null;
                        };
                    };
                };
                token0Decimals: {
                    name: "token0Decimals";
                    type: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "SCALAR";
                            name: "BigInt";
                            ofType: null;
                        };
                    };
                };
                token0Name: {
                    name: "token0Name";
                    type: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "SCALAR";
                            name: "String";
                            ofType: null;
                        };
                    };
                };
                token0Symbol: {
                    name: "token0Symbol";
                    type: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "SCALAR";
                            name: "String";
                            ofType: null;
                        };
                    };
                };
                token1: {
                    name: "token1";
                    type: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "SCALAR";
                            name: "String";
                            ofType: null;
                        };
                    };
                };
                token1Balance: {
                    name: "token1Balance";
                    type: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "SCALAR";
                            name: "BigInt";
                            ofType: null;
                        };
                    };
                };
                token1Decimals: {
                    name: "token1Decimals";
                    type: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "SCALAR";
                            name: "BigInt";
                            ofType: null;
                        };
                    };
                };
                token1Name: {
                    name: "token1Name";
                    type: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "SCALAR";
                            name: "String";
                            ofType: null;
                        };
                    };
                };
                token1Symbol: {
                    name: "token1Symbol";
                    type: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "SCALAR";
                            name: "String";
                            ofType: null;
                        };
                    };
                };
                totalAmount0: {
                    name: "totalAmount0";
                    type: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "SCALAR";
                            name: "BigDecimal";
                            ofType: null;
                        };
                    };
                };
                totalAmount1: {
                    name: "totalAmount1";
                    type: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "SCALAR";
                            name: "BigDecimal";
                            ofType: null;
                        };
                    };
                };
                totalLPTokensIssued: {
                    name: "totalLPTokensIssued";
                    type: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "SCALAR";
                            name: "BigInt";
                            ofType: null;
                        };
                    };
                };
                totalSnapshots: {
                    name: "totalSnapshots";
                    type: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "SCALAR";
                            name: "BigInt";
                            ofType: null;
                        };
                    };
                };
                totalValueLockedToken0: {
                    name: "totalValueLockedToken0";
                    type: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "SCALAR";
                            name: "BigDecimal";
                            ofType: null;
                        };
                    };
                };
                totalValueLockedToken1: {
                    name: "totalValueLockedToken1";
                    type: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "SCALAR";
                            name: "BigDecimal";
                            ofType: null;
                        };
                    };
                };
                vaultManager: {
                    name: "vaultManager";
                    type: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "SCALAR";
                            name: "String";
                            ofType: null;
                        };
                    };
                };
                weeklyFeeAPR: {
                    name: "weeklyFeeAPR";
                    type: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "SCALAR";
                            name: "BigDecimal";
                            ofType: null;
                        };
                    };
                };
            };
        };
        VaultBeacon: {
            kind: "OBJECT";
            name: "VaultBeacon";
            fields: {
                address: {
                    name: "address";
                    type: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "SCALAR";
                            name: "String";
                            ofType: null;
                        };
                    };
                };
                id: {
                    name: "id";
                    type: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "SCALAR";
                            name: "ID";
                            ofType: null;
                        };
                    };
                };
                ipfsHash: {
                    name: "ipfsHash";
                    type: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "SCALAR";
                            name: "String";
                            ofType: null;
                        };
                    };
                };
                name: {
                    name: "name";
                    type: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "SCALAR";
                            name: "String";
                            ofType: null;
                        };
                    };
                };
                status: {
                    name: "status";
                    type: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "SCALAR";
                            name: "String";
                            ofType: null;
                        };
                    };
                };
                timestamp: {
                    name: "timestamp";
                    type: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "SCALAR";
                            name: "BigInt";
                            ofType: null;
                        };
                    };
                };
                updateTimestamp: {
                    name: "updateTimestamp";
                    type: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "SCALAR";
                            name: "BigInt";
                            ofType: null;
                        };
                    };
                };
            };
        };
        VaultBeacon_filter: {
            kind: "INPUT_OBJECT";
            name: "VaultBeacon_filter";
            isOneOf: false;
            inputFields: [{
                name: "id";
                type: {
                    kind: "SCALAR";
                    name: "ID";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "id_not";
                type: {
                    kind: "SCALAR";
                    name: "ID";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "id_gt";
                type: {
                    kind: "SCALAR";
                    name: "ID";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "id_lt";
                type: {
                    kind: "SCALAR";
                    name: "ID";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "id_gte";
                type: {
                    kind: "SCALAR";
                    name: "ID";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "id_lte";
                type: {
                    kind: "SCALAR";
                    name: "ID";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "id_in";
                type: {
                    kind: "LIST";
                    name: never;
                    ofType: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "SCALAR";
                            name: "ID";
                            ofType: null;
                        };
                    };
                };
                defaultValue: null;
            }, {
                name: "id_not_in";
                type: {
                    kind: "LIST";
                    name: never;
                    ofType: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "SCALAR";
                            name: "ID";
                            ofType: null;
                        };
                    };
                };
                defaultValue: null;
            }, {
                name: "address";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "address_not";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "address_gt";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "address_lt";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "address_gte";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "address_lte";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "address_in";
                type: {
                    kind: "LIST";
                    name: never;
                    ofType: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "SCALAR";
                            name: "String";
                            ofType: null;
                        };
                    };
                };
                defaultValue: null;
            }, {
                name: "address_not_in";
                type: {
                    kind: "LIST";
                    name: never;
                    ofType: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "SCALAR";
                            name: "String";
                            ofType: null;
                        };
                    };
                };
                defaultValue: null;
            }, {
                name: "address_contains";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "address_contains_nocase";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "address_not_contains";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "address_not_contains_nocase";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "address_starts_with";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "address_starts_with_nocase";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "address_not_starts_with";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "address_not_starts_with_nocase";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "address_ends_with";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "address_ends_with_nocase";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "address_not_ends_with";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "address_not_ends_with_nocase";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "ipfsHash";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "ipfsHash_not";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "ipfsHash_gt";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "ipfsHash_lt";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "ipfsHash_gte";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "ipfsHash_lte";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "ipfsHash_in";
                type: {
                    kind: "LIST";
                    name: never;
                    ofType: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "SCALAR";
                            name: "String";
                            ofType: null;
                        };
                    };
                };
                defaultValue: null;
            }, {
                name: "ipfsHash_not_in";
                type: {
                    kind: "LIST";
                    name: never;
                    ofType: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "SCALAR";
                            name: "String";
                            ofType: null;
                        };
                    };
                };
                defaultValue: null;
            }, {
                name: "ipfsHash_contains";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "ipfsHash_contains_nocase";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "ipfsHash_not_contains";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "ipfsHash_not_contains_nocase";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "ipfsHash_starts_with";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "ipfsHash_starts_with_nocase";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "ipfsHash_not_starts_with";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "ipfsHash_not_starts_with_nocase";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "ipfsHash_ends_with";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "ipfsHash_ends_with_nocase";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "ipfsHash_not_ends_with";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "ipfsHash_not_ends_with_nocase";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "name";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "name_not";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "name_gt";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "name_lt";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "name_gte";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "name_lte";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "name_in";
                type: {
                    kind: "LIST";
                    name: never;
                    ofType: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "SCALAR";
                            name: "String";
                            ofType: null;
                        };
                    };
                };
                defaultValue: null;
            }, {
                name: "name_not_in";
                type: {
                    kind: "LIST";
                    name: never;
                    ofType: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "SCALAR";
                            name: "String";
                            ofType: null;
                        };
                    };
                };
                defaultValue: null;
            }, {
                name: "name_contains";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "name_contains_nocase";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "name_not_contains";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "name_not_contains_nocase";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "name_starts_with";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "name_starts_with_nocase";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "name_not_starts_with";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "name_not_starts_with_nocase";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "name_ends_with";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "name_ends_with_nocase";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "name_not_ends_with";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "name_not_ends_with_nocase";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "status";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "status_not";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "status_gt";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "status_lt";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "status_gte";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "status_lte";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "status_in";
                type: {
                    kind: "LIST";
                    name: never;
                    ofType: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "SCALAR";
                            name: "String";
                            ofType: null;
                        };
                    };
                };
                defaultValue: null;
            }, {
                name: "status_not_in";
                type: {
                    kind: "LIST";
                    name: never;
                    ofType: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "SCALAR";
                            name: "String";
                            ofType: null;
                        };
                    };
                };
                defaultValue: null;
            }, {
                name: "status_contains";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "status_contains_nocase";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "status_not_contains";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "status_not_contains_nocase";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "status_starts_with";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "status_starts_with_nocase";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "status_not_starts_with";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "status_not_starts_with_nocase";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "status_ends_with";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "status_ends_with_nocase";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "status_not_ends_with";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "status_not_ends_with_nocase";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "timestamp";
                type: {
                    kind: "SCALAR";
                    name: "BigInt";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "timestamp_not";
                type: {
                    kind: "SCALAR";
                    name: "BigInt";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "timestamp_gt";
                type: {
                    kind: "SCALAR";
                    name: "BigInt";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "timestamp_lt";
                type: {
                    kind: "SCALAR";
                    name: "BigInt";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "timestamp_gte";
                type: {
                    kind: "SCALAR";
                    name: "BigInt";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "timestamp_lte";
                type: {
                    kind: "SCALAR";
                    name: "BigInt";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "timestamp_in";
                type: {
                    kind: "LIST";
                    name: never;
                    ofType: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "SCALAR";
                            name: "BigInt";
                            ofType: null;
                        };
                    };
                };
                defaultValue: null;
            }, {
                name: "timestamp_not_in";
                type: {
                    kind: "LIST";
                    name: never;
                    ofType: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "SCALAR";
                            name: "BigInt";
                            ofType: null;
                        };
                    };
                };
                defaultValue: null;
            }, {
                name: "updateTimestamp";
                type: {
                    kind: "SCALAR";
                    name: "BigInt";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "updateTimestamp_not";
                type: {
                    kind: "SCALAR";
                    name: "BigInt";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "updateTimestamp_gt";
                type: {
                    kind: "SCALAR";
                    name: "BigInt";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "updateTimestamp_lt";
                type: {
                    kind: "SCALAR";
                    name: "BigInt";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "updateTimestamp_gte";
                type: {
                    kind: "SCALAR";
                    name: "BigInt";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "updateTimestamp_lte";
                type: {
                    kind: "SCALAR";
                    name: "BigInt";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "updateTimestamp_in";
                type: {
                    kind: "LIST";
                    name: never;
                    ofType: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "SCALAR";
                            name: "BigInt";
                            ofType: null;
                        };
                    };
                };
                defaultValue: null;
            }, {
                name: "updateTimestamp_not_in";
                type: {
                    kind: "LIST";
                    name: never;
                    ofType: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "SCALAR";
                            name: "BigInt";
                            ofType: null;
                        };
                    };
                };
                defaultValue: null;
            }, {
                name: "_change_block";
                type: {
                    kind: "INPUT_OBJECT";
                    name: "BlockChangedFilter";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "and";
                type: {
                    kind: "LIST";
                    name: never;
                    ofType: {
                        kind: "INPUT_OBJECT";
                        name: "VaultBeacon_filter";
                        ofType: null;
                    };
                };
                defaultValue: null;
            }, {
                name: "or";
                type: {
                    kind: "LIST";
                    name: never;
                    ofType: {
                        kind: "INPUT_OBJECT";
                        name: "VaultBeacon_filter";
                        ofType: null;
                    };
                };
                defaultValue: null;
            }];
        };
        VaultBeacon_orderBy: {
            name: "VaultBeacon_orderBy";
            enumValues: "id" | "address" | "timestamp" | "name" | "status" | "ipfsHash" | "updateTimestamp";
        };
        VaultDeposit: {
            kind: "OBJECT";
            name: "VaultDeposit";
            fields: {
                amount0: {
                    name: "amount0";
                    type: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "SCALAR";
                            name: "BigDecimal";
                            ofType: null;
                        };
                    };
                };
                amount1: {
                    name: "amount1";
                    type: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "SCALAR";
                            name: "BigDecimal";
                            ofType: null;
                        };
                    };
                };
                depositCaller: {
                    name: "depositCaller";
                    type: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "SCALAR";
                            name: "String";
                            ofType: null;
                        };
                    };
                };
                executor: {
                    name: "executor";
                    type: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "SCALAR";
                            name: "String";
                            ofType: null;
                        };
                    };
                };
                id: {
                    name: "id";
                    type: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "SCALAR";
                            name: "ID";
                            ofType: null;
                        };
                    };
                };
                sender: {
                    name: "sender";
                    type: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "SCALAR";
                            name: "String";
                            ofType: null;
                        };
                    };
                };
                shares: {
                    name: "shares";
                    type: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "SCALAR";
                            name: "BigInt";
                            ofType: null;
                        };
                    };
                };
                timeStamp: {
                    name: "timeStamp";
                    type: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "SCALAR";
                            name: "BigInt";
                            ofType: null;
                        };
                    };
                };
                token0: {
                    name: "token0";
                    type: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "SCALAR";
                            name: "String";
                            ofType: null;
                        };
                    };
                };
                token1: {
                    name: "token1";
                    type: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "SCALAR";
                            name: "String";
                            ofType: null;
                        };
                    };
                };
                transactionHash: {
                    name: "transactionHash";
                    type: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "SCALAR";
                            name: "String";
                            ofType: null;
                        };
                    };
                };
                vault: {
                    name: "vault";
                    type: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "OBJECT";
                            name: "Vault";
                            ofType: null;
                        };
                    };
                };
            };
        };
        VaultDeposit_filter: {
            kind: "INPUT_OBJECT";
            name: "VaultDeposit_filter";
            isOneOf: false;
            inputFields: [{
                name: "id";
                type: {
                    kind: "SCALAR";
                    name: "ID";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "id_not";
                type: {
                    kind: "SCALAR";
                    name: "ID";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "id_gt";
                type: {
                    kind: "SCALAR";
                    name: "ID";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "id_lt";
                type: {
                    kind: "SCALAR";
                    name: "ID";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "id_gte";
                type: {
                    kind: "SCALAR";
                    name: "ID";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "id_lte";
                type: {
                    kind: "SCALAR";
                    name: "ID";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "id_in";
                type: {
                    kind: "LIST";
                    name: never;
                    ofType: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "SCALAR";
                            name: "ID";
                            ofType: null;
                        };
                    };
                };
                defaultValue: null;
            }, {
                name: "id_not_in";
                type: {
                    kind: "LIST";
                    name: never;
                    ofType: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "SCALAR";
                            name: "ID";
                            ofType: null;
                        };
                    };
                };
                defaultValue: null;
            }, {
                name: "vault";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "vault_not";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "vault_gt";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "vault_lt";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "vault_gte";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "vault_lte";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "vault_in";
                type: {
                    kind: "LIST";
                    name: never;
                    ofType: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "SCALAR";
                            name: "String";
                            ofType: null;
                        };
                    };
                };
                defaultValue: null;
            }, {
                name: "vault_not_in";
                type: {
                    kind: "LIST";
                    name: never;
                    ofType: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "SCALAR";
                            name: "String";
                            ofType: null;
                        };
                    };
                };
                defaultValue: null;
            }, {
                name: "vault_contains";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "vault_contains_nocase";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "vault_not_contains";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "vault_not_contains_nocase";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "vault_starts_with";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "vault_starts_with_nocase";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "vault_not_starts_with";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "vault_not_starts_with_nocase";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "vault_ends_with";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "vault_ends_with_nocase";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "vault_not_ends_with";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "vault_not_ends_with_nocase";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "vault_";
                type: {
                    kind: "INPUT_OBJECT";
                    name: "Vault_filter";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "amount0";
                type: {
                    kind: "SCALAR";
                    name: "BigDecimal";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "amount0_not";
                type: {
                    kind: "SCALAR";
                    name: "BigDecimal";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "amount0_gt";
                type: {
                    kind: "SCALAR";
                    name: "BigDecimal";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "amount0_lt";
                type: {
                    kind: "SCALAR";
                    name: "BigDecimal";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "amount0_gte";
                type: {
                    kind: "SCALAR";
                    name: "BigDecimal";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "amount0_lte";
                type: {
                    kind: "SCALAR";
                    name: "BigDecimal";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "amount0_in";
                type: {
                    kind: "LIST";
                    name: never;
                    ofType: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "SCALAR";
                            name: "BigDecimal";
                            ofType: null;
                        };
                    };
                };
                defaultValue: null;
            }, {
                name: "amount0_not_in";
                type: {
                    kind: "LIST";
                    name: never;
                    ofType: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "SCALAR";
                            name: "BigDecimal";
                            ofType: null;
                        };
                    };
                };
                defaultValue: null;
            }, {
                name: "amount1";
                type: {
                    kind: "SCALAR";
                    name: "BigDecimal";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "amount1_not";
                type: {
                    kind: "SCALAR";
                    name: "BigDecimal";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "amount1_gt";
                type: {
                    kind: "SCALAR";
                    name: "BigDecimal";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "amount1_lt";
                type: {
                    kind: "SCALAR";
                    name: "BigDecimal";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "amount1_gte";
                type: {
                    kind: "SCALAR";
                    name: "BigDecimal";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "amount1_lte";
                type: {
                    kind: "SCALAR";
                    name: "BigDecimal";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "amount1_in";
                type: {
                    kind: "LIST";
                    name: never;
                    ofType: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "SCALAR";
                            name: "BigDecimal";
                            ofType: null;
                        };
                    };
                };
                defaultValue: null;
            }, {
                name: "amount1_not_in";
                type: {
                    kind: "LIST";
                    name: never;
                    ofType: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "SCALAR";
                            name: "BigDecimal";
                            ofType: null;
                        };
                    };
                };
                defaultValue: null;
            }, {
                name: "token0";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "token0_not";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "token0_gt";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "token0_lt";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "token0_gte";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "token0_lte";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "token0_in";
                type: {
                    kind: "LIST";
                    name: never;
                    ofType: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "SCALAR";
                            name: "String";
                            ofType: null;
                        };
                    };
                };
                defaultValue: null;
            }, {
                name: "token0_not_in";
                type: {
                    kind: "LIST";
                    name: never;
                    ofType: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "SCALAR";
                            name: "String";
                            ofType: null;
                        };
                    };
                };
                defaultValue: null;
            }, {
                name: "token0_contains";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "token0_contains_nocase";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "token0_not_contains";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "token0_not_contains_nocase";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "token0_starts_with";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "token0_starts_with_nocase";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "token0_not_starts_with";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "token0_not_starts_with_nocase";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "token0_ends_with";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "token0_ends_with_nocase";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "token0_not_ends_with";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "token0_not_ends_with_nocase";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "token1";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "token1_not";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "token1_gt";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "token1_lt";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "token1_gte";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "token1_lte";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "token1_in";
                type: {
                    kind: "LIST";
                    name: never;
                    ofType: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "SCALAR";
                            name: "String";
                            ofType: null;
                        };
                    };
                };
                defaultValue: null;
            }, {
                name: "token1_not_in";
                type: {
                    kind: "LIST";
                    name: never;
                    ofType: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "SCALAR";
                            name: "String";
                            ofType: null;
                        };
                    };
                };
                defaultValue: null;
            }, {
                name: "token1_contains";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "token1_contains_nocase";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "token1_not_contains";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "token1_not_contains_nocase";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "token1_starts_with";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "token1_starts_with_nocase";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "token1_not_starts_with";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "token1_not_starts_with_nocase";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "token1_ends_with";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "token1_ends_with_nocase";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "token1_not_ends_with";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "token1_not_ends_with_nocase";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "sender";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "sender_not";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "sender_gt";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "sender_lt";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "sender_gte";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "sender_lte";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "sender_in";
                type: {
                    kind: "LIST";
                    name: never;
                    ofType: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "SCALAR";
                            name: "String";
                            ofType: null;
                        };
                    };
                };
                defaultValue: null;
            }, {
                name: "sender_not_in";
                type: {
                    kind: "LIST";
                    name: never;
                    ofType: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "SCALAR";
                            name: "String";
                            ofType: null;
                        };
                    };
                };
                defaultValue: null;
            }, {
                name: "sender_contains";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "sender_contains_nocase";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "sender_not_contains";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "sender_not_contains_nocase";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "sender_starts_with";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "sender_starts_with_nocase";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "sender_not_starts_with";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "sender_not_starts_with_nocase";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "sender_ends_with";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "sender_ends_with_nocase";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "sender_not_ends_with";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "sender_not_ends_with_nocase";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "transactionHash";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "transactionHash_not";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "transactionHash_gt";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "transactionHash_lt";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "transactionHash_gte";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "transactionHash_lte";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "transactionHash_in";
                type: {
                    kind: "LIST";
                    name: never;
                    ofType: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "SCALAR";
                            name: "String";
                            ofType: null;
                        };
                    };
                };
                defaultValue: null;
            }, {
                name: "transactionHash_not_in";
                type: {
                    kind: "LIST";
                    name: never;
                    ofType: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "SCALAR";
                            name: "String";
                            ofType: null;
                        };
                    };
                };
                defaultValue: null;
            }, {
                name: "transactionHash_contains";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "transactionHash_contains_nocase";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "transactionHash_not_contains";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "transactionHash_not_contains_nocase";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "transactionHash_starts_with";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "transactionHash_starts_with_nocase";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "transactionHash_not_starts_with";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "transactionHash_not_starts_with_nocase";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "transactionHash_ends_with";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "transactionHash_ends_with_nocase";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "transactionHash_not_ends_with";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "transactionHash_not_ends_with_nocase";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "timeStamp";
                type: {
                    kind: "SCALAR";
                    name: "BigInt";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "timeStamp_not";
                type: {
                    kind: "SCALAR";
                    name: "BigInt";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "timeStamp_gt";
                type: {
                    kind: "SCALAR";
                    name: "BigInt";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "timeStamp_lt";
                type: {
                    kind: "SCALAR";
                    name: "BigInt";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "timeStamp_gte";
                type: {
                    kind: "SCALAR";
                    name: "BigInt";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "timeStamp_lte";
                type: {
                    kind: "SCALAR";
                    name: "BigInt";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "timeStamp_in";
                type: {
                    kind: "LIST";
                    name: never;
                    ofType: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "SCALAR";
                            name: "BigInt";
                            ofType: null;
                        };
                    };
                };
                defaultValue: null;
            }, {
                name: "timeStamp_not_in";
                type: {
                    kind: "LIST";
                    name: never;
                    ofType: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "SCALAR";
                            name: "BigInt";
                            ofType: null;
                        };
                    };
                };
                defaultValue: null;
            }, {
                name: "shares";
                type: {
                    kind: "SCALAR";
                    name: "BigInt";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "shares_not";
                type: {
                    kind: "SCALAR";
                    name: "BigInt";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "shares_gt";
                type: {
                    kind: "SCALAR";
                    name: "BigInt";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "shares_lt";
                type: {
                    kind: "SCALAR";
                    name: "BigInt";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "shares_gte";
                type: {
                    kind: "SCALAR";
                    name: "BigInt";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "shares_lte";
                type: {
                    kind: "SCALAR";
                    name: "BigInt";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "shares_in";
                type: {
                    kind: "LIST";
                    name: never;
                    ofType: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "SCALAR";
                            name: "BigInt";
                            ofType: null;
                        };
                    };
                };
                defaultValue: null;
            }, {
                name: "shares_not_in";
                type: {
                    kind: "LIST";
                    name: never;
                    ofType: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "SCALAR";
                            name: "BigInt";
                            ofType: null;
                        };
                    };
                };
                defaultValue: null;
            }, {
                name: "executor";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "executor_not";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "executor_gt";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "executor_lt";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "executor_gte";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "executor_lte";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "executor_in";
                type: {
                    kind: "LIST";
                    name: never;
                    ofType: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "SCALAR";
                            name: "String";
                            ofType: null;
                        };
                    };
                };
                defaultValue: null;
            }, {
                name: "executor_not_in";
                type: {
                    kind: "LIST";
                    name: never;
                    ofType: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "SCALAR";
                            name: "String";
                            ofType: null;
                        };
                    };
                };
                defaultValue: null;
            }, {
                name: "executor_contains";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "executor_contains_nocase";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "executor_not_contains";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "executor_not_contains_nocase";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "executor_starts_with";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "executor_starts_with_nocase";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "executor_not_starts_with";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "executor_not_starts_with_nocase";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "executor_ends_with";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "executor_ends_with_nocase";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "executor_not_ends_with";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "executor_not_ends_with_nocase";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "depositCaller";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "depositCaller_not";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "depositCaller_gt";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "depositCaller_lt";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "depositCaller_gte";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "depositCaller_lte";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "depositCaller_in";
                type: {
                    kind: "LIST";
                    name: never;
                    ofType: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "SCALAR";
                            name: "String";
                            ofType: null;
                        };
                    };
                };
                defaultValue: null;
            }, {
                name: "depositCaller_not_in";
                type: {
                    kind: "LIST";
                    name: never;
                    ofType: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "SCALAR";
                            name: "String";
                            ofType: null;
                        };
                    };
                };
                defaultValue: null;
            }, {
                name: "depositCaller_contains";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "depositCaller_contains_nocase";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "depositCaller_not_contains";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "depositCaller_not_contains_nocase";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "depositCaller_starts_with";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "depositCaller_starts_with_nocase";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "depositCaller_not_starts_with";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "depositCaller_not_starts_with_nocase";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "depositCaller_ends_with";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "depositCaller_ends_with_nocase";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "depositCaller_not_ends_with";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "depositCaller_not_ends_with_nocase";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "_change_block";
                type: {
                    kind: "INPUT_OBJECT";
                    name: "BlockChangedFilter";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "and";
                type: {
                    kind: "LIST";
                    name: never;
                    ofType: {
                        kind: "INPUT_OBJECT";
                        name: "VaultDeposit_filter";
                        ofType: null;
                    };
                };
                defaultValue: null;
            }, {
                name: "or";
                type: {
                    kind: "LIST";
                    name: never;
                    ofType: {
                        kind: "INPUT_OBJECT";
                        name: "VaultDeposit_filter";
                        ofType: null;
                    };
                };
                defaultValue: null;
            }];
        };
        VaultDeposit_orderBy: {
            name: "VaultDeposit_orderBy";
            enumValues: "id" | "token0" | "token1" | "transactionHash" | "sender" | "amount0" | "amount1" | "timeStamp" | "depositCaller" | "executor" | "shares" | "vault" | "vault__id" | "vault__deployer" | "vault__token0" | "vault__token1" | "vault__totalAmount0" | "vault__totalAmount1" | "vault__createdAt" | "vault__lastSnapshot" | "vault__pool" | "vault__state" | "vault__annualPercentageYield" | "vault__annualPercentageDailyYield" | "vault__annualPercentageMonthlyYield" | "vault__annualPercentageYearlyYield" | "vault__lastTotalT0ValuePerLPT" | "vault__accruedStrategistFees0" | "vault__accruedStrategistFees1" | "vault__fees0" | "vault__fees1" | "vault__beaconName" | "vault__gasUsed" | "vault__gasDeposited" | "vault__totalLPTokensIssued" | "vault__token1Symbol" | "vault__decimals" | "vault__feeTier" | "vault__name" | "vault__symbol" | "vault__token0Balance" | "vault__token0Decimals" | "vault__token0Name" | "vault__token0Symbol" | "vault__token1Balance" | "vault__token1Decimals" | "vault__token1Name" | "vault__payloadIpfs" | "vault__vaultManager" | "vault__averageFeeArrPerSecond" | "vault__totalSnapshots" | "vault__annualFeeARR" | "vault__dailyFeeAPR" | "vault__weeklyFeeAPR" | "vault__totalValueLockedToken0" | "vault__totalValueLockedToken1";
        };
        VaultGasDeposited: {
            kind: "OBJECT";
            name: "VaultGasDeposited";
            fields: {
                amount: {
                    name: "amount";
                    type: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "SCALAR";
                            name: "BigInt";
                            ofType: null;
                        };
                    };
                };
                id: {
                    name: "id";
                    type: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "SCALAR";
                            name: "ID";
                            ofType: null;
                        };
                    };
                };
                origin: {
                    name: "origin";
                    type: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "SCALAR";
                            name: "String";
                            ofType: null;
                        };
                    };
                };
                timestamp: {
                    name: "timestamp";
                    type: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "SCALAR";
                            name: "BigInt";
                            ofType: null;
                        };
                    };
                };
                vault: {
                    name: "vault";
                    type: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "SCALAR";
                            name: "String";
                            ofType: null;
                        };
                    };
                };
            };
        };
        VaultGasDeposited_filter: {
            kind: "INPUT_OBJECT";
            name: "VaultGasDeposited_filter";
            isOneOf: false;
            inputFields: [{
                name: "id";
                type: {
                    kind: "SCALAR";
                    name: "ID";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "id_not";
                type: {
                    kind: "SCALAR";
                    name: "ID";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "id_gt";
                type: {
                    kind: "SCALAR";
                    name: "ID";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "id_lt";
                type: {
                    kind: "SCALAR";
                    name: "ID";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "id_gte";
                type: {
                    kind: "SCALAR";
                    name: "ID";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "id_lte";
                type: {
                    kind: "SCALAR";
                    name: "ID";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "id_in";
                type: {
                    kind: "LIST";
                    name: never;
                    ofType: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "SCALAR";
                            name: "ID";
                            ofType: null;
                        };
                    };
                };
                defaultValue: null;
            }, {
                name: "id_not_in";
                type: {
                    kind: "LIST";
                    name: never;
                    ofType: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "SCALAR";
                            name: "ID";
                            ofType: null;
                        };
                    };
                };
                defaultValue: null;
            }, {
                name: "timestamp";
                type: {
                    kind: "SCALAR";
                    name: "BigInt";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "timestamp_not";
                type: {
                    kind: "SCALAR";
                    name: "BigInt";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "timestamp_gt";
                type: {
                    kind: "SCALAR";
                    name: "BigInt";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "timestamp_lt";
                type: {
                    kind: "SCALAR";
                    name: "BigInt";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "timestamp_gte";
                type: {
                    kind: "SCALAR";
                    name: "BigInt";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "timestamp_lte";
                type: {
                    kind: "SCALAR";
                    name: "BigInt";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "timestamp_in";
                type: {
                    kind: "LIST";
                    name: never;
                    ofType: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "SCALAR";
                            name: "BigInt";
                            ofType: null;
                        };
                    };
                };
                defaultValue: null;
            }, {
                name: "timestamp_not_in";
                type: {
                    kind: "LIST";
                    name: never;
                    ofType: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "SCALAR";
                            name: "BigInt";
                            ofType: null;
                        };
                    };
                };
                defaultValue: null;
            }, {
                name: "vault";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "vault_not";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "vault_gt";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "vault_lt";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "vault_gte";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "vault_lte";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "vault_in";
                type: {
                    kind: "LIST";
                    name: never;
                    ofType: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "SCALAR";
                            name: "String";
                            ofType: null;
                        };
                    };
                };
                defaultValue: null;
            }, {
                name: "vault_not_in";
                type: {
                    kind: "LIST";
                    name: never;
                    ofType: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "SCALAR";
                            name: "String";
                            ofType: null;
                        };
                    };
                };
                defaultValue: null;
            }, {
                name: "vault_contains";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "vault_contains_nocase";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "vault_not_contains";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "vault_not_contains_nocase";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "vault_starts_with";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "vault_starts_with_nocase";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "vault_not_starts_with";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "vault_not_starts_with_nocase";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "vault_ends_with";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "vault_ends_with_nocase";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "vault_not_ends_with";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "vault_not_ends_with_nocase";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "origin";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "origin_not";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "origin_gt";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "origin_lt";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "origin_gte";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "origin_lte";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "origin_in";
                type: {
                    kind: "LIST";
                    name: never;
                    ofType: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "SCALAR";
                            name: "String";
                            ofType: null;
                        };
                    };
                };
                defaultValue: null;
            }, {
                name: "origin_not_in";
                type: {
                    kind: "LIST";
                    name: never;
                    ofType: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "SCALAR";
                            name: "String";
                            ofType: null;
                        };
                    };
                };
                defaultValue: null;
            }, {
                name: "origin_contains";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "origin_contains_nocase";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "origin_not_contains";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "origin_not_contains_nocase";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "origin_starts_with";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "origin_starts_with_nocase";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "origin_not_starts_with";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "origin_not_starts_with_nocase";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "origin_ends_with";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "origin_ends_with_nocase";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "origin_not_ends_with";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "origin_not_ends_with_nocase";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "amount";
                type: {
                    kind: "SCALAR";
                    name: "BigInt";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "amount_not";
                type: {
                    kind: "SCALAR";
                    name: "BigInt";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "amount_gt";
                type: {
                    kind: "SCALAR";
                    name: "BigInt";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "amount_lt";
                type: {
                    kind: "SCALAR";
                    name: "BigInt";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "amount_gte";
                type: {
                    kind: "SCALAR";
                    name: "BigInt";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "amount_lte";
                type: {
                    kind: "SCALAR";
                    name: "BigInt";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "amount_in";
                type: {
                    kind: "LIST";
                    name: never;
                    ofType: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "SCALAR";
                            name: "BigInt";
                            ofType: null;
                        };
                    };
                };
                defaultValue: null;
            }, {
                name: "amount_not_in";
                type: {
                    kind: "LIST";
                    name: never;
                    ofType: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "SCALAR";
                            name: "BigInt";
                            ofType: null;
                        };
                    };
                };
                defaultValue: null;
            }, {
                name: "_change_block";
                type: {
                    kind: "INPUT_OBJECT";
                    name: "BlockChangedFilter";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "and";
                type: {
                    kind: "LIST";
                    name: never;
                    ofType: {
                        kind: "INPUT_OBJECT";
                        name: "VaultGasDeposited_filter";
                        ofType: null;
                    };
                };
                defaultValue: null;
            }, {
                name: "or";
                type: {
                    kind: "LIST";
                    name: never;
                    ofType: {
                        kind: "INPUT_OBJECT";
                        name: "VaultGasDeposited_filter";
                        ofType: null;
                    };
                };
                defaultValue: null;
            }];
        };
        VaultGasDeposited_orderBy: {
            name: "VaultGasDeposited_orderBy";
            enumValues: "id" | "amount" | "timestamp" | "origin" | "vault";
        };
        VaultGasUsed: {
            kind: "OBJECT";
            name: "VaultGasUsed";
            fields: {
                actionHash: {
                    name: "actionHash";
                    type: {
                        kind: "SCALAR";
                        name: "String";
                        ofType: null;
                    };
                };
                amount: {
                    name: "amount";
                    type: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "SCALAR";
                            name: "BigInt";
                            ofType: null;
                        };
                    };
                };
                id: {
                    name: "id";
                    type: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "SCALAR";
                            name: "ID";
                            ofType: null;
                        };
                    };
                };
                timestamp: {
                    name: "timestamp";
                    type: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "SCALAR";
                            name: "BigInt";
                            ofType: null;
                        };
                    };
                };
                vault: {
                    name: "vault";
                    type: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "SCALAR";
                            name: "String";
                            ofType: null;
                        };
                    };
                };
            };
        };
        VaultGasUsed_filter: {
            kind: "INPUT_OBJECT";
            name: "VaultGasUsed_filter";
            isOneOf: false;
            inputFields: [{
                name: "id";
                type: {
                    kind: "SCALAR";
                    name: "ID";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "id_not";
                type: {
                    kind: "SCALAR";
                    name: "ID";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "id_gt";
                type: {
                    kind: "SCALAR";
                    name: "ID";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "id_lt";
                type: {
                    kind: "SCALAR";
                    name: "ID";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "id_gte";
                type: {
                    kind: "SCALAR";
                    name: "ID";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "id_lte";
                type: {
                    kind: "SCALAR";
                    name: "ID";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "id_in";
                type: {
                    kind: "LIST";
                    name: never;
                    ofType: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "SCALAR";
                            name: "ID";
                            ofType: null;
                        };
                    };
                };
                defaultValue: null;
            }, {
                name: "id_not_in";
                type: {
                    kind: "LIST";
                    name: never;
                    ofType: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "SCALAR";
                            name: "ID";
                            ofType: null;
                        };
                    };
                };
                defaultValue: null;
            }, {
                name: "timestamp";
                type: {
                    kind: "SCALAR";
                    name: "BigInt";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "timestamp_not";
                type: {
                    kind: "SCALAR";
                    name: "BigInt";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "timestamp_gt";
                type: {
                    kind: "SCALAR";
                    name: "BigInt";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "timestamp_lt";
                type: {
                    kind: "SCALAR";
                    name: "BigInt";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "timestamp_gte";
                type: {
                    kind: "SCALAR";
                    name: "BigInt";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "timestamp_lte";
                type: {
                    kind: "SCALAR";
                    name: "BigInt";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "timestamp_in";
                type: {
                    kind: "LIST";
                    name: never;
                    ofType: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "SCALAR";
                            name: "BigInt";
                            ofType: null;
                        };
                    };
                };
                defaultValue: null;
            }, {
                name: "timestamp_not_in";
                type: {
                    kind: "LIST";
                    name: never;
                    ofType: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "SCALAR";
                            name: "BigInt";
                            ofType: null;
                        };
                    };
                };
                defaultValue: null;
            }, {
                name: "vault";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "vault_not";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "vault_gt";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "vault_lt";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "vault_gte";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "vault_lte";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "vault_in";
                type: {
                    kind: "LIST";
                    name: never;
                    ofType: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "SCALAR";
                            name: "String";
                            ofType: null;
                        };
                    };
                };
                defaultValue: null;
            }, {
                name: "vault_not_in";
                type: {
                    kind: "LIST";
                    name: never;
                    ofType: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "SCALAR";
                            name: "String";
                            ofType: null;
                        };
                    };
                };
                defaultValue: null;
            }, {
                name: "vault_contains";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "vault_contains_nocase";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "vault_not_contains";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "vault_not_contains_nocase";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "vault_starts_with";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "vault_starts_with_nocase";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "vault_not_starts_with";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "vault_not_starts_with_nocase";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "vault_ends_with";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "vault_ends_with_nocase";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "vault_not_ends_with";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "vault_not_ends_with_nocase";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "actionHash";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "actionHash_not";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "actionHash_gt";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "actionHash_lt";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "actionHash_gte";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "actionHash_lte";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "actionHash_in";
                type: {
                    kind: "LIST";
                    name: never;
                    ofType: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "SCALAR";
                            name: "String";
                            ofType: null;
                        };
                    };
                };
                defaultValue: null;
            }, {
                name: "actionHash_not_in";
                type: {
                    kind: "LIST";
                    name: never;
                    ofType: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "SCALAR";
                            name: "String";
                            ofType: null;
                        };
                    };
                };
                defaultValue: null;
            }, {
                name: "actionHash_contains";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "actionHash_contains_nocase";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "actionHash_not_contains";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "actionHash_not_contains_nocase";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "actionHash_starts_with";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "actionHash_starts_with_nocase";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "actionHash_not_starts_with";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "actionHash_not_starts_with_nocase";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "actionHash_ends_with";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "actionHash_ends_with_nocase";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "actionHash_not_ends_with";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "actionHash_not_ends_with_nocase";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "amount";
                type: {
                    kind: "SCALAR";
                    name: "BigInt";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "amount_not";
                type: {
                    kind: "SCALAR";
                    name: "BigInt";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "amount_gt";
                type: {
                    kind: "SCALAR";
                    name: "BigInt";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "amount_lt";
                type: {
                    kind: "SCALAR";
                    name: "BigInt";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "amount_gte";
                type: {
                    kind: "SCALAR";
                    name: "BigInt";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "amount_lte";
                type: {
                    kind: "SCALAR";
                    name: "BigInt";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "amount_in";
                type: {
                    kind: "LIST";
                    name: never;
                    ofType: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "SCALAR";
                            name: "BigInt";
                            ofType: null;
                        };
                    };
                };
                defaultValue: null;
            }, {
                name: "amount_not_in";
                type: {
                    kind: "LIST";
                    name: never;
                    ofType: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "SCALAR";
                            name: "BigInt";
                            ofType: null;
                        };
                    };
                };
                defaultValue: null;
            }, {
                name: "_change_block";
                type: {
                    kind: "INPUT_OBJECT";
                    name: "BlockChangedFilter";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "and";
                type: {
                    kind: "LIST";
                    name: never;
                    ofType: {
                        kind: "INPUT_OBJECT";
                        name: "VaultGasUsed_filter";
                        ofType: null;
                    };
                };
                defaultValue: null;
            }, {
                name: "or";
                type: {
                    kind: "LIST";
                    name: never;
                    ofType: {
                        kind: "INPUT_OBJECT";
                        name: "VaultGasUsed_filter";
                        ofType: null;
                    };
                };
                defaultValue: null;
            }];
        };
        VaultGasUsed_orderBy: {
            name: "VaultGasUsed_orderBy";
            enumValues: "id" | "amount" | "timestamp" | "vault" | "actionHash";
        };
        VaultGasWithdrawn: {
            kind: "OBJECT";
            name: "VaultGasWithdrawn";
            fields: {
                amount: {
                    name: "amount";
                    type: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "SCALAR";
                            name: "BigInt";
                            ofType: null;
                        };
                    };
                };
                id: {
                    name: "id";
                    type: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "SCALAR";
                            name: "ID";
                            ofType: null;
                        };
                    };
                };
                timestamp: {
                    name: "timestamp";
                    type: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "SCALAR";
                            name: "BigInt";
                            ofType: null;
                        };
                    };
                };
                to: {
                    name: "to";
                    type: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "SCALAR";
                            name: "String";
                            ofType: null;
                        };
                    };
                };
                vault: {
                    name: "vault";
                    type: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "SCALAR";
                            name: "String";
                            ofType: null;
                        };
                    };
                };
            };
        };
        VaultGasWithdrawn_filter: {
            kind: "INPUT_OBJECT";
            name: "VaultGasWithdrawn_filter";
            isOneOf: false;
            inputFields: [{
                name: "id";
                type: {
                    kind: "SCALAR";
                    name: "ID";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "id_not";
                type: {
                    kind: "SCALAR";
                    name: "ID";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "id_gt";
                type: {
                    kind: "SCALAR";
                    name: "ID";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "id_lt";
                type: {
                    kind: "SCALAR";
                    name: "ID";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "id_gte";
                type: {
                    kind: "SCALAR";
                    name: "ID";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "id_lte";
                type: {
                    kind: "SCALAR";
                    name: "ID";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "id_in";
                type: {
                    kind: "LIST";
                    name: never;
                    ofType: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "SCALAR";
                            name: "ID";
                            ofType: null;
                        };
                    };
                };
                defaultValue: null;
            }, {
                name: "id_not_in";
                type: {
                    kind: "LIST";
                    name: never;
                    ofType: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "SCALAR";
                            name: "ID";
                            ofType: null;
                        };
                    };
                };
                defaultValue: null;
            }, {
                name: "timestamp";
                type: {
                    kind: "SCALAR";
                    name: "BigInt";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "timestamp_not";
                type: {
                    kind: "SCALAR";
                    name: "BigInt";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "timestamp_gt";
                type: {
                    kind: "SCALAR";
                    name: "BigInt";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "timestamp_lt";
                type: {
                    kind: "SCALAR";
                    name: "BigInt";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "timestamp_gte";
                type: {
                    kind: "SCALAR";
                    name: "BigInt";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "timestamp_lte";
                type: {
                    kind: "SCALAR";
                    name: "BigInt";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "timestamp_in";
                type: {
                    kind: "LIST";
                    name: never;
                    ofType: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "SCALAR";
                            name: "BigInt";
                            ofType: null;
                        };
                    };
                };
                defaultValue: null;
            }, {
                name: "timestamp_not_in";
                type: {
                    kind: "LIST";
                    name: never;
                    ofType: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "SCALAR";
                            name: "BigInt";
                            ofType: null;
                        };
                    };
                };
                defaultValue: null;
            }, {
                name: "vault";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "vault_not";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "vault_gt";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "vault_lt";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "vault_gte";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "vault_lte";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "vault_in";
                type: {
                    kind: "LIST";
                    name: never;
                    ofType: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "SCALAR";
                            name: "String";
                            ofType: null;
                        };
                    };
                };
                defaultValue: null;
            }, {
                name: "vault_not_in";
                type: {
                    kind: "LIST";
                    name: never;
                    ofType: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "SCALAR";
                            name: "String";
                            ofType: null;
                        };
                    };
                };
                defaultValue: null;
            }, {
                name: "vault_contains";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "vault_contains_nocase";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "vault_not_contains";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "vault_not_contains_nocase";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "vault_starts_with";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "vault_starts_with_nocase";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "vault_not_starts_with";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "vault_not_starts_with_nocase";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "vault_ends_with";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "vault_ends_with_nocase";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "vault_not_ends_with";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "vault_not_ends_with_nocase";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "to";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "to_not";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "to_gt";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "to_lt";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "to_gte";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "to_lte";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "to_in";
                type: {
                    kind: "LIST";
                    name: never;
                    ofType: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "SCALAR";
                            name: "String";
                            ofType: null;
                        };
                    };
                };
                defaultValue: null;
            }, {
                name: "to_not_in";
                type: {
                    kind: "LIST";
                    name: never;
                    ofType: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "SCALAR";
                            name: "String";
                            ofType: null;
                        };
                    };
                };
                defaultValue: null;
            }, {
                name: "to_contains";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "to_contains_nocase";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "to_not_contains";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "to_not_contains_nocase";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "to_starts_with";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "to_starts_with_nocase";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "to_not_starts_with";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "to_not_starts_with_nocase";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "to_ends_with";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "to_ends_with_nocase";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "to_not_ends_with";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "to_not_ends_with_nocase";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "amount";
                type: {
                    kind: "SCALAR";
                    name: "BigInt";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "amount_not";
                type: {
                    kind: "SCALAR";
                    name: "BigInt";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "amount_gt";
                type: {
                    kind: "SCALAR";
                    name: "BigInt";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "amount_lt";
                type: {
                    kind: "SCALAR";
                    name: "BigInt";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "amount_gte";
                type: {
                    kind: "SCALAR";
                    name: "BigInt";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "amount_lte";
                type: {
                    kind: "SCALAR";
                    name: "BigInt";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "amount_in";
                type: {
                    kind: "LIST";
                    name: never;
                    ofType: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "SCALAR";
                            name: "BigInt";
                            ofType: null;
                        };
                    };
                };
                defaultValue: null;
            }, {
                name: "amount_not_in";
                type: {
                    kind: "LIST";
                    name: never;
                    ofType: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "SCALAR";
                            name: "BigInt";
                            ofType: null;
                        };
                    };
                };
                defaultValue: null;
            }, {
                name: "_change_block";
                type: {
                    kind: "INPUT_OBJECT";
                    name: "BlockChangedFilter";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "and";
                type: {
                    kind: "LIST";
                    name: never;
                    ofType: {
                        kind: "INPUT_OBJECT";
                        name: "VaultGasWithdrawn_filter";
                        ofType: null;
                    };
                };
                defaultValue: null;
            }, {
                name: "or";
                type: {
                    kind: "LIST";
                    name: never;
                    ofType: {
                        kind: "INPUT_OBJECT";
                        name: "VaultGasWithdrawn_filter";
                        ofType: null;
                    };
                };
                defaultValue: null;
            }];
        };
        VaultGasWithdrawn_orderBy: {
            name: "VaultGasWithdrawn_orderBy";
            enumValues: "id" | "amount" | "timestamp" | "to" | "vault";
        };
        VaultPosition: {
            kind: "OBJECT";
            name: "VaultPosition";
            fields: {
                id: {
                    name: "id";
                    type: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "SCALAR";
                            name: "ID";
                            ofType: null;
                        };
                    };
                };
                lowerTick: {
                    name: "lowerTick";
                    type: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "LIST";
                            name: never;
                            ofType: {
                                kind: "NON_NULL";
                                name: never;
                                ofType: {
                                    kind: "SCALAR";
                                    name: "BigInt";
                                    ofType: null;
                                };
                            };
                        };
                    };
                };
                relativeWeight: {
                    name: "relativeWeight";
                    type: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "LIST";
                            name: never;
                            ofType: {
                                kind: "NON_NULL";
                                name: never;
                                ofType: {
                                    kind: "SCALAR";
                                    name: "BigInt";
                                    ofType: null;
                                };
                            };
                        };
                    };
                };
                timestamp: {
                    name: "timestamp";
                    type: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "SCALAR";
                            name: "BigInt";
                            ofType: null;
                        };
                    };
                };
                upperTick: {
                    name: "upperTick";
                    type: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "LIST";
                            name: never;
                            ofType: {
                                kind: "NON_NULL";
                                name: never;
                                ofType: {
                                    kind: "SCALAR";
                                    name: "BigInt";
                                    ofType: null;
                                };
                            };
                        };
                    };
                };
                vault: {
                    name: "vault";
                    type: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "OBJECT";
                            name: "Vault";
                            ofType: null;
                        };
                    };
                };
            };
        };
        VaultPosition_filter: {
            kind: "INPUT_OBJECT";
            name: "VaultPosition_filter";
            isOneOf: false;
            inputFields: [{
                name: "id";
                type: {
                    kind: "SCALAR";
                    name: "ID";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "id_not";
                type: {
                    kind: "SCALAR";
                    name: "ID";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "id_gt";
                type: {
                    kind: "SCALAR";
                    name: "ID";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "id_lt";
                type: {
                    kind: "SCALAR";
                    name: "ID";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "id_gte";
                type: {
                    kind: "SCALAR";
                    name: "ID";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "id_lte";
                type: {
                    kind: "SCALAR";
                    name: "ID";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "id_in";
                type: {
                    kind: "LIST";
                    name: never;
                    ofType: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "SCALAR";
                            name: "ID";
                            ofType: null;
                        };
                    };
                };
                defaultValue: null;
            }, {
                name: "id_not_in";
                type: {
                    kind: "LIST";
                    name: never;
                    ofType: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "SCALAR";
                            name: "ID";
                            ofType: null;
                        };
                    };
                };
                defaultValue: null;
            }, {
                name: "upperTick";
                type: {
                    kind: "LIST";
                    name: never;
                    ofType: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "SCALAR";
                            name: "BigInt";
                            ofType: null;
                        };
                    };
                };
                defaultValue: null;
            }, {
                name: "upperTick_not";
                type: {
                    kind: "LIST";
                    name: never;
                    ofType: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "SCALAR";
                            name: "BigInt";
                            ofType: null;
                        };
                    };
                };
                defaultValue: null;
            }, {
                name: "upperTick_contains";
                type: {
                    kind: "LIST";
                    name: never;
                    ofType: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "SCALAR";
                            name: "BigInt";
                            ofType: null;
                        };
                    };
                };
                defaultValue: null;
            }, {
                name: "upperTick_contains_nocase";
                type: {
                    kind: "LIST";
                    name: never;
                    ofType: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "SCALAR";
                            name: "BigInt";
                            ofType: null;
                        };
                    };
                };
                defaultValue: null;
            }, {
                name: "upperTick_not_contains";
                type: {
                    kind: "LIST";
                    name: never;
                    ofType: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "SCALAR";
                            name: "BigInt";
                            ofType: null;
                        };
                    };
                };
                defaultValue: null;
            }, {
                name: "upperTick_not_contains_nocase";
                type: {
                    kind: "LIST";
                    name: never;
                    ofType: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "SCALAR";
                            name: "BigInt";
                            ofType: null;
                        };
                    };
                };
                defaultValue: null;
            }, {
                name: "lowerTick";
                type: {
                    kind: "LIST";
                    name: never;
                    ofType: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "SCALAR";
                            name: "BigInt";
                            ofType: null;
                        };
                    };
                };
                defaultValue: null;
            }, {
                name: "lowerTick_not";
                type: {
                    kind: "LIST";
                    name: never;
                    ofType: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "SCALAR";
                            name: "BigInt";
                            ofType: null;
                        };
                    };
                };
                defaultValue: null;
            }, {
                name: "lowerTick_contains";
                type: {
                    kind: "LIST";
                    name: never;
                    ofType: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "SCALAR";
                            name: "BigInt";
                            ofType: null;
                        };
                    };
                };
                defaultValue: null;
            }, {
                name: "lowerTick_contains_nocase";
                type: {
                    kind: "LIST";
                    name: never;
                    ofType: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "SCALAR";
                            name: "BigInt";
                            ofType: null;
                        };
                    };
                };
                defaultValue: null;
            }, {
                name: "lowerTick_not_contains";
                type: {
                    kind: "LIST";
                    name: never;
                    ofType: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "SCALAR";
                            name: "BigInt";
                            ofType: null;
                        };
                    };
                };
                defaultValue: null;
            }, {
                name: "lowerTick_not_contains_nocase";
                type: {
                    kind: "LIST";
                    name: never;
                    ofType: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "SCALAR";
                            name: "BigInt";
                            ofType: null;
                        };
                    };
                };
                defaultValue: null;
            }, {
                name: "vault";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "vault_not";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "vault_gt";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "vault_lt";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "vault_gte";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "vault_lte";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "vault_in";
                type: {
                    kind: "LIST";
                    name: never;
                    ofType: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "SCALAR";
                            name: "String";
                            ofType: null;
                        };
                    };
                };
                defaultValue: null;
            }, {
                name: "vault_not_in";
                type: {
                    kind: "LIST";
                    name: never;
                    ofType: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "SCALAR";
                            name: "String";
                            ofType: null;
                        };
                    };
                };
                defaultValue: null;
            }, {
                name: "vault_contains";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "vault_contains_nocase";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "vault_not_contains";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "vault_not_contains_nocase";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "vault_starts_with";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "vault_starts_with_nocase";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "vault_not_starts_with";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "vault_not_starts_with_nocase";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "vault_ends_with";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "vault_ends_with_nocase";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "vault_not_ends_with";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "vault_not_ends_with_nocase";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "vault_";
                type: {
                    kind: "INPUT_OBJECT";
                    name: "Vault_filter";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "relativeWeight";
                type: {
                    kind: "LIST";
                    name: never;
                    ofType: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "SCALAR";
                            name: "BigInt";
                            ofType: null;
                        };
                    };
                };
                defaultValue: null;
            }, {
                name: "relativeWeight_not";
                type: {
                    kind: "LIST";
                    name: never;
                    ofType: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "SCALAR";
                            name: "BigInt";
                            ofType: null;
                        };
                    };
                };
                defaultValue: null;
            }, {
                name: "relativeWeight_contains";
                type: {
                    kind: "LIST";
                    name: never;
                    ofType: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "SCALAR";
                            name: "BigInt";
                            ofType: null;
                        };
                    };
                };
                defaultValue: null;
            }, {
                name: "relativeWeight_contains_nocase";
                type: {
                    kind: "LIST";
                    name: never;
                    ofType: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "SCALAR";
                            name: "BigInt";
                            ofType: null;
                        };
                    };
                };
                defaultValue: null;
            }, {
                name: "relativeWeight_not_contains";
                type: {
                    kind: "LIST";
                    name: never;
                    ofType: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "SCALAR";
                            name: "BigInt";
                            ofType: null;
                        };
                    };
                };
                defaultValue: null;
            }, {
                name: "relativeWeight_not_contains_nocase";
                type: {
                    kind: "LIST";
                    name: never;
                    ofType: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "SCALAR";
                            name: "BigInt";
                            ofType: null;
                        };
                    };
                };
                defaultValue: null;
            }, {
                name: "timestamp";
                type: {
                    kind: "SCALAR";
                    name: "BigInt";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "timestamp_not";
                type: {
                    kind: "SCALAR";
                    name: "BigInt";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "timestamp_gt";
                type: {
                    kind: "SCALAR";
                    name: "BigInt";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "timestamp_lt";
                type: {
                    kind: "SCALAR";
                    name: "BigInt";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "timestamp_gte";
                type: {
                    kind: "SCALAR";
                    name: "BigInt";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "timestamp_lte";
                type: {
                    kind: "SCALAR";
                    name: "BigInt";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "timestamp_in";
                type: {
                    kind: "LIST";
                    name: never;
                    ofType: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "SCALAR";
                            name: "BigInt";
                            ofType: null;
                        };
                    };
                };
                defaultValue: null;
            }, {
                name: "timestamp_not_in";
                type: {
                    kind: "LIST";
                    name: never;
                    ofType: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "SCALAR";
                            name: "BigInt";
                            ofType: null;
                        };
                    };
                };
                defaultValue: null;
            }, {
                name: "_change_block";
                type: {
                    kind: "INPUT_OBJECT";
                    name: "BlockChangedFilter";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "and";
                type: {
                    kind: "LIST";
                    name: never;
                    ofType: {
                        kind: "INPUT_OBJECT";
                        name: "VaultPosition_filter";
                        ofType: null;
                    };
                };
                defaultValue: null;
            }, {
                name: "or";
                type: {
                    kind: "LIST";
                    name: never;
                    ofType: {
                        kind: "INPUT_OBJECT";
                        name: "VaultPosition_filter";
                        ofType: null;
                    };
                };
                defaultValue: null;
            }];
        };
        VaultPosition_orderBy: {
            name: "VaultPosition_orderBy";
            enumValues: "id" | "timestamp" | "vault" | "vault__id" | "vault__deployer" | "vault__token0" | "vault__token1" | "vault__totalAmount0" | "vault__totalAmount1" | "vault__createdAt" | "vault__lastSnapshot" | "vault__pool" | "vault__state" | "vault__annualPercentageYield" | "vault__annualPercentageDailyYield" | "vault__annualPercentageMonthlyYield" | "vault__annualPercentageYearlyYield" | "vault__lastTotalT0ValuePerLPT" | "vault__accruedStrategistFees0" | "vault__accruedStrategistFees1" | "vault__fees0" | "vault__fees1" | "vault__beaconName" | "vault__gasUsed" | "vault__gasDeposited" | "vault__totalLPTokensIssued" | "vault__token1Symbol" | "vault__decimals" | "vault__feeTier" | "vault__name" | "vault__symbol" | "vault__token0Balance" | "vault__token0Decimals" | "vault__token0Name" | "vault__token0Symbol" | "vault__token1Balance" | "vault__token1Decimals" | "vault__token1Name" | "vault__payloadIpfs" | "vault__vaultManager" | "vault__averageFeeArrPerSecond" | "vault__totalSnapshots" | "vault__annualFeeARR" | "vault__dailyFeeAPR" | "vault__weeklyFeeAPR" | "vault__totalValueLockedToken0" | "vault__totalValueLockedToken1" | "lowerTick" | "relativeWeight" | "upperTick";
        };
        VaultSnapshot: {
            kind: "OBJECT";
            name: "VaultSnapshot";
            fields: {
                annualFeeAPR: {
                    name: "annualFeeAPR";
                    type: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "SCALAR";
                            name: "BigDecimal";
                            ofType: null;
                        };
                    };
                };
                dailyFeeAPR: {
                    name: "dailyFeeAPR";
                    type: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "SCALAR";
                            name: "BigDecimal";
                            ofType: null;
                        };
                    };
                };
                fees0: {
                    name: "fees0";
                    type: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "SCALAR";
                            name: "BigInt";
                            ofType: null;
                        };
                    };
                };
                fees1: {
                    name: "fees1";
                    type: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "SCALAR";
                            name: "BigInt";
                            ofType: null;
                        };
                    };
                };
                id: {
                    name: "id";
                    type: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "SCALAR";
                            name: "ID";
                            ofType: null;
                        };
                    };
                };
                sqrtPriceX96: {
                    name: "sqrtPriceX96";
                    type: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "SCALAR";
                            name: "BigInt";
                            ofType: null;
                        };
                    };
                };
                timestamp: {
                    name: "timestamp";
                    type: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "SCALAR";
                            name: "BigInt";
                            ofType: null;
                        };
                    };
                };
                totalAmount0: {
                    name: "totalAmount0";
                    type: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "SCALAR";
                            name: "BigInt";
                            ofType: null;
                        };
                    };
                };
                totalAmount1: {
                    name: "totalAmount1";
                    type: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "SCALAR";
                            name: "BigInt";
                            ofType: null;
                        };
                    };
                };
                totalSupply: {
                    name: "totalSupply";
                    type: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "SCALAR";
                            name: "BigInt";
                            ofType: null;
                        };
                    };
                };
                transactionHash: {
                    name: "transactionHash";
                    type: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "SCALAR";
                            name: "String";
                            ofType: null;
                        };
                    };
                };
                vaultAddress: {
                    name: "vaultAddress";
                    type: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "OBJECT";
                            name: "Vault";
                            ofType: null;
                        };
                    };
                };
                weeklyFeeAPR: {
                    name: "weeklyFeeAPR";
                    type: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "SCALAR";
                            name: "BigDecimal";
                            ofType: null;
                        };
                    };
                };
            };
        };
        VaultSnapshot_filter: {
            kind: "INPUT_OBJECT";
            name: "VaultSnapshot_filter";
            isOneOf: false;
            inputFields: [{
                name: "id";
                type: {
                    kind: "SCALAR";
                    name: "ID";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "id_not";
                type: {
                    kind: "SCALAR";
                    name: "ID";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "id_gt";
                type: {
                    kind: "SCALAR";
                    name: "ID";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "id_lt";
                type: {
                    kind: "SCALAR";
                    name: "ID";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "id_gte";
                type: {
                    kind: "SCALAR";
                    name: "ID";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "id_lte";
                type: {
                    kind: "SCALAR";
                    name: "ID";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "id_in";
                type: {
                    kind: "LIST";
                    name: never;
                    ofType: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "SCALAR";
                            name: "ID";
                            ofType: null;
                        };
                    };
                };
                defaultValue: null;
            }, {
                name: "id_not_in";
                type: {
                    kind: "LIST";
                    name: never;
                    ofType: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "SCALAR";
                            name: "ID";
                            ofType: null;
                        };
                    };
                };
                defaultValue: null;
            }, {
                name: "timestamp";
                type: {
                    kind: "SCALAR";
                    name: "BigInt";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "timestamp_not";
                type: {
                    kind: "SCALAR";
                    name: "BigInt";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "timestamp_gt";
                type: {
                    kind: "SCALAR";
                    name: "BigInt";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "timestamp_lt";
                type: {
                    kind: "SCALAR";
                    name: "BigInt";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "timestamp_gte";
                type: {
                    kind: "SCALAR";
                    name: "BigInt";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "timestamp_lte";
                type: {
                    kind: "SCALAR";
                    name: "BigInt";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "timestamp_in";
                type: {
                    kind: "LIST";
                    name: never;
                    ofType: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "SCALAR";
                            name: "BigInt";
                            ofType: null;
                        };
                    };
                };
                defaultValue: null;
            }, {
                name: "timestamp_not_in";
                type: {
                    kind: "LIST";
                    name: never;
                    ofType: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "SCALAR";
                            name: "BigInt";
                            ofType: null;
                        };
                    };
                };
                defaultValue: null;
            }, {
                name: "vaultAddress";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "vaultAddress_not";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "vaultAddress_gt";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "vaultAddress_lt";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "vaultAddress_gte";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "vaultAddress_lte";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "vaultAddress_in";
                type: {
                    kind: "LIST";
                    name: never;
                    ofType: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "SCALAR";
                            name: "String";
                            ofType: null;
                        };
                    };
                };
                defaultValue: null;
            }, {
                name: "vaultAddress_not_in";
                type: {
                    kind: "LIST";
                    name: never;
                    ofType: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "SCALAR";
                            name: "String";
                            ofType: null;
                        };
                    };
                };
                defaultValue: null;
            }, {
                name: "vaultAddress_contains";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "vaultAddress_contains_nocase";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "vaultAddress_not_contains";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "vaultAddress_not_contains_nocase";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "vaultAddress_starts_with";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "vaultAddress_starts_with_nocase";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "vaultAddress_not_starts_with";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "vaultAddress_not_starts_with_nocase";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "vaultAddress_ends_with";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "vaultAddress_ends_with_nocase";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "vaultAddress_not_ends_with";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "vaultAddress_not_ends_with_nocase";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "vaultAddress_";
                type: {
                    kind: "INPUT_OBJECT";
                    name: "Vault_filter";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "totalAmount0";
                type: {
                    kind: "SCALAR";
                    name: "BigInt";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "totalAmount0_not";
                type: {
                    kind: "SCALAR";
                    name: "BigInt";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "totalAmount0_gt";
                type: {
                    kind: "SCALAR";
                    name: "BigInt";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "totalAmount0_lt";
                type: {
                    kind: "SCALAR";
                    name: "BigInt";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "totalAmount0_gte";
                type: {
                    kind: "SCALAR";
                    name: "BigInt";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "totalAmount0_lte";
                type: {
                    kind: "SCALAR";
                    name: "BigInt";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "totalAmount0_in";
                type: {
                    kind: "LIST";
                    name: never;
                    ofType: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "SCALAR";
                            name: "BigInt";
                            ofType: null;
                        };
                    };
                };
                defaultValue: null;
            }, {
                name: "totalAmount0_not_in";
                type: {
                    kind: "LIST";
                    name: never;
                    ofType: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "SCALAR";
                            name: "BigInt";
                            ofType: null;
                        };
                    };
                };
                defaultValue: null;
            }, {
                name: "totalAmount1";
                type: {
                    kind: "SCALAR";
                    name: "BigInt";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "totalAmount1_not";
                type: {
                    kind: "SCALAR";
                    name: "BigInt";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "totalAmount1_gt";
                type: {
                    kind: "SCALAR";
                    name: "BigInt";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "totalAmount1_lt";
                type: {
                    kind: "SCALAR";
                    name: "BigInt";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "totalAmount1_gte";
                type: {
                    kind: "SCALAR";
                    name: "BigInt";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "totalAmount1_lte";
                type: {
                    kind: "SCALAR";
                    name: "BigInt";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "totalAmount1_in";
                type: {
                    kind: "LIST";
                    name: never;
                    ofType: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "SCALAR";
                            name: "BigInt";
                            ofType: null;
                        };
                    };
                };
                defaultValue: null;
            }, {
                name: "totalAmount1_not_in";
                type: {
                    kind: "LIST";
                    name: never;
                    ofType: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "SCALAR";
                            name: "BigInt";
                            ofType: null;
                        };
                    };
                };
                defaultValue: null;
            }, {
                name: "sqrtPriceX96";
                type: {
                    kind: "SCALAR";
                    name: "BigInt";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "sqrtPriceX96_not";
                type: {
                    kind: "SCALAR";
                    name: "BigInt";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "sqrtPriceX96_gt";
                type: {
                    kind: "SCALAR";
                    name: "BigInt";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "sqrtPriceX96_lt";
                type: {
                    kind: "SCALAR";
                    name: "BigInt";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "sqrtPriceX96_gte";
                type: {
                    kind: "SCALAR";
                    name: "BigInt";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "sqrtPriceX96_lte";
                type: {
                    kind: "SCALAR";
                    name: "BigInt";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "sqrtPriceX96_in";
                type: {
                    kind: "LIST";
                    name: never;
                    ofType: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "SCALAR";
                            name: "BigInt";
                            ofType: null;
                        };
                    };
                };
                defaultValue: null;
            }, {
                name: "sqrtPriceX96_not_in";
                type: {
                    kind: "LIST";
                    name: never;
                    ofType: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "SCALAR";
                            name: "BigInt";
                            ofType: null;
                        };
                    };
                };
                defaultValue: null;
            }, {
                name: "totalSupply";
                type: {
                    kind: "SCALAR";
                    name: "BigInt";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "totalSupply_not";
                type: {
                    kind: "SCALAR";
                    name: "BigInt";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "totalSupply_gt";
                type: {
                    kind: "SCALAR";
                    name: "BigInt";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "totalSupply_lt";
                type: {
                    kind: "SCALAR";
                    name: "BigInt";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "totalSupply_gte";
                type: {
                    kind: "SCALAR";
                    name: "BigInt";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "totalSupply_lte";
                type: {
                    kind: "SCALAR";
                    name: "BigInt";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "totalSupply_in";
                type: {
                    kind: "LIST";
                    name: never;
                    ofType: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "SCALAR";
                            name: "BigInt";
                            ofType: null;
                        };
                    };
                };
                defaultValue: null;
            }, {
                name: "totalSupply_not_in";
                type: {
                    kind: "LIST";
                    name: never;
                    ofType: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "SCALAR";
                            name: "BigInt";
                            ofType: null;
                        };
                    };
                };
                defaultValue: null;
            }, {
                name: "fees1";
                type: {
                    kind: "SCALAR";
                    name: "BigInt";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "fees1_not";
                type: {
                    kind: "SCALAR";
                    name: "BigInt";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "fees1_gt";
                type: {
                    kind: "SCALAR";
                    name: "BigInt";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "fees1_lt";
                type: {
                    kind: "SCALAR";
                    name: "BigInt";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "fees1_gte";
                type: {
                    kind: "SCALAR";
                    name: "BigInt";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "fees1_lte";
                type: {
                    kind: "SCALAR";
                    name: "BigInt";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "fees1_in";
                type: {
                    kind: "LIST";
                    name: never;
                    ofType: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "SCALAR";
                            name: "BigInt";
                            ofType: null;
                        };
                    };
                };
                defaultValue: null;
            }, {
                name: "fees1_not_in";
                type: {
                    kind: "LIST";
                    name: never;
                    ofType: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "SCALAR";
                            name: "BigInt";
                            ofType: null;
                        };
                    };
                };
                defaultValue: null;
            }, {
                name: "fees0";
                type: {
                    kind: "SCALAR";
                    name: "BigInt";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "fees0_not";
                type: {
                    kind: "SCALAR";
                    name: "BigInt";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "fees0_gt";
                type: {
                    kind: "SCALAR";
                    name: "BigInt";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "fees0_lt";
                type: {
                    kind: "SCALAR";
                    name: "BigInt";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "fees0_gte";
                type: {
                    kind: "SCALAR";
                    name: "BigInt";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "fees0_lte";
                type: {
                    kind: "SCALAR";
                    name: "BigInt";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "fees0_in";
                type: {
                    kind: "LIST";
                    name: never;
                    ofType: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "SCALAR";
                            name: "BigInt";
                            ofType: null;
                        };
                    };
                };
                defaultValue: null;
            }, {
                name: "fees0_not_in";
                type: {
                    kind: "LIST";
                    name: never;
                    ofType: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "SCALAR";
                            name: "BigInt";
                            ofType: null;
                        };
                    };
                };
                defaultValue: null;
            }, {
                name: "annualFeeAPR";
                type: {
                    kind: "SCALAR";
                    name: "BigDecimal";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "annualFeeAPR_not";
                type: {
                    kind: "SCALAR";
                    name: "BigDecimal";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "annualFeeAPR_gt";
                type: {
                    kind: "SCALAR";
                    name: "BigDecimal";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "annualFeeAPR_lt";
                type: {
                    kind: "SCALAR";
                    name: "BigDecimal";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "annualFeeAPR_gte";
                type: {
                    kind: "SCALAR";
                    name: "BigDecimal";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "annualFeeAPR_lte";
                type: {
                    kind: "SCALAR";
                    name: "BigDecimal";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "annualFeeAPR_in";
                type: {
                    kind: "LIST";
                    name: never;
                    ofType: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "SCALAR";
                            name: "BigDecimal";
                            ofType: null;
                        };
                    };
                };
                defaultValue: null;
            }, {
                name: "annualFeeAPR_not_in";
                type: {
                    kind: "LIST";
                    name: never;
                    ofType: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "SCALAR";
                            name: "BigDecimal";
                            ofType: null;
                        };
                    };
                };
                defaultValue: null;
            }, {
                name: "dailyFeeAPR";
                type: {
                    kind: "SCALAR";
                    name: "BigDecimal";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "dailyFeeAPR_not";
                type: {
                    kind: "SCALAR";
                    name: "BigDecimal";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "dailyFeeAPR_gt";
                type: {
                    kind: "SCALAR";
                    name: "BigDecimal";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "dailyFeeAPR_lt";
                type: {
                    kind: "SCALAR";
                    name: "BigDecimal";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "dailyFeeAPR_gte";
                type: {
                    kind: "SCALAR";
                    name: "BigDecimal";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "dailyFeeAPR_lte";
                type: {
                    kind: "SCALAR";
                    name: "BigDecimal";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "dailyFeeAPR_in";
                type: {
                    kind: "LIST";
                    name: never;
                    ofType: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "SCALAR";
                            name: "BigDecimal";
                            ofType: null;
                        };
                    };
                };
                defaultValue: null;
            }, {
                name: "dailyFeeAPR_not_in";
                type: {
                    kind: "LIST";
                    name: never;
                    ofType: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "SCALAR";
                            name: "BigDecimal";
                            ofType: null;
                        };
                    };
                };
                defaultValue: null;
            }, {
                name: "weeklyFeeAPR";
                type: {
                    kind: "SCALAR";
                    name: "BigDecimal";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "weeklyFeeAPR_not";
                type: {
                    kind: "SCALAR";
                    name: "BigDecimal";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "weeklyFeeAPR_gt";
                type: {
                    kind: "SCALAR";
                    name: "BigDecimal";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "weeklyFeeAPR_lt";
                type: {
                    kind: "SCALAR";
                    name: "BigDecimal";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "weeklyFeeAPR_gte";
                type: {
                    kind: "SCALAR";
                    name: "BigDecimal";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "weeklyFeeAPR_lte";
                type: {
                    kind: "SCALAR";
                    name: "BigDecimal";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "weeklyFeeAPR_in";
                type: {
                    kind: "LIST";
                    name: never;
                    ofType: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "SCALAR";
                            name: "BigDecimal";
                            ofType: null;
                        };
                    };
                };
                defaultValue: null;
            }, {
                name: "weeklyFeeAPR_not_in";
                type: {
                    kind: "LIST";
                    name: never;
                    ofType: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "SCALAR";
                            name: "BigDecimal";
                            ofType: null;
                        };
                    };
                };
                defaultValue: null;
            }, {
                name: "transactionHash";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "transactionHash_not";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "transactionHash_gt";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "transactionHash_lt";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "transactionHash_gte";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "transactionHash_lte";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "transactionHash_in";
                type: {
                    kind: "LIST";
                    name: never;
                    ofType: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "SCALAR";
                            name: "String";
                            ofType: null;
                        };
                    };
                };
                defaultValue: null;
            }, {
                name: "transactionHash_not_in";
                type: {
                    kind: "LIST";
                    name: never;
                    ofType: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "SCALAR";
                            name: "String";
                            ofType: null;
                        };
                    };
                };
                defaultValue: null;
            }, {
                name: "transactionHash_contains";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "transactionHash_contains_nocase";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "transactionHash_not_contains";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "transactionHash_not_contains_nocase";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "transactionHash_starts_with";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "transactionHash_starts_with_nocase";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "transactionHash_not_starts_with";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "transactionHash_not_starts_with_nocase";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "transactionHash_ends_with";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "transactionHash_ends_with_nocase";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "transactionHash_not_ends_with";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "transactionHash_not_ends_with_nocase";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "_change_block";
                type: {
                    kind: "INPUT_OBJECT";
                    name: "BlockChangedFilter";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "and";
                type: {
                    kind: "LIST";
                    name: never;
                    ofType: {
                        kind: "INPUT_OBJECT";
                        name: "VaultSnapshot_filter";
                        ofType: null;
                    };
                };
                defaultValue: null;
            }, {
                name: "or";
                type: {
                    kind: "LIST";
                    name: never;
                    ofType: {
                        kind: "INPUT_OBJECT";
                        name: "VaultSnapshot_filter";
                        ofType: null;
                    };
                };
                defaultValue: null;
            }];
        };
        VaultSnapshot_orderBy: {
            name: "VaultSnapshot_orderBy";
            enumValues: "id" | "timestamp" | "totalSupply" | "transactionHash" | "sqrtPriceX96" | "vaultAddress" | "vaultAddress__id" | "vaultAddress__deployer" | "vaultAddress__token0" | "vaultAddress__token1" | "vaultAddress__totalAmount0" | "vaultAddress__totalAmount1" | "vaultAddress__createdAt" | "vaultAddress__lastSnapshot" | "vaultAddress__pool" | "vaultAddress__state" | "vaultAddress__annualPercentageYield" | "vaultAddress__annualPercentageDailyYield" | "vaultAddress__annualPercentageMonthlyYield" | "vaultAddress__annualPercentageYearlyYield" | "vaultAddress__lastTotalT0ValuePerLPT" | "vaultAddress__accruedStrategistFees0" | "vaultAddress__accruedStrategistFees1" | "vaultAddress__fees0" | "vaultAddress__fees1" | "vaultAddress__beaconName" | "vaultAddress__gasUsed" | "vaultAddress__gasDeposited" | "vaultAddress__totalLPTokensIssued" | "vaultAddress__token1Symbol" | "vaultAddress__decimals" | "vaultAddress__feeTier" | "vaultAddress__name" | "vaultAddress__symbol" | "vaultAddress__token0Balance" | "vaultAddress__token0Decimals" | "vaultAddress__token0Name" | "vaultAddress__token0Symbol" | "vaultAddress__token1Balance" | "vaultAddress__token1Decimals" | "vaultAddress__token1Name" | "vaultAddress__payloadIpfs" | "vaultAddress__vaultManager" | "vaultAddress__averageFeeArrPerSecond" | "vaultAddress__totalSnapshots" | "vaultAddress__annualFeeARR" | "vaultAddress__dailyFeeAPR" | "vaultAddress__weeklyFeeAPR" | "vaultAddress__totalValueLockedToken0" | "vaultAddress__totalValueLockedToken1" | "fees0" | "fees1" | "totalAmount0" | "totalAmount1" | "dailyFeeAPR" | "weeklyFeeAPR" | "annualFeeAPR";
        };
        VaultStateChanged: {
            kind: "OBJECT";
            name: "VaultStateChanged";
            fields: {
                id: {
                    name: "id";
                    type: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "SCALAR";
                            name: "ID";
                            ofType: null;
                        };
                    };
                };
                status: {
                    name: "status";
                    type: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "SCALAR";
                            name: "BigInt";
                            ofType: null;
                        };
                    };
                };
                timeStamp: {
                    name: "timeStamp";
                    type: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "SCALAR";
                            name: "BigInt";
                            ofType: null;
                        };
                    };
                };
                vault: {
                    name: "vault";
                    type: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "OBJECT";
                            name: "Vault";
                            ofType: null;
                        };
                    };
                };
            };
        };
        VaultStateChanged_filter: {
            kind: "INPUT_OBJECT";
            name: "VaultStateChanged_filter";
            isOneOf: false;
            inputFields: [{
                name: "id";
                type: {
                    kind: "SCALAR";
                    name: "ID";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "id_not";
                type: {
                    kind: "SCALAR";
                    name: "ID";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "id_gt";
                type: {
                    kind: "SCALAR";
                    name: "ID";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "id_lt";
                type: {
                    kind: "SCALAR";
                    name: "ID";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "id_gte";
                type: {
                    kind: "SCALAR";
                    name: "ID";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "id_lte";
                type: {
                    kind: "SCALAR";
                    name: "ID";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "id_in";
                type: {
                    kind: "LIST";
                    name: never;
                    ofType: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "SCALAR";
                            name: "ID";
                            ofType: null;
                        };
                    };
                };
                defaultValue: null;
            }, {
                name: "id_not_in";
                type: {
                    kind: "LIST";
                    name: never;
                    ofType: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "SCALAR";
                            name: "ID";
                            ofType: null;
                        };
                    };
                };
                defaultValue: null;
            }, {
                name: "timeStamp";
                type: {
                    kind: "SCALAR";
                    name: "BigInt";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "timeStamp_not";
                type: {
                    kind: "SCALAR";
                    name: "BigInt";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "timeStamp_gt";
                type: {
                    kind: "SCALAR";
                    name: "BigInt";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "timeStamp_lt";
                type: {
                    kind: "SCALAR";
                    name: "BigInt";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "timeStamp_gte";
                type: {
                    kind: "SCALAR";
                    name: "BigInt";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "timeStamp_lte";
                type: {
                    kind: "SCALAR";
                    name: "BigInt";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "timeStamp_in";
                type: {
                    kind: "LIST";
                    name: never;
                    ofType: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "SCALAR";
                            name: "BigInt";
                            ofType: null;
                        };
                    };
                };
                defaultValue: null;
            }, {
                name: "timeStamp_not_in";
                type: {
                    kind: "LIST";
                    name: never;
                    ofType: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "SCALAR";
                            name: "BigInt";
                            ofType: null;
                        };
                    };
                };
                defaultValue: null;
            }, {
                name: "vault";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "vault_not";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "vault_gt";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "vault_lt";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "vault_gte";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "vault_lte";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "vault_in";
                type: {
                    kind: "LIST";
                    name: never;
                    ofType: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "SCALAR";
                            name: "String";
                            ofType: null;
                        };
                    };
                };
                defaultValue: null;
            }, {
                name: "vault_not_in";
                type: {
                    kind: "LIST";
                    name: never;
                    ofType: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "SCALAR";
                            name: "String";
                            ofType: null;
                        };
                    };
                };
                defaultValue: null;
            }, {
                name: "vault_contains";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "vault_contains_nocase";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "vault_not_contains";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "vault_not_contains_nocase";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "vault_starts_with";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "vault_starts_with_nocase";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "vault_not_starts_with";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "vault_not_starts_with_nocase";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "vault_ends_with";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "vault_ends_with_nocase";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "vault_not_ends_with";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "vault_not_ends_with_nocase";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "vault_";
                type: {
                    kind: "INPUT_OBJECT";
                    name: "Vault_filter";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "status";
                type: {
                    kind: "SCALAR";
                    name: "BigInt";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "status_not";
                type: {
                    kind: "SCALAR";
                    name: "BigInt";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "status_gt";
                type: {
                    kind: "SCALAR";
                    name: "BigInt";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "status_lt";
                type: {
                    kind: "SCALAR";
                    name: "BigInt";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "status_gte";
                type: {
                    kind: "SCALAR";
                    name: "BigInt";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "status_lte";
                type: {
                    kind: "SCALAR";
                    name: "BigInt";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "status_in";
                type: {
                    kind: "LIST";
                    name: never;
                    ofType: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "SCALAR";
                            name: "BigInt";
                            ofType: null;
                        };
                    };
                };
                defaultValue: null;
            }, {
                name: "status_not_in";
                type: {
                    kind: "LIST";
                    name: never;
                    ofType: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "SCALAR";
                            name: "BigInt";
                            ofType: null;
                        };
                    };
                };
                defaultValue: null;
            }, {
                name: "_change_block";
                type: {
                    kind: "INPUT_OBJECT";
                    name: "BlockChangedFilter";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "and";
                type: {
                    kind: "LIST";
                    name: never;
                    ofType: {
                        kind: "INPUT_OBJECT";
                        name: "VaultStateChanged_filter";
                        ofType: null;
                    };
                };
                defaultValue: null;
            }, {
                name: "or";
                type: {
                    kind: "LIST";
                    name: never;
                    ofType: {
                        kind: "INPUT_OBJECT";
                        name: "VaultStateChanged_filter";
                        ofType: null;
                    };
                };
                defaultValue: null;
            }];
        };
        VaultStateChanged_orderBy: {
            name: "VaultStateChanged_orderBy";
            enumValues: "id" | "status" | "timeStamp" | "vault" | "vault__id" | "vault__deployer" | "vault__token0" | "vault__token1" | "vault__totalAmount0" | "vault__totalAmount1" | "vault__createdAt" | "vault__lastSnapshot" | "vault__pool" | "vault__state" | "vault__annualPercentageYield" | "vault__annualPercentageDailyYield" | "vault__annualPercentageMonthlyYield" | "vault__annualPercentageYearlyYield" | "vault__lastTotalT0ValuePerLPT" | "vault__accruedStrategistFees0" | "vault__accruedStrategistFees1" | "vault__fees0" | "vault__fees1" | "vault__beaconName" | "vault__gasUsed" | "vault__gasDeposited" | "vault__totalLPTokensIssued" | "vault__token1Symbol" | "vault__decimals" | "vault__feeTier" | "vault__name" | "vault__symbol" | "vault__token0Balance" | "vault__token0Decimals" | "vault__token0Name" | "vault__token0Symbol" | "vault__token1Balance" | "vault__token1Decimals" | "vault__token1Name" | "vault__payloadIpfs" | "vault__vaultManager" | "vault__averageFeeArrPerSecond" | "vault__totalSnapshots" | "vault__annualFeeARR" | "vault__dailyFeeAPR" | "vault__weeklyFeeAPR" | "vault__totalValueLockedToken0" | "vault__totalValueLockedToken1";
        };
        VaultWithdraw: {
            kind: "OBJECT";
            name: "VaultWithdraw";
            fields: {
                amount0: {
                    name: "amount0";
                    type: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "SCALAR";
                            name: "BigDecimal";
                            ofType: null;
                        };
                    };
                };
                amount1: {
                    name: "amount1";
                    type: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "SCALAR";
                            name: "BigDecimal";
                            ofType: null;
                        };
                    };
                };
                id: {
                    name: "id";
                    type: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "SCALAR";
                            name: "ID";
                            ofType: null;
                        };
                    };
                };
                sender: {
                    name: "sender";
                    type: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "SCALAR";
                            name: "String";
                            ofType: null;
                        };
                    };
                };
                timeStamp: {
                    name: "timeStamp";
                    type: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "SCALAR";
                            name: "BigInt";
                            ofType: null;
                        };
                    };
                };
                token0: {
                    name: "token0";
                    type: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "SCALAR";
                            name: "String";
                            ofType: null;
                        };
                    };
                };
                token1: {
                    name: "token1";
                    type: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "SCALAR";
                            name: "String";
                            ofType: null;
                        };
                    };
                };
                transactionHash: {
                    name: "transactionHash";
                    type: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "SCALAR";
                            name: "String";
                            ofType: null;
                        };
                    };
                };
                vault: {
                    name: "vault";
                    type: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "OBJECT";
                            name: "Vault";
                            ofType: null;
                        };
                    };
                };
            };
        };
        VaultWithdraw_filter: {
            kind: "INPUT_OBJECT";
            name: "VaultWithdraw_filter";
            isOneOf: false;
            inputFields: [{
                name: "id";
                type: {
                    kind: "SCALAR";
                    name: "ID";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "id_not";
                type: {
                    kind: "SCALAR";
                    name: "ID";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "id_gt";
                type: {
                    kind: "SCALAR";
                    name: "ID";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "id_lt";
                type: {
                    kind: "SCALAR";
                    name: "ID";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "id_gte";
                type: {
                    kind: "SCALAR";
                    name: "ID";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "id_lte";
                type: {
                    kind: "SCALAR";
                    name: "ID";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "id_in";
                type: {
                    kind: "LIST";
                    name: never;
                    ofType: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "SCALAR";
                            name: "ID";
                            ofType: null;
                        };
                    };
                };
                defaultValue: null;
            }, {
                name: "id_not_in";
                type: {
                    kind: "LIST";
                    name: never;
                    ofType: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "SCALAR";
                            name: "ID";
                            ofType: null;
                        };
                    };
                };
                defaultValue: null;
            }, {
                name: "vault";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "vault_not";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "vault_gt";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "vault_lt";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "vault_gte";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "vault_lte";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "vault_in";
                type: {
                    kind: "LIST";
                    name: never;
                    ofType: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "SCALAR";
                            name: "String";
                            ofType: null;
                        };
                    };
                };
                defaultValue: null;
            }, {
                name: "vault_not_in";
                type: {
                    kind: "LIST";
                    name: never;
                    ofType: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "SCALAR";
                            name: "String";
                            ofType: null;
                        };
                    };
                };
                defaultValue: null;
            }, {
                name: "vault_contains";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "vault_contains_nocase";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "vault_not_contains";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "vault_not_contains_nocase";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "vault_starts_with";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "vault_starts_with_nocase";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "vault_not_starts_with";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "vault_not_starts_with_nocase";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "vault_ends_with";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "vault_ends_with_nocase";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "vault_not_ends_with";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "vault_not_ends_with_nocase";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "vault_";
                type: {
                    kind: "INPUT_OBJECT";
                    name: "Vault_filter";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "amount0";
                type: {
                    kind: "SCALAR";
                    name: "BigDecimal";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "amount0_not";
                type: {
                    kind: "SCALAR";
                    name: "BigDecimal";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "amount0_gt";
                type: {
                    kind: "SCALAR";
                    name: "BigDecimal";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "amount0_lt";
                type: {
                    kind: "SCALAR";
                    name: "BigDecimal";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "amount0_gte";
                type: {
                    kind: "SCALAR";
                    name: "BigDecimal";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "amount0_lte";
                type: {
                    kind: "SCALAR";
                    name: "BigDecimal";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "amount0_in";
                type: {
                    kind: "LIST";
                    name: never;
                    ofType: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "SCALAR";
                            name: "BigDecimal";
                            ofType: null;
                        };
                    };
                };
                defaultValue: null;
            }, {
                name: "amount0_not_in";
                type: {
                    kind: "LIST";
                    name: never;
                    ofType: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "SCALAR";
                            name: "BigDecimal";
                            ofType: null;
                        };
                    };
                };
                defaultValue: null;
            }, {
                name: "amount1";
                type: {
                    kind: "SCALAR";
                    name: "BigDecimal";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "amount1_not";
                type: {
                    kind: "SCALAR";
                    name: "BigDecimal";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "amount1_gt";
                type: {
                    kind: "SCALAR";
                    name: "BigDecimal";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "amount1_lt";
                type: {
                    kind: "SCALAR";
                    name: "BigDecimal";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "amount1_gte";
                type: {
                    kind: "SCALAR";
                    name: "BigDecimal";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "amount1_lte";
                type: {
                    kind: "SCALAR";
                    name: "BigDecimal";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "amount1_in";
                type: {
                    kind: "LIST";
                    name: never;
                    ofType: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "SCALAR";
                            name: "BigDecimal";
                            ofType: null;
                        };
                    };
                };
                defaultValue: null;
            }, {
                name: "amount1_not_in";
                type: {
                    kind: "LIST";
                    name: never;
                    ofType: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "SCALAR";
                            name: "BigDecimal";
                            ofType: null;
                        };
                    };
                };
                defaultValue: null;
            }, {
                name: "token0";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "token0_not";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "token0_gt";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "token0_lt";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "token0_gte";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "token0_lte";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "token0_in";
                type: {
                    kind: "LIST";
                    name: never;
                    ofType: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "SCALAR";
                            name: "String";
                            ofType: null;
                        };
                    };
                };
                defaultValue: null;
            }, {
                name: "token0_not_in";
                type: {
                    kind: "LIST";
                    name: never;
                    ofType: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "SCALAR";
                            name: "String";
                            ofType: null;
                        };
                    };
                };
                defaultValue: null;
            }, {
                name: "token0_contains";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "token0_contains_nocase";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "token0_not_contains";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "token0_not_contains_nocase";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "token0_starts_with";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "token0_starts_with_nocase";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "token0_not_starts_with";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "token0_not_starts_with_nocase";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "token0_ends_with";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "token0_ends_with_nocase";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "token0_not_ends_with";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "token0_not_ends_with_nocase";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "token1";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "token1_not";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "token1_gt";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "token1_lt";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "token1_gte";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "token1_lte";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "token1_in";
                type: {
                    kind: "LIST";
                    name: never;
                    ofType: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "SCALAR";
                            name: "String";
                            ofType: null;
                        };
                    };
                };
                defaultValue: null;
            }, {
                name: "token1_not_in";
                type: {
                    kind: "LIST";
                    name: never;
                    ofType: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "SCALAR";
                            name: "String";
                            ofType: null;
                        };
                    };
                };
                defaultValue: null;
            }, {
                name: "token1_contains";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "token1_contains_nocase";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "token1_not_contains";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "token1_not_contains_nocase";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "token1_starts_with";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "token1_starts_with_nocase";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "token1_not_starts_with";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "token1_not_starts_with_nocase";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "token1_ends_with";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "token1_ends_with_nocase";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "token1_not_ends_with";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "token1_not_ends_with_nocase";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "timeStamp";
                type: {
                    kind: "SCALAR";
                    name: "BigInt";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "timeStamp_not";
                type: {
                    kind: "SCALAR";
                    name: "BigInt";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "timeStamp_gt";
                type: {
                    kind: "SCALAR";
                    name: "BigInt";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "timeStamp_lt";
                type: {
                    kind: "SCALAR";
                    name: "BigInt";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "timeStamp_gte";
                type: {
                    kind: "SCALAR";
                    name: "BigInt";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "timeStamp_lte";
                type: {
                    kind: "SCALAR";
                    name: "BigInt";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "timeStamp_in";
                type: {
                    kind: "LIST";
                    name: never;
                    ofType: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "SCALAR";
                            name: "BigInt";
                            ofType: null;
                        };
                    };
                };
                defaultValue: null;
            }, {
                name: "timeStamp_not_in";
                type: {
                    kind: "LIST";
                    name: never;
                    ofType: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "SCALAR";
                            name: "BigInt";
                            ofType: null;
                        };
                    };
                };
                defaultValue: null;
            }, {
                name: "sender";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "sender_not";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "sender_gt";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "sender_lt";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "sender_gte";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "sender_lte";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "sender_in";
                type: {
                    kind: "LIST";
                    name: never;
                    ofType: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "SCALAR";
                            name: "String";
                            ofType: null;
                        };
                    };
                };
                defaultValue: null;
            }, {
                name: "sender_not_in";
                type: {
                    kind: "LIST";
                    name: never;
                    ofType: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "SCALAR";
                            name: "String";
                            ofType: null;
                        };
                    };
                };
                defaultValue: null;
            }, {
                name: "sender_contains";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "sender_contains_nocase";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "sender_not_contains";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "sender_not_contains_nocase";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "sender_starts_with";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "sender_starts_with_nocase";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "sender_not_starts_with";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "sender_not_starts_with_nocase";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "sender_ends_with";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "sender_ends_with_nocase";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "sender_not_ends_with";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "sender_not_ends_with_nocase";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "transactionHash";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "transactionHash_not";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "transactionHash_gt";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "transactionHash_lt";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "transactionHash_gte";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "transactionHash_lte";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "transactionHash_in";
                type: {
                    kind: "LIST";
                    name: never;
                    ofType: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "SCALAR";
                            name: "String";
                            ofType: null;
                        };
                    };
                };
                defaultValue: null;
            }, {
                name: "transactionHash_not_in";
                type: {
                    kind: "LIST";
                    name: never;
                    ofType: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "SCALAR";
                            name: "String";
                            ofType: null;
                        };
                    };
                };
                defaultValue: null;
            }, {
                name: "transactionHash_contains";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "transactionHash_contains_nocase";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "transactionHash_not_contains";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "transactionHash_not_contains_nocase";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "transactionHash_starts_with";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "transactionHash_starts_with_nocase";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "transactionHash_not_starts_with";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "transactionHash_not_starts_with_nocase";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "transactionHash_ends_with";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "transactionHash_ends_with_nocase";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "transactionHash_not_ends_with";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "transactionHash_not_ends_with_nocase";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "_change_block";
                type: {
                    kind: "INPUT_OBJECT";
                    name: "BlockChangedFilter";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "and";
                type: {
                    kind: "LIST";
                    name: never;
                    ofType: {
                        kind: "INPUT_OBJECT";
                        name: "VaultWithdraw_filter";
                        ofType: null;
                    };
                };
                defaultValue: null;
            }, {
                name: "or";
                type: {
                    kind: "LIST";
                    name: never;
                    ofType: {
                        kind: "INPUT_OBJECT";
                        name: "VaultWithdraw_filter";
                        ofType: null;
                    };
                };
                defaultValue: null;
            }];
        };
        VaultWithdraw_orderBy: {
            name: "VaultWithdraw_orderBy";
            enumValues: "id" | "token0" | "token1" | "transactionHash" | "sender" | "amount0" | "amount1" | "timeStamp" | "vault" | "vault__id" | "vault__deployer" | "vault__token0" | "vault__token1" | "vault__totalAmount0" | "vault__totalAmount1" | "vault__createdAt" | "vault__lastSnapshot" | "vault__pool" | "vault__state" | "vault__annualPercentageYield" | "vault__annualPercentageDailyYield" | "vault__annualPercentageMonthlyYield" | "vault__annualPercentageYearlyYield" | "vault__lastTotalT0ValuePerLPT" | "vault__accruedStrategistFees0" | "vault__accruedStrategistFees1" | "vault__fees0" | "vault__fees1" | "vault__beaconName" | "vault__gasUsed" | "vault__gasDeposited" | "vault__totalLPTokensIssued" | "vault__token1Symbol" | "vault__decimals" | "vault__feeTier" | "vault__name" | "vault__symbol" | "vault__token0Balance" | "vault__token0Decimals" | "vault__token0Name" | "vault__token0Symbol" | "vault__token1Balance" | "vault__token1Decimals" | "vault__token1Name" | "vault__payloadIpfs" | "vault__vaultManager" | "vault__averageFeeArrPerSecond" | "vault__totalSnapshots" | "vault__annualFeeARR" | "vault__dailyFeeAPR" | "vault__weeklyFeeAPR" | "vault__totalValueLockedToken0" | "vault__totalValueLockedToken1";
        };
        Vault_filter: {
            kind: "INPUT_OBJECT";
            name: "Vault_filter";
            isOneOf: false;
            inputFields: [{
                name: "id";
                type: {
                    kind: "SCALAR";
                    name: "ID";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "id_not";
                type: {
                    kind: "SCALAR";
                    name: "ID";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "id_gt";
                type: {
                    kind: "SCALAR";
                    name: "ID";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "id_lt";
                type: {
                    kind: "SCALAR";
                    name: "ID";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "id_gte";
                type: {
                    kind: "SCALAR";
                    name: "ID";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "id_lte";
                type: {
                    kind: "SCALAR";
                    name: "ID";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "id_in";
                type: {
                    kind: "LIST";
                    name: never;
                    ofType: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "SCALAR";
                            name: "ID";
                            ofType: null;
                        };
                    };
                };
                defaultValue: null;
            }, {
                name: "id_not_in";
                type: {
                    kind: "LIST";
                    name: never;
                    ofType: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "SCALAR";
                            name: "ID";
                            ofType: null;
                        };
                    };
                };
                defaultValue: null;
            }, {
                name: "deployer";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "deployer_not";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "deployer_gt";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "deployer_lt";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "deployer_gte";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "deployer_lte";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "deployer_in";
                type: {
                    kind: "LIST";
                    name: never;
                    ofType: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "SCALAR";
                            name: "String";
                            ofType: null;
                        };
                    };
                };
                defaultValue: null;
            }, {
                name: "deployer_not_in";
                type: {
                    kind: "LIST";
                    name: never;
                    ofType: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "SCALAR";
                            name: "String";
                            ofType: null;
                        };
                    };
                };
                defaultValue: null;
            }, {
                name: "deployer_contains";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "deployer_contains_nocase";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "deployer_not_contains";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "deployer_not_contains_nocase";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "deployer_starts_with";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "deployer_starts_with_nocase";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "deployer_not_starts_with";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "deployer_not_starts_with_nocase";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "deployer_ends_with";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "deployer_ends_with_nocase";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "deployer_not_ends_with";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "deployer_not_ends_with_nocase";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "token0";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "token0_not";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "token0_gt";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "token0_lt";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "token0_gte";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "token0_lte";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "token0_in";
                type: {
                    kind: "LIST";
                    name: never;
                    ofType: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "SCALAR";
                            name: "String";
                            ofType: null;
                        };
                    };
                };
                defaultValue: null;
            }, {
                name: "token0_not_in";
                type: {
                    kind: "LIST";
                    name: never;
                    ofType: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "SCALAR";
                            name: "String";
                            ofType: null;
                        };
                    };
                };
                defaultValue: null;
            }, {
                name: "token0_contains";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "token0_contains_nocase";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "token0_not_contains";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "token0_not_contains_nocase";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "token0_starts_with";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "token0_starts_with_nocase";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "token0_not_starts_with";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "token0_not_starts_with_nocase";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "token0_ends_with";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "token0_ends_with_nocase";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "token0_not_ends_with";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "token0_not_ends_with_nocase";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "token1";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "token1_not";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "token1_gt";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "token1_lt";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "token1_gte";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "token1_lte";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "token1_in";
                type: {
                    kind: "LIST";
                    name: never;
                    ofType: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "SCALAR";
                            name: "String";
                            ofType: null;
                        };
                    };
                };
                defaultValue: null;
            }, {
                name: "token1_not_in";
                type: {
                    kind: "LIST";
                    name: never;
                    ofType: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "SCALAR";
                            name: "String";
                            ofType: null;
                        };
                    };
                };
                defaultValue: null;
            }, {
                name: "token1_contains";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "token1_contains_nocase";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "token1_not_contains";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "token1_not_contains_nocase";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "token1_starts_with";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "token1_starts_with_nocase";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "token1_not_starts_with";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "token1_not_starts_with_nocase";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "token1_ends_with";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "token1_ends_with_nocase";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "token1_not_ends_with";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "token1_not_ends_with_nocase";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "totalAmount0";
                type: {
                    kind: "SCALAR";
                    name: "BigDecimal";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "totalAmount0_not";
                type: {
                    kind: "SCALAR";
                    name: "BigDecimal";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "totalAmount0_gt";
                type: {
                    kind: "SCALAR";
                    name: "BigDecimal";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "totalAmount0_lt";
                type: {
                    kind: "SCALAR";
                    name: "BigDecimal";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "totalAmount0_gte";
                type: {
                    kind: "SCALAR";
                    name: "BigDecimal";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "totalAmount0_lte";
                type: {
                    kind: "SCALAR";
                    name: "BigDecimal";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "totalAmount0_in";
                type: {
                    kind: "LIST";
                    name: never;
                    ofType: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "SCALAR";
                            name: "BigDecimal";
                            ofType: null;
                        };
                    };
                };
                defaultValue: null;
            }, {
                name: "totalAmount0_not_in";
                type: {
                    kind: "LIST";
                    name: never;
                    ofType: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "SCALAR";
                            name: "BigDecimal";
                            ofType: null;
                        };
                    };
                };
                defaultValue: null;
            }, {
                name: "totalAmount1";
                type: {
                    kind: "SCALAR";
                    name: "BigDecimal";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "totalAmount1_not";
                type: {
                    kind: "SCALAR";
                    name: "BigDecimal";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "totalAmount1_gt";
                type: {
                    kind: "SCALAR";
                    name: "BigDecimal";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "totalAmount1_lt";
                type: {
                    kind: "SCALAR";
                    name: "BigDecimal";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "totalAmount1_gte";
                type: {
                    kind: "SCALAR";
                    name: "BigDecimal";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "totalAmount1_lte";
                type: {
                    kind: "SCALAR";
                    name: "BigDecimal";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "totalAmount1_in";
                type: {
                    kind: "LIST";
                    name: never;
                    ofType: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "SCALAR";
                            name: "BigDecimal";
                            ofType: null;
                        };
                    };
                };
                defaultValue: null;
            }, {
                name: "totalAmount1_not_in";
                type: {
                    kind: "LIST";
                    name: never;
                    ofType: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "SCALAR";
                            name: "BigDecimal";
                            ofType: null;
                        };
                    };
                };
                defaultValue: null;
            }, {
                name: "createdAt";
                type: {
                    kind: "SCALAR";
                    name: "BigInt";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "createdAt_not";
                type: {
                    kind: "SCALAR";
                    name: "BigInt";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "createdAt_gt";
                type: {
                    kind: "SCALAR";
                    name: "BigInt";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "createdAt_lt";
                type: {
                    kind: "SCALAR";
                    name: "BigInt";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "createdAt_gte";
                type: {
                    kind: "SCALAR";
                    name: "BigInt";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "createdAt_lte";
                type: {
                    kind: "SCALAR";
                    name: "BigInt";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "createdAt_in";
                type: {
                    kind: "LIST";
                    name: never;
                    ofType: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "SCALAR";
                            name: "BigInt";
                            ofType: null;
                        };
                    };
                };
                defaultValue: null;
            }, {
                name: "createdAt_not_in";
                type: {
                    kind: "LIST";
                    name: never;
                    ofType: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "SCALAR";
                            name: "BigInt";
                            ofType: null;
                        };
                    };
                };
                defaultValue: null;
            }, {
                name: "lastSnapshot";
                type: {
                    kind: "SCALAR";
                    name: "BigInt";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "lastSnapshot_not";
                type: {
                    kind: "SCALAR";
                    name: "BigInt";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "lastSnapshot_gt";
                type: {
                    kind: "SCALAR";
                    name: "BigInt";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "lastSnapshot_lt";
                type: {
                    kind: "SCALAR";
                    name: "BigInt";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "lastSnapshot_gte";
                type: {
                    kind: "SCALAR";
                    name: "BigInt";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "lastSnapshot_lte";
                type: {
                    kind: "SCALAR";
                    name: "BigInt";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "lastSnapshot_in";
                type: {
                    kind: "LIST";
                    name: never;
                    ofType: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "SCALAR";
                            name: "BigInt";
                            ofType: null;
                        };
                    };
                };
                defaultValue: null;
            }, {
                name: "lastSnapshot_not_in";
                type: {
                    kind: "LIST";
                    name: never;
                    ofType: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "SCALAR";
                            name: "BigInt";
                            ofType: null;
                        };
                    };
                };
                defaultValue: null;
            }, {
                name: "pool";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "pool_not";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "pool_gt";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "pool_lt";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "pool_gte";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "pool_lte";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "pool_in";
                type: {
                    kind: "LIST";
                    name: never;
                    ofType: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "SCALAR";
                            name: "String";
                            ofType: null;
                        };
                    };
                };
                defaultValue: null;
            }, {
                name: "pool_not_in";
                type: {
                    kind: "LIST";
                    name: never;
                    ofType: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "SCALAR";
                            name: "String";
                            ofType: null;
                        };
                    };
                };
                defaultValue: null;
            }, {
                name: "pool_contains";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "pool_contains_nocase";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "pool_not_contains";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "pool_not_contains_nocase";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "pool_starts_with";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "pool_starts_with_nocase";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "pool_not_starts_with";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "pool_not_starts_with_nocase";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "pool_ends_with";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "pool_ends_with_nocase";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "pool_not_ends_with";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "pool_not_ends_with_nocase";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "state";
                type: {
                    kind: "SCALAR";
                    name: "BigInt";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "state_not";
                type: {
                    kind: "SCALAR";
                    name: "BigInt";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "state_gt";
                type: {
                    kind: "SCALAR";
                    name: "BigInt";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "state_lt";
                type: {
                    kind: "SCALAR";
                    name: "BigInt";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "state_gte";
                type: {
                    kind: "SCALAR";
                    name: "BigInt";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "state_lte";
                type: {
                    kind: "SCALAR";
                    name: "BigInt";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "state_in";
                type: {
                    kind: "LIST";
                    name: never;
                    ofType: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "SCALAR";
                            name: "BigInt";
                            ofType: null;
                        };
                    };
                };
                defaultValue: null;
            }, {
                name: "state_not_in";
                type: {
                    kind: "LIST";
                    name: never;
                    ofType: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "SCALAR";
                            name: "BigInt";
                            ofType: null;
                        };
                    };
                };
                defaultValue: null;
            }, {
                name: "statusUpdates_";
                type: {
                    kind: "INPUT_OBJECT";
                    name: "VaultStateChanged_filter";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "strategyToken";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "strategyToken_not";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "strategyToken_gt";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "strategyToken_lt";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "strategyToken_gte";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "strategyToken_lte";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "strategyToken_in";
                type: {
                    kind: "LIST";
                    name: never;
                    ofType: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "SCALAR";
                            name: "String";
                            ofType: null;
                        };
                    };
                };
                defaultValue: null;
            }, {
                name: "strategyToken_not_in";
                type: {
                    kind: "LIST";
                    name: never;
                    ofType: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "SCALAR";
                            name: "String";
                            ofType: null;
                        };
                    };
                };
                defaultValue: null;
            }, {
                name: "strategyToken_contains";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "strategyToken_contains_nocase";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "strategyToken_not_contains";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "strategyToken_not_contains_nocase";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "strategyToken_starts_with";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "strategyToken_starts_with_nocase";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "strategyToken_not_starts_with";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "strategyToken_not_starts_with_nocase";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "strategyToken_ends_with";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "strategyToken_ends_with_nocase";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "strategyToken_not_ends_with";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "strategyToken_not_ends_with_nocase";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "strategyToken_";
                type: {
                    kind: "INPUT_OBJECT";
                    name: "Strategy_filter";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "snapshots_";
                type: {
                    kind: "INPUT_OBJECT";
                    name: "VaultSnapshot_filter";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "permissions_";
                type: {
                    kind: "INPUT_OBJECT";
                    name: "WhiteListVaultPermission_filter";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "positions_";
                type: {
                    kind: "INPUT_OBJECT";
                    name: "VaultPosition_filter";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "depositors_";
                type: {
                    kind: "INPUT_OBJECT";
                    name: "Depositor_filter";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "annualPercentageYield";
                type: {
                    kind: "SCALAR";
                    name: "BigDecimal";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "annualPercentageYield_not";
                type: {
                    kind: "SCALAR";
                    name: "BigDecimal";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "annualPercentageYield_gt";
                type: {
                    kind: "SCALAR";
                    name: "BigDecimal";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "annualPercentageYield_lt";
                type: {
                    kind: "SCALAR";
                    name: "BigDecimal";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "annualPercentageYield_gte";
                type: {
                    kind: "SCALAR";
                    name: "BigDecimal";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "annualPercentageYield_lte";
                type: {
                    kind: "SCALAR";
                    name: "BigDecimal";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "annualPercentageYield_in";
                type: {
                    kind: "LIST";
                    name: never;
                    ofType: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "SCALAR";
                            name: "BigDecimal";
                            ofType: null;
                        };
                    };
                };
                defaultValue: null;
            }, {
                name: "annualPercentageYield_not_in";
                type: {
                    kind: "LIST";
                    name: never;
                    ofType: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "SCALAR";
                            name: "BigDecimal";
                            ofType: null;
                        };
                    };
                };
                defaultValue: null;
            }, {
                name: "annualPercentageDailyYield";
                type: {
                    kind: "SCALAR";
                    name: "BigDecimal";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "annualPercentageDailyYield_not";
                type: {
                    kind: "SCALAR";
                    name: "BigDecimal";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "annualPercentageDailyYield_gt";
                type: {
                    kind: "SCALAR";
                    name: "BigDecimal";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "annualPercentageDailyYield_lt";
                type: {
                    kind: "SCALAR";
                    name: "BigDecimal";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "annualPercentageDailyYield_gte";
                type: {
                    kind: "SCALAR";
                    name: "BigDecimal";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "annualPercentageDailyYield_lte";
                type: {
                    kind: "SCALAR";
                    name: "BigDecimal";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "annualPercentageDailyYield_in";
                type: {
                    kind: "LIST";
                    name: never;
                    ofType: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "SCALAR";
                            name: "BigDecimal";
                            ofType: null;
                        };
                    };
                };
                defaultValue: null;
            }, {
                name: "annualPercentageDailyYield_not_in";
                type: {
                    kind: "LIST";
                    name: never;
                    ofType: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "SCALAR";
                            name: "BigDecimal";
                            ofType: null;
                        };
                    };
                };
                defaultValue: null;
            }, {
                name: "annualPercentageMonthlyYield";
                type: {
                    kind: "SCALAR";
                    name: "BigDecimal";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "annualPercentageMonthlyYield_not";
                type: {
                    kind: "SCALAR";
                    name: "BigDecimal";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "annualPercentageMonthlyYield_gt";
                type: {
                    kind: "SCALAR";
                    name: "BigDecimal";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "annualPercentageMonthlyYield_lt";
                type: {
                    kind: "SCALAR";
                    name: "BigDecimal";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "annualPercentageMonthlyYield_gte";
                type: {
                    kind: "SCALAR";
                    name: "BigDecimal";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "annualPercentageMonthlyYield_lte";
                type: {
                    kind: "SCALAR";
                    name: "BigDecimal";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "annualPercentageMonthlyYield_in";
                type: {
                    kind: "LIST";
                    name: never;
                    ofType: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "SCALAR";
                            name: "BigDecimal";
                            ofType: null;
                        };
                    };
                };
                defaultValue: null;
            }, {
                name: "annualPercentageMonthlyYield_not_in";
                type: {
                    kind: "LIST";
                    name: never;
                    ofType: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "SCALAR";
                            name: "BigDecimal";
                            ofType: null;
                        };
                    };
                };
                defaultValue: null;
            }, {
                name: "annualPercentageYearlyYield";
                type: {
                    kind: "SCALAR";
                    name: "BigDecimal";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "annualPercentageYearlyYield_not";
                type: {
                    kind: "SCALAR";
                    name: "BigDecimal";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "annualPercentageYearlyYield_gt";
                type: {
                    kind: "SCALAR";
                    name: "BigDecimal";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "annualPercentageYearlyYield_lt";
                type: {
                    kind: "SCALAR";
                    name: "BigDecimal";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "annualPercentageYearlyYield_gte";
                type: {
                    kind: "SCALAR";
                    name: "BigDecimal";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "annualPercentageYearlyYield_lte";
                type: {
                    kind: "SCALAR";
                    name: "BigDecimal";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "annualPercentageYearlyYield_in";
                type: {
                    kind: "LIST";
                    name: never;
                    ofType: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "SCALAR";
                            name: "BigDecimal";
                            ofType: null;
                        };
                    };
                };
                defaultValue: null;
            }, {
                name: "annualPercentageYearlyYield_not_in";
                type: {
                    kind: "LIST";
                    name: never;
                    ofType: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "SCALAR";
                            name: "BigDecimal";
                            ofType: null;
                        };
                    };
                };
                defaultValue: null;
            }, {
                name: "lastTotalT0ValuePerLPT";
                type: {
                    kind: "SCALAR";
                    name: "BigDecimal";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "lastTotalT0ValuePerLPT_not";
                type: {
                    kind: "SCALAR";
                    name: "BigDecimal";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "lastTotalT0ValuePerLPT_gt";
                type: {
                    kind: "SCALAR";
                    name: "BigDecimal";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "lastTotalT0ValuePerLPT_lt";
                type: {
                    kind: "SCALAR";
                    name: "BigDecimal";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "lastTotalT0ValuePerLPT_gte";
                type: {
                    kind: "SCALAR";
                    name: "BigDecimal";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "lastTotalT0ValuePerLPT_lte";
                type: {
                    kind: "SCALAR";
                    name: "BigDecimal";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "lastTotalT0ValuePerLPT_in";
                type: {
                    kind: "LIST";
                    name: never;
                    ofType: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "SCALAR";
                            name: "BigDecimal";
                            ofType: null;
                        };
                    };
                };
                defaultValue: null;
            }, {
                name: "lastTotalT0ValuePerLPT_not_in";
                type: {
                    kind: "LIST";
                    name: never;
                    ofType: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "SCALAR";
                            name: "BigDecimal";
                            ofType: null;
                        };
                    };
                };
                defaultValue: null;
            }, {
                name: "accruedStrategistFees0";
                type: {
                    kind: "SCALAR";
                    name: "BigInt";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "accruedStrategistFees0_not";
                type: {
                    kind: "SCALAR";
                    name: "BigInt";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "accruedStrategistFees0_gt";
                type: {
                    kind: "SCALAR";
                    name: "BigInt";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "accruedStrategistFees0_lt";
                type: {
                    kind: "SCALAR";
                    name: "BigInt";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "accruedStrategistFees0_gte";
                type: {
                    kind: "SCALAR";
                    name: "BigInt";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "accruedStrategistFees0_lte";
                type: {
                    kind: "SCALAR";
                    name: "BigInt";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "accruedStrategistFees0_in";
                type: {
                    kind: "LIST";
                    name: never;
                    ofType: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "SCALAR";
                            name: "BigInt";
                            ofType: null;
                        };
                    };
                };
                defaultValue: null;
            }, {
                name: "accruedStrategistFees0_not_in";
                type: {
                    kind: "LIST";
                    name: never;
                    ofType: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "SCALAR";
                            name: "BigInt";
                            ofType: null;
                        };
                    };
                };
                defaultValue: null;
            }, {
                name: "accruedStrategistFees1";
                type: {
                    kind: "SCALAR";
                    name: "BigInt";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "accruedStrategistFees1_not";
                type: {
                    kind: "SCALAR";
                    name: "BigInt";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "accruedStrategistFees1_gt";
                type: {
                    kind: "SCALAR";
                    name: "BigInt";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "accruedStrategistFees1_lt";
                type: {
                    kind: "SCALAR";
                    name: "BigInt";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "accruedStrategistFees1_gte";
                type: {
                    kind: "SCALAR";
                    name: "BigInt";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "accruedStrategistFees1_lte";
                type: {
                    kind: "SCALAR";
                    name: "BigInt";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "accruedStrategistFees1_in";
                type: {
                    kind: "LIST";
                    name: never;
                    ofType: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "SCALAR";
                            name: "BigInt";
                            ofType: null;
                        };
                    };
                };
                defaultValue: null;
            }, {
                name: "accruedStrategistFees1_not_in";
                type: {
                    kind: "LIST";
                    name: never;
                    ofType: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "SCALAR";
                            name: "BigInt";
                            ofType: null;
                        };
                    };
                };
                defaultValue: null;
            }, {
                name: "fees0";
                type: {
                    kind: "SCALAR";
                    name: "BigInt";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "fees0_not";
                type: {
                    kind: "SCALAR";
                    name: "BigInt";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "fees0_gt";
                type: {
                    kind: "SCALAR";
                    name: "BigInt";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "fees0_lt";
                type: {
                    kind: "SCALAR";
                    name: "BigInt";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "fees0_gte";
                type: {
                    kind: "SCALAR";
                    name: "BigInt";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "fees0_lte";
                type: {
                    kind: "SCALAR";
                    name: "BigInt";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "fees0_in";
                type: {
                    kind: "LIST";
                    name: never;
                    ofType: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "SCALAR";
                            name: "BigInt";
                            ofType: null;
                        };
                    };
                };
                defaultValue: null;
            }, {
                name: "fees0_not_in";
                type: {
                    kind: "LIST";
                    name: never;
                    ofType: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "SCALAR";
                            name: "BigInt";
                            ofType: null;
                        };
                    };
                };
                defaultValue: null;
            }, {
                name: "fees1";
                type: {
                    kind: "SCALAR";
                    name: "BigInt";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "fees1_not";
                type: {
                    kind: "SCALAR";
                    name: "BigInt";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "fees1_gt";
                type: {
                    kind: "SCALAR";
                    name: "BigInt";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "fees1_lt";
                type: {
                    kind: "SCALAR";
                    name: "BigInt";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "fees1_gte";
                type: {
                    kind: "SCALAR";
                    name: "BigInt";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "fees1_lte";
                type: {
                    kind: "SCALAR";
                    name: "BigInt";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "fees1_in";
                type: {
                    kind: "LIST";
                    name: never;
                    ofType: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "SCALAR";
                            name: "BigInt";
                            ofType: null;
                        };
                    };
                };
                defaultValue: null;
            }, {
                name: "fees1_not_in";
                type: {
                    kind: "LIST";
                    name: never;
                    ofType: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "SCALAR";
                            name: "BigInt";
                            ofType: null;
                        };
                    };
                };
                defaultValue: null;
            }, {
                name: "beaconName";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "beaconName_not";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "beaconName_gt";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "beaconName_lt";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "beaconName_gte";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "beaconName_lte";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "beaconName_in";
                type: {
                    kind: "LIST";
                    name: never;
                    ofType: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "SCALAR";
                            name: "String";
                            ofType: null;
                        };
                    };
                };
                defaultValue: null;
            }, {
                name: "beaconName_not_in";
                type: {
                    kind: "LIST";
                    name: never;
                    ofType: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "SCALAR";
                            name: "String";
                            ofType: null;
                        };
                    };
                };
                defaultValue: null;
            }, {
                name: "beaconName_contains";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "beaconName_contains_nocase";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "beaconName_not_contains";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "beaconName_not_contains_nocase";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "beaconName_starts_with";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "beaconName_starts_with_nocase";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "beaconName_not_starts_with";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "beaconName_not_starts_with_nocase";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "beaconName_ends_with";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "beaconName_ends_with_nocase";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "beaconName_not_ends_with";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "beaconName_not_ends_with_nocase";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "jobs_";
                type: {
                    kind: "INPUT_OBJECT";
                    name: "Job_filter";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "gasUsed";
                type: {
                    kind: "SCALAR";
                    name: "BigInt";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "gasUsed_not";
                type: {
                    kind: "SCALAR";
                    name: "BigInt";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "gasUsed_gt";
                type: {
                    kind: "SCALAR";
                    name: "BigInt";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "gasUsed_lt";
                type: {
                    kind: "SCALAR";
                    name: "BigInt";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "gasUsed_gte";
                type: {
                    kind: "SCALAR";
                    name: "BigInt";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "gasUsed_lte";
                type: {
                    kind: "SCALAR";
                    name: "BigInt";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "gasUsed_in";
                type: {
                    kind: "LIST";
                    name: never;
                    ofType: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "SCALAR";
                            name: "BigInt";
                            ofType: null;
                        };
                    };
                };
                defaultValue: null;
            }, {
                name: "gasUsed_not_in";
                type: {
                    kind: "LIST";
                    name: never;
                    ofType: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "SCALAR";
                            name: "BigInt";
                            ofType: null;
                        };
                    };
                };
                defaultValue: null;
            }, {
                name: "gasDeposited";
                type: {
                    kind: "SCALAR";
                    name: "BigInt";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "gasDeposited_not";
                type: {
                    kind: "SCALAR";
                    name: "BigInt";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "gasDeposited_gt";
                type: {
                    kind: "SCALAR";
                    name: "BigInt";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "gasDeposited_lt";
                type: {
                    kind: "SCALAR";
                    name: "BigInt";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "gasDeposited_gte";
                type: {
                    kind: "SCALAR";
                    name: "BigInt";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "gasDeposited_lte";
                type: {
                    kind: "SCALAR";
                    name: "BigInt";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "gasDeposited_in";
                type: {
                    kind: "LIST";
                    name: never;
                    ofType: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "SCALAR";
                            name: "BigInt";
                            ofType: null;
                        };
                    };
                };
                defaultValue: null;
            }, {
                name: "gasDeposited_not_in";
                type: {
                    kind: "LIST";
                    name: never;
                    ofType: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "SCALAR";
                            name: "BigInt";
                            ofType: null;
                        };
                    };
                };
                defaultValue: null;
            }, {
                name: "totalLPTokensIssued";
                type: {
                    kind: "SCALAR";
                    name: "BigInt";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "totalLPTokensIssued_not";
                type: {
                    kind: "SCALAR";
                    name: "BigInt";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "totalLPTokensIssued_gt";
                type: {
                    kind: "SCALAR";
                    name: "BigInt";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "totalLPTokensIssued_lt";
                type: {
                    kind: "SCALAR";
                    name: "BigInt";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "totalLPTokensIssued_gte";
                type: {
                    kind: "SCALAR";
                    name: "BigInt";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "totalLPTokensIssued_lte";
                type: {
                    kind: "SCALAR";
                    name: "BigInt";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "totalLPTokensIssued_in";
                type: {
                    kind: "LIST";
                    name: never;
                    ofType: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "SCALAR";
                            name: "BigInt";
                            ofType: null;
                        };
                    };
                };
                defaultValue: null;
            }, {
                name: "totalLPTokensIssued_not_in";
                type: {
                    kind: "LIST";
                    name: never;
                    ofType: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "SCALAR";
                            name: "BigInt";
                            ofType: null;
                        };
                    };
                };
                defaultValue: null;
            }, {
                name: "token1Symbol";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "token1Symbol_not";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "token1Symbol_gt";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "token1Symbol_lt";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "token1Symbol_gte";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "token1Symbol_lte";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "token1Symbol_in";
                type: {
                    kind: "LIST";
                    name: never;
                    ofType: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "SCALAR";
                            name: "String";
                            ofType: null;
                        };
                    };
                };
                defaultValue: null;
            }, {
                name: "token1Symbol_not_in";
                type: {
                    kind: "LIST";
                    name: never;
                    ofType: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "SCALAR";
                            name: "String";
                            ofType: null;
                        };
                    };
                };
                defaultValue: null;
            }, {
                name: "token1Symbol_contains";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "token1Symbol_contains_nocase";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "token1Symbol_not_contains";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "token1Symbol_not_contains_nocase";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "token1Symbol_starts_with";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "token1Symbol_starts_with_nocase";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "token1Symbol_not_starts_with";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "token1Symbol_not_starts_with_nocase";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "token1Symbol_ends_with";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "token1Symbol_ends_with_nocase";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "token1Symbol_not_ends_with";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "token1Symbol_not_ends_with_nocase";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "decimals";
                type: {
                    kind: "SCALAR";
                    name: "BigInt";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "decimals_not";
                type: {
                    kind: "SCALAR";
                    name: "BigInt";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "decimals_gt";
                type: {
                    kind: "SCALAR";
                    name: "BigInt";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "decimals_lt";
                type: {
                    kind: "SCALAR";
                    name: "BigInt";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "decimals_gte";
                type: {
                    kind: "SCALAR";
                    name: "BigInt";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "decimals_lte";
                type: {
                    kind: "SCALAR";
                    name: "BigInt";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "decimals_in";
                type: {
                    kind: "LIST";
                    name: never;
                    ofType: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "SCALAR";
                            name: "BigInt";
                            ofType: null;
                        };
                    };
                };
                defaultValue: null;
            }, {
                name: "decimals_not_in";
                type: {
                    kind: "LIST";
                    name: never;
                    ofType: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "SCALAR";
                            name: "BigInt";
                            ofType: null;
                        };
                    };
                };
                defaultValue: null;
            }, {
                name: "feeTier";
                type: {
                    kind: "SCALAR";
                    name: "BigInt";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "feeTier_not";
                type: {
                    kind: "SCALAR";
                    name: "BigInt";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "feeTier_gt";
                type: {
                    kind: "SCALAR";
                    name: "BigInt";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "feeTier_lt";
                type: {
                    kind: "SCALAR";
                    name: "BigInt";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "feeTier_gte";
                type: {
                    kind: "SCALAR";
                    name: "BigInt";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "feeTier_lte";
                type: {
                    kind: "SCALAR";
                    name: "BigInt";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "feeTier_in";
                type: {
                    kind: "LIST";
                    name: never;
                    ofType: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "SCALAR";
                            name: "BigInt";
                            ofType: null;
                        };
                    };
                };
                defaultValue: null;
            }, {
                name: "feeTier_not_in";
                type: {
                    kind: "LIST";
                    name: never;
                    ofType: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "SCALAR";
                            name: "BigInt";
                            ofType: null;
                        };
                    };
                };
                defaultValue: null;
            }, {
                name: "name";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "name_not";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "name_gt";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "name_lt";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "name_gte";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "name_lte";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "name_in";
                type: {
                    kind: "LIST";
                    name: never;
                    ofType: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "SCALAR";
                            name: "String";
                            ofType: null;
                        };
                    };
                };
                defaultValue: null;
            }, {
                name: "name_not_in";
                type: {
                    kind: "LIST";
                    name: never;
                    ofType: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "SCALAR";
                            name: "String";
                            ofType: null;
                        };
                    };
                };
                defaultValue: null;
            }, {
                name: "name_contains";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "name_contains_nocase";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "name_not_contains";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "name_not_contains_nocase";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "name_starts_with";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "name_starts_with_nocase";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "name_not_starts_with";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "name_not_starts_with_nocase";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "name_ends_with";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "name_ends_with_nocase";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "name_not_ends_with";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "name_not_ends_with_nocase";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "symbol";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "symbol_not";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "symbol_gt";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "symbol_lt";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "symbol_gte";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "symbol_lte";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "symbol_in";
                type: {
                    kind: "LIST";
                    name: never;
                    ofType: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "SCALAR";
                            name: "String";
                            ofType: null;
                        };
                    };
                };
                defaultValue: null;
            }, {
                name: "symbol_not_in";
                type: {
                    kind: "LIST";
                    name: never;
                    ofType: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "SCALAR";
                            name: "String";
                            ofType: null;
                        };
                    };
                };
                defaultValue: null;
            }, {
                name: "symbol_contains";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "symbol_contains_nocase";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "symbol_not_contains";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "symbol_not_contains_nocase";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "symbol_starts_with";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "symbol_starts_with_nocase";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "symbol_not_starts_with";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "symbol_not_starts_with_nocase";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "symbol_ends_with";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "symbol_ends_with_nocase";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "symbol_not_ends_with";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "symbol_not_ends_with_nocase";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "token0Balance";
                type: {
                    kind: "SCALAR";
                    name: "BigInt";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "token0Balance_not";
                type: {
                    kind: "SCALAR";
                    name: "BigInt";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "token0Balance_gt";
                type: {
                    kind: "SCALAR";
                    name: "BigInt";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "token0Balance_lt";
                type: {
                    kind: "SCALAR";
                    name: "BigInt";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "token0Balance_gte";
                type: {
                    kind: "SCALAR";
                    name: "BigInt";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "token0Balance_lte";
                type: {
                    kind: "SCALAR";
                    name: "BigInt";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "token0Balance_in";
                type: {
                    kind: "LIST";
                    name: never;
                    ofType: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "SCALAR";
                            name: "BigInt";
                            ofType: null;
                        };
                    };
                };
                defaultValue: null;
            }, {
                name: "token0Balance_not_in";
                type: {
                    kind: "LIST";
                    name: never;
                    ofType: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "SCALAR";
                            name: "BigInt";
                            ofType: null;
                        };
                    };
                };
                defaultValue: null;
            }, {
                name: "token0Decimals";
                type: {
                    kind: "SCALAR";
                    name: "BigInt";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "token0Decimals_not";
                type: {
                    kind: "SCALAR";
                    name: "BigInt";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "token0Decimals_gt";
                type: {
                    kind: "SCALAR";
                    name: "BigInt";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "token0Decimals_lt";
                type: {
                    kind: "SCALAR";
                    name: "BigInt";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "token0Decimals_gte";
                type: {
                    kind: "SCALAR";
                    name: "BigInt";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "token0Decimals_lte";
                type: {
                    kind: "SCALAR";
                    name: "BigInt";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "token0Decimals_in";
                type: {
                    kind: "LIST";
                    name: never;
                    ofType: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "SCALAR";
                            name: "BigInt";
                            ofType: null;
                        };
                    };
                };
                defaultValue: null;
            }, {
                name: "token0Decimals_not_in";
                type: {
                    kind: "LIST";
                    name: never;
                    ofType: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "SCALAR";
                            name: "BigInt";
                            ofType: null;
                        };
                    };
                };
                defaultValue: null;
            }, {
                name: "token0Name";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "token0Name_not";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "token0Name_gt";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "token0Name_lt";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "token0Name_gte";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "token0Name_lte";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "token0Name_in";
                type: {
                    kind: "LIST";
                    name: never;
                    ofType: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "SCALAR";
                            name: "String";
                            ofType: null;
                        };
                    };
                };
                defaultValue: null;
            }, {
                name: "token0Name_not_in";
                type: {
                    kind: "LIST";
                    name: never;
                    ofType: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "SCALAR";
                            name: "String";
                            ofType: null;
                        };
                    };
                };
                defaultValue: null;
            }, {
                name: "token0Name_contains";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "token0Name_contains_nocase";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "token0Name_not_contains";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "token0Name_not_contains_nocase";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "token0Name_starts_with";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "token0Name_starts_with_nocase";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "token0Name_not_starts_with";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "token0Name_not_starts_with_nocase";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "token0Name_ends_with";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "token0Name_ends_with_nocase";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "token0Name_not_ends_with";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "token0Name_not_ends_with_nocase";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "token0Symbol";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "token0Symbol_not";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "token0Symbol_gt";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "token0Symbol_lt";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "token0Symbol_gte";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "token0Symbol_lte";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "token0Symbol_in";
                type: {
                    kind: "LIST";
                    name: never;
                    ofType: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "SCALAR";
                            name: "String";
                            ofType: null;
                        };
                    };
                };
                defaultValue: null;
            }, {
                name: "token0Symbol_not_in";
                type: {
                    kind: "LIST";
                    name: never;
                    ofType: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "SCALAR";
                            name: "String";
                            ofType: null;
                        };
                    };
                };
                defaultValue: null;
            }, {
                name: "token0Symbol_contains";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "token0Symbol_contains_nocase";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "token0Symbol_not_contains";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "token0Symbol_not_contains_nocase";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "token0Symbol_starts_with";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "token0Symbol_starts_with_nocase";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "token0Symbol_not_starts_with";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "token0Symbol_not_starts_with_nocase";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "token0Symbol_ends_with";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "token0Symbol_ends_with_nocase";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "token0Symbol_not_ends_with";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "token0Symbol_not_ends_with_nocase";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "token1Balance";
                type: {
                    kind: "SCALAR";
                    name: "BigInt";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "token1Balance_not";
                type: {
                    kind: "SCALAR";
                    name: "BigInt";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "token1Balance_gt";
                type: {
                    kind: "SCALAR";
                    name: "BigInt";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "token1Balance_lt";
                type: {
                    kind: "SCALAR";
                    name: "BigInt";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "token1Balance_gte";
                type: {
                    kind: "SCALAR";
                    name: "BigInt";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "token1Balance_lte";
                type: {
                    kind: "SCALAR";
                    name: "BigInt";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "token1Balance_in";
                type: {
                    kind: "LIST";
                    name: never;
                    ofType: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "SCALAR";
                            name: "BigInt";
                            ofType: null;
                        };
                    };
                };
                defaultValue: null;
            }, {
                name: "token1Balance_not_in";
                type: {
                    kind: "LIST";
                    name: never;
                    ofType: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "SCALAR";
                            name: "BigInt";
                            ofType: null;
                        };
                    };
                };
                defaultValue: null;
            }, {
                name: "token1Decimals";
                type: {
                    kind: "SCALAR";
                    name: "BigInt";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "token1Decimals_not";
                type: {
                    kind: "SCALAR";
                    name: "BigInt";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "token1Decimals_gt";
                type: {
                    kind: "SCALAR";
                    name: "BigInt";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "token1Decimals_lt";
                type: {
                    kind: "SCALAR";
                    name: "BigInt";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "token1Decimals_gte";
                type: {
                    kind: "SCALAR";
                    name: "BigInt";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "token1Decimals_lte";
                type: {
                    kind: "SCALAR";
                    name: "BigInt";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "token1Decimals_in";
                type: {
                    kind: "LIST";
                    name: never;
                    ofType: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "SCALAR";
                            name: "BigInt";
                            ofType: null;
                        };
                    };
                };
                defaultValue: null;
            }, {
                name: "token1Decimals_not_in";
                type: {
                    kind: "LIST";
                    name: never;
                    ofType: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "SCALAR";
                            name: "BigInt";
                            ofType: null;
                        };
                    };
                };
                defaultValue: null;
            }, {
                name: "token1Name";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "token1Name_not";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "token1Name_gt";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "token1Name_lt";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "token1Name_gte";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "token1Name_lte";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "token1Name_in";
                type: {
                    kind: "LIST";
                    name: never;
                    ofType: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "SCALAR";
                            name: "String";
                            ofType: null;
                        };
                    };
                };
                defaultValue: null;
            }, {
                name: "token1Name_not_in";
                type: {
                    kind: "LIST";
                    name: never;
                    ofType: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "SCALAR";
                            name: "String";
                            ofType: null;
                        };
                    };
                };
                defaultValue: null;
            }, {
                name: "token1Name_contains";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "token1Name_contains_nocase";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "token1Name_not_contains";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "token1Name_not_contains_nocase";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "token1Name_starts_with";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "token1Name_starts_with_nocase";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "token1Name_not_starts_with";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "token1Name_not_starts_with_nocase";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "token1Name_ends_with";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "token1Name_ends_with_nocase";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "token1Name_not_ends_with";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "token1Name_not_ends_with_nocase";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "payloadIpfs";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "payloadIpfs_not";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "payloadIpfs_gt";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "payloadIpfs_lt";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "payloadIpfs_gte";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "payloadIpfs_lte";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "payloadIpfs_in";
                type: {
                    kind: "LIST";
                    name: never;
                    ofType: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "SCALAR";
                            name: "String";
                            ofType: null;
                        };
                    };
                };
                defaultValue: null;
            }, {
                name: "payloadIpfs_not_in";
                type: {
                    kind: "LIST";
                    name: never;
                    ofType: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "SCALAR";
                            name: "String";
                            ofType: null;
                        };
                    };
                };
                defaultValue: null;
            }, {
                name: "payloadIpfs_contains";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "payloadIpfs_contains_nocase";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "payloadIpfs_not_contains";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "payloadIpfs_not_contains_nocase";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "payloadIpfs_starts_with";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "payloadIpfs_starts_with_nocase";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "payloadIpfs_not_starts_with";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "payloadIpfs_not_starts_with_nocase";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "payloadIpfs_ends_with";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "payloadIpfs_ends_with_nocase";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "payloadIpfs_not_ends_with";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "payloadIpfs_not_ends_with_nocase";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "vaultManager";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "vaultManager_not";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "vaultManager_gt";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "vaultManager_lt";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "vaultManager_gte";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "vaultManager_lte";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "vaultManager_in";
                type: {
                    kind: "LIST";
                    name: never;
                    ofType: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "SCALAR";
                            name: "String";
                            ofType: null;
                        };
                    };
                };
                defaultValue: null;
            }, {
                name: "vaultManager_not_in";
                type: {
                    kind: "LIST";
                    name: never;
                    ofType: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "SCALAR";
                            name: "String";
                            ofType: null;
                        };
                    };
                };
                defaultValue: null;
            }, {
                name: "vaultManager_contains";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "vaultManager_contains_nocase";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "vaultManager_not_contains";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "vaultManager_not_contains_nocase";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "vaultManager_starts_with";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "vaultManager_starts_with_nocase";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "vaultManager_not_starts_with";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "vaultManager_not_starts_with_nocase";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "vaultManager_ends_with";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "vaultManager_ends_with_nocase";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "vaultManager_not_ends_with";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "vaultManager_not_ends_with_nocase";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "averageFeeArrPerSecond";
                type: {
                    kind: "SCALAR";
                    name: "BigDecimal";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "averageFeeArrPerSecond_not";
                type: {
                    kind: "SCALAR";
                    name: "BigDecimal";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "averageFeeArrPerSecond_gt";
                type: {
                    kind: "SCALAR";
                    name: "BigDecimal";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "averageFeeArrPerSecond_lt";
                type: {
                    kind: "SCALAR";
                    name: "BigDecimal";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "averageFeeArrPerSecond_gte";
                type: {
                    kind: "SCALAR";
                    name: "BigDecimal";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "averageFeeArrPerSecond_lte";
                type: {
                    kind: "SCALAR";
                    name: "BigDecimal";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "averageFeeArrPerSecond_in";
                type: {
                    kind: "LIST";
                    name: never;
                    ofType: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "SCALAR";
                            name: "BigDecimal";
                            ofType: null;
                        };
                    };
                };
                defaultValue: null;
            }, {
                name: "averageFeeArrPerSecond_not_in";
                type: {
                    kind: "LIST";
                    name: never;
                    ofType: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "SCALAR";
                            name: "BigDecimal";
                            ofType: null;
                        };
                    };
                };
                defaultValue: null;
            }, {
                name: "totalSnapshots";
                type: {
                    kind: "SCALAR";
                    name: "BigInt";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "totalSnapshots_not";
                type: {
                    kind: "SCALAR";
                    name: "BigInt";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "totalSnapshots_gt";
                type: {
                    kind: "SCALAR";
                    name: "BigInt";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "totalSnapshots_lt";
                type: {
                    kind: "SCALAR";
                    name: "BigInt";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "totalSnapshots_gte";
                type: {
                    kind: "SCALAR";
                    name: "BigInt";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "totalSnapshots_lte";
                type: {
                    kind: "SCALAR";
                    name: "BigInt";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "totalSnapshots_in";
                type: {
                    kind: "LIST";
                    name: never;
                    ofType: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "SCALAR";
                            name: "BigInt";
                            ofType: null;
                        };
                    };
                };
                defaultValue: null;
            }, {
                name: "totalSnapshots_not_in";
                type: {
                    kind: "LIST";
                    name: never;
                    ofType: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "SCALAR";
                            name: "BigInt";
                            ofType: null;
                        };
                    };
                };
                defaultValue: null;
            }, {
                name: "annualFeeARR";
                type: {
                    kind: "SCALAR";
                    name: "BigDecimal";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "annualFeeARR_not";
                type: {
                    kind: "SCALAR";
                    name: "BigDecimal";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "annualFeeARR_gt";
                type: {
                    kind: "SCALAR";
                    name: "BigDecimal";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "annualFeeARR_lt";
                type: {
                    kind: "SCALAR";
                    name: "BigDecimal";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "annualFeeARR_gte";
                type: {
                    kind: "SCALAR";
                    name: "BigDecimal";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "annualFeeARR_lte";
                type: {
                    kind: "SCALAR";
                    name: "BigDecimal";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "annualFeeARR_in";
                type: {
                    kind: "LIST";
                    name: never;
                    ofType: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "SCALAR";
                            name: "BigDecimal";
                            ofType: null;
                        };
                    };
                };
                defaultValue: null;
            }, {
                name: "annualFeeARR_not_in";
                type: {
                    kind: "LIST";
                    name: never;
                    ofType: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "SCALAR";
                            name: "BigDecimal";
                            ofType: null;
                        };
                    };
                };
                defaultValue: null;
            }, {
                name: "dailyFeeAPR";
                type: {
                    kind: "SCALAR";
                    name: "BigDecimal";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "dailyFeeAPR_not";
                type: {
                    kind: "SCALAR";
                    name: "BigDecimal";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "dailyFeeAPR_gt";
                type: {
                    kind: "SCALAR";
                    name: "BigDecimal";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "dailyFeeAPR_lt";
                type: {
                    kind: "SCALAR";
                    name: "BigDecimal";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "dailyFeeAPR_gte";
                type: {
                    kind: "SCALAR";
                    name: "BigDecimal";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "dailyFeeAPR_lte";
                type: {
                    kind: "SCALAR";
                    name: "BigDecimal";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "dailyFeeAPR_in";
                type: {
                    kind: "LIST";
                    name: never;
                    ofType: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "SCALAR";
                            name: "BigDecimal";
                            ofType: null;
                        };
                    };
                };
                defaultValue: null;
            }, {
                name: "dailyFeeAPR_not_in";
                type: {
                    kind: "LIST";
                    name: never;
                    ofType: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "SCALAR";
                            name: "BigDecimal";
                            ofType: null;
                        };
                    };
                };
                defaultValue: null;
            }, {
                name: "weeklyFeeAPR";
                type: {
                    kind: "SCALAR";
                    name: "BigDecimal";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "weeklyFeeAPR_not";
                type: {
                    kind: "SCALAR";
                    name: "BigDecimal";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "weeklyFeeAPR_gt";
                type: {
                    kind: "SCALAR";
                    name: "BigDecimal";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "weeklyFeeAPR_lt";
                type: {
                    kind: "SCALAR";
                    name: "BigDecimal";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "weeklyFeeAPR_gte";
                type: {
                    kind: "SCALAR";
                    name: "BigDecimal";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "weeklyFeeAPR_lte";
                type: {
                    kind: "SCALAR";
                    name: "BigDecimal";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "weeklyFeeAPR_in";
                type: {
                    kind: "LIST";
                    name: never;
                    ofType: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "SCALAR";
                            name: "BigDecimal";
                            ofType: null;
                        };
                    };
                };
                defaultValue: null;
            }, {
                name: "weeklyFeeAPR_not_in";
                type: {
                    kind: "LIST";
                    name: never;
                    ofType: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "SCALAR";
                            name: "BigDecimal";
                            ofType: null;
                        };
                    };
                };
                defaultValue: null;
            }, {
                name: "totalValueLockedToken0";
                type: {
                    kind: "SCALAR";
                    name: "BigDecimal";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "totalValueLockedToken0_not";
                type: {
                    kind: "SCALAR";
                    name: "BigDecimal";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "totalValueLockedToken0_gt";
                type: {
                    kind: "SCALAR";
                    name: "BigDecimal";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "totalValueLockedToken0_lt";
                type: {
                    kind: "SCALAR";
                    name: "BigDecimal";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "totalValueLockedToken0_gte";
                type: {
                    kind: "SCALAR";
                    name: "BigDecimal";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "totalValueLockedToken0_lte";
                type: {
                    kind: "SCALAR";
                    name: "BigDecimal";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "totalValueLockedToken0_in";
                type: {
                    kind: "LIST";
                    name: never;
                    ofType: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "SCALAR";
                            name: "BigDecimal";
                            ofType: null;
                        };
                    };
                };
                defaultValue: null;
            }, {
                name: "totalValueLockedToken0_not_in";
                type: {
                    kind: "LIST";
                    name: never;
                    ofType: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "SCALAR";
                            name: "BigDecimal";
                            ofType: null;
                        };
                    };
                };
                defaultValue: null;
            }, {
                name: "totalValueLockedToken1";
                type: {
                    kind: "SCALAR";
                    name: "BigDecimal";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "totalValueLockedToken1_not";
                type: {
                    kind: "SCALAR";
                    name: "BigDecimal";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "totalValueLockedToken1_gt";
                type: {
                    kind: "SCALAR";
                    name: "BigDecimal";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "totalValueLockedToken1_lt";
                type: {
                    kind: "SCALAR";
                    name: "BigDecimal";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "totalValueLockedToken1_gte";
                type: {
                    kind: "SCALAR";
                    name: "BigDecimal";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "totalValueLockedToken1_lte";
                type: {
                    kind: "SCALAR";
                    name: "BigDecimal";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "totalValueLockedToken1_in";
                type: {
                    kind: "LIST";
                    name: never;
                    ofType: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "SCALAR";
                            name: "BigDecimal";
                            ofType: null;
                        };
                    };
                };
                defaultValue: null;
            }, {
                name: "totalValueLockedToken1_not_in";
                type: {
                    kind: "LIST";
                    name: never;
                    ofType: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "SCALAR";
                            name: "BigDecimal";
                            ofType: null;
                        };
                    };
                };
                defaultValue: null;
            }, {
                name: "_change_block";
                type: {
                    kind: "INPUT_OBJECT";
                    name: "BlockChangedFilter";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "and";
                type: {
                    kind: "LIST";
                    name: never;
                    ofType: {
                        kind: "INPUT_OBJECT";
                        name: "Vault_filter";
                        ofType: null;
                    };
                };
                defaultValue: null;
            }, {
                name: "or";
                type: {
                    kind: "LIST";
                    name: never;
                    ofType: {
                        kind: "INPUT_OBJECT";
                        name: "Vault_filter";
                        ofType: null;
                    };
                };
                defaultValue: null;
            }];
        };
        Vault_orderBy: {
            name: "Vault_orderBy";
            enumValues: "symbol" | "id" | "pool" | "gasUsed" | "token0" | "token1" | "name" | "decimals" | "createdAt" | "feeTier" | "totalValueLockedToken0" | "totalValueLockedToken1" | "positions" | "state" | "fees0" | "fees1" | "totalAmount0" | "totalAmount1" | "averageFeeArrPerSecond" | "totalSnapshots" | "depositors" | "jobs" | "accruedStrategistFees0" | "accruedStrategistFees1" | "annualFeeARR" | "annualPercentageDailyYield" | "annualPercentageMonthlyYield" | "annualPercentageYearlyYield" | "annualPercentageYield" | "beaconName" | "dailyFeeAPR" | "deployer" | "gasDeposited" | "lastSnapshot" | "lastTotalT0ValuePerLPT" | "payloadIpfs" | "permissions" | "snapshots" | "statusUpdates" | "strategyToken" | "token0Balance" | "token0Decimals" | "token0Name" | "token0Symbol" | "token1Balance" | "token1Decimals" | "token1Name" | "token1Symbol" | "totalLPTokensIssued" | "vaultManager" | "weeklyFeeAPR" | "strategyToken__id" | "strategyToken__name" | "strategyToken__createdAt" | "strategyToken__admin" | "strategyToken__executionBundle";
        };
        Vote: {
            kind: "OBJECT";
            name: "Vote";
            fields: {
                action: {
                    name: "action";
                    type: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "OBJECT";
                            name: "OrchestratorAction";
                            ofType: null;
                        };
                    };
                };
                by: {
                    name: "by";
                    type: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "OBJECT";
                            name: "Keeper";
                            ofType: null;
                        };
                    };
                };
                id: {
                    name: "id";
                    type: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "SCALAR";
                            name: "ID";
                            ofType: null;
                        };
                    };
                };
                timestamp: {
                    name: "timestamp";
                    type: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "SCALAR";
                            name: "BigInt";
                            ofType: null;
                        };
                    };
                };
            };
        };
        Vote_filter: {
            kind: "INPUT_OBJECT";
            name: "Vote_filter";
            isOneOf: false;
            inputFields: [{
                name: "id";
                type: {
                    kind: "SCALAR";
                    name: "ID";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "id_not";
                type: {
                    kind: "SCALAR";
                    name: "ID";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "id_gt";
                type: {
                    kind: "SCALAR";
                    name: "ID";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "id_lt";
                type: {
                    kind: "SCALAR";
                    name: "ID";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "id_gte";
                type: {
                    kind: "SCALAR";
                    name: "ID";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "id_lte";
                type: {
                    kind: "SCALAR";
                    name: "ID";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "id_in";
                type: {
                    kind: "LIST";
                    name: never;
                    ofType: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "SCALAR";
                            name: "ID";
                            ofType: null;
                        };
                    };
                };
                defaultValue: null;
            }, {
                name: "id_not_in";
                type: {
                    kind: "LIST";
                    name: never;
                    ofType: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "SCALAR";
                            name: "ID";
                            ofType: null;
                        };
                    };
                };
                defaultValue: null;
            }, {
                name: "timestamp";
                type: {
                    kind: "SCALAR";
                    name: "BigInt";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "timestamp_not";
                type: {
                    kind: "SCALAR";
                    name: "BigInt";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "timestamp_gt";
                type: {
                    kind: "SCALAR";
                    name: "BigInt";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "timestamp_lt";
                type: {
                    kind: "SCALAR";
                    name: "BigInt";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "timestamp_gte";
                type: {
                    kind: "SCALAR";
                    name: "BigInt";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "timestamp_lte";
                type: {
                    kind: "SCALAR";
                    name: "BigInt";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "timestamp_in";
                type: {
                    kind: "LIST";
                    name: never;
                    ofType: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "SCALAR";
                            name: "BigInt";
                            ofType: null;
                        };
                    };
                };
                defaultValue: null;
            }, {
                name: "timestamp_not_in";
                type: {
                    kind: "LIST";
                    name: never;
                    ofType: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "SCALAR";
                            name: "BigInt";
                            ofType: null;
                        };
                    };
                };
                defaultValue: null;
            }, {
                name: "by";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "by_not";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "by_gt";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "by_lt";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "by_gte";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "by_lte";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "by_in";
                type: {
                    kind: "LIST";
                    name: never;
                    ofType: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "SCALAR";
                            name: "String";
                            ofType: null;
                        };
                    };
                };
                defaultValue: null;
            }, {
                name: "by_not_in";
                type: {
                    kind: "LIST";
                    name: never;
                    ofType: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "SCALAR";
                            name: "String";
                            ofType: null;
                        };
                    };
                };
                defaultValue: null;
            }, {
                name: "by_contains";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "by_contains_nocase";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "by_not_contains";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "by_not_contains_nocase";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "by_starts_with";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "by_starts_with_nocase";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "by_not_starts_with";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "by_not_starts_with_nocase";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "by_ends_with";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "by_ends_with_nocase";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "by_not_ends_with";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "by_not_ends_with_nocase";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "by_";
                type: {
                    kind: "INPUT_OBJECT";
                    name: "Keeper_filter";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "action";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "action_not";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "action_gt";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "action_lt";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "action_gte";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "action_lte";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "action_in";
                type: {
                    kind: "LIST";
                    name: never;
                    ofType: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "SCALAR";
                            name: "String";
                            ofType: null;
                        };
                    };
                };
                defaultValue: null;
            }, {
                name: "action_not_in";
                type: {
                    kind: "LIST";
                    name: never;
                    ofType: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "SCALAR";
                            name: "String";
                            ofType: null;
                        };
                    };
                };
                defaultValue: null;
            }, {
                name: "action_contains";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "action_contains_nocase";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "action_not_contains";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "action_not_contains_nocase";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "action_starts_with";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "action_starts_with_nocase";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "action_not_starts_with";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "action_not_starts_with_nocase";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "action_ends_with";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "action_ends_with_nocase";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "action_not_ends_with";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "action_not_ends_with_nocase";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "action_";
                type: {
                    kind: "INPUT_OBJECT";
                    name: "OrchestratorAction_filter";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "_change_block";
                type: {
                    kind: "INPUT_OBJECT";
                    name: "BlockChangedFilter";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "and";
                type: {
                    kind: "LIST";
                    name: never;
                    ofType: {
                        kind: "INPUT_OBJECT";
                        name: "Vote_filter";
                        ofType: null;
                    };
                };
                defaultValue: null;
            }, {
                name: "or";
                type: {
                    kind: "LIST";
                    name: never;
                    ofType: {
                        kind: "INPUT_OBJECT";
                        name: "Vote_filter";
                        ofType: null;
                    };
                };
                defaultValue: null;
            }];
        };
        Vote_orderBy: {
            name: "Vote_orderBy";
            enumValues: "id" | "timestamp" | "action" | "action__id" | "action__timestamp" | "action__lastUpdated" | "action__state" | "action__status" | "action__vault" | "action__transactionHash" | "action__hash" | "action__gasUsed" | "by" | "by__id" | "by__bondHeld" | "by__index" | "by__status";
        };
        WhiteListManager: {
            kind: "OBJECT";
            name: "WhiteListManager";
            fields: {
                address: {
                    name: "address";
                    type: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "SCALAR";
                            name: "String";
                            ofType: null;
                        };
                    };
                };
                id: {
                    name: "id";
                    type: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "SCALAR";
                            name: "ID";
                            ofType: null;
                        };
                    };
                };
                permission: {
                    name: "permission";
                    type: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "OBJECT";
                            name: "WhiteListVaultPermission";
                            ofType: null;
                        };
                    };
                };
                timestamp: {
                    name: "timestamp";
                    type: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "SCALAR";
                            name: "BigInt";
                            ofType: null;
                        };
                    };
                };
                vault: {
                    name: "vault";
                    type: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "SCALAR";
                            name: "String";
                            ofType: null;
                        };
                    };
                };
            };
        };
        WhiteListManager_filter: {
            kind: "INPUT_OBJECT";
            name: "WhiteListManager_filter";
            isOneOf: false;
            inputFields: [{
                name: "id";
                type: {
                    kind: "SCALAR";
                    name: "ID";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "id_not";
                type: {
                    kind: "SCALAR";
                    name: "ID";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "id_gt";
                type: {
                    kind: "SCALAR";
                    name: "ID";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "id_lt";
                type: {
                    kind: "SCALAR";
                    name: "ID";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "id_gte";
                type: {
                    kind: "SCALAR";
                    name: "ID";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "id_lte";
                type: {
                    kind: "SCALAR";
                    name: "ID";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "id_in";
                type: {
                    kind: "LIST";
                    name: never;
                    ofType: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "SCALAR";
                            name: "ID";
                            ofType: null;
                        };
                    };
                };
                defaultValue: null;
            }, {
                name: "id_not_in";
                type: {
                    kind: "LIST";
                    name: never;
                    ofType: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "SCALAR";
                            name: "ID";
                            ofType: null;
                        };
                    };
                };
                defaultValue: null;
            }, {
                name: "address";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "address_not";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "address_gt";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "address_lt";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "address_gte";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "address_lte";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "address_in";
                type: {
                    kind: "LIST";
                    name: never;
                    ofType: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "SCALAR";
                            name: "String";
                            ofType: null;
                        };
                    };
                };
                defaultValue: null;
            }, {
                name: "address_not_in";
                type: {
                    kind: "LIST";
                    name: never;
                    ofType: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "SCALAR";
                            name: "String";
                            ofType: null;
                        };
                    };
                };
                defaultValue: null;
            }, {
                name: "address_contains";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "address_contains_nocase";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "address_not_contains";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "address_not_contains_nocase";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "address_starts_with";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "address_starts_with_nocase";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "address_not_starts_with";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "address_not_starts_with_nocase";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "address_ends_with";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "address_ends_with_nocase";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "address_not_ends_with";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "address_not_ends_with_nocase";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "vault";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "vault_not";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "vault_gt";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "vault_lt";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "vault_gte";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "vault_lte";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "vault_in";
                type: {
                    kind: "LIST";
                    name: never;
                    ofType: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "SCALAR";
                            name: "String";
                            ofType: null;
                        };
                    };
                };
                defaultValue: null;
            }, {
                name: "vault_not_in";
                type: {
                    kind: "LIST";
                    name: never;
                    ofType: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "SCALAR";
                            name: "String";
                            ofType: null;
                        };
                    };
                };
                defaultValue: null;
            }, {
                name: "vault_contains";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "vault_contains_nocase";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "vault_not_contains";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "vault_not_contains_nocase";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "vault_starts_with";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "vault_starts_with_nocase";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "vault_not_starts_with";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "vault_not_starts_with_nocase";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "vault_ends_with";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "vault_ends_with_nocase";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "vault_not_ends_with";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "vault_not_ends_with_nocase";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "timestamp";
                type: {
                    kind: "SCALAR";
                    name: "BigInt";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "timestamp_not";
                type: {
                    kind: "SCALAR";
                    name: "BigInt";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "timestamp_gt";
                type: {
                    kind: "SCALAR";
                    name: "BigInt";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "timestamp_lt";
                type: {
                    kind: "SCALAR";
                    name: "BigInt";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "timestamp_gte";
                type: {
                    kind: "SCALAR";
                    name: "BigInt";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "timestamp_lte";
                type: {
                    kind: "SCALAR";
                    name: "BigInt";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "timestamp_in";
                type: {
                    kind: "LIST";
                    name: never;
                    ofType: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "SCALAR";
                            name: "BigInt";
                            ofType: null;
                        };
                    };
                };
                defaultValue: null;
            }, {
                name: "timestamp_not_in";
                type: {
                    kind: "LIST";
                    name: never;
                    ofType: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "SCALAR";
                            name: "BigInt";
                            ofType: null;
                        };
                    };
                };
                defaultValue: null;
            }, {
                name: "permission_";
                type: {
                    kind: "INPUT_OBJECT";
                    name: "WhiteListVaultPermission_filter";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "_change_block";
                type: {
                    kind: "INPUT_OBJECT";
                    name: "BlockChangedFilter";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "and";
                type: {
                    kind: "LIST";
                    name: never;
                    ofType: {
                        kind: "INPUT_OBJECT";
                        name: "WhiteListManager_filter";
                        ofType: null;
                    };
                };
                defaultValue: null;
            }, {
                name: "or";
                type: {
                    kind: "LIST";
                    name: never;
                    ofType: {
                        kind: "INPUT_OBJECT";
                        name: "WhiteListManager_filter";
                        ofType: null;
                    };
                };
                defaultValue: null;
            }];
        };
        WhiteListManager_orderBy: {
            name: "WhiteListManager_orderBy";
            enumValues: "id" | "address" | "timestamp" | "vault" | "permission" | "permission__id" | "permission__timestamp" | "permission__updatedTimestamp";
        };
        WhiteListVaultPermission: {
            kind: "OBJECT";
            name: "WhiteListVaultPermission";
            fields: {
                addresses: {
                    name: "addresses";
                    type: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "LIST";
                            name: never;
                            ofType: {
                                kind: "NON_NULL";
                                name: never;
                                ofType: {
                                    kind: "SCALAR";
                                    name: "String";
                                    ofType: null;
                                };
                            };
                        };
                    };
                };
                id: {
                    name: "id";
                    type: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "SCALAR";
                            name: "ID";
                            ofType: null;
                        };
                    };
                };
                manager: {
                    name: "manager";
                    type: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "OBJECT";
                            name: "WhiteListManager";
                            ofType: null;
                        };
                    };
                };
                timestamp: {
                    name: "timestamp";
                    type: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "SCALAR";
                            name: "BigInt";
                            ofType: null;
                        };
                    };
                };
                updatedTimestamp: {
                    name: "updatedTimestamp";
                    type: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "SCALAR";
                            name: "BigInt";
                            ofType: null;
                        };
                    };
                };
                vault: {
                    name: "vault";
                    type: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "OBJECT";
                            name: "Vault";
                            ofType: null;
                        };
                    };
                };
            };
        };
        WhiteListVaultPermission_filter: {
            kind: "INPUT_OBJECT";
            name: "WhiteListVaultPermission_filter";
            isOneOf: false;
            inputFields: [{
                name: "id";
                type: {
                    kind: "SCALAR";
                    name: "ID";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "id_not";
                type: {
                    kind: "SCALAR";
                    name: "ID";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "id_gt";
                type: {
                    kind: "SCALAR";
                    name: "ID";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "id_lt";
                type: {
                    kind: "SCALAR";
                    name: "ID";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "id_gte";
                type: {
                    kind: "SCALAR";
                    name: "ID";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "id_lte";
                type: {
                    kind: "SCALAR";
                    name: "ID";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "id_in";
                type: {
                    kind: "LIST";
                    name: never;
                    ofType: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "SCALAR";
                            name: "ID";
                            ofType: null;
                        };
                    };
                };
                defaultValue: null;
            }, {
                name: "id_not_in";
                type: {
                    kind: "LIST";
                    name: never;
                    ofType: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "SCALAR";
                            name: "ID";
                            ofType: null;
                        };
                    };
                };
                defaultValue: null;
            }, {
                name: "manager";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "manager_not";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "manager_gt";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "manager_lt";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "manager_gte";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "manager_lte";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "manager_in";
                type: {
                    kind: "LIST";
                    name: never;
                    ofType: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "SCALAR";
                            name: "String";
                            ofType: null;
                        };
                    };
                };
                defaultValue: null;
            }, {
                name: "manager_not_in";
                type: {
                    kind: "LIST";
                    name: never;
                    ofType: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "SCALAR";
                            name: "String";
                            ofType: null;
                        };
                    };
                };
                defaultValue: null;
            }, {
                name: "manager_contains";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "manager_contains_nocase";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "manager_not_contains";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "manager_not_contains_nocase";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "manager_starts_with";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "manager_starts_with_nocase";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "manager_not_starts_with";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "manager_not_starts_with_nocase";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "manager_ends_with";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "manager_ends_with_nocase";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "manager_not_ends_with";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "manager_not_ends_with_nocase";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "manager_";
                type: {
                    kind: "INPUT_OBJECT";
                    name: "WhiteListManager_filter";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "vault";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "vault_not";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "vault_gt";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "vault_lt";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "vault_gte";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "vault_lte";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "vault_in";
                type: {
                    kind: "LIST";
                    name: never;
                    ofType: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "SCALAR";
                            name: "String";
                            ofType: null;
                        };
                    };
                };
                defaultValue: null;
            }, {
                name: "vault_not_in";
                type: {
                    kind: "LIST";
                    name: never;
                    ofType: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "SCALAR";
                            name: "String";
                            ofType: null;
                        };
                    };
                };
                defaultValue: null;
            }, {
                name: "vault_contains";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "vault_contains_nocase";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "vault_not_contains";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "vault_not_contains_nocase";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "vault_starts_with";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "vault_starts_with_nocase";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "vault_not_starts_with";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "vault_not_starts_with_nocase";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "vault_ends_with";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "vault_ends_with_nocase";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "vault_not_ends_with";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "vault_not_ends_with_nocase";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "vault_";
                type: {
                    kind: "INPUT_OBJECT";
                    name: "Vault_filter";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "addresses";
                type: {
                    kind: "LIST";
                    name: never;
                    ofType: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "SCALAR";
                            name: "String";
                            ofType: null;
                        };
                    };
                };
                defaultValue: null;
            }, {
                name: "addresses_not";
                type: {
                    kind: "LIST";
                    name: never;
                    ofType: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "SCALAR";
                            name: "String";
                            ofType: null;
                        };
                    };
                };
                defaultValue: null;
            }, {
                name: "addresses_contains";
                type: {
                    kind: "LIST";
                    name: never;
                    ofType: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "SCALAR";
                            name: "String";
                            ofType: null;
                        };
                    };
                };
                defaultValue: null;
            }, {
                name: "addresses_contains_nocase";
                type: {
                    kind: "LIST";
                    name: never;
                    ofType: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "SCALAR";
                            name: "String";
                            ofType: null;
                        };
                    };
                };
                defaultValue: null;
            }, {
                name: "addresses_not_contains";
                type: {
                    kind: "LIST";
                    name: never;
                    ofType: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "SCALAR";
                            name: "String";
                            ofType: null;
                        };
                    };
                };
                defaultValue: null;
            }, {
                name: "addresses_not_contains_nocase";
                type: {
                    kind: "LIST";
                    name: never;
                    ofType: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "SCALAR";
                            name: "String";
                            ofType: null;
                        };
                    };
                };
                defaultValue: null;
            }, {
                name: "timestamp";
                type: {
                    kind: "SCALAR";
                    name: "BigInt";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "timestamp_not";
                type: {
                    kind: "SCALAR";
                    name: "BigInt";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "timestamp_gt";
                type: {
                    kind: "SCALAR";
                    name: "BigInt";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "timestamp_lt";
                type: {
                    kind: "SCALAR";
                    name: "BigInt";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "timestamp_gte";
                type: {
                    kind: "SCALAR";
                    name: "BigInt";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "timestamp_lte";
                type: {
                    kind: "SCALAR";
                    name: "BigInt";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "timestamp_in";
                type: {
                    kind: "LIST";
                    name: never;
                    ofType: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "SCALAR";
                            name: "BigInt";
                            ofType: null;
                        };
                    };
                };
                defaultValue: null;
            }, {
                name: "timestamp_not_in";
                type: {
                    kind: "LIST";
                    name: never;
                    ofType: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "SCALAR";
                            name: "BigInt";
                            ofType: null;
                        };
                    };
                };
                defaultValue: null;
            }, {
                name: "updatedTimestamp";
                type: {
                    kind: "SCALAR";
                    name: "BigInt";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "updatedTimestamp_not";
                type: {
                    kind: "SCALAR";
                    name: "BigInt";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "updatedTimestamp_gt";
                type: {
                    kind: "SCALAR";
                    name: "BigInt";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "updatedTimestamp_lt";
                type: {
                    kind: "SCALAR";
                    name: "BigInt";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "updatedTimestamp_gte";
                type: {
                    kind: "SCALAR";
                    name: "BigInt";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "updatedTimestamp_lte";
                type: {
                    kind: "SCALAR";
                    name: "BigInt";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "updatedTimestamp_in";
                type: {
                    kind: "LIST";
                    name: never;
                    ofType: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "SCALAR";
                            name: "BigInt";
                            ofType: null;
                        };
                    };
                };
                defaultValue: null;
            }, {
                name: "updatedTimestamp_not_in";
                type: {
                    kind: "LIST";
                    name: never;
                    ofType: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "SCALAR";
                            name: "BigInt";
                            ofType: null;
                        };
                    };
                };
                defaultValue: null;
            }, {
                name: "_change_block";
                type: {
                    kind: "INPUT_OBJECT";
                    name: "BlockChangedFilter";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "and";
                type: {
                    kind: "LIST";
                    name: never;
                    ofType: {
                        kind: "INPUT_OBJECT";
                        name: "WhiteListVaultPermission_filter";
                        ofType: null;
                    };
                };
                defaultValue: null;
            }, {
                name: "or";
                type: {
                    kind: "LIST";
                    name: never;
                    ofType: {
                        kind: "INPUT_OBJECT";
                        name: "WhiteListVaultPermission_filter";
                        ofType: null;
                    };
                };
                defaultValue: null;
            }];
        };
        WhiteListVaultPermission_orderBy: {
            name: "WhiteListVaultPermission_orderBy";
            enumValues: "id" | "timestamp" | "updatedTimestamp" | "vault" | "vault__id" | "vault__deployer" | "vault__token0" | "vault__token1" | "vault__totalAmount0" | "vault__totalAmount1" | "vault__createdAt" | "vault__lastSnapshot" | "vault__pool" | "vault__state" | "vault__annualPercentageYield" | "vault__annualPercentageDailyYield" | "vault__annualPercentageMonthlyYield" | "vault__annualPercentageYearlyYield" | "vault__lastTotalT0ValuePerLPT" | "vault__accruedStrategistFees0" | "vault__accruedStrategistFees1" | "vault__fees0" | "vault__fees1" | "vault__beaconName" | "vault__gasUsed" | "vault__gasDeposited" | "vault__totalLPTokensIssued" | "vault__token1Symbol" | "vault__decimals" | "vault__feeTier" | "vault__name" | "vault__symbol" | "vault__token0Balance" | "vault__token0Decimals" | "vault__token0Name" | "vault__token0Symbol" | "vault__token1Balance" | "vault__token1Decimals" | "vault__token1Name" | "vault__payloadIpfs" | "vault__vaultManager" | "vault__averageFeeArrPerSecond" | "vault__totalSnapshots" | "vault__annualFeeARR" | "vault__dailyFeeAPR" | "vault__weeklyFeeAPR" | "vault__totalValueLockedToken0" | "vault__totalValueLockedToken1" | "addresses" | "manager" | "manager__id" | "manager__address" | "manager__vault" | "manager__timestamp";
        };
        _Block_: {
            kind: "OBJECT";
            name: "_Block_";
            fields: {
                hash: {
                    name: "hash";
                    type: {
                        kind: "SCALAR";
                        name: "Bytes";
                        ofType: null;
                    };
                };
                number: {
                    name: "number";
                    type: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "SCALAR";
                            name: "Int";
                            ofType: null;
                        };
                    };
                };
                parentHash: {
                    name: "parentHash";
                    type: {
                        kind: "SCALAR";
                        name: "Bytes";
                        ofType: null;
                    };
                };
                timestamp: {
                    name: "timestamp";
                    type: {
                        kind: "SCALAR";
                        name: "Int";
                        ofType: null;
                    };
                };
            };
        };
        _Meta_: {
            kind: "OBJECT";
            name: "_Meta_";
            fields: {
                block: {
                    name: "block";
                    type: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "OBJECT";
                            name: "_Block_";
                            ofType: null;
                        };
                    };
                };
                deployment: {
                    name: "deployment";
                    type: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "SCALAR";
                            name: "String";
                            ofType: null;
                        };
                    };
                };
                hasIndexingErrors: {
                    name: "hasIndexingErrors";
                    type: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "SCALAR";
                            name: "Boolean";
                            ofType: null;
                        };
                    };
                };
            };
        };
        _SubgraphErrorPolicy_: {
            name: "_SubgraphErrorPolicy_";
            enumValues: "allow" | "deny";
        };
    };
}, {
    isMaskingDisabled: false;
}>;
