export declare const graphql: import("gql.tada").GraphQLTadaAPI<{
    name: "strapi";
    query: "Query";
    mutation: "Mutation";
    subscription: never;
    types: {
        ID: {
            name: "ID";
            type: string;
        };
        Boolean: {
            name: "Boolean";
            type: boolean;
        };
        String: {
            name: "String";
            type: string;
        };
        Float: {
            name: "Float";
            type: number;
        };
        Int: {
            name: "Int";
            type: number;
        };
        BigInt: {
            name: "BigInt";
            type: string;
        };
        BigDecimal: {
            name: "BigDecimal";
            type: string;
        };
        Bytes: {
            name: "Bytes";
            type: `0x${string}`;
        };
        DateTime: {
            name: "DateTime";
            type: string;
        };
        JSON: {
            name: "JSON";
            type: object;
        };
    } & {
        About: {
            kind: "OBJECT";
            name: "About";
            fields: {
                blocks: {
                    name: "blocks";
                    type: {
                        kind: "LIST";
                        name: never;
                        ofType: {
                            kind: "UNION";
                            name: "AboutBlocksDynamicZone";
                            ofType: null;
                        };
                    };
                };
                createdAt: {
                    name: "createdAt";
                    type: {
                        kind: "SCALAR";
                        name: "DateTime";
                        ofType: null;
                    };
                };
                title: {
                    name: "title";
                    type: {
                        kind: "SCALAR";
                        name: "String";
                        ofType: null;
                    };
                };
                updatedAt: {
                    name: "updatedAt";
                    type: {
                        kind: "SCALAR";
                        name: "DateTime";
                        ofType: null;
                    };
                };
            };
        };
        AboutBlocksDynamicZone: {
            kind: "UNION";
            name: "AboutBlocksDynamicZone";
            fields: {};
            possibleTypes: "ComponentSharedMedia" | "ComponentSharedRichText" | "ComponentSharedSlider" | "Error";
        };
        AboutBlocksDynamicZoneInput: unknown;
        AboutEntity: {
            kind: "OBJECT";
            name: "AboutEntity";
            fields: {
                attributes: {
                    name: "attributes";
                    type: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "OBJECT";
                            name: "About";
                            ofType: null;
                        };
                    };
                };
                id: {
                    name: "id";
                    type: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "SCALAR";
                            name: "ID";
                            ofType: null;
                        };
                    };
                };
            };
        };
        AboutEntityResponse: {
            kind: "OBJECT";
            name: "AboutEntityResponse";
            fields: {
                data: {
                    name: "data";
                    type: {
                        kind: "OBJECT";
                        name: "AboutEntity";
                        ofType: null;
                    };
                };
            };
        };
        AboutInput: {
            kind: "INPUT_OBJECT";
            name: "AboutInput";
            isOneOf: false;
            inputFields: [{
                name: "title";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "blocks";
                type: {
                    kind: "LIST";
                    name: never;
                    ofType: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "SCALAR";
                            name: "AboutBlocksDynamicZoneInput";
                            ofType: null;
                        };
                    };
                };
                defaultValue: null;
            }];
        };
        Article: {
            kind: "OBJECT";
            name: "Article";
            fields: {
                articleType: {
                    name: "articleType";
                    type: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "ENUM";
                            name: "ENUM_ARTICLE_ARTICLETYPE";
                            ofType: null;
                        };
                    };
                };
                articleTypes: {
                    name: "articleTypes";
                    type: {
                        kind: "OBJECT";
                        name: "ArticleTypeRelationResponseCollection";
                        ofType: null;
                    };
                };
                authors: {
                    name: "authors";
                    type: {
                        kind: "OBJECT";
                        name: "AuthorRelationResponseCollection";
                        ofType: null;
                    };
                };
                blocks: {
                    name: "blocks";
                    type: {
                        kind: "LIST";
                        name: never;
                        ofType: {
                            kind: "UNION";
                            name: "ArticleBlocksDynamicZone";
                            ofType: null;
                        };
                    };
                };
                categories: {
                    name: "categories";
                    type: {
                        kind: "OBJECT";
                        name: "CategoryRelationResponseCollection";
                        ofType: null;
                    };
                };
                cover: {
                    name: "cover";
                    type: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "OBJECT";
                            name: "UploadFileEntityResponse";
                            ofType: null;
                        };
                    };
                };
                createdAt: {
                    name: "createdAt";
                    type: {
                        kind: "SCALAR";
                        name: "DateTime";
                        ofType: null;
                    };
                };
                customDate: {
                    name: "customDate";
                    type: {
                        kind: "SCALAR";
                        name: "DateTime";
                        ofType: null;
                    };
                };
                description: {
                    name: "description";
                    type: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "SCALAR";
                            name: "String";
                            ofType: null;
                        };
                    };
                };
                difficulty: {
                    name: "difficulty";
                    type: {
                        kind: "OBJECT";
                        name: "DifficultyEntityResponse";
                        ofType: null;
                    };
                };
                ghostSlug: {
                    name: "ghostSlug";
                    type: {
                        kind: "SCALAR";
                        name: "String";
                        ofType: null;
                    };
                };
                locale: {
                    name: "locale";
                    type: {
                        kind: "SCALAR";
                        name: "String";
                        ofType: null;
                    };
                };
                localizations: {
                    name: "localizations";
                    type: {
                        kind: "OBJECT";
                        name: "ArticleRelationResponseCollection";
                        ofType: null;
                    };
                };
                products: {
                    name: "products";
                    type: {
                        kind: "OBJECT";
                        name: "ProductRelationResponseCollection";
                        ofType: null;
                    };
                };
                publishedAt: {
                    name: "publishedAt";
                    type: {
                        kind: "SCALAR";
                        name: "DateTime";
                        ofType: null;
                    };
                };
                slug: {
                    name: "slug";
                    type: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "SCALAR";
                            name: "String";
                            ofType: null;
                        };
                    };
                };
                staticTableOfContents: {
                    name: "staticTableOfContents";
                    type: {
                        kind: "OBJECT";
                        name: "ComponentSharedTableOfContents";
                        ofType: null;
                    };
                };
                title: {
                    name: "title";
                    type: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "SCALAR";
                            name: "String";
                            ofType: null;
                        };
                    };
                };
                topics: {
                    name: "topics";
                    type: {
                        kind: "OBJECT";
                        name: "TopicRelationResponseCollection";
                        ofType: null;
                    };
                };
                updatedAt: {
                    name: "updatedAt";
                    type: {
                        kind: "SCALAR";
                        name: "DateTime";
                        ofType: null;
                    };
                };
            };
        };
        ArticleBlocksDynamicZone: {
            kind: "UNION";
            name: "ArticleBlocksDynamicZone";
            fields: {};
            possibleTypes: "ComponentSharedMedia" | "ComponentSharedRichText" | "ComponentSharedSlider" | "Error" | "ComponentSharedTableOfContents" | "ComponentSharedDivider";
        };
        ArticleBlocksDynamicZoneInput: unknown;
        ArticleEntity: {
            kind: "OBJECT";
            name: "ArticleEntity";
            fields: {
                attributes: {
                    name: "attributes";
                    type: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "OBJECT";
                            name: "Article";
                            ofType: null;
                        };
                    };
                };
                id: {
                    name: "id";
                    type: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "SCALAR";
                            name: "ID";
                            ofType: null;
                        };
                    };
                };
            };
        };
        ArticleEntityResponse: {
            kind: "OBJECT";
            name: "ArticleEntityResponse";
            fields: {
                data: {
                    name: "data";
                    type: {
                        kind: "OBJECT";
                        name: "ArticleEntity";
                        ofType: null;
                    };
                };
            };
        };
        ArticleEntityResponseCollection: {
            kind: "OBJECT";
            name: "ArticleEntityResponseCollection";
            fields: {
                data: {
                    name: "data";
                    type: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "LIST";
                            name: never;
                            ofType: {
                                kind: "NON_NULL";
                                name: never;
                                ofType: {
                                    kind: "OBJECT";
                                    name: "ArticleEntity";
                                    ofType: null;
                                };
                            };
                        };
                    };
                };
                meta: {
                    name: "meta";
                    type: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "OBJECT";
                            name: "ResponseCollectionMeta";
                            ofType: null;
                        };
                    };
                };
            };
        };
        ArticleFiltersInput: {
            kind: "INPUT_OBJECT";
            name: "ArticleFiltersInput";
            isOneOf: false;
            inputFields: [{
                name: "id";
                type: {
                    kind: "INPUT_OBJECT";
                    name: "IDFilterInput";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "title";
                type: {
                    kind: "INPUT_OBJECT";
                    name: "StringFilterInput";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "description";
                type: {
                    kind: "INPUT_OBJECT";
                    name: "StringFilterInput";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "ghostSlug";
                type: {
                    kind: "INPUT_OBJECT";
                    name: "StringFilterInput";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "customDate";
                type: {
                    kind: "INPUT_OBJECT";
                    name: "DateTimeFilterInput";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "articleType";
                type: {
                    kind: "INPUT_OBJECT";
                    name: "StringFilterInput";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "slug";
                type: {
                    kind: "INPUT_OBJECT";
                    name: "StringFilterInput";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "authors";
                type: {
                    kind: "INPUT_OBJECT";
                    name: "AuthorFiltersInput";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "categories";
                type: {
                    kind: "INPUT_OBJECT";
                    name: "CategoryFiltersInput";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "staticTableOfContents";
                type: {
                    kind: "INPUT_OBJECT";
                    name: "ComponentSharedTableOfContentsFiltersInput";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "difficulty";
                type: {
                    kind: "INPUT_OBJECT";
                    name: "DifficultyFiltersInput";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "topics";
                type: {
                    kind: "INPUT_OBJECT";
                    name: "TopicFiltersInput";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "products";
                type: {
                    kind: "INPUT_OBJECT";
                    name: "ProductFiltersInput";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "articleTypes";
                type: {
                    kind: "INPUT_OBJECT";
                    name: "ArticleTypeFiltersInput";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "createdAt";
                type: {
                    kind: "INPUT_OBJECT";
                    name: "DateTimeFilterInput";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "updatedAt";
                type: {
                    kind: "INPUT_OBJECT";
                    name: "DateTimeFilterInput";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "publishedAt";
                type: {
                    kind: "INPUT_OBJECT";
                    name: "DateTimeFilterInput";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "localizations";
                type: {
                    kind: "INPUT_OBJECT";
                    name: "ArticleFiltersInput";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "locale";
                type: {
                    kind: "INPUT_OBJECT";
                    name: "StringFilterInput";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "and";
                type: {
                    kind: "LIST";
                    name: never;
                    ofType: {
                        kind: "INPUT_OBJECT";
                        name: "ArticleFiltersInput";
                        ofType: null;
                    };
                };
                defaultValue: null;
            }, {
                name: "or";
                type: {
                    kind: "LIST";
                    name: never;
                    ofType: {
                        kind: "INPUT_OBJECT";
                        name: "ArticleFiltersInput";
                        ofType: null;
                    };
                };
                defaultValue: null;
            }, {
                name: "not";
                type: {
                    kind: "INPUT_OBJECT";
                    name: "ArticleFiltersInput";
                    ofType: null;
                };
                defaultValue: null;
            }];
        };
        ArticleInput: {
            kind: "INPUT_OBJECT";
            name: "ArticleInput";
            isOneOf: false;
            inputFields: [{
                name: "title";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "description";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "ghostSlug";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "customDate";
                type: {
                    kind: "SCALAR";
                    name: "DateTime";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "articleType";
                type: {
                    kind: "ENUM";
                    name: "ENUM_ARTICLE_ARTICLETYPE";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "slug";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "cover";
                type: {
                    kind: "SCALAR";
                    name: "ID";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "authors";
                type: {
                    kind: "LIST";
                    name: never;
                    ofType: {
                        kind: "SCALAR";
                        name: "ID";
                        ofType: null;
                    };
                };
                defaultValue: null;
            }, {
                name: "categories";
                type: {
                    kind: "LIST";
                    name: never;
                    ofType: {
                        kind: "SCALAR";
                        name: "ID";
                        ofType: null;
                    };
                };
                defaultValue: null;
            }, {
                name: "blocks";
                type: {
                    kind: "LIST";
                    name: never;
                    ofType: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "SCALAR";
                            name: "ArticleBlocksDynamicZoneInput";
                            ofType: null;
                        };
                    };
                };
                defaultValue: null;
            }, {
                name: "staticTableOfContents";
                type: {
                    kind: "INPUT_OBJECT";
                    name: "ComponentSharedTableOfContentsInput";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "difficulty";
                type: {
                    kind: "SCALAR";
                    name: "ID";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "topics";
                type: {
                    kind: "LIST";
                    name: never;
                    ofType: {
                        kind: "SCALAR";
                        name: "ID";
                        ofType: null;
                    };
                };
                defaultValue: null;
            }, {
                name: "products";
                type: {
                    kind: "LIST";
                    name: never;
                    ofType: {
                        kind: "SCALAR";
                        name: "ID";
                        ofType: null;
                    };
                };
                defaultValue: null;
            }, {
                name: "articleTypes";
                type: {
                    kind: "LIST";
                    name: never;
                    ofType: {
                        kind: "SCALAR";
                        name: "ID";
                        ofType: null;
                    };
                };
                defaultValue: null;
            }, {
                name: "publishedAt";
                type: {
                    kind: "SCALAR";
                    name: "DateTime";
                    ofType: null;
                };
                defaultValue: null;
            }];
        };
        ArticleRelationResponseCollection: {
            kind: "OBJECT";
            name: "ArticleRelationResponseCollection";
            fields: {
                data: {
                    name: "data";
                    type: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "LIST";
                            name: never;
                            ofType: {
                                kind: "NON_NULL";
                                name: never;
                                ofType: {
                                    kind: "OBJECT";
                                    name: "ArticleEntity";
                                    ofType: null;
                                };
                            };
                        };
                    };
                };
            };
        };
        ArticleType: {
            kind: "OBJECT";
            name: "ArticleType";
            fields: {
                createdAt: {
                    name: "createdAt";
                    type: {
                        kind: "SCALAR";
                        name: "DateTime";
                        ofType: null;
                    };
                };
                publishedAt: {
                    name: "publishedAt";
                    type: {
                        kind: "SCALAR";
                        name: "DateTime";
                        ofType: null;
                    };
                };
                type: {
                    name: "type";
                    type: {
                        kind: "SCALAR";
                        name: "String";
                        ofType: null;
                    };
                };
                types: {
                    name: "types";
                    type: {
                        kind: "OBJECT";
                        name: "ArticleRelationResponseCollection";
                        ofType: null;
                    };
                };
                updatedAt: {
                    name: "updatedAt";
                    type: {
                        kind: "SCALAR";
                        name: "DateTime";
                        ofType: null;
                    };
                };
            };
        };
        ArticleTypeEntity: {
            kind: "OBJECT";
            name: "ArticleTypeEntity";
            fields: {
                attributes: {
                    name: "attributes";
                    type: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "OBJECT";
                            name: "ArticleType";
                            ofType: null;
                        };
                    };
                };
                id: {
                    name: "id";
                    type: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "SCALAR";
                            name: "ID";
                            ofType: null;
                        };
                    };
                };
            };
        };
        ArticleTypeEntityResponse: {
            kind: "OBJECT";
            name: "ArticleTypeEntityResponse";
            fields: {
                data: {
                    name: "data";
                    type: {
                        kind: "OBJECT";
                        name: "ArticleTypeEntity";
                        ofType: null;
                    };
                };
            };
        };
        ArticleTypeEntityResponseCollection: {
            kind: "OBJECT";
            name: "ArticleTypeEntityResponseCollection";
            fields: {
                data: {
                    name: "data";
                    type: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "LIST";
                            name: never;
                            ofType: {
                                kind: "NON_NULL";
                                name: never;
                                ofType: {
                                    kind: "OBJECT";
                                    name: "ArticleTypeEntity";
                                    ofType: null;
                                };
                            };
                        };
                    };
                };
                meta: {
                    name: "meta";
                    type: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "OBJECT";
                            name: "ResponseCollectionMeta";
                            ofType: null;
                        };
                    };
                };
            };
        };
        ArticleTypeFiltersInput: {
            kind: "INPUT_OBJECT";
            name: "ArticleTypeFiltersInput";
            isOneOf: false;
            inputFields: [{
                name: "id";
                type: {
                    kind: "INPUT_OBJECT";
                    name: "IDFilterInput";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "type";
                type: {
                    kind: "INPUT_OBJECT";
                    name: "StringFilterInput";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "types";
                type: {
                    kind: "INPUT_OBJECT";
                    name: "ArticleFiltersInput";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "createdAt";
                type: {
                    kind: "INPUT_OBJECT";
                    name: "DateTimeFilterInput";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "updatedAt";
                type: {
                    kind: "INPUT_OBJECT";
                    name: "DateTimeFilterInput";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "publishedAt";
                type: {
                    kind: "INPUT_OBJECT";
                    name: "DateTimeFilterInput";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "and";
                type: {
                    kind: "LIST";
                    name: never;
                    ofType: {
                        kind: "INPUT_OBJECT";
                        name: "ArticleTypeFiltersInput";
                        ofType: null;
                    };
                };
                defaultValue: null;
            }, {
                name: "or";
                type: {
                    kind: "LIST";
                    name: never;
                    ofType: {
                        kind: "INPUT_OBJECT";
                        name: "ArticleTypeFiltersInput";
                        ofType: null;
                    };
                };
                defaultValue: null;
            }, {
                name: "not";
                type: {
                    kind: "INPUT_OBJECT";
                    name: "ArticleTypeFiltersInput";
                    ofType: null;
                };
                defaultValue: null;
            }];
        };
        ArticleTypeInput: {
            kind: "INPUT_OBJECT";
            name: "ArticleTypeInput";
            isOneOf: false;
            inputFields: [{
                name: "type";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "types";
                type: {
                    kind: "LIST";
                    name: never;
                    ofType: {
                        kind: "SCALAR";
                        name: "ID";
                        ofType: null;
                    };
                };
                defaultValue: null;
            }, {
                name: "publishedAt";
                type: {
                    kind: "SCALAR";
                    name: "DateTime";
                    ofType: null;
                };
                defaultValue: null;
            }];
        };
        ArticleTypeRelationResponseCollection: {
            kind: "OBJECT";
            name: "ArticleTypeRelationResponseCollection";
            fields: {
                data: {
                    name: "data";
                    type: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "LIST";
                            name: never;
                            ofType: {
                                kind: "NON_NULL";
                                name: never;
                                ofType: {
                                    kind: "OBJECT";
                                    name: "ArticleTypeEntity";
                                    ofType: null;
                                };
                            };
                        };
                    };
                };
            };
        };
        Author: {
            kind: "OBJECT";
            name: "Author";
            fields: {
                articles: {
                    name: "articles";
                    type: {
                        kind: "OBJECT";
                        name: "ArticleRelationResponseCollection";
                        ofType: null;
                    };
                };
                avatar: {
                    name: "avatar";
                    type: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "OBJECT";
                            name: "UploadFileEntityResponse";
                            ofType: null;
                        };
                    };
                };
                createdAt: {
                    name: "createdAt";
                    type: {
                        kind: "SCALAR";
                        name: "DateTime";
                        ofType: null;
                    };
                };
                email: {
                    name: "email";
                    type: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "SCALAR";
                            name: "String";
                            ofType: null;
                        };
                    };
                };
                handle: {
                    name: "handle";
                    type: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "SCALAR";
                            name: "String";
                            ofType: null;
                        };
                    };
                };
                name: {
                    name: "name";
                    type: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "SCALAR";
                            name: "String";
                            ofType: null;
                        };
                    };
                };
                updatedAt: {
                    name: "updatedAt";
                    type: {
                        kind: "SCALAR";
                        name: "DateTime";
                        ofType: null;
                    };
                };
            };
        };
        AuthorEntity: {
            kind: "OBJECT";
            name: "AuthorEntity";
            fields: {
                attributes: {
                    name: "attributes";
                    type: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "OBJECT";
                            name: "Author";
                            ofType: null;
                        };
                    };
                };
                id: {
                    name: "id";
                    type: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "SCALAR";
                            name: "ID";
                            ofType: null;
                        };
                    };
                };
            };
        };
        AuthorEntityResponse: {
            kind: "OBJECT";
            name: "AuthorEntityResponse";
            fields: {
                data: {
                    name: "data";
                    type: {
                        kind: "OBJECT";
                        name: "AuthorEntity";
                        ofType: null;
                    };
                };
            };
        };
        AuthorEntityResponseCollection: {
            kind: "OBJECT";
            name: "AuthorEntityResponseCollection";
            fields: {
                data: {
                    name: "data";
                    type: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "LIST";
                            name: never;
                            ofType: {
                                kind: "NON_NULL";
                                name: never;
                                ofType: {
                                    kind: "OBJECT";
                                    name: "AuthorEntity";
                                    ofType: null;
                                };
                            };
                        };
                    };
                };
                meta: {
                    name: "meta";
                    type: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "OBJECT";
                            name: "ResponseCollectionMeta";
                            ofType: null;
                        };
                    };
                };
            };
        };
        AuthorFiltersInput: {
            kind: "INPUT_OBJECT";
            name: "AuthorFiltersInput";
            isOneOf: false;
            inputFields: [{
                name: "id";
                type: {
                    kind: "INPUT_OBJECT";
                    name: "IDFilterInput";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "name";
                type: {
                    kind: "INPUT_OBJECT";
                    name: "StringFilterInput";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "email";
                type: {
                    kind: "INPUT_OBJECT";
                    name: "StringFilterInput";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "handle";
                type: {
                    kind: "INPUT_OBJECT";
                    name: "StringFilterInput";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "articles";
                type: {
                    kind: "INPUT_OBJECT";
                    name: "ArticleFiltersInput";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "createdAt";
                type: {
                    kind: "INPUT_OBJECT";
                    name: "DateTimeFilterInput";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "updatedAt";
                type: {
                    kind: "INPUT_OBJECT";
                    name: "DateTimeFilterInput";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "and";
                type: {
                    kind: "LIST";
                    name: never;
                    ofType: {
                        kind: "INPUT_OBJECT";
                        name: "AuthorFiltersInput";
                        ofType: null;
                    };
                };
                defaultValue: null;
            }, {
                name: "or";
                type: {
                    kind: "LIST";
                    name: never;
                    ofType: {
                        kind: "INPUT_OBJECT";
                        name: "AuthorFiltersInput";
                        ofType: null;
                    };
                };
                defaultValue: null;
            }, {
                name: "not";
                type: {
                    kind: "INPUT_OBJECT";
                    name: "AuthorFiltersInput";
                    ofType: null;
                };
                defaultValue: null;
            }];
        };
        AuthorInput: {
            kind: "INPUT_OBJECT";
            name: "AuthorInput";
            isOneOf: false;
            inputFields: [{
                name: "name";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "avatar";
                type: {
                    kind: "SCALAR";
                    name: "ID";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "email";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "handle";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "articles";
                type: {
                    kind: "LIST";
                    name: never;
                    ofType: {
                        kind: "SCALAR";
                        name: "ID";
                        ofType: null;
                    };
                };
                defaultValue: null;
            }];
        };
        AuthorRelationResponseCollection: {
            kind: "OBJECT";
            name: "AuthorRelationResponseCollection";
            fields: {
                data: {
                    name: "data";
                    type: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "LIST";
                            name: never;
                            ofType: {
                                kind: "NON_NULL";
                                name: never;
                                ofType: {
                                    kind: "OBJECT";
                                    name: "AuthorEntity";
                                    ofType: null;
                                };
                            };
                        };
                    };
                };
            };
        };
        Banner: {
            kind: "OBJECT";
            name: "Banner";
            fields: {
                createdAt: {
                    name: "createdAt";
                    type: {
                        kind: "SCALAR";
                        name: "DateTime";
                        ofType: null;
                    };
                };
                dateFrom: {
                    name: "dateFrom";
                    type: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "SCALAR";
                            name: "DateTime";
                            ofType: null;
                        };
                    };
                };
                dateTo: {
                    name: "dateTo";
                    type: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "SCALAR";
                            name: "DateTime";
                            ofType: null;
                        };
                    };
                };
                image: {
                    name: "image";
                    type: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "OBJECT";
                            name: "UploadFileEntityResponse";
                            ofType: null;
                        };
                    };
                };
                link: {
                    name: "link";
                    type: {
                        kind: "SCALAR";
                        name: "String";
                        ofType: null;
                    };
                };
                publishedAt: {
                    name: "publishedAt";
                    type: {
                        kind: "SCALAR";
                        name: "DateTime";
                        ofType: null;
                    };
                };
                updatedAt: {
                    name: "updatedAt";
                    type: {
                        kind: "SCALAR";
                        name: "DateTime";
                        ofType: null;
                    };
                };
            };
        };
        BannerEntity: {
            kind: "OBJECT";
            name: "BannerEntity";
            fields: {
                attributes: {
                    name: "attributes";
                    type: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "OBJECT";
                            name: "Banner";
                            ofType: null;
                        };
                    };
                };
                id: {
                    name: "id";
                    type: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "SCALAR";
                            name: "ID";
                            ofType: null;
                        };
                    };
                };
            };
        };
        BannerEntityResponse: {
            kind: "OBJECT";
            name: "BannerEntityResponse";
            fields: {
                data: {
                    name: "data";
                    type: {
                        kind: "OBJECT";
                        name: "BannerEntity";
                        ofType: null;
                    };
                };
            };
        };
        BannerEntityResponseCollection: {
            kind: "OBJECT";
            name: "BannerEntityResponseCollection";
            fields: {
                data: {
                    name: "data";
                    type: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "LIST";
                            name: never;
                            ofType: {
                                kind: "NON_NULL";
                                name: never;
                                ofType: {
                                    kind: "OBJECT";
                                    name: "BannerEntity";
                                    ofType: null;
                                };
                            };
                        };
                    };
                };
                meta: {
                    name: "meta";
                    type: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "OBJECT";
                            name: "ResponseCollectionMeta";
                            ofType: null;
                        };
                    };
                };
            };
        };
        BannerFiltersInput: {
            kind: "INPUT_OBJECT";
            name: "BannerFiltersInput";
            isOneOf: false;
            inputFields: [{
                name: "id";
                type: {
                    kind: "INPUT_OBJECT";
                    name: "IDFilterInput";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "dateFrom";
                type: {
                    kind: "INPUT_OBJECT";
                    name: "DateTimeFilterInput";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "dateTo";
                type: {
                    kind: "INPUT_OBJECT";
                    name: "DateTimeFilterInput";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "link";
                type: {
                    kind: "INPUT_OBJECT";
                    name: "StringFilterInput";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "createdAt";
                type: {
                    kind: "INPUT_OBJECT";
                    name: "DateTimeFilterInput";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "updatedAt";
                type: {
                    kind: "INPUT_OBJECT";
                    name: "DateTimeFilterInput";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "publishedAt";
                type: {
                    kind: "INPUT_OBJECT";
                    name: "DateTimeFilterInput";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "and";
                type: {
                    kind: "LIST";
                    name: never;
                    ofType: {
                        kind: "INPUT_OBJECT";
                        name: "BannerFiltersInput";
                        ofType: null;
                    };
                };
                defaultValue: null;
            }, {
                name: "or";
                type: {
                    kind: "LIST";
                    name: never;
                    ofType: {
                        kind: "INPUT_OBJECT";
                        name: "BannerFiltersInput";
                        ofType: null;
                    };
                };
                defaultValue: null;
            }, {
                name: "not";
                type: {
                    kind: "INPUT_OBJECT";
                    name: "BannerFiltersInput";
                    ofType: null;
                };
                defaultValue: null;
            }];
        };
        BannerInput: {
            kind: "INPUT_OBJECT";
            name: "BannerInput";
            isOneOf: false;
            inputFields: [{
                name: "image";
                type: {
                    kind: "SCALAR";
                    name: "ID";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "dateFrom";
                type: {
                    kind: "SCALAR";
                    name: "DateTime";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "dateTo";
                type: {
                    kind: "SCALAR";
                    name: "DateTime";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "link";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "publishedAt";
                type: {
                    kind: "SCALAR";
                    name: "DateTime";
                    ofType: null;
                };
                defaultValue: null;
            }];
        };
        Boolean: unknown;
        BooleanFilterInput: {
            kind: "INPUT_OBJECT";
            name: "BooleanFilterInput";
            isOneOf: false;
            inputFields: [{
                name: "and";
                type: {
                    kind: "LIST";
                    name: never;
                    ofType: {
                        kind: "SCALAR";
                        name: "Boolean";
                        ofType: null;
                    };
                };
                defaultValue: null;
            }, {
                name: "or";
                type: {
                    kind: "LIST";
                    name: never;
                    ofType: {
                        kind: "SCALAR";
                        name: "Boolean";
                        ofType: null;
                    };
                };
                defaultValue: null;
            }, {
                name: "not";
                type: {
                    kind: "INPUT_OBJECT";
                    name: "BooleanFilterInput";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "eq";
                type: {
                    kind: "SCALAR";
                    name: "Boolean";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "eqi";
                type: {
                    kind: "SCALAR";
                    name: "Boolean";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "ne";
                type: {
                    kind: "SCALAR";
                    name: "Boolean";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "nei";
                type: {
                    kind: "SCALAR";
                    name: "Boolean";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "startsWith";
                type: {
                    kind: "SCALAR";
                    name: "Boolean";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "endsWith";
                type: {
                    kind: "SCALAR";
                    name: "Boolean";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "contains";
                type: {
                    kind: "SCALAR";
                    name: "Boolean";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "notContains";
                type: {
                    kind: "SCALAR";
                    name: "Boolean";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "containsi";
                type: {
                    kind: "SCALAR";
                    name: "Boolean";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "notContainsi";
                type: {
                    kind: "SCALAR";
                    name: "Boolean";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "gt";
                type: {
                    kind: "SCALAR";
                    name: "Boolean";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "gte";
                type: {
                    kind: "SCALAR";
                    name: "Boolean";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "lt";
                type: {
                    kind: "SCALAR";
                    name: "Boolean";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "lte";
                type: {
                    kind: "SCALAR";
                    name: "Boolean";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "null";
                type: {
                    kind: "SCALAR";
                    name: "Boolean";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "notNull";
                type: {
                    kind: "SCALAR";
                    name: "Boolean";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "in";
                type: {
                    kind: "LIST";
                    name: never;
                    ofType: {
                        kind: "SCALAR";
                        name: "Boolean";
                        ofType: null;
                    };
                };
                defaultValue: null;
            }, {
                name: "notIn";
                type: {
                    kind: "LIST";
                    name: never;
                    ofType: {
                        kind: "SCALAR";
                        name: "Boolean";
                        ofType: null;
                    };
                };
                defaultValue: null;
            }, {
                name: "between";
                type: {
                    kind: "LIST";
                    name: never;
                    ofType: {
                        kind: "SCALAR";
                        name: "Boolean";
                        ofType: null;
                    };
                };
                defaultValue: null;
            }];
        };
        Category: {
            kind: "OBJECT";
            name: "Category";
            fields: {
                articles: {
                    name: "articles";
                    type: {
                        kind: "OBJECT";
                        name: "ArticleRelationResponseCollection";
                        ofType: null;
                    };
                };
                createdAt: {
                    name: "createdAt";
                    type: {
                        kind: "SCALAR";
                        name: "DateTime";
                        ofType: null;
                    };
                };
                description: {
                    name: "description";
                    type: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "SCALAR";
                            name: "String";
                            ofType: null;
                        };
                    };
                };
                locale: {
                    name: "locale";
                    type: {
                        kind: "SCALAR";
                        name: "String";
                        ofType: null;
                    };
                };
                localizations: {
                    name: "localizations";
                    type: {
                        kind: "OBJECT";
                        name: "CategoryRelationResponseCollection";
                        ofType: null;
                    };
                };
                name: {
                    name: "name";
                    type: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "SCALAR";
                            name: "String";
                            ofType: null;
                        };
                    };
                };
                slug: {
                    name: "slug";
                    type: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "SCALAR";
                            name: "String";
                            ofType: null;
                        };
                    };
                };
                updatedAt: {
                    name: "updatedAt";
                    type: {
                        kind: "SCALAR";
                        name: "DateTime";
                        ofType: null;
                    };
                };
            };
        };
        CategoryEntity: {
            kind: "OBJECT";
            name: "CategoryEntity";
            fields: {
                attributes: {
                    name: "attributes";
                    type: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "OBJECT";
                            name: "Category";
                            ofType: null;
                        };
                    };
                };
                id: {
                    name: "id";
                    type: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "SCALAR";
                            name: "ID";
                            ofType: null;
                        };
                    };
                };
            };
        };
        CategoryEntityResponse: {
            kind: "OBJECT";
            name: "CategoryEntityResponse";
            fields: {
                data: {
                    name: "data";
                    type: {
                        kind: "OBJECT";
                        name: "CategoryEntity";
                        ofType: null;
                    };
                };
            };
        };
        CategoryEntityResponseCollection: {
            kind: "OBJECT";
            name: "CategoryEntityResponseCollection";
            fields: {
                data: {
                    name: "data";
                    type: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "LIST";
                            name: never;
                            ofType: {
                                kind: "NON_NULL";
                                name: never;
                                ofType: {
                                    kind: "OBJECT";
                                    name: "CategoryEntity";
                                    ofType: null;
                                };
                            };
                        };
                    };
                };
                meta: {
                    name: "meta";
                    type: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "OBJECT";
                            name: "ResponseCollectionMeta";
                            ofType: null;
                        };
                    };
                };
            };
        };
        CategoryFiltersInput: {
            kind: "INPUT_OBJECT";
            name: "CategoryFiltersInput";
            isOneOf: false;
            inputFields: [{
                name: "id";
                type: {
                    kind: "INPUT_OBJECT";
                    name: "IDFilterInput";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "name";
                type: {
                    kind: "INPUT_OBJECT";
                    name: "StringFilterInput";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "slug";
                type: {
                    kind: "INPUT_OBJECT";
                    name: "StringFilterInput";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "description";
                type: {
                    kind: "INPUT_OBJECT";
                    name: "StringFilterInput";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "articles";
                type: {
                    kind: "INPUT_OBJECT";
                    name: "ArticleFiltersInput";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "createdAt";
                type: {
                    kind: "INPUT_OBJECT";
                    name: "DateTimeFilterInput";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "updatedAt";
                type: {
                    kind: "INPUT_OBJECT";
                    name: "DateTimeFilterInput";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "localizations";
                type: {
                    kind: "INPUT_OBJECT";
                    name: "CategoryFiltersInput";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "locale";
                type: {
                    kind: "INPUT_OBJECT";
                    name: "StringFilterInput";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "and";
                type: {
                    kind: "LIST";
                    name: never;
                    ofType: {
                        kind: "INPUT_OBJECT";
                        name: "CategoryFiltersInput";
                        ofType: null;
                    };
                };
                defaultValue: null;
            }, {
                name: "or";
                type: {
                    kind: "LIST";
                    name: never;
                    ofType: {
                        kind: "INPUT_OBJECT";
                        name: "CategoryFiltersInput";
                        ofType: null;
                    };
                };
                defaultValue: null;
            }, {
                name: "not";
                type: {
                    kind: "INPUT_OBJECT";
                    name: "CategoryFiltersInput";
                    ofType: null;
                };
                defaultValue: null;
            }];
        };
        CategoryInput: {
            kind: "INPUT_OBJECT";
            name: "CategoryInput";
            isOneOf: false;
            inputFields: [{
                name: "name";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "slug";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "description";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "articles";
                type: {
                    kind: "LIST";
                    name: never;
                    ofType: {
                        kind: "SCALAR";
                        name: "ID";
                        ofType: null;
                    };
                };
                defaultValue: null;
            }];
        };
        CategoryRelationResponseCollection: {
            kind: "OBJECT";
            name: "CategoryRelationResponseCollection";
            fields: {
                data: {
                    name: "data";
                    type: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "LIST";
                            name: never;
                            ofType: {
                                kind: "NON_NULL";
                                name: never;
                                ofType: {
                                    kind: "OBJECT";
                                    name: "CategoryEntity";
                                    ofType: null;
                                };
                            };
                        };
                    };
                };
            };
        };
        ComponentSharedDivider: {
            kind: "OBJECT";
            name: "ComponentSharedDivider";
            fields: {
                id: {
                    name: "id";
                    type: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "SCALAR";
                            name: "ID";
                            ofType: null;
                        };
                    };
                };
            };
        };
        ComponentSharedMedia: {
            kind: "OBJECT";
            name: "ComponentSharedMedia";
            fields: {
                caption: {
                    name: "caption";
                    type: {
                        kind: "SCALAR";
                        name: "String";
                        ofType: null;
                    };
                };
                file: {
                    name: "file";
                    type: {
                        kind: "OBJECT";
                        name: "UploadFileEntityResponse";
                        ofType: null;
                    };
                };
                id: {
                    name: "id";
                    type: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "SCALAR";
                            name: "ID";
                            ofType: null;
                        };
                    };
                };
            };
        };
        ComponentSharedRichText: {
            kind: "OBJECT";
            name: "ComponentSharedRichText";
            fields: {
                body: {
                    name: "body";
                    type: {
                        kind: "SCALAR";
                        name: "String";
                        ofType: null;
                    };
                };
                id: {
                    name: "id";
                    type: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "SCALAR";
                            name: "ID";
                            ofType: null;
                        };
                    };
                };
                key: {
                    name: "key";
                    type: {
                        kind: "SCALAR";
                        name: "String";
                        ofType: null;
                    };
                };
            };
        };
        ComponentSharedSeo: {
            kind: "OBJECT";
            name: "ComponentSharedSeo";
            fields: {
                id: {
                    name: "id";
                    type: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "SCALAR";
                            name: "ID";
                            ofType: null;
                        };
                    };
                };
                metaDescription: {
                    name: "metaDescription";
                    type: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "SCALAR";
                            name: "String";
                            ofType: null;
                        };
                    };
                };
                metaTitle: {
                    name: "metaTitle";
                    type: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "SCALAR";
                            name: "String";
                            ofType: null;
                        };
                    };
                };
                shareImage: {
                    name: "shareImage";
                    type: {
                        kind: "OBJECT";
                        name: "UploadFileEntityResponse";
                        ofType: null;
                    };
                };
            };
        };
        ComponentSharedSeoInput: {
            kind: "INPUT_OBJECT";
            name: "ComponentSharedSeoInput";
            isOneOf: false;
            inputFields: [{
                name: "id";
                type: {
                    kind: "SCALAR";
                    name: "ID";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "metaTitle";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "metaDescription";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "shareImage";
                type: {
                    kind: "SCALAR";
                    name: "ID";
                    ofType: null;
                };
                defaultValue: null;
            }];
        };
        ComponentSharedSlider: {
            kind: "OBJECT";
            name: "ComponentSharedSlider";
            fields: {
                files: {
                    name: "files";
                    type: {
                        kind: "OBJECT";
                        name: "UploadFileRelationResponseCollection";
                        ofType: null;
                    };
                };
                id: {
                    name: "id";
                    type: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "SCALAR";
                            name: "ID";
                            ofType: null;
                        };
                    };
                };
            };
        };
        ComponentSharedTableOfContents: {
            kind: "OBJECT";
            name: "ComponentSharedTableOfContents";
            fields: {
                entries: {
                    name: "entries";
                    type: {
                        kind: "LIST";
                        name: never;
                        ofType: {
                            kind: "OBJECT";
                            name: "ComponentSharedTableOfContentsEntry";
                            ofType: null;
                        };
                    };
                };
                header: {
                    name: "header";
                    type: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "SCALAR";
                            name: "String";
                            ofType: null;
                        };
                    };
                };
                id: {
                    name: "id";
                    type: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "SCALAR";
                            name: "ID";
                            ofType: null;
                        };
                    };
                };
            };
        };
        ComponentSharedTableOfContentsEntry: {
            kind: "OBJECT";
            name: "ComponentSharedTableOfContentsEntry";
            fields: {
                id: {
                    name: "id";
                    type: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "SCALAR";
                            name: "ID";
                            ofType: null;
                        };
                    };
                };
                key: {
                    name: "key";
                    type: {
                        kind: "SCALAR";
                        name: "String";
                        ofType: null;
                    };
                };
                text: {
                    name: "text";
                    type: {
                        kind: "SCALAR";
                        name: "String";
                        ofType: null;
                    };
                };
            };
        };
        ComponentSharedTableOfContentsEntryFiltersInput: {
            kind: "INPUT_OBJECT";
            name: "ComponentSharedTableOfContentsEntryFiltersInput";
            isOneOf: false;
            inputFields: [{
                name: "key";
                type: {
                    kind: "INPUT_OBJECT";
                    name: "StringFilterInput";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "text";
                type: {
                    kind: "INPUT_OBJECT";
                    name: "StringFilterInput";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "and";
                type: {
                    kind: "LIST";
                    name: never;
                    ofType: {
                        kind: "INPUT_OBJECT";
                        name: "ComponentSharedTableOfContentsEntryFiltersInput";
                        ofType: null;
                    };
                };
                defaultValue: null;
            }, {
                name: "or";
                type: {
                    kind: "LIST";
                    name: never;
                    ofType: {
                        kind: "INPUT_OBJECT";
                        name: "ComponentSharedTableOfContentsEntryFiltersInput";
                        ofType: null;
                    };
                };
                defaultValue: null;
            }, {
                name: "not";
                type: {
                    kind: "INPUT_OBJECT";
                    name: "ComponentSharedTableOfContentsEntryFiltersInput";
                    ofType: null;
                };
                defaultValue: null;
            }];
        };
        ComponentSharedTableOfContentsEntryInput: {
            kind: "INPUT_OBJECT";
            name: "ComponentSharedTableOfContentsEntryInput";
            isOneOf: false;
            inputFields: [{
                name: "id";
                type: {
                    kind: "SCALAR";
                    name: "ID";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "key";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "text";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }];
        };
        ComponentSharedTableOfContentsFiltersInput: {
            kind: "INPUT_OBJECT";
            name: "ComponentSharedTableOfContentsFiltersInput";
            isOneOf: false;
            inputFields: [{
                name: "entries";
                type: {
                    kind: "INPUT_OBJECT";
                    name: "ComponentSharedTableOfContentsEntryFiltersInput";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "header";
                type: {
                    kind: "INPUT_OBJECT";
                    name: "StringFilterInput";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "and";
                type: {
                    kind: "LIST";
                    name: never;
                    ofType: {
                        kind: "INPUT_OBJECT";
                        name: "ComponentSharedTableOfContentsFiltersInput";
                        ofType: null;
                    };
                };
                defaultValue: null;
            }, {
                name: "or";
                type: {
                    kind: "LIST";
                    name: never;
                    ofType: {
                        kind: "INPUT_OBJECT";
                        name: "ComponentSharedTableOfContentsFiltersInput";
                        ofType: null;
                    };
                };
                defaultValue: null;
            }, {
                name: "not";
                type: {
                    kind: "INPUT_OBJECT";
                    name: "ComponentSharedTableOfContentsFiltersInput";
                    ofType: null;
                };
                defaultValue: null;
            }];
        };
        ComponentSharedTableOfContentsInput: {
            kind: "INPUT_OBJECT";
            name: "ComponentSharedTableOfContentsInput";
            isOneOf: false;
            inputFields: [{
                name: "id";
                type: {
                    kind: "SCALAR";
                    name: "ID";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "entries";
                type: {
                    kind: "LIST";
                    name: never;
                    ofType: {
                        kind: "INPUT_OBJECT";
                        name: "ComponentSharedTableOfContentsEntryInput";
                        ofType: null;
                    };
                };
                defaultValue: null;
            }, {
                name: "header";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }];
        };
        DateTime: unknown;
        DateTimeFilterInput: {
            kind: "INPUT_OBJECT";
            name: "DateTimeFilterInput";
            isOneOf: false;
            inputFields: [{
                name: "and";
                type: {
                    kind: "LIST";
                    name: never;
                    ofType: {
                        kind: "SCALAR";
                        name: "DateTime";
                        ofType: null;
                    };
                };
                defaultValue: null;
            }, {
                name: "or";
                type: {
                    kind: "LIST";
                    name: never;
                    ofType: {
                        kind: "SCALAR";
                        name: "DateTime";
                        ofType: null;
                    };
                };
                defaultValue: null;
            }, {
                name: "not";
                type: {
                    kind: "INPUT_OBJECT";
                    name: "DateTimeFilterInput";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "eq";
                type: {
                    kind: "SCALAR";
                    name: "DateTime";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "eqi";
                type: {
                    kind: "SCALAR";
                    name: "DateTime";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "ne";
                type: {
                    kind: "SCALAR";
                    name: "DateTime";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "nei";
                type: {
                    kind: "SCALAR";
                    name: "DateTime";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "startsWith";
                type: {
                    kind: "SCALAR";
                    name: "DateTime";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "endsWith";
                type: {
                    kind: "SCALAR";
                    name: "DateTime";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "contains";
                type: {
                    kind: "SCALAR";
                    name: "DateTime";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "notContains";
                type: {
                    kind: "SCALAR";
                    name: "DateTime";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "containsi";
                type: {
                    kind: "SCALAR";
                    name: "DateTime";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "notContainsi";
                type: {
                    kind: "SCALAR";
                    name: "DateTime";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "gt";
                type: {
                    kind: "SCALAR";
                    name: "DateTime";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "gte";
                type: {
                    kind: "SCALAR";
                    name: "DateTime";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "lt";
                type: {
                    kind: "SCALAR";
                    name: "DateTime";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "lte";
                type: {
                    kind: "SCALAR";
                    name: "DateTime";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "null";
                type: {
                    kind: "SCALAR";
                    name: "Boolean";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "notNull";
                type: {
                    kind: "SCALAR";
                    name: "Boolean";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "in";
                type: {
                    kind: "LIST";
                    name: never;
                    ofType: {
                        kind: "SCALAR";
                        name: "DateTime";
                        ofType: null;
                    };
                };
                defaultValue: null;
            }, {
                name: "notIn";
                type: {
                    kind: "LIST";
                    name: never;
                    ofType: {
                        kind: "SCALAR";
                        name: "DateTime";
                        ofType: null;
                    };
                };
                defaultValue: null;
            }, {
                name: "between";
                type: {
                    kind: "LIST";
                    name: never;
                    ofType: {
                        kind: "SCALAR";
                        name: "DateTime";
                        ofType: null;
                    };
                };
                defaultValue: null;
            }];
        };
        Difficulty: {
            kind: "OBJECT";
            name: "Difficulty";
            fields: {
                articles: {
                    name: "articles";
                    type: {
                        kind: "OBJECT";
                        name: "ArticleRelationResponseCollection";
                        ofType: null;
                    };
                };
                createdAt: {
                    name: "createdAt";
                    type: {
                        kind: "SCALAR";
                        name: "DateTime";
                        ofType: null;
                    };
                };
                label: {
                    name: "label";
                    type: {
                        kind: "SCALAR";
                        name: "String";
                        ofType: null;
                    };
                };
                locale: {
                    name: "locale";
                    type: {
                        kind: "SCALAR";
                        name: "String";
                        ofType: null;
                    };
                };
                localizations: {
                    name: "localizations";
                    type: {
                        kind: "OBJECT";
                        name: "DifficultyRelationResponseCollection";
                        ofType: null;
                    };
                };
                longDescription: {
                    name: "longDescription";
                    type: {
                        kind: "SCALAR";
                        name: "String";
                        ofType: null;
                    };
                };
                name: {
                    name: "name";
                    type: {
                        kind: "SCALAR";
                        name: "String";
                        ofType: null;
                    };
                };
                shortDescription: {
                    name: "shortDescription";
                    type: {
                        kind: "SCALAR";
                        name: "String";
                        ofType: null;
                    };
                };
                slug: {
                    name: "slug";
                    type: {
                        kind: "SCALAR";
                        name: "String";
                        ofType: null;
                    };
                };
                updatedAt: {
                    name: "updatedAt";
                    type: {
                        kind: "SCALAR";
                        name: "DateTime";
                        ofType: null;
                    };
                };
            };
        };
        DifficultyEntity: {
            kind: "OBJECT";
            name: "DifficultyEntity";
            fields: {
                attributes: {
                    name: "attributes";
                    type: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "OBJECT";
                            name: "Difficulty";
                            ofType: null;
                        };
                    };
                };
                id: {
                    name: "id";
                    type: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "SCALAR";
                            name: "ID";
                            ofType: null;
                        };
                    };
                };
            };
        };
        DifficultyEntityResponse: {
            kind: "OBJECT";
            name: "DifficultyEntityResponse";
            fields: {
                data: {
                    name: "data";
                    type: {
                        kind: "OBJECT";
                        name: "DifficultyEntity";
                        ofType: null;
                    };
                };
            };
        };
        DifficultyEntityResponseCollection: {
            kind: "OBJECT";
            name: "DifficultyEntityResponseCollection";
            fields: {
                data: {
                    name: "data";
                    type: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "LIST";
                            name: never;
                            ofType: {
                                kind: "NON_NULL";
                                name: never;
                                ofType: {
                                    kind: "OBJECT";
                                    name: "DifficultyEntity";
                                    ofType: null;
                                };
                            };
                        };
                    };
                };
                meta: {
                    name: "meta";
                    type: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "OBJECT";
                            name: "ResponseCollectionMeta";
                            ofType: null;
                        };
                    };
                };
            };
        };
        DifficultyFiltersInput: {
            kind: "INPUT_OBJECT";
            name: "DifficultyFiltersInput";
            isOneOf: false;
            inputFields: [{
                name: "id";
                type: {
                    kind: "INPUT_OBJECT";
                    name: "IDFilterInput";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "name";
                type: {
                    kind: "INPUT_OBJECT";
                    name: "StringFilterInput";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "shortDescription";
                type: {
                    kind: "INPUT_OBJECT";
                    name: "StringFilterInput";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "longDescription";
                type: {
                    kind: "INPUT_OBJECT";
                    name: "StringFilterInput";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "slug";
                type: {
                    kind: "INPUT_OBJECT";
                    name: "StringFilterInput";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "articles";
                type: {
                    kind: "INPUT_OBJECT";
                    name: "ArticleFiltersInput";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "label";
                type: {
                    kind: "INPUT_OBJECT";
                    name: "StringFilterInput";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "createdAt";
                type: {
                    kind: "INPUT_OBJECT";
                    name: "DateTimeFilterInput";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "updatedAt";
                type: {
                    kind: "INPUT_OBJECT";
                    name: "DateTimeFilterInput";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "localizations";
                type: {
                    kind: "INPUT_OBJECT";
                    name: "DifficultyFiltersInput";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "locale";
                type: {
                    kind: "INPUT_OBJECT";
                    name: "StringFilterInput";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "and";
                type: {
                    kind: "LIST";
                    name: never;
                    ofType: {
                        kind: "INPUT_OBJECT";
                        name: "DifficultyFiltersInput";
                        ofType: null;
                    };
                };
                defaultValue: null;
            }, {
                name: "or";
                type: {
                    kind: "LIST";
                    name: never;
                    ofType: {
                        kind: "INPUT_OBJECT";
                        name: "DifficultyFiltersInput";
                        ofType: null;
                    };
                };
                defaultValue: null;
            }, {
                name: "not";
                type: {
                    kind: "INPUT_OBJECT";
                    name: "DifficultyFiltersInput";
                    ofType: null;
                };
                defaultValue: null;
            }];
        };
        DifficultyInput: {
            kind: "INPUT_OBJECT";
            name: "DifficultyInput";
            isOneOf: false;
            inputFields: [{
                name: "name";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "shortDescription";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "longDescription";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "slug";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "articles";
                type: {
                    kind: "LIST";
                    name: never;
                    ofType: {
                        kind: "SCALAR";
                        name: "ID";
                        ofType: null;
                    };
                };
                defaultValue: null;
            }, {
                name: "label";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }];
        };
        DifficultyRelationResponseCollection: {
            kind: "OBJECT";
            name: "DifficultyRelationResponseCollection";
            fields: {
                data: {
                    name: "data";
                    type: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "LIST";
                            name: never;
                            ofType: {
                                kind: "NON_NULL";
                                name: never;
                                ofType: {
                                    kind: "OBJECT";
                                    name: "DifficultyEntity";
                                    ofType: null;
                                };
                            };
                        };
                    };
                };
            };
        };
        ENUM_ARTICLE_ARTICLETYPE: {
            name: "ENUM_ARTICLE_ARTICLETYPE";
            enumValues: "academy" | "blog";
        };
        ENUM_SCHEDULERSCHEDULER_TYPE: {
            name: "ENUM_SCHEDULERSCHEDULER_TYPE";
            enumValues: "publish" | "archive";
        };
        Error: {
            kind: "OBJECT";
            name: "Error";
            fields: {
                code: {
                    name: "code";
                    type: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "SCALAR";
                            name: "String";
                            ofType: null;
                        };
                    };
                };
                message: {
                    name: "message";
                    type: {
                        kind: "SCALAR";
                        name: "String";
                        ofType: null;
                    };
                };
            };
        };
        FaqAnswer: {
            kind: "OBJECT";
            name: "FaqAnswer";
            fields: {
                createdAt: {
                    name: "createdAt";
                    type: {
                        kind: "SCALAR";
                        name: "DateTime";
                        ofType: null;
                    };
                };
                faqAnswerGroup: {
                    name: "faqAnswerGroup";
                    type: {
                        kind: "OBJECT";
                        name: "FaqAnswerGroupEntityResponse";
                        ofType: null;
                    };
                };
                ghostSlug: {
                    name: "ghostSlug";
                    type: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "SCALAR";
                            name: "String";
                            ofType: null;
                        };
                    };
                };
                name: {
                    name: "name";
                    type: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "SCALAR";
                            name: "String";
                            ofType: null;
                        };
                    };
                };
                publishedAt: {
                    name: "publishedAt";
                    type: {
                        kind: "SCALAR";
                        name: "DateTime";
                        ofType: null;
                    };
                };
                slug: {
                    name: "slug";
                    type: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "SCALAR";
                            name: "String";
                            ofType: null;
                        };
                    };
                };
                updatedAt: {
                    name: "updatedAt";
                    type: {
                        kind: "SCALAR";
                        name: "DateTime";
                        ofType: null;
                    };
                };
            };
        };
        FaqAnswerEntity: {
            kind: "OBJECT";
            name: "FaqAnswerEntity";
            fields: {
                attributes: {
                    name: "attributes";
                    type: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "OBJECT";
                            name: "FaqAnswer";
                            ofType: null;
                        };
                    };
                };
                id: {
                    name: "id";
                    type: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "SCALAR";
                            name: "ID";
                            ofType: null;
                        };
                    };
                };
            };
        };
        FaqAnswerEntityResponse: {
            kind: "OBJECT";
            name: "FaqAnswerEntityResponse";
            fields: {
                data: {
                    name: "data";
                    type: {
                        kind: "OBJECT";
                        name: "FaqAnswerEntity";
                        ofType: null;
                    };
                };
            };
        };
        FaqAnswerEntityResponseCollection: {
            kind: "OBJECT";
            name: "FaqAnswerEntityResponseCollection";
            fields: {
                data: {
                    name: "data";
                    type: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "LIST";
                            name: never;
                            ofType: {
                                kind: "NON_NULL";
                                name: never;
                                ofType: {
                                    kind: "OBJECT";
                                    name: "FaqAnswerEntity";
                                    ofType: null;
                                };
                            };
                        };
                    };
                };
                meta: {
                    name: "meta";
                    type: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "OBJECT";
                            name: "ResponseCollectionMeta";
                            ofType: null;
                        };
                    };
                };
            };
        };
        FaqAnswerFiltersInput: {
            kind: "INPUT_OBJECT";
            name: "FaqAnswerFiltersInput";
            isOneOf: false;
            inputFields: [{
                name: "id";
                type: {
                    kind: "INPUT_OBJECT";
                    name: "IDFilterInput";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "name";
                type: {
                    kind: "INPUT_OBJECT";
                    name: "StringFilterInput";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "ghostSlug";
                type: {
                    kind: "INPUT_OBJECT";
                    name: "StringFilterInput";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "faqAnswerGroup";
                type: {
                    kind: "INPUT_OBJECT";
                    name: "FaqAnswerGroupFiltersInput";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "slug";
                type: {
                    kind: "INPUT_OBJECT";
                    name: "StringFilterInput";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "createdAt";
                type: {
                    kind: "INPUT_OBJECT";
                    name: "DateTimeFilterInput";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "updatedAt";
                type: {
                    kind: "INPUT_OBJECT";
                    name: "DateTimeFilterInput";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "publishedAt";
                type: {
                    kind: "INPUT_OBJECT";
                    name: "DateTimeFilterInput";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "and";
                type: {
                    kind: "LIST";
                    name: never;
                    ofType: {
                        kind: "INPUT_OBJECT";
                        name: "FaqAnswerFiltersInput";
                        ofType: null;
                    };
                };
                defaultValue: null;
            }, {
                name: "or";
                type: {
                    kind: "LIST";
                    name: never;
                    ofType: {
                        kind: "INPUT_OBJECT";
                        name: "FaqAnswerFiltersInput";
                        ofType: null;
                    };
                };
                defaultValue: null;
            }, {
                name: "not";
                type: {
                    kind: "INPUT_OBJECT";
                    name: "FaqAnswerFiltersInput";
                    ofType: null;
                };
                defaultValue: null;
            }];
        };
        FaqAnswerGroup: {
            kind: "OBJECT";
            name: "FaqAnswerGroup";
            fields: {
                createdAt: {
                    name: "createdAt";
                    type: {
                        kind: "SCALAR";
                        name: "DateTime";
                        ofType: null;
                    };
                };
                faqAnswers: {
                    name: "faqAnswers";
                    type: {
                        kind: "OBJECT";
                        name: "FaqAnswerRelationResponseCollection";
                        ofType: null;
                    };
                };
                faqCategory: {
                    name: "faqCategory";
                    type: {
                        kind: "OBJECT";
                        name: "FaqCategoryEntityResponse";
                        ofType: null;
                    };
                };
                faqDefaultAnswer: {
                    name: "faqDefaultAnswer";
                    type: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "OBJECT";
                            name: "FaqAnswerEntityResponse";
                            ofType: null;
                        };
                    };
                };
                faqProduct: {
                    name: "faqProduct";
                    type: {
                        kind: "OBJECT";
                        name: "FaqProductEntityResponse";
                        ofType: null;
                    };
                };
                name: {
                    name: "name";
                    type: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "SCALAR";
                            name: "String";
                            ofType: null;
                        };
                    };
                };
                publishedAt: {
                    name: "publishedAt";
                    type: {
                        kind: "SCALAR";
                        name: "DateTime";
                        ofType: null;
                    };
                };
                slug: {
                    name: "slug";
                    type: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "SCALAR";
                            name: "String";
                            ofType: null;
                        };
                    };
                };
                updatedAt: {
                    name: "updatedAt";
                    type: {
                        kind: "SCALAR";
                        name: "DateTime";
                        ofType: null;
                    };
                };
            };
        };
        FaqAnswerGroupEntity: {
            kind: "OBJECT";
            name: "FaqAnswerGroupEntity";
            fields: {
                attributes: {
                    name: "attributes";
                    type: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "OBJECT";
                            name: "FaqAnswerGroup";
                            ofType: null;
                        };
                    };
                };
                id: {
                    name: "id";
                    type: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "SCALAR";
                            name: "ID";
                            ofType: null;
                        };
                    };
                };
            };
        };
        FaqAnswerGroupEntityResponse: {
            kind: "OBJECT";
            name: "FaqAnswerGroupEntityResponse";
            fields: {
                data: {
                    name: "data";
                    type: {
                        kind: "OBJECT";
                        name: "FaqAnswerGroupEntity";
                        ofType: null;
                    };
                };
            };
        };
        FaqAnswerGroupEntityResponseCollection: {
            kind: "OBJECT";
            name: "FaqAnswerGroupEntityResponseCollection";
            fields: {
                data: {
                    name: "data";
                    type: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "LIST";
                            name: never;
                            ofType: {
                                kind: "NON_NULL";
                                name: never;
                                ofType: {
                                    kind: "OBJECT";
                                    name: "FaqAnswerGroupEntity";
                                    ofType: null;
                                };
                            };
                        };
                    };
                };
                meta: {
                    name: "meta";
                    type: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "OBJECT";
                            name: "ResponseCollectionMeta";
                            ofType: null;
                        };
                    };
                };
            };
        };
        FaqAnswerGroupFiltersInput: {
            kind: "INPUT_OBJECT";
            name: "FaqAnswerGroupFiltersInput";
            isOneOf: false;
            inputFields: [{
                name: "id";
                type: {
                    kind: "INPUT_OBJECT";
                    name: "IDFilterInput";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "name";
                type: {
                    kind: "INPUT_OBJECT";
                    name: "StringFilterInput";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "faqAnswers";
                type: {
                    kind: "INPUT_OBJECT";
                    name: "FaqAnswerFiltersInput";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "slug";
                type: {
                    kind: "INPUT_OBJECT";
                    name: "StringFilterInput";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "faqDefaultAnswer";
                type: {
                    kind: "INPUT_OBJECT";
                    name: "FaqAnswerFiltersInput";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "faqCategory";
                type: {
                    kind: "INPUT_OBJECT";
                    name: "FaqCategoryFiltersInput";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "faqProduct";
                type: {
                    kind: "INPUT_OBJECT";
                    name: "FaqProductFiltersInput";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "createdAt";
                type: {
                    kind: "INPUT_OBJECT";
                    name: "DateTimeFilterInput";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "updatedAt";
                type: {
                    kind: "INPUT_OBJECT";
                    name: "DateTimeFilterInput";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "publishedAt";
                type: {
                    kind: "INPUT_OBJECT";
                    name: "DateTimeFilterInput";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "and";
                type: {
                    kind: "LIST";
                    name: never;
                    ofType: {
                        kind: "INPUT_OBJECT";
                        name: "FaqAnswerGroupFiltersInput";
                        ofType: null;
                    };
                };
                defaultValue: null;
            }, {
                name: "or";
                type: {
                    kind: "LIST";
                    name: never;
                    ofType: {
                        kind: "INPUT_OBJECT";
                        name: "FaqAnswerGroupFiltersInput";
                        ofType: null;
                    };
                };
                defaultValue: null;
            }, {
                name: "not";
                type: {
                    kind: "INPUT_OBJECT";
                    name: "FaqAnswerGroupFiltersInput";
                    ofType: null;
                };
                defaultValue: null;
            }];
        };
        FaqAnswerGroupInput: {
            kind: "INPUT_OBJECT";
            name: "FaqAnswerGroupInput";
            isOneOf: false;
            inputFields: [{
                name: "name";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "faqAnswers";
                type: {
                    kind: "LIST";
                    name: never;
                    ofType: {
                        kind: "SCALAR";
                        name: "ID";
                        ofType: null;
                    };
                };
                defaultValue: null;
            }, {
                name: "slug";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "faqDefaultAnswer";
                type: {
                    kind: "SCALAR";
                    name: "ID";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "faqCategory";
                type: {
                    kind: "SCALAR";
                    name: "ID";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "faqProduct";
                type: {
                    kind: "SCALAR";
                    name: "ID";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "publishedAt";
                type: {
                    kind: "SCALAR";
                    name: "DateTime";
                    ofType: null;
                };
                defaultValue: null;
            }];
        };
        FaqAnswerGroupRelationResponseCollection: {
            kind: "OBJECT";
            name: "FaqAnswerGroupRelationResponseCollection";
            fields: {
                data: {
                    name: "data";
                    type: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "LIST";
                            name: never;
                            ofType: {
                                kind: "NON_NULL";
                                name: never;
                                ofType: {
                                    kind: "OBJECT";
                                    name: "FaqAnswerGroupEntity";
                                    ofType: null;
                                };
                            };
                        };
                    };
                };
            };
        };
        FaqAnswerInput: {
            kind: "INPUT_OBJECT";
            name: "FaqAnswerInput";
            isOneOf: false;
            inputFields: [{
                name: "name";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "ghostSlug";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "faqAnswerGroup";
                type: {
                    kind: "SCALAR";
                    name: "ID";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "slug";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "publishedAt";
                type: {
                    kind: "SCALAR";
                    name: "DateTime";
                    ofType: null;
                };
                defaultValue: null;
            }];
        };
        FaqAnswerRelationResponseCollection: {
            kind: "OBJECT";
            name: "FaqAnswerRelationResponseCollection";
            fields: {
                data: {
                    name: "data";
                    type: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "LIST";
                            name: never;
                            ofType: {
                                kind: "NON_NULL";
                                name: never;
                                ofType: {
                                    kind: "OBJECT";
                                    name: "FaqAnswerEntity";
                                    ofType: null;
                                };
                            };
                        };
                    };
                };
            };
        };
        FaqCategory: {
            kind: "OBJECT";
            name: "FaqCategory";
            fields: {
                createdAt: {
                    name: "createdAt";
                    type: {
                        kind: "SCALAR";
                        name: "DateTime";
                        ofType: null;
                    };
                };
                faqAnswerGroups: {
                    name: "faqAnswerGroups";
                    type: {
                        kind: "OBJECT";
                        name: "FaqAnswerGroupRelationResponseCollection";
                        ofType: null;
                    };
                };
                name: {
                    name: "name";
                    type: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "SCALAR";
                            name: "String";
                            ofType: null;
                        };
                    };
                };
                publishedAt: {
                    name: "publishedAt";
                    type: {
                        kind: "SCALAR";
                        name: "DateTime";
                        ofType: null;
                    };
                };
                slug: {
                    name: "slug";
                    type: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "SCALAR";
                            name: "String";
                            ofType: null;
                        };
                    };
                };
                updatedAt: {
                    name: "updatedAt";
                    type: {
                        kind: "SCALAR";
                        name: "DateTime";
                        ofType: null;
                    };
                };
            };
        };
        FaqCategoryEntity: {
            kind: "OBJECT";
            name: "FaqCategoryEntity";
            fields: {
                attributes: {
                    name: "attributes";
                    type: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "OBJECT";
                            name: "FaqCategory";
                            ofType: null;
                        };
                    };
                };
                id: {
                    name: "id";
                    type: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "SCALAR";
                            name: "ID";
                            ofType: null;
                        };
                    };
                };
            };
        };
        FaqCategoryEntityResponse: {
            kind: "OBJECT";
            name: "FaqCategoryEntityResponse";
            fields: {
                data: {
                    name: "data";
                    type: {
                        kind: "OBJECT";
                        name: "FaqCategoryEntity";
                        ofType: null;
                    };
                };
            };
        };
        FaqCategoryEntityResponseCollection: {
            kind: "OBJECT";
            name: "FaqCategoryEntityResponseCollection";
            fields: {
                data: {
                    name: "data";
                    type: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "LIST";
                            name: never;
                            ofType: {
                                kind: "NON_NULL";
                                name: never;
                                ofType: {
                                    kind: "OBJECT";
                                    name: "FaqCategoryEntity";
                                    ofType: null;
                                };
                            };
                        };
                    };
                };
                meta: {
                    name: "meta";
                    type: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "OBJECT";
                            name: "ResponseCollectionMeta";
                            ofType: null;
                        };
                    };
                };
            };
        };
        FaqCategoryFiltersInput: {
            kind: "INPUT_OBJECT";
            name: "FaqCategoryFiltersInput";
            isOneOf: false;
            inputFields: [{
                name: "id";
                type: {
                    kind: "INPUT_OBJECT";
                    name: "IDFilterInput";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "name";
                type: {
                    kind: "INPUT_OBJECT";
                    name: "StringFilterInput";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "slug";
                type: {
                    kind: "INPUT_OBJECT";
                    name: "StringFilterInput";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "faqAnswerGroups";
                type: {
                    kind: "INPUT_OBJECT";
                    name: "FaqAnswerGroupFiltersInput";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "createdAt";
                type: {
                    kind: "INPUT_OBJECT";
                    name: "DateTimeFilterInput";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "updatedAt";
                type: {
                    kind: "INPUT_OBJECT";
                    name: "DateTimeFilterInput";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "publishedAt";
                type: {
                    kind: "INPUT_OBJECT";
                    name: "DateTimeFilterInput";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "and";
                type: {
                    kind: "LIST";
                    name: never;
                    ofType: {
                        kind: "INPUT_OBJECT";
                        name: "FaqCategoryFiltersInput";
                        ofType: null;
                    };
                };
                defaultValue: null;
            }, {
                name: "or";
                type: {
                    kind: "LIST";
                    name: never;
                    ofType: {
                        kind: "INPUT_OBJECT";
                        name: "FaqCategoryFiltersInput";
                        ofType: null;
                    };
                };
                defaultValue: null;
            }, {
                name: "not";
                type: {
                    kind: "INPUT_OBJECT";
                    name: "FaqCategoryFiltersInput";
                    ofType: null;
                };
                defaultValue: null;
            }];
        };
        FaqCategoryInput: {
            kind: "INPUT_OBJECT";
            name: "FaqCategoryInput";
            isOneOf: false;
            inputFields: [{
                name: "name";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "slug";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "faqAnswerGroups";
                type: {
                    kind: "LIST";
                    name: never;
                    ofType: {
                        kind: "SCALAR";
                        name: "ID";
                        ofType: null;
                    };
                };
                defaultValue: null;
            }, {
                name: "publishedAt";
                type: {
                    kind: "SCALAR";
                    name: "DateTime";
                    ofType: null;
                };
                defaultValue: null;
            }];
        };
        FaqMostSearched: {
            kind: "OBJECT";
            name: "FaqMostSearched";
            fields: {
                createdAt: {
                    name: "createdAt";
                    type: {
                        kind: "SCALAR";
                        name: "DateTime";
                        ofType: null;
                    };
                };
                faq_answer_group: {
                    name: "faq_answer_group";
                    type: {
                        kind: "OBJECT";
                        name: "FaqAnswerGroupEntityResponse";
                        ofType: null;
                    };
                };
                publishedAt: {
                    name: "publishedAt";
                    type: {
                        kind: "SCALAR";
                        name: "DateTime";
                        ofType: null;
                    };
                };
                updatedAt: {
                    name: "updatedAt";
                    type: {
                        kind: "SCALAR";
                        name: "DateTime";
                        ofType: null;
                    };
                };
            };
        };
        FaqMostSearchedEntity: {
            kind: "OBJECT";
            name: "FaqMostSearchedEntity";
            fields: {
                attributes: {
                    name: "attributes";
                    type: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "OBJECT";
                            name: "FaqMostSearched";
                            ofType: null;
                        };
                    };
                };
                id: {
                    name: "id";
                    type: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "SCALAR";
                            name: "ID";
                            ofType: null;
                        };
                    };
                };
            };
        };
        FaqMostSearchedEntityResponse: {
            kind: "OBJECT";
            name: "FaqMostSearchedEntityResponse";
            fields: {
                data: {
                    name: "data";
                    type: {
                        kind: "OBJECT";
                        name: "FaqMostSearchedEntity";
                        ofType: null;
                    };
                };
            };
        };
        FaqMostSearchedEntityResponseCollection: {
            kind: "OBJECT";
            name: "FaqMostSearchedEntityResponseCollection";
            fields: {
                data: {
                    name: "data";
                    type: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "LIST";
                            name: never;
                            ofType: {
                                kind: "NON_NULL";
                                name: never;
                                ofType: {
                                    kind: "OBJECT";
                                    name: "FaqMostSearchedEntity";
                                    ofType: null;
                                };
                            };
                        };
                    };
                };
                meta: {
                    name: "meta";
                    type: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "OBJECT";
                            name: "ResponseCollectionMeta";
                            ofType: null;
                        };
                    };
                };
            };
        };
        FaqMostSearchedFiltersInput: {
            kind: "INPUT_OBJECT";
            name: "FaqMostSearchedFiltersInput";
            isOneOf: false;
            inputFields: [{
                name: "id";
                type: {
                    kind: "INPUT_OBJECT";
                    name: "IDFilterInput";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "faq_answer_group";
                type: {
                    kind: "INPUT_OBJECT";
                    name: "FaqAnswerGroupFiltersInput";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "createdAt";
                type: {
                    kind: "INPUT_OBJECT";
                    name: "DateTimeFilterInput";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "updatedAt";
                type: {
                    kind: "INPUT_OBJECT";
                    name: "DateTimeFilterInput";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "publishedAt";
                type: {
                    kind: "INPUT_OBJECT";
                    name: "DateTimeFilterInput";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "and";
                type: {
                    kind: "LIST";
                    name: never;
                    ofType: {
                        kind: "INPUT_OBJECT";
                        name: "FaqMostSearchedFiltersInput";
                        ofType: null;
                    };
                };
                defaultValue: null;
            }, {
                name: "or";
                type: {
                    kind: "LIST";
                    name: never;
                    ofType: {
                        kind: "INPUT_OBJECT";
                        name: "FaqMostSearchedFiltersInput";
                        ofType: null;
                    };
                };
                defaultValue: null;
            }, {
                name: "not";
                type: {
                    kind: "INPUT_OBJECT";
                    name: "FaqMostSearchedFiltersInput";
                    ofType: null;
                };
                defaultValue: null;
            }];
        };
        FaqMostSearchedInput: {
            kind: "INPUT_OBJECT";
            name: "FaqMostSearchedInput";
            isOneOf: false;
            inputFields: [{
                name: "faq_answer_group";
                type: {
                    kind: "SCALAR";
                    name: "ID";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "publishedAt";
                type: {
                    kind: "SCALAR";
                    name: "DateTime";
                    ofType: null;
                };
                defaultValue: null;
            }];
        };
        FaqProduct: {
            kind: "OBJECT";
            name: "FaqProduct";
            fields: {
                createdAt: {
                    name: "createdAt";
                    type: {
                        kind: "SCALAR";
                        name: "DateTime";
                        ofType: null;
                    };
                };
                description: {
                    name: "description";
                    type: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "SCALAR";
                            name: "String";
                            ofType: null;
                        };
                    };
                };
                faqAnswerGroup: {
                    name: "faqAnswerGroup";
                    type: {
                        kind: "OBJECT";
                        name: "FaqAnswerGroupEntityResponse";
                        ofType: null;
                    };
                };
                image: {
                    name: "image";
                    type: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "OBJECT";
                            name: "UploadFileEntityResponse";
                            ofType: null;
                        };
                    };
                };
                name: {
                    name: "name";
                    type: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "SCALAR";
                            name: "String";
                            ofType: null;
                        };
                    };
                };
                publishedAt: {
                    name: "publishedAt";
                    type: {
                        kind: "SCALAR";
                        name: "DateTime";
                        ofType: null;
                    };
                };
                updatedAt: {
                    name: "updatedAt";
                    type: {
                        kind: "SCALAR";
                        name: "DateTime";
                        ofType: null;
                    };
                };
            };
        };
        FaqProductEntity: {
            kind: "OBJECT";
            name: "FaqProductEntity";
            fields: {
                attributes: {
                    name: "attributes";
                    type: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "OBJECT";
                            name: "FaqProduct";
                            ofType: null;
                        };
                    };
                };
                id: {
                    name: "id";
                    type: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "SCALAR";
                            name: "ID";
                            ofType: null;
                        };
                    };
                };
            };
        };
        FaqProductEntityResponse: {
            kind: "OBJECT";
            name: "FaqProductEntityResponse";
            fields: {
                data: {
                    name: "data";
                    type: {
                        kind: "OBJECT";
                        name: "FaqProductEntity";
                        ofType: null;
                    };
                };
            };
        };
        FaqProductEntityResponseCollection: {
            kind: "OBJECT";
            name: "FaqProductEntityResponseCollection";
            fields: {
                data: {
                    name: "data";
                    type: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "LIST";
                            name: never;
                            ofType: {
                                kind: "NON_NULL";
                                name: never;
                                ofType: {
                                    kind: "OBJECT";
                                    name: "FaqProductEntity";
                                    ofType: null;
                                };
                            };
                        };
                    };
                };
                meta: {
                    name: "meta";
                    type: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "OBJECT";
                            name: "ResponseCollectionMeta";
                            ofType: null;
                        };
                    };
                };
            };
        };
        FaqProductFiltersInput: {
            kind: "INPUT_OBJECT";
            name: "FaqProductFiltersInput";
            isOneOf: false;
            inputFields: [{
                name: "id";
                type: {
                    kind: "INPUT_OBJECT";
                    name: "IDFilterInput";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "name";
                type: {
                    kind: "INPUT_OBJECT";
                    name: "StringFilterInput";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "description";
                type: {
                    kind: "INPUT_OBJECT";
                    name: "StringFilterInput";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "faqAnswerGroup";
                type: {
                    kind: "INPUT_OBJECT";
                    name: "FaqAnswerGroupFiltersInput";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "createdAt";
                type: {
                    kind: "INPUT_OBJECT";
                    name: "DateTimeFilterInput";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "updatedAt";
                type: {
                    kind: "INPUT_OBJECT";
                    name: "DateTimeFilterInput";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "publishedAt";
                type: {
                    kind: "INPUT_OBJECT";
                    name: "DateTimeFilterInput";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "and";
                type: {
                    kind: "LIST";
                    name: never;
                    ofType: {
                        kind: "INPUT_OBJECT";
                        name: "FaqProductFiltersInput";
                        ofType: null;
                    };
                };
                defaultValue: null;
            }, {
                name: "or";
                type: {
                    kind: "LIST";
                    name: never;
                    ofType: {
                        kind: "INPUT_OBJECT";
                        name: "FaqProductFiltersInput";
                        ofType: null;
                    };
                };
                defaultValue: null;
            }, {
                name: "not";
                type: {
                    kind: "INPUT_OBJECT";
                    name: "FaqProductFiltersInput";
                    ofType: null;
                };
                defaultValue: null;
            }];
        };
        FaqProductInput: {
            kind: "INPUT_OBJECT";
            name: "FaqProductInput";
            isOneOf: false;
            inputFields: [{
                name: "name";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "image";
                type: {
                    kind: "SCALAR";
                    name: "ID";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "description";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "faqAnswerGroup";
                type: {
                    kind: "SCALAR";
                    name: "ID";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "publishedAt";
                type: {
                    kind: "SCALAR";
                    name: "DateTime";
                    ofType: null;
                };
                defaultValue: null;
            }];
        };
        FileInfoInput: {
            kind: "INPUT_OBJECT";
            name: "FileInfoInput";
            isOneOf: false;
            inputFields: [{
                name: "name";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "alternativeText";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "caption";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }];
        };
        Float: unknown;
        FloatFilterInput: {
            kind: "INPUT_OBJECT";
            name: "FloatFilterInput";
            isOneOf: false;
            inputFields: [{
                name: "and";
                type: {
                    kind: "LIST";
                    name: never;
                    ofType: {
                        kind: "SCALAR";
                        name: "Float";
                        ofType: null;
                    };
                };
                defaultValue: null;
            }, {
                name: "or";
                type: {
                    kind: "LIST";
                    name: never;
                    ofType: {
                        kind: "SCALAR";
                        name: "Float";
                        ofType: null;
                    };
                };
                defaultValue: null;
            }, {
                name: "not";
                type: {
                    kind: "INPUT_OBJECT";
                    name: "FloatFilterInput";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "eq";
                type: {
                    kind: "SCALAR";
                    name: "Float";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "eqi";
                type: {
                    kind: "SCALAR";
                    name: "Float";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "ne";
                type: {
                    kind: "SCALAR";
                    name: "Float";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "nei";
                type: {
                    kind: "SCALAR";
                    name: "Float";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "startsWith";
                type: {
                    kind: "SCALAR";
                    name: "Float";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "endsWith";
                type: {
                    kind: "SCALAR";
                    name: "Float";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "contains";
                type: {
                    kind: "SCALAR";
                    name: "Float";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "notContains";
                type: {
                    kind: "SCALAR";
                    name: "Float";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "containsi";
                type: {
                    kind: "SCALAR";
                    name: "Float";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "notContainsi";
                type: {
                    kind: "SCALAR";
                    name: "Float";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "gt";
                type: {
                    kind: "SCALAR";
                    name: "Float";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "gte";
                type: {
                    kind: "SCALAR";
                    name: "Float";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "lt";
                type: {
                    kind: "SCALAR";
                    name: "Float";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "lte";
                type: {
                    kind: "SCALAR";
                    name: "Float";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "null";
                type: {
                    kind: "SCALAR";
                    name: "Boolean";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "notNull";
                type: {
                    kind: "SCALAR";
                    name: "Boolean";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "in";
                type: {
                    kind: "LIST";
                    name: never;
                    ofType: {
                        kind: "SCALAR";
                        name: "Float";
                        ofType: null;
                    };
                };
                defaultValue: null;
            }, {
                name: "notIn";
                type: {
                    kind: "LIST";
                    name: never;
                    ofType: {
                        kind: "SCALAR";
                        name: "Float";
                        ofType: null;
                    };
                };
                defaultValue: null;
            }, {
                name: "between";
                type: {
                    kind: "LIST";
                    name: never;
                    ofType: {
                        kind: "SCALAR";
                        name: "Float";
                        ofType: null;
                    };
                };
                defaultValue: null;
            }];
        };
        GenericMorph: {
            kind: "UNION";
            name: "GenericMorph";
            fields: {};
            possibleTypes: "Global" | "About" | "ComponentSharedMedia" | "ComponentSharedRichText" | "ComponentSharedSlider" | "Article" | "ComponentSharedTableOfContents" | "ComponentSharedDivider" | "ArticleType" | "Author" | "Banner" | "Category" | "ComponentSharedSeo" | "ComponentSharedTableOfContentsEntry" | "Difficulty" | "FaqAnswer" | "FaqAnswerGroup" | "FaqCategory" | "FaqMostSearched" | "FaqProduct" | "GlobalAcademy" | "I18NLocale" | "Product" | "SchedulerScheduler" | "Topic" | "TrendingSearch" | "UploadFile" | "UploadFolder" | "UsersPermissionsPermission" | "UsersPermissionsRole" | "UsersPermissionsUser";
        };
        Global: {
            kind: "OBJECT";
            name: "Global";
            fields: {
                createdAt: {
                    name: "createdAt";
                    type: {
                        kind: "SCALAR";
                        name: "DateTime";
                        ofType: null;
                    };
                };
                defaultSeo: {
                    name: "defaultSeo";
                    type: {
                        kind: "OBJECT";
                        name: "ComponentSharedSeo";
                        ofType: null;
                    };
                };
                favicon: {
                    name: "favicon";
                    type: {
                        kind: "OBJECT";
                        name: "UploadFileEntityResponse";
                        ofType: null;
                    };
                };
                siteDescription: {
                    name: "siteDescription";
                    type: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "SCALAR";
                            name: "String";
                            ofType: null;
                        };
                    };
                };
                siteName: {
                    name: "siteName";
                    type: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "SCALAR";
                            name: "String";
                            ofType: null;
                        };
                    };
                };
                updatedAt: {
                    name: "updatedAt";
                    type: {
                        kind: "SCALAR";
                        name: "DateTime";
                        ofType: null;
                    };
                };
            };
        };
        GlobalAcademy: {
            kind: "OBJECT";
            name: "GlobalAcademy";
            fields: {
                createdAt: {
                    name: "createdAt";
                    type: {
                        kind: "SCALAR";
                        name: "DateTime";
                        ofType: null;
                    };
                };
                defaultSeo: {
                    name: "defaultSeo";
                    type: {
                        kind: "OBJECT";
                        name: "ComponentSharedSeo";
                        ofType: null;
                    };
                };
                favicon: {
                    name: "favicon";
                    type: {
                        kind: "OBJECT";
                        name: "UploadFileEntityResponse";
                        ofType: null;
                    };
                };
                siteDescription: {
                    name: "siteDescription";
                    type: {
                        kind: "SCALAR";
                        name: "String";
                        ofType: null;
                    };
                };
                siteName: {
                    name: "siteName";
                    type: {
                        kind: "SCALAR";
                        name: "String";
                        ofType: null;
                    };
                };
                updatedAt: {
                    name: "updatedAt";
                    type: {
                        kind: "SCALAR";
                        name: "DateTime";
                        ofType: null;
                    };
                };
            };
        };
        GlobalAcademyEntity: {
            kind: "OBJECT";
            name: "GlobalAcademyEntity";
            fields: {
                attributes: {
                    name: "attributes";
                    type: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "OBJECT";
                            name: "GlobalAcademy";
                            ofType: null;
                        };
                    };
                };
                id: {
                    name: "id";
                    type: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "SCALAR";
                            name: "ID";
                            ofType: null;
                        };
                    };
                };
            };
        };
        GlobalAcademyEntityResponse: {
            kind: "OBJECT";
            name: "GlobalAcademyEntityResponse";
            fields: {
                data: {
                    name: "data";
                    type: {
                        kind: "OBJECT";
                        name: "GlobalAcademyEntity";
                        ofType: null;
                    };
                };
            };
        };
        GlobalAcademyInput: {
            kind: "INPUT_OBJECT";
            name: "GlobalAcademyInput";
            isOneOf: false;
            inputFields: [{
                name: "siteName";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "favicon";
                type: {
                    kind: "SCALAR";
                    name: "ID";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "siteDescription";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "defaultSeo";
                type: {
                    kind: "INPUT_OBJECT";
                    name: "ComponentSharedSeoInput";
                    ofType: null;
                };
                defaultValue: null;
            }];
        };
        GlobalEntity: {
            kind: "OBJECT";
            name: "GlobalEntity";
            fields: {
                attributes: {
                    name: "attributes";
                    type: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "OBJECT";
                            name: "Global";
                            ofType: null;
                        };
                    };
                };
                id: {
                    name: "id";
                    type: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "SCALAR";
                            name: "ID";
                            ofType: null;
                        };
                    };
                };
            };
        };
        GlobalEntityResponse: {
            kind: "OBJECT";
            name: "GlobalEntityResponse";
            fields: {
                data: {
                    name: "data";
                    type: {
                        kind: "OBJECT";
                        name: "GlobalEntity";
                        ofType: null;
                    };
                };
            };
        };
        GlobalInput: {
            kind: "INPUT_OBJECT";
            name: "GlobalInput";
            isOneOf: false;
            inputFields: [{
                name: "siteName";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "favicon";
                type: {
                    kind: "SCALAR";
                    name: "ID";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "siteDescription";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "defaultSeo";
                type: {
                    kind: "INPUT_OBJECT";
                    name: "ComponentSharedSeoInput";
                    ofType: null;
                };
                defaultValue: null;
            }];
        };
        I18NLocale: {
            kind: "OBJECT";
            name: "I18NLocale";
            fields: {
                code: {
                    name: "code";
                    type: {
                        kind: "SCALAR";
                        name: "String";
                        ofType: null;
                    };
                };
                createdAt: {
                    name: "createdAt";
                    type: {
                        kind: "SCALAR";
                        name: "DateTime";
                        ofType: null;
                    };
                };
                name: {
                    name: "name";
                    type: {
                        kind: "SCALAR";
                        name: "String";
                        ofType: null;
                    };
                };
                updatedAt: {
                    name: "updatedAt";
                    type: {
                        kind: "SCALAR";
                        name: "DateTime";
                        ofType: null;
                    };
                };
            };
        };
        I18NLocaleCode: unknown;
        I18NLocaleEntity: {
            kind: "OBJECT";
            name: "I18NLocaleEntity";
            fields: {
                attributes: {
                    name: "attributes";
                    type: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "OBJECT";
                            name: "I18NLocale";
                            ofType: null;
                        };
                    };
                };
                id: {
                    name: "id";
                    type: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "SCALAR";
                            name: "ID";
                            ofType: null;
                        };
                    };
                };
            };
        };
        I18NLocaleEntityResponse: {
            kind: "OBJECT";
            name: "I18NLocaleEntityResponse";
            fields: {
                data: {
                    name: "data";
                    type: {
                        kind: "OBJECT";
                        name: "I18NLocaleEntity";
                        ofType: null;
                    };
                };
            };
        };
        I18NLocaleEntityResponseCollection: {
            kind: "OBJECT";
            name: "I18NLocaleEntityResponseCollection";
            fields: {
                data: {
                    name: "data";
                    type: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "LIST";
                            name: never;
                            ofType: {
                                kind: "NON_NULL";
                                name: never;
                                ofType: {
                                    kind: "OBJECT";
                                    name: "I18NLocaleEntity";
                                    ofType: null;
                                };
                            };
                        };
                    };
                };
                meta: {
                    name: "meta";
                    type: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "OBJECT";
                            name: "ResponseCollectionMeta";
                            ofType: null;
                        };
                    };
                };
            };
        };
        I18NLocaleFiltersInput: {
            kind: "INPUT_OBJECT";
            name: "I18NLocaleFiltersInput";
            isOneOf: false;
            inputFields: [{
                name: "id";
                type: {
                    kind: "INPUT_OBJECT";
                    name: "IDFilterInput";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "name";
                type: {
                    kind: "INPUT_OBJECT";
                    name: "StringFilterInput";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "code";
                type: {
                    kind: "INPUT_OBJECT";
                    name: "StringFilterInput";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "createdAt";
                type: {
                    kind: "INPUT_OBJECT";
                    name: "DateTimeFilterInput";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "updatedAt";
                type: {
                    kind: "INPUT_OBJECT";
                    name: "DateTimeFilterInput";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "and";
                type: {
                    kind: "LIST";
                    name: never;
                    ofType: {
                        kind: "INPUT_OBJECT";
                        name: "I18NLocaleFiltersInput";
                        ofType: null;
                    };
                };
                defaultValue: null;
            }, {
                name: "or";
                type: {
                    kind: "LIST";
                    name: never;
                    ofType: {
                        kind: "INPUT_OBJECT";
                        name: "I18NLocaleFiltersInput";
                        ofType: null;
                    };
                };
                defaultValue: null;
            }, {
                name: "not";
                type: {
                    kind: "INPUT_OBJECT";
                    name: "I18NLocaleFiltersInput";
                    ofType: null;
                };
                defaultValue: null;
            }];
        };
        ID: unknown;
        IDFilterInput: {
            kind: "INPUT_OBJECT";
            name: "IDFilterInput";
            isOneOf: false;
            inputFields: [{
                name: "and";
                type: {
                    kind: "LIST";
                    name: never;
                    ofType: {
                        kind: "SCALAR";
                        name: "ID";
                        ofType: null;
                    };
                };
                defaultValue: null;
            }, {
                name: "or";
                type: {
                    kind: "LIST";
                    name: never;
                    ofType: {
                        kind: "SCALAR";
                        name: "ID";
                        ofType: null;
                    };
                };
                defaultValue: null;
            }, {
                name: "not";
                type: {
                    kind: "INPUT_OBJECT";
                    name: "IDFilterInput";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "eq";
                type: {
                    kind: "SCALAR";
                    name: "ID";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "eqi";
                type: {
                    kind: "SCALAR";
                    name: "ID";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "ne";
                type: {
                    kind: "SCALAR";
                    name: "ID";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "nei";
                type: {
                    kind: "SCALAR";
                    name: "ID";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "startsWith";
                type: {
                    kind: "SCALAR";
                    name: "ID";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "endsWith";
                type: {
                    kind: "SCALAR";
                    name: "ID";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "contains";
                type: {
                    kind: "SCALAR";
                    name: "ID";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "notContains";
                type: {
                    kind: "SCALAR";
                    name: "ID";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "containsi";
                type: {
                    kind: "SCALAR";
                    name: "ID";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "notContainsi";
                type: {
                    kind: "SCALAR";
                    name: "ID";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "gt";
                type: {
                    kind: "SCALAR";
                    name: "ID";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "gte";
                type: {
                    kind: "SCALAR";
                    name: "ID";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "lt";
                type: {
                    kind: "SCALAR";
                    name: "ID";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "lte";
                type: {
                    kind: "SCALAR";
                    name: "ID";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "null";
                type: {
                    kind: "SCALAR";
                    name: "Boolean";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "notNull";
                type: {
                    kind: "SCALAR";
                    name: "Boolean";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "in";
                type: {
                    kind: "LIST";
                    name: never;
                    ofType: {
                        kind: "SCALAR";
                        name: "ID";
                        ofType: null;
                    };
                };
                defaultValue: null;
            }, {
                name: "notIn";
                type: {
                    kind: "LIST";
                    name: never;
                    ofType: {
                        kind: "SCALAR";
                        name: "ID";
                        ofType: null;
                    };
                };
                defaultValue: null;
            }, {
                name: "between";
                type: {
                    kind: "LIST";
                    name: never;
                    ofType: {
                        kind: "SCALAR";
                        name: "ID";
                        ofType: null;
                    };
                };
                defaultValue: null;
            }];
        };
        Int: unknown;
        IntFilterInput: {
            kind: "INPUT_OBJECT";
            name: "IntFilterInput";
            isOneOf: false;
            inputFields: [{
                name: "and";
                type: {
                    kind: "LIST";
                    name: never;
                    ofType: {
                        kind: "SCALAR";
                        name: "Int";
                        ofType: null;
                    };
                };
                defaultValue: null;
            }, {
                name: "or";
                type: {
                    kind: "LIST";
                    name: never;
                    ofType: {
                        kind: "SCALAR";
                        name: "Int";
                        ofType: null;
                    };
                };
                defaultValue: null;
            }, {
                name: "not";
                type: {
                    kind: "INPUT_OBJECT";
                    name: "IntFilterInput";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "eq";
                type: {
                    kind: "SCALAR";
                    name: "Int";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "eqi";
                type: {
                    kind: "SCALAR";
                    name: "Int";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "ne";
                type: {
                    kind: "SCALAR";
                    name: "Int";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "nei";
                type: {
                    kind: "SCALAR";
                    name: "Int";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "startsWith";
                type: {
                    kind: "SCALAR";
                    name: "Int";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "endsWith";
                type: {
                    kind: "SCALAR";
                    name: "Int";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "contains";
                type: {
                    kind: "SCALAR";
                    name: "Int";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "notContains";
                type: {
                    kind: "SCALAR";
                    name: "Int";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "containsi";
                type: {
                    kind: "SCALAR";
                    name: "Int";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "notContainsi";
                type: {
                    kind: "SCALAR";
                    name: "Int";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "gt";
                type: {
                    kind: "SCALAR";
                    name: "Int";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "gte";
                type: {
                    kind: "SCALAR";
                    name: "Int";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "lt";
                type: {
                    kind: "SCALAR";
                    name: "Int";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "lte";
                type: {
                    kind: "SCALAR";
                    name: "Int";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "null";
                type: {
                    kind: "SCALAR";
                    name: "Boolean";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "notNull";
                type: {
                    kind: "SCALAR";
                    name: "Boolean";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "in";
                type: {
                    kind: "LIST";
                    name: never;
                    ofType: {
                        kind: "SCALAR";
                        name: "Int";
                        ofType: null;
                    };
                };
                defaultValue: null;
            }, {
                name: "notIn";
                type: {
                    kind: "LIST";
                    name: never;
                    ofType: {
                        kind: "SCALAR";
                        name: "Int";
                        ofType: null;
                    };
                };
                defaultValue: null;
            }, {
                name: "between";
                type: {
                    kind: "LIST";
                    name: never;
                    ofType: {
                        kind: "SCALAR";
                        name: "Int";
                        ofType: null;
                    };
                };
                defaultValue: null;
            }];
        };
        JSON: unknown;
        JSONFilterInput: {
            kind: "INPUT_OBJECT";
            name: "JSONFilterInput";
            isOneOf: false;
            inputFields: [{
                name: "and";
                type: {
                    kind: "LIST";
                    name: never;
                    ofType: {
                        kind: "SCALAR";
                        name: "JSON";
                        ofType: null;
                    };
                };
                defaultValue: null;
            }, {
                name: "or";
                type: {
                    kind: "LIST";
                    name: never;
                    ofType: {
                        kind: "SCALAR";
                        name: "JSON";
                        ofType: null;
                    };
                };
                defaultValue: null;
            }, {
                name: "not";
                type: {
                    kind: "INPUT_OBJECT";
                    name: "JSONFilterInput";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "eq";
                type: {
                    kind: "SCALAR";
                    name: "JSON";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "eqi";
                type: {
                    kind: "SCALAR";
                    name: "JSON";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "ne";
                type: {
                    kind: "SCALAR";
                    name: "JSON";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "nei";
                type: {
                    kind: "SCALAR";
                    name: "JSON";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "startsWith";
                type: {
                    kind: "SCALAR";
                    name: "JSON";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "endsWith";
                type: {
                    kind: "SCALAR";
                    name: "JSON";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "contains";
                type: {
                    kind: "SCALAR";
                    name: "JSON";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "notContains";
                type: {
                    kind: "SCALAR";
                    name: "JSON";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "containsi";
                type: {
                    kind: "SCALAR";
                    name: "JSON";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "notContainsi";
                type: {
                    kind: "SCALAR";
                    name: "JSON";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "gt";
                type: {
                    kind: "SCALAR";
                    name: "JSON";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "gte";
                type: {
                    kind: "SCALAR";
                    name: "JSON";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "lt";
                type: {
                    kind: "SCALAR";
                    name: "JSON";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "lte";
                type: {
                    kind: "SCALAR";
                    name: "JSON";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "null";
                type: {
                    kind: "SCALAR";
                    name: "Boolean";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "notNull";
                type: {
                    kind: "SCALAR";
                    name: "Boolean";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "in";
                type: {
                    kind: "LIST";
                    name: never;
                    ofType: {
                        kind: "SCALAR";
                        name: "JSON";
                        ofType: null;
                    };
                };
                defaultValue: null;
            }, {
                name: "notIn";
                type: {
                    kind: "LIST";
                    name: never;
                    ofType: {
                        kind: "SCALAR";
                        name: "JSON";
                        ofType: null;
                    };
                };
                defaultValue: null;
            }, {
                name: "between";
                type: {
                    kind: "LIST";
                    name: never;
                    ofType: {
                        kind: "SCALAR";
                        name: "JSON";
                        ofType: null;
                    };
                };
                defaultValue: null;
            }];
        };
        Long: unknown;
        LongFilterInput: {
            kind: "INPUT_OBJECT";
            name: "LongFilterInput";
            isOneOf: false;
            inputFields: [{
                name: "and";
                type: {
                    kind: "LIST";
                    name: never;
                    ofType: {
                        kind: "SCALAR";
                        name: "Long";
                        ofType: null;
                    };
                };
                defaultValue: null;
            }, {
                name: "or";
                type: {
                    kind: "LIST";
                    name: never;
                    ofType: {
                        kind: "SCALAR";
                        name: "Long";
                        ofType: null;
                    };
                };
                defaultValue: null;
            }, {
                name: "not";
                type: {
                    kind: "INPUT_OBJECT";
                    name: "LongFilterInput";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "eq";
                type: {
                    kind: "SCALAR";
                    name: "Long";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "eqi";
                type: {
                    kind: "SCALAR";
                    name: "Long";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "ne";
                type: {
                    kind: "SCALAR";
                    name: "Long";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "nei";
                type: {
                    kind: "SCALAR";
                    name: "Long";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "startsWith";
                type: {
                    kind: "SCALAR";
                    name: "Long";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "endsWith";
                type: {
                    kind: "SCALAR";
                    name: "Long";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "contains";
                type: {
                    kind: "SCALAR";
                    name: "Long";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "notContains";
                type: {
                    kind: "SCALAR";
                    name: "Long";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "containsi";
                type: {
                    kind: "SCALAR";
                    name: "Long";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "notContainsi";
                type: {
                    kind: "SCALAR";
                    name: "Long";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "gt";
                type: {
                    kind: "SCALAR";
                    name: "Long";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "gte";
                type: {
                    kind: "SCALAR";
                    name: "Long";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "lt";
                type: {
                    kind: "SCALAR";
                    name: "Long";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "lte";
                type: {
                    kind: "SCALAR";
                    name: "Long";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "null";
                type: {
                    kind: "SCALAR";
                    name: "Boolean";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "notNull";
                type: {
                    kind: "SCALAR";
                    name: "Boolean";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "in";
                type: {
                    kind: "LIST";
                    name: never;
                    ofType: {
                        kind: "SCALAR";
                        name: "Long";
                        ofType: null;
                    };
                };
                defaultValue: null;
            }, {
                name: "notIn";
                type: {
                    kind: "LIST";
                    name: never;
                    ofType: {
                        kind: "SCALAR";
                        name: "Long";
                        ofType: null;
                    };
                };
                defaultValue: null;
            }, {
                name: "between";
                type: {
                    kind: "LIST";
                    name: never;
                    ofType: {
                        kind: "SCALAR";
                        name: "Long";
                        ofType: null;
                    };
                };
                defaultValue: null;
            }];
        };
        Mutation: {
            kind: "OBJECT";
            name: "Mutation";
            fields: {
                changePassword: {
                    name: "changePassword";
                    type: {
                        kind: "OBJECT";
                        name: "UsersPermissionsLoginPayload";
                        ofType: null;
                    };
                };
                createArticle: {
                    name: "createArticle";
                    type: {
                        kind: "OBJECT";
                        name: "ArticleEntityResponse";
                        ofType: null;
                    };
                };
                createArticleLocalization: {
                    name: "createArticleLocalization";
                    type: {
                        kind: "OBJECT";
                        name: "ArticleEntityResponse";
                        ofType: null;
                    };
                };
                createArticleType: {
                    name: "createArticleType";
                    type: {
                        kind: "OBJECT";
                        name: "ArticleTypeEntityResponse";
                        ofType: null;
                    };
                };
                createAuthor: {
                    name: "createAuthor";
                    type: {
                        kind: "OBJECT";
                        name: "AuthorEntityResponse";
                        ofType: null;
                    };
                };
                createBanner: {
                    name: "createBanner";
                    type: {
                        kind: "OBJECT";
                        name: "BannerEntityResponse";
                        ofType: null;
                    };
                };
                createCategory: {
                    name: "createCategory";
                    type: {
                        kind: "OBJECT";
                        name: "CategoryEntityResponse";
                        ofType: null;
                    };
                };
                createCategoryLocalization: {
                    name: "createCategoryLocalization";
                    type: {
                        kind: "OBJECT";
                        name: "CategoryEntityResponse";
                        ofType: null;
                    };
                };
                createDifficulty: {
                    name: "createDifficulty";
                    type: {
                        kind: "OBJECT";
                        name: "DifficultyEntityResponse";
                        ofType: null;
                    };
                };
                createDifficultyLocalization: {
                    name: "createDifficultyLocalization";
                    type: {
                        kind: "OBJECT";
                        name: "DifficultyEntityResponse";
                        ofType: null;
                    };
                };
                createFaqAnswer: {
                    name: "createFaqAnswer";
                    type: {
                        kind: "OBJECT";
                        name: "FaqAnswerEntityResponse";
                        ofType: null;
                    };
                };
                createFaqAnswerGroup: {
                    name: "createFaqAnswerGroup";
                    type: {
                        kind: "OBJECT";
                        name: "FaqAnswerGroupEntityResponse";
                        ofType: null;
                    };
                };
                createFaqCategory: {
                    name: "createFaqCategory";
                    type: {
                        kind: "OBJECT";
                        name: "FaqCategoryEntityResponse";
                        ofType: null;
                    };
                };
                createFaqMostSearched: {
                    name: "createFaqMostSearched";
                    type: {
                        kind: "OBJECT";
                        name: "FaqMostSearchedEntityResponse";
                        ofType: null;
                    };
                };
                createFaqProduct: {
                    name: "createFaqProduct";
                    type: {
                        kind: "OBJECT";
                        name: "FaqProductEntityResponse";
                        ofType: null;
                    };
                };
                createProduct: {
                    name: "createProduct";
                    type: {
                        kind: "OBJECT";
                        name: "ProductEntityResponse";
                        ofType: null;
                    };
                };
                createProductLocalization: {
                    name: "createProductLocalization";
                    type: {
                        kind: "OBJECT";
                        name: "ProductEntityResponse";
                        ofType: null;
                    };
                };
                createSchedulerScheduler: {
                    name: "createSchedulerScheduler";
                    type: {
                        kind: "OBJECT";
                        name: "SchedulerSchedulerEntityResponse";
                        ofType: null;
                    };
                };
                createTopic: {
                    name: "createTopic";
                    type: {
                        kind: "OBJECT";
                        name: "TopicEntityResponse";
                        ofType: null;
                    };
                };
                createTopicLocalization: {
                    name: "createTopicLocalization";
                    type: {
                        kind: "OBJECT";
                        name: "TopicEntityResponse";
                        ofType: null;
                    };
                };
                createUploadFile: {
                    name: "createUploadFile";
                    type: {
                        kind: "OBJECT";
                        name: "UploadFileEntityResponse";
                        ofType: null;
                    };
                };
                createUploadFolder: {
                    name: "createUploadFolder";
                    type: {
                        kind: "OBJECT";
                        name: "UploadFolderEntityResponse";
                        ofType: null;
                    };
                };
                createUsersPermissionsRole: {
                    name: "createUsersPermissionsRole";
                    type: {
                        kind: "OBJECT";
                        name: "UsersPermissionsCreateRolePayload";
                        ofType: null;
                    };
                };
                createUsersPermissionsUser: {
                    name: "createUsersPermissionsUser";
                    type: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "OBJECT";
                            name: "UsersPermissionsUserEntityResponse";
                            ofType: null;
                        };
                    };
                };
                deleteAbout: {
                    name: "deleteAbout";
                    type: {
                        kind: "OBJECT";
                        name: "AboutEntityResponse";
                        ofType: null;
                    };
                };
                deleteArticle: {
                    name: "deleteArticle";
                    type: {
                        kind: "OBJECT";
                        name: "ArticleEntityResponse";
                        ofType: null;
                    };
                };
                deleteArticleType: {
                    name: "deleteArticleType";
                    type: {
                        kind: "OBJECT";
                        name: "ArticleTypeEntityResponse";
                        ofType: null;
                    };
                };
                deleteAuthor: {
                    name: "deleteAuthor";
                    type: {
                        kind: "OBJECT";
                        name: "AuthorEntityResponse";
                        ofType: null;
                    };
                };
                deleteBanner: {
                    name: "deleteBanner";
                    type: {
                        kind: "OBJECT";
                        name: "BannerEntityResponse";
                        ofType: null;
                    };
                };
                deleteCategory: {
                    name: "deleteCategory";
                    type: {
                        kind: "OBJECT";
                        name: "CategoryEntityResponse";
                        ofType: null;
                    };
                };
                deleteDifficulty: {
                    name: "deleteDifficulty";
                    type: {
                        kind: "OBJECT";
                        name: "DifficultyEntityResponse";
                        ofType: null;
                    };
                };
                deleteFaqAnswer: {
                    name: "deleteFaqAnswer";
                    type: {
                        kind: "OBJECT";
                        name: "FaqAnswerEntityResponse";
                        ofType: null;
                    };
                };
                deleteFaqAnswerGroup: {
                    name: "deleteFaqAnswerGroup";
                    type: {
                        kind: "OBJECT";
                        name: "FaqAnswerGroupEntityResponse";
                        ofType: null;
                    };
                };
                deleteFaqCategory: {
                    name: "deleteFaqCategory";
                    type: {
                        kind: "OBJECT";
                        name: "FaqCategoryEntityResponse";
                        ofType: null;
                    };
                };
                deleteFaqMostSearched: {
                    name: "deleteFaqMostSearched";
                    type: {
                        kind: "OBJECT";
                        name: "FaqMostSearchedEntityResponse";
                        ofType: null;
                    };
                };
                deleteFaqProduct: {
                    name: "deleteFaqProduct";
                    type: {
                        kind: "OBJECT";
                        name: "FaqProductEntityResponse";
                        ofType: null;
                    };
                };
                deleteGlobal: {
                    name: "deleteGlobal";
                    type: {
                        kind: "OBJECT";
                        name: "GlobalEntityResponse";
                        ofType: null;
                    };
                };
                deleteGlobalAcademy: {
                    name: "deleteGlobalAcademy";
                    type: {
                        kind: "OBJECT";
                        name: "GlobalAcademyEntityResponse";
                        ofType: null;
                    };
                };
                deleteProduct: {
                    name: "deleteProduct";
                    type: {
                        kind: "OBJECT";
                        name: "ProductEntityResponse";
                        ofType: null;
                    };
                };
                deleteSchedulerScheduler: {
                    name: "deleteSchedulerScheduler";
                    type: {
                        kind: "OBJECT";
                        name: "SchedulerSchedulerEntityResponse";
                        ofType: null;
                    };
                };
                deleteTopic: {
                    name: "deleteTopic";
                    type: {
                        kind: "OBJECT";
                        name: "TopicEntityResponse";
                        ofType: null;
                    };
                };
                deleteTrendingSearch: {
                    name: "deleteTrendingSearch";
                    type: {
                        kind: "OBJECT";
                        name: "TrendingSearchEntityResponse";
                        ofType: null;
                    };
                };
                deleteUploadFile: {
                    name: "deleteUploadFile";
                    type: {
                        kind: "OBJECT";
                        name: "UploadFileEntityResponse";
                        ofType: null;
                    };
                };
                deleteUploadFolder: {
                    name: "deleteUploadFolder";
                    type: {
                        kind: "OBJECT";
                        name: "UploadFolderEntityResponse";
                        ofType: null;
                    };
                };
                deleteUsersPermissionsRole: {
                    name: "deleteUsersPermissionsRole";
                    type: {
                        kind: "OBJECT";
                        name: "UsersPermissionsDeleteRolePayload";
                        ofType: null;
                    };
                };
                deleteUsersPermissionsUser: {
                    name: "deleteUsersPermissionsUser";
                    type: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "OBJECT";
                            name: "UsersPermissionsUserEntityResponse";
                            ofType: null;
                        };
                    };
                };
                emailConfirmation: {
                    name: "emailConfirmation";
                    type: {
                        kind: "OBJECT";
                        name: "UsersPermissionsLoginPayload";
                        ofType: null;
                    };
                };
                forgotPassword: {
                    name: "forgotPassword";
                    type: {
                        kind: "OBJECT";
                        name: "UsersPermissionsPasswordPayload";
                        ofType: null;
                    };
                };
                login: {
                    name: "login";
                    type: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "OBJECT";
                            name: "UsersPermissionsLoginPayload";
                            ofType: null;
                        };
                    };
                };
                multipleUpload: {
                    name: "multipleUpload";
                    type: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "LIST";
                            name: never;
                            ofType: {
                                kind: "OBJECT";
                                name: "UploadFileEntityResponse";
                                ofType: null;
                            };
                        };
                    };
                };
                register: {
                    name: "register";
                    type: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "OBJECT";
                            name: "UsersPermissionsLoginPayload";
                            ofType: null;
                        };
                    };
                };
                removeFile: {
                    name: "removeFile";
                    type: {
                        kind: "OBJECT";
                        name: "UploadFileEntityResponse";
                        ofType: null;
                    };
                };
                resetPassword: {
                    name: "resetPassword";
                    type: {
                        kind: "OBJECT";
                        name: "UsersPermissionsLoginPayload";
                        ofType: null;
                    };
                };
                updateAbout: {
                    name: "updateAbout";
                    type: {
                        kind: "OBJECT";
                        name: "AboutEntityResponse";
                        ofType: null;
                    };
                };
                updateArticle: {
                    name: "updateArticle";
                    type: {
                        kind: "OBJECT";
                        name: "ArticleEntityResponse";
                        ofType: null;
                    };
                };
                updateArticleType: {
                    name: "updateArticleType";
                    type: {
                        kind: "OBJECT";
                        name: "ArticleTypeEntityResponse";
                        ofType: null;
                    };
                };
                updateAuthor: {
                    name: "updateAuthor";
                    type: {
                        kind: "OBJECT";
                        name: "AuthorEntityResponse";
                        ofType: null;
                    };
                };
                updateBanner: {
                    name: "updateBanner";
                    type: {
                        kind: "OBJECT";
                        name: "BannerEntityResponse";
                        ofType: null;
                    };
                };
                updateCategory: {
                    name: "updateCategory";
                    type: {
                        kind: "OBJECT";
                        name: "CategoryEntityResponse";
                        ofType: null;
                    };
                };
                updateDifficulty: {
                    name: "updateDifficulty";
                    type: {
                        kind: "OBJECT";
                        name: "DifficultyEntityResponse";
                        ofType: null;
                    };
                };
                updateFaqAnswer: {
                    name: "updateFaqAnswer";
                    type: {
                        kind: "OBJECT";
                        name: "FaqAnswerEntityResponse";
                        ofType: null;
                    };
                };
                updateFaqAnswerGroup: {
                    name: "updateFaqAnswerGroup";
                    type: {
                        kind: "OBJECT";
                        name: "FaqAnswerGroupEntityResponse";
                        ofType: null;
                    };
                };
                updateFaqCategory: {
                    name: "updateFaqCategory";
                    type: {
                        kind: "OBJECT";
                        name: "FaqCategoryEntityResponse";
                        ofType: null;
                    };
                };
                updateFaqMostSearched: {
                    name: "updateFaqMostSearched";
                    type: {
                        kind: "OBJECT";
                        name: "FaqMostSearchedEntityResponse";
                        ofType: null;
                    };
                };
                updateFaqProduct: {
                    name: "updateFaqProduct";
                    type: {
                        kind: "OBJECT";
                        name: "FaqProductEntityResponse";
                        ofType: null;
                    };
                };
                updateFileInfo: {
                    name: "updateFileInfo";
                    type: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "OBJECT";
                            name: "UploadFileEntityResponse";
                            ofType: null;
                        };
                    };
                };
                updateGlobal: {
                    name: "updateGlobal";
                    type: {
                        kind: "OBJECT";
                        name: "GlobalEntityResponse";
                        ofType: null;
                    };
                };
                updateGlobalAcademy: {
                    name: "updateGlobalAcademy";
                    type: {
                        kind: "OBJECT";
                        name: "GlobalAcademyEntityResponse";
                        ofType: null;
                    };
                };
                updateProduct: {
                    name: "updateProduct";
                    type: {
                        kind: "OBJECT";
                        name: "ProductEntityResponse";
                        ofType: null;
                    };
                };
                updateSchedulerScheduler: {
                    name: "updateSchedulerScheduler";
                    type: {
                        kind: "OBJECT";
                        name: "SchedulerSchedulerEntityResponse";
                        ofType: null;
                    };
                };
                updateTopic: {
                    name: "updateTopic";
                    type: {
                        kind: "OBJECT";
                        name: "TopicEntityResponse";
                        ofType: null;
                    };
                };
                updateTrendingSearch: {
                    name: "updateTrendingSearch";
                    type: {
                        kind: "OBJECT";
                        name: "TrendingSearchEntityResponse";
                        ofType: null;
                    };
                };
                updateUploadFile: {
                    name: "updateUploadFile";
                    type: {
                        kind: "OBJECT";
                        name: "UploadFileEntityResponse";
                        ofType: null;
                    };
                };
                updateUploadFolder: {
                    name: "updateUploadFolder";
                    type: {
                        kind: "OBJECT";
                        name: "UploadFolderEntityResponse";
                        ofType: null;
                    };
                };
                updateUsersPermissionsRole: {
                    name: "updateUsersPermissionsRole";
                    type: {
                        kind: "OBJECT";
                        name: "UsersPermissionsUpdateRolePayload";
                        ofType: null;
                    };
                };
                updateUsersPermissionsUser: {
                    name: "updateUsersPermissionsUser";
                    type: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "OBJECT";
                            name: "UsersPermissionsUserEntityResponse";
                            ofType: null;
                        };
                    };
                };
                upload: {
                    name: "upload";
                    type: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "OBJECT";
                            name: "UploadFileEntityResponse";
                            ofType: null;
                        };
                    };
                };
            };
        };
        Pagination: {
            kind: "OBJECT";
            name: "Pagination";
            fields: {
                page: {
                    name: "page";
                    type: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "SCALAR";
                            name: "Int";
                            ofType: null;
                        };
                    };
                };
                pageCount: {
                    name: "pageCount";
                    type: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "SCALAR";
                            name: "Int";
                            ofType: null;
                        };
                    };
                };
                pageSize: {
                    name: "pageSize";
                    type: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "SCALAR";
                            name: "Int";
                            ofType: null;
                        };
                    };
                };
                total: {
                    name: "total";
                    type: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "SCALAR";
                            name: "Int";
                            ofType: null;
                        };
                    };
                };
            };
        };
        PaginationArg: {
            kind: "INPUT_OBJECT";
            name: "PaginationArg";
            isOneOf: false;
            inputFields: [{
                name: "page";
                type: {
                    kind: "SCALAR";
                    name: "Int";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "pageSize";
                type: {
                    kind: "SCALAR";
                    name: "Int";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "start";
                type: {
                    kind: "SCALAR";
                    name: "Int";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "limit";
                type: {
                    kind: "SCALAR";
                    name: "Int";
                    ofType: null;
                };
                defaultValue: null;
            }];
        };
        Product: {
            kind: "OBJECT";
            name: "Product";
            fields: {
                articles: {
                    name: "articles";
                    type: {
                        kind: "OBJECT";
                        name: "ArticleRelationResponseCollection";
                        ofType: null;
                    };
                };
                createdAt: {
                    name: "createdAt";
                    type: {
                        kind: "SCALAR";
                        name: "DateTime";
                        ofType: null;
                    };
                };
                description: {
                    name: "description";
                    type: {
                        kind: "SCALAR";
                        name: "String";
                        ofType: null;
                    };
                };
                locale: {
                    name: "locale";
                    type: {
                        kind: "SCALAR";
                        name: "String";
                        ofType: null;
                    };
                };
                localizations: {
                    name: "localizations";
                    type: {
                        kind: "OBJECT";
                        name: "ProductRelationResponseCollection";
                        ofType: null;
                    };
                };
                longName: {
                    name: "longName";
                    type: {
                        kind: "SCALAR";
                        name: "String";
                        ofType: null;
                    };
                };
                name: {
                    name: "name";
                    type: {
                        kind: "SCALAR";
                        name: "String";
                        ofType: null;
                    };
                };
                relevantArticleIds: {
                    name: "relevantArticleIds";
                    type: {
                        kind: "SCALAR";
                        name: "JSON";
                        ofType: null;
                    };
                };
                shareImage: {
                    name: "shareImage";
                    type: {
                        kind: "OBJECT";
                        name: "UploadFileEntityResponse";
                        ofType: null;
                    };
                };
                show: {
                    name: "show";
                    type: {
                        kind: "SCALAR";
                        name: "Boolean";
                        ofType: null;
                    };
                };
                slug: {
                    name: "slug";
                    type: {
                        kind: "SCALAR";
                        name: "String";
                        ofType: null;
                    };
                };
                updatedAt: {
                    name: "updatedAt";
                    type: {
                        kind: "SCALAR";
                        name: "DateTime";
                        ofType: null;
                    };
                };
                url: {
                    name: "url";
                    type: {
                        kind: "SCALAR";
                        name: "String";
                        ofType: null;
                    };
                };
            };
        };
        ProductEntity: {
            kind: "OBJECT";
            name: "ProductEntity";
            fields: {
                attributes: {
                    name: "attributes";
                    type: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "OBJECT";
                            name: "Product";
                            ofType: null;
                        };
                    };
                };
                id: {
                    name: "id";
                    type: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "SCALAR";
                            name: "ID";
                            ofType: null;
                        };
                    };
                };
            };
        };
        ProductEntityResponse: {
            kind: "OBJECT";
            name: "ProductEntityResponse";
            fields: {
                data: {
                    name: "data";
                    type: {
                        kind: "OBJECT";
                        name: "ProductEntity";
                        ofType: null;
                    };
                };
            };
        };
        ProductEntityResponseCollection: {
            kind: "OBJECT";
            name: "ProductEntityResponseCollection";
            fields: {
                data: {
                    name: "data";
                    type: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "LIST";
                            name: never;
                            ofType: {
                                kind: "NON_NULL";
                                name: never;
                                ofType: {
                                    kind: "OBJECT";
                                    name: "ProductEntity";
                                    ofType: null;
                                };
                            };
                        };
                    };
                };
                meta: {
                    name: "meta";
                    type: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "OBJECT";
                            name: "ResponseCollectionMeta";
                            ofType: null;
                        };
                    };
                };
            };
        };
        ProductFiltersInput: {
            kind: "INPUT_OBJECT";
            name: "ProductFiltersInput";
            isOneOf: false;
            inputFields: [{
                name: "id";
                type: {
                    kind: "INPUT_OBJECT";
                    name: "IDFilterInput";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "name";
                type: {
                    kind: "INPUT_OBJECT";
                    name: "StringFilterInput";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "description";
                type: {
                    kind: "INPUT_OBJECT";
                    name: "StringFilterInput";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "show";
                type: {
                    kind: "INPUT_OBJECT";
                    name: "BooleanFilterInput";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "longName";
                type: {
                    kind: "INPUT_OBJECT";
                    name: "StringFilterInput";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "articles";
                type: {
                    kind: "INPUT_OBJECT";
                    name: "ArticleFiltersInput";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "slug";
                type: {
                    kind: "INPUT_OBJECT";
                    name: "StringFilterInput";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "url";
                type: {
                    kind: "INPUT_OBJECT";
                    name: "StringFilterInput";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "relevantArticleIds";
                type: {
                    kind: "INPUT_OBJECT";
                    name: "JSONFilterInput";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "createdAt";
                type: {
                    kind: "INPUT_OBJECT";
                    name: "DateTimeFilterInput";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "updatedAt";
                type: {
                    kind: "INPUT_OBJECT";
                    name: "DateTimeFilterInput";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "localizations";
                type: {
                    kind: "INPUT_OBJECT";
                    name: "ProductFiltersInput";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "locale";
                type: {
                    kind: "INPUT_OBJECT";
                    name: "StringFilterInput";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "and";
                type: {
                    kind: "LIST";
                    name: never;
                    ofType: {
                        kind: "INPUT_OBJECT";
                        name: "ProductFiltersInput";
                        ofType: null;
                    };
                };
                defaultValue: null;
            }, {
                name: "or";
                type: {
                    kind: "LIST";
                    name: never;
                    ofType: {
                        kind: "INPUT_OBJECT";
                        name: "ProductFiltersInput";
                        ofType: null;
                    };
                };
                defaultValue: null;
            }, {
                name: "not";
                type: {
                    kind: "INPUT_OBJECT";
                    name: "ProductFiltersInput";
                    ofType: null;
                };
                defaultValue: null;
            }];
        };
        ProductInput: {
            kind: "INPUT_OBJECT";
            name: "ProductInput";
            isOneOf: false;
            inputFields: [{
                name: "name";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "description";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "show";
                type: {
                    kind: "SCALAR";
                    name: "Boolean";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "longName";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "articles";
                type: {
                    kind: "LIST";
                    name: never;
                    ofType: {
                        kind: "SCALAR";
                        name: "ID";
                        ofType: null;
                    };
                };
                defaultValue: null;
            }, {
                name: "slug";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "url";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "relevantArticleIds";
                type: {
                    kind: "SCALAR";
                    name: "JSON";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "shareImage";
                type: {
                    kind: "SCALAR";
                    name: "ID";
                    ofType: null;
                };
                defaultValue: null;
            }];
        };
        ProductRelationResponseCollection: {
            kind: "OBJECT";
            name: "ProductRelationResponseCollection";
            fields: {
                data: {
                    name: "data";
                    type: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "LIST";
                            name: never;
                            ofType: {
                                kind: "NON_NULL";
                                name: never;
                                ofType: {
                                    kind: "OBJECT";
                                    name: "ProductEntity";
                                    ofType: null;
                                };
                            };
                        };
                    };
                };
            };
        };
        PublicationState: {
            name: "PublicationState";
            enumValues: "LIVE" | "PREVIEW";
        };
        Query: {
            kind: "OBJECT";
            name: "Query";
            fields: {
                about: {
                    name: "about";
                    type: {
                        kind: "OBJECT";
                        name: "AboutEntityResponse";
                        ofType: null;
                    };
                };
                article: {
                    name: "article";
                    type: {
                        kind: "OBJECT";
                        name: "ArticleEntityResponse";
                        ofType: null;
                    };
                };
                articleType: {
                    name: "articleType";
                    type: {
                        kind: "OBJECT";
                        name: "ArticleTypeEntityResponse";
                        ofType: null;
                    };
                };
                articleTypes: {
                    name: "articleTypes";
                    type: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "OBJECT";
                            name: "ArticleTypeEntityResponseCollection";
                            ofType: null;
                        };
                    };
                };
                articles: {
                    name: "articles";
                    type: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "OBJECT";
                            name: "ArticleEntityResponseCollection";
                            ofType: null;
                        };
                    };
                };
                author: {
                    name: "author";
                    type: {
                        kind: "OBJECT";
                        name: "AuthorEntityResponse";
                        ofType: null;
                    };
                };
                authors: {
                    name: "authors";
                    type: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "OBJECT";
                            name: "AuthorEntityResponseCollection";
                            ofType: null;
                        };
                    };
                };
                banner: {
                    name: "banner";
                    type: {
                        kind: "OBJECT";
                        name: "BannerEntityResponse";
                        ofType: null;
                    };
                };
                banners: {
                    name: "banners";
                    type: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "OBJECT";
                            name: "BannerEntityResponseCollection";
                            ofType: null;
                        };
                    };
                };
                categories: {
                    name: "categories";
                    type: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "OBJECT";
                            name: "CategoryEntityResponseCollection";
                            ofType: null;
                        };
                    };
                };
                category: {
                    name: "category";
                    type: {
                        kind: "OBJECT";
                        name: "CategoryEntityResponse";
                        ofType: null;
                    };
                };
                difficulties: {
                    name: "difficulties";
                    type: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "OBJECT";
                            name: "DifficultyEntityResponseCollection";
                            ofType: null;
                        };
                    };
                };
                difficulty: {
                    name: "difficulty";
                    type: {
                        kind: "OBJECT";
                        name: "DifficultyEntityResponse";
                        ofType: null;
                    };
                };
                faqAnswer: {
                    name: "faqAnswer";
                    type: {
                        kind: "OBJECT";
                        name: "FaqAnswerEntityResponse";
                        ofType: null;
                    };
                };
                faqAnswerGroup: {
                    name: "faqAnswerGroup";
                    type: {
                        kind: "OBJECT";
                        name: "FaqAnswerGroupEntityResponse";
                        ofType: null;
                    };
                };
                faqAnswerGroups: {
                    name: "faqAnswerGroups";
                    type: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "OBJECT";
                            name: "FaqAnswerGroupEntityResponseCollection";
                            ofType: null;
                        };
                    };
                };
                faqAnswers: {
                    name: "faqAnswers";
                    type: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "OBJECT";
                            name: "FaqAnswerEntityResponseCollection";
                            ofType: null;
                        };
                    };
                };
                faqCategories: {
                    name: "faqCategories";
                    type: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "OBJECT";
                            name: "FaqCategoryEntityResponseCollection";
                            ofType: null;
                        };
                    };
                };
                faqCategory: {
                    name: "faqCategory";
                    type: {
                        kind: "OBJECT";
                        name: "FaqCategoryEntityResponse";
                        ofType: null;
                    };
                };
                faqMostSearched: {
                    name: "faqMostSearched";
                    type: {
                        kind: "OBJECT";
                        name: "FaqMostSearchedEntityResponse";
                        ofType: null;
                    };
                };
                faqMostSearcheds: {
                    name: "faqMostSearcheds";
                    type: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "OBJECT";
                            name: "FaqMostSearchedEntityResponseCollection";
                            ofType: null;
                        };
                    };
                };
                faqProduct: {
                    name: "faqProduct";
                    type: {
                        kind: "OBJECT";
                        name: "FaqProductEntityResponse";
                        ofType: null;
                    };
                };
                faqProducts: {
                    name: "faqProducts";
                    type: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "OBJECT";
                            name: "FaqProductEntityResponseCollection";
                            ofType: null;
                        };
                    };
                };
                global: {
                    name: "global";
                    type: {
                        kind: "OBJECT";
                        name: "GlobalEntityResponse";
                        ofType: null;
                    };
                };
                globalAcademy: {
                    name: "globalAcademy";
                    type: {
                        kind: "OBJECT";
                        name: "GlobalAcademyEntityResponse";
                        ofType: null;
                    };
                };
                i18NLocale: {
                    name: "i18NLocale";
                    type: {
                        kind: "OBJECT";
                        name: "I18NLocaleEntityResponse";
                        ofType: null;
                    };
                };
                i18NLocales: {
                    name: "i18NLocales";
                    type: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "OBJECT";
                            name: "I18NLocaleEntityResponseCollection";
                            ofType: null;
                        };
                    };
                };
                me: {
                    name: "me";
                    type: {
                        kind: "OBJECT";
                        name: "UsersPermissionsMe";
                        ofType: null;
                    };
                };
                product: {
                    name: "product";
                    type: {
                        kind: "OBJECT";
                        name: "ProductEntityResponse";
                        ofType: null;
                    };
                };
                products: {
                    name: "products";
                    type: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "OBJECT";
                            name: "ProductEntityResponseCollection";
                            ofType: null;
                        };
                    };
                };
                schedulerScheduler: {
                    name: "schedulerScheduler";
                    type: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "OBJECT";
                            name: "SchedulerSchedulerEntityResponseCollection";
                            ofType: null;
                        };
                    };
                };
                topic: {
                    name: "topic";
                    type: {
                        kind: "OBJECT";
                        name: "TopicEntityResponse";
                        ofType: null;
                    };
                };
                topics: {
                    name: "topics";
                    type: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "OBJECT";
                            name: "TopicEntityResponseCollection";
                            ofType: null;
                        };
                    };
                };
                trendingSearch: {
                    name: "trendingSearch";
                    type: {
                        kind: "OBJECT";
                        name: "TrendingSearchEntityResponse";
                        ofType: null;
                    };
                };
                uploadFile: {
                    name: "uploadFile";
                    type: {
                        kind: "OBJECT";
                        name: "UploadFileEntityResponse";
                        ofType: null;
                    };
                };
                uploadFiles: {
                    name: "uploadFiles";
                    type: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "OBJECT";
                            name: "UploadFileEntityResponseCollection";
                            ofType: null;
                        };
                    };
                };
                uploadFolder: {
                    name: "uploadFolder";
                    type: {
                        kind: "OBJECT";
                        name: "UploadFolderEntityResponse";
                        ofType: null;
                    };
                };
                uploadFolders: {
                    name: "uploadFolders";
                    type: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "OBJECT";
                            name: "UploadFolderEntityResponseCollection";
                            ofType: null;
                        };
                    };
                };
                usersPermissionsRole: {
                    name: "usersPermissionsRole";
                    type: {
                        kind: "OBJECT";
                        name: "UsersPermissionsRoleEntityResponse";
                        ofType: null;
                    };
                };
                usersPermissionsRoles: {
                    name: "usersPermissionsRoles";
                    type: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "OBJECT";
                            name: "UsersPermissionsRoleEntityResponseCollection";
                            ofType: null;
                        };
                    };
                };
                usersPermissionsUser: {
                    name: "usersPermissionsUser";
                    type: {
                        kind: "OBJECT";
                        name: "UsersPermissionsUserEntityResponse";
                        ofType: null;
                    };
                };
                usersPermissionsUsers: {
                    name: "usersPermissionsUsers";
                    type: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "OBJECT";
                            name: "UsersPermissionsUserEntityResponseCollection";
                            ofType: null;
                        };
                    };
                };
            };
        };
        ResponseCollectionMeta: {
            kind: "OBJECT";
            name: "ResponseCollectionMeta";
            fields: {
                pagination: {
                    name: "pagination";
                    type: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "OBJECT";
                            name: "Pagination";
                            ofType: null;
                        };
                    };
                };
            };
        };
        SchedulerScheduler: {
            kind: "OBJECT";
            name: "SchedulerScheduler";
            fields: {
                createdAt: {
                    name: "createdAt";
                    type: {
                        kind: "SCALAR";
                        name: "DateTime";
                        ofType: null;
                    };
                };
                datetime: {
                    name: "datetime";
                    type: {
                        kind: "SCALAR";
                        name: "DateTime";
                        ofType: null;
                    };
                };
                entryId: {
                    name: "entryId";
                    type: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "SCALAR";
                            name: "Long";
                            ofType: null;
                        };
                    };
                };
                type: {
                    name: "type";
                    type: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "ENUM";
                            name: "ENUM_SCHEDULERSCHEDULER_TYPE";
                            ofType: null;
                        };
                    };
                };
                uid: {
                    name: "uid";
                    type: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "SCALAR";
                            name: "String";
                            ofType: null;
                        };
                    };
                };
                updatedAt: {
                    name: "updatedAt";
                    type: {
                        kind: "SCALAR";
                        name: "DateTime";
                        ofType: null;
                    };
                };
            };
        };
        SchedulerSchedulerEntity: {
            kind: "OBJECT";
            name: "SchedulerSchedulerEntity";
            fields: {
                attributes: {
                    name: "attributes";
                    type: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "OBJECT";
                            name: "SchedulerScheduler";
                            ofType: null;
                        };
                    };
                };
                id: {
                    name: "id";
                    type: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "SCALAR";
                            name: "ID";
                            ofType: null;
                        };
                    };
                };
            };
        };
        SchedulerSchedulerEntityResponse: {
            kind: "OBJECT";
            name: "SchedulerSchedulerEntityResponse";
            fields: {
                data: {
                    name: "data";
                    type: {
                        kind: "OBJECT";
                        name: "SchedulerSchedulerEntity";
                        ofType: null;
                    };
                };
            };
        };
        SchedulerSchedulerEntityResponseCollection: {
            kind: "OBJECT";
            name: "SchedulerSchedulerEntityResponseCollection";
            fields: {
                data: {
                    name: "data";
                    type: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "LIST";
                            name: never;
                            ofType: {
                                kind: "NON_NULL";
                                name: never;
                                ofType: {
                                    kind: "OBJECT";
                                    name: "SchedulerSchedulerEntity";
                                    ofType: null;
                                };
                            };
                        };
                    };
                };
                meta: {
                    name: "meta";
                    type: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "OBJECT";
                            name: "ResponseCollectionMeta";
                            ofType: null;
                        };
                    };
                };
            };
        };
        SchedulerSchedulerFiltersInput: {
            kind: "INPUT_OBJECT";
            name: "SchedulerSchedulerFiltersInput";
            isOneOf: false;
            inputFields: [{
                name: "id";
                type: {
                    kind: "INPUT_OBJECT";
                    name: "IDFilterInput";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "uid";
                type: {
                    kind: "INPUT_OBJECT";
                    name: "StringFilterInput";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "entryId";
                type: {
                    kind: "INPUT_OBJECT";
                    name: "LongFilterInput";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "type";
                type: {
                    kind: "INPUT_OBJECT";
                    name: "StringFilterInput";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "datetime";
                type: {
                    kind: "INPUT_OBJECT";
                    name: "DateTimeFilterInput";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "createdAt";
                type: {
                    kind: "INPUT_OBJECT";
                    name: "DateTimeFilterInput";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "updatedAt";
                type: {
                    kind: "INPUT_OBJECT";
                    name: "DateTimeFilterInput";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "and";
                type: {
                    kind: "LIST";
                    name: never;
                    ofType: {
                        kind: "INPUT_OBJECT";
                        name: "SchedulerSchedulerFiltersInput";
                        ofType: null;
                    };
                };
                defaultValue: null;
            }, {
                name: "or";
                type: {
                    kind: "LIST";
                    name: never;
                    ofType: {
                        kind: "INPUT_OBJECT";
                        name: "SchedulerSchedulerFiltersInput";
                        ofType: null;
                    };
                };
                defaultValue: null;
            }, {
                name: "not";
                type: {
                    kind: "INPUT_OBJECT";
                    name: "SchedulerSchedulerFiltersInput";
                    ofType: null;
                };
                defaultValue: null;
            }];
        };
        SchedulerSchedulerInput: {
            kind: "INPUT_OBJECT";
            name: "SchedulerSchedulerInput";
            isOneOf: false;
            inputFields: [{
                name: "uid";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "entryId";
                type: {
                    kind: "SCALAR";
                    name: "Long";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "type";
                type: {
                    kind: "ENUM";
                    name: "ENUM_SCHEDULERSCHEDULER_TYPE";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "datetime";
                type: {
                    kind: "SCALAR";
                    name: "DateTime";
                    ofType: null;
                };
                defaultValue: null;
            }];
        };
        String: unknown;
        StringFilterInput: {
            kind: "INPUT_OBJECT";
            name: "StringFilterInput";
            isOneOf: false;
            inputFields: [{
                name: "and";
                type: {
                    kind: "LIST";
                    name: never;
                    ofType: {
                        kind: "SCALAR";
                        name: "String";
                        ofType: null;
                    };
                };
                defaultValue: null;
            }, {
                name: "or";
                type: {
                    kind: "LIST";
                    name: never;
                    ofType: {
                        kind: "SCALAR";
                        name: "String";
                        ofType: null;
                    };
                };
                defaultValue: null;
            }, {
                name: "not";
                type: {
                    kind: "INPUT_OBJECT";
                    name: "StringFilterInput";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "eq";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "eqi";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "ne";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "nei";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "startsWith";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "endsWith";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "contains";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "notContains";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "containsi";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "notContainsi";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "gt";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "gte";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "lt";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "lte";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "null";
                type: {
                    kind: "SCALAR";
                    name: "Boolean";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "notNull";
                type: {
                    kind: "SCALAR";
                    name: "Boolean";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "in";
                type: {
                    kind: "LIST";
                    name: never;
                    ofType: {
                        kind: "SCALAR";
                        name: "String";
                        ofType: null;
                    };
                };
                defaultValue: null;
            }, {
                name: "notIn";
                type: {
                    kind: "LIST";
                    name: never;
                    ofType: {
                        kind: "SCALAR";
                        name: "String";
                        ofType: null;
                    };
                };
                defaultValue: null;
            }, {
                name: "between";
                type: {
                    kind: "LIST";
                    name: never;
                    ofType: {
                        kind: "SCALAR";
                        name: "String";
                        ofType: null;
                    };
                };
                defaultValue: null;
            }];
        };
        Topic: {
            kind: "OBJECT";
            name: "Topic";
            fields: {
                articles: {
                    name: "articles";
                    type: {
                        kind: "OBJECT";
                        name: "ArticleRelationResponseCollection";
                        ofType: null;
                    };
                };
                createdAt: {
                    name: "createdAt";
                    type: {
                        kind: "SCALAR";
                        name: "DateTime";
                        ofType: null;
                    };
                };
                locale: {
                    name: "locale";
                    type: {
                        kind: "SCALAR";
                        name: "String";
                        ofType: null;
                    };
                };
                localizations: {
                    name: "localizations";
                    type: {
                        kind: "OBJECT";
                        name: "TopicRelationResponseCollection";
                        ofType: null;
                    };
                };
                name: {
                    name: "name";
                    type: {
                        kind: "SCALAR";
                        name: "String";
                        ofType: null;
                    };
                };
                slug: {
                    name: "slug";
                    type: {
                        kind: "SCALAR";
                        name: "String";
                        ofType: null;
                    };
                };
                updatedAt: {
                    name: "updatedAt";
                    type: {
                        kind: "SCALAR";
                        name: "DateTime";
                        ofType: null;
                    };
                };
            };
        };
        TopicEntity: {
            kind: "OBJECT";
            name: "TopicEntity";
            fields: {
                attributes: {
                    name: "attributes";
                    type: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "OBJECT";
                            name: "Topic";
                            ofType: null;
                        };
                    };
                };
                id: {
                    name: "id";
                    type: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "SCALAR";
                            name: "ID";
                            ofType: null;
                        };
                    };
                };
            };
        };
        TopicEntityResponse: {
            kind: "OBJECT";
            name: "TopicEntityResponse";
            fields: {
                data: {
                    name: "data";
                    type: {
                        kind: "OBJECT";
                        name: "TopicEntity";
                        ofType: null;
                    };
                };
            };
        };
        TopicEntityResponseCollection: {
            kind: "OBJECT";
            name: "TopicEntityResponseCollection";
            fields: {
                data: {
                    name: "data";
                    type: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "LIST";
                            name: never;
                            ofType: {
                                kind: "NON_NULL";
                                name: never;
                                ofType: {
                                    kind: "OBJECT";
                                    name: "TopicEntity";
                                    ofType: null;
                                };
                            };
                        };
                    };
                };
                meta: {
                    name: "meta";
                    type: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "OBJECT";
                            name: "ResponseCollectionMeta";
                            ofType: null;
                        };
                    };
                };
            };
        };
        TopicFiltersInput: {
            kind: "INPUT_OBJECT";
            name: "TopicFiltersInput";
            isOneOf: false;
            inputFields: [{
                name: "id";
                type: {
                    kind: "INPUT_OBJECT";
                    name: "IDFilterInput";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "name";
                type: {
                    kind: "INPUT_OBJECT";
                    name: "StringFilterInput";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "slug";
                type: {
                    kind: "INPUT_OBJECT";
                    name: "StringFilterInput";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "articles";
                type: {
                    kind: "INPUT_OBJECT";
                    name: "ArticleFiltersInput";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "createdAt";
                type: {
                    kind: "INPUT_OBJECT";
                    name: "DateTimeFilterInput";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "updatedAt";
                type: {
                    kind: "INPUT_OBJECT";
                    name: "DateTimeFilterInput";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "localizations";
                type: {
                    kind: "INPUT_OBJECT";
                    name: "TopicFiltersInput";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "locale";
                type: {
                    kind: "INPUT_OBJECT";
                    name: "StringFilterInput";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "and";
                type: {
                    kind: "LIST";
                    name: never;
                    ofType: {
                        kind: "INPUT_OBJECT";
                        name: "TopicFiltersInput";
                        ofType: null;
                    };
                };
                defaultValue: null;
            }, {
                name: "or";
                type: {
                    kind: "LIST";
                    name: never;
                    ofType: {
                        kind: "INPUT_OBJECT";
                        name: "TopicFiltersInput";
                        ofType: null;
                    };
                };
                defaultValue: null;
            }, {
                name: "not";
                type: {
                    kind: "INPUT_OBJECT";
                    name: "TopicFiltersInput";
                    ofType: null;
                };
                defaultValue: null;
            }];
        };
        TopicInput: {
            kind: "INPUT_OBJECT";
            name: "TopicInput";
            isOneOf: false;
            inputFields: [{
                name: "name";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "slug";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "articles";
                type: {
                    kind: "LIST";
                    name: never;
                    ofType: {
                        kind: "SCALAR";
                        name: "ID";
                        ofType: null;
                    };
                };
                defaultValue: null;
            }];
        };
        TopicRelationResponseCollection: {
            kind: "OBJECT";
            name: "TopicRelationResponseCollection";
            fields: {
                data: {
                    name: "data";
                    type: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "LIST";
                            name: never;
                            ofType: {
                                kind: "NON_NULL";
                                name: never;
                                ofType: {
                                    kind: "OBJECT";
                                    name: "TopicEntity";
                                    ofType: null;
                                };
                            };
                        };
                    };
                };
            };
        };
        TrendingSearch: {
            kind: "OBJECT";
            name: "TrendingSearch";
            fields: {
                createdAt: {
                    name: "createdAt";
                    type: {
                        kind: "SCALAR";
                        name: "DateTime";
                        ofType: null;
                    };
                };
                topics: {
                    name: "topics";
                    type: {
                        kind: "SCALAR";
                        name: "JSON";
                        ofType: null;
                    };
                };
                updatedAt: {
                    name: "updatedAt";
                    type: {
                        kind: "SCALAR";
                        name: "DateTime";
                        ofType: null;
                    };
                };
            };
        };
        TrendingSearchEntity: {
            kind: "OBJECT";
            name: "TrendingSearchEntity";
            fields: {
                attributes: {
                    name: "attributes";
                    type: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "OBJECT";
                            name: "TrendingSearch";
                            ofType: null;
                        };
                    };
                };
                id: {
                    name: "id";
                    type: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "SCALAR";
                            name: "ID";
                            ofType: null;
                        };
                    };
                };
            };
        };
        TrendingSearchEntityResponse: {
            kind: "OBJECT";
            name: "TrendingSearchEntityResponse";
            fields: {
                data: {
                    name: "data";
                    type: {
                        kind: "OBJECT";
                        name: "TrendingSearchEntity";
                        ofType: null;
                    };
                };
            };
        };
        TrendingSearchInput: {
            kind: "INPUT_OBJECT";
            name: "TrendingSearchInput";
            isOneOf: false;
            inputFields: [{
                name: "topics";
                type: {
                    kind: "SCALAR";
                    name: "JSON";
                    ofType: null;
                };
                defaultValue: null;
            }];
        };
        Upload: unknown;
        UploadFile: {
            kind: "OBJECT";
            name: "UploadFile";
            fields: {
                alternativeText: {
                    name: "alternativeText";
                    type: {
                        kind: "SCALAR";
                        name: "String";
                        ofType: null;
                    };
                };
                caption: {
                    name: "caption";
                    type: {
                        kind: "SCALAR";
                        name: "String";
                        ofType: null;
                    };
                };
                createdAt: {
                    name: "createdAt";
                    type: {
                        kind: "SCALAR";
                        name: "DateTime";
                        ofType: null;
                    };
                };
                ext: {
                    name: "ext";
                    type: {
                        kind: "SCALAR";
                        name: "String";
                        ofType: null;
                    };
                };
                formats: {
                    name: "formats";
                    type: {
                        kind: "SCALAR";
                        name: "JSON";
                        ofType: null;
                    };
                };
                hash: {
                    name: "hash";
                    type: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "SCALAR";
                            name: "String";
                            ofType: null;
                        };
                    };
                };
                height: {
                    name: "height";
                    type: {
                        kind: "SCALAR";
                        name: "Int";
                        ofType: null;
                    };
                };
                mime: {
                    name: "mime";
                    type: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "SCALAR";
                            name: "String";
                            ofType: null;
                        };
                    };
                };
                name: {
                    name: "name";
                    type: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "SCALAR";
                            name: "String";
                            ofType: null;
                        };
                    };
                };
                previewUrl: {
                    name: "previewUrl";
                    type: {
                        kind: "SCALAR";
                        name: "String";
                        ofType: null;
                    };
                };
                provider: {
                    name: "provider";
                    type: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "SCALAR";
                            name: "String";
                            ofType: null;
                        };
                    };
                };
                provider_metadata: {
                    name: "provider_metadata";
                    type: {
                        kind: "SCALAR";
                        name: "JSON";
                        ofType: null;
                    };
                };
                related: {
                    name: "related";
                    type: {
                        kind: "LIST";
                        name: never;
                        ofType: {
                            kind: "UNION";
                            name: "GenericMorph";
                            ofType: null;
                        };
                    };
                };
                size: {
                    name: "size";
                    type: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "SCALAR";
                            name: "Float";
                            ofType: null;
                        };
                    };
                };
                updatedAt: {
                    name: "updatedAt";
                    type: {
                        kind: "SCALAR";
                        name: "DateTime";
                        ofType: null;
                    };
                };
                url: {
                    name: "url";
                    type: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "SCALAR";
                            name: "String";
                            ofType: null;
                        };
                    };
                };
                width: {
                    name: "width";
                    type: {
                        kind: "SCALAR";
                        name: "Int";
                        ofType: null;
                    };
                };
            };
        };
        UploadFileEntity: {
            kind: "OBJECT";
            name: "UploadFileEntity";
            fields: {
                attributes: {
                    name: "attributes";
                    type: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "OBJECT";
                            name: "UploadFile";
                            ofType: null;
                        };
                    };
                };
                id: {
                    name: "id";
                    type: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "SCALAR";
                            name: "ID";
                            ofType: null;
                        };
                    };
                };
            };
        };
        UploadFileEntityResponse: {
            kind: "OBJECT";
            name: "UploadFileEntityResponse";
            fields: {
                data: {
                    name: "data";
                    type: {
                        kind: "OBJECT";
                        name: "UploadFileEntity";
                        ofType: null;
                    };
                };
            };
        };
        UploadFileEntityResponseCollection: {
            kind: "OBJECT";
            name: "UploadFileEntityResponseCollection";
            fields: {
                data: {
                    name: "data";
                    type: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "LIST";
                            name: never;
                            ofType: {
                                kind: "NON_NULL";
                                name: never;
                                ofType: {
                                    kind: "OBJECT";
                                    name: "UploadFileEntity";
                                    ofType: null;
                                };
                            };
                        };
                    };
                };
                meta: {
                    name: "meta";
                    type: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "OBJECT";
                            name: "ResponseCollectionMeta";
                            ofType: null;
                        };
                    };
                };
            };
        };
        UploadFileFiltersInput: {
            kind: "INPUT_OBJECT";
            name: "UploadFileFiltersInput";
            isOneOf: false;
            inputFields: [{
                name: "id";
                type: {
                    kind: "INPUT_OBJECT";
                    name: "IDFilterInput";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "name";
                type: {
                    kind: "INPUT_OBJECT";
                    name: "StringFilterInput";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "alternativeText";
                type: {
                    kind: "INPUT_OBJECT";
                    name: "StringFilterInput";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "caption";
                type: {
                    kind: "INPUT_OBJECT";
                    name: "StringFilterInput";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "width";
                type: {
                    kind: "INPUT_OBJECT";
                    name: "IntFilterInput";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "height";
                type: {
                    kind: "INPUT_OBJECT";
                    name: "IntFilterInput";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "formats";
                type: {
                    kind: "INPUT_OBJECT";
                    name: "JSONFilterInput";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "hash";
                type: {
                    kind: "INPUT_OBJECT";
                    name: "StringFilterInput";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "ext";
                type: {
                    kind: "INPUT_OBJECT";
                    name: "StringFilterInput";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "mime";
                type: {
                    kind: "INPUT_OBJECT";
                    name: "StringFilterInput";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "size";
                type: {
                    kind: "INPUT_OBJECT";
                    name: "FloatFilterInput";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "url";
                type: {
                    kind: "INPUT_OBJECT";
                    name: "StringFilterInput";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "previewUrl";
                type: {
                    kind: "INPUT_OBJECT";
                    name: "StringFilterInput";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "provider";
                type: {
                    kind: "INPUT_OBJECT";
                    name: "StringFilterInput";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "provider_metadata";
                type: {
                    kind: "INPUT_OBJECT";
                    name: "JSONFilterInput";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "folder";
                type: {
                    kind: "INPUT_OBJECT";
                    name: "UploadFolderFiltersInput";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "folderPath";
                type: {
                    kind: "INPUT_OBJECT";
                    name: "StringFilterInput";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "createdAt";
                type: {
                    kind: "INPUT_OBJECT";
                    name: "DateTimeFilterInput";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "updatedAt";
                type: {
                    kind: "INPUT_OBJECT";
                    name: "DateTimeFilterInput";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "and";
                type: {
                    kind: "LIST";
                    name: never;
                    ofType: {
                        kind: "INPUT_OBJECT";
                        name: "UploadFileFiltersInput";
                        ofType: null;
                    };
                };
                defaultValue: null;
            }, {
                name: "or";
                type: {
                    kind: "LIST";
                    name: never;
                    ofType: {
                        kind: "INPUT_OBJECT";
                        name: "UploadFileFiltersInput";
                        ofType: null;
                    };
                };
                defaultValue: null;
            }, {
                name: "not";
                type: {
                    kind: "INPUT_OBJECT";
                    name: "UploadFileFiltersInput";
                    ofType: null;
                };
                defaultValue: null;
            }];
        };
        UploadFileInput: {
            kind: "INPUT_OBJECT";
            name: "UploadFileInput";
            isOneOf: false;
            inputFields: [{
                name: "name";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "alternativeText";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "caption";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "width";
                type: {
                    kind: "SCALAR";
                    name: "Int";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "height";
                type: {
                    kind: "SCALAR";
                    name: "Int";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "formats";
                type: {
                    kind: "SCALAR";
                    name: "JSON";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "hash";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "ext";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "mime";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "size";
                type: {
                    kind: "SCALAR";
                    name: "Float";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "url";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "previewUrl";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "provider";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "provider_metadata";
                type: {
                    kind: "SCALAR";
                    name: "JSON";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "folder";
                type: {
                    kind: "SCALAR";
                    name: "ID";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "folderPath";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }];
        };
        UploadFileRelationResponseCollection: {
            kind: "OBJECT";
            name: "UploadFileRelationResponseCollection";
            fields: {
                data: {
                    name: "data";
                    type: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "LIST";
                            name: never;
                            ofType: {
                                kind: "NON_NULL";
                                name: never;
                                ofType: {
                                    kind: "OBJECT";
                                    name: "UploadFileEntity";
                                    ofType: null;
                                };
                            };
                        };
                    };
                };
            };
        };
        UploadFolder: {
            kind: "OBJECT";
            name: "UploadFolder";
            fields: {
                children: {
                    name: "children";
                    type: {
                        kind: "OBJECT";
                        name: "UploadFolderRelationResponseCollection";
                        ofType: null;
                    };
                };
                createdAt: {
                    name: "createdAt";
                    type: {
                        kind: "SCALAR";
                        name: "DateTime";
                        ofType: null;
                    };
                };
                files: {
                    name: "files";
                    type: {
                        kind: "OBJECT";
                        name: "UploadFileRelationResponseCollection";
                        ofType: null;
                    };
                };
                name: {
                    name: "name";
                    type: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "SCALAR";
                            name: "String";
                            ofType: null;
                        };
                    };
                };
                parent: {
                    name: "parent";
                    type: {
                        kind: "OBJECT";
                        name: "UploadFolderEntityResponse";
                        ofType: null;
                    };
                };
                path: {
                    name: "path";
                    type: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "SCALAR";
                            name: "String";
                            ofType: null;
                        };
                    };
                };
                pathId: {
                    name: "pathId";
                    type: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "SCALAR";
                            name: "Int";
                            ofType: null;
                        };
                    };
                };
                updatedAt: {
                    name: "updatedAt";
                    type: {
                        kind: "SCALAR";
                        name: "DateTime";
                        ofType: null;
                    };
                };
            };
        };
        UploadFolderEntity: {
            kind: "OBJECT";
            name: "UploadFolderEntity";
            fields: {
                attributes: {
                    name: "attributes";
                    type: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "OBJECT";
                            name: "UploadFolder";
                            ofType: null;
                        };
                    };
                };
                id: {
                    name: "id";
                    type: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "SCALAR";
                            name: "ID";
                            ofType: null;
                        };
                    };
                };
            };
        };
        UploadFolderEntityResponse: {
            kind: "OBJECT";
            name: "UploadFolderEntityResponse";
            fields: {
                data: {
                    name: "data";
                    type: {
                        kind: "OBJECT";
                        name: "UploadFolderEntity";
                        ofType: null;
                    };
                };
            };
        };
        UploadFolderEntityResponseCollection: {
            kind: "OBJECT";
            name: "UploadFolderEntityResponseCollection";
            fields: {
                data: {
                    name: "data";
                    type: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "LIST";
                            name: never;
                            ofType: {
                                kind: "NON_NULL";
                                name: never;
                                ofType: {
                                    kind: "OBJECT";
                                    name: "UploadFolderEntity";
                                    ofType: null;
                                };
                            };
                        };
                    };
                };
                meta: {
                    name: "meta";
                    type: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "OBJECT";
                            name: "ResponseCollectionMeta";
                            ofType: null;
                        };
                    };
                };
            };
        };
        UploadFolderFiltersInput: {
            kind: "INPUT_OBJECT";
            name: "UploadFolderFiltersInput";
            isOneOf: false;
            inputFields: [{
                name: "id";
                type: {
                    kind: "INPUT_OBJECT";
                    name: "IDFilterInput";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "name";
                type: {
                    kind: "INPUT_OBJECT";
                    name: "StringFilterInput";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "pathId";
                type: {
                    kind: "INPUT_OBJECT";
                    name: "IntFilterInput";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "parent";
                type: {
                    kind: "INPUT_OBJECT";
                    name: "UploadFolderFiltersInput";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "children";
                type: {
                    kind: "INPUT_OBJECT";
                    name: "UploadFolderFiltersInput";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "files";
                type: {
                    kind: "INPUT_OBJECT";
                    name: "UploadFileFiltersInput";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "path";
                type: {
                    kind: "INPUT_OBJECT";
                    name: "StringFilterInput";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "createdAt";
                type: {
                    kind: "INPUT_OBJECT";
                    name: "DateTimeFilterInput";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "updatedAt";
                type: {
                    kind: "INPUT_OBJECT";
                    name: "DateTimeFilterInput";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "and";
                type: {
                    kind: "LIST";
                    name: never;
                    ofType: {
                        kind: "INPUT_OBJECT";
                        name: "UploadFolderFiltersInput";
                        ofType: null;
                    };
                };
                defaultValue: null;
            }, {
                name: "or";
                type: {
                    kind: "LIST";
                    name: never;
                    ofType: {
                        kind: "INPUT_OBJECT";
                        name: "UploadFolderFiltersInput";
                        ofType: null;
                    };
                };
                defaultValue: null;
            }, {
                name: "not";
                type: {
                    kind: "INPUT_OBJECT";
                    name: "UploadFolderFiltersInput";
                    ofType: null;
                };
                defaultValue: null;
            }];
        };
        UploadFolderInput: {
            kind: "INPUT_OBJECT";
            name: "UploadFolderInput";
            isOneOf: false;
            inputFields: [{
                name: "name";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "pathId";
                type: {
                    kind: "SCALAR";
                    name: "Int";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "parent";
                type: {
                    kind: "SCALAR";
                    name: "ID";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "children";
                type: {
                    kind: "LIST";
                    name: never;
                    ofType: {
                        kind: "SCALAR";
                        name: "ID";
                        ofType: null;
                    };
                };
                defaultValue: null;
            }, {
                name: "files";
                type: {
                    kind: "LIST";
                    name: never;
                    ofType: {
                        kind: "SCALAR";
                        name: "ID";
                        ofType: null;
                    };
                };
                defaultValue: null;
            }, {
                name: "path";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }];
        };
        UploadFolderRelationResponseCollection: {
            kind: "OBJECT";
            name: "UploadFolderRelationResponseCollection";
            fields: {
                data: {
                    name: "data";
                    type: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "LIST";
                            name: never;
                            ofType: {
                                kind: "NON_NULL";
                                name: never;
                                ofType: {
                                    kind: "OBJECT";
                                    name: "UploadFolderEntity";
                                    ofType: null;
                                };
                            };
                        };
                    };
                };
            };
        };
        UsersPermissionsCreateRolePayload: {
            kind: "OBJECT";
            name: "UsersPermissionsCreateRolePayload";
            fields: {
                ok: {
                    name: "ok";
                    type: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "SCALAR";
                            name: "Boolean";
                            ofType: null;
                        };
                    };
                };
            };
        };
        UsersPermissionsDeleteRolePayload: {
            kind: "OBJECT";
            name: "UsersPermissionsDeleteRolePayload";
            fields: {
                ok: {
                    name: "ok";
                    type: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "SCALAR";
                            name: "Boolean";
                            ofType: null;
                        };
                    };
                };
            };
        };
        UsersPermissionsLoginInput: {
            kind: "INPUT_OBJECT";
            name: "UsersPermissionsLoginInput";
            isOneOf: false;
            inputFields: [{
                name: "identifier";
                type: {
                    kind: "NON_NULL";
                    name: never;
                    ofType: {
                        kind: "SCALAR";
                        name: "String";
                        ofType: null;
                    };
                };
                defaultValue: null;
            }, {
                name: "password";
                type: {
                    kind: "NON_NULL";
                    name: never;
                    ofType: {
                        kind: "SCALAR";
                        name: "String";
                        ofType: null;
                    };
                };
                defaultValue: null;
            }, {
                name: "provider";
                type: {
                    kind: "NON_NULL";
                    name: never;
                    ofType: {
                        kind: "SCALAR";
                        name: "String";
                        ofType: null;
                    };
                };
                defaultValue: "\"local\"";
            }];
        };
        UsersPermissionsLoginPayload: {
            kind: "OBJECT";
            name: "UsersPermissionsLoginPayload";
            fields: {
                jwt: {
                    name: "jwt";
                    type: {
                        kind: "SCALAR";
                        name: "String";
                        ofType: null;
                    };
                };
                user: {
                    name: "user";
                    type: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "OBJECT";
                            name: "UsersPermissionsMe";
                            ofType: null;
                        };
                    };
                };
            };
        };
        UsersPermissionsMe: {
            kind: "OBJECT";
            name: "UsersPermissionsMe";
            fields: {
                blocked: {
                    name: "blocked";
                    type: {
                        kind: "SCALAR";
                        name: "Boolean";
                        ofType: null;
                    };
                };
                confirmed: {
                    name: "confirmed";
                    type: {
                        kind: "SCALAR";
                        name: "Boolean";
                        ofType: null;
                    };
                };
                email: {
                    name: "email";
                    type: {
                        kind: "SCALAR";
                        name: "String";
                        ofType: null;
                    };
                };
                id: {
                    name: "id";
                    type: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "SCALAR";
                            name: "ID";
                            ofType: null;
                        };
                    };
                };
                role: {
                    name: "role";
                    type: {
                        kind: "OBJECT";
                        name: "UsersPermissionsMeRole";
                        ofType: null;
                    };
                };
                username: {
                    name: "username";
                    type: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "SCALAR";
                            name: "String";
                            ofType: null;
                        };
                    };
                };
            };
        };
        UsersPermissionsMeRole: {
            kind: "OBJECT";
            name: "UsersPermissionsMeRole";
            fields: {
                description: {
                    name: "description";
                    type: {
                        kind: "SCALAR";
                        name: "String";
                        ofType: null;
                    };
                };
                id: {
                    name: "id";
                    type: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "SCALAR";
                            name: "ID";
                            ofType: null;
                        };
                    };
                };
                name: {
                    name: "name";
                    type: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "SCALAR";
                            name: "String";
                            ofType: null;
                        };
                    };
                };
                type: {
                    name: "type";
                    type: {
                        kind: "SCALAR";
                        name: "String";
                        ofType: null;
                    };
                };
            };
        };
        UsersPermissionsPasswordPayload: {
            kind: "OBJECT";
            name: "UsersPermissionsPasswordPayload";
            fields: {
                ok: {
                    name: "ok";
                    type: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "SCALAR";
                            name: "Boolean";
                            ofType: null;
                        };
                    };
                };
            };
        };
        UsersPermissionsPermission: {
            kind: "OBJECT";
            name: "UsersPermissionsPermission";
            fields: {
                action: {
                    name: "action";
                    type: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "SCALAR";
                            name: "String";
                            ofType: null;
                        };
                    };
                };
                createdAt: {
                    name: "createdAt";
                    type: {
                        kind: "SCALAR";
                        name: "DateTime";
                        ofType: null;
                    };
                };
                role: {
                    name: "role";
                    type: {
                        kind: "OBJECT";
                        name: "UsersPermissionsRoleEntityResponse";
                        ofType: null;
                    };
                };
                updatedAt: {
                    name: "updatedAt";
                    type: {
                        kind: "SCALAR";
                        name: "DateTime";
                        ofType: null;
                    };
                };
            };
        };
        UsersPermissionsPermissionEntity: {
            kind: "OBJECT";
            name: "UsersPermissionsPermissionEntity";
            fields: {
                attributes: {
                    name: "attributes";
                    type: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "OBJECT";
                            name: "UsersPermissionsPermission";
                            ofType: null;
                        };
                    };
                };
                id: {
                    name: "id";
                    type: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "SCALAR";
                            name: "ID";
                            ofType: null;
                        };
                    };
                };
            };
        };
        UsersPermissionsPermissionFiltersInput: {
            kind: "INPUT_OBJECT";
            name: "UsersPermissionsPermissionFiltersInput";
            isOneOf: false;
            inputFields: [{
                name: "id";
                type: {
                    kind: "INPUT_OBJECT";
                    name: "IDFilterInput";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "action";
                type: {
                    kind: "INPUT_OBJECT";
                    name: "StringFilterInput";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "role";
                type: {
                    kind: "INPUT_OBJECT";
                    name: "UsersPermissionsRoleFiltersInput";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "createdAt";
                type: {
                    kind: "INPUT_OBJECT";
                    name: "DateTimeFilterInput";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "updatedAt";
                type: {
                    kind: "INPUT_OBJECT";
                    name: "DateTimeFilterInput";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "and";
                type: {
                    kind: "LIST";
                    name: never;
                    ofType: {
                        kind: "INPUT_OBJECT";
                        name: "UsersPermissionsPermissionFiltersInput";
                        ofType: null;
                    };
                };
                defaultValue: null;
            }, {
                name: "or";
                type: {
                    kind: "LIST";
                    name: never;
                    ofType: {
                        kind: "INPUT_OBJECT";
                        name: "UsersPermissionsPermissionFiltersInput";
                        ofType: null;
                    };
                };
                defaultValue: null;
            }, {
                name: "not";
                type: {
                    kind: "INPUT_OBJECT";
                    name: "UsersPermissionsPermissionFiltersInput";
                    ofType: null;
                };
                defaultValue: null;
            }];
        };
        UsersPermissionsPermissionRelationResponseCollection: {
            kind: "OBJECT";
            name: "UsersPermissionsPermissionRelationResponseCollection";
            fields: {
                data: {
                    name: "data";
                    type: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "LIST";
                            name: never;
                            ofType: {
                                kind: "NON_NULL";
                                name: never;
                                ofType: {
                                    kind: "OBJECT";
                                    name: "UsersPermissionsPermissionEntity";
                                    ofType: null;
                                };
                            };
                        };
                    };
                };
            };
        };
        UsersPermissionsRegisterInput: {
            kind: "INPUT_OBJECT";
            name: "UsersPermissionsRegisterInput";
            isOneOf: false;
            inputFields: [{
                name: "username";
                type: {
                    kind: "NON_NULL";
                    name: never;
                    ofType: {
                        kind: "SCALAR";
                        name: "String";
                        ofType: null;
                    };
                };
                defaultValue: null;
            }, {
                name: "email";
                type: {
                    kind: "NON_NULL";
                    name: never;
                    ofType: {
                        kind: "SCALAR";
                        name: "String";
                        ofType: null;
                    };
                };
                defaultValue: null;
            }, {
                name: "password";
                type: {
                    kind: "NON_NULL";
                    name: never;
                    ofType: {
                        kind: "SCALAR";
                        name: "String";
                        ofType: null;
                    };
                };
                defaultValue: null;
            }];
        };
        UsersPermissionsRole: {
            kind: "OBJECT";
            name: "UsersPermissionsRole";
            fields: {
                createdAt: {
                    name: "createdAt";
                    type: {
                        kind: "SCALAR";
                        name: "DateTime";
                        ofType: null;
                    };
                };
                description: {
                    name: "description";
                    type: {
                        kind: "SCALAR";
                        name: "String";
                        ofType: null;
                    };
                };
                name: {
                    name: "name";
                    type: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "SCALAR";
                            name: "String";
                            ofType: null;
                        };
                    };
                };
                permissions: {
                    name: "permissions";
                    type: {
                        kind: "OBJECT";
                        name: "UsersPermissionsPermissionRelationResponseCollection";
                        ofType: null;
                    };
                };
                type: {
                    name: "type";
                    type: {
                        kind: "SCALAR";
                        name: "String";
                        ofType: null;
                    };
                };
                updatedAt: {
                    name: "updatedAt";
                    type: {
                        kind: "SCALAR";
                        name: "DateTime";
                        ofType: null;
                    };
                };
                users: {
                    name: "users";
                    type: {
                        kind: "OBJECT";
                        name: "UsersPermissionsUserRelationResponseCollection";
                        ofType: null;
                    };
                };
            };
        };
        UsersPermissionsRoleEntity: {
            kind: "OBJECT";
            name: "UsersPermissionsRoleEntity";
            fields: {
                attributes: {
                    name: "attributes";
                    type: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "OBJECT";
                            name: "UsersPermissionsRole";
                            ofType: null;
                        };
                    };
                };
                id: {
                    name: "id";
                    type: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "SCALAR";
                            name: "ID";
                            ofType: null;
                        };
                    };
                };
            };
        };
        UsersPermissionsRoleEntityResponse: {
            kind: "OBJECT";
            name: "UsersPermissionsRoleEntityResponse";
            fields: {
                data: {
                    name: "data";
                    type: {
                        kind: "OBJECT";
                        name: "UsersPermissionsRoleEntity";
                        ofType: null;
                    };
                };
            };
        };
        UsersPermissionsRoleEntityResponseCollection: {
            kind: "OBJECT";
            name: "UsersPermissionsRoleEntityResponseCollection";
            fields: {
                data: {
                    name: "data";
                    type: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "LIST";
                            name: never;
                            ofType: {
                                kind: "NON_NULL";
                                name: never;
                                ofType: {
                                    kind: "OBJECT";
                                    name: "UsersPermissionsRoleEntity";
                                    ofType: null;
                                };
                            };
                        };
                    };
                };
                meta: {
                    name: "meta";
                    type: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "OBJECT";
                            name: "ResponseCollectionMeta";
                            ofType: null;
                        };
                    };
                };
            };
        };
        UsersPermissionsRoleFiltersInput: {
            kind: "INPUT_OBJECT";
            name: "UsersPermissionsRoleFiltersInput";
            isOneOf: false;
            inputFields: [{
                name: "id";
                type: {
                    kind: "INPUT_OBJECT";
                    name: "IDFilterInput";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "name";
                type: {
                    kind: "INPUT_OBJECT";
                    name: "StringFilterInput";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "description";
                type: {
                    kind: "INPUT_OBJECT";
                    name: "StringFilterInput";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "type";
                type: {
                    kind: "INPUT_OBJECT";
                    name: "StringFilterInput";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "permissions";
                type: {
                    kind: "INPUT_OBJECT";
                    name: "UsersPermissionsPermissionFiltersInput";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "users";
                type: {
                    kind: "INPUT_OBJECT";
                    name: "UsersPermissionsUserFiltersInput";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "createdAt";
                type: {
                    kind: "INPUT_OBJECT";
                    name: "DateTimeFilterInput";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "updatedAt";
                type: {
                    kind: "INPUT_OBJECT";
                    name: "DateTimeFilterInput";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "and";
                type: {
                    kind: "LIST";
                    name: never;
                    ofType: {
                        kind: "INPUT_OBJECT";
                        name: "UsersPermissionsRoleFiltersInput";
                        ofType: null;
                    };
                };
                defaultValue: null;
            }, {
                name: "or";
                type: {
                    kind: "LIST";
                    name: never;
                    ofType: {
                        kind: "INPUT_OBJECT";
                        name: "UsersPermissionsRoleFiltersInput";
                        ofType: null;
                    };
                };
                defaultValue: null;
            }, {
                name: "not";
                type: {
                    kind: "INPUT_OBJECT";
                    name: "UsersPermissionsRoleFiltersInput";
                    ofType: null;
                };
                defaultValue: null;
            }];
        };
        UsersPermissionsRoleInput: {
            kind: "INPUT_OBJECT";
            name: "UsersPermissionsRoleInput";
            isOneOf: false;
            inputFields: [{
                name: "name";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "description";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "type";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "permissions";
                type: {
                    kind: "LIST";
                    name: never;
                    ofType: {
                        kind: "SCALAR";
                        name: "ID";
                        ofType: null;
                    };
                };
                defaultValue: null;
            }, {
                name: "users";
                type: {
                    kind: "LIST";
                    name: never;
                    ofType: {
                        kind: "SCALAR";
                        name: "ID";
                        ofType: null;
                    };
                };
                defaultValue: null;
            }];
        };
        UsersPermissionsUpdateRolePayload: {
            kind: "OBJECT";
            name: "UsersPermissionsUpdateRolePayload";
            fields: {
                ok: {
                    name: "ok";
                    type: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "SCALAR";
                            name: "Boolean";
                            ofType: null;
                        };
                    };
                };
            };
        };
        UsersPermissionsUser: {
            kind: "OBJECT";
            name: "UsersPermissionsUser";
            fields: {
                blocked: {
                    name: "blocked";
                    type: {
                        kind: "SCALAR";
                        name: "Boolean";
                        ofType: null;
                    };
                };
                confirmed: {
                    name: "confirmed";
                    type: {
                        kind: "SCALAR";
                        name: "Boolean";
                        ofType: null;
                    };
                };
                createdAt: {
                    name: "createdAt";
                    type: {
                        kind: "SCALAR";
                        name: "DateTime";
                        ofType: null;
                    };
                };
                email: {
                    name: "email";
                    type: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "SCALAR";
                            name: "String";
                            ofType: null;
                        };
                    };
                };
                provider: {
                    name: "provider";
                    type: {
                        kind: "SCALAR";
                        name: "String";
                        ofType: null;
                    };
                };
                role: {
                    name: "role";
                    type: {
                        kind: "OBJECT";
                        name: "UsersPermissionsRoleEntityResponse";
                        ofType: null;
                    };
                };
                updatedAt: {
                    name: "updatedAt";
                    type: {
                        kind: "SCALAR";
                        name: "DateTime";
                        ofType: null;
                    };
                };
                username: {
                    name: "username";
                    type: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "SCALAR";
                            name: "String";
                            ofType: null;
                        };
                    };
                };
            };
        };
        UsersPermissionsUserEntity: {
            kind: "OBJECT";
            name: "UsersPermissionsUserEntity";
            fields: {
                attributes: {
                    name: "attributes";
                    type: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "OBJECT";
                            name: "UsersPermissionsUser";
                            ofType: null;
                        };
                    };
                };
                id: {
                    name: "id";
                    type: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "SCALAR";
                            name: "ID";
                            ofType: null;
                        };
                    };
                };
            };
        };
        UsersPermissionsUserEntityResponse: {
            kind: "OBJECT";
            name: "UsersPermissionsUserEntityResponse";
            fields: {
                data: {
                    name: "data";
                    type: {
                        kind: "OBJECT";
                        name: "UsersPermissionsUserEntity";
                        ofType: null;
                    };
                };
            };
        };
        UsersPermissionsUserEntityResponseCollection: {
            kind: "OBJECT";
            name: "UsersPermissionsUserEntityResponseCollection";
            fields: {
                data: {
                    name: "data";
                    type: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "LIST";
                            name: never;
                            ofType: {
                                kind: "NON_NULL";
                                name: never;
                                ofType: {
                                    kind: "OBJECT";
                                    name: "UsersPermissionsUserEntity";
                                    ofType: null;
                                };
                            };
                        };
                    };
                };
                meta: {
                    name: "meta";
                    type: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "OBJECT";
                            name: "ResponseCollectionMeta";
                            ofType: null;
                        };
                    };
                };
            };
        };
        UsersPermissionsUserFiltersInput: {
            kind: "INPUT_OBJECT";
            name: "UsersPermissionsUserFiltersInput";
            isOneOf: false;
            inputFields: [{
                name: "id";
                type: {
                    kind: "INPUT_OBJECT";
                    name: "IDFilterInput";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "username";
                type: {
                    kind: "INPUT_OBJECT";
                    name: "StringFilterInput";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "email";
                type: {
                    kind: "INPUT_OBJECT";
                    name: "StringFilterInput";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "provider";
                type: {
                    kind: "INPUT_OBJECT";
                    name: "StringFilterInput";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "password";
                type: {
                    kind: "INPUT_OBJECT";
                    name: "StringFilterInput";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "resetPasswordToken";
                type: {
                    kind: "INPUT_OBJECT";
                    name: "StringFilterInput";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "confirmationToken";
                type: {
                    kind: "INPUT_OBJECT";
                    name: "StringFilterInput";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "confirmed";
                type: {
                    kind: "INPUT_OBJECT";
                    name: "BooleanFilterInput";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "blocked";
                type: {
                    kind: "INPUT_OBJECT";
                    name: "BooleanFilterInput";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "role";
                type: {
                    kind: "INPUT_OBJECT";
                    name: "UsersPermissionsRoleFiltersInput";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "createdAt";
                type: {
                    kind: "INPUT_OBJECT";
                    name: "DateTimeFilterInput";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "updatedAt";
                type: {
                    kind: "INPUT_OBJECT";
                    name: "DateTimeFilterInput";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "and";
                type: {
                    kind: "LIST";
                    name: never;
                    ofType: {
                        kind: "INPUT_OBJECT";
                        name: "UsersPermissionsUserFiltersInput";
                        ofType: null;
                    };
                };
                defaultValue: null;
            }, {
                name: "or";
                type: {
                    kind: "LIST";
                    name: never;
                    ofType: {
                        kind: "INPUT_OBJECT";
                        name: "UsersPermissionsUserFiltersInput";
                        ofType: null;
                    };
                };
                defaultValue: null;
            }, {
                name: "not";
                type: {
                    kind: "INPUT_OBJECT";
                    name: "UsersPermissionsUserFiltersInput";
                    ofType: null;
                };
                defaultValue: null;
            }];
        };
        UsersPermissionsUserInput: {
            kind: "INPUT_OBJECT";
            name: "UsersPermissionsUserInput";
            isOneOf: false;
            inputFields: [{
                name: "username";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "email";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "provider";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "password";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "resetPasswordToken";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "confirmationToken";
                type: {
                    kind: "SCALAR";
                    name: "String";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "confirmed";
                type: {
                    kind: "SCALAR";
                    name: "Boolean";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "blocked";
                type: {
                    kind: "SCALAR";
                    name: "Boolean";
                    ofType: null;
                };
                defaultValue: null;
            }, {
                name: "role";
                type: {
                    kind: "SCALAR";
                    name: "ID";
                    ofType: null;
                };
                defaultValue: null;
            }];
        };
        UsersPermissionsUserRelationResponseCollection: {
            kind: "OBJECT";
            name: "UsersPermissionsUserRelationResponseCollection";
            fields: {
                data: {
                    name: "data";
                    type: {
                        kind: "NON_NULL";
                        name: never;
                        ofType: {
                            kind: "LIST";
                            name: never;
                            ofType: {
                                kind: "NON_NULL";
                                name: never;
                                ofType: {
                                    kind: "OBJECT";
                                    name: "UsersPermissionsUserEntity";
                                    ofType: null;
                                };
                            };
                        };
                    };
                };
            };
        };
    };
}, {
    isMaskingDisabled: false;
}>;
