import type { VariablesOf } from 'gql.tada';
import type { SushiSwapV3ChainId } from 'sushi/config';
import type { RequestOptions } from '../../../lib/request';
import type { ChainIdVariable } from '../../../lib/types/chainId';
export declare const SushiV3PoolsQuery: import("gql.tada").TadaDocumentNode<{
    pools: {
        createdAtBlockNumber: string;
        createdAtTimestamp: string;
        txCount: string;
        liquidityProviderCount: string;
        untrackedLiquidityUSD: string;
        liquidityUSD: string;
        reserve1: string;
        reserve0: string;
        collectedFeesUSD: string;
        collectedFeesToken1: string;
        collectedFeesToken0: string;
        feesUSD: string;
        untrackedVolumeUSD: string;
        volumeUSD: string;
        volumeToken1: string;
        volumeToken0: string;
        observationIndex: string;
        tick: string;
        token1Price: string;
        token0Price: string;
        feeGrowthGlobal1X128: string;
        feeGrowthGlobal0X128: string;
        sqrtPrice: string;
        liquidity: string;
        swapFee: string;
        token1: {
            decimals: string;
            name: string;
            symbol: string;
            id: string;
        };
        token0: {
            decimals: string;
            name: string;
            symbol: string;
            id: string;
        };
        id: string;
    }[];
}, {
    where?: {
        or?: any[];
        and?: any[];
        _change_block?: {
            number_gte: number;
        };
        ticks_?: {
            or?: any[];
            and?: any[];
            _change_block?: {
                number_gte: number;
            };
            feeGrowthOutside1X128_not_in?: string[];
            feeGrowthOutside1X128_in?: string[];
            feeGrowthOutside1X128_lte?: string;
            feeGrowthOutside1X128_gte?: string;
            feeGrowthOutside1X128_lt?: string;
            feeGrowthOutside1X128_gt?: string;
            feeGrowthOutside1X128_not?: string;
            feeGrowthOutside1X128?: string;
            feeGrowthOutside0X128_not_in?: string[];
            feeGrowthOutside0X128_in?: string[];
            feeGrowthOutside0X128_lte?: string;
            feeGrowthOutside0X128_gte?: string;
            feeGrowthOutside0X128_lt?: string;
            feeGrowthOutside0X128_gt?: string;
            feeGrowthOutside0X128_not?: string;
            feeGrowthOutside0X128?: string;
            liquidityProviderCount_not_in?: string[];
            liquidityProviderCount_in?: string[];
            liquidityProviderCount_lte?: string;
            liquidityProviderCount_gte?: string;
            liquidityProviderCount_lt?: string;
            liquidityProviderCount_gt?: string;
            liquidityProviderCount_not?: string;
            liquidityProviderCount?: string;
            createdAtBlockNumber_not_in?: string[];
            createdAtBlockNumber_in?: string[];
            createdAtBlockNumber_lte?: string;
            createdAtBlockNumber_gte?: string;
            createdAtBlockNumber_lt?: string;
            createdAtBlockNumber_gt?: string;
            createdAtBlockNumber_not?: string;
            createdAtBlockNumber?: string;
            createdAtTimestamp_not_in?: string[];
            createdAtTimestamp_in?: string[];
            createdAtTimestamp_lte?: string;
            createdAtTimestamp_gte?: string;
            createdAtTimestamp_lt?: string;
            createdAtTimestamp_gt?: string;
            createdAtTimestamp_not?: string;
            createdAtTimestamp?: string;
            collectedFeesUSD_not_in?: string[];
            collectedFeesUSD_in?: string[];
            collectedFeesUSD_lte?: string;
            collectedFeesUSD_gte?: string;
            collectedFeesUSD_lt?: string;
            collectedFeesUSD_gt?: string;
            collectedFeesUSD_not?: string;
            collectedFeesUSD?: string;
            collectedFeesToken1_not_in?: string[];
            collectedFeesToken1_in?: string[];
            collectedFeesToken1_lte?: string;
            collectedFeesToken1_gte?: string;
            collectedFeesToken1_lt?: string;
            collectedFeesToken1_gt?: string;
            collectedFeesToken1_not?: string;
            collectedFeesToken1?: string;
            collectedFeesToken0_not_in?: string[];
            collectedFeesToken0_in?: string[];
            collectedFeesToken0_lte?: string;
            collectedFeesToken0_gte?: string;
            collectedFeesToken0_lt?: string;
            collectedFeesToken0_gt?: string;
            collectedFeesToken0_not?: string;
            collectedFeesToken0?: string;
            feesUSD_not_in?: string[];
            feesUSD_in?: string[];
            feesUSD_lte?: string;
            feesUSD_gte?: string;
            feesUSD_lt?: string;
            feesUSD_gt?: string;
            feesUSD_not?: string;
            feesUSD?: string;
            untrackedVolumeUSD_not_in?: string[];
            untrackedVolumeUSD_in?: string[];
            untrackedVolumeUSD_lte?: string;
            untrackedVolumeUSD_gte?: string;
            untrackedVolumeUSD_lt?: string;
            untrackedVolumeUSD_gt?: string;
            untrackedVolumeUSD_not?: string;
            untrackedVolumeUSD?: string;
            volumeUSD_not_in?: string[];
            volumeUSD_in?: string[];
            volumeUSD_lte?: string;
            volumeUSD_gte?: string;
            volumeUSD_lt?: string;
            volumeUSD_gt?: string;
            volumeUSD_not?: string;
            volumeUSD?: string;
            volumeToken1_not_in?: string[];
            volumeToken1_in?: string[];
            volumeToken1_lte?: string;
            volumeToken1_gte?: string;
            volumeToken1_lt?: string;
            volumeToken1_gt?: string;
            volumeToken1_not?: string;
            volumeToken1?: string;
            volumeToken0_not_in?: string[];
            volumeToken0_in?: string[];
            volumeToken0_lte?: string;
            volumeToken0_gte?: string;
            volumeToken0_lt?: string;
            volumeToken0_gt?: string;
            volumeToken0_not?: string;
            volumeToken0?: string;
            price1_not_in?: string[];
            price1_in?: string[];
            price1_lte?: string;
            price1_gte?: string;
            price1_lt?: string;
            price1_gt?: string;
            price1_not?: string;
            price1?: string;
            price0_not_in?: string[];
            price0_in?: string[];
            price0_lte?: string;
            price0_gte?: string;
            price0_lt?: string;
            price0_gt?: string;
            price0_not?: string;
            price0?: string;
            liquidityNet_not_in?: string[];
            liquidityNet_in?: string[];
            liquidityNet_lte?: string;
            liquidityNet_gte?: string;
            liquidityNet_lt?: string;
            liquidityNet_gt?: string;
            liquidityNet_not?: string;
            liquidityNet?: string;
            liquidityGross_not_in?: string[];
            liquidityGross_in?: string[];
            liquidityGross_lte?: string;
            liquidityGross_gte?: string;
            liquidityGross_lt?: string;
            liquidityGross_gt?: string;
            liquidityGross_not?: string;
            liquidityGross?: string;
            pool_?: any;
            pool_not_ends_with_nocase?: string;
            pool_not_ends_with?: string;
            pool_ends_with_nocase?: string;
            pool_ends_with?: string;
            pool_not_starts_with_nocase?: string;
            pool_not_starts_with?: string;
            pool_starts_with_nocase?: string;
            pool_starts_with?: string;
            pool_not_contains_nocase?: string;
            pool_not_contains?: string;
            pool_contains_nocase?: string;
            pool_contains?: string;
            pool_not_in?: string[];
            pool_in?: string[];
            pool_lte?: string;
            pool_gte?: string;
            pool_lt?: string;
            pool_gt?: string;
            pool_not?: string;
            pool?: string;
            tickIdx_not_in?: string[];
            tickIdx_in?: string[];
            tickIdx_lte?: string;
            tickIdx_gte?: string;
            tickIdx_lt?: string;
            tickIdx_gt?: string;
            tickIdx_not?: string;
            tickIdx?: string;
            poolAddress_not_ends_with_nocase?: string;
            poolAddress_not_ends_with?: string;
            poolAddress_ends_with_nocase?: string;
            poolAddress_ends_with?: string;
            poolAddress_not_starts_with_nocase?: string;
            poolAddress_not_starts_with?: string;
            poolAddress_starts_with_nocase?: string;
            poolAddress_starts_with?: string;
            poolAddress_not_contains_nocase?: string;
            poolAddress_not_contains?: string;
            poolAddress_contains_nocase?: string;
            poolAddress_contains?: string;
            poolAddress_not_in?: string[];
            poolAddress_in?: string[];
            poolAddress_lte?: string;
            poolAddress_gte?: string;
            poolAddress_lt?: string;
            poolAddress_gt?: string;
            poolAddress_not?: string;
            poolAddress?: string;
            id_not_in?: string[];
            id_in?: string[];
            id_lte?: string;
            id_gte?: string;
            id_lt?: string;
            id_gt?: string;
            id_not?: string;
            id?: string;
        };
        collects_?: {
            or?: any[];
            and?: any[];
            _change_block?: {
                number_gte: number;
            };
            logIndex_not_in?: string[];
            logIndex_in?: string[];
            logIndex_lte?: string;
            logIndex_gte?: string;
            logIndex_lt?: string;
            logIndex_gt?: string;
            logIndex_not?: string;
            logIndex?: string;
            tickUpper_not_in?: string[];
            tickUpper_in?: string[];
            tickUpper_lte?: string;
            tickUpper_gte?: string;
            tickUpper_lt?: string;
            tickUpper_gt?: string;
            tickUpper_not?: string;
            tickUpper?: string;
            tickLower_not_in?: string[];
            tickLower_in?: string[];
            tickLower_lte?: string;
            tickLower_gte?: string;
            tickLower_lt?: string;
            tickLower_gt?: string;
            tickLower_not?: string;
            tickLower?: string;
            amountUSD_not_in?: string[];
            amountUSD_in?: string[];
            amountUSD_lte?: string;
            amountUSD_gte?: string;
            amountUSD_lt?: string;
            amountUSD_gt?: string;
            amountUSD_not?: string;
            amountUSD?: string;
            amount1_not_in?: string[];
            amount1_in?: string[];
            amount1_lte?: string;
            amount1_gte?: string;
            amount1_lt?: string;
            amount1_gt?: string;
            amount1_not?: string;
            amount1?: string;
            amount0_not_in?: string[];
            amount0_in?: string[];
            amount0_lte?: string;
            amount0_gte?: string;
            amount0_lt?: string;
            amount0_gt?: string;
            amount0_not?: string;
            amount0?: string;
            owner_not_contains?: `0x${string}`;
            owner_contains?: `0x${string}`;
            owner_not_in?: `0x${string}`[];
            owner_in?: `0x${string}`[];
            owner_lte?: `0x${string}`;
            owner_gte?: `0x${string}`;
            owner_lt?: `0x${string}`;
            owner_gt?: `0x${string}`;
            owner_not?: `0x${string}`;
            owner?: `0x${string}`;
            pool_?: any;
            pool_not_ends_with_nocase?: string;
            pool_not_ends_with?: string;
            pool_ends_with_nocase?: string;
            pool_ends_with?: string;
            pool_not_starts_with_nocase?: string;
            pool_not_starts_with?: string;
            pool_starts_with_nocase?: string;
            pool_starts_with?: string;
            pool_not_contains_nocase?: string;
            pool_not_contains?: string;
            pool_contains_nocase?: string;
            pool_contains?: string;
            pool_not_in?: string[];
            pool_in?: string[];
            pool_lte?: string;
            pool_gte?: string;
            pool_lt?: string;
            pool_gt?: string;
            pool_not?: string;
            pool?: string;
            timestamp_not_in?: string[];
            timestamp_in?: string[];
            timestamp_lte?: string;
            timestamp_gte?: string;
            timestamp_lt?: string;
            timestamp_gt?: string;
            timestamp_not?: string;
            timestamp?: string;
            transaction_?: {
                or?: any[];
                and?: any[];
                _change_block?: {
                    number_gte: number;
                };
                collects_?: any;
                flashed_?: {
                    or?: any[];
                    and?: any[];
                    _change_block?: {
                        number_gte: number;
                    };
                    logIndex_not_in?: string[];
                    logIndex_in?: string[];
                    logIndex_lte?: string;
                    logIndex_gte?: string;
                    logIndex_lt?: string;
                    logIndex_gt?: string;
                    logIndex_not?: string;
                    logIndex?: string;
                    amount1Paid_not_in?: string[];
                    amount1Paid_in?: string[];
                    amount1Paid_lte?: string;
                    amount1Paid_gte?: string;
                    amount1Paid_lt?: string;
                    amount1Paid_gt?: string;
                    amount1Paid_not?: string;
                    amount1Paid?: string;
                    amount0Paid_not_in?: string[];
                    amount0Paid_in?: string[];
                    amount0Paid_lte?: string;
                    amount0Paid_gte?: string;
                    amount0Paid_lt?: string;
                    amount0Paid_gt?: string;
                    amount0Paid_not?: string;
                    amount0Paid?: string;
                    amountUSD_not_in?: string[];
                    amountUSD_in?: string[];
                    amountUSD_lte?: string;
                    amountUSD_gte?: string;
                    amountUSD_lt?: string;
                    amountUSD_gt?: string;
                    amountUSD_not?: string;
                    amountUSD?: string;
                    amount1_not_in?: string[];
                    amount1_in?: string[];
                    amount1_lte?: string;
                    amount1_gte?: string;
                    amount1_lt?: string;
                    amount1_gt?: string;
                    amount1_not?: string;
                    amount1?: string;
                    amount0_not_in?: string[];
                    amount0_in?: string[];
                    amount0_lte?: string;
                    amount0_gte?: string;
                    amount0_lt?: string;
                    amount0_gt?: string;
                    amount0_not?: string;
                    amount0?: string;
                    recipient_not_contains?: `0x${string}`;
                    recipient_contains?: `0x${string}`;
                    recipient_not_in?: `0x${string}`[];
                    recipient_in?: `0x${string}`[];
                    recipient_lte?: `0x${string}`;
                    recipient_gte?: `0x${string}`;
                    recipient_lt?: `0x${string}`;
                    recipient_gt?: `0x${string}`;
                    recipient_not?: `0x${string}`;
                    recipient?: `0x${string}`;
                    sender_not_contains?: `0x${string}`;
                    sender_contains?: `0x${string}`;
                    sender_not_in?: `0x${string}`[];
                    sender_in?: `0x${string}`[];
                    sender_lte?: `0x${string}`;
                    sender_gte?: `0x${string}`;
                    sender_lt?: `0x${string}`;
                    sender_gt?: `0x${string}`;
                    sender_not?: `0x${string}`;
                    sender?: `0x${string}`;
                    pool_?: any;
                    pool_not_ends_with_nocase?: string;
                    pool_not_ends_with?: string;
                    pool_ends_with_nocase?: string;
                    pool_ends_with?: string;
                    pool_not_starts_with_nocase?: string;
                    pool_not_starts_with?: string;
                    pool_starts_with_nocase?: string;
                    pool_starts_with?: string;
                    pool_not_contains_nocase?: string;
                    pool_not_contains?: string;
                    pool_contains_nocase?: string;
                    pool_contains?: string;
                    pool_not_in?: string[];
                    pool_in?: string[];
                    pool_lte?: string;
                    pool_gte?: string;
                    pool_lt?: string;
                    pool_gt?: string;
                    pool_not?: string;
                    pool?: string;
                    timestamp_not_in?: string[];
                    timestamp_in?: string[];
                    timestamp_lte?: string;
                    timestamp_gte?: string;
                    timestamp_lt?: string;
                    timestamp_gt?: string;
                    timestamp_not?: string;
                    timestamp?: string;
                    transaction_?: any;
                    transaction_not_ends_with_nocase?: string;
                    transaction_not_ends_with?: string;
                    transaction_ends_with_nocase?: string;
                    transaction_ends_with?: string;
                    transaction_not_starts_with_nocase?: string;
                    transaction_not_starts_with?: string;
                    transaction_starts_with_nocase?: string;
                    transaction_starts_with?: string;
                    transaction_not_contains_nocase?: string;
                    transaction_not_contains?: string;
                    transaction_contains_nocase?: string;
                    transaction_contains?: string;
                    transaction_not_in?: string[];
                    transaction_in?: string[];
                    transaction_lte?: string;
                    transaction_gte?: string;
                    transaction_lt?: string;
                    transaction_gt?: string;
                    transaction_not?: string;
                    transaction?: string;
                    id_not_in?: string[];
                    id_in?: string[];
                    id_lte?: string;
                    id_gte?: string;
                    id_lt?: string;
                    id_gt?: string;
                    id_not?: string;
                    id?: string;
                };
                swaps_?: {
                    or?: any[];
                    and?: any[];
                    _change_block?: {
                        number_gte: number;
                    };
                    logIndex_not_in?: string[];
                    logIndex_in?: string[];
                    logIndex_lte?: string;
                    logIndex_gte?: string;
                    logIndex_lt?: string;
                    logIndex_gt?: string;
                    logIndex_not?: string;
                    logIndex?: string;
                    tick_not_in?: string[];
                    tick_in?: string[];
                    tick_lte?: string;
                    tick_gte?: string;
                    tick_lt?: string;
                    tick_gt?: string;
                    tick_not?: string;
                    tick?: string;
                    sqrtPriceX96_not_in?: string[];
                    sqrtPriceX96_in?: string[];
                    sqrtPriceX96_lte?: string;
                    sqrtPriceX96_gte?: string;
                    sqrtPriceX96_lt?: string;
                    sqrtPriceX96_gt?: string;
                    sqrtPriceX96_not?: string;
                    sqrtPriceX96?: string;
                    amountUSD_not_in?: string[];
                    amountUSD_in?: string[];
                    amountUSD_lte?: string;
                    amountUSD_gte?: string;
                    amountUSD_lt?: string;
                    amountUSD_gt?: string;
                    amountUSD_not?: string;
                    amountUSD?: string;
                    amount1_not_in?: string[];
                    amount1_in?: string[];
                    amount1_lte?: string;
                    amount1_gte?: string;
                    amount1_lt?: string;
                    amount1_gt?: string;
                    amount1_not?: string;
                    amount1?: string;
                    amount0_not_in?: string[];
                    amount0_in?: string[];
                    amount0_lte?: string;
                    amount0_gte?: string;
                    amount0_lt?: string;
                    amount0_gt?: string;
                    amount0_not?: string;
                    amount0?: string;
                    origin_not_contains?: `0x${string}`;
                    origin_contains?: `0x${string}`;
                    origin_not_in?: `0x${string}`[];
                    origin_in?: `0x${string}`[];
                    origin_lte?: `0x${string}`;
                    origin_gte?: `0x${string}`;
                    origin_lt?: `0x${string}`;
                    origin_gt?: `0x${string}`;
                    origin_not?: `0x${string}`;
                    origin?: `0x${string}`;
                    recipient_not_contains?: `0x${string}`;
                    recipient_contains?: `0x${string}`;
                    recipient_not_in?: `0x${string}`[];
                    recipient_in?: `0x${string}`[];
                    recipient_lte?: `0x${string}`;
                    recipient_gte?: `0x${string}`;
                    recipient_lt?: `0x${string}`;
                    recipient_gt?: `0x${string}`;
                    recipient_not?: `0x${string}`;
                    recipient?: `0x${string}`;
                    sender_not_contains?: `0x${string}`;
                    sender_contains?: `0x${string}`;
                    sender_not_in?: `0x${string}`[];
                    sender_in?: `0x${string}`[];
                    sender_lte?: `0x${string}`;
                    sender_gte?: `0x${string}`;
                    sender_lt?: `0x${string}`;
                    sender_gt?: `0x${string}`;
                    sender_not?: `0x${string}`;
                    sender?: `0x${string}`;
                    token1_?: {
                        or?: any[];
                        and?: any[];
                        _change_block?: {
                            number_gte: number;
                        };
                        tokenDayData_?: {
                            or?: any[];
                            and?: any[];
                            _change_block?: {
                                number_gte: number;
                            };
                            close_not_in?: string[];
                            close_in?: string[];
                            close_lte?: string;
                            close_gte?: string;
                            close_lt?: string;
                            close_gt?: string;
                            close_not?: string;
                            close?: string;
                            low_not_in?: string[];
                            low_in?: string[];
                            low_lte?: string;
                            low_gte?: string;
                            low_lt?: string;
                            low_gt?: string;
                            low_not?: string;
                            low?: string;
                            high_not_in?: string[];
                            high_in?: string[];
                            high_lte?: string;
                            high_gte?: string;
                            high_lt?: string;
                            high_gt?: string;
                            high_not?: string;
                            high?: string;
                            open_not_in?: string[];
                            open_in?: string[];
                            open_lte?: string;
                            open_gte?: string;
                            open_lt?: string;
                            open_gt?: string;
                            open_not?: string;
                            open?: string;
                            feesUSD_not_in?: string[];
                            feesUSD_in?: string[];
                            feesUSD_lte?: string;
                            feesUSD_gte?: string;
                            feesUSD_lt?: string;
                            feesUSD_gt?: string;
                            feesUSD_not?: string;
                            feesUSD?: string;
                            priceUSD_not_in?: string[];
                            priceUSD_in?: string[];
                            priceUSD_lte?: string;
                            priceUSD_gte?: string;
                            priceUSD_lt?: string;
                            priceUSD_gt?: string;
                            priceUSD_not?: string;
                            priceUSD?: string;
                            totalValueLockedUSD_not_in?: string[];
                            totalValueLockedUSD_in?: string[];
                            totalValueLockedUSD_lte?: string;
                            totalValueLockedUSD_gte?: string;
                            totalValueLockedUSD_lt?: string;
                            totalValueLockedUSD_gt?: string;
                            totalValueLockedUSD_not?: string;
                            totalValueLockedUSD?: string;
                            totalValueLocked_not_in?: string[];
                            totalValueLocked_in?: string[];
                            totalValueLocked_lte?: string;
                            totalValueLocked_gte?: string;
                            totalValueLocked_lt?: string;
                            totalValueLocked_gt?: string;
                            totalValueLocked_not?: string;
                            totalValueLocked?: string;
                            untrackedVolumeUSD_not_in?: string[];
                            untrackedVolumeUSD_in?: string[];
                            untrackedVolumeUSD_lte?: string;
                            untrackedVolumeUSD_gte?: string;
                            untrackedVolumeUSD_lt?: string;
                            untrackedVolumeUSD_gt?: string;
                            untrackedVolumeUSD_not?: string;
                            untrackedVolumeUSD?: string;
                            volumeUSD_not_in?: string[];
                            volumeUSD_in?: string[];
                            volumeUSD_lte?: string;
                            volumeUSD_gte?: string;
                            volumeUSD_lt?: string;
                            volumeUSD_gt?: string;
                            volumeUSD_not?: string;
                            volumeUSD?: string;
                            volume_not_in?: string[];
                            volume_in?: string[];
                            volume_lte?: string;
                            volume_gte?: string;
                            volume_lt?: string;
                            volume_gt?: string;
                            volume_not?: string;
                            volume?: string;
                            token_?: any;
                            token_not_ends_with_nocase?: string;
                            token_not_ends_with?: string;
                            token_ends_with_nocase?: string;
                            token_ends_with?: string;
                            token_not_starts_with_nocase?: string;
                            token_not_starts_with?: string;
                            token_starts_with_nocase?: string;
                            token_starts_with?: string;
                            token_not_contains_nocase?: string;
                            token_not_contains?: string;
                            token_contains_nocase?: string;
                            token_contains?: string;
                            token_not_in?: string[];
                            token_in?: string[];
                            token_lte?: string;
                            token_gte?: string;
                            token_lt?: string;
                            token_gt?: string;
                            token_not?: string;
                            token?: string;
                            date_not_in?: number[];
                            date_in?: number[];
                            date_lte?: number;
                            date_gte?: number;
                            date_lt?: number;
                            date_gt?: number;
                            date_not?: number;
                            date?: number;
                            id_not_in?: string[];
                            id_in?: string[];
                            id_lte?: string;
                            id_gte?: string;
                            id_lt?: string;
                            id_gt?: string;
                            id_not?: string;
                            id?: string;
                        };
                        whitelistPools_?: any;
                        whitelistPools_not_contains_nocase?: string[];
                        whitelistPools_not_contains?: string[];
                        whitelistPools_contains_nocase?: string[];
                        whitelistPools_contains?: string[];
                        whitelistPools_not?: string[];
                        whitelistPools?: string[];
                        derivedETH_not_in?: string[];
                        derivedETH_in?: string[];
                        derivedETH_lte?: string;
                        derivedETH_gte?: string;
                        derivedETH_lt?: string;
                        derivedETH_gt?: string;
                        derivedETH_not?: string;
                        derivedETH?: string;
                        totalValueLockedUSDUntracked_not_in?: string[];
                        totalValueLockedUSDUntracked_in?: string[];
                        totalValueLockedUSDUntracked_lte?: string;
                        totalValueLockedUSDUntracked_gte?: string;
                        totalValueLockedUSDUntracked_lt?: string;
                        totalValueLockedUSDUntracked_gt?: string;
                        totalValueLockedUSDUntracked_not?: string;
                        totalValueLockedUSDUntracked?: string;
                        totalValueLockedUSD_not_in?: string[];
                        totalValueLockedUSD_in?: string[];
                        totalValueLockedUSD_lte?: string;
                        totalValueLockedUSD_gte?: string;
                        totalValueLockedUSD_lt?: string;
                        totalValueLockedUSD_gt?: string;
                        totalValueLockedUSD_not?: string;
                        totalValueLockedUSD?: string;
                        totalValueLocked_not_in?: string[];
                        totalValueLocked_in?: string[];
                        totalValueLocked_lte?: string;
                        totalValueLocked_gte?: string;
                        totalValueLocked_lt?: string;
                        totalValueLocked_gt?: string;
                        totalValueLocked_not?: string;
                        totalValueLocked?: string;
                        poolCount_not_in?: string[];
                        poolCount_in?: string[];
                        poolCount_lte?: string;
                        poolCount_gte?: string;
                        poolCount_lt?: string;
                        poolCount_gt?: string;
                        poolCount_not?: string;
                        poolCount?: string;
                        txCount_not_in?: string[];
                        txCount_in?: string[];
                        txCount_lte?: string;
                        txCount_gte?: string;
                        txCount_lt?: string;
                        txCount_gt?: string;
                        txCount_not?: string;
                        txCount?: string;
                        feesUSD_not_in?: string[];
                        feesUSD_in?: string[];
                        feesUSD_lte?: string;
                        feesUSD_gte?: string;
                        feesUSD_lt?: string;
                        feesUSD_gt?: string;
                        feesUSD_not?: string;
                        feesUSD?: string;
                        untrackedVolumeUSD_not_in?: string[];
                        untrackedVolumeUSD_in?: string[];
                        untrackedVolumeUSD_lte?: string;
                        untrackedVolumeUSD_gte?: string;
                        untrackedVolumeUSD_lt?: string;
                        untrackedVolumeUSD_gt?: string;
                        untrackedVolumeUSD_not?: string;
                        untrackedVolumeUSD?: string;
                        volumeUSD_not_in?: string[];
                        volumeUSD_in?: string[];
                        volumeUSD_lte?: string;
                        volumeUSD_gte?: string;
                        volumeUSD_lt?: string;
                        volumeUSD_gt?: string;
                        volumeUSD_not?: string;
                        volumeUSD?: string;
                        volume_not_in?: string[];
                        volume_in?: string[];
                        volume_lte?: string;
                        volume_gte?: string;
                        volume_lt?: string;
                        volume_gt?: string;
                        volume_not?: string;
                        volume?: string;
                        totalSupply_not_in?: string[];
                        totalSupply_in?: string[];
                        totalSupply_lte?: string;
                        totalSupply_gte?: string;
                        totalSupply_lt?: string;
                        totalSupply_gt?: string;
                        totalSupply_not?: string;
                        totalSupply?: string;
                        decimals_not_in?: string[];
                        decimals_in?: string[];
                        decimals_lte?: string;
                        decimals_gte?: string;
                        decimals_lt?: string;
                        decimals_gt?: string;
                        decimals_not?: string;
                        decimals?: string;
                        name_not_ends_with_nocase?: string;
                        name_not_ends_with?: string;
                        name_ends_with_nocase?: string;
                        name_ends_with?: string;
                        name_not_starts_with_nocase?: string;
                        name_not_starts_with?: string;
                        name_starts_with_nocase?: string;
                        name_starts_with?: string;
                        name_not_contains_nocase?: string;
                        name_not_contains?: string;
                        name_contains_nocase?: string;
                        name_contains?: string;
                        name_not_in?: string[];
                        name_in?: string[];
                        name_lte?: string;
                        name_gte?: string;
                        name_lt?: string;
                        name_gt?: string;
                        name_not?: string;
                        name?: string;
                        symbol_not_ends_with_nocase?: string;
                        symbol_not_ends_with?: string;
                        symbol_ends_with_nocase?: string;
                        symbol_ends_with?: string;
                        symbol_not_starts_with_nocase?: string;
                        symbol_not_starts_with?: string;
                        symbol_starts_with_nocase?: string;
                        symbol_starts_with?: string;
                        symbol_not_contains_nocase?: string;
                        symbol_not_contains?: string;
                        symbol_contains_nocase?: string;
                        symbol_contains?: string;
                        symbol_not_in?: string[];
                        symbol_in?: string[];
                        symbol_lte?: string;
                        symbol_gte?: string;
                        symbol_lt?: string;
                        symbol_gt?: string;
                        symbol_not?: string;
                        symbol?: string;
                        id_not_in?: string[];
                        id_in?: string[];
                        id_lte?: string;
                        id_gte?: string;
                        id_lt?: string;
                        id_gt?: string;
                        id_not?: string;
                        id?: string;
                    };
                    token1_not_ends_with_nocase?: string;
                    token1_not_ends_with?: string;
                    token1_ends_with_nocase?: string;
                    token1_ends_with?: string;
                    token1_not_starts_with_nocase?: string;
                    token1_not_starts_with?: string;
                    token1_starts_with_nocase?: string;
                    token1_starts_with?: string;
                    token1_not_contains_nocase?: string;
                    token1_not_contains?: string;
                    token1_contains_nocase?: string;
                    token1_contains?: string;
                    token1_not_in?: string[];
                    token1_in?: string[];
                    token1_lte?: string;
                    token1_gte?: string;
                    token1_lt?: string;
                    token1_gt?: string;
                    token1_not?: string;
                    token1?: string;
                    token0_?: {
                        or?: any[];
                        and?: any[];
                        _change_block?: {
                            number_gte: number;
                        };
                        tokenDayData_?: {
                            or?: any[];
                            and?: any[];
                            _change_block?: {
                                number_gte: number;
                            };
                            close_not_in?: string[];
                            close_in?: string[];
                            close_lte?: string;
                            close_gte?: string;
                            close_lt?: string;
                            close_gt?: string;
                            close_not?: string;
                            close?: string;
                            low_not_in?: string[];
                            low_in?: string[];
                            low_lte?: string;
                            low_gte?: string;
                            low_lt?: string;
                            low_gt?: string;
                            low_not?: string;
                            low?: string;
                            high_not_in?: string[];
                            high_in?: string[];
                            high_lte?: string;
                            high_gte?: string;
                            high_lt?: string;
                            high_gt?: string;
                            high_not?: string;
                            high?: string;
                            open_not_in?: string[];
                            open_in?: string[];
                            open_lte?: string;
                            open_gte?: string;
                            open_lt?: string;
                            open_gt?: string;
                            open_not?: string;
                            open?: string;
                            feesUSD_not_in?: string[];
                            feesUSD_in?: string[];
                            feesUSD_lte?: string;
                            feesUSD_gte?: string;
                            feesUSD_lt?: string;
                            feesUSD_gt?: string;
                            feesUSD_not?: string;
                            feesUSD?: string;
                            priceUSD_not_in?: string[];
                            priceUSD_in?: string[];
                            priceUSD_lte?: string;
                            priceUSD_gte?: string;
                            priceUSD_lt?: string;
                            priceUSD_gt?: string;
                            priceUSD_not?: string;
                            priceUSD?: string;
                            totalValueLockedUSD_not_in?: string[];
                            totalValueLockedUSD_in?: string[];
                            totalValueLockedUSD_lte?: string;
                            totalValueLockedUSD_gte?: string;
                            totalValueLockedUSD_lt?: string;
                            totalValueLockedUSD_gt?: string;
                            totalValueLockedUSD_not?: string;
                            totalValueLockedUSD?: string;
                            totalValueLocked_not_in?: string[];
                            totalValueLocked_in?: string[];
                            totalValueLocked_lte?: string;
                            totalValueLocked_gte?: string;
                            totalValueLocked_lt?: string;
                            totalValueLocked_gt?: string;
                            totalValueLocked_not?: string;
                            totalValueLocked?: string;
                            untrackedVolumeUSD_not_in?: string[];
                            untrackedVolumeUSD_in?: string[];
                            untrackedVolumeUSD_lte?: string;
                            untrackedVolumeUSD_gte?: string;
                            untrackedVolumeUSD_lt?: string;
                            untrackedVolumeUSD_gt?: string;
                            untrackedVolumeUSD_not?: string;
                            untrackedVolumeUSD?: string;
                            volumeUSD_not_in?: string[];
                            volumeUSD_in?: string[];
                            volumeUSD_lte?: string;
                            volumeUSD_gte?: string;
                            volumeUSD_lt?: string;
                            volumeUSD_gt?: string;
                            volumeUSD_not?: string;
                            volumeUSD?: string;
                            volume_not_in?: string[];
                            volume_in?: string[];
                            volume_lte?: string;
                            volume_gte?: string;
                            volume_lt?: string;
                            volume_gt?: string;
                            volume_not?: string;
                            volume?: string;
                            token_?: any;
                            token_not_ends_with_nocase?: string;
                            token_not_ends_with?: string;
                            token_ends_with_nocase?: string;
                            token_ends_with?: string;
                            token_not_starts_with_nocase?: string;
                            token_not_starts_with?: string;
                            token_starts_with_nocase?: string;
                            token_starts_with?: string;
                            token_not_contains_nocase?: string;
                            token_not_contains?: string;
                            token_contains_nocase?: string;
                            token_contains?: string;
                            token_not_in?: string[];
                            token_in?: string[];
                            token_lte?: string;
                            token_gte?: string;
                            token_lt?: string;
                            token_gt?: string;
                            token_not?: string;
                            token?: string;
                            date_not_in?: number[];
                            date_in?: number[];
                            date_lte?: number;
                            date_gte?: number;
                            date_lt?: number;
                            date_gt?: number;
                            date_not?: number;
                            date?: number;
                            id_not_in?: string[];
                            id_in?: string[];
                            id_lte?: string;
                            id_gte?: string;
                            id_lt?: string;
                            id_gt?: string;
                            id_not?: string;
                            id?: string;
                        };
                        whitelistPools_?: any;
                        whitelistPools_not_contains_nocase?: string[];
                        whitelistPools_not_contains?: string[];
                        whitelistPools_contains_nocase?: string[];
                        whitelistPools_contains?: string[];
                        whitelistPools_not?: string[];
                        whitelistPools?: string[];
                        derivedETH_not_in?: string[];
                        derivedETH_in?: string[];
                        derivedETH_lte?: string;
                        derivedETH_gte?: string;
                        derivedETH_lt?: string;
                        derivedETH_gt?: string;
                        derivedETH_not?: string;
                        derivedETH?: string;
                        totalValueLockedUSDUntracked_not_in?: string[];
                        totalValueLockedUSDUntracked_in?: string[];
                        totalValueLockedUSDUntracked_lte?: string;
                        totalValueLockedUSDUntracked_gte?: string;
                        totalValueLockedUSDUntracked_lt?: string;
                        totalValueLockedUSDUntracked_gt?: string;
                        totalValueLockedUSDUntracked_not?: string;
                        totalValueLockedUSDUntracked?: string;
                        totalValueLockedUSD_not_in?: string[];
                        totalValueLockedUSD_in?: string[];
                        totalValueLockedUSD_lte?: string;
                        totalValueLockedUSD_gte?: string;
                        totalValueLockedUSD_lt?: string;
                        totalValueLockedUSD_gt?: string;
                        totalValueLockedUSD_not?: string;
                        totalValueLockedUSD?: string;
                        totalValueLocked_not_in?: string[];
                        totalValueLocked_in?: string[];
                        totalValueLocked_lte?: string;
                        totalValueLocked_gte?: string;
                        totalValueLocked_lt?: string;
                        totalValueLocked_gt?: string;
                        totalValueLocked_not?: string;
                        totalValueLocked?: string;
                        poolCount_not_in?: string[];
                        poolCount_in?: string[];
                        poolCount_lte?: string;
                        poolCount_gte?: string;
                        poolCount_lt?: string;
                        poolCount_gt?: string;
                        poolCount_not?: string;
                        poolCount?: string;
                        txCount_not_in?: string[];
                        txCount_in?: string[];
                        txCount_lte?: string;
                        txCount_gte?: string;
                        txCount_lt?: string;
                        txCount_gt?: string;
                        txCount_not?: string;
                        txCount?: string;
                        feesUSD_not_in?: string[];
                        feesUSD_in?: string[];
                        feesUSD_lte?: string;
                        feesUSD_gte?: string;
                        feesUSD_lt?: string;
                        feesUSD_gt?: string;
                        feesUSD_not?: string;
                        feesUSD?: string;
                        untrackedVolumeUSD_not_in?: string[];
                        untrackedVolumeUSD_in?: string[];
                        untrackedVolumeUSD_lte?: string;
                        untrackedVolumeUSD_gte?: string;
                        untrackedVolumeUSD_lt?: string;
                        untrackedVolumeUSD_gt?: string;
                        untrackedVolumeUSD_not?: string;
                        untrackedVolumeUSD?: string;
                        volumeUSD_not_in?: string[];
                        volumeUSD_in?: string[];
                        volumeUSD_lte?: string;
                        volumeUSD_gte?: string;
                        volumeUSD_lt?: string;
                        volumeUSD_gt?: string;
                        volumeUSD_not?: string;
                        volumeUSD?: string;
                        volume_not_in?: string[];
                        volume_in?: string[];
                        volume_lte?: string;
                        volume_gte?: string;
                        volume_lt?: string;
                        volume_gt?: string;
                        volume_not?: string;
                        volume?: string;
                        totalSupply_not_in?: string[];
                        totalSupply_in?: string[];
                        totalSupply_lte?: string;
                        totalSupply_gte?: string;
                        totalSupply_lt?: string;
                        totalSupply_gt?: string;
                        totalSupply_not?: string;
                        totalSupply?: string;
                        decimals_not_in?: string[];
                        decimals_in?: string[];
                        decimals_lte?: string;
                        decimals_gte?: string;
                        decimals_lt?: string;
                        decimals_gt?: string;
                        decimals_not?: string;
                        decimals?: string;
                        name_not_ends_with_nocase?: string;
                        name_not_ends_with?: string;
                        name_ends_with_nocase?: string;
                        name_ends_with?: string;
                        name_not_starts_with_nocase?: string;
                        name_not_starts_with?: string;
                        name_starts_with_nocase?: string;
                        name_starts_with?: string;
                        name_not_contains_nocase?: string;
                        name_not_contains?: string;
                        name_contains_nocase?: string;
                        name_contains?: string;
                        name_not_in?: string[];
                        name_in?: string[];
                        name_lte?: string;
                        name_gte?: string;
                        name_lt?: string;
                        name_gt?: string;
                        name_not?: string;
                        name?: string;
                        symbol_not_ends_with_nocase?: string;
                        symbol_not_ends_with?: string;
                        symbol_ends_with_nocase?: string;
                        symbol_ends_with?: string;
                        symbol_not_starts_with_nocase?: string;
                        symbol_not_starts_with?: string;
                        symbol_starts_with_nocase?: string;
                        symbol_starts_with?: string;
                        symbol_not_contains_nocase?: string;
                        symbol_not_contains?: string;
                        symbol_contains_nocase?: string;
                        symbol_contains?: string;
                        symbol_not_in?: string[];
                        symbol_in?: string[];
                        symbol_lte?: string;
                        symbol_gte?: string;
                        symbol_lt?: string;
                        symbol_gt?: string;
                        symbol_not?: string;
                        symbol?: string;
                        id_not_in?: string[];
                        id_in?: string[];
                        id_lte?: string;
                        id_gte?: string;
                        id_lt?: string;
                        id_gt?: string;
                        id_not?: string;
                        id?: string;
                    };
                    token0_not_ends_with_nocase?: string;
                    token0_not_ends_with?: string;
                    token0_ends_with_nocase?: string;
                    token0_ends_with?: string;
                    token0_not_starts_with_nocase?: string;
                    token0_not_starts_with?: string;
                    token0_starts_with_nocase?: string;
                    token0_starts_with?: string;
                    token0_not_contains_nocase?: string;
                    token0_not_contains?: string;
                    token0_contains_nocase?: string;
                    token0_contains?: string;
                    token0_not_in?: string[];
                    token0_in?: string[];
                    token0_lte?: string;
                    token0_gte?: string;
                    token0_lt?: string;
                    token0_gt?: string;
                    token0_not?: string;
                    token0?: string;
                    pool_?: any;
                    pool_not_ends_with_nocase?: string;
                    pool_not_ends_with?: string;
                    pool_ends_with_nocase?: string;
                    pool_ends_with?: string;
                    pool_not_starts_with_nocase?: string;
                    pool_not_starts_with?: string;
                    pool_starts_with_nocase?: string;
                    pool_starts_with?: string;
                    pool_not_contains_nocase?: string;
                    pool_not_contains?: string;
                    pool_contains_nocase?: string;
                    pool_contains?: string;
                    pool_not_in?: string[];
                    pool_in?: string[];
                    pool_lte?: string;
                    pool_gte?: string;
                    pool_lt?: string;
                    pool_gt?: string;
                    pool_not?: string;
                    pool?: string;
                    timestamp_not_in?: string[];
                    timestamp_in?: string[];
                    timestamp_lte?: string;
                    timestamp_gte?: string;
                    timestamp_lt?: string;
                    timestamp_gt?: string;
                    timestamp_not?: string;
                    timestamp?: string;
                    transaction_?: any;
                    transaction_not_ends_with_nocase?: string;
                    transaction_not_ends_with?: string;
                    transaction_ends_with_nocase?: string;
                    transaction_ends_with?: string;
                    transaction_not_starts_with_nocase?: string;
                    transaction_not_starts_with?: string;
                    transaction_starts_with_nocase?: string;
                    transaction_starts_with?: string;
                    transaction_not_contains_nocase?: string;
                    transaction_not_contains?: string;
                    transaction_contains_nocase?: string;
                    transaction_contains?: string;
                    transaction_not_in?: string[];
                    transaction_in?: string[];
                    transaction_lte?: string;
                    transaction_gte?: string;
                    transaction_lt?: string;
                    transaction_gt?: string;
                    transaction_not?: string;
                    transaction?: string;
                    id_not_in?: string[];
                    id_in?: string[];
                    id_lte?: string;
                    id_gte?: string;
                    id_lt?: string;
                    id_gt?: string;
                    id_not?: string;
                    id?: string;
                };
                burns_?: {
                    or?: any[];
                    and?: any[];
                    _change_block?: {
                        number_gte: number;
                    };
                    logIndex_not_in?: string[];
                    logIndex_in?: string[];
                    logIndex_lte?: string;
                    logIndex_gte?: string;
                    logIndex_lt?: string;
                    logIndex_gt?: string;
                    logIndex_not?: string;
                    logIndex?: string;
                    tickUpper_not_in?: string[];
                    tickUpper_in?: string[];
                    tickUpper_lte?: string;
                    tickUpper_gte?: string;
                    tickUpper_lt?: string;
                    tickUpper_gt?: string;
                    tickUpper_not?: string;
                    tickUpper?: string;
                    tickLower_not_in?: string[];
                    tickLower_in?: string[];
                    tickLower_lte?: string;
                    tickLower_gte?: string;
                    tickLower_lt?: string;
                    tickLower_gt?: string;
                    tickLower_not?: string;
                    tickLower?: string;
                    amountUSD_not_in?: string[];
                    amountUSD_in?: string[];
                    amountUSD_lte?: string;
                    amountUSD_gte?: string;
                    amountUSD_lt?: string;
                    amountUSD_gt?: string;
                    amountUSD_not?: string;
                    amountUSD?: string;
                    amount1_not_in?: string[];
                    amount1_in?: string[];
                    amount1_lte?: string;
                    amount1_gte?: string;
                    amount1_lt?: string;
                    amount1_gt?: string;
                    amount1_not?: string;
                    amount1?: string;
                    amount0_not_in?: string[];
                    amount0_in?: string[];
                    amount0_lte?: string;
                    amount0_gte?: string;
                    amount0_lt?: string;
                    amount0_gt?: string;
                    amount0_not?: string;
                    amount0?: string;
                    amount_not_in?: string[];
                    amount_in?: string[];
                    amount_lte?: string;
                    amount_gte?: string;
                    amount_lt?: string;
                    amount_gt?: string;
                    amount_not?: string;
                    amount?: string;
                    origin_not_contains?: `0x${string}`;
                    origin_contains?: `0x${string}`;
                    origin_not_in?: `0x${string}`[];
                    origin_in?: `0x${string}`[];
                    origin_lte?: `0x${string}`;
                    origin_gte?: `0x${string}`;
                    origin_lt?: `0x${string}`;
                    origin_gt?: `0x${string}`;
                    origin_not?: `0x${string}`;
                    origin?: `0x${string}`;
                    owner_not_contains?: `0x${string}`;
                    owner_contains?: `0x${string}`;
                    owner_not_in?: `0x${string}`[];
                    owner_in?: `0x${string}`[];
                    owner_lte?: `0x${string}`;
                    owner_gte?: `0x${string}`;
                    owner_lt?: `0x${string}`;
                    owner_gt?: `0x${string}`;
                    owner_not?: `0x${string}`;
                    owner?: `0x${string}`;
                    timestamp_not_in?: string[];
                    timestamp_in?: string[];
                    timestamp_lte?: string;
                    timestamp_gte?: string;
                    timestamp_lt?: string;
                    timestamp_gt?: string;
                    timestamp_not?: string;
                    timestamp?: string;
                    token1_?: {
                        or?: any[];
                        and?: any[];
                        _change_block?: {
                            number_gte: number;
                        };
                        tokenDayData_?: {
                            or?: any[];
                            and?: any[];
                            _change_block?: {
                                number_gte: number;
                            };
                            close_not_in?: string[];
                            close_in?: string[];
                            close_lte?: string;
                            close_gte?: string;
                            close_lt?: string;
                            close_gt?: string;
                            close_not?: string;
                            close?: string;
                            low_not_in?: string[];
                            low_in?: string[];
                            low_lte?: string;
                            low_gte?: string;
                            low_lt?: string;
                            low_gt?: string;
                            low_not?: string;
                            low?: string;
                            high_not_in?: string[];
                            high_in?: string[];
                            high_lte?: string;
                            high_gte?: string;
                            high_lt?: string;
                            high_gt?: string;
                            high_not?: string;
                            high?: string;
                            open_not_in?: string[];
                            open_in?: string[];
                            open_lte?: string;
                            open_gte?: string;
                            open_lt?: string;
                            open_gt?: string;
                            open_not?: string;
                            open?: string;
                            feesUSD_not_in?: string[];
                            feesUSD_in?: string[];
                            feesUSD_lte?: string;
                            feesUSD_gte?: string;
                            feesUSD_lt?: string;
                            feesUSD_gt?: string;
                            feesUSD_not?: string;
                            feesUSD?: string;
                            priceUSD_not_in?: string[];
                            priceUSD_in?: string[];
                            priceUSD_lte?: string;
                            priceUSD_gte?: string;
                            priceUSD_lt?: string;
                            priceUSD_gt?: string;
                            priceUSD_not?: string;
                            priceUSD?: string;
                            totalValueLockedUSD_not_in?: string[];
                            totalValueLockedUSD_in?: string[];
                            totalValueLockedUSD_lte?: string;
                            totalValueLockedUSD_gte?: string;
                            totalValueLockedUSD_lt?: string;
                            totalValueLockedUSD_gt?: string;
                            totalValueLockedUSD_not?: string;
                            totalValueLockedUSD?: string;
                            totalValueLocked_not_in?: string[];
                            totalValueLocked_in?: string[];
                            totalValueLocked_lte?: string;
                            totalValueLocked_gte?: string;
                            totalValueLocked_lt?: string;
                            totalValueLocked_gt?: string;
                            totalValueLocked_not?: string;
                            totalValueLocked?: string;
                            untrackedVolumeUSD_not_in?: string[];
                            untrackedVolumeUSD_in?: string[];
                            untrackedVolumeUSD_lte?: string;
                            untrackedVolumeUSD_gte?: string;
                            untrackedVolumeUSD_lt?: string;
                            untrackedVolumeUSD_gt?: string;
                            untrackedVolumeUSD_not?: string;
                            untrackedVolumeUSD?: string;
                            volumeUSD_not_in?: string[];
                            volumeUSD_in?: string[];
                            volumeUSD_lte?: string;
                            volumeUSD_gte?: string;
                            volumeUSD_lt?: string;
                            volumeUSD_gt?: string;
                            volumeUSD_not?: string;
                            volumeUSD?: string;
                            volume_not_in?: string[];
                            volume_in?: string[];
                            volume_lte?: string;
                            volume_gte?: string;
                            volume_lt?: string;
                            volume_gt?: string;
                            volume_not?: string;
                            volume?: string;
                            token_?: any;
                            token_not_ends_with_nocase?: string;
                            token_not_ends_with?: string;
                            token_ends_with_nocase?: string;
                            token_ends_with?: string;
                            token_not_starts_with_nocase?: string;
                            token_not_starts_with?: string;
                            token_starts_with_nocase?: string;
                            token_starts_with?: string;
                            token_not_contains_nocase?: string;
                            token_not_contains?: string;
                            token_contains_nocase?: string;
                            token_contains?: string;
                            token_not_in?: string[];
                            token_in?: string[];
                            token_lte?: string;
                            token_gte?: string;
                            token_lt?: string;
                            token_gt?: string;
                            token_not?: string;
                            token?: string;
                            date_not_in?: number[];
                            date_in?: number[];
                            date_lte?: number;
                            date_gte?: number;
                            date_lt?: number;
                            date_gt?: number;
                            date_not?: number;
                            date?: number;
                            id_not_in?: string[];
                            id_in?: string[];
                            id_lte?: string;
                            id_gte?: string;
                            id_lt?: string;
                            id_gt?: string;
                            id_not?: string;
                            id?: string;
                        };
                        whitelistPools_?: any;
                        whitelistPools_not_contains_nocase?: string[];
                        whitelistPools_not_contains?: string[];
                        whitelistPools_contains_nocase?: string[];
                        whitelistPools_contains?: string[];
                        whitelistPools_not?: string[];
                        whitelistPools?: string[];
                        derivedETH_not_in?: string[];
                        derivedETH_in?: string[];
                        derivedETH_lte?: string;
                        derivedETH_gte?: string;
                        derivedETH_lt?: string;
                        derivedETH_gt?: string;
                        derivedETH_not?: string;
                        derivedETH?: string;
                        totalValueLockedUSDUntracked_not_in?: string[];
                        totalValueLockedUSDUntracked_in?: string[];
                        totalValueLockedUSDUntracked_lte?: string;
                        totalValueLockedUSDUntracked_gte?: string;
                        totalValueLockedUSDUntracked_lt?: string;
                        totalValueLockedUSDUntracked_gt?: string;
                        totalValueLockedUSDUntracked_not?: string;
                        totalValueLockedUSDUntracked?: string;
                        totalValueLockedUSD_not_in?: string[];
                        totalValueLockedUSD_in?: string[];
                        totalValueLockedUSD_lte?: string;
                        totalValueLockedUSD_gte?: string;
                        totalValueLockedUSD_lt?: string;
                        totalValueLockedUSD_gt?: string;
                        totalValueLockedUSD_not?: string;
                        totalValueLockedUSD?: string;
                        totalValueLocked_not_in?: string[];
                        totalValueLocked_in?: string[];
                        totalValueLocked_lte?: string;
                        totalValueLocked_gte?: string;
                        totalValueLocked_lt?: string;
                        totalValueLocked_gt?: string;
                        totalValueLocked_not?: string;
                        totalValueLocked?: string;
                        poolCount_not_in?: string[];
                        poolCount_in?: string[];
                        poolCount_lte?: string;
                        poolCount_gte?: string;
                        poolCount_lt?: string;
                        poolCount_gt?: string;
                        poolCount_not?: string;
                        poolCount?: string;
                        txCount_not_in?: string[];
                        txCount_in?: string[];
                        txCount_lte?: string;
                        txCount_gte?: string;
                        txCount_lt?: string;
                        txCount_gt?: string;
                        txCount_not?: string;
                        txCount?: string;
                        feesUSD_not_in?: string[];
                        feesUSD_in?: string[];
                        feesUSD_lte?: string;
                        feesUSD_gte?: string;
                        feesUSD_lt?: string;
                        feesUSD_gt?: string;
                        feesUSD_not?: string;
                        feesUSD?: string;
                        untrackedVolumeUSD_not_in?: string[];
                        untrackedVolumeUSD_in?: string[];
                        untrackedVolumeUSD_lte?: string;
                        untrackedVolumeUSD_gte?: string;
                        untrackedVolumeUSD_lt?: string;
                        untrackedVolumeUSD_gt?: string;
                        untrackedVolumeUSD_not?: string;
                        untrackedVolumeUSD?: string;
                        volumeUSD_not_in?: string[];
                        volumeUSD_in?: string[];
                        volumeUSD_lte?: string;
                        volumeUSD_gte?: string;
                        volumeUSD_lt?: string;
                        volumeUSD_gt?: string;
                        volumeUSD_not?: string;
                        volumeUSD?: string;
                        volume_not_in?: string[];
                        volume_in?: string[];
                        volume_lte?: string;
                        volume_gte?: string;
                        volume_lt?: string;
                        volume_gt?: string;
                        volume_not?: string;
                        volume?: string;
                        totalSupply_not_in?: string[];
                        totalSupply_in?: string[];
                        totalSupply_lte?: string;
                        totalSupply_gte?: string;
                        totalSupply_lt?: string;
                        totalSupply_gt?: string;
                        totalSupply_not?: string;
                        totalSupply?: string;
                        decimals_not_in?: string[];
                        decimals_in?: string[];
                        decimals_lte?: string;
                        decimals_gte?: string;
                        decimals_lt?: string;
                        decimals_gt?: string;
                        decimals_not?: string;
                        decimals?: string;
                        name_not_ends_with_nocase?: string;
                        name_not_ends_with?: string;
                        name_ends_with_nocase?: string;
                        name_ends_with?: string;
                        name_not_starts_with_nocase?: string;
                        name_not_starts_with?: string;
                        name_starts_with_nocase?: string;
                        name_starts_with?: string;
                        name_not_contains_nocase?: string;
                        name_not_contains?: string;
                        name_contains_nocase?: string;
                        name_contains?: string;
                        name_not_in?: string[];
                        name_in?: string[];
                        name_lte?: string;
                        name_gte?: string;
                        name_lt?: string;
                        name_gt?: string;
                        name_not?: string;
                        name?: string;
                        symbol_not_ends_with_nocase?: string;
                        symbol_not_ends_with?: string;
                        symbol_ends_with_nocase?: string;
                        symbol_ends_with?: string;
                        symbol_not_starts_with_nocase?: string;
                        symbol_not_starts_with?: string;
                        symbol_starts_with_nocase?: string;
                        symbol_starts_with?: string;
                        symbol_not_contains_nocase?: string;
                        symbol_not_contains?: string;
                        symbol_contains_nocase?: string;
                        symbol_contains?: string;
                        symbol_not_in?: string[];
                        symbol_in?: string[];
                        symbol_lte?: string;
                        symbol_gte?: string;
                        symbol_lt?: string;
                        symbol_gt?: string;
                        symbol_not?: string;
                        symbol?: string;
                        id_not_in?: string[];
                        id_in?: string[];
                        id_lte?: string;
                        id_gte?: string;
                        id_lt?: string;
                        id_gt?: string;
                        id_not?: string;
                        id?: string;
                    };
                    token1_not_ends_with_nocase?: string;
                    token1_not_ends_with?: string;
                    token1_ends_with_nocase?: string;
                    token1_ends_with?: string;
                    token1_not_starts_with_nocase?: string;
                    token1_not_starts_with?: string;
                    token1_starts_with_nocase?: string;
                    token1_starts_with?: string;
                    token1_not_contains_nocase?: string;
                    token1_not_contains?: string;
                    token1_contains_nocase?: string;
                    token1_contains?: string;
                    token1_not_in?: string[];
                    token1_in?: string[];
                    token1_lte?: string;
                    token1_gte?: string;
                    token1_lt?: string;
                    token1_gt?: string;
                    token1_not?: string;
                    token1?: string;
                    token0_?: {
                        or?: any[];
                        and?: any[];
                        _change_block?: {
                            number_gte: number;
                        };
                        tokenDayData_?: {
                            or?: any[];
                            and?: any[];
                            _change_block?: {
                                number_gte: number;
                            };
                            close_not_in?: string[];
                            close_in?: string[];
                            close_lte?: string;
                            close_gte?: string;
                            close_lt?: string;
                            close_gt?: string;
                            close_not?: string;
                            close?: string;
                            low_not_in?: string[];
                            low_in?: string[];
                            low_lte?: string;
                            low_gte?: string;
                            low_lt?: string;
                            low_gt?: string;
                            low_not?: string;
                            low?: string;
                            high_not_in?: string[];
                            high_in?: string[];
                            high_lte?: string;
                            high_gte?: string;
                            high_lt?: string;
                            high_gt?: string;
                            high_not?: string;
                            high?: string;
                            open_not_in?: string[];
                            open_in?: string[];
                            open_lte?: string;
                            open_gte?: string;
                            open_lt?: string;
                            open_gt?: string;
                            open_not?: string;
                            open?: string;
                            feesUSD_not_in?: string[];
                            feesUSD_in?: string[];
                            feesUSD_lte?: string;
                            feesUSD_gte?: string;
                            feesUSD_lt?: string;
                            feesUSD_gt?: string;
                            feesUSD_not?: string;
                            feesUSD?: string;
                            priceUSD_not_in?: string[];
                            priceUSD_in?: string[];
                            priceUSD_lte?: string;
                            priceUSD_gte?: string;
                            priceUSD_lt?: string;
                            priceUSD_gt?: string;
                            priceUSD_not?: string;
                            priceUSD?: string;
                            totalValueLockedUSD_not_in?: string[];
                            totalValueLockedUSD_in?: string[];
                            totalValueLockedUSD_lte?: string;
                            totalValueLockedUSD_gte?: string;
                            totalValueLockedUSD_lt?: string;
                            totalValueLockedUSD_gt?: string;
                            totalValueLockedUSD_not?: string;
                            totalValueLockedUSD?: string;
                            totalValueLocked_not_in?: string[];
                            totalValueLocked_in?: string[];
                            totalValueLocked_lte?: string;
                            totalValueLocked_gte?: string;
                            totalValueLocked_lt?: string;
                            totalValueLocked_gt?: string;
                            totalValueLocked_not?: string;
                            totalValueLocked?: string;
                            untrackedVolumeUSD_not_in?: string[];
                            untrackedVolumeUSD_in?: string[];
                            untrackedVolumeUSD_lte?: string;
                            untrackedVolumeUSD_gte?: string;
                            untrackedVolumeUSD_lt?: string;
                            untrackedVolumeUSD_gt?: string;
                            untrackedVolumeUSD_not?: string;
                            untrackedVolumeUSD?: string;
                            volumeUSD_not_in?: string[];
                            volumeUSD_in?: string[];
                            volumeUSD_lte?: string;
                            volumeUSD_gte?: string;
                            volumeUSD_lt?: string;
                            volumeUSD_gt?: string;
                            volumeUSD_not?: string;
                            volumeUSD?: string;
                            volume_not_in?: string[];
                            volume_in?: string[];
                            volume_lte?: string;
                            volume_gte?: string;
                            volume_lt?: string;
                            volume_gt?: string;
                            volume_not?: string;
                            volume?: string;
                            token_?: any;
                            token_not_ends_with_nocase?: string;
                            token_not_ends_with?: string;
                            token_ends_with_nocase?: string;
                            token_ends_with?: string;
                            token_not_starts_with_nocase?: string;
                            token_not_starts_with?: string;
                            token_starts_with_nocase?: string;
                            token_starts_with?: string;
                            token_not_contains_nocase?: string;
                            token_not_contains?: string;
                            token_contains_nocase?: string;
                            token_contains?: string;
                            token_not_in?: string[];
                            token_in?: string[];
                            token_lte?: string;
                            token_gte?: string;
                            token_lt?: string;
                            token_gt?: string;
                            token_not?: string;
                            token?: string;
                            date_not_in?: number[];
                            date_in?: number[];
                            date_lte?: number;
                            date_gte?: number;
                            date_lt?: number;
                            date_gt?: number;
                            date_not?: number;
                            date?: number;
                            id_not_in?: string[];
                            id_in?: string[];
                            id_lte?: string;
                            id_gte?: string;
                            id_lt?: string;
                            id_gt?: string;
                            id_not?: string;
                            id?: string;
                        };
                        whitelistPools_?: any;
                        whitelistPools_not_contains_nocase?: string[];
                        whitelistPools_not_contains?: string[];
                        whitelistPools_contains_nocase?: string[];
                        whitelistPools_contains?: string[];
                        whitelistPools_not?: string[];
                        whitelistPools?: string[];
                        derivedETH_not_in?: string[];
                        derivedETH_in?: string[];
                        derivedETH_lte?: string;
                        derivedETH_gte?: string;
                        derivedETH_lt?: string;
                        derivedETH_gt?: string;
                        derivedETH_not?: string;
                        derivedETH?: string;
                        totalValueLockedUSDUntracked_not_in?: string[];
                        totalValueLockedUSDUntracked_in?: string[];
                        totalValueLockedUSDUntracked_lte?: string;
                        totalValueLockedUSDUntracked_gte?: string;
                        totalValueLockedUSDUntracked_lt?: string;
                        totalValueLockedUSDUntracked_gt?: string;
                        totalValueLockedUSDUntracked_not?: string;
                        totalValueLockedUSDUntracked?: string;
                        totalValueLockedUSD_not_in?: string[];
                        totalValueLockedUSD_in?: string[];
                        totalValueLockedUSD_lte?: string;
                        totalValueLockedUSD_gte?: string;
                        totalValueLockedUSD_lt?: string;
                        totalValueLockedUSD_gt?: string;
                        totalValueLockedUSD_not?: string;
                        totalValueLockedUSD?: string;
                        totalValueLocked_not_in?: string[];
                        totalValueLocked_in?: string[];
                        totalValueLocked_lte?: string;
                        totalValueLocked_gte?: string;
                        totalValueLocked_lt?: string;
                        totalValueLocked_gt?: string;
                        totalValueLocked_not?: string;
                        totalValueLocked?: string;
                        poolCount_not_in?: string[];
                        poolCount_in?: string[];
                        poolCount_lte?: string;
                        poolCount_gte?: string;
                        poolCount_lt?: string;
                        poolCount_gt?: string;
                        poolCount_not?: string;
                        poolCount?: string;
                        txCount_not_in?: string[];
                        txCount_in?: string[];
                        txCount_lte?: string;
                        txCount_gte?: string;
                        txCount_lt?: string;
                        txCount_gt?: string;
                        txCount_not?: string;
                        txCount?: string;
                        feesUSD_not_in?: string[];
                        feesUSD_in?: string[];
                        feesUSD_lte?: string;
                        feesUSD_gte?: string;
                        feesUSD_lt?: string;
                        feesUSD_gt?: string;
                        feesUSD_not?: string;
                        feesUSD?: string;
                        untrackedVolumeUSD_not_in?: string[];
                        untrackedVolumeUSD_in?: string[];
                        untrackedVolumeUSD_lte?: string;
                        untrackedVolumeUSD_gte?: string;
                        untrackedVolumeUSD_lt?: string;
                        untrackedVolumeUSD_gt?: string;
                        untrackedVolumeUSD_not?: string;
                        untrackedVolumeUSD?: string;
                        volumeUSD_not_in?: string[];
                        volumeUSD_in?: string[];
                        volumeUSD_lte?: string;
                        volumeUSD_gte?: string;
                        volumeUSD_lt?: string;
                        volumeUSD_gt?: string;
                        volumeUSD_not?: string;
                        volumeUSD?: string;
                        volume_not_in?: string[];
                        volume_in?: string[];
                        volume_lte?: string;
                        volume_gte?: string;
                        volume_lt?: string;
                        volume_gt?: string;
                        volume_not?: string;
                        volume?: string;
                        totalSupply_not_in?: string[];
                        totalSupply_in?: string[];
                        totalSupply_lte?: string;
                        totalSupply_gte?: string;
                        totalSupply_lt?: string;
                        totalSupply_gt?: string;
                        totalSupply_not?: string;
                        totalSupply?: string;
                        decimals_not_in?: string[];
                        decimals_in?: string[];
                        decimals_lte?: string;
                        decimals_gte?: string;
                        decimals_lt?: string;
                        decimals_gt?: string;
                        decimals_not?: string;
                        decimals?: string;
                        name_not_ends_with_nocase?: string;
                        name_not_ends_with?: string;
                        name_ends_with_nocase?: string;
                        name_ends_with?: string;
                        name_not_starts_with_nocase?: string;
                        name_not_starts_with?: string;
                        name_starts_with_nocase?: string;
                        name_starts_with?: string;
                        name_not_contains_nocase?: string;
                        name_not_contains?: string;
                        name_contains_nocase?: string;
                        name_contains?: string;
                        name_not_in?: string[];
                        name_in?: string[];
                        name_lte?: string;
                        name_gte?: string;
                        name_lt?: string;
                        name_gt?: string;
                        name_not?: string;
                        name?: string;
                        symbol_not_ends_with_nocase?: string;
                        symbol_not_ends_with?: string;
                        symbol_ends_with_nocase?: string;
                        symbol_ends_with?: string;
                        symbol_not_starts_with_nocase?: string;
                        symbol_not_starts_with?: string;
                        symbol_starts_with_nocase?: string;
                        symbol_starts_with?: string;
                        symbol_not_contains_nocase?: string;
                        symbol_not_contains?: string;
                        symbol_contains_nocase?: string;
                        symbol_contains?: string;
                        symbol_not_in?: string[];
                        symbol_in?: string[];
                        symbol_lte?: string;
                        symbol_gte?: string;
                        symbol_lt?: string;
                        symbol_gt?: string;
                        symbol_not?: string;
                        symbol?: string;
                        id_not_in?: string[];
                        id_in?: string[];
                        id_lte?: string;
                        id_gte?: string;
                        id_lt?: string;
                        id_gt?: string;
                        id_not?: string;
                        id?: string;
                    };
                    token0_not_ends_with_nocase?: string;
                    token0_not_ends_with?: string;
                    token0_ends_with_nocase?: string;
                    token0_ends_with?: string;
                    token0_not_starts_with_nocase?: string;
                    token0_not_starts_with?: string;
                    token0_starts_with_nocase?: string;
                    token0_starts_with?: string;
                    token0_not_contains_nocase?: string;
                    token0_not_contains?: string;
                    token0_contains_nocase?: string;
                    token0_contains?: string;
                    token0_not_in?: string[];
                    token0_in?: string[];
                    token0_lte?: string;
                    token0_gte?: string;
                    token0_lt?: string;
                    token0_gt?: string;
                    token0_not?: string;
                    token0?: string;
                    pool_?: any;
                    pool_not_ends_with_nocase?: string;
                    pool_not_ends_with?: string;
                    pool_ends_with_nocase?: string;
                    pool_ends_with?: string;
                    pool_not_starts_with_nocase?: string;
                    pool_not_starts_with?: string;
                    pool_starts_with_nocase?: string;
                    pool_starts_with?: string;
                    pool_not_contains_nocase?: string;
                    pool_not_contains?: string;
                    pool_contains_nocase?: string;
                    pool_contains?: string;
                    pool_not_in?: string[];
                    pool_in?: string[];
                    pool_lte?: string;
                    pool_gte?: string;
                    pool_lt?: string;
                    pool_gt?: string;
                    pool_not?: string;
                    pool?: string;
                    transaction_?: any;
                    transaction_not_ends_with_nocase?: string;
                    transaction_not_ends_with?: string;
                    transaction_ends_with_nocase?: string;
                    transaction_ends_with?: string;
                    transaction_not_starts_with_nocase?: string;
                    transaction_not_starts_with?: string;
                    transaction_starts_with_nocase?: string;
                    transaction_starts_with?: string;
                    transaction_not_contains_nocase?: string;
                    transaction_not_contains?: string;
                    transaction_contains_nocase?: string;
                    transaction_contains?: string;
                    transaction_not_in?: string[];
                    transaction_in?: string[];
                    transaction_lte?: string;
                    transaction_gte?: string;
                    transaction_lt?: string;
                    transaction_gt?: string;
                    transaction_not?: string;
                    transaction?: string;
                    id_not_in?: string[];
                    id_in?: string[];
                    id_lte?: string;
                    id_gte?: string;
                    id_lt?: string;
                    id_gt?: string;
                    id_not?: string;
                    id?: string;
                };
                mints_?: {
                    or?: any[];
                    and?: any[];
                    _change_block?: {
                        number_gte: number;
                    };
                    logIndex_not_in?: string[];
                    logIndex_in?: string[];
                    logIndex_lte?: string;
                    logIndex_gte?: string;
                    logIndex_lt?: string;
                    logIndex_gt?: string;
                    logIndex_not?: string;
                    logIndex?: string;
                    tickUpper_not_in?: string[];
                    tickUpper_in?: string[];
                    tickUpper_lte?: string;
                    tickUpper_gte?: string;
                    tickUpper_lt?: string;
                    tickUpper_gt?: string;
                    tickUpper_not?: string;
                    tickUpper?: string;
                    tickLower_not_in?: string[];
                    tickLower_in?: string[];
                    tickLower_lte?: string;
                    tickLower_gte?: string;
                    tickLower_lt?: string;
                    tickLower_gt?: string;
                    tickLower_not?: string;
                    tickLower?: string;
                    amountUSD_not_in?: string[];
                    amountUSD_in?: string[];
                    amountUSD_lte?: string;
                    amountUSD_gte?: string;
                    amountUSD_lt?: string;
                    amountUSD_gt?: string;
                    amountUSD_not?: string;
                    amountUSD?: string;
                    amount1_not_in?: string[];
                    amount1_in?: string[];
                    amount1_lte?: string;
                    amount1_gte?: string;
                    amount1_lt?: string;
                    amount1_gt?: string;
                    amount1_not?: string;
                    amount1?: string;
                    amount0_not_in?: string[];
                    amount0_in?: string[];
                    amount0_lte?: string;
                    amount0_gte?: string;
                    amount0_lt?: string;
                    amount0_gt?: string;
                    amount0_not?: string;
                    amount0?: string;
                    amount_not_in?: string[];
                    amount_in?: string[];
                    amount_lte?: string;
                    amount_gte?: string;
                    amount_lt?: string;
                    amount_gt?: string;
                    amount_not?: string;
                    amount?: string;
                    origin_not_contains?: `0x${string}`;
                    origin_contains?: `0x${string}`;
                    origin_not_in?: `0x${string}`[];
                    origin_in?: `0x${string}`[];
                    origin_lte?: `0x${string}`;
                    origin_gte?: `0x${string}`;
                    origin_lt?: `0x${string}`;
                    origin_gt?: `0x${string}`;
                    origin_not?: `0x${string}`;
                    origin?: `0x${string}`;
                    sender_not_contains?: `0x${string}`;
                    sender_contains?: `0x${string}`;
                    sender_not_in?: `0x${string}`[];
                    sender_in?: `0x${string}`[];
                    sender_lte?: `0x${string}`;
                    sender_gte?: `0x${string}`;
                    sender_lt?: `0x${string}`;
                    sender_gt?: `0x${string}`;
                    sender_not?: `0x${string}`;
                    sender?: `0x${string}`;
                    owner_not_contains?: `0x${string}`;
                    owner_contains?: `0x${string}`;
                    owner_not_in?: `0x${string}`[];
                    owner_in?: `0x${string}`[];
                    owner_lte?: `0x${string}`;
                    owner_gte?: `0x${string}`;
                    owner_lt?: `0x${string}`;
                    owner_gt?: `0x${string}`;
                    owner_not?: `0x${string}`;
                    owner?: `0x${string}`;
                    token1_?: {
                        or?: any[];
                        and?: any[];
                        _change_block?: {
                            number_gte: number;
                        };
                        tokenDayData_?: {
                            or?: any[];
                            and?: any[];
                            _change_block?: {
                                number_gte: number;
                            };
                            close_not_in?: string[];
                            close_in?: string[];
                            close_lte?: string;
                            close_gte?: string;
                            close_lt?: string;
                            close_gt?: string;
                            close_not?: string;
                            close?: string;
                            low_not_in?: string[];
                            low_in?: string[];
                            low_lte?: string;
                            low_gte?: string;
                            low_lt?: string;
                            low_gt?: string;
                            low_not?: string;
                            low?: string;
                            high_not_in?: string[];
                            high_in?: string[];
                            high_lte?: string;
                            high_gte?: string;
                            high_lt?: string;
                            high_gt?: string;
                            high_not?: string;
                            high?: string;
                            open_not_in?: string[];
                            open_in?: string[];
                            open_lte?: string;
                            open_gte?: string;
                            open_lt?: string;
                            open_gt?: string;
                            open_not?: string;
                            open?: string;
                            feesUSD_not_in?: string[];
                            feesUSD_in?: string[];
                            feesUSD_lte?: string;
                            feesUSD_gte?: string;
                            feesUSD_lt?: string;
                            feesUSD_gt?: string;
                            feesUSD_not?: string;
                            feesUSD?: string;
                            priceUSD_not_in?: string[];
                            priceUSD_in?: string[];
                            priceUSD_lte?: string;
                            priceUSD_gte?: string;
                            priceUSD_lt?: string;
                            priceUSD_gt?: string;
                            priceUSD_not?: string;
                            priceUSD?: string;
                            totalValueLockedUSD_not_in?: string[];
                            totalValueLockedUSD_in?: string[];
                            totalValueLockedUSD_lte?: string;
                            totalValueLockedUSD_gte?: string;
                            totalValueLockedUSD_lt?: string;
                            totalValueLockedUSD_gt?: string;
                            totalValueLockedUSD_not?: string;
                            totalValueLockedUSD?: string;
                            totalValueLocked_not_in?: string[];
                            totalValueLocked_in?: string[];
                            totalValueLocked_lte?: string;
                            totalValueLocked_gte?: string;
                            totalValueLocked_lt?: string;
                            totalValueLocked_gt?: string;
                            totalValueLocked_not?: string;
                            totalValueLocked?: string;
                            untrackedVolumeUSD_not_in?: string[];
                            untrackedVolumeUSD_in?: string[];
                            untrackedVolumeUSD_lte?: string;
                            untrackedVolumeUSD_gte?: string;
                            untrackedVolumeUSD_lt?: string;
                            untrackedVolumeUSD_gt?: string;
                            untrackedVolumeUSD_not?: string;
                            untrackedVolumeUSD?: string;
                            volumeUSD_not_in?: string[];
                            volumeUSD_in?: string[];
                            volumeUSD_lte?: string;
                            volumeUSD_gte?: string;
                            volumeUSD_lt?: string;
                            volumeUSD_gt?: string;
                            volumeUSD_not?: string;
                            volumeUSD?: string;
                            volume_not_in?: string[];
                            volume_in?: string[];
                            volume_lte?: string;
                            volume_gte?: string;
                            volume_lt?: string;
                            volume_gt?: string;
                            volume_not?: string;
                            volume?: string;
                            token_?: any;
                            token_not_ends_with_nocase?: string;
                            token_not_ends_with?: string;
                            token_ends_with_nocase?: string;
                            token_ends_with?: string;
                            token_not_starts_with_nocase?: string;
                            token_not_starts_with?: string;
                            token_starts_with_nocase?: string;
                            token_starts_with?: string;
                            token_not_contains_nocase?: string;
                            token_not_contains?: string;
                            token_contains_nocase?: string;
                            token_contains?: string;
                            token_not_in?: string[];
                            token_in?: string[];
                            token_lte?: string;
                            token_gte?: string;
                            token_lt?: string;
                            token_gt?: string;
                            token_not?: string;
                            token?: string;
                            date_not_in?: number[];
                            date_in?: number[];
                            date_lte?: number;
                            date_gte?: number;
                            date_lt?: number;
                            date_gt?: number;
                            date_not?: number;
                            date?: number;
                            id_not_in?: string[];
                            id_in?: string[];
                            id_lte?: string;
                            id_gte?: string;
                            id_lt?: string;
                            id_gt?: string;
                            id_not?: string;
                            id?: string;
                        };
                        whitelistPools_?: any;
                        whitelistPools_not_contains_nocase?: string[];
                        whitelistPools_not_contains?: string[];
                        whitelistPools_contains_nocase?: string[];
                        whitelistPools_contains?: string[];
                        whitelistPools_not?: string[];
                        whitelistPools?: string[];
                        derivedETH_not_in?: string[];
                        derivedETH_in?: string[];
                        derivedETH_lte?: string;
                        derivedETH_gte?: string;
                        derivedETH_lt?: string;
                        derivedETH_gt?: string;
                        derivedETH_not?: string;
                        derivedETH?: string;
                        totalValueLockedUSDUntracked_not_in?: string[];
                        totalValueLockedUSDUntracked_in?: string[];
                        totalValueLockedUSDUntracked_lte?: string;
                        totalValueLockedUSDUntracked_gte?: string;
                        totalValueLockedUSDUntracked_lt?: string;
                        totalValueLockedUSDUntracked_gt?: string;
                        totalValueLockedUSDUntracked_not?: string;
                        totalValueLockedUSDUntracked?: string;
                        totalValueLockedUSD_not_in?: string[];
                        totalValueLockedUSD_in?: string[];
                        totalValueLockedUSD_lte?: string;
                        totalValueLockedUSD_gte?: string;
                        totalValueLockedUSD_lt?: string;
                        totalValueLockedUSD_gt?: string;
                        totalValueLockedUSD_not?: string;
                        totalValueLockedUSD?: string;
                        totalValueLocked_not_in?: string[];
                        totalValueLocked_in?: string[];
                        totalValueLocked_lte?: string;
                        totalValueLocked_gte?: string;
                        totalValueLocked_lt?: string;
                        totalValueLocked_gt?: string;
                        totalValueLocked_not?: string;
                        totalValueLocked?: string;
                        poolCount_not_in?: string[];
                        poolCount_in?: string[];
                        poolCount_lte?: string;
                        poolCount_gte?: string;
                        poolCount_lt?: string;
                        poolCount_gt?: string;
                        poolCount_not?: string;
                        poolCount?: string;
                        txCount_not_in?: string[];
                        txCount_in?: string[];
                        txCount_lte?: string;
                        txCount_gte?: string;
                        txCount_lt?: string;
                        txCount_gt?: string;
                        txCount_not?: string;
                        txCount?: string;
                        feesUSD_not_in?: string[];
                        feesUSD_in?: string[];
                        feesUSD_lte?: string;
                        feesUSD_gte?: string;
                        feesUSD_lt?: string;
                        feesUSD_gt?: string;
                        feesUSD_not?: string;
                        feesUSD?: string;
                        untrackedVolumeUSD_not_in?: string[];
                        untrackedVolumeUSD_in?: string[];
                        untrackedVolumeUSD_lte?: string;
                        untrackedVolumeUSD_gte?: string;
                        untrackedVolumeUSD_lt?: string;
                        untrackedVolumeUSD_gt?: string;
                        untrackedVolumeUSD_not?: string;
                        untrackedVolumeUSD?: string;
                        volumeUSD_not_in?: string[];
                        volumeUSD_in?: string[];
                        volumeUSD_lte?: string;
                        volumeUSD_gte?: string;
                        volumeUSD_lt?: string;
                        volumeUSD_gt?: string;
                        volumeUSD_not?: string;
                        volumeUSD?: string;
                        volume_not_in?: string[];
                        volume_in?: string[];
                        volume_lte?: string;
                        volume_gte?: string;
                        volume_lt?: string;
                        volume_gt?: string;
                        volume_not?: string;
                        volume?: string;
                        totalSupply_not_in?: string[];
                        totalSupply_in?: string[];
                        totalSupply_lte?: string;
                        totalSupply_gte?: string;
                        totalSupply_lt?: string;
                        totalSupply_gt?: string;
                        totalSupply_not?: string;
                        totalSupply?: string;
                        decimals_not_in?: string[];
                        decimals_in?: string[];
                        decimals_lte?: string;
                        decimals_gte?: string;
                        decimals_lt?: string;
                        decimals_gt?: string;
                        decimals_not?: string;
                        decimals?: string;
                        name_not_ends_with_nocase?: string;
                        name_not_ends_with?: string;
                        name_ends_with_nocase?: string;
                        name_ends_with?: string;
                        name_not_starts_with_nocase?: string;
                        name_not_starts_with?: string;
                        name_starts_with_nocase?: string;
                        name_starts_with?: string;
                        name_not_contains_nocase?: string;
                        name_not_contains?: string;
                        name_contains_nocase?: string;
                        name_contains?: string;
                        name_not_in?: string[];
                        name_in?: string[];
                        name_lte?: string;
                        name_gte?: string;
                        name_lt?: string;
                        name_gt?: string;
                        name_not?: string;
                        name?: string;
                        symbol_not_ends_with_nocase?: string;
                        symbol_not_ends_with?: string;
                        symbol_ends_with_nocase?: string;
                        symbol_ends_with?: string;
                        symbol_not_starts_with_nocase?: string;
                        symbol_not_starts_with?: string;
                        symbol_starts_with_nocase?: string;
                        symbol_starts_with?: string;
                        symbol_not_contains_nocase?: string;
                        symbol_not_contains?: string;
                        symbol_contains_nocase?: string;
                        symbol_contains?: string;
                        symbol_not_in?: string[];
                        symbol_in?: string[];
                        symbol_lte?: string;
                        symbol_gte?: string;
                        symbol_lt?: string;
                        symbol_gt?: string;
                        symbol_not?: string;
                        symbol?: string;
                        id_not_in?: string[];
                        id_in?: string[];
                        id_lte?: string;
                        id_gte?: string;
                        id_lt?: string;
                        id_gt?: string;
                        id_not?: string;
                        id?: string;
                    };
                    token1_not_ends_with_nocase?: string;
                    token1_not_ends_with?: string;
                    token1_ends_with_nocase?: string;
                    token1_ends_with?: string;
                    token1_not_starts_with_nocase?: string;
                    token1_not_starts_with?: string;
                    token1_starts_with_nocase?: string;
                    token1_starts_with?: string;
                    token1_not_contains_nocase?: string;
                    token1_not_contains?: string;
                    token1_contains_nocase?: string;
                    token1_contains?: string;
                    token1_not_in?: string[];
                    token1_in?: string[];
                    token1_lte?: string;
                    token1_gte?: string;
                    token1_lt?: string;
                    token1_gt?: string;
                    token1_not?: string;
                    token1?: string;
                    token0_?: {
                        or?: any[];
                        and?: any[];
                        _change_block?: {
                            number_gte: number;
                        };
                        tokenDayData_?: {
                            or?: any[];
                            and?: any[];
                            _change_block?: {
                                number_gte: number;
                            };
                            close_not_in?: string[];
                            close_in?: string[];
                            close_lte?: string;
                            close_gte?: string;
                            close_lt?: string;
                            close_gt?: string;
                            close_not?: string;
                            close?: string;
                            low_not_in?: string[];
                            low_in?: string[];
                            low_lte?: string;
                            low_gte?: string;
                            low_lt?: string;
                            low_gt?: string;
                            low_not?: string;
                            low?: string;
                            high_not_in?: string[];
                            high_in?: string[];
                            high_lte?: string;
                            high_gte?: string;
                            high_lt?: string;
                            high_gt?: string;
                            high_not?: string;
                            high?: string;
                            open_not_in?: string[];
                            open_in?: string[];
                            open_lte?: string;
                            open_gte?: string;
                            open_lt?: string;
                            open_gt?: string;
                            open_not?: string;
                            open?: string;
                            feesUSD_not_in?: string[];
                            feesUSD_in?: string[];
                            feesUSD_lte?: string;
                            feesUSD_gte?: string;
                            feesUSD_lt?: string;
                            feesUSD_gt?: string;
                            feesUSD_not?: string;
                            feesUSD?: string;
                            priceUSD_not_in?: string[];
                            priceUSD_in?: string[];
                            priceUSD_lte?: string;
                            priceUSD_gte?: string;
                            priceUSD_lt?: string;
                            priceUSD_gt?: string;
                            priceUSD_not?: string;
                            priceUSD?: string;
                            totalValueLockedUSD_not_in?: string[];
                            totalValueLockedUSD_in?: string[];
                            totalValueLockedUSD_lte?: string;
                            totalValueLockedUSD_gte?: string;
                            totalValueLockedUSD_lt?: string;
                            totalValueLockedUSD_gt?: string;
                            totalValueLockedUSD_not?: string;
                            totalValueLockedUSD?: string;
                            totalValueLocked_not_in?: string[];
                            totalValueLocked_in?: string[];
                            totalValueLocked_lte?: string;
                            totalValueLocked_gte?: string;
                            totalValueLocked_lt?: string;
                            totalValueLocked_gt?: string;
                            totalValueLocked_not?: string;
                            totalValueLocked?: string;
                            untrackedVolumeUSD_not_in?: string[];
                            untrackedVolumeUSD_in?: string[];
                            untrackedVolumeUSD_lte?: string;
                            untrackedVolumeUSD_gte?: string;
                            untrackedVolumeUSD_lt?: string;
                            untrackedVolumeUSD_gt?: string;
                            untrackedVolumeUSD_not?: string;
                            untrackedVolumeUSD?: string;
                            volumeUSD_not_in?: string[];
                            volumeUSD_in?: string[];
                            volumeUSD_lte?: string;
                            volumeUSD_gte?: string;
                            volumeUSD_lt?: string;
                            volumeUSD_gt?: string;
                            volumeUSD_not?: string;
                            volumeUSD?: string;
                            volume_not_in?: string[];
                            volume_in?: string[];
                            volume_lte?: string;
                            volume_gte?: string;
                            volume_lt?: string;
                            volume_gt?: string;
                            volume_not?: string;
                            volume?: string;
                            token_?: any;
                            token_not_ends_with_nocase?: string;
                            token_not_ends_with?: string;
                            token_ends_with_nocase?: string;
                            token_ends_with?: string;
                            token_not_starts_with_nocase?: string;
                            token_not_starts_with?: string;
                            token_starts_with_nocase?: string;
                            token_starts_with?: string;
                            token_not_contains_nocase?: string;
                            token_not_contains?: string;
                            token_contains_nocase?: string;
                            token_contains?: string;
                            token_not_in?: string[];
                            token_in?: string[];
                            token_lte?: string;
                            token_gte?: string;
                            token_lt?: string;
                            token_gt?: string;
                            token_not?: string;
                            token?: string;
                            date_not_in?: number[];
                            date_in?: number[];
                            date_lte?: number;
                            date_gte?: number;
                            date_lt?: number;
                            date_gt?: number;
                            date_not?: number;
                            date?: number;
                            id_not_in?: string[];
                            id_in?: string[];
                            id_lte?: string;
                            id_gte?: string;
                            id_lt?: string;
                            id_gt?: string;
                            id_not?: string;
                            id?: string;
                        };
                        whitelistPools_?: any;
                        whitelistPools_not_contains_nocase?: string[];
                        whitelistPools_not_contains?: string[];
                        whitelistPools_contains_nocase?: string[];
                        whitelistPools_contains?: string[];
                        whitelistPools_not?: string[];
                        whitelistPools?: string[];
                        derivedETH_not_in?: string[];
                        derivedETH_in?: string[];
                        derivedETH_lte?: string;
                        derivedETH_gte?: string;
                        derivedETH_lt?: string;
                        derivedETH_gt?: string;
                        derivedETH_not?: string;
                        derivedETH?: string;
                        totalValueLockedUSDUntracked_not_in?: string[];
                        totalValueLockedUSDUntracked_in?: string[];
                        totalValueLockedUSDUntracked_lte?: string;
                        totalValueLockedUSDUntracked_gte?: string;
                        totalValueLockedUSDUntracked_lt?: string;
                        totalValueLockedUSDUntracked_gt?: string;
                        totalValueLockedUSDUntracked_not?: string;
                        totalValueLockedUSDUntracked?: string;
                        totalValueLockedUSD_not_in?: string[];
                        totalValueLockedUSD_in?: string[];
                        totalValueLockedUSD_lte?: string;
                        totalValueLockedUSD_gte?: string;
                        totalValueLockedUSD_lt?: string;
                        totalValueLockedUSD_gt?: string;
                        totalValueLockedUSD_not?: string;
                        totalValueLockedUSD?: string;
                        totalValueLocked_not_in?: string[];
                        totalValueLocked_in?: string[];
                        totalValueLocked_lte?: string;
                        totalValueLocked_gte?: string;
                        totalValueLocked_lt?: string;
                        totalValueLocked_gt?: string;
                        totalValueLocked_not?: string;
                        totalValueLocked?: string;
                        poolCount_not_in?: string[];
                        poolCount_in?: string[];
                        poolCount_lte?: string;
                        poolCount_gte?: string;
                        poolCount_lt?: string;
                        poolCount_gt?: string;
                        poolCount_not?: string;
                        poolCount?: string;
                        txCount_not_in?: string[];
                        txCount_in?: string[];
                        txCount_lte?: string;
                        txCount_gte?: string;
                        txCount_lt?: string;
                        txCount_gt?: string;
                        txCount_not?: string;
                        txCount?: string;
                        feesUSD_not_in?: string[];
                        feesUSD_in?: string[];
                        feesUSD_lte?: string;
                        feesUSD_gte?: string;
                        feesUSD_lt?: string;
                        feesUSD_gt?: string;
                        feesUSD_not?: string;
                        feesUSD?: string;
                        untrackedVolumeUSD_not_in?: string[];
                        untrackedVolumeUSD_in?: string[];
                        untrackedVolumeUSD_lte?: string;
                        untrackedVolumeUSD_gte?: string;
                        untrackedVolumeUSD_lt?: string;
                        untrackedVolumeUSD_gt?: string;
                        untrackedVolumeUSD_not?: string;
                        untrackedVolumeUSD?: string;
                        volumeUSD_not_in?: string[];
                        volumeUSD_in?: string[];
                        volumeUSD_lte?: string;
                        volumeUSD_gte?: string;
                        volumeUSD_lt?: string;
                        volumeUSD_gt?: string;
                        volumeUSD_not?: string;
                        volumeUSD?: string;
                        volume_not_in?: string[];
                        volume_in?: string[];
                        volume_lte?: string;
                        volume_gte?: string;
                        volume_lt?: string;
                        volume_gt?: string;
                        volume_not?: string;
                        volume?: string;
                        totalSupply_not_in?: string[];
                        totalSupply_in?: string[];
                        totalSupply_lte?: string;
                        totalSupply_gte?: string;
                        totalSupply_lt?: string;
                        totalSupply_gt?: string;
                        totalSupply_not?: string;
                        totalSupply?: string;
                        decimals_not_in?: string[];
                        decimals_in?: string[];
                        decimals_lte?: string;
                        decimals_gte?: string;
                        decimals_lt?: string;
                        decimals_gt?: string;
                        decimals_not?: string;
                        decimals?: string;
                        name_not_ends_with_nocase?: string;
                        name_not_ends_with?: string;
                        name_ends_with_nocase?: string;
                        name_ends_with?: string;
                        name_not_starts_with_nocase?: string;
                        name_not_starts_with?: string;
                        name_starts_with_nocase?: string;
                        name_starts_with?: string;
                        name_not_contains_nocase?: string;
                        name_not_contains?: string;
                        name_contains_nocase?: string;
                        name_contains?: string;
                        name_not_in?: string[];
                        name_in?: string[];
                        name_lte?: string;
                        name_gte?: string;
                        name_lt?: string;
                        name_gt?: string;
                        name_not?: string;
                        name?: string;
                        symbol_not_ends_with_nocase?: string;
                        symbol_not_ends_with?: string;
                        symbol_ends_with_nocase?: string;
                        symbol_ends_with?: string;
                        symbol_not_starts_with_nocase?: string;
                        symbol_not_starts_with?: string;
                        symbol_starts_with_nocase?: string;
                        symbol_starts_with?: string;
                        symbol_not_contains_nocase?: string;
                        symbol_not_contains?: string;
                        symbol_contains_nocase?: string;
                        symbol_contains?: string;
                        symbol_not_in?: string[];
                        symbol_in?: string[];
                        symbol_lte?: string;
                        symbol_gte?: string;
                        symbol_lt?: string;
                        symbol_gt?: string;
                        symbol_not?: string;
                        symbol?: string;
                        id_not_in?: string[];
                        id_in?: string[];
                        id_lte?: string;
                        id_gte?: string;
                        id_lt?: string;
                        id_gt?: string;
                        id_not?: string;
                        id?: string;
                    };
                    token0_not_ends_with_nocase?: string;
                    token0_not_ends_with?: string;
                    token0_ends_with_nocase?: string;
                    token0_ends_with?: string;
                    token0_not_starts_with_nocase?: string;
                    token0_not_starts_with?: string;
                    token0_starts_with_nocase?: string;
                    token0_starts_with?: string;
                    token0_not_contains_nocase?: string;
                    token0_not_contains?: string;
                    token0_contains_nocase?: string;
                    token0_contains?: string;
                    token0_not_in?: string[];
                    token0_in?: string[];
                    token0_lte?: string;
                    token0_gte?: string;
                    token0_lt?: string;
                    token0_gt?: string;
                    token0_not?: string;
                    token0?: string;
                    pool_?: any;
                    pool_not_ends_with_nocase?: string;
                    pool_not_ends_with?: string;
                    pool_ends_with_nocase?: string;
                    pool_ends_with?: string;
                    pool_not_starts_with_nocase?: string;
                    pool_not_starts_with?: string;
                    pool_starts_with_nocase?: string;
                    pool_starts_with?: string;
                    pool_not_contains_nocase?: string;
                    pool_not_contains?: string;
                    pool_contains_nocase?: string;
                    pool_contains?: string;
                    pool_not_in?: string[];
                    pool_in?: string[];
                    pool_lte?: string;
                    pool_gte?: string;
                    pool_lt?: string;
                    pool_gt?: string;
                    pool_not?: string;
                    pool?: string;
                    timestamp_not_in?: string[];
                    timestamp_in?: string[];
                    timestamp_lte?: string;
                    timestamp_gte?: string;
                    timestamp_lt?: string;
                    timestamp_gt?: string;
                    timestamp_not?: string;
                    timestamp?: string;
                    transaction_?: any;
                    transaction_not_ends_with_nocase?: string;
                    transaction_not_ends_with?: string;
                    transaction_ends_with_nocase?: string;
                    transaction_ends_with?: string;
                    transaction_not_starts_with_nocase?: string;
                    transaction_not_starts_with?: string;
                    transaction_starts_with_nocase?: string;
                    transaction_starts_with?: string;
                    transaction_not_contains_nocase?: string;
                    transaction_not_contains?: string;
                    transaction_contains_nocase?: string;
                    transaction_contains?: string;
                    transaction_not_in?: string[];
                    transaction_in?: string[];
                    transaction_lte?: string;
                    transaction_gte?: string;
                    transaction_lt?: string;
                    transaction_gt?: string;
                    transaction_not?: string;
                    transaction?: string;
                    id_not_in?: string[];
                    id_in?: string[];
                    id_lte?: string;
                    id_gte?: string;
                    id_lt?: string;
                    id_gt?: string;
                    id_not?: string;
                    id?: string;
                };
                gasPrice_not_in?: string[];
                gasPrice_in?: string[];
                gasPrice_lte?: string;
                gasPrice_gte?: string;
                gasPrice_lt?: string;
                gasPrice_gt?: string;
                gasPrice_not?: string;
                gasPrice?: string;
                gasUsed_not_in?: string[];
                gasUsed_in?: string[];
                gasUsed_lte?: string;
                gasUsed_gte?: string;
                gasUsed_lt?: string;
                gasUsed_gt?: string;
                gasUsed_not?: string;
                gasUsed?: string;
                timestamp_not_in?: string[];
                timestamp_in?: string[];
                timestamp_lte?: string;
                timestamp_gte?: string;
                timestamp_lt?: string;
                timestamp_gt?: string;
                timestamp_not?: string;
                timestamp?: string;
                blockNumber_not_in?: string[];
                blockNumber_in?: string[];
                blockNumber_lte?: string;
                blockNumber_gte?: string;
                blockNumber_lt?: string;
                blockNumber_gt?: string;
                blockNumber_not?: string;
                blockNumber?: string;
                id_not_in?: string[];
                id_in?: string[];
                id_lte?: string;
                id_gte?: string;
                id_lt?: string;
                id_gt?: string;
                id_not?: string;
                id?: string;
            };
            transaction_not_ends_with_nocase?: string;
            transaction_not_ends_with?: string;
            transaction_ends_with_nocase?: string;
            transaction_ends_with?: string;
            transaction_not_starts_with_nocase?: string;
            transaction_not_starts_with?: string;
            transaction_starts_with_nocase?: string;
            transaction_starts_with?: string;
            transaction_not_contains_nocase?: string;
            transaction_not_contains?: string;
            transaction_contains_nocase?: string;
            transaction_contains?: string;
            transaction_not_in?: string[];
            transaction_in?: string[];
            transaction_lte?: string;
            transaction_gte?: string;
            transaction_lt?: string;
            transaction_gt?: string;
            transaction_not?: string;
            transaction?: string;
            id_not_in?: string[];
            id_in?: string[];
            id_lte?: string;
            id_gte?: string;
            id_lt?: string;
            id_gt?: string;
            id_not?: string;
            id?: string;
        };
        swaps_?: {
            or?: any[];
            and?: any[];
            _change_block?: {
                number_gte: number;
            };
            logIndex_not_in?: string[];
            logIndex_in?: string[];
            logIndex_lte?: string;
            logIndex_gte?: string;
            logIndex_lt?: string;
            logIndex_gt?: string;
            logIndex_not?: string;
            logIndex?: string;
            tick_not_in?: string[];
            tick_in?: string[];
            tick_lte?: string;
            tick_gte?: string;
            tick_lt?: string;
            tick_gt?: string;
            tick_not?: string;
            tick?: string;
            sqrtPriceX96_not_in?: string[];
            sqrtPriceX96_in?: string[];
            sqrtPriceX96_lte?: string;
            sqrtPriceX96_gte?: string;
            sqrtPriceX96_lt?: string;
            sqrtPriceX96_gt?: string;
            sqrtPriceX96_not?: string;
            sqrtPriceX96?: string;
            amountUSD_not_in?: string[];
            amountUSD_in?: string[];
            amountUSD_lte?: string;
            amountUSD_gte?: string;
            amountUSD_lt?: string;
            amountUSD_gt?: string;
            amountUSD_not?: string;
            amountUSD?: string;
            amount1_not_in?: string[];
            amount1_in?: string[];
            amount1_lte?: string;
            amount1_gte?: string;
            amount1_lt?: string;
            amount1_gt?: string;
            amount1_not?: string;
            amount1?: string;
            amount0_not_in?: string[];
            amount0_in?: string[];
            amount0_lte?: string;
            amount0_gte?: string;
            amount0_lt?: string;
            amount0_gt?: string;
            amount0_not?: string;
            amount0?: string;
            origin_not_contains?: `0x${string}`;
            origin_contains?: `0x${string}`;
            origin_not_in?: `0x${string}`[];
            origin_in?: `0x${string}`[];
            origin_lte?: `0x${string}`;
            origin_gte?: `0x${string}`;
            origin_lt?: `0x${string}`;
            origin_gt?: `0x${string}`;
            origin_not?: `0x${string}`;
            origin?: `0x${string}`;
            recipient_not_contains?: `0x${string}`;
            recipient_contains?: `0x${string}`;
            recipient_not_in?: `0x${string}`[];
            recipient_in?: `0x${string}`[];
            recipient_lte?: `0x${string}`;
            recipient_gte?: `0x${string}`;
            recipient_lt?: `0x${string}`;
            recipient_gt?: `0x${string}`;
            recipient_not?: `0x${string}`;
            recipient?: `0x${string}`;
            sender_not_contains?: `0x${string}`;
            sender_contains?: `0x${string}`;
            sender_not_in?: `0x${string}`[];
            sender_in?: `0x${string}`[];
            sender_lte?: `0x${string}`;
            sender_gte?: `0x${string}`;
            sender_lt?: `0x${string}`;
            sender_gt?: `0x${string}`;
            sender_not?: `0x${string}`;
            sender?: `0x${string}`;
            token1_?: {
                or?: any[];
                and?: any[];
                _change_block?: {
                    number_gte: number;
                };
                tokenDayData_?: {
                    or?: any[];
                    and?: any[];
                    _change_block?: {
                        number_gte: number;
                    };
                    close_not_in?: string[];
                    close_in?: string[];
                    close_lte?: string;
                    close_gte?: string;
                    close_lt?: string;
                    close_gt?: string;
                    close_not?: string;
                    close?: string;
                    low_not_in?: string[];
                    low_in?: string[];
                    low_lte?: string;
                    low_gte?: string;
                    low_lt?: string;
                    low_gt?: string;
                    low_not?: string;
                    low?: string;
                    high_not_in?: string[];
                    high_in?: string[];
                    high_lte?: string;
                    high_gte?: string;
                    high_lt?: string;
                    high_gt?: string;
                    high_not?: string;
                    high?: string;
                    open_not_in?: string[];
                    open_in?: string[];
                    open_lte?: string;
                    open_gte?: string;
                    open_lt?: string;
                    open_gt?: string;
                    open_not?: string;
                    open?: string;
                    feesUSD_not_in?: string[];
                    feesUSD_in?: string[];
                    feesUSD_lte?: string;
                    feesUSD_gte?: string;
                    feesUSD_lt?: string;
                    feesUSD_gt?: string;
                    feesUSD_not?: string;
                    feesUSD?: string;
                    priceUSD_not_in?: string[];
                    priceUSD_in?: string[];
                    priceUSD_lte?: string;
                    priceUSD_gte?: string;
                    priceUSD_lt?: string;
                    priceUSD_gt?: string;
                    priceUSD_not?: string;
                    priceUSD?: string;
                    totalValueLockedUSD_not_in?: string[];
                    totalValueLockedUSD_in?: string[];
                    totalValueLockedUSD_lte?: string;
                    totalValueLockedUSD_gte?: string;
                    totalValueLockedUSD_lt?: string;
                    totalValueLockedUSD_gt?: string;
                    totalValueLockedUSD_not?: string;
                    totalValueLockedUSD?: string;
                    totalValueLocked_not_in?: string[];
                    totalValueLocked_in?: string[];
                    totalValueLocked_lte?: string;
                    totalValueLocked_gte?: string;
                    totalValueLocked_lt?: string;
                    totalValueLocked_gt?: string;
                    totalValueLocked_not?: string;
                    totalValueLocked?: string;
                    untrackedVolumeUSD_not_in?: string[];
                    untrackedVolumeUSD_in?: string[];
                    untrackedVolumeUSD_lte?: string;
                    untrackedVolumeUSD_gte?: string;
                    untrackedVolumeUSD_lt?: string;
                    untrackedVolumeUSD_gt?: string;
                    untrackedVolumeUSD_not?: string;
                    untrackedVolumeUSD?: string;
                    volumeUSD_not_in?: string[];
                    volumeUSD_in?: string[];
                    volumeUSD_lte?: string;
                    volumeUSD_gte?: string;
                    volumeUSD_lt?: string;
                    volumeUSD_gt?: string;
                    volumeUSD_not?: string;
                    volumeUSD?: string;
                    volume_not_in?: string[];
                    volume_in?: string[];
                    volume_lte?: string;
                    volume_gte?: string;
                    volume_lt?: string;
                    volume_gt?: string;
                    volume_not?: string;
                    volume?: string;
                    token_?: any;
                    token_not_ends_with_nocase?: string;
                    token_not_ends_with?: string;
                    token_ends_with_nocase?: string;
                    token_ends_with?: string;
                    token_not_starts_with_nocase?: string;
                    token_not_starts_with?: string;
                    token_starts_with_nocase?: string;
                    token_starts_with?: string;
                    token_not_contains_nocase?: string;
                    token_not_contains?: string;
                    token_contains_nocase?: string;
                    token_contains?: string;
                    token_not_in?: string[];
                    token_in?: string[];
                    token_lte?: string;
                    token_gte?: string;
                    token_lt?: string;
                    token_gt?: string;
                    token_not?: string;
                    token?: string;
                    date_not_in?: number[];
                    date_in?: number[];
                    date_lte?: number;
                    date_gte?: number;
                    date_lt?: number;
                    date_gt?: number;
                    date_not?: number;
                    date?: number;
                    id_not_in?: string[];
                    id_in?: string[];
                    id_lte?: string;
                    id_gte?: string;
                    id_lt?: string;
                    id_gt?: string;
                    id_not?: string;
                    id?: string;
                };
                whitelistPools_?: any;
                whitelistPools_not_contains_nocase?: string[];
                whitelistPools_not_contains?: string[];
                whitelistPools_contains_nocase?: string[];
                whitelistPools_contains?: string[];
                whitelistPools_not?: string[];
                whitelistPools?: string[];
                derivedETH_not_in?: string[];
                derivedETH_in?: string[];
                derivedETH_lte?: string;
                derivedETH_gte?: string;
                derivedETH_lt?: string;
                derivedETH_gt?: string;
                derivedETH_not?: string;
                derivedETH?: string;
                totalValueLockedUSDUntracked_not_in?: string[];
                totalValueLockedUSDUntracked_in?: string[];
                totalValueLockedUSDUntracked_lte?: string;
                totalValueLockedUSDUntracked_gte?: string;
                totalValueLockedUSDUntracked_lt?: string;
                totalValueLockedUSDUntracked_gt?: string;
                totalValueLockedUSDUntracked_not?: string;
                totalValueLockedUSDUntracked?: string;
                totalValueLockedUSD_not_in?: string[];
                totalValueLockedUSD_in?: string[];
                totalValueLockedUSD_lte?: string;
                totalValueLockedUSD_gte?: string;
                totalValueLockedUSD_lt?: string;
                totalValueLockedUSD_gt?: string;
                totalValueLockedUSD_not?: string;
                totalValueLockedUSD?: string;
                totalValueLocked_not_in?: string[];
                totalValueLocked_in?: string[];
                totalValueLocked_lte?: string;
                totalValueLocked_gte?: string;
                totalValueLocked_lt?: string;
                totalValueLocked_gt?: string;
                totalValueLocked_not?: string;
                totalValueLocked?: string;
                poolCount_not_in?: string[];
                poolCount_in?: string[];
                poolCount_lte?: string;
                poolCount_gte?: string;
                poolCount_lt?: string;
                poolCount_gt?: string;
                poolCount_not?: string;
                poolCount?: string;
                txCount_not_in?: string[];
                txCount_in?: string[];
                txCount_lte?: string;
                txCount_gte?: string;
                txCount_lt?: string;
                txCount_gt?: string;
                txCount_not?: string;
                txCount?: string;
                feesUSD_not_in?: string[];
                feesUSD_in?: string[];
                feesUSD_lte?: string;
                feesUSD_gte?: string;
                feesUSD_lt?: string;
                feesUSD_gt?: string;
                feesUSD_not?: string;
                feesUSD?: string;
                untrackedVolumeUSD_not_in?: string[];
                untrackedVolumeUSD_in?: string[];
                untrackedVolumeUSD_lte?: string;
                untrackedVolumeUSD_gte?: string;
                untrackedVolumeUSD_lt?: string;
                untrackedVolumeUSD_gt?: string;
                untrackedVolumeUSD_not?: string;
                untrackedVolumeUSD?: string;
                volumeUSD_not_in?: string[];
                volumeUSD_in?: string[];
                volumeUSD_lte?: string;
                volumeUSD_gte?: string;
                volumeUSD_lt?: string;
                volumeUSD_gt?: string;
                volumeUSD_not?: string;
                volumeUSD?: string;
                volume_not_in?: string[];
                volume_in?: string[];
                volume_lte?: string;
                volume_gte?: string;
                volume_lt?: string;
                volume_gt?: string;
                volume_not?: string;
                volume?: string;
                totalSupply_not_in?: string[];
                totalSupply_in?: string[];
                totalSupply_lte?: string;
                totalSupply_gte?: string;
                totalSupply_lt?: string;
                totalSupply_gt?: string;
                totalSupply_not?: string;
                totalSupply?: string;
                decimals_not_in?: string[];
                decimals_in?: string[];
                decimals_lte?: string;
                decimals_gte?: string;
                decimals_lt?: string;
                decimals_gt?: string;
                decimals_not?: string;
                decimals?: string;
                name_not_ends_with_nocase?: string;
                name_not_ends_with?: string;
                name_ends_with_nocase?: string;
                name_ends_with?: string;
                name_not_starts_with_nocase?: string;
                name_not_starts_with?: string;
                name_starts_with_nocase?: string;
                name_starts_with?: string;
                name_not_contains_nocase?: string;
                name_not_contains?: string;
                name_contains_nocase?: string;
                name_contains?: string;
                name_not_in?: string[];
                name_in?: string[];
                name_lte?: string;
                name_gte?: string;
                name_lt?: string;
                name_gt?: string;
                name_not?: string;
                name?: string;
                symbol_not_ends_with_nocase?: string;
                symbol_not_ends_with?: string;
                symbol_ends_with_nocase?: string;
                symbol_ends_with?: string;
                symbol_not_starts_with_nocase?: string;
                symbol_not_starts_with?: string;
                symbol_starts_with_nocase?: string;
                symbol_starts_with?: string;
                symbol_not_contains_nocase?: string;
                symbol_not_contains?: string;
                symbol_contains_nocase?: string;
                symbol_contains?: string;
                symbol_not_in?: string[];
                symbol_in?: string[];
                symbol_lte?: string;
                symbol_gte?: string;
                symbol_lt?: string;
                symbol_gt?: string;
                symbol_not?: string;
                symbol?: string;
                id_not_in?: string[];
                id_in?: string[];
                id_lte?: string;
                id_gte?: string;
                id_lt?: string;
                id_gt?: string;
                id_not?: string;
                id?: string;
            };
            token1_not_ends_with_nocase?: string;
            token1_not_ends_with?: string;
            token1_ends_with_nocase?: string;
            token1_ends_with?: string;
            token1_not_starts_with_nocase?: string;
            token1_not_starts_with?: string;
            token1_starts_with_nocase?: string;
            token1_starts_with?: string;
            token1_not_contains_nocase?: string;
            token1_not_contains?: string;
            token1_contains_nocase?: string;
            token1_contains?: string;
            token1_not_in?: string[];
            token1_in?: string[];
            token1_lte?: string;
            token1_gte?: string;
            token1_lt?: string;
            token1_gt?: string;
            token1_not?: string;
            token1?: string;
            token0_?: {
                or?: any[];
                and?: any[];
                _change_block?: {
                    number_gte: number;
                };
                tokenDayData_?: {
                    or?: any[];
                    and?: any[];
                    _change_block?: {
                        number_gte: number;
                    };
                    close_not_in?: string[];
                    close_in?: string[];
                    close_lte?: string;
                    close_gte?: string;
                    close_lt?: string;
                    close_gt?: string;
                    close_not?: string;
                    close?: string;
                    low_not_in?: string[];
                    low_in?: string[];
                    low_lte?: string;
                    low_gte?: string;
                    low_lt?: string;
                    low_gt?: string;
                    low_not?: string;
                    low?: string;
                    high_not_in?: string[];
                    high_in?: string[];
                    high_lte?: string;
                    high_gte?: string;
                    high_lt?: string;
                    high_gt?: string;
                    high_not?: string;
                    high?: string;
                    open_not_in?: string[];
                    open_in?: string[];
                    open_lte?: string;
                    open_gte?: string;
                    open_lt?: string;
                    open_gt?: string;
                    open_not?: string;
                    open?: string;
                    feesUSD_not_in?: string[];
                    feesUSD_in?: string[];
                    feesUSD_lte?: string;
                    feesUSD_gte?: string;
                    feesUSD_lt?: string;
                    feesUSD_gt?: string;
                    feesUSD_not?: string;
                    feesUSD?: string;
                    priceUSD_not_in?: string[];
                    priceUSD_in?: string[];
                    priceUSD_lte?: string;
                    priceUSD_gte?: string;
                    priceUSD_lt?: string;
                    priceUSD_gt?: string;
                    priceUSD_not?: string;
                    priceUSD?: string;
                    totalValueLockedUSD_not_in?: string[];
                    totalValueLockedUSD_in?: string[];
                    totalValueLockedUSD_lte?: string;
                    totalValueLockedUSD_gte?: string;
                    totalValueLockedUSD_lt?: string;
                    totalValueLockedUSD_gt?: string;
                    totalValueLockedUSD_not?: string;
                    totalValueLockedUSD?: string;
                    totalValueLocked_not_in?: string[];
                    totalValueLocked_in?: string[];
                    totalValueLocked_lte?: string;
                    totalValueLocked_gte?: string;
                    totalValueLocked_lt?: string;
                    totalValueLocked_gt?: string;
                    totalValueLocked_not?: string;
                    totalValueLocked?: string;
                    untrackedVolumeUSD_not_in?: string[];
                    untrackedVolumeUSD_in?: string[];
                    untrackedVolumeUSD_lte?: string;
                    untrackedVolumeUSD_gte?: string;
                    untrackedVolumeUSD_lt?: string;
                    untrackedVolumeUSD_gt?: string;
                    untrackedVolumeUSD_not?: string;
                    untrackedVolumeUSD?: string;
                    volumeUSD_not_in?: string[];
                    volumeUSD_in?: string[];
                    volumeUSD_lte?: string;
                    volumeUSD_gte?: string;
                    volumeUSD_lt?: string;
                    volumeUSD_gt?: string;
                    volumeUSD_not?: string;
                    volumeUSD?: string;
                    volume_not_in?: string[];
                    volume_in?: string[];
                    volume_lte?: string;
                    volume_gte?: string;
                    volume_lt?: string;
                    volume_gt?: string;
                    volume_not?: string;
                    volume?: string;
                    token_?: any;
                    token_not_ends_with_nocase?: string;
                    token_not_ends_with?: string;
                    token_ends_with_nocase?: string;
                    token_ends_with?: string;
                    token_not_starts_with_nocase?: string;
                    token_not_starts_with?: string;
                    token_starts_with_nocase?: string;
                    token_starts_with?: string;
                    token_not_contains_nocase?: string;
                    token_not_contains?: string;
                    token_contains_nocase?: string;
                    token_contains?: string;
                    token_not_in?: string[];
                    token_in?: string[];
                    token_lte?: string;
                    token_gte?: string;
                    token_lt?: string;
                    token_gt?: string;
                    token_not?: string;
                    token?: string;
                    date_not_in?: number[];
                    date_in?: number[];
                    date_lte?: number;
                    date_gte?: number;
                    date_lt?: number;
                    date_gt?: number;
                    date_not?: number;
                    date?: number;
                    id_not_in?: string[];
                    id_in?: string[];
                    id_lte?: string;
                    id_gte?: string;
                    id_lt?: string;
                    id_gt?: string;
                    id_not?: string;
                    id?: string;
                };
                whitelistPools_?: any;
                whitelistPools_not_contains_nocase?: string[];
                whitelistPools_not_contains?: string[];
                whitelistPools_contains_nocase?: string[];
                whitelistPools_contains?: string[];
                whitelistPools_not?: string[];
                whitelistPools?: string[];
                derivedETH_not_in?: string[];
                derivedETH_in?: string[];
                derivedETH_lte?: string;
                derivedETH_gte?: string;
                derivedETH_lt?: string;
                derivedETH_gt?: string;
                derivedETH_not?: string;
                derivedETH?: string;
                totalValueLockedUSDUntracked_not_in?: string[];
                totalValueLockedUSDUntracked_in?: string[];
                totalValueLockedUSDUntracked_lte?: string;
                totalValueLockedUSDUntracked_gte?: string;
                totalValueLockedUSDUntracked_lt?: string;
                totalValueLockedUSDUntracked_gt?: string;
                totalValueLockedUSDUntracked_not?: string;
                totalValueLockedUSDUntracked?: string;
                totalValueLockedUSD_not_in?: string[];
                totalValueLockedUSD_in?: string[];
                totalValueLockedUSD_lte?: string;
                totalValueLockedUSD_gte?: string;
                totalValueLockedUSD_lt?: string;
                totalValueLockedUSD_gt?: string;
                totalValueLockedUSD_not?: string;
                totalValueLockedUSD?: string;
                totalValueLocked_not_in?: string[];
                totalValueLocked_in?: string[];
                totalValueLocked_lte?: string;
                totalValueLocked_gte?: string;
                totalValueLocked_lt?: string;
                totalValueLocked_gt?: string;
                totalValueLocked_not?: string;
                totalValueLocked?: string;
                poolCount_not_in?: string[];
                poolCount_in?: string[];
                poolCount_lte?: string;
                poolCount_gte?: string;
                poolCount_lt?: string;
                poolCount_gt?: string;
                poolCount_not?: string;
                poolCount?: string;
                txCount_not_in?: string[];
                txCount_in?: string[];
                txCount_lte?: string;
                txCount_gte?: string;
                txCount_lt?: string;
                txCount_gt?: string;
                txCount_not?: string;
                txCount?: string;
                feesUSD_not_in?: string[];
                feesUSD_in?: string[];
                feesUSD_lte?: string;
                feesUSD_gte?: string;
                feesUSD_lt?: string;
                feesUSD_gt?: string;
                feesUSD_not?: string;
                feesUSD?: string;
                untrackedVolumeUSD_not_in?: string[];
                untrackedVolumeUSD_in?: string[];
                untrackedVolumeUSD_lte?: string;
                untrackedVolumeUSD_gte?: string;
                untrackedVolumeUSD_lt?: string;
                untrackedVolumeUSD_gt?: string;
                untrackedVolumeUSD_not?: string;
                untrackedVolumeUSD?: string;
                volumeUSD_not_in?: string[];
                volumeUSD_in?: string[];
                volumeUSD_lte?: string;
                volumeUSD_gte?: string;
                volumeUSD_lt?: string;
                volumeUSD_gt?: string;
                volumeUSD_not?: string;
                volumeUSD?: string;
                volume_not_in?: string[];
                volume_in?: string[];
                volume_lte?: string;
                volume_gte?: string;
                volume_lt?: string;
                volume_gt?: string;
                volume_not?: string;
                volume?: string;
                totalSupply_not_in?: string[];
                totalSupply_in?: string[];
                totalSupply_lte?: string;
                totalSupply_gte?: string;
                totalSupply_lt?: string;
                totalSupply_gt?: string;
                totalSupply_not?: string;
                totalSupply?: string;
                decimals_not_in?: string[];
                decimals_in?: string[];
                decimals_lte?: string;
                decimals_gte?: string;
                decimals_lt?: string;
                decimals_gt?: string;
                decimals_not?: string;
                decimals?: string;
                name_not_ends_with_nocase?: string;
                name_not_ends_with?: string;
                name_ends_with_nocase?: string;
                name_ends_with?: string;
                name_not_starts_with_nocase?: string;
                name_not_starts_with?: string;
                name_starts_with_nocase?: string;
                name_starts_with?: string;
                name_not_contains_nocase?: string;
                name_not_contains?: string;
                name_contains_nocase?: string;
                name_contains?: string;
                name_not_in?: string[];
                name_in?: string[];
                name_lte?: string;
                name_gte?: string;
                name_lt?: string;
                name_gt?: string;
                name_not?: string;
                name?: string;
                symbol_not_ends_with_nocase?: string;
                symbol_not_ends_with?: string;
                symbol_ends_with_nocase?: string;
                symbol_ends_with?: string;
                symbol_not_starts_with_nocase?: string;
                symbol_not_starts_with?: string;
                symbol_starts_with_nocase?: string;
                symbol_starts_with?: string;
                symbol_not_contains_nocase?: string;
                symbol_not_contains?: string;
                symbol_contains_nocase?: string;
                symbol_contains?: string;
                symbol_not_in?: string[];
                symbol_in?: string[];
                symbol_lte?: string;
                symbol_gte?: string;
                symbol_lt?: string;
                symbol_gt?: string;
                symbol_not?: string;
                symbol?: string;
                id_not_in?: string[];
                id_in?: string[];
                id_lte?: string;
                id_gte?: string;
                id_lt?: string;
                id_gt?: string;
                id_not?: string;
                id?: string;
            };
            token0_not_ends_with_nocase?: string;
            token0_not_ends_with?: string;
            token0_ends_with_nocase?: string;
            token0_ends_with?: string;
            token0_not_starts_with_nocase?: string;
            token0_not_starts_with?: string;
            token0_starts_with_nocase?: string;
            token0_starts_with?: string;
            token0_not_contains_nocase?: string;
            token0_not_contains?: string;
            token0_contains_nocase?: string;
            token0_contains?: string;
            token0_not_in?: string[];
            token0_in?: string[];
            token0_lte?: string;
            token0_gte?: string;
            token0_lt?: string;
            token0_gt?: string;
            token0_not?: string;
            token0?: string;
            pool_?: any;
            pool_not_ends_with_nocase?: string;
            pool_not_ends_with?: string;
            pool_ends_with_nocase?: string;
            pool_ends_with?: string;
            pool_not_starts_with_nocase?: string;
            pool_not_starts_with?: string;
            pool_starts_with_nocase?: string;
            pool_starts_with?: string;
            pool_not_contains_nocase?: string;
            pool_not_contains?: string;
            pool_contains_nocase?: string;
            pool_contains?: string;
            pool_not_in?: string[];
            pool_in?: string[];
            pool_lte?: string;
            pool_gte?: string;
            pool_lt?: string;
            pool_gt?: string;
            pool_not?: string;
            pool?: string;
            timestamp_not_in?: string[];
            timestamp_in?: string[];
            timestamp_lte?: string;
            timestamp_gte?: string;
            timestamp_lt?: string;
            timestamp_gt?: string;
            timestamp_not?: string;
            timestamp?: string;
            transaction_?: any;
            transaction_not_ends_with_nocase?: string;
            transaction_not_ends_with?: string;
            transaction_ends_with_nocase?: string;
            transaction_ends_with?: string;
            transaction_not_starts_with_nocase?: string;
            transaction_not_starts_with?: string;
            transaction_starts_with_nocase?: string;
            transaction_starts_with?: string;
            transaction_not_contains_nocase?: string;
            transaction_not_contains?: string;
            transaction_contains_nocase?: string;
            transaction_contains?: string;
            transaction_not_in?: string[];
            transaction_in?: string[];
            transaction_lte?: string;
            transaction_gte?: string;
            transaction_lt?: string;
            transaction_gt?: string;
            transaction_not?: string;
            transaction?: string;
            id_not_in?: string[];
            id_in?: string[];
            id_lte?: string;
            id_gte?: string;
            id_lt?: string;
            id_gt?: string;
            id_not?: string;
            id?: string;
        };
        burns_?: {
            or?: any[];
            and?: any[];
            _change_block?: {
                number_gte: number;
            };
            logIndex_not_in?: string[];
            logIndex_in?: string[];
            logIndex_lte?: string;
            logIndex_gte?: string;
            logIndex_lt?: string;
            logIndex_gt?: string;
            logIndex_not?: string;
            logIndex?: string;
            tickUpper_not_in?: string[];
            tickUpper_in?: string[];
            tickUpper_lte?: string;
            tickUpper_gte?: string;
            tickUpper_lt?: string;
            tickUpper_gt?: string;
            tickUpper_not?: string;
            tickUpper?: string;
            tickLower_not_in?: string[];
            tickLower_in?: string[];
            tickLower_lte?: string;
            tickLower_gte?: string;
            tickLower_lt?: string;
            tickLower_gt?: string;
            tickLower_not?: string;
            tickLower?: string;
            amountUSD_not_in?: string[];
            amountUSD_in?: string[];
            amountUSD_lte?: string;
            amountUSD_gte?: string;
            amountUSD_lt?: string;
            amountUSD_gt?: string;
            amountUSD_not?: string;
            amountUSD?: string;
            amount1_not_in?: string[];
            amount1_in?: string[];
            amount1_lte?: string;
            amount1_gte?: string;
            amount1_lt?: string;
            amount1_gt?: string;
            amount1_not?: string;
            amount1?: string;
            amount0_not_in?: string[];
            amount0_in?: string[];
            amount0_lte?: string;
            amount0_gte?: string;
            amount0_lt?: string;
            amount0_gt?: string;
            amount0_not?: string;
            amount0?: string;
            amount_not_in?: string[];
            amount_in?: string[];
            amount_lte?: string;
            amount_gte?: string;
            amount_lt?: string;
            amount_gt?: string;
            amount_not?: string;
            amount?: string;
            origin_not_contains?: `0x${string}`;
            origin_contains?: `0x${string}`;
            origin_not_in?: `0x${string}`[];
            origin_in?: `0x${string}`[];
            origin_lte?: `0x${string}`;
            origin_gte?: `0x${string}`;
            origin_lt?: `0x${string}`;
            origin_gt?: `0x${string}`;
            origin_not?: `0x${string}`;
            origin?: `0x${string}`;
            owner_not_contains?: `0x${string}`;
            owner_contains?: `0x${string}`;
            owner_not_in?: `0x${string}`[];
            owner_in?: `0x${string}`[];
            owner_lte?: `0x${string}`;
            owner_gte?: `0x${string}`;
            owner_lt?: `0x${string}`;
            owner_gt?: `0x${string}`;
            owner_not?: `0x${string}`;
            owner?: `0x${string}`;
            timestamp_not_in?: string[];
            timestamp_in?: string[];
            timestamp_lte?: string;
            timestamp_gte?: string;
            timestamp_lt?: string;
            timestamp_gt?: string;
            timestamp_not?: string;
            timestamp?: string;
            token1_?: {
                or?: any[];
                and?: any[];
                _change_block?: {
                    number_gte: number;
                };
                tokenDayData_?: {
                    or?: any[];
                    and?: any[];
                    _change_block?: {
                        number_gte: number;
                    };
                    close_not_in?: string[];
                    close_in?: string[];
                    close_lte?: string;
                    close_gte?: string;
                    close_lt?: string;
                    close_gt?: string;
                    close_not?: string;
                    close?: string;
                    low_not_in?: string[];
                    low_in?: string[];
                    low_lte?: string;
                    low_gte?: string;
                    low_lt?: string;
                    low_gt?: string;
                    low_not?: string;
                    low?: string;
                    high_not_in?: string[];
                    high_in?: string[];
                    high_lte?: string;
                    high_gte?: string;
                    high_lt?: string;
                    high_gt?: string;
                    high_not?: string;
                    high?: string;
                    open_not_in?: string[];
                    open_in?: string[];
                    open_lte?: string;
                    open_gte?: string;
                    open_lt?: string;
                    open_gt?: string;
                    open_not?: string;
                    open?: string;
                    feesUSD_not_in?: string[];
                    feesUSD_in?: string[];
                    feesUSD_lte?: string;
                    feesUSD_gte?: string;
                    feesUSD_lt?: string;
                    feesUSD_gt?: string;
                    feesUSD_not?: string;
                    feesUSD?: string;
                    priceUSD_not_in?: string[];
                    priceUSD_in?: string[];
                    priceUSD_lte?: string;
                    priceUSD_gte?: string;
                    priceUSD_lt?: string;
                    priceUSD_gt?: string;
                    priceUSD_not?: string;
                    priceUSD?: string;
                    totalValueLockedUSD_not_in?: string[];
                    totalValueLockedUSD_in?: string[];
                    totalValueLockedUSD_lte?: string;
                    totalValueLockedUSD_gte?: string;
                    totalValueLockedUSD_lt?: string;
                    totalValueLockedUSD_gt?: string;
                    totalValueLockedUSD_not?: string;
                    totalValueLockedUSD?: string;
                    totalValueLocked_not_in?: string[];
                    totalValueLocked_in?: string[];
                    totalValueLocked_lte?: string;
                    totalValueLocked_gte?: string;
                    totalValueLocked_lt?: string;
                    totalValueLocked_gt?: string;
                    totalValueLocked_not?: string;
                    totalValueLocked?: string;
                    untrackedVolumeUSD_not_in?: string[];
                    untrackedVolumeUSD_in?: string[];
                    untrackedVolumeUSD_lte?: string;
                    untrackedVolumeUSD_gte?: string;
                    untrackedVolumeUSD_lt?: string;
                    untrackedVolumeUSD_gt?: string;
                    untrackedVolumeUSD_not?: string;
                    untrackedVolumeUSD?: string;
                    volumeUSD_not_in?: string[];
                    volumeUSD_in?: string[];
                    volumeUSD_lte?: string;
                    volumeUSD_gte?: string;
                    volumeUSD_lt?: string;
                    volumeUSD_gt?: string;
                    volumeUSD_not?: string;
                    volumeUSD?: string;
                    volume_not_in?: string[];
                    volume_in?: string[];
                    volume_lte?: string;
                    volume_gte?: string;
                    volume_lt?: string;
                    volume_gt?: string;
                    volume_not?: string;
                    volume?: string;
                    token_?: any;
                    token_not_ends_with_nocase?: string;
                    token_not_ends_with?: string;
                    token_ends_with_nocase?: string;
                    token_ends_with?: string;
                    token_not_starts_with_nocase?: string;
                    token_not_starts_with?: string;
                    token_starts_with_nocase?: string;
                    token_starts_with?: string;
                    token_not_contains_nocase?: string;
                    token_not_contains?: string;
                    token_contains_nocase?: string;
                    token_contains?: string;
                    token_not_in?: string[];
                    token_in?: string[];
                    token_lte?: string;
                    token_gte?: string;
                    token_lt?: string;
                    token_gt?: string;
                    token_not?: string;
                    token?: string;
                    date_not_in?: number[];
                    date_in?: number[];
                    date_lte?: number;
                    date_gte?: number;
                    date_lt?: number;
                    date_gt?: number;
                    date_not?: number;
                    date?: number;
                    id_not_in?: string[];
                    id_in?: string[];
                    id_lte?: string;
                    id_gte?: string;
                    id_lt?: string;
                    id_gt?: string;
                    id_not?: string;
                    id?: string;
                };
                whitelistPools_?: any;
                whitelistPools_not_contains_nocase?: string[];
                whitelistPools_not_contains?: string[];
                whitelistPools_contains_nocase?: string[];
                whitelistPools_contains?: string[];
                whitelistPools_not?: string[];
                whitelistPools?: string[];
                derivedETH_not_in?: string[];
                derivedETH_in?: string[];
                derivedETH_lte?: string;
                derivedETH_gte?: string;
                derivedETH_lt?: string;
                derivedETH_gt?: string;
                derivedETH_not?: string;
                derivedETH?: string;
                totalValueLockedUSDUntracked_not_in?: string[];
                totalValueLockedUSDUntracked_in?: string[];
                totalValueLockedUSDUntracked_lte?: string;
                totalValueLockedUSDUntracked_gte?: string;
                totalValueLockedUSDUntracked_lt?: string;
                totalValueLockedUSDUntracked_gt?: string;
                totalValueLockedUSDUntracked_not?: string;
                totalValueLockedUSDUntracked?: string;
                totalValueLockedUSD_not_in?: string[];
                totalValueLockedUSD_in?: string[];
                totalValueLockedUSD_lte?: string;
                totalValueLockedUSD_gte?: string;
                totalValueLockedUSD_lt?: string;
                totalValueLockedUSD_gt?: string;
                totalValueLockedUSD_not?: string;
                totalValueLockedUSD?: string;
                totalValueLocked_not_in?: string[];
                totalValueLocked_in?: string[];
                totalValueLocked_lte?: string;
                totalValueLocked_gte?: string;
                totalValueLocked_lt?: string;
                totalValueLocked_gt?: string;
                totalValueLocked_not?: string;
                totalValueLocked?: string;
                poolCount_not_in?: string[];
                poolCount_in?: string[];
                poolCount_lte?: string;
                poolCount_gte?: string;
                poolCount_lt?: string;
                poolCount_gt?: string;
                poolCount_not?: string;
                poolCount?: string;
                txCount_not_in?: string[];
                txCount_in?: string[];
                txCount_lte?: string;
                txCount_gte?: string;
                txCount_lt?: string;
                txCount_gt?: string;
                txCount_not?: string;
                txCount?: string;
                feesUSD_not_in?: string[];
                feesUSD_in?: string[];
                feesUSD_lte?: string;
                feesUSD_gte?: string;
                feesUSD_lt?: string;
                feesUSD_gt?: string;
                feesUSD_not?: string;
                feesUSD?: string;
                untrackedVolumeUSD_not_in?: string[];
                untrackedVolumeUSD_in?: string[];
                untrackedVolumeUSD_lte?: string;
                untrackedVolumeUSD_gte?: string;
                untrackedVolumeUSD_lt?: string;
                untrackedVolumeUSD_gt?: string;
                untrackedVolumeUSD_not?: string;
                untrackedVolumeUSD?: string;
                volumeUSD_not_in?: string[];
                volumeUSD_in?: string[];
                volumeUSD_lte?: string;
                volumeUSD_gte?: string;
                volumeUSD_lt?: string;
                volumeUSD_gt?: string;
                volumeUSD_not?: string;
                volumeUSD?: string;
                volume_not_in?: string[];
                volume_in?: string[];
                volume_lte?: string;
                volume_gte?: string;
                volume_lt?: string;
                volume_gt?: string;
                volume_not?: string;
                volume?: string;
                totalSupply_not_in?: string[];
                totalSupply_in?: string[];
                totalSupply_lte?: string;
                totalSupply_gte?: string;
                totalSupply_lt?: string;
                totalSupply_gt?: string;
                totalSupply_not?: string;
                totalSupply?: string;
                decimals_not_in?: string[];
                decimals_in?: string[];
                decimals_lte?: string;
                decimals_gte?: string;
                decimals_lt?: string;
                decimals_gt?: string;
                decimals_not?: string;
                decimals?: string;
                name_not_ends_with_nocase?: string;
                name_not_ends_with?: string;
                name_ends_with_nocase?: string;
                name_ends_with?: string;
                name_not_starts_with_nocase?: string;
                name_not_starts_with?: string;
                name_starts_with_nocase?: string;
                name_starts_with?: string;
                name_not_contains_nocase?: string;
                name_not_contains?: string;
                name_contains_nocase?: string;
                name_contains?: string;
                name_not_in?: string[];
                name_in?: string[];
                name_lte?: string;
                name_gte?: string;
                name_lt?: string;
                name_gt?: string;
                name_not?: string;
                name?: string;
                symbol_not_ends_with_nocase?: string;
                symbol_not_ends_with?: string;
                symbol_ends_with_nocase?: string;
                symbol_ends_with?: string;
                symbol_not_starts_with_nocase?: string;
                symbol_not_starts_with?: string;
                symbol_starts_with_nocase?: string;
                symbol_starts_with?: string;
                symbol_not_contains_nocase?: string;
                symbol_not_contains?: string;
                symbol_contains_nocase?: string;
                symbol_contains?: string;
                symbol_not_in?: string[];
                symbol_in?: string[];
                symbol_lte?: string;
                symbol_gte?: string;
                symbol_lt?: string;
                symbol_gt?: string;
                symbol_not?: string;
                symbol?: string;
                id_not_in?: string[];
                id_in?: string[];
                id_lte?: string;
                id_gte?: string;
                id_lt?: string;
                id_gt?: string;
                id_not?: string;
                id?: string;
            };
            token1_not_ends_with_nocase?: string;
            token1_not_ends_with?: string;
            token1_ends_with_nocase?: string;
            token1_ends_with?: string;
            token1_not_starts_with_nocase?: string;
            token1_not_starts_with?: string;
            token1_starts_with_nocase?: string;
            token1_starts_with?: string;
            token1_not_contains_nocase?: string;
            token1_not_contains?: string;
            token1_contains_nocase?: string;
            token1_contains?: string;
            token1_not_in?: string[];
            token1_in?: string[];
            token1_lte?: string;
            token1_gte?: string;
            token1_lt?: string;
            token1_gt?: string;
            token1_not?: string;
            token1?: string;
            token0_?: {
                or?: any[];
                and?: any[];
                _change_block?: {
                    number_gte: number;
                };
                tokenDayData_?: {
                    or?: any[];
                    and?: any[];
                    _change_block?: {
                        number_gte: number;
                    };
                    close_not_in?: string[];
                    close_in?: string[];
                    close_lte?: string;
                    close_gte?: string;
                    close_lt?: string;
                    close_gt?: string;
                    close_not?: string;
                    close?: string;
                    low_not_in?: string[];
                    low_in?: string[];
                    low_lte?: string;
                    low_gte?: string;
                    low_lt?: string;
                    low_gt?: string;
                    low_not?: string;
                    low?: string;
                    high_not_in?: string[];
                    high_in?: string[];
                    high_lte?: string;
                    high_gte?: string;
                    high_lt?: string;
                    high_gt?: string;
                    high_not?: string;
                    high?: string;
                    open_not_in?: string[];
                    open_in?: string[];
                    open_lte?: string;
                    open_gte?: string;
                    open_lt?: string;
                    open_gt?: string;
                    open_not?: string;
                    open?: string;
                    feesUSD_not_in?: string[];
                    feesUSD_in?: string[];
                    feesUSD_lte?: string;
                    feesUSD_gte?: string;
                    feesUSD_lt?: string;
                    feesUSD_gt?: string;
                    feesUSD_not?: string;
                    feesUSD?: string;
                    priceUSD_not_in?: string[];
                    priceUSD_in?: string[];
                    priceUSD_lte?: string;
                    priceUSD_gte?: string;
                    priceUSD_lt?: string;
                    priceUSD_gt?: string;
                    priceUSD_not?: string;
                    priceUSD?: string;
                    totalValueLockedUSD_not_in?: string[];
                    totalValueLockedUSD_in?: string[];
                    totalValueLockedUSD_lte?: string;
                    totalValueLockedUSD_gte?: string;
                    totalValueLockedUSD_lt?: string;
                    totalValueLockedUSD_gt?: string;
                    totalValueLockedUSD_not?: string;
                    totalValueLockedUSD?: string;
                    totalValueLocked_not_in?: string[];
                    totalValueLocked_in?: string[];
                    totalValueLocked_lte?: string;
                    totalValueLocked_gte?: string;
                    totalValueLocked_lt?: string;
                    totalValueLocked_gt?: string;
                    totalValueLocked_not?: string;
                    totalValueLocked?: string;
                    untrackedVolumeUSD_not_in?: string[];
                    untrackedVolumeUSD_in?: string[];
                    untrackedVolumeUSD_lte?: string;
                    untrackedVolumeUSD_gte?: string;
                    untrackedVolumeUSD_lt?: string;
                    untrackedVolumeUSD_gt?: string;
                    untrackedVolumeUSD_not?: string;
                    untrackedVolumeUSD?: string;
                    volumeUSD_not_in?: string[];
                    volumeUSD_in?: string[];
                    volumeUSD_lte?: string;
                    volumeUSD_gte?: string;
                    volumeUSD_lt?: string;
                    volumeUSD_gt?: string;
                    volumeUSD_not?: string;
                    volumeUSD?: string;
                    volume_not_in?: string[];
                    volume_in?: string[];
                    volume_lte?: string;
                    volume_gte?: string;
                    volume_lt?: string;
                    volume_gt?: string;
                    volume_not?: string;
                    volume?: string;
                    token_?: any;
                    token_not_ends_with_nocase?: string;
                    token_not_ends_with?: string;
                    token_ends_with_nocase?: string;
                    token_ends_with?: string;
                    token_not_starts_with_nocase?: string;
                    token_not_starts_with?: string;
                    token_starts_with_nocase?: string;
                    token_starts_with?: string;
                    token_not_contains_nocase?: string;
                    token_not_contains?: string;
                    token_contains_nocase?: string;
                    token_contains?: string;
                    token_not_in?: string[];
                    token_in?: string[];
                    token_lte?: string;
                    token_gte?: string;
                    token_lt?: string;
                    token_gt?: string;
                    token_not?: string;
                    token?: string;
                    date_not_in?: number[];
                    date_in?: number[];
                    date_lte?: number;
                    date_gte?: number;
                    date_lt?: number;
                    date_gt?: number;
                    date_not?: number;
                    date?: number;
                    id_not_in?: string[];
                    id_in?: string[];
                    id_lte?: string;
                    id_gte?: string;
                    id_lt?: string;
                    id_gt?: string;
                    id_not?: string;
                    id?: string;
                };
                whitelistPools_?: any;
                whitelistPools_not_contains_nocase?: string[];
                whitelistPools_not_contains?: string[];
                whitelistPools_contains_nocase?: string[];
                whitelistPools_contains?: string[];
                whitelistPools_not?: string[];
                whitelistPools?: string[];
                derivedETH_not_in?: string[];
                derivedETH_in?: string[];
                derivedETH_lte?: string;
                derivedETH_gte?: string;
                derivedETH_lt?: string;
                derivedETH_gt?: string;
                derivedETH_not?: string;
                derivedETH?: string;
                totalValueLockedUSDUntracked_not_in?: string[];
                totalValueLockedUSDUntracked_in?: string[];
                totalValueLockedUSDUntracked_lte?: string;
                totalValueLockedUSDUntracked_gte?: string;
                totalValueLockedUSDUntracked_lt?: string;
                totalValueLockedUSDUntracked_gt?: string;
                totalValueLockedUSDUntracked_not?: string;
                totalValueLockedUSDUntracked?: string;
                totalValueLockedUSD_not_in?: string[];
                totalValueLockedUSD_in?: string[];
                totalValueLockedUSD_lte?: string;
                totalValueLockedUSD_gte?: string;
                totalValueLockedUSD_lt?: string;
                totalValueLockedUSD_gt?: string;
                totalValueLockedUSD_not?: string;
                totalValueLockedUSD?: string;
                totalValueLocked_not_in?: string[];
                totalValueLocked_in?: string[];
                totalValueLocked_lte?: string;
                totalValueLocked_gte?: string;
                totalValueLocked_lt?: string;
                totalValueLocked_gt?: string;
                totalValueLocked_not?: string;
                totalValueLocked?: string;
                poolCount_not_in?: string[];
                poolCount_in?: string[];
                poolCount_lte?: string;
                poolCount_gte?: string;
                poolCount_lt?: string;
                poolCount_gt?: string;
                poolCount_not?: string;
                poolCount?: string;
                txCount_not_in?: string[];
                txCount_in?: string[];
                txCount_lte?: string;
                txCount_gte?: string;
                txCount_lt?: string;
                txCount_gt?: string;
                txCount_not?: string;
                txCount?: string;
                feesUSD_not_in?: string[];
                feesUSD_in?: string[];
                feesUSD_lte?: string;
                feesUSD_gte?: string;
                feesUSD_lt?: string;
                feesUSD_gt?: string;
                feesUSD_not?: string;
                feesUSD?: string;
                untrackedVolumeUSD_not_in?: string[];
                untrackedVolumeUSD_in?: string[];
                untrackedVolumeUSD_lte?: string;
                untrackedVolumeUSD_gte?: string;
                untrackedVolumeUSD_lt?: string;
                untrackedVolumeUSD_gt?: string;
                untrackedVolumeUSD_not?: string;
                untrackedVolumeUSD?: string;
                volumeUSD_not_in?: string[];
                volumeUSD_in?: string[];
                volumeUSD_lte?: string;
                volumeUSD_gte?: string;
                volumeUSD_lt?: string;
                volumeUSD_gt?: string;
                volumeUSD_not?: string;
                volumeUSD?: string;
                volume_not_in?: string[];
                volume_in?: string[];
                volume_lte?: string;
                volume_gte?: string;
                volume_lt?: string;
                volume_gt?: string;
                volume_not?: string;
                volume?: string;
                totalSupply_not_in?: string[];
                totalSupply_in?: string[];
                totalSupply_lte?: string;
                totalSupply_gte?: string;
                totalSupply_lt?: string;
                totalSupply_gt?: string;
                totalSupply_not?: string;
                totalSupply?: string;
                decimals_not_in?: string[];
                decimals_in?: string[];
                decimals_lte?: string;
                decimals_gte?: string;
                decimals_lt?: string;
                decimals_gt?: string;
                decimals_not?: string;
                decimals?: string;
                name_not_ends_with_nocase?: string;
                name_not_ends_with?: string;
                name_ends_with_nocase?: string;
                name_ends_with?: string;
                name_not_starts_with_nocase?: string;
                name_not_starts_with?: string;
                name_starts_with_nocase?: string;
                name_starts_with?: string;
                name_not_contains_nocase?: string;
                name_not_contains?: string;
                name_contains_nocase?: string;
                name_contains?: string;
                name_not_in?: string[];
                name_in?: string[];
                name_lte?: string;
                name_gte?: string;
                name_lt?: string;
                name_gt?: string;
                name_not?: string;
                name?: string;
                symbol_not_ends_with_nocase?: string;
                symbol_not_ends_with?: string;
                symbol_ends_with_nocase?: string;
                symbol_ends_with?: string;
                symbol_not_starts_with_nocase?: string;
                symbol_not_starts_with?: string;
                symbol_starts_with_nocase?: string;
                symbol_starts_with?: string;
                symbol_not_contains_nocase?: string;
                symbol_not_contains?: string;
                symbol_contains_nocase?: string;
                symbol_contains?: string;
                symbol_not_in?: string[];
                symbol_in?: string[];
                symbol_lte?: string;
                symbol_gte?: string;
                symbol_lt?: string;
                symbol_gt?: string;
                symbol_not?: string;
                symbol?: string;
                id_not_in?: string[];
                id_in?: string[];
                id_lte?: string;
                id_gte?: string;
                id_lt?: string;
                id_gt?: string;
                id_not?: string;
                id?: string;
            };
            token0_not_ends_with_nocase?: string;
            token0_not_ends_with?: string;
            token0_ends_with_nocase?: string;
            token0_ends_with?: string;
            token0_not_starts_with_nocase?: string;
            token0_not_starts_with?: string;
            token0_starts_with_nocase?: string;
            token0_starts_with?: string;
            token0_not_contains_nocase?: string;
            token0_not_contains?: string;
            token0_contains_nocase?: string;
            token0_contains?: string;
            token0_not_in?: string[];
            token0_in?: string[];
            token0_lte?: string;
            token0_gte?: string;
            token0_lt?: string;
            token0_gt?: string;
            token0_not?: string;
            token0?: string;
            pool_?: any;
            pool_not_ends_with_nocase?: string;
            pool_not_ends_with?: string;
            pool_ends_with_nocase?: string;
            pool_ends_with?: string;
            pool_not_starts_with_nocase?: string;
            pool_not_starts_with?: string;
            pool_starts_with_nocase?: string;
            pool_starts_with?: string;
            pool_not_contains_nocase?: string;
            pool_not_contains?: string;
            pool_contains_nocase?: string;
            pool_contains?: string;
            pool_not_in?: string[];
            pool_in?: string[];
            pool_lte?: string;
            pool_gte?: string;
            pool_lt?: string;
            pool_gt?: string;
            pool_not?: string;
            pool?: string;
            transaction_?: any;
            transaction_not_ends_with_nocase?: string;
            transaction_not_ends_with?: string;
            transaction_ends_with_nocase?: string;
            transaction_ends_with?: string;
            transaction_not_starts_with_nocase?: string;
            transaction_not_starts_with?: string;
            transaction_starts_with_nocase?: string;
            transaction_starts_with?: string;
            transaction_not_contains_nocase?: string;
            transaction_not_contains?: string;
            transaction_contains_nocase?: string;
            transaction_contains?: string;
            transaction_not_in?: string[];
            transaction_in?: string[];
            transaction_lte?: string;
            transaction_gte?: string;
            transaction_lt?: string;
            transaction_gt?: string;
            transaction_not?: string;
            transaction?: string;
            id_not_in?: string[];
            id_in?: string[];
            id_lte?: string;
            id_gte?: string;
            id_lt?: string;
            id_gt?: string;
            id_not?: string;
            id?: string;
        };
        mints_?: {
            or?: any[];
            and?: any[];
            _change_block?: {
                number_gte: number;
            };
            logIndex_not_in?: string[];
            logIndex_in?: string[];
            logIndex_lte?: string;
            logIndex_gte?: string;
            logIndex_lt?: string;
            logIndex_gt?: string;
            logIndex_not?: string;
            logIndex?: string;
            tickUpper_not_in?: string[];
            tickUpper_in?: string[];
            tickUpper_lte?: string;
            tickUpper_gte?: string;
            tickUpper_lt?: string;
            tickUpper_gt?: string;
            tickUpper_not?: string;
            tickUpper?: string;
            tickLower_not_in?: string[];
            tickLower_in?: string[];
            tickLower_lte?: string;
            tickLower_gte?: string;
            tickLower_lt?: string;
            tickLower_gt?: string;
            tickLower_not?: string;
            tickLower?: string;
            amountUSD_not_in?: string[];
            amountUSD_in?: string[];
            amountUSD_lte?: string;
            amountUSD_gte?: string;
            amountUSD_lt?: string;
            amountUSD_gt?: string;
            amountUSD_not?: string;
            amountUSD?: string;
            amount1_not_in?: string[];
            amount1_in?: string[];
            amount1_lte?: string;
            amount1_gte?: string;
            amount1_lt?: string;
            amount1_gt?: string;
            amount1_not?: string;
            amount1?: string;
            amount0_not_in?: string[];
            amount0_in?: string[];
            amount0_lte?: string;
            amount0_gte?: string;
            amount0_lt?: string;
            amount0_gt?: string;
            amount0_not?: string;
            amount0?: string;
            amount_not_in?: string[];
            amount_in?: string[];
            amount_lte?: string;
            amount_gte?: string;
            amount_lt?: string;
            amount_gt?: string;
            amount_not?: string;
            amount?: string;
            origin_not_contains?: `0x${string}`;
            origin_contains?: `0x${string}`;
            origin_not_in?: `0x${string}`[];
            origin_in?: `0x${string}`[];
            origin_lte?: `0x${string}`;
            origin_gte?: `0x${string}`;
            origin_lt?: `0x${string}`;
            origin_gt?: `0x${string}`;
            origin_not?: `0x${string}`;
            origin?: `0x${string}`;
            sender_not_contains?: `0x${string}`;
            sender_contains?: `0x${string}`;
            sender_not_in?: `0x${string}`[];
            sender_in?: `0x${string}`[];
            sender_lte?: `0x${string}`;
            sender_gte?: `0x${string}`;
            sender_lt?: `0x${string}`;
            sender_gt?: `0x${string}`;
            sender_not?: `0x${string}`;
            sender?: `0x${string}`;
            owner_not_contains?: `0x${string}`;
            owner_contains?: `0x${string}`;
            owner_not_in?: `0x${string}`[];
            owner_in?: `0x${string}`[];
            owner_lte?: `0x${string}`;
            owner_gte?: `0x${string}`;
            owner_lt?: `0x${string}`;
            owner_gt?: `0x${string}`;
            owner_not?: `0x${string}`;
            owner?: `0x${string}`;
            token1_?: {
                or?: any[];
                and?: any[];
                _change_block?: {
                    number_gte: number;
                };
                tokenDayData_?: {
                    or?: any[];
                    and?: any[];
                    _change_block?: {
                        number_gte: number;
                    };
                    close_not_in?: string[];
                    close_in?: string[];
                    close_lte?: string;
                    close_gte?: string;
                    close_lt?: string;
                    close_gt?: string;
                    close_not?: string;
                    close?: string;
                    low_not_in?: string[];
                    low_in?: string[];
                    low_lte?: string;
                    low_gte?: string;
                    low_lt?: string;
                    low_gt?: string;
                    low_not?: string;
                    low?: string;
                    high_not_in?: string[];
                    high_in?: string[];
                    high_lte?: string;
                    high_gte?: string;
                    high_lt?: string;
                    high_gt?: string;
                    high_not?: string;
                    high?: string;
                    open_not_in?: string[];
                    open_in?: string[];
                    open_lte?: string;
                    open_gte?: string;
                    open_lt?: string;
                    open_gt?: string;
                    open_not?: string;
                    open?: string;
                    feesUSD_not_in?: string[];
                    feesUSD_in?: string[];
                    feesUSD_lte?: string;
                    feesUSD_gte?: string;
                    feesUSD_lt?: string;
                    feesUSD_gt?: string;
                    feesUSD_not?: string;
                    feesUSD?: string;
                    priceUSD_not_in?: string[];
                    priceUSD_in?: string[];
                    priceUSD_lte?: string;
                    priceUSD_gte?: string;
                    priceUSD_lt?: string;
                    priceUSD_gt?: string;
                    priceUSD_not?: string;
                    priceUSD?: string;
                    totalValueLockedUSD_not_in?: string[];
                    totalValueLockedUSD_in?: string[];
                    totalValueLockedUSD_lte?: string;
                    totalValueLockedUSD_gte?: string;
                    totalValueLockedUSD_lt?: string;
                    totalValueLockedUSD_gt?: string;
                    totalValueLockedUSD_not?: string;
                    totalValueLockedUSD?: string;
                    totalValueLocked_not_in?: string[];
                    totalValueLocked_in?: string[];
                    totalValueLocked_lte?: string;
                    totalValueLocked_gte?: string;
                    totalValueLocked_lt?: string;
                    totalValueLocked_gt?: string;
                    totalValueLocked_not?: string;
                    totalValueLocked?: string;
                    untrackedVolumeUSD_not_in?: string[];
                    untrackedVolumeUSD_in?: string[];
                    untrackedVolumeUSD_lte?: string;
                    untrackedVolumeUSD_gte?: string;
                    untrackedVolumeUSD_lt?: string;
                    untrackedVolumeUSD_gt?: string;
                    untrackedVolumeUSD_not?: string;
                    untrackedVolumeUSD?: string;
                    volumeUSD_not_in?: string[];
                    volumeUSD_in?: string[];
                    volumeUSD_lte?: string;
                    volumeUSD_gte?: string;
                    volumeUSD_lt?: string;
                    volumeUSD_gt?: string;
                    volumeUSD_not?: string;
                    volumeUSD?: string;
                    volume_not_in?: string[];
                    volume_in?: string[];
                    volume_lte?: string;
                    volume_gte?: string;
                    volume_lt?: string;
                    volume_gt?: string;
                    volume_not?: string;
                    volume?: string;
                    token_?: any;
                    token_not_ends_with_nocase?: string;
                    token_not_ends_with?: string;
                    token_ends_with_nocase?: string;
                    token_ends_with?: string;
                    token_not_starts_with_nocase?: string;
                    token_not_starts_with?: string;
                    token_starts_with_nocase?: string;
                    token_starts_with?: string;
                    token_not_contains_nocase?: string;
                    token_not_contains?: string;
                    token_contains_nocase?: string;
                    token_contains?: string;
                    token_not_in?: string[];
                    token_in?: string[];
                    token_lte?: string;
                    token_gte?: string;
                    token_lt?: string;
                    token_gt?: string;
                    token_not?: string;
                    token?: string;
                    date_not_in?: number[];
                    date_in?: number[];
                    date_lte?: number;
                    date_gte?: number;
                    date_lt?: number;
                    date_gt?: number;
                    date_not?: number;
                    date?: number;
                    id_not_in?: string[];
                    id_in?: string[];
                    id_lte?: string;
                    id_gte?: string;
                    id_lt?: string;
                    id_gt?: string;
                    id_not?: string;
                    id?: string;
                };
                whitelistPools_?: any;
                whitelistPools_not_contains_nocase?: string[];
                whitelistPools_not_contains?: string[];
                whitelistPools_contains_nocase?: string[];
                whitelistPools_contains?: string[];
                whitelistPools_not?: string[];
                whitelistPools?: string[];
                derivedETH_not_in?: string[];
                derivedETH_in?: string[];
                derivedETH_lte?: string;
                derivedETH_gte?: string;
                derivedETH_lt?: string;
                derivedETH_gt?: string;
                derivedETH_not?: string;
                derivedETH?: string;
                totalValueLockedUSDUntracked_not_in?: string[];
                totalValueLockedUSDUntracked_in?: string[];
                totalValueLockedUSDUntracked_lte?: string;
                totalValueLockedUSDUntracked_gte?: string;
                totalValueLockedUSDUntracked_lt?: string;
                totalValueLockedUSDUntracked_gt?: string;
                totalValueLockedUSDUntracked_not?: string;
                totalValueLockedUSDUntracked?: string;
                totalValueLockedUSD_not_in?: string[];
                totalValueLockedUSD_in?: string[];
                totalValueLockedUSD_lte?: string;
                totalValueLockedUSD_gte?: string;
                totalValueLockedUSD_lt?: string;
                totalValueLockedUSD_gt?: string;
                totalValueLockedUSD_not?: string;
                totalValueLockedUSD?: string;
                totalValueLocked_not_in?: string[];
                totalValueLocked_in?: string[];
                totalValueLocked_lte?: string;
                totalValueLocked_gte?: string;
                totalValueLocked_lt?: string;
                totalValueLocked_gt?: string;
                totalValueLocked_not?: string;
                totalValueLocked?: string;
                poolCount_not_in?: string[];
                poolCount_in?: string[];
                poolCount_lte?: string;
                poolCount_gte?: string;
                poolCount_lt?: string;
                poolCount_gt?: string;
                poolCount_not?: string;
                poolCount?: string;
                txCount_not_in?: string[];
                txCount_in?: string[];
                txCount_lte?: string;
                txCount_gte?: string;
                txCount_lt?: string;
                txCount_gt?: string;
                txCount_not?: string;
                txCount?: string;
                feesUSD_not_in?: string[];
                feesUSD_in?: string[];
                feesUSD_lte?: string;
                feesUSD_gte?: string;
                feesUSD_lt?: string;
                feesUSD_gt?: string;
                feesUSD_not?: string;
                feesUSD?: string;
                untrackedVolumeUSD_not_in?: string[];
                untrackedVolumeUSD_in?: string[];
                untrackedVolumeUSD_lte?: string;
                untrackedVolumeUSD_gte?: string;
                untrackedVolumeUSD_lt?: string;
                untrackedVolumeUSD_gt?: string;
                untrackedVolumeUSD_not?: string;
                untrackedVolumeUSD?: string;
                volumeUSD_not_in?: string[];
                volumeUSD_in?: string[];
                volumeUSD_lte?: string;
                volumeUSD_gte?: string;
                volumeUSD_lt?: string;
                volumeUSD_gt?: string;
                volumeUSD_not?: string;
                volumeUSD?: string;
                volume_not_in?: string[];
                volume_in?: string[];
                volume_lte?: string;
                volume_gte?: string;
                volume_lt?: string;
                volume_gt?: string;
                volume_not?: string;
                volume?: string;
                totalSupply_not_in?: string[];
                totalSupply_in?: string[];
                totalSupply_lte?: string;
                totalSupply_gte?: string;
                totalSupply_lt?: string;
                totalSupply_gt?: string;
                totalSupply_not?: string;
                totalSupply?: string;
                decimals_not_in?: string[];
                decimals_in?: string[];
                decimals_lte?: string;
                decimals_gte?: string;
                decimals_lt?: string;
                decimals_gt?: string;
                decimals_not?: string;
                decimals?: string;
                name_not_ends_with_nocase?: string;
                name_not_ends_with?: string;
                name_ends_with_nocase?: string;
                name_ends_with?: string;
                name_not_starts_with_nocase?: string;
                name_not_starts_with?: string;
                name_starts_with_nocase?: string;
                name_starts_with?: string;
                name_not_contains_nocase?: string;
                name_not_contains?: string;
                name_contains_nocase?: string;
                name_contains?: string;
                name_not_in?: string[];
                name_in?: string[];
                name_lte?: string;
                name_gte?: string;
                name_lt?: string;
                name_gt?: string;
                name_not?: string;
                name?: string;
                symbol_not_ends_with_nocase?: string;
                symbol_not_ends_with?: string;
                symbol_ends_with_nocase?: string;
                symbol_ends_with?: string;
                symbol_not_starts_with_nocase?: string;
                symbol_not_starts_with?: string;
                symbol_starts_with_nocase?: string;
                symbol_starts_with?: string;
                symbol_not_contains_nocase?: string;
                symbol_not_contains?: string;
                symbol_contains_nocase?: string;
                symbol_contains?: string;
                symbol_not_in?: string[];
                symbol_in?: string[];
                symbol_lte?: string;
                symbol_gte?: string;
                symbol_lt?: string;
                symbol_gt?: string;
                symbol_not?: string;
                symbol?: string;
                id_not_in?: string[];
                id_in?: string[];
                id_lte?: string;
                id_gte?: string;
                id_lt?: string;
                id_gt?: string;
                id_not?: string;
                id?: string;
            };
            token1_not_ends_with_nocase?: string;
            token1_not_ends_with?: string;
            token1_ends_with_nocase?: string;
            token1_ends_with?: string;
            token1_not_starts_with_nocase?: string;
            token1_not_starts_with?: string;
            token1_starts_with_nocase?: string;
            token1_starts_with?: string;
            token1_not_contains_nocase?: string;
            token1_not_contains?: string;
            token1_contains_nocase?: string;
            token1_contains?: string;
            token1_not_in?: string[];
            token1_in?: string[];
            token1_lte?: string;
            token1_gte?: string;
            token1_lt?: string;
            token1_gt?: string;
            token1_not?: string;
            token1?: string;
            token0_?: {
                or?: any[];
                and?: any[];
                _change_block?: {
                    number_gte: number;
                };
                tokenDayData_?: {
                    or?: any[];
                    and?: any[];
                    _change_block?: {
                        number_gte: number;
                    };
                    close_not_in?: string[];
                    close_in?: string[];
                    close_lte?: string;
                    close_gte?: string;
                    close_lt?: string;
                    close_gt?: string;
                    close_not?: string;
                    close?: string;
                    low_not_in?: string[];
                    low_in?: string[];
                    low_lte?: string;
                    low_gte?: string;
                    low_lt?: string;
                    low_gt?: string;
                    low_not?: string;
                    low?: string;
                    high_not_in?: string[];
                    high_in?: string[];
                    high_lte?: string;
                    high_gte?: string;
                    high_lt?: string;
                    high_gt?: string;
                    high_not?: string;
                    high?: string;
                    open_not_in?: string[];
                    open_in?: string[];
                    open_lte?: string;
                    open_gte?: string;
                    open_lt?: string;
                    open_gt?: string;
                    open_not?: string;
                    open?: string;
                    feesUSD_not_in?: string[];
                    feesUSD_in?: string[];
                    feesUSD_lte?: string;
                    feesUSD_gte?: string;
                    feesUSD_lt?: string;
                    feesUSD_gt?: string;
                    feesUSD_not?: string;
                    feesUSD?: string;
                    priceUSD_not_in?: string[];
                    priceUSD_in?: string[];
                    priceUSD_lte?: string;
                    priceUSD_gte?: string;
                    priceUSD_lt?: string;
                    priceUSD_gt?: string;
                    priceUSD_not?: string;
                    priceUSD?: string;
                    totalValueLockedUSD_not_in?: string[];
                    totalValueLockedUSD_in?: string[];
                    totalValueLockedUSD_lte?: string;
                    totalValueLockedUSD_gte?: string;
                    totalValueLockedUSD_lt?: string;
                    totalValueLockedUSD_gt?: string;
                    totalValueLockedUSD_not?: string;
                    totalValueLockedUSD?: string;
                    totalValueLocked_not_in?: string[];
                    totalValueLocked_in?: string[];
                    totalValueLocked_lte?: string;
                    totalValueLocked_gte?: string;
                    totalValueLocked_lt?: string;
                    totalValueLocked_gt?: string;
                    totalValueLocked_not?: string;
                    totalValueLocked?: string;
                    untrackedVolumeUSD_not_in?: string[];
                    untrackedVolumeUSD_in?: string[];
                    untrackedVolumeUSD_lte?: string;
                    untrackedVolumeUSD_gte?: string;
                    untrackedVolumeUSD_lt?: string;
                    untrackedVolumeUSD_gt?: string;
                    untrackedVolumeUSD_not?: string;
                    untrackedVolumeUSD?: string;
                    volumeUSD_not_in?: string[];
                    volumeUSD_in?: string[];
                    volumeUSD_lte?: string;
                    volumeUSD_gte?: string;
                    volumeUSD_lt?: string;
                    volumeUSD_gt?: string;
                    volumeUSD_not?: string;
                    volumeUSD?: string;
                    volume_not_in?: string[];
                    volume_in?: string[];
                    volume_lte?: string;
                    volume_gte?: string;
                    volume_lt?: string;
                    volume_gt?: string;
                    volume_not?: string;
                    volume?: string;
                    token_?: any;
                    token_not_ends_with_nocase?: string;
                    token_not_ends_with?: string;
                    token_ends_with_nocase?: string;
                    token_ends_with?: string;
                    token_not_starts_with_nocase?: string;
                    token_not_starts_with?: string;
                    token_starts_with_nocase?: string;
                    token_starts_with?: string;
                    token_not_contains_nocase?: string;
                    token_not_contains?: string;
                    token_contains_nocase?: string;
                    token_contains?: string;
                    token_not_in?: string[];
                    token_in?: string[];
                    token_lte?: string;
                    token_gte?: string;
                    token_lt?: string;
                    token_gt?: string;
                    token_not?: string;
                    token?: string;
                    date_not_in?: number[];
                    date_in?: number[];
                    date_lte?: number;
                    date_gte?: number;
                    date_lt?: number;
                    date_gt?: number;
                    date_not?: number;
                    date?: number;
                    id_not_in?: string[];
                    id_in?: string[];
                    id_lte?: string;
                    id_gte?: string;
                    id_lt?: string;
                    id_gt?: string;
                    id_not?: string;
                    id?: string;
                };
                whitelistPools_?: any;
                whitelistPools_not_contains_nocase?: string[];
                whitelistPools_not_contains?: string[];
                whitelistPools_contains_nocase?: string[];
                whitelistPools_contains?: string[];
                whitelistPools_not?: string[];
                whitelistPools?: string[];
                derivedETH_not_in?: string[];
                derivedETH_in?: string[];
                derivedETH_lte?: string;
                derivedETH_gte?: string;
                derivedETH_lt?: string;
                derivedETH_gt?: string;
                derivedETH_not?: string;
                derivedETH?: string;
                totalValueLockedUSDUntracked_not_in?: string[];
                totalValueLockedUSDUntracked_in?: string[];
                totalValueLockedUSDUntracked_lte?: string;
                totalValueLockedUSDUntracked_gte?: string;
                totalValueLockedUSDUntracked_lt?: string;
                totalValueLockedUSDUntracked_gt?: string;
                totalValueLockedUSDUntracked_not?: string;
                totalValueLockedUSDUntracked?: string;
                totalValueLockedUSD_not_in?: string[];
                totalValueLockedUSD_in?: string[];
                totalValueLockedUSD_lte?: string;
                totalValueLockedUSD_gte?: string;
                totalValueLockedUSD_lt?: string;
                totalValueLockedUSD_gt?: string;
                totalValueLockedUSD_not?: string;
                totalValueLockedUSD?: string;
                totalValueLocked_not_in?: string[];
                totalValueLocked_in?: string[];
                totalValueLocked_lte?: string;
                totalValueLocked_gte?: string;
                totalValueLocked_lt?: string;
                totalValueLocked_gt?: string;
                totalValueLocked_not?: string;
                totalValueLocked?: string;
                poolCount_not_in?: string[];
                poolCount_in?: string[];
                poolCount_lte?: string;
                poolCount_gte?: string;
                poolCount_lt?: string;
                poolCount_gt?: string;
                poolCount_not?: string;
                poolCount?: string;
                txCount_not_in?: string[];
                txCount_in?: string[];
                txCount_lte?: string;
                txCount_gte?: string;
                txCount_lt?: string;
                txCount_gt?: string;
                txCount_not?: string;
                txCount?: string;
                feesUSD_not_in?: string[];
                feesUSD_in?: string[];
                feesUSD_lte?: string;
                feesUSD_gte?: string;
                feesUSD_lt?: string;
                feesUSD_gt?: string;
                feesUSD_not?: string;
                feesUSD?: string;
                untrackedVolumeUSD_not_in?: string[];
                untrackedVolumeUSD_in?: string[];
                untrackedVolumeUSD_lte?: string;
                untrackedVolumeUSD_gte?: string;
                untrackedVolumeUSD_lt?: string;
                untrackedVolumeUSD_gt?: string;
                untrackedVolumeUSD_not?: string;
                untrackedVolumeUSD?: string;
                volumeUSD_not_in?: string[];
                volumeUSD_in?: string[];
                volumeUSD_lte?: string;
                volumeUSD_gte?: string;
                volumeUSD_lt?: string;
                volumeUSD_gt?: string;
                volumeUSD_not?: string;
                volumeUSD?: string;
                volume_not_in?: string[];
                volume_in?: string[];
                volume_lte?: string;
                volume_gte?: string;
                volume_lt?: string;
                volume_gt?: string;
                volume_not?: string;
                volume?: string;
                totalSupply_not_in?: string[];
                totalSupply_in?: string[];
                totalSupply_lte?: string;
                totalSupply_gte?: string;
                totalSupply_lt?: string;
                totalSupply_gt?: string;
                totalSupply_not?: string;
                totalSupply?: string;
                decimals_not_in?: string[];
                decimals_in?: string[];
                decimals_lte?: string;
                decimals_gte?: string;
                decimals_lt?: string;
                decimals_gt?: string;
                decimals_not?: string;
                decimals?: string;
                name_not_ends_with_nocase?: string;
                name_not_ends_with?: string;
                name_ends_with_nocase?: string;
                name_ends_with?: string;
                name_not_starts_with_nocase?: string;
                name_not_starts_with?: string;
                name_starts_with_nocase?: string;
                name_starts_with?: string;
                name_not_contains_nocase?: string;
                name_not_contains?: string;
                name_contains_nocase?: string;
                name_contains?: string;
                name_not_in?: string[];
                name_in?: string[];
                name_lte?: string;
                name_gte?: string;
                name_lt?: string;
                name_gt?: string;
                name_not?: string;
                name?: string;
                symbol_not_ends_with_nocase?: string;
                symbol_not_ends_with?: string;
                symbol_ends_with_nocase?: string;
                symbol_ends_with?: string;
                symbol_not_starts_with_nocase?: string;
                symbol_not_starts_with?: string;
                symbol_starts_with_nocase?: string;
                symbol_starts_with?: string;
                symbol_not_contains_nocase?: string;
                symbol_not_contains?: string;
                symbol_contains_nocase?: string;
                symbol_contains?: string;
                symbol_not_in?: string[];
                symbol_in?: string[];
                symbol_lte?: string;
                symbol_gte?: string;
                symbol_lt?: string;
                symbol_gt?: string;
                symbol_not?: string;
                symbol?: string;
                id_not_in?: string[];
                id_in?: string[];
                id_lte?: string;
                id_gte?: string;
                id_lt?: string;
                id_gt?: string;
                id_not?: string;
                id?: string;
            };
            token0_not_ends_with_nocase?: string;
            token0_not_ends_with?: string;
            token0_ends_with_nocase?: string;
            token0_ends_with?: string;
            token0_not_starts_with_nocase?: string;
            token0_not_starts_with?: string;
            token0_starts_with_nocase?: string;
            token0_starts_with?: string;
            token0_not_contains_nocase?: string;
            token0_not_contains?: string;
            token0_contains_nocase?: string;
            token0_contains?: string;
            token0_not_in?: string[];
            token0_in?: string[];
            token0_lte?: string;
            token0_gte?: string;
            token0_lt?: string;
            token0_gt?: string;
            token0_not?: string;
            token0?: string;
            pool_?: any;
            pool_not_ends_with_nocase?: string;
            pool_not_ends_with?: string;
            pool_ends_with_nocase?: string;
            pool_ends_with?: string;
            pool_not_starts_with_nocase?: string;
            pool_not_starts_with?: string;
            pool_starts_with_nocase?: string;
            pool_starts_with?: string;
            pool_not_contains_nocase?: string;
            pool_not_contains?: string;
            pool_contains_nocase?: string;
            pool_contains?: string;
            pool_not_in?: string[];
            pool_in?: string[];
            pool_lte?: string;
            pool_gte?: string;
            pool_lt?: string;
            pool_gt?: string;
            pool_not?: string;
            pool?: string;
            timestamp_not_in?: string[];
            timestamp_in?: string[];
            timestamp_lte?: string;
            timestamp_gte?: string;
            timestamp_lt?: string;
            timestamp_gt?: string;
            timestamp_not?: string;
            timestamp?: string;
            transaction_?: any;
            transaction_not_ends_with_nocase?: string;
            transaction_not_ends_with?: string;
            transaction_ends_with_nocase?: string;
            transaction_ends_with?: string;
            transaction_not_starts_with_nocase?: string;
            transaction_not_starts_with?: string;
            transaction_starts_with_nocase?: string;
            transaction_starts_with?: string;
            transaction_not_contains_nocase?: string;
            transaction_not_contains?: string;
            transaction_contains_nocase?: string;
            transaction_contains?: string;
            transaction_not_in?: string[];
            transaction_in?: string[];
            transaction_lte?: string;
            transaction_gte?: string;
            transaction_lt?: string;
            transaction_gt?: string;
            transaction_not?: string;
            transaction?: string;
            id_not_in?: string[];
            id_in?: string[];
            id_lte?: string;
            id_gte?: string;
            id_lt?: string;
            id_gt?: string;
            id_not?: string;
            id?: string;
        };
        poolDayData_?: {
            or?: any[];
            and?: any[];
            _change_block?: {
                number_gte: number;
            };
            close_not_in?: string[];
            close_in?: string[];
            close_lte?: string;
            close_gte?: string;
            close_lt?: string;
            close_gt?: string;
            close_not?: string;
            close?: string;
            low_not_in?: string[];
            low_in?: string[];
            low_lte?: string;
            low_gte?: string;
            low_lt?: string;
            low_gt?: string;
            low_not?: string;
            low?: string;
            high_not_in?: string[];
            high_in?: string[];
            high_lte?: string;
            high_gte?: string;
            high_lt?: string;
            high_gt?: string;
            high_not?: string;
            high?: string;
            open_not_in?: string[];
            open_in?: string[];
            open_lte?: string;
            open_gte?: string;
            open_lt?: string;
            open_gt?: string;
            open_not?: string;
            open?: string;
            txCount_not_in?: string[];
            txCount_in?: string[];
            txCount_lte?: string;
            txCount_gte?: string;
            txCount_lt?: string;
            txCount_gt?: string;
            txCount_not?: string;
            txCount?: string;
            feesUSD_not_in?: string[];
            feesUSD_in?: string[];
            feesUSD_lte?: string;
            feesUSD_gte?: string;
            feesUSD_lt?: string;
            feesUSD_gt?: string;
            feesUSD_not?: string;
            feesUSD?: string;
            volumeUSD_not_in?: string[];
            volumeUSD_in?: string[];
            volumeUSD_lte?: string;
            volumeUSD_gte?: string;
            volumeUSD_lt?: string;
            volumeUSD_gt?: string;
            volumeUSD_not?: string;
            volumeUSD?: string;
            volumeToken1_not_in?: string[];
            volumeToken1_in?: string[];
            volumeToken1_lte?: string;
            volumeToken1_gte?: string;
            volumeToken1_lt?: string;
            volumeToken1_gt?: string;
            volumeToken1_not?: string;
            volumeToken1?: string;
            volumeToken0_not_in?: string[];
            volumeToken0_in?: string[];
            volumeToken0_lte?: string;
            volumeToken0_gte?: string;
            volumeToken0_lt?: string;
            volumeToken0_gt?: string;
            volumeToken0_not?: string;
            volumeToken0?: string;
            tvlUSD_not_in?: string[];
            tvlUSD_in?: string[];
            tvlUSD_lte?: string;
            tvlUSD_gte?: string;
            tvlUSD_lt?: string;
            tvlUSD_gt?: string;
            tvlUSD_not?: string;
            tvlUSD?: string;
            feeGrowthGlobal1X128_not_in?: string[];
            feeGrowthGlobal1X128_in?: string[];
            feeGrowthGlobal1X128_lte?: string;
            feeGrowthGlobal1X128_gte?: string;
            feeGrowthGlobal1X128_lt?: string;
            feeGrowthGlobal1X128_gt?: string;
            feeGrowthGlobal1X128_not?: string;
            feeGrowthGlobal1X128?: string;
            feeGrowthGlobal0X128_not_in?: string[];
            feeGrowthGlobal0X128_in?: string[];
            feeGrowthGlobal0X128_lte?: string;
            feeGrowthGlobal0X128_gte?: string;
            feeGrowthGlobal0X128_lt?: string;
            feeGrowthGlobal0X128_gt?: string;
            feeGrowthGlobal0X128_not?: string;
            feeGrowthGlobal0X128?: string;
            tick_not_in?: string[];
            tick_in?: string[];
            tick_lte?: string;
            tick_gte?: string;
            tick_lt?: string;
            tick_gt?: string;
            tick_not?: string;
            tick?: string;
            token1Price_not_in?: string[];
            token1Price_in?: string[];
            token1Price_lte?: string;
            token1Price_gte?: string;
            token1Price_lt?: string;
            token1Price_gt?: string;
            token1Price_not?: string;
            token1Price?: string;
            token0Price_not_in?: string[];
            token0Price_in?: string[];
            token0Price_lte?: string;
            token0Price_gte?: string;
            token0Price_lt?: string;
            token0Price_gt?: string;
            token0Price_not?: string;
            token0Price?: string;
            sqrtPrice_not_in?: string[];
            sqrtPrice_in?: string[];
            sqrtPrice_lte?: string;
            sqrtPrice_gte?: string;
            sqrtPrice_lt?: string;
            sqrtPrice_gt?: string;
            sqrtPrice_not?: string;
            sqrtPrice?: string;
            liquidity_not_in?: string[];
            liquidity_in?: string[];
            liquidity_lte?: string;
            liquidity_gte?: string;
            liquidity_lt?: string;
            liquidity_gt?: string;
            liquidity_not?: string;
            liquidity?: string;
            pool_?: any;
            pool_not_ends_with_nocase?: string;
            pool_not_ends_with?: string;
            pool_ends_with_nocase?: string;
            pool_ends_with?: string;
            pool_not_starts_with_nocase?: string;
            pool_not_starts_with?: string;
            pool_starts_with_nocase?: string;
            pool_starts_with?: string;
            pool_not_contains_nocase?: string;
            pool_not_contains?: string;
            pool_contains_nocase?: string;
            pool_contains?: string;
            pool_not_in?: string[];
            pool_in?: string[];
            pool_lte?: string;
            pool_gte?: string;
            pool_lt?: string;
            pool_gt?: string;
            pool_not?: string;
            pool?: string;
            date_not_in?: number[];
            date_in?: number[];
            date_lte?: number;
            date_gte?: number;
            date_lt?: number;
            date_gt?: number;
            date_not?: number;
            date?: number;
            id_not_in?: string[];
            id_in?: string[];
            id_lte?: string;
            id_gte?: string;
            id_lt?: string;
            id_gt?: string;
            id_not?: string;
            id?: string;
        };
        poolHourData_?: {
            or?: any[];
            and?: any[];
            _change_block?: {
                number_gte: number;
            };
            close_not_in?: string[];
            close_in?: string[];
            close_lte?: string;
            close_gte?: string;
            close_lt?: string;
            close_gt?: string;
            close_not?: string;
            close?: string;
            low_not_in?: string[];
            low_in?: string[];
            low_lte?: string;
            low_gte?: string;
            low_lt?: string;
            low_gt?: string;
            low_not?: string;
            low?: string;
            high_not_in?: string[];
            high_in?: string[];
            high_lte?: string;
            high_gte?: string;
            high_lt?: string;
            high_gt?: string;
            high_not?: string;
            high?: string;
            open_not_in?: string[];
            open_in?: string[];
            open_lte?: string;
            open_gte?: string;
            open_lt?: string;
            open_gt?: string;
            open_not?: string;
            open?: string;
            txCount_not_in?: string[];
            txCount_in?: string[];
            txCount_lte?: string;
            txCount_gte?: string;
            txCount_lt?: string;
            txCount_gt?: string;
            txCount_not?: string;
            txCount?: string;
            feesUSD_not_in?: string[];
            feesUSD_in?: string[];
            feesUSD_lte?: string;
            feesUSD_gte?: string;
            feesUSD_lt?: string;
            feesUSD_gt?: string;
            feesUSD_not?: string;
            feesUSD?: string;
            volumeUSD_not_in?: string[];
            volumeUSD_in?: string[];
            volumeUSD_lte?: string;
            volumeUSD_gte?: string;
            volumeUSD_lt?: string;
            volumeUSD_gt?: string;
            volumeUSD_not?: string;
            volumeUSD?: string;
            volumeToken1_not_in?: string[];
            volumeToken1_in?: string[];
            volumeToken1_lte?: string;
            volumeToken1_gte?: string;
            volumeToken1_lt?: string;
            volumeToken1_gt?: string;
            volumeToken1_not?: string;
            volumeToken1?: string;
            volumeToken0_not_in?: string[];
            volumeToken0_in?: string[];
            volumeToken0_lte?: string;
            volumeToken0_gte?: string;
            volumeToken0_lt?: string;
            volumeToken0_gt?: string;
            volumeToken0_not?: string;
            volumeToken0?: string;
            tvlUSD_not_in?: string[];
            tvlUSD_in?: string[];
            tvlUSD_lte?: string;
            tvlUSD_gte?: string;
            tvlUSD_lt?: string;
            tvlUSD_gt?: string;
            tvlUSD_not?: string;
            tvlUSD?: string;
            feeGrowthGlobal1X128_not_in?: string[];
            feeGrowthGlobal1X128_in?: string[];
            feeGrowthGlobal1X128_lte?: string;
            feeGrowthGlobal1X128_gte?: string;
            feeGrowthGlobal1X128_lt?: string;
            feeGrowthGlobal1X128_gt?: string;
            feeGrowthGlobal1X128_not?: string;
            feeGrowthGlobal1X128?: string;
            feeGrowthGlobal0X128_not_in?: string[];
            feeGrowthGlobal0X128_in?: string[];
            feeGrowthGlobal0X128_lte?: string;
            feeGrowthGlobal0X128_gte?: string;
            feeGrowthGlobal0X128_lt?: string;
            feeGrowthGlobal0X128_gt?: string;
            feeGrowthGlobal0X128_not?: string;
            feeGrowthGlobal0X128?: string;
            tick_not_in?: string[];
            tick_in?: string[];
            tick_lte?: string;
            tick_gte?: string;
            tick_lt?: string;
            tick_gt?: string;
            tick_not?: string;
            tick?: string;
            token1Price_not_in?: string[];
            token1Price_in?: string[];
            token1Price_lte?: string;
            token1Price_gte?: string;
            token1Price_lt?: string;
            token1Price_gt?: string;
            token1Price_not?: string;
            token1Price?: string;
            token0Price_not_in?: string[];
            token0Price_in?: string[];
            token0Price_lte?: string;
            token0Price_gte?: string;
            token0Price_lt?: string;
            token0Price_gt?: string;
            token0Price_not?: string;
            token0Price?: string;
            sqrtPrice_not_in?: string[];
            sqrtPrice_in?: string[];
            sqrtPrice_lte?: string;
            sqrtPrice_gte?: string;
            sqrtPrice_lt?: string;
            sqrtPrice_gt?: string;
            sqrtPrice_not?: string;
            sqrtPrice?: string;
            liquidity_not_in?: string[];
            liquidity_in?: string[];
            liquidity_lte?: string;
            liquidity_gte?: string;
            liquidity_lt?: string;
            liquidity_gt?: string;
            liquidity_not?: string;
            liquidity?: string;
            pool_?: any;
            pool_not_ends_with_nocase?: string;
            pool_not_ends_with?: string;
            pool_ends_with_nocase?: string;
            pool_ends_with?: string;
            pool_not_starts_with_nocase?: string;
            pool_not_starts_with?: string;
            pool_starts_with_nocase?: string;
            pool_starts_with?: string;
            pool_not_contains_nocase?: string;
            pool_not_contains?: string;
            pool_contains_nocase?: string;
            pool_contains?: string;
            pool_not_in?: string[];
            pool_in?: string[];
            pool_lte?: string;
            pool_gte?: string;
            pool_lt?: string;
            pool_gt?: string;
            pool_not?: string;
            pool?: string;
            periodStartUnix_not_in?: number[];
            periodStartUnix_in?: number[];
            periodStartUnix_lte?: number;
            periodStartUnix_gte?: number;
            periodStartUnix_lt?: number;
            periodStartUnix_gt?: number;
            periodStartUnix_not?: number;
            periodStartUnix?: number;
            id_not_in?: string[];
            id_in?: string[];
            id_lte?: string;
            id_gte?: string;
            id_lt?: string;
            id_gt?: string;
            id_not?: string;
            id?: string;
        };
        liquidityProviderCount_not_in?: string[];
        liquidityProviderCount_in?: string[];
        liquidityProviderCount_lte?: string;
        liquidityProviderCount_gte?: string;
        liquidityProviderCount_lt?: string;
        liquidityProviderCount_gt?: string;
        liquidityProviderCount_not?: string;
        liquidityProviderCount?: string;
        isProtocolFeeEnabled_not_in?: boolean[];
        isProtocolFeeEnabled_in?: boolean[];
        isProtocolFeeEnabled_not?: boolean;
        isProtocolFeeEnabled?: boolean;
        totalValueLockedUSDUntracked_not_in?: string[];
        totalValueLockedUSDUntracked_in?: string[];
        totalValueLockedUSDUntracked_lte?: string;
        totalValueLockedUSDUntracked_gte?: string;
        totalValueLockedUSDUntracked_lt?: string;
        totalValueLockedUSDUntracked_gt?: string;
        totalValueLockedUSDUntracked_not?: string;
        totalValueLockedUSDUntracked?: string;
        totalValueLockedUSD_not_in?: string[];
        totalValueLockedUSD_in?: string[];
        totalValueLockedUSD_lte?: string;
        totalValueLockedUSD_gte?: string;
        totalValueLockedUSD_lt?: string;
        totalValueLockedUSD_gt?: string;
        totalValueLockedUSD_not?: string;
        totalValueLockedUSD?: string;
        totalValueLockedETH_not_in?: string[];
        totalValueLockedETH_in?: string[];
        totalValueLockedETH_lte?: string;
        totalValueLockedETH_gte?: string;
        totalValueLockedETH_lt?: string;
        totalValueLockedETH_gt?: string;
        totalValueLockedETH_not?: string;
        totalValueLockedETH?: string;
        totalValueLockedToken1_not_in?: string[];
        totalValueLockedToken1_in?: string[];
        totalValueLockedToken1_lte?: string;
        totalValueLockedToken1_gte?: string;
        totalValueLockedToken1_lt?: string;
        totalValueLockedToken1_gt?: string;
        totalValueLockedToken1_not?: string;
        totalValueLockedToken1?: string;
        totalValueLockedToken0_not_in?: string[];
        totalValueLockedToken0_in?: string[];
        totalValueLockedToken0_lte?: string;
        totalValueLockedToken0_gte?: string;
        totalValueLockedToken0_lt?: string;
        totalValueLockedToken0_gt?: string;
        totalValueLockedToken0_not?: string;
        totalValueLockedToken0?: string;
        collectedFeesUSD_not_in?: string[];
        collectedFeesUSD_in?: string[];
        collectedFeesUSD_lte?: string;
        collectedFeesUSD_gte?: string;
        collectedFeesUSD_lt?: string;
        collectedFeesUSD_gt?: string;
        collectedFeesUSD_not?: string;
        collectedFeesUSD?: string;
        collectedFeesToken1_not_in?: string[];
        collectedFeesToken1_in?: string[];
        collectedFeesToken1_lte?: string;
        collectedFeesToken1_gte?: string;
        collectedFeesToken1_lt?: string;
        collectedFeesToken1_gt?: string;
        collectedFeesToken1_not?: string;
        collectedFeesToken1?: string;
        collectedFeesToken0_not_in?: string[];
        collectedFeesToken0_in?: string[];
        collectedFeesToken0_lte?: string;
        collectedFeesToken0_gte?: string;
        collectedFeesToken0_lt?: string;
        collectedFeesToken0_gt?: string;
        collectedFeesToken0_not?: string;
        collectedFeesToken0?: string;
        txCount_not_in?: string[];
        txCount_in?: string[];
        txCount_lte?: string;
        txCount_gte?: string;
        txCount_lt?: string;
        txCount_gt?: string;
        txCount_not?: string;
        txCount?: string;
        feesUSD_not_in?: string[];
        feesUSD_in?: string[];
        feesUSD_lte?: string;
        feesUSD_gte?: string;
        feesUSD_lt?: string;
        feesUSD_gt?: string;
        feesUSD_not?: string;
        feesUSD?: string;
        untrackedVolumeUSD_not_in?: string[];
        untrackedVolumeUSD_in?: string[];
        untrackedVolumeUSD_lte?: string;
        untrackedVolumeUSD_gte?: string;
        untrackedVolumeUSD_lt?: string;
        untrackedVolumeUSD_gt?: string;
        untrackedVolumeUSD_not?: string;
        untrackedVolumeUSD?: string;
        volumeUSD_not_in?: string[];
        volumeUSD_in?: string[];
        volumeUSD_lte?: string;
        volumeUSD_gte?: string;
        volumeUSD_lt?: string;
        volumeUSD_gt?: string;
        volumeUSD_not?: string;
        volumeUSD?: string;
        volumeToken1_not_in?: string[];
        volumeToken1_in?: string[];
        volumeToken1_lte?: string;
        volumeToken1_gte?: string;
        volumeToken1_lt?: string;
        volumeToken1_gt?: string;
        volumeToken1_not?: string;
        volumeToken1?: string;
        volumeToken0_not_in?: string[];
        volumeToken0_in?: string[];
        volumeToken0_lte?: string;
        volumeToken0_gte?: string;
        volumeToken0_lt?: string;
        volumeToken0_gt?: string;
        volumeToken0_not?: string;
        volumeToken0?: string;
        observationIndex_not_in?: string[];
        observationIndex_in?: string[];
        observationIndex_lte?: string;
        observationIndex_gte?: string;
        observationIndex_lt?: string;
        observationIndex_gt?: string;
        observationIndex_not?: string;
        observationIndex?: string;
        tick_not_in?: string[];
        tick_in?: string[];
        tick_lte?: string;
        tick_gte?: string;
        tick_lt?: string;
        tick_gt?: string;
        tick_not?: string;
        tick?: string;
        token1Price_not_in?: string[];
        token1Price_in?: string[];
        token1Price_lte?: string;
        token1Price_gte?: string;
        token1Price_lt?: string;
        token1Price_gt?: string;
        token1Price_not?: string;
        token1Price?: string;
        token0Price_not_in?: string[];
        token0Price_in?: string[];
        token0Price_lte?: string;
        token0Price_gte?: string;
        token0Price_lt?: string;
        token0Price_gt?: string;
        token0Price_not?: string;
        token0Price?: string;
        feeGrowthGlobal1X128_not_in?: string[];
        feeGrowthGlobal1X128_in?: string[];
        feeGrowthGlobal1X128_lte?: string;
        feeGrowthGlobal1X128_gte?: string;
        feeGrowthGlobal1X128_lt?: string;
        feeGrowthGlobal1X128_gt?: string;
        feeGrowthGlobal1X128_not?: string;
        feeGrowthGlobal1X128?: string;
        feeGrowthGlobal0X128_not_in?: string[];
        feeGrowthGlobal0X128_in?: string[];
        feeGrowthGlobal0X128_lte?: string;
        feeGrowthGlobal0X128_gte?: string;
        feeGrowthGlobal0X128_lt?: string;
        feeGrowthGlobal0X128_gt?: string;
        feeGrowthGlobal0X128_not?: string;
        feeGrowthGlobal0X128?: string;
        sqrtPrice_not_in?: string[];
        sqrtPrice_in?: string[];
        sqrtPrice_lte?: string;
        sqrtPrice_gte?: string;
        sqrtPrice_lt?: string;
        sqrtPrice_gt?: string;
        sqrtPrice_not?: string;
        sqrtPrice?: string;
        liquidity_not_in?: string[];
        liquidity_in?: string[];
        liquidity_lte?: string;
        liquidity_gte?: string;
        liquidity_lt?: string;
        liquidity_gt?: string;
        liquidity_not?: string;
        liquidity?: string;
        feeTier_not_in?: string[];
        feeTier_in?: string[];
        feeTier_lte?: string;
        feeTier_gte?: string;
        feeTier_lt?: string;
        feeTier_gt?: string;
        feeTier_not?: string;
        feeTier?: string;
        token1_?: {
            or?: any[];
            and?: any[];
            _change_block?: {
                number_gte: number;
            };
            tokenDayData_?: {
                or?: any[];
                and?: any[];
                _change_block?: {
                    number_gte: number;
                };
                close_not_in?: string[];
                close_in?: string[];
                close_lte?: string;
                close_gte?: string;
                close_lt?: string;
                close_gt?: string;
                close_not?: string;
                close?: string;
                low_not_in?: string[];
                low_in?: string[];
                low_lte?: string;
                low_gte?: string;
                low_lt?: string;
                low_gt?: string;
                low_not?: string;
                low?: string;
                high_not_in?: string[];
                high_in?: string[];
                high_lte?: string;
                high_gte?: string;
                high_lt?: string;
                high_gt?: string;
                high_not?: string;
                high?: string;
                open_not_in?: string[];
                open_in?: string[];
                open_lte?: string;
                open_gte?: string;
                open_lt?: string;
                open_gt?: string;
                open_not?: string;
                open?: string;
                feesUSD_not_in?: string[];
                feesUSD_in?: string[];
                feesUSD_lte?: string;
                feesUSD_gte?: string;
                feesUSD_lt?: string;
                feesUSD_gt?: string;
                feesUSD_not?: string;
                feesUSD?: string;
                priceUSD_not_in?: string[];
                priceUSD_in?: string[];
                priceUSD_lte?: string;
                priceUSD_gte?: string;
                priceUSD_lt?: string;
                priceUSD_gt?: string;
                priceUSD_not?: string;
                priceUSD?: string;
                totalValueLockedUSD_not_in?: string[];
                totalValueLockedUSD_in?: string[];
                totalValueLockedUSD_lte?: string;
                totalValueLockedUSD_gte?: string;
                totalValueLockedUSD_lt?: string;
                totalValueLockedUSD_gt?: string;
                totalValueLockedUSD_not?: string;
                totalValueLockedUSD?: string;
                totalValueLocked_not_in?: string[];
                totalValueLocked_in?: string[];
                totalValueLocked_lte?: string;
                totalValueLocked_gte?: string;
                totalValueLocked_lt?: string;
                totalValueLocked_gt?: string;
                totalValueLocked_not?: string;
                totalValueLocked?: string;
                untrackedVolumeUSD_not_in?: string[];
                untrackedVolumeUSD_in?: string[];
                untrackedVolumeUSD_lte?: string;
                untrackedVolumeUSD_gte?: string;
                untrackedVolumeUSD_lt?: string;
                untrackedVolumeUSD_gt?: string;
                untrackedVolumeUSD_not?: string;
                untrackedVolumeUSD?: string;
                volumeUSD_not_in?: string[];
                volumeUSD_in?: string[];
                volumeUSD_lte?: string;
                volumeUSD_gte?: string;
                volumeUSD_lt?: string;
                volumeUSD_gt?: string;
                volumeUSD_not?: string;
                volumeUSD?: string;
                volume_not_in?: string[];
                volume_in?: string[];
                volume_lte?: string;
                volume_gte?: string;
                volume_lt?: string;
                volume_gt?: string;
                volume_not?: string;
                volume?: string;
                token_?: any;
                token_not_ends_with_nocase?: string;
                token_not_ends_with?: string;
                token_ends_with_nocase?: string;
                token_ends_with?: string;
                token_not_starts_with_nocase?: string;
                token_not_starts_with?: string;
                token_starts_with_nocase?: string;
                token_starts_with?: string;
                token_not_contains_nocase?: string;
                token_not_contains?: string;
                token_contains_nocase?: string;
                token_contains?: string;
                token_not_in?: string[];
                token_in?: string[];
                token_lte?: string;
                token_gte?: string;
                token_lt?: string;
                token_gt?: string;
                token_not?: string;
                token?: string;
                date_not_in?: number[];
                date_in?: number[];
                date_lte?: number;
                date_gte?: number;
                date_lt?: number;
                date_gt?: number;
                date_not?: number;
                date?: number;
                id_not_in?: string[];
                id_in?: string[];
                id_lte?: string;
                id_gte?: string;
                id_lt?: string;
                id_gt?: string;
                id_not?: string;
                id?: string;
            };
            whitelistPools_?: any;
            whitelistPools_not_contains_nocase?: string[];
            whitelistPools_not_contains?: string[];
            whitelistPools_contains_nocase?: string[];
            whitelistPools_contains?: string[];
            whitelistPools_not?: string[];
            whitelistPools?: string[];
            derivedETH_not_in?: string[];
            derivedETH_in?: string[];
            derivedETH_lte?: string;
            derivedETH_gte?: string;
            derivedETH_lt?: string;
            derivedETH_gt?: string;
            derivedETH_not?: string;
            derivedETH?: string;
            totalValueLockedUSDUntracked_not_in?: string[];
            totalValueLockedUSDUntracked_in?: string[];
            totalValueLockedUSDUntracked_lte?: string;
            totalValueLockedUSDUntracked_gte?: string;
            totalValueLockedUSDUntracked_lt?: string;
            totalValueLockedUSDUntracked_gt?: string;
            totalValueLockedUSDUntracked_not?: string;
            totalValueLockedUSDUntracked?: string;
            totalValueLockedUSD_not_in?: string[];
            totalValueLockedUSD_in?: string[];
            totalValueLockedUSD_lte?: string;
            totalValueLockedUSD_gte?: string;
            totalValueLockedUSD_lt?: string;
            totalValueLockedUSD_gt?: string;
            totalValueLockedUSD_not?: string;
            totalValueLockedUSD?: string;
            totalValueLocked_not_in?: string[];
            totalValueLocked_in?: string[];
            totalValueLocked_lte?: string;
            totalValueLocked_gte?: string;
            totalValueLocked_lt?: string;
            totalValueLocked_gt?: string;
            totalValueLocked_not?: string;
            totalValueLocked?: string;
            poolCount_not_in?: string[];
            poolCount_in?: string[];
            poolCount_lte?: string;
            poolCount_gte?: string;
            poolCount_lt?: string;
            poolCount_gt?: string;
            poolCount_not?: string;
            poolCount?: string;
            txCount_not_in?: string[];
            txCount_in?: string[];
            txCount_lte?: string;
            txCount_gte?: string;
            txCount_lt?: string;
            txCount_gt?: string;
            txCount_not?: string;
            txCount?: string;
            feesUSD_not_in?: string[];
            feesUSD_in?: string[];
            feesUSD_lte?: string;
            feesUSD_gte?: string;
            feesUSD_lt?: string;
            feesUSD_gt?: string;
            feesUSD_not?: string;
            feesUSD?: string;
            untrackedVolumeUSD_not_in?: string[];
            untrackedVolumeUSD_in?: string[];
            untrackedVolumeUSD_lte?: string;
            untrackedVolumeUSD_gte?: string;
            untrackedVolumeUSD_lt?: string;
            untrackedVolumeUSD_gt?: string;
            untrackedVolumeUSD_not?: string;
            untrackedVolumeUSD?: string;
            volumeUSD_not_in?: string[];
            volumeUSD_in?: string[];
            volumeUSD_lte?: string;
            volumeUSD_gte?: string;
            volumeUSD_lt?: string;
            volumeUSD_gt?: string;
            volumeUSD_not?: string;
            volumeUSD?: string;
            volume_not_in?: string[];
            volume_in?: string[];
            volume_lte?: string;
            volume_gte?: string;
            volume_lt?: string;
            volume_gt?: string;
            volume_not?: string;
            volume?: string;
            totalSupply_not_in?: string[];
            totalSupply_in?: string[];
            totalSupply_lte?: string;
            totalSupply_gte?: string;
            totalSupply_lt?: string;
            totalSupply_gt?: string;
            totalSupply_not?: string;
            totalSupply?: string;
            decimals_not_in?: string[];
            decimals_in?: string[];
            decimals_lte?: string;
            decimals_gte?: string;
            decimals_lt?: string;
            decimals_gt?: string;
            decimals_not?: string;
            decimals?: string;
            name_not_ends_with_nocase?: string;
            name_not_ends_with?: string;
            name_ends_with_nocase?: string;
            name_ends_with?: string;
            name_not_starts_with_nocase?: string;
            name_not_starts_with?: string;
            name_starts_with_nocase?: string;
            name_starts_with?: string;
            name_not_contains_nocase?: string;
            name_not_contains?: string;
            name_contains_nocase?: string;
            name_contains?: string;
            name_not_in?: string[];
            name_in?: string[];
            name_lte?: string;
            name_gte?: string;
            name_lt?: string;
            name_gt?: string;
            name_not?: string;
            name?: string;
            symbol_not_ends_with_nocase?: string;
            symbol_not_ends_with?: string;
            symbol_ends_with_nocase?: string;
            symbol_ends_with?: string;
            symbol_not_starts_with_nocase?: string;
            symbol_not_starts_with?: string;
            symbol_starts_with_nocase?: string;
            symbol_starts_with?: string;
            symbol_not_contains_nocase?: string;
            symbol_not_contains?: string;
            symbol_contains_nocase?: string;
            symbol_contains?: string;
            symbol_not_in?: string[];
            symbol_in?: string[];
            symbol_lte?: string;
            symbol_gte?: string;
            symbol_lt?: string;
            symbol_gt?: string;
            symbol_not?: string;
            symbol?: string;
            id_not_in?: string[];
            id_in?: string[];
            id_lte?: string;
            id_gte?: string;
            id_lt?: string;
            id_gt?: string;
            id_not?: string;
            id?: string;
        };
        token1_not_ends_with_nocase?: string;
        token1_not_ends_with?: string;
        token1_ends_with_nocase?: string;
        token1_ends_with?: string;
        token1_not_starts_with_nocase?: string;
        token1_not_starts_with?: string;
        token1_starts_with_nocase?: string;
        token1_starts_with?: string;
        token1_not_contains_nocase?: string;
        token1_not_contains?: string;
        token1_contains_nocase?: string;
        token1_contains?: string;
        token1_not_in?: string[];
        token1_in?: string[];
        token1_lte?: string;
        token1_gte?: string;
        token1_lt?: string;
        token1_gt?: string;
        token1_not?: string;
        token1?: string;
        token0_?: {
            or?: any[];
            and?: any[];
            _change_block?: {
                number_gte: number;
            };
            tokenDayData_?: {
                or?: any[];
                and?: any[];
                _change_block?: {
                    number_gte: number;
                };
                close_not_in?: string[];
                close_in?: string[];
                close_lte?: string;
                close_gte?: string;
                close_lt?: string;
                close_gt?: string;
                close_not?: string;
                close?: string;
                low_not_in?: string[];
                low_in?: string[];
                low_lte?: string;
                low_gte?: string;
                low_lt?: string;
                low_gt?: string;
                low_not?: string;
                low?: string;
                high_not_in?: string[];
                high_in?: string[];
                high_lte?: string;
                high_gte?: string;
                high_lt?: string;
                high_gt?: string;
                high_not?: string;
                high?: string;
                open_not_in?: string[];
                open_in?: string[];
                open_lte?: string;
                open_gte?: string;
                open_lt?: string;
                open_gt?: string;
                open_not?: string;
                open?: string;
                feesUSD_not_in?: string[];
                feesUSD_in?: string[];
                feesUSD_lte?: string;
                feesUSD_gte?: string;
                feesUSD_lt?: string;
                feesUSD_gt?: string;
                feesUSD_not?: string;
                feesUSD?: string;
                priceUSD_not_in?: string[];
                priceUSD_in?: string[];
                priceUSD_lte?: string;
                priceUSD_gte?: string;
                priceUSD_lt?: string;
                priceUSD_gt?: string;
                priceUSD_not?: string;
                priceUSD?: string;
                totalValueLockedUSD_not_in?: string[];
                totalValueLockedUSD_in?: string[];
                totalValueLockedUSD_lte?: string;
                totalValueLockedUSD_gte?: string;
                totalValueLockedUSD_lt?: string;
                totalValueLockedUSD_gt?: string;
                totalValueLockedUSD_not?: string;
                totalValueLockedUSD?: string;
                totalValueLocked_not_in?: string[];
                totalValueLocked_in?: string[];
                totalValueLocked_lte?: string;
                totalValueLocked_gte?: string;
                totalValueLocked_lt?: string;
                totalValueLocked_gt?: string;
                totalValueLocked_not?: string;
                totalValueLocked?: string;
                untrackedVolumeUSD_not_in?: string[];
                untrackedVolumeUSD_in?: string[];
                untrackedVolumeUSD_lte?: string;
                untrackedVolumeUSD_gte?: string;
                untrackedVolumeUSD_lt?: string;
                untrackedVolumeUSD_gt?: string;
                untrackedVolumeUSD_not?: string;
                untrackedVolumeUSD?: string;
                volumeUSD_not_in?: string[];
                volumeUSD_in?: string[];
                volumeUSD_lte?: string;
                volumeUSD_gte?: string;
                volumeUSD_lt?: string;
                volumeUSD_gt?: string;
                volumeUSD_not?: string;
                volumeUSD?: string;
                volume_not_in?: string[];
                volume_in?: string[];
                volume_lte?: string;
                volume_gte?: string;
                volume_lt?: string;
                volume_gt?: string;
                volume_not?: string;
                volume?: string;
                token_?: any;
                token_not_ends_with_nocase?: string;
                token_not_ends_with?: string;
                token_ends_with_nocase?: string;
                token_ends_with?: string;
                token_not_starts_with_nocase?: string;
                token_not_starts_with?: string;
                token_starts_with_nocase?: string;
                token_starts_with?: string;
                token_not_contains_nocase?: string;
                token_not_contains?: string;
                token_contains_nocase?: string;
                token_contains?: string;
                token_not_in?: string[];
                token_in?: string[];
                token_lte?: string;
                token_gte?: string;
                token_lt?: string;
                token_gt?: string;
                token_not?: string;
                token?: string;
                date_not_in?: number[];
                date_in?: number[];
                date_lte?: number;
                date_gte?: number;
                date_lt?: number;
                date_gt?: number;
                date_not?: number;
                date?: number;
                id_not_in?: string[];
                id_in?: string[];
                id_lte?: string;
                id_gte?: string;
                id_lt?: string;
                id_gt?: string;
                id_not?: string;
                id?: string;
            };
            whitelistPools_?: any;
            whitelistPools_not_contains_nocase?: string[];
            whitelistPools_not_contains?: string[];
            whitelistPools_contains_nocase?: string[];
            whitelistPools_contains?: string[];
            whitelistPools_not?: string[];
            whitelistPools?: string[];
            derivedETH_not_in?: string[];
            derivedETH_in?: string[];
            derivedETH_lte?: string;
            derivedETH_gte?: string;
            derivedETH_lt?: string;
            derivedETH_gt?: string;
            derivedETH_not?: string;
            derivedETH?: string;
            totalValueLockedUSDUntracked_not_in?: string[];
            totalValueLockedUSDUntracked_in?: string[];
            totalValueLockedUSDUntracked_lte?: string;
            totalValueLockedUSDUntracked_gte?: string;
            totalValueLockedUSDUntracked_lt?: string;
            totalValueLockedUSDUntracked_gt?: string;
            totalValueLockedUSDUntracked_not?: string;
            totalValueLockedUSDUntracked?: string;
            totalValueLockedUSD_not_in?: string[];
            totalValueLockedUSD_in?: string[];
            totalValueLockedUSD_lte?: string;
            totalValueLockedUSD_gte?: string;
            totalValueLockedUSD_lt?: string;
            totalValueLockedUSD_gt?: string;
            totalValueLockedUSD_not?: string;
            totalValueLockedUSD?: string;
            totalValueLocked_not_in?: string[];
            totalValueLocked_in?: string[];
            totalValueLocked_lte?: string;
            totalValueLocked_gte?: string;
            totalValueLocked_lt?: string;
            totalValueLocked_gt?: string;
            totalValueLocked_not?: string;
            totalValueLocked?: string;
            poolCount_not_in?: string[];
            poolCount_in?: string[];
            poolCount_lte?: string;
            poolCount_gte?: string;
            poolCount_lt?: string;
            poolCount_gt?: string;
            poolCount_not?: string;
            poolCount?: string;
            txCount_not_in?: string[];
            txCount_in?: string[];
            txCount_lte?: string;
            txCount_gte?: string;
            txCount_lt?: string;
            txCount_gt?: string;
            txCount_not?: string;
            txCount?: string;
            feesUSD_not_in?: string[];
            feesUSD_in?: string[];
            feesUSD_lte?: string;
            feesUSD_gte?: string;
            feesUSD_lt?: string;
            feesUSD_gt?: string;
            feesUSD_not?: string;
            feesUSD?: string;
            untrackedVolumeUSD_not_in?: string[];
            untrackedVolumeUSD_in?: string[];
            untrackedVolumeUSD_lte?: string;
            untrackedVolumeUSD_gte?: string;
            untrackedVolumeUSD_lt?: string;
            untrackedVolumeUSD_gt?: string;
            untrackedVolumeUSD_not?: string;
            untrackedVolumeUSD?: string;
            volumeUSD_not_in?: string[];
            volumeUSD_in?: string[];
            volumeUSD_lte?: string;
            volumeUSD_gte?: string;
            volumeUSD_lt?: string;
            volumeUSD_gt?: string;
            volumeUSD_not?: string;
            volumeUSD?: string;
            volume_not_in?: string[];
            volume_in?: string[];
            volume_lte?: string;
            volume_gte?: string;
            volume_lt?: string;
            volume_gt?: string;
            volume_not?: string;
            volume?: string;
            totalSupply_not_in?: string[];
            totalSupply_in?: string[];
            totalSupply_lte?: string;
            totalSupply_gte?: string;
            totalSupply_lt?: string;
            totalSupply_gt?: string;
            totalSupply_not?: string;
            totalSupply?: string;
            decimals_not_in?: string[];
            decimals_in?: string[];
            decimals_lte?: string;
            decimals_gte?: string;
            decimals_lt?: string;
            decimals_gt?: string;
            decimals_not?: string;
            decimals?: string;
            name_not_ends_with_nocase?: string;
            name_not_ends_with?: string;
            name_ends_with_nocase?: string;
            name_ends_with?: string;
            name_not_starts_with_nocase?: string;
            name_not_starts_with?: string;
            name_starts_with_nocase?: string;
            name_starts_with?: string;
            name_not_contains_nocase?: string;
            name_not_contains?: string;
            name_contains_nocase?: string;
            name_contains?: string;
            name_not_in?: string[];
            name_in?: string[];
            name_lte?: string;
            name_gte?: string;
            name_lt?: string;
            name_gt?: string;
            name_not?: string;
            name?: string;
            symbol_not_ends_with_nocase?: string;
            symbol_not_ends_with?: string;
            symbol_ends_with_nocase?: string;
            symbol_ends_with?: string;
            symbol_not_starts_with_nocase?: string;
            symbol_not_starts_with?: string;
            symbol_starts_with_nocase?: string;
            symbol_starts_with?: string;
            symbol_not_contains_nocase?: string;
            symbol_not_contains?: string;
            symbol_contains_nocase?: string;
            symbol_contains?: string;
            symbol_not_in?: string[];
            symbol_in?: string[];
            symbol_lte?: string;
            symbol_gte?: string;
            symbol_lt?: string;
            symbol_gt?: string;
            symbol_not?: string;
            symbol?: string;
            id_not_in?: string[];
            id_in?: string[];
            id_lte?: string;
            id_gte?: string;
            id_lt?: string;
            id_gt?: string;
            id_not?: string;
            id?: string;
        };
        token0_not_ends_with_nocase?: string;
        token0_not_ends_with?: string;
        token0_ends_with_nocase?: string;
        token0_ends_with?: string;
        token0_not_starts_with_nocase?: string;
        token0_not_starts_with?: string;
        token0_starts_with_nocase?: string;
        token0_starts_with?: string;
        token0_not_contains_nocase?: string;
        token0_not_contains?: string;
        token0_contains_nocase?: string;
        token0_contains?: string;
        token0_not_in?: string[];
        token0_in?: string[];
        token0_lte?: string;
        token0_gte?: string;
        token0_lt?: string;
        token0_gt?: string;
        token0_not?: string;
        token0?: string;
        createdAtBlockNumber_not_in?: string[];
        createdAtBlockNumber_in?: string[];
        createdAtBlockNumber_lte?: string;
        createdAtBlockNumber_gte?: string;
        createdAtBlockNumber_lt?: string;
        createdAtBlockNumber_gt?: string;
        createdAtBlockNumber_not?: string;
        createdAtBlockNumber?: string;
        createdAtTimestamp_not_in?: string[];
        createdAtTimestamp_in?: string[];
        createdAtTimestamp_lte?: string;
        createdAtTimestamp_gte?: string;
        createdAtTimestamp_lt?: string;
        createdAtTimestamp_gt?: string;
        createdAtTimestamp_not?: string;
        createdAtTimestamp?: string;
        id_not_in?: string[];
        id_in?: string[];
        id_lte?: string;
        id_gte?: string;
        id_lt?: string;
        id_gt?: string;
        id_not?: string;
        id?: string;
    };
    orderDirection?: "asc" | "desc";
    orderBy?: "id" | "txCount" | "volumeUSD" | "feesUSD" | "token0" | "token1" | "token0Price" | "token1Price" | "createdAtTimestamp" | "createdAtBlockNumber" | "liquidity" | "poolHourData" | "poolDayData" | "feeGrowthGlobal0X128" | "feeGrowthGlobal1X128" | "observationIndex" | "sqrtPrice" | "tick" | "liquidityProviderCount" | "collectedFeesUSD" | "collectedFeesToken1" | "collectedFeesToken0" | "untrackedVolumeUSD" | "volumeToken1" | "volumeToken0" | "totalValueLockedUSD" | "burns" | "mints" | "swaps" | "token0__id" | "token0__symbol" | "token0__name" | "token0__decimals" | "token0__totalSupply" | "token0__untrackedVolumeUSD" | "token0__txCount" | "token0__derivedETH" | "token1__id" | "token1__symbol" | "token1__name" | "token1__decimals" | "token1__totalSupply" | "token1__untrackedVolumeUSD" | "token1__txCount" | "token1__derivedETH" | "token0__volume" | "token0__volumeUSD" | "token0__feesUSD" | "token0__poolCount" | "token0__totalValueLocked" | "token0__totalValueLockedUSD" | "token0__totalValueLockedUSDUntracked" | "token1__volume" | "token1__volumeUSD" | "token1__feesUSD" | "token1__poolCount" | "token1__totalValueLocked" | "token1__totalValueLockedUSD" | "token1__totalValueLockedUSDUntracked" | "totalValueLockedETH" | "totalValueLockedUSDUntracked" | "collects" | "feeTier" | "isProtocolFeeEnabled" | "ticks" | "totalValueLockedToken0" | "totalValueLockedToken1";
    block?: {
        number_gte?: number;
        number?: number;
        hash?: `0x${string}`;
    };
    skip?: number;
    first?: number;
}, void>;
export type GetSushiV3Pools = VariablesOf<typeof SushiV3PoolsQuery> & ChainIdVariable<SushiSwapV3ChainId>;
export declare function getSushiV3Pools({ chainId, ...variables }: GetSushiV3Pools, options?: RequestOptions): Promise<import("sushi").PoolV3<import("sushi").PoolBase>[]>;
export type SushiV3Pools = Awaited<ReturnType<typeof getSushiV3Pools>>;
